package com.diagbot.client;

import com.diagbot.biz.push.entity.ResponseDataV2;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.AINeoServiceHystrix;
import com.diagbot.dto.FeatureDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.NLPVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/16 16:27
 */
@FeignClient(name = "AINeo", url = "${aineo.server.address}", fallback = AINeoServiceHystrix.class)
public interface AINeoServiceClient {

    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @PostMapping(value = "/api/push")
    Response<ResponseDataV2> push(@RequestBody SearchData searchData);

    /**
     * 特征词提取
     *
     * @param nlpvo
     * @return
     */
    @PostMapping(value = "/api/extract")
    RespDTO<List<FeatureDTO>> extract(@RequestBody NLPVO nlpvo);
}