package com.diagbot.client;

import com.diagbot.biz.push.entity.ResponseData;
import com.diagbot.client.bean.CalculateData;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.AIServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@FeignClient(name = "AI", url = "${ai.server.address}", fallback = AIServiceHystrix.class)
public interface AIServiceClient {
    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @PostMapping(value = "/push-web/algorithm/neural")
    Response<ResponseData> bayesPageData(@RequestBody SearchData searchData);

    /**
     * 量表推理
     *
     * @param searchData
     * @return
     */
    @PostMapping(value = "/push-web/graph/scale")
    Map<String, Object> scale(@RequestBody SearchData searchData);

    /**
     * 计算接口
     *
     * @param calculateData
     * @return
     */
    @PostMapping(value = "/push-web/graph/scaleCalc")
    Map<String, Object> scaleCalc(@RequestBody CalculateData calculateData);
}