package com.diagbot.client.hystrix;

import com.diagbot.biz.push.entity.ResponseDataV2;
import com.diagbot.client.AINeoServiceClient;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.SearchData;
import com.diagbot.dto.FeatureDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.NLPVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/16 16:27
 */
@Component
@Slf4j
public class AINeoServiceHystrix implements AINeoServiceClient {

    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @Override
    public Response<ResponseDataV2> push(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "push");
        return null;
    }

    /**
     * 特征词提取
     *
     * @param nlpvo
     * @return
     */
    @Override
    public RespDTO<List<FeatureDTO>> extract(@RequestBody NLPVO nlpvo) {
        log.error("【hystrix】调用{}异常", "extract");
        return null;
    }
}