package com.diagbot.client.hystrix;

import com.diagbot.client.NLPServiceClient;
import com.diagbot.client.bean.Feature;
import com.diagbot.client.bean.Response;
import com.diagbot.dto.FeatureConceptDTO;
import com.diagbot.dto.Lexeme;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @Description:调用NLP对接层服务
 * @Author:zhaops
 * @time: 2019/4/2 15:36
 */
@Component
@Slf4j
public class NLPServiceHystrix implements NLPServiceClient {

    /**
     * 症状特征提取
     *
     * @param text
     * @return
     */
    @Override
    public Response<List<FeatureConceptDTO>> symptomFeaturePageData(@RequestParam("text") String text) {
        log.error("【hystrix】调用{}异常", "symptomFeaturePageData");
        return null;
    }

    /**
     * 分词
     *
     * @param text
     * @return
     */
    @Override
    public Response<List<Lexeme>> split(@PathVariable("content") String text) {
        log.error("【hystrix】调用{}异常", "split");
        return null;
    }

}