package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院科室信息表
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
@TableName("tran_hospital_dept")
@Getter
@Setter
public class HospitalDept implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院科室编码
     */
    private String code;

    /**
     * 医院科室名称
     */
    private String name;

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 朗通科室名称
     */
    @CryptField
    private String conceptDeptName;

    /**
     * 状态：0.禁用1.启用
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 医院科室地址
     */
    private String url;

    /**
     * 排序号
     */
    private Integer orderNo;
}
