package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 推送类型
 * @Author:zhaops
 * @time: 2019/3/14 11:28
 */
public enum DisTypeEnum implements KeyedNamed {
    CHRONIC(1, "慢病"),
    EMERGENCY(2, "急诊");

    @Setter
    private int key;

    @Setter
    private String name;

    DisTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DisTypeEnum getEnum(int key) {
        for (DisTypeEnum item : DisTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DisTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
