package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 术语关系分类枚举
 * @author: gaodm
 * @time: 2019/5/6 13:58
 */
public enum LexiconRSTypeEnum implements KeyedNamed {
    IS_A(1, "是"),
    EQUAL_TO(2, "同义于"),
    INCLUDE_OF(3, "包含于"),
    ASSOCIATED_WITH(4, "与相关"),
    CAUSE(5, "引起"),
    LOCATED_AT(6, "位于"),
    AKA(7, "别名"),
    INSURE_LEVEL(8, "医保"),
    APPLIED_TO(9, "适用于"),
    PREFERRED_MEDS(10, "首选药物"),
    TREAT(11, "治疗"),
    USAGE(12, "用法"),
    REACTION(13, "不良反应"),
    DO_AND_DONOT(14, "注意事项"),
    SPEC(15, "规格"),
    HAS(16, "有"),
    ORDER_BY(17, "包含排列于"),
    SUBITEM(18, "包含子项"),
    PUSH(19, "推送");

    @Setter
    private int key;

    @Setter
    private String name;

    LexiconRSTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static LexiconRSTypeEnum getEnum(int key) {
        for (LexiconRSTypeEnum item : LexiconRSTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        LexiconRSTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
