package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 静态知识搜索类型枚举
 * @author: gaodm
 * @time: 2019/5/6 13:58
 */
public enum StaticSearchTypeEnum implements KeyedNamed {
    SYMPTOM(1, "症状"),
    DRUGS(10, "药品"),
    LIS_PACKAGE(12, "化验"),
    PACS_ITEMS(16, "辅检"),
    DIAGNOSIS(18, "诊断"),
    OPERATION(25, "手术"),
    GAUGE(48, "量表"),
    // GUIDELINES_OUTPATIENT(72,"诊疗指南（门诊）"),
    // GUIDELINES_HOS(73,"诊疗指南（住院）"),
    NURSE(74,"护理"),
    CLINICAL_PATHWAY(75,"临床路径"),
    VITAL_INDEX(33, "体征指标"),
    BLOOD(76,"血液"),
    ANESTHESIA(77,"麻醉"),
    TUTELAGE(78,"监护"),
    TCM(79,"中医"),
    THE_DIVISION_PROCESS(80,"入科流程"),
    CENSORSHIP_RULES(81,"审查规则"),
    E_BOOK (82,"电子书"),
    VIDEO(83,"视频");

    @Setter
    private int key;

    @Setter
    private String name;

    StaticSearchTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static StaticSearchTypeEnum getEnum(int key) {
        for (StaticSearchTypeEnum item : StaticSearchTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        StaticSearchTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

