package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.client.bean.SearchData;
import com.diagbot.enums.SysTypeEnum;
import org.springframework.stereotype.Component;

/**
 * @Description:入参拼装
 * @Author:zhaops
 * @time: 2019/12/6 10:02
 */
@Component
public class AssembleFacade {
    /**
     * 拼装数据
     *
     * @param searchVO
     * @return
     */
    public SearchData assembleData(SearchVO searchVO) {
        SearchData searchData = new SearchData();
        //BeanUtil.copyProperties(searchVO, searchData);
        searchData.setPasts(searchVO.getPasts());
        searchData.setAge(searchVO.getAge());
        searchData.setRuleType(searchVO.getRuleType());
        searchData.setHosCode(searchVO.getHosCode());
        searchData.setScaleName(searchVO.getScaleName());
        searchData.setDisType(searchVO.getDisType());
        searchData.setOther(searchVO.getOther());
        searchData.setVital(searchVO.getVital());
        if (searchVO.getSysType() == null) {
            searchData.setSysType(SysTypeEnum.AIPT_SERVICE.getKey());
        } else {
            searchData.setSysType(searchVO.getSysType());
        }
        switch (searchVO.getSex()) {
            case 1:
                searchData.setSex("M");
                break;
            case 2:
                searchData.setSex("F");
                break;
            default:
                searchData.setSex("A");
                break;
        }
        searchData.setAllergy(searchVO.getAllergy());
        searchData.setChief(searchVO.getChief());
        searchData.setDiag(searchVO.getDiag());
        searchData.setDiagOrder(searchVO.getDiagOrder());
        searchData.setDiagString(searchVO.getDiagString());
        searchData.setDiseaseName(searchVO.getDiseaseName());
        searchData.setDrug(searchVO.getDrug());
        searchData.setDrugOrder(searchVO.getDrugOrder());
        searchData.setDrugString(searchVO.getDrugString());
        searchData.setFamily(searchVO.getFamily());
        searchData.setFeatureType(searchVO.getFeatureType());
        searchData.setInfectious(searchVO.getInfectious());
        searchData.setLength(searchVO.getLength());
        searchData.setLis(searchVO.getLis());
        searchData.setLisOrder(searchVO.getLisOrder());
        searchData.setVital(searchVO.getVital());
        searchData.setLisString(searchVO.getLisString());
        searchData.setMarital(searchVO.getMarital());
        searchData.setMarriage(searchVO.getMarriage());
        searchData.setMenstrual(searchVO.getMenstrual());
        searchData.setOperation(searchVO.getOperation());
        searchData.setOperationOrder(searchVO.getOperationOrder());
        searchData.setOtherOrder(searchVO.getOtherOrder());
        searchData.setPacs(searchVO.getPacs());
        searchData.setPacsOrder(searchVO.getPacsOrder());
        searchData.setPacsString(searchVO.getPacsString());
        searchData.setPersonal(searchVO.getPersonal());
        searchData.setSymptom(searchVO.getSymptom());
        searchData.setVaccination(searchData.getVaccination());
        return searchData;
    }
}