package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.service.impl.ConceptDetailServiceImpl;
import com.diagbot.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/12/30 20:24
 */
@Component
public class ConceptDetailTestFacade extends ConceptDetailServiceImpl {

    public ConceptDetail saveRecord(ConceptDetail conceptDetail) {
        this.baseMapper.insert(conceptDetail);
        return conceptDetail;
    }

    public ConceptDetail getByIds(Long id) {
        return this.getById(id);
    }

    public List<ConceptDetail> getByParam(ConceptDetail conceptDetail) {
        QueryWrapper<ConceptDetail> conceptDetailQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isNotBlank(conceptDetail.getContent())) {
            conceptDetailQueryWrapper.like("content", conceptDetail.getContent());
        }
        if (StringUtil.isNotBlank(conceptDetail.getText())) {
            conceptDetailQueryWrapper.like("text", conceptDetail.getText());
        }
        return this.list(conceptDetailQueryWrapper);
    }
}
