package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.HospitalDeptInfoDTO;
import com.diagbot.vo.HospitalDeptInfoVO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.Concept;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.LexiconTypeEnum;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DeptInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:21
 */
@Component
public class DeptInfoFacade {
    @Autowired
    private ConceptFacade conceptFacade;

    @Autowired
    private TranServiceClient tranServiceClient;

    /**
     * 获取科室信息
     *
     * @param deptInfoVO
     * @return
     */
    public DeptInfoDTO getDeptInfo(DeptInfoVO deptInfoVO) {
        HospitalDeptInfoVO hospitalDeptInfoVO = new HospitalDeptInfoVO();
        BeanUtil.copyProperties(deptInfoVO, hospitalDeptInfoVO);
        RespDTO<HospitalDeptInfoDTO> hospitalDeptInfoDTORespDTO = tranServiceClient.getHospitalDeptInfo(hospitalDeptInfoVO);
        RespDTOUtil.respNGDealCover(hospitalDeptInfoDTORespDTO, "获取科室信息失败");
        QueryWrapper<Concept> deptInfoDTOQueryWrapper = new QueryWrapper<>();
        deptInfoDTOQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("lib_name", hospitalDeptInfoDTORespDTO.data.getConceptDeptName())
                .eq("lib_type", LexiconTypeEnum.DEPARTMENT.getKey());
        Concept deptInfo = conceptFacade.getOne(deptInfoDTOQueryWrapper, false);
        DeptInfoDTO deptInfoDTO = new DeptInfoDTO();
        deptInfoDTO.setConceptId(deptInfo.getId());
        deptInfoDTO.setName(deptInfo.getLibName());
        return deptInfoDTO;
    }
}
