package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.entity.DisclaimerInformation;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.StatusEnum;
import com.diagbot.service.impl.DisclaimerInformationServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.DisclaimerInformationVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月27日 下午3:36:14
 */
@Component
public class DisclaimerInformationFacade extends DisclaimerInformationServiceImpl {
    private static final Map<Integer,List<String>> map;
    static
    {
        map = new HashMap<>();
        map.put(1, Arrays.asList("1", "2", "3"));
        map.put(2, Arrays.asList("1", "2", "3"));
        map.put(3, Arrays.asList("4"));
    }
    /**
     * @return
     */
    public List<DisclaimerInformationDTO> getDisclaimerInformation(DisclaimerInformationVO disclaimerInformationVO) {

        QueryWrapper<DisclaimerInformation> disclaimerInformation = new QueryWrapper<>();
        disclaimerInformation
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .in("disclaimer_code", map.get(disclaimerInformationVO.getType()))
                .eq("STATUS", StatusEnum.Enable.getKey())
                .orderByAsc("order_no");
        List<DisclaimerInformation> data = list(disclaimerInformation);
        // getDisclaimerInformationAll();
        List<DisclaimerInformationDTO> datas = BeanUtil.listCopyTo(data, DisclaimerInformationDTO.class);
        return datas;
    }

}
