package com.diagbot.util;

import com.diagbot.enums.ConceptTypeEnum;
import com.diagbot.enums.LexiconTypeEnum;

/**
 * @Description:参数转换
 * @Author:zhaops
 * @time: 2019/5/7 9:44
 */
public class ParamConvertUtil {

    /**
     * 概念（标签）词性转术语词性
     *
     * @param type
     * @return
     */
    public static Integer conceptConvert2Lib(Integer type) {
        Integer libType = null;
        switch (ConceptTypeEnum.getEnum(type.intValue())) {
            case Symptom:
                libType = LexiconTypeEnum.SYMPTOM.getKey();
                break;
            case Past:
            case Other:
                libType = LexiconTypeEnum.HISTORY.getKey();
                break;
            case Vital:
                libType = LexiconTypeEnum.VITAL_INDEX.getKey();
                break;
            case Lis:
                libType = LexiconTypeEnum.LIS_PACKAGE.getKey();
                break;
            case LIS_TABLES:
                libType = LexiconTypeEnum.LIS_TABLES.getKey();
                break;
            case Pacs:
                libType = LexiconTypeEnum.PACS_ITEMS.getKey();
                break;
            case Disease:
                libType = LexiconTypeEnum.DIAGNOSIS.getKey();
                break;
            case Drug:
                libType = LexiconTypeEnum.DRUGS.getKey();
                break;
            case SIDE_EFFECTS:
                libType = LexiconTypeEnum.SIDE_EFFECTS.getKey();
                break;
            case Drug_Category_Big:
                libType = LexiconTypeEnum.DRUG_CATEGORY_BIG.getKey();
                break;
            case Drug_Category_Small:
                libType = LexiconTypeEnum.DRUG_CATEGORY_SMALL.getKey();
                break;
            case Scale:
                libType = LexiconTypeEnum.GAUGE.getKey();
                break;
            case Indication:
                libType = LexiconTypeEnum.CORE_INDICATORS.getKey();
                break;
            case LisDetail:
                libType = LexiconTypeEnum.LIS_DETAILS.getKey();
                break;
            case DEPARTMENT:
                libType = LexiconTypeEnum.DEPARTMENT.getKey();
                break;
            case OPERATION:
                libType = LexiconTypeEnum.OPERATION.getKey();
                break;
            // case GUIDELINES_OUTPATIENT:
            //     libType = LexiconTypeEnum.GUIDELINES_OUTPATIENT.getKey();
            //     break;
            // case GUIDELINES_HOS:
            //     libType = LexiconTypeEnum.GUIDELINES_HOS.getKey();
            //     break;
            case NURSE:
                libType = LexiconTypeEnum.NURSE.getKey();
                break;
            case CLINICAL_PATHWAY:
                libType = LexiconTypeEnum.CLINICAL_PATHWAY.getKey();
                break;
            case BLOOD:
                libType = LexiconTypeEnum.BLOOD.getKey();
                break;
            case ANESTHESIA:
                libType = LexiconTypeEnum.ANESTHESIA.getKey();
                break;
            case TUTELAGE:
                libType = LexiconTypeEnum.TUTELAGE.getKey();
                break;
            case TCM:
                libType = LexiconTypeEnum.TCM.getKey();
                break;
            case THE_DIVISION_PROCESS:
                libType = LexiconTypeEnum.THE_DIVISION_PROCESS.getKey();
                break;
            case CENSORSHIP_RULES:
                libType = LexiconTypeEnum.CENSORSHIP_RULES.getKey();
                break;
            case E_BOOK:
                libType = LexiconTypeEnum.E_BOOK.getKey();
                break;
            case VIDEO:
                libType = LexiconTypeEnum.VIDEO.getKey();
                break;
            default:
                break;
        }
        return libType;
    }

    /**
     * 术语词性转概念（标签）词性
     *
     * @param libType
     * @return
     */
    public static Integer libConvert2Concept(Integer libType) {
        Integer type = null;
        switch (LexiconTypeEnum.getEnum(libType.intValue())) {
            case SYMPTOM:
                type = ConceptTypeEnum.Symptom.getKey();
                break;
            case HISTORY_OF_PAST_DISEASES:
            case HISTORY_OF_TRAUMA:
            case HISTORY_OF_SURGERY:
            case HISTORY_OF_BLOOD_TRANSFUSION:
            case INFECTIOUS_DISEASE_HISTORY:
            case BAD_HABITS:
            case MARITAL_HISTORY:
            case HISTORY_OF_MARRIAGE_AND_CHILDBEARING:
            case BIRTH_HISTORY:
            case FAMILY_HISTORY:
            case FOOD_ALLERGY_HISTORY:
            case HISTORY_OF_DRUG_ALLERGY:
            case FAMILY_RELATED_INFECTIOUS_DISEASE_HISTORY:
            case RELATIVES:
            case MARRIAGE:
            case FOOD:
            case HISTORY:
            case PERSONAL_HISTORY:
            case PERSONAL_HISTORY_DESCRIPTION:
                type = ConceptTypeEnum.Other.getKey();
                break;
            case VITAL_INDEX:
            case VITAL_RESULT:
                type = ConceptTypeEnum.Vital.getKey();
                break;
            case LIS_PACKAGE:
                type = ConceptTypeEnum.Lis.getKey();
                break;
            case LIS_TABLES:
                type = ConceptTypeEnum.LIS_TABLES.getKey();
                break;
            case PACS_ITEMS:
                type = ConceptTypeEnum.Pacs.getKey();
                break;
            case DIAGNOSIS:
                type = ConceptTypeEnum.Disease.getKey();
                break;
            case DRUGS:
                type = ConceptTypeEnum.Drug.getKey();
                break;
            case SIDE_EFFECTS:
                type = ConceptTypeEnum.SIDE_EFFECTS.getKey();
                break;
            case DRUG_CATEGORY_BIG:
                type = ConceptTypeEnum.Drug_Category_Big.getKey();
                break;
            case DRUG_CATEGORY_SMALL:
                type = ConceptTypeEnum.Drug_Category_Small.getKey();
                break;
            case GAUGE:
                type = ConceptTypeEnum.Scale.getKey();
                break;
            case CORE_INDICATORS:
                type = ConceptTypeEnum.Indication.getKey();
                break;
            case LIS_DETAILS:
                type = ConceptTypeEnum.LisDetail.getKey();
                break;
            case DEPARTMENT:
                type = ConceptTypeEnum.DEPARTMENT.getKey();
                break;
            case OPERATION:
                type = ConceptTypeEnum.OPERATION.getKey();
                break;
            // case GUIDELINES_OUTPATIENT:
            //     type = ConceptTypeEnum.GUIDELINES_OUTPATIENT.getKey();
            //     break;
            // case GUIDELINES_HOS:
            //     type = ConceptTypeEnum.GUIDELINES_HOS.getKey();
            //     break;
            case NURSE:
                type = ConceptTypeEnum.NURSE.getKey();
                break;
            case CLINICAL_PATHWAY:
                type = ConceptTypeEnum.CLINICAL_PATHWAY.getKey();
                break;
            case BLOOD:
                type = ConceptTypeEnum.BLOOD.getKey();
                break;
            case ANESTHESIA:
                type = ConceptTypeEnum.ANESTHESIA.getKey();
                break;
            case TUTELAGE:
                type = ConceptTypeEnum.TUTELAGE.getKey();
                break;
            case TCM:
                type = ConceptTypeEnum.TCM.getKey();
                break;
            case THE_DIVISION_PROCESS:
                type = ConceptTypeEnum.THE_DIVISION_PROCESS.getKey();
                break;
            case CENSORSHIP_RULES:
                type = ConceptTypeEnum.CENSORSHIP_RULES.getKey();
                break;
            case E_BOOK:
                type = ConceptTypeEnum.E_BOOK.getKey();
                break;
            case VIDEO:
                type = ConceptTypeEnum.VIDEO.getKey();
                break;
            default:
                break;
        }
        return type;
    }
}