package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/11/11 14:06
 */
@Getter
@Setter
public class ConnectIntroduceVO {
    @CryptField
    @NotBlank(message = "请输入术语名称")
    private String name;
    @CryptField
    private String detailName;
    @NotNull(message = "请输入术语类型")
    private Integer type;
    @NotBlank(message = "请输入医院编码")
    private String hosCode;
    @CryptField
    @ApiModelProperty(hidden = true)
    private String uniqueName;
    @ApiModelProperty(hidden = true)
    private Integer position;
    @ApiModelProperty(hidden = true)
    private List<String> titles;
    @ApiModelProperty(hidden = true)
    private Integer libType;
    @ApiModelProperty(hidden = true)
    private Integer sysType;
}