package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DisclaimerInformationFacade;
import com.diagbot.vo.DisclaimerInformationVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @author wangfeng
 * @Description: 免责申明详情 前端控制器
 * @date 2018年11月27日 下午3:35:57
 */
@RestController
@RequestMapping("/disclaimerInformation")
@Api(value = "免责申明详情API[by:wangfeng]", tags = { "知识库标准化-免责申明详情API" })
@SuppressWarnings("unchecked")
public class DisclaimerInformationController {

    @Autowired
    DisclaimerInformationFacade disclaimerInformationFacade;

    @ApiOperation(value = "知识库标准化-获取免责申明详情[by:wangfeng]", notes = "获取免责申明详情")
    @PostMapping("/getDisclaimerInformations")
    @SysLogger("getDisclaimerInformations")
    public RespDTO<List<DisclaimerInformationDTO>> getDisclaimerInformations(@RequestBody DisclaimerInformationVO disclaimerInformationVO) {
        List<DisclaimerInformationDTO> data = disclaimerInformationFacade.getDisclaimerInformation(disclaimerInformationVO);
        return RespDTO.onSuc(data);
    }
}
