package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EvaluationFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 管理与评估模板表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-06
 */
@RestController
@RequestMapping("/evaluation")
@Api(value = "管理与评估模板API[by:wangfeng]", tags = { "知识库标准化-管理与评估模板API" })
@SuppressWarnings("unchecked")
public class EvaluationController {

    @Autowired
    EvaluationFacade evaluationFacade;

    @ApiOperation(value = "获取管理与评估模板[by:wangfeng]", notes = "获取管理与评估模板")
    @PostMapping("/getEvaluationModules")
    @SysLogger("getEvaluationModules")
    public RespDTO<List<EvaluationDTO>> getEvaluationModules(@Valid @RequestBody SearchVO searchVO) {
        List<EvaluationDTO> data = evaluationFacade.getEvaluationModule(searchVO);
        return RespDTO.onSuc(data);
    }
}
