package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.FeatureConceptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.FeatureFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/13 15:53
 */
@RestController
@RequestMapping("/feature")
@Api(value = "文本特征词提取相关API", tags = { "知识库标准化-文本特征词提取相关API" })
public class FeatureController {
    @Autowired
    private FeatureFacade featureFacade;

    @ApiOperation(value = "知识库标准化-症状特征词提取", notes = "")
    @PostMapping("/symptomFeature")
    @SysLogger("symptomFeature")
    public RespDTO<List<FeatureConceptDTO>> getSymptomFeature(@RequestParam("text") String text) {
        List<FeatureConceptDTO> data = featureFacade.getSymptomFeature(text);
        return RespDTO.onSuc(data);
    }
}