package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.FeatureDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.FeatureV2Facade;
import com.diagbot.vo.NLPVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/26 13:49
 */
@RestController
@RequestMapping("/featureV2")
@Api(value = "文本特征词提取V2相关API", tags = { "文本特征词提取V2相关API" })
public class FeatureV2Controller {
    @Autowired
    private FeatureV2Facade featureV2Facade;

    @ApiOperation(value = "知识库标准化-症状特征词提取", notes = "")
    @PostMapping("/symptomFeatureV2")
    @SysLogger("symptomFeatureV2")
    public RespDTO<List<FeatureDTO>> symptomFeatureV2(@RequestBody NLPVO nlpvo) {
        List<FeatureDTO> data = featureV2Facade.symptomFeatureV2(nlpvo);
        return RespDTO.onSuc(data);
    }
}