package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.IndexConfigFacade;
import com.diagbot.vo.IndexConfigdiseaseNameVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * <p>
 * 指标配置 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-06
 */
@RestController
@RequestMapping("/indexConfig")
@Api(value = "指标配置API[by:wangfeng]", tags = { "知识库标准化-指标配置API" })
@SuppressWarnings("unchecked")
//@ApiIgnore
public class IndexConfigController {

    @Autowired
    IndexConfigFacade indexConfigFacade;

    @ApiOperation(value = "知识库标准化-根据疾病获取指标配置[by:wangfeng]", notes = "根据疾病获取指标配置")
    @PostMapping("/getindexConfigs")
    @SysLogger("getindexConfigs")
    public RespDTO<List<IndexConfigDTO>> getindexConfigs(@RequestBody IndexConfigdiseaseNameVO indexConfigdiseaseNameVO) {
        List<IndexConfigDTO> data = indexConfigFacade.getIndexConfig(indexConfigdiseaseNameVO.getDiseaseName());
        return RespDTO.onSuc(data);
    }
}
