package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.LisMappingFacade;
import com.diagbot.vo.GetLisMappingVO;
import com.rabbitmq.client.AMQP;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jdk.nashorn.internal.ir.annotations.Ignore;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.Map;

/**
 * <p>
 * 化验项目公表映射 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2019-09-20
 */
@RestController
@RequestMapping("/lisMapping")
@Api(value = "化验大小项和公表映射相关API", tags = { "化验大小项和公表映射相关API" })
@ApiIgnore
public class LisMappingController {
    @Autowired
    LisMappingFacade lisMappingFacade;

    @ApiOperation(value = "知识库标准化-推理接口[by:zhaops]",
            notes = "project： 化验大项(必填)<br>" +
                    "details：化验小项,List<String><br>")
    @PostMapping("/getLisMappingByQuestion")
    @SysLogger("getLisMappingByQuestion")
    RespDTO<Map<String, Map<String, String>>> getLisMappingByQuestion(@RequestBody  GetLisMappingVO getLisMappingVO) {
        return RespDTO.onSuc(lisMappingFacade.getLisMappingByQuestion(getLisMappingVO));
    }
}
