package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.biz.push.entity.ResponseData;
import com.diagbot.biz.push.entity.ResponseDataV2;
import com.diagbot.biz.push.entity.ResponseDataWithExplainV2;
import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PushV2Facade;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/16 16:34
 */
@RestController
@RequestMapping("/pushV2")
@Api(value = "推理V2相关API", tags = { "知识库标准化-推理V2相关API" })
public class PushV2Controller {
    @Autowired
    private PushV2Facade pushV2Facade;

    @PostMapping("/originalPush")
    @SysLogger("originalPush")
    public RespDTO<ResponseDataV2> originalPush(@Valid @RequestBody SearchVO searchVO) {
        ResponseDataV2 data = pushV2Facade.originalPush(searchVO);
        return RespDTO.onSuc(data);
    }

    @PostMapping("/pushWithExplainV2")
    @SysLogger("pushWithExplainV2")
    public RespDTO<ResponseDataWithExplainV2> pushWithExplainV2(@Valid @RequestBody SearchVO searchVO) {
        ResponseDataWithExplainV2 data = pushV2Facade.pushWithExplain(searchVO);
        return RespDTO.onSuc(data);
    }
}
