package com.diagbot.aggregate;

import com.diagbot.client.KnowledgemanServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.google.common.collect.Lists;
import io.github.lvyahui8.spring.annotation.DataProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/10/16 13:29
 */
@Component
public class KnowledgemanAgg {
    @Autowired
    private KnowledgemanServiceClient knowledgemanServiceClient;

    @DataProvider("conceptDetailBI")
    public List<BIItemDTO> conceptDetailBI(){
        List<BIItemDTO> biItemDTOList = Lists.newLinkedList();
        RespDTO<List<BIItemDTO>> cdResp = knowledgemanServiceClient.conceptDetailBI();
        if (RespDTOUtil.respIsOK(cdResp)) {
            biItemDTOList.addAll(cdResp.data);
        }
        return biItemDTOList;
    }

    @DataProvider("queryLibTypeCou")
    public List<BIItemDTO> queryLibTypeCou(){
        List<BIItemDTO> biItemDTOList = Lists.newLinkedList();
        RespDTO<List<BIItemDTO>> conceptResp = knowledgemanServiceClient.queryLibTypeCou();
        if (RespDTOUtil.respIsOK(conceptResp)) {
            biItemDTOList.addAll(conceptResp.data);
        }
        return biItemDTOList;
    }
}
