package com.diagbot.aggregate;

import com.diagbot.client.NeoServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.ListUtil;
import com.diagbot.util.RespDTOUtil;
import com.google.common.collect.Lists;
import io.github.lvyahui8.spring.annotation.DataProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/17 10:26
 */
@Component
public class NeoAgg {
    @Autowired
    private NeoServiceClient neoServiceClient;

    @DataProvider("neoStatistics")
    public List<BIItemDTO> neoStatistics() {
        List<BIItemDTO> biItemDTOList = neoServiceClient.neoStatistics();
        if (ListUtil.isEmpty(biItemDTOList)) {
            BIItemDTO disease = new BIItemDTO();
            disease.setModuleName("疾病");
            disease.setItemName("图谱推送的疾病");
            disease.setCount(0);
            biItemDTOList.add(disease);

            BIItemDTO diseaseForChild = new BIItemDTO();
            diseaseForChild.setModuleName("疾病");
            diseaseForChild.setItemName("图谱推送的儿科疾病");
            diseaseForChild.setCount(0);
            biItemDTOList.add(diseaseForChild);

            BIItemDTO gauge = new BIItemDTO();
            gauge.setModuleName("量表");
            gauge.setItemName("量表总数");
            gauge.setCount(0);
            biItemDTOList.add(diseaseForChild);
        }
        return biItemDTOList;
    }
}