package com.diagbot.client;

import com.diagbot.client.hystrix.KnowledgemanServiceHystrix;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.PrecCountDTO;
import com.diagbot.dto.RespDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @Description: 调用知识库后台
 * @author: gaodm
 * @time: 2019/10/15 11:08
 */
@FeignClient(value = "knowledgeman-service", fallback = KnowledgemanServiceHystrix.class)
public interface KnowledgemanServiceClient {
    @PostMapping("/conceptDetail/conceptDetailBI")
    RespDTO<List<BIItemDTO>> conceptDetailBI();

    @PostMapping("/concept/queryLibTypeCou")
    RespDTO<List<BIItemDTO>> queryLibTypeCou();
}