package com.diagbot.client;

import com.diagbot.client.hystrix.NeoServiceHystrix;
import com.diagbot.dto.BIItemDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @Description:图谱服务
 * @Author:zhaops
 * @time: 2019/10/17 10:21
 */
@FeignClient(name = "neo", url = "${neo.server.address}", fallback = NeoServiceHystrix.class)
public interface NeoServiceClient {
    @PostMapping("/knowledge/neoStatistics")
    List<BIItemDTO> neoStatistics();
}