package com.diagbot.client;

import com.diagbot.client.hystrix.PrecmanServiceHystrix;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Description: 调用智能预问诊后台
 * @author: gaodm
 * @time: 2019/10/15 11:08
 */
@FeignClient(value = "precman-service", fallback = PrecmanServiceHystrix.class)
public interface PrecmanServiceClient {

    @PostMapping("/count_prec/getCount")
    RespDTO<BIItemDTO> getCount();
}