package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/22 10:23
 */
public enum StatisticsDetailTypeEnum implements KeyedNamed {
    DiseaseCount(1, "疾病总数"),
    NeoDiseaseCount(2, "图谱推送的疾病"),
    NeoPediatricDiseaseCount(3, "图谱推送的儿科疾病"),
    SymptomCount(4, "症状标准词"),
    VitalResultCount(5, "体征结果"),
    VitalIndexCount(6, "体征指标"),
    LisPackageCount(7, "化验套餐"),
    LisDetailCount(8, "化验明细"),
    PacsItemCount(9, "辅检项目"),
    DrugCount(10, "药品通用名"),
    OperationCount(11, "手术项目"),
    GaugeCount(12, "量表总数"),
    PrecSymptomCount(13, "预问诊症状条目"),
    TreatCount(14, "治疗数目"),
    ConceptDetailCount(15, "静态知识总数"),
    ConceptDetailDiseaseCount(16, "疾病"),
    LisTableCount(17, "化验公表项");

    @Setter
    private int key;

    @Setter
    private String name;

    StatisticsDetailTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static StatisticsDetailTypeEnum getEnum(int key) {
        for (StatisticsDetailTypeEnum item : StatisticsDetailTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        StatisticsDetailTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}