package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/15 17:00
 */
public enum StatisticsTypeEnum implements KeyedNamed {
    DIAGNOSE(1, "疾病"),
    SYMPTOM(2, "症状"),
    VITAL(3, "体征"),
    LIS(4, "化验"),
    PACS(5, "辅检"),
    DRUG(6, "药品"),
    OPERATION(7, "手术"),
    GAUGE(8, "量表"),
    PREC(9, "智能预问诊"),
    TREAT(10, "治疗"),
    CONCEPT_DETAIL(11, "静态知识");

    @Setter
    private int key;

    @Setter
    private String name;

    StatisticsTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static StatisticsTypeEnum getEnum(int key) {
        for (StatisticsTypeEnum item : StatisticsTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        StatisticsTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}