package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.BIDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.StatisticsFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/15 17:33
 */
@RestController
@RequestMapping("/statistics")
@SuppressWarnings("unchecked")
@Api(value = "BI-统计相关API", tags = { "BI-统计相关API" })
public class StatisticsController {
    @Autowired
    StatisticsFacade statisticsFacade;

    @ApiOperation(value = "数据统计[by:zhaops]", notes = "")
    @PostMapping("/count")
    @SysLogger("count")
    public RespDTO<BIDTO> count() {
        BIDTO data = statisticsFacade.count();
        return RespDTO.onSuc(data);
    }
}
