use `sys-user`;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-user

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 25/01/2021 10:23:17
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT -1 COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `order_no` int(11) NOT NULL DEFAULT 0 COMMENT '排序，从小到大',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 93 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统菜单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台', -1, 'YH-KZT', 1, '用户-控制台');
INSERT INTO `sys_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '更多服务', -1, 'YH-GDFW', 2, '用户-更多服务');
INSERT INTO `sys_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '机构中心', -1, 'YH-JGZX', 3, '用户-机构中心');
INSERT INTO `sys_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '账号信息', 3, 'YH-JGZX-ZHXX', 1, '用户-机构中心-账号信息');
INSERT INTO `sys_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已开通产品', 3, 'YH-JGZX-YKTCP', 2, '用户-机构中心-已开通产品');
INSERT INTO `sys_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '安全设置', 3, 'YH-JGZX-AQSZ', 5, '用户-机构中心-安全设置');
INSERT INTO `sys_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '管理服务端', 3, 'YH-JGZX-GLFFD', 3, '用户-机构中心-管理服务端');
INSERT INTO `sys_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '客户中心', -1, 'LT-KHZX', 2, '朗通-客户中心');
INSERT INTO `sys_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '机构信息', 10, 'LT-KHZX-JGXX', 2, '朗通-客户中心-机构信息');
INSERT INTO `sys_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台', -1, 'LT-KZT', 1, '朗通-控制台');
INSERT INTO `sys_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已生成令牌', 3, 'YH-JGZX-YSCLP', 4, '用户-机构中心-已生成令牌');
INSERT INTO `sys_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '注册用户', 10, 'LT-KHZX-ZCYH', 1, '朗通-客户中心-注册用户');
INSERT INTO `sys_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '审核超管信息', 10, 'LT-KHZX-CGXX', 3, '朗通-客户中心-超管信息');
INSERT INTO `sys_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '订单系统', -1, 'LT-DDXT', 3, '朗通-订单系统');
INSERT INTO `sys_menu` VALUES (18, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品申请列表', 17, 'LT-DDXT-CPXSQLB', 1, '朗通-订单系统-产品申请列表');
INSERT INTO `sys_menu` VALUES (19, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品线管理', -1, 'LT-CPXGL', 4, '朗通-产品线管理');
INSERT INTO `sys_menu` VALUES (20, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人中心', -1, 'LT-GRZX', 99, '朗通-个人中心');
INSERT INTO `sys_menu` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '已认证超管信息', 10, 'LT-YRZCGXX', 0, '朗通-客户中心-已认证超管信息');
INSERT INTO `sys_menu` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产品续费列表', 17, 'LT-CPXFLB', 2, '朗通-订单系统-产品续费列表');
INSERT INTO `sys_menu` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ICSS数据维护', -1, 'LT-YXSJWH', 5, '朗通-ICSS数据维护');
INSERT INTO `sys_menu` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '标签组维护', 23, 'LT-YXSJWH-BQZWH', 10, '朗通-ICSS数据维护-标签组维护');
INSERT INTO `sys_menu` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '独立类型标签维护', 23, 'LT-YXSJWH-DLLXBQWH', 20, '朗通-ICSS数据维护-独立类型标签维护');
INSERT INTO `sys_menu` VALUES (27, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '别名维护', 23, 'LT-YXSJWH-BMWH', 25, '朗通-ICSS数据维护-别名维护');
INSERT INTO `sys_menu` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模版维护', 23, 'LT-YXSJWH-MBWH', 30, '朗通-ICSS数据维护-模版维护');
INSERT INTO `sys_menu` VALUES (30, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'icss科室维护', 23, 'LT-YXSJWH-KSWH', 40, '朗通-ICSS数据维护-icss科室维护');
INSERT INTO `sys_menu` VALUES (31, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '常见选项维护', 23, 'LT-YXSJWH-CJXXWH', 45, '朗通-ICSS数据维护-常见选项维护');
INSERT INTO `sys_menu` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免责声明维护', 38, 'LT-YXSJKWH-MZSMWH', 90, '朗通-医学术语库维护-免责声明维护');
INSERT INTO `sys_menu` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '版本信息维护', 60, 'LT-GBBXXWH-BBXXWH', 60, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_menu` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '查体模板维护', 23, 'LT-YXSJWH-CTMBWH', 40, '朗通-ICSS数据维护-查体模板维护');
INSERT INTO `sys_menu` VALUES (37, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '提示信息维护', 23, 'LT-YXSJWH-TSXXWH', 50, '朗通-ICSS数据维护-提示信息维护');
INSERT INTO `sys_menu` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语库维护', -1, 'LT-YXSYKWH', 6, '朗通-医学术语库维护');
INSERT INTO `sys_menu` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语命名维护', 38, 'LT-YXSYKWH-YXSYMMWH', 10, '朗通-医学术语库维护-医学术语命名维护');
INSERT INTO `sys_menu` VALUES (40, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术语医学属性维护', 38, 'LT-YXSYKWH-SYYXSXWH', 2, '朗通-医学术语库维护-术语医学属性维护');
INSERT INTO `sys_menu` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关系维护', 38, 'LT-YXSYKWH-YXSYGXWH', 20, '朗通-医学术语库维护-医学术语关系维护');
INSERT INTO `sys_menu` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语静态知识维护', 38, 'LT-YXSYKWH-YXSYJTZSWH', 50, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_menu` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验大小项与公表项对应维护', 38, 'LT-YXSJWH-HYDXXYGBXDY', 85, '朗通-医学术语库维护-化验大小项与公表项对应维护');
INSERT INTO `sys_menu` VALUES (44, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢病管理与评估维护', 23, 'LT-YXSJWH-MBGLYPG', 75, '朗通-ICSS数据维护-慢病管理与评估维护');
INSERT INTO `sys_menu` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢病指标值关联维护', 38, 'LT-YXSYKWH-MBZBZGLWH', 70, '朗通-医学术语库维护-慢病指标值关联维护');
INSERT INTO `sys_menu` VALUES (48, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表结构维护', 38, 'LT-YXSYKWH-LBJGWH', 60, '朗通-医学术语库维护-量表结构维护');
INSERT INTO `sys_menu` VALUES (49, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语类型维护', 38, 'LT-YXSYKWH-YXSYLXWH', 5, '朗通-医学术语库维护-医学术语类型维护');
INSERT INTO `sys_menu` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验子项维护', 38, 'LT-YXSYKWH-HYZXWH', 80, '朗通-医学术语库维护-化验子项维护');
INSERT INTO `sys_menu` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关联维护', 38, 'LT-YXSYKWH-YXSYGLWH', 30, '朗通-医学术语库维护-医学术语关联维护');
INSERT INTO `sys_menu` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分诊人体图数据维护', 38, 'LT-YXSYKWH-YXSYDCGLWH', 40, '朗通-医学术语库维护-医学术语多层关联维护');
INSERT INTO `sys_menu` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '预问诊数据维护', -1, 'LT-YWZSJWH', 8, '朗通-预问诊数据维护');
INSERT INTO `sys_menu` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '独立填写单维护', 53, 'LT-YWZSJWH-DLTXDWH', 1, '朗通-预问诊数据维护-独立填写单维护');
INSERT INTO `sys_menu` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组合填写单维护', 53, 'LT-YWZSJWH-ZHTXDWH', 2, '朗通-预问诊数据维护-组合填写单维护');
INSERT INTO `sys_menu` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模版维护', 53, 'LT-YWZSJWH-MBWH', 3, '朗通-预问诊数据维护-模版维护');
INSERT INTO `sys_menu` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据维护', -1, 'LT-ZDYJWH', 10, '朗通-诊断依据维护');
INSERT INTO `sys_menu` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据数据维护', 57, 'LT-ZDYJWH-ZDYJSJWH', 10, '朗通-诊断依据维护-诊断依据数据维护');
INSERT INTO `sys_menu` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '问题词数据维护', 57, 'LT-ZDYJWH-WTCSJWH', 20, '朗通-诊断依据维护-问题词数据维护');
INSERT INTO `sys_menu` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各版本信息维护', -1, 'LT-GBBXXWH', 11, '朗通-各版本信息维护');
INSERT INTO `sys_menu` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数据统计', -1, 'LT-SJTJ', 12, '朗通-数据统计');
INSERT INTO `sys_menu` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学数据统计', 61, 'LT-SJTJ-YXSJTJ', 1, '朗通-数据统计-医学数据统计');
INSERT INTO `sys_menu` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检子项维护', 38, 'LT-YXSYKWH-FJZXWH', 86, '朗通-医学术语库维护-辅检子项维护');
INSERT INTO `sys_menu` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检层级关联维护', 38, 'LT-YXSYKWH-FJCJGLWH', 87, '朗通-医学术语库维护-辅检层级关联维护');
INSERT INTO `sys_menu` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '安全管理', -1, 'LT-AQGL', 13, '朗通-安全管理');
INSERT INTO `sys_menu` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'license维护', 65, 'LT-AQGL-LICENSEWH', 1, '朗通-安全管理-license维护');
INSERT INTO `sys_menu` VALUES (67, 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病历管理', -1, 'LT-BLGL', 14, '朗通-病历管理');
INSERT INTO `sys_menu` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', 38, 'LT-YXSYKWH-GZWH', 91, '朗通-医学术语库维护-规则维护');
INSERT INTO `sys_menu` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则应用维护', 38, 'LT-YXSYKWH-GZYYWH', 92, '朗通-医学术语库维护-规则应用维护');
INSERT INTO `sys_menu` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病例入录', -1, 'LT-BLZK-BLRl', 15, '朗通-病例入录');
INSERT INTO `sys_menu` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控条目', 72, 'LT-ZKYMSJWH-ZKTM', 1, '朗通-质控页面数据维护-质控条目');
INSERT INTO `sys_menu` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控页面数据维护', -1, 'LT-ZKYMSJWH', 17, '朗通-质控页面数据维护');
INSERT INTO `sys_menu` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '字段映射维护', 72, 'LT-ZKYMSJWH-ZDYSWH', 5, '朗通-质控页面数据维护-字段映射维护');
INSERT INTO `sys_menu` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组合字段维护', 72, 'LT-ZKYMSJWH-ZHDYWH', 10, '朗通-质控页面数据维护-组合字段维护');
INSERT INTO `sys_menu` VALUES (75, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模板维护', 72, 'LT-ZKYMSJWH-MBWH', 15, '朗通-质控页面数据维护-模板维护');
INSERT INTO `sys_menu` VALUES (76, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控类型维护', 72, 'LT-ZKYMSJWH-ZKLXWH', 20, '朗通-质控页面数据维护-质控类型维护');
INSERT INTO `sys_menu` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目关联质控类型', 72, 'LT-ZKYMSJWH-TMGLZKLX', 25, '朗通-质控页面数据维护-条目关联质控类型');
INSERT INTO `sys_menu` VALUES (78, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '标准病历', 72, 'LT-ZKYMSJWH-BZBL', 50, '朗通-质控页面数据维护-标准病历');
INSERT INTO `sys_menu` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自动化测试统计', 72, 'LT-ZKYMSJWH-ZDHCSTJ', 55, '朗通-质控页面数据维护-自动化测试统计');
INSERT INTO `sys_menu` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '任务列表', 72, 'LT-ZKYMSJWH-RWLB', 56, '朗通-质控页面数据维护-任务列表');
INSERT INTO `sys_menu` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'CDSS数据维护', -1, 'LT-CDSSSJWH', 100, '朗通-CDSS数据维护');
INSERT INTO `sys_menu` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态术语知识维护', 81, 'LT-CDSSSJWH-JTSYZSWH', 10, '朗通-CDSS数据维护-静态术语知识维护');
INSERT INTO `sys_menu` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语关联维护', 81, 'LT-CDSSSJWH-YXSYGLWH', 20, '朗通-CDSS数据维护-医学术语关联维护');
INSERT INTO `sys_menu` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院管理', 81, 'LT-CDSSSJWH-YYGL', 30, '朗通-CDSS数据维护-医院管理');
INSERT INTO `sys_menu` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院用户管理', 81, 'LT-CDSSSJWH-YYYHGL', 40, '朗通-CDSS数据维护-医院用户管理');
INSERT INTO `sys_menu` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电子病历方案配置', 81, 'LT-CDSSSJWH-DZBLFAPZ', 50, '朗通-CDSS数据维护-电子病历方案配置');
INSERT INTO `sys_menu` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '版本维护', 81, 'LT-CDSSSJWH-BBWH', 60, '朗通-CDSS数据维护-版本维护');
INSERT INTO `sys_menu` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免责声明维护', 81, 'LT-CDSSSJWH-MZSMWH', 70, '朗通-CDSS数据维护-免责声明维护');
INSERT INTO `sys_menu` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '知识图谱标准术语维护', 81, 'LT-CDSSSJWH-ZSTPBZSYWH', 0, '朗通-CDSS数据维护-知识图谱标准术语维护');
INSERT INTO `sys_menu` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院术语自动化测试', -1, 'LT-YYSYZDHCS', 101, '朗通-医院术语自动化测试');
INSERT INTO `sys_menu` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '知识图谱规则测试', 90, 'LT-YYSYZDHCS-ZSTPGZCS', 10, '朗通-医院术语自动化测试-知识图谱规则测试');
INSERT INTO `sys_menu` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态知识映射测试', 90, 'LT-YYSYZDHCS-JTZSYSCS', 20, '朗通-医院术语自动化测试-静态知识映射测试');

SET FOREIGN_KEY_CHECKS = 1;


/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-user

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 25/01/2021 10:23:28
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '角色名称',
  `roleLevel` int(11) NOT NULL DEFAULT 0 COMMENT '角色等级',
  `descritpion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '角色描述',
  `menuItems` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '菜单ID：对应角色ID',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '普通用户', 0, '', '', '');
INSERT INTO `sys_role` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '管理员', 0, '', '', '');
INSERT INTO `sys_role` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ICSS数据维护人员', 0, '', '', '');
INSERT INTO `sys_role` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医学术语库维护人员', 0, '', '', '');
INSERT INTO `sys_role` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '预问诊数据维护', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据维护', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各版本信息维护人员', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '注册用户查询', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数据统计', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'license', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病历管理', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静态信息兼规则维护人员', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病例录入', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控页面数据维护', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'CDSS数据维护人员(2020新版)', 0, '', '', NULL);
INSERT INTO `sys_role` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院术语自动化测试人员', 0, '', '', NULL);

SET FOREIGN_KEY_CHECKS = 1;


/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-user

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 25/01/2021 10:24:29
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '菜单id',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单的映射表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 1, '用户-控制台');
INSERT INTO `sys_role_menu` VALUES (2, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 2, '用户-更多服务');
INSERT INTO `sys_role_menu` VALUES (3, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 3, '用户-机构中心');
INSERT INTO `sys_role_menu` VALUES (4, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 4, '用户-机构中心-账号信息');
INSERT INTO `sys_role_menu` VALUES (5, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 5, '用户-机构中心-已开通产品');
INSERT INTO `sys_role_menu` VALUES (6, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 6, '用户-机构中心-安全设置');
INSERT INTO `sys_role_menu` VALUES (7, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 9, '用户-机构中心-管理服务端');
INSERT INTO `sys_role_menu` VALUES (8, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 14, '用户-机构中心-已生成令牌');
INSERT INTO `sys_role_menu` VALUES (9, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 10, '朗通-客户中心');
INSERT INTO `sys_role_menu` VALUES (10, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 11, '朗通-客户中心-机构信息');
INSERT INTO `sys_role_menu` VALUES (11, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 12, '朗通-控制台');
INSERT INTO `sys_role_menu` VALUES (12, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 15, '朗通-客户中心-注册用户');
INSERT INTO `sys_role_menu` VALUES (13, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 16, '朗通-客户中心-审核超管信息');
INSERT INTO `sys_role_menu` VALUES (14, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 17, '朗通-订单系统');
INSERT INTO `sys_role_menu` VALUES (15, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 18, '朗通-订单系统-产品线申请列表');
INSERT INTO `sys_role_menu` VALUES (16, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 19, '朗通-产品线管理');
INSERT INTO `sys_role_menu` VALUES (17, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 20, '朗通-个人中心');
INSERT INTO `sys_role_menu` VALUES (21, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 21, '朗通-客户中心-已认证超管信息');
INSERT INTO `sys_role_menu` VALUES (22, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 2, 22, '朗通-订单系统-产品续费列表');
INSERT INTO `sys_role_menu` VALUES (23, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 23, '朗通-ICSS数据维护');
INSERT INTO `sys_role_menu` VALUES (24, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 24, '朗通-ICSS数据维护-标签组维护');
INSERT INTO `sys_role_menu` VALUES (25, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 25, '朗通-ICSS数据维护-独立类型标签维护');
INSERT INTO `sys_role_menu` VALUES (27, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 27, '朗通-ICSS数据维护-别名维护');
INSERT INTO `sys_role_menu` VALUES (28, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 28, '朗通-ICSS数据维护-模版维护');
INSERT INTO `sys_role_menu` VALUES (29, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 29, '朗通-ICSS数据维护-查体模版维护');
INSERT INTO `sys_role_menu` VALUES (30, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 30, '朗通-ICSS数据维护-icss科室维护');
INSERT INTO `sys_role_menu` VALUES (31, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 31, '朗通-ICSS数据维护-常见选项维护');
INSERT INTO `sys_role_menu` VALUES (32, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 32, '朗通-ICSS数据维护-提示信息维护');
INSERT INTO `sys_role_menu` VALUES (33, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 33, '朗通-ICSS数据维护-免责声明维护');
INSERT INTO `sys_role_menu` VALUES (34, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 34, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_role_menu` VALUES (35, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 35, '朗通-ICSS数据维护-查体模板维护');
INSERT INTO `sys_role_menu` VALUES (38, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 38, '朗通-医学术语库维护');
INSERT INTO `sys_role_menu` VALUES (39, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 39, '朗通-医学术语库维护-医学术语命名维护');
INSERT INTO `sys_role_menu` VALUES (40, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 40, '朗通-医学术语库维护-术语医学属性维护');
INSERT INTO `sys_role_menu` VALUES (41, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 41, '朗通-医学术语库维护-医学术语关系维护');
INSERT INTO `sys_role_menu` VALUES (42, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 42, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_role_menu` VALUES (43, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 43, '朗通-医学术语库维护-化验大小项与公表项对应维护');
INSERT INTO `sys_role_menu` VALUES (45, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 44, '朗通-ICSS数据维护-慢病管理与评估维护');
INSERT INTO `sys_role_menu` VALUES (46, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 45, '朗通-ICSS数据维护-慢病指标值关联维护');
INSERT INTO `sys_role_menu` VALUES (49, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 3, 48, '朗通-医学术语库维护-量表结构维护');
INSERT INTO `sys_role_menu` VALUES (50, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 49, '朗通-医学术语库维护-医学术语类型维护');
INSERT INTO `sys_role_menu` VALUES (51, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 51, '朗通-医学术语库维护-医学术语关联维护');
INSERT INTO `sys_role_menu` VALUES (52, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 52, '朗通-医学术语库维护-医学术语多层关联维护');
INSERT INTO `sys_role_menu` VALUES (53, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 50, '朗通-医学术语库维护-化验子项维护');
INSERT INTO `sys_role_menu` VALUES (54, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 53, '朗通-预问诊数据维护');
INSERT INTO `sys_role_menu` VALUES (55, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 54, '朗通-预问诊数据维护-独立填写单维护');
INSERT INTO `sys_role_menu` VALUES (56, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 55, '朗通-预问诊数据维护-组合填写单维护');
INSERT INTO `sys_role_menu` VALUES (57, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 5, 56, '朗通-预问诊数据维护-模版维护');
INSERT INTO `sys_role_menu` VALUES (58, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 57, '朗通-诊断依据维护');
INSERT INTO `sys_role_menu` VALUES (59, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 58, '朗通-诊断依据维护-诊断依据数据维护');
INSERT INTO `sys_role_menu` VALUES (60, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 6, 59, '朗通-诊断依据维护-问题词数据维护');
INSERT INTO `sys_role_menu` VALUES (61, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 7, 60, '朗通-各版本信息维护-版本信息维护');
INSERT INTO `sys_role_menu` VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 10, '朗通-客户中心');
INSERT INTO `sys_role_menu` VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 8, 15, '朗通-客户中心-注册用户');
INSERT INTO `sys_role_menu` VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 61, '朗通-数据统计');
INSERT INTO `sys_role_menu` VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 9, 62, '朗通-数据统计-医学数据统计');
INSERT INTO `sys_role_menu` VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 63, '朗通-医学术语库维护-辅检子项维护');
INSERT INTO `sys_role_menu` VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 4, 64, '朗通-医学术语库维护-辅检层级关联维护');
INSERT INTO `sys_role_menu` VALUES (68, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 65, '朗通-安全管理');
INSERT INTO `sys_role_menu` VALUES (69, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 10, 66, '朗通-安全管理-license维护');
INSERT INTO `sys_role_menu` VALUES (70, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 11, 67, '朗通-病历管理');
INSERT INTO `sys_role_menu` VALUES (71, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 42, '朗通-医学术语库维护-医学术语静态知识维护');
INSERT INTO `sys_role_menu` VALUES (72, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 68, '朗通-医学术语库维护-规则维护');
INSERT INTO `sys_role_menu` VALUES (73, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 69, '朗通-医学术语库维护-规则应用维护');
INSERT INTO `sys_role_menu` VALUES (74, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 12, 38, '朗通-医学术语库维护');
INSERT INTO `sys_role_menu` VALUES (77, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 13, 70, '朗通-病历入录');
INSERT INTO `sys_role_menu` VALUES (79, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 71, '朗通-质控页面数据维护-质控条目');
INSERT INTO `sys_role_menu` VALUES (80, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 72, '朗通-质控页面数据维护');
INSERT INTO `sys_role_menu` VALUES (81, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 73, '朗通-质控页面数据维护-字段映射维护');
INSERT INTO `sys_role_menu` VALUES (82, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 74, '朗通-质控页面数据维护-组合字段维护');
INSERT INTO `sys_role_menu` VALUES (83, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 75, '朗通-质控页面数据维护-模板维护');
INSERT INTO `sys_role_menu` VALUES (84, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 76, '朗通-质控页面数据维护-质控类型维护');
INSERT INTO `sys_role_menu` VALUES (85, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 77, '朗通-质控页面数据维护-条目关联质控类型');
INSERT INTO `sys_role_menu` VALUES (86, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 78, '朗通-质控页面数据维护-标准病历');
INSERT INTO `sys_role_menu` VALUES (87, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 79, '朗通-质控页面数据维护-自动化测试统计');
INSERT INTO `sys_role_menu` VALUES (88, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 15, 80, '朗通-质控页面数据维护-任务列表');
INSERT INTO `sys_role_menu` VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 81, '朗通-CDSS数据维护');
INSERT INTO `sys_role_menu` VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 82, '朗通-CDSS数据维护-静态术语知识维护');
INSERT INTO `sys_role_menu` VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 83, '朗通-CDSS数据维护-医学术语关联维护');
INSERT INTO `sys_role_menu` VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 84, '朗通-CDSS数据维护-医院管理');
INSERT INTO `sys_role_menu` VALUES (93, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 85, '朗通-CDSS数据维护-医院用户管理');
INSERT INTO `sys_role_menu` VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 86, '朗通-CDSS数据维护-电子病历方案配置');
INSERT INTO `sys_role_menu` VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 87, '朗通-CDSS数据维护-版本维护');
INSERT INTO `sys_role_menu` VALUES (96, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 88, '朗通-CDSS数据维护-免责声明维护');
INSERT INTO `sys_role_menu` VALUES (97, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 16, 89, '朗通-CDSS数据维护-知识图谱标准术语维护');
INSERT INTO `sys_role_menu` VALUES (98, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 90, '朗通-医院术语自动化测试');
INSERT INTO `sys_role_menu` VALUES (99, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 91, '朗通-医院术语自动化测试-知识图谱规则测试');
INSERT INTO `sys_role_menu` VALUES (100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 17, 92, '朗通-医院术语自动化测试-静态知识映射测试');

SET FOREIGN_KEY_CHECKS = 1;


INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 300, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 301, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 302, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 303, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 304, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 305, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 306, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 307, 17, '');
INSERT INTO `sys_user_role`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `user_id`, `role_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 308, 17, '');
