package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/20 13:46
 */
@Getter
@Setter
public class ExportCriticalLisDTO {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 危机值开单项类型（1：实验室检查、2：辅助检查）
     */
    private Integer criticalType;

    /**
     * 开单项类型
     */
    private String criticalItemType;

    /**
     * 开单项名称
     */
    @Excel(name = "实验室检查名称（标准术语）", width = 40, orderNum = "2")
    private String criticalItemName;

    /**
     * 开单项名称（医院端）
     */
    @Excel(name = "实验室检查套餐名（医院术语）", width = 40, orderNum = "3")
    private String criticalItemHisName;

    /**
     * 开单项名称-细项（医院端）
     */
    @Excel(name = "实验室检查名称（医院术语）", width = 40, orderNum = "4")
    private String criticalItemHisDetailName;

    /**
     * 输入值（文本/数值）
     */
    @Excel(name = "输入值", width = 40, orderNum = "7")
    private String inputValue;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 范围（0：范围内，1：范围外）
     */
    private Integer criticalItemRange;

    /**
     * 参考值（最小值）
     */
    @Excel(name = "低危急值", width = 40, orderNum = "6")
    private BigDecimal minValue;

    /**
     * 参考值（最大值）
     */
    @Excel(name = "高危急值", width = 40, orderNum = "5")
    private BigDecimal maxValue;

    /**
     * 单位
     */
    private String unit;

    /**
     * 年龄最小值
     */
    private Integer minAge;

    /**
     * 年龄最大值
     */
    private Integer maxAge;

    /**
     * 输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 80, orderNum = "10")
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 80, orderNum = "11")
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "12", replace = { "失败_0", "成功_1" })
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 80, orderNum = "13")
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;
}
