package com.diagbot.dto;

import com.diagbot.enums.YesNoEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/3/2 11:25
 */
@Getter
@Setter
public class KlLexiconDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

    /**
     * 操作人
     */
    private String operName;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 类型名称
     */
    private String name;

    /**
     * 数字编码（100~500）
     */
    private Integer code;

    /**
     * 是否有通用扩展(0:否;1:是)
     */
    private Integer isHasCommon;

    /**
     * 是否有通用扩展(0:否;1:是)中文
     */
    private String isHasCommonCn;
    public String getIsHasCommonCn() {
        return YesNoEnum.getName(this.isHasCommon);
    }

    /**
     * 是否只有一个(0:否;1:是)
     */
    private Integer onlyOne;
    /**
     * 是否只有一个(0:否;1:是)中文
     */
    private String onlyOneCn;
    public String getOnlyOneCn() {
        return YesNoEnum.getName(this.onlyOne);
    }

    /**
     * 是否允许修改(0:否;1:是)
     */
    private Integer canChange;
    /**
     * 是否允许修改(0:否;1:是)中文
     */
    private String canChangeCn;
    public String getCanChangeCn() {
        return YesNoEnum.getName(this.canChange);
    }

    /**
     * 备注
     */
    private String remark;
}
