package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import com.diagbot.entity.ResultRule;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/15 13:32
 */
@Getter
@Setter
public class ResultRulePageDTO {
    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss", needMerge = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;
    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 规则序号
     */
    private Long ruleOrderNo;

    /**
     * 规则类型（1：开单-通用，2：开单-输血，3：危急值-检验，4：危急值-检查，5：高危药品，6：高危手术，7：其他值提醒-检验，8-其他值提醒-检查，9-其他值提醒-输血，10：正常项目重复开立）
     */
    private Integer ruleType;

    /**
     * 规则id
     */
    private Long ruleId;

    /**
     * 开单项类型（编码）
     */
    private Integer ruleLibType;

    /**
     * 开单项类型（名称）
     */
    @Excel(name = "规则术语类型", width = 40, orderNum = "2", needMerge = true)
    private String ruleLibTypeName;

    /**
     * 开单项名称
     */
    @Excel(name = "规则医学标准术语", width = 40, orderNum = "3", needMerge = true)
    private String ruleLibName;

    /**
     * 开单项名称（医院端）
     */
    @Excel(name = "规则医院术语", width = 40, orderNum = "4", needMerge = true)
    private String ruleHisName;

    /**
     * 开单项名称-细项（医院端）
     */
    @Excel(name = "规则医院术语细项", width = 40, orderNum = "5", needMerge = true)
    private String ruleHisDetailName;

    /**
     * 规则组别
     */
    @Excel(name = "规则组别", width = 40, orderNum = "6", needMerge = true)
    private Integer groupType;

    /**
     * 基础规则
     */
    @ExcelCollection(name = "", orderNum = "7")
    private List<ResultRule> baseRules;

    /**
     * 实际输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 60, orderNum = "8", needMerge = true)
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 60, orderNum = "9", needMerge = true)
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "10", replace = { "失败_0", "成功_1" }, needMerge = true)
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 60, orderNum = "11", needMerge = true)
    private String message;

    private String ids;
}