package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术语分类表
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public class KlLexicon implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 类型名称
     */
    private String name;

    /**
     * 数字编码（100~500）
     */
    private Integer code;

    /**
     * 是否有通用扩展(0:否;1:是)
     */
    private Integer isHasCommon;

    /**
     * 是否只有一个(0:否;1:是)
     */
    private Integer onlyOne;

    /**
     * 是否允许修改(0:否;1:是)
     */
    private Integer canChange;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Integer getIsHasCommon() {
        return isHasCommon;
    }

    public void setIsHasCommon(Integer isHasCommon) {
        this.isHasCommon = isHasCommon;
    }

    public Integer getOnlyOne() {
        return onlyOne;
    }

    public void setOnlyOne(Integer onlyOne) {
        this.onlyOne = onlyOne;
    }

    public Integer getCanChange() {
        return canChange;
    }

    public void setCanChange(Integer canChange) {
        this.canChange = canChange;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "KlLexicon{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", name=" + name +
                ", code=" + code +
                ", isHasCommon=" + isHasCommon +
                ", onlyOne=" + onlyOne +
                ", canChange=" + canChange +
                ", remark=" + remark +
                "}";
    }
}
