package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhaops
 * @since 2021-01-11
 */
@TableName("test_result_bill")
public class ResultBill implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 开单类型（1：通用，2：输血）
     */
    private Integer billType;

    /**
     * 开单项类型（编码）
     */
    private Integer billItemTypeCode;
    /**
     * 开单项类型
     */
    private String billItemType;

    /**
     * 开单项名称
     */
    private String billItemName;

    /**
     * 开单项名称（医院端）
     */
    private String billItemHisName;

    /**
     * 开单项名称-细项（医院端）
     */
    private String billItemHisDetailName;

    /**
     *
     */
    private Integer conflictType;

    /**
     * 禁忌项类型（编码）
     */
    private Integer conflictItemTypeCode;
    /**
     * 禁忌项类型
     */
    private String conflictItemType;

    /**
     * 禁忌项名称
     */
    private String conflictItemName;

    /**
     * 禁忌项名称（医院端）
     */
    private String conflictItemHisName;

    /**
     * 禁忌项名称-细项（医院端）
     */
    private String conflictItemHisDetailName;

    /**
     * 输入值（文本/数值）
     */
    private String inputValue;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 参考值（最大值）
     */
    private BigDecimal maxValue;

    /**
     * 参考值（最小值）
     */
    private BigDecimal minValue;

    /**
     * 单位
     */
    private String unit;

    /**
     * 范围（0：范围内，1：范围外）
     */
    private Integer conflictItemRange;

    /**
     * 输出结果（提醒文本）
     */
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public Integer getBillItemTypeCode() {
        return billItemTypeCode;
    }

    public void setBillItemTypeCode(Integer billItemTypeCode) {
        this.billItemTypeCode = billItemTypeCode;
    }

    public String getBillItemType() {
        return billItemType;
    }

    public void setBillItemType(String billItemType) {
        this.billItemType = billItemType;
    }

    public String getBillItemName() {
        return billItemName;
    }

    public void setBillItemName(String billItemName) {
        this.billItemName = billItemName;
    }

    public String getBillItemHisName() {
        return billItemHisName;
    }

    public void setBillItemHisName(String billItemHisName) {
        this.billItemHisName = billItemHisName;
    }

    public String getBillItemHisDetailName() {
        return billItemHisDetailName;
    }

    public void setBillItemHisDetailName(String billItemHisDetailName) {
        this.billItemHisDetailName = billItemHisDetailName;
    }

    public Integer getConflictType() {
        return conflictType;
    }

    public void setConflictType(Integer conflictType) {
        this.conflictType = conflictType;
    }

    public Integer getConflictItemTypeCode() {
        return conflictItemTypeCode;
    }

    public void setConflictItemTypeCode(Integer conflictItemTypeCode) {
        this.conflictItemTypeCode = conflictItemTypeCode;
    }

    public String getConflictItemType() {
        return conflictItemType;
    }

    public void setConflictItemType(String conflictItemType) {
        this.conflictItemType = conflictItemType;
    }

    public String getConflictItemName() {
        return conflictItemName;
    }

    public void setConflictItemName(String conflictItemName) {
        this.conflictItemName = conflictItemName;
    }

    public String getConflictItemHisName() {
        return conflictItemHisName;
    }

    public void setConflictItemHisName(String conflictItemHisName) {
        this.conflictItemHisName = conflictItemHisName;
    }

    public String getConflictItemHisDetailName() {
        return conflictItemHisDetailName;
    }

    public void setConflictItemHisDetailName(String conflictItemHisDetailName) {
        this.conflictItemHisDetailName = conflictItemHisDetailName;
    }

    public String getInputValue() {
        return inputValue;
    }

    public void setInputValue(String inputValue) {
        this.inputValue = inputValue;
    }

    public String getReferenceValue() {
        return referenceValue;
    }

    public void setReferenceValue(String referenceValue) {
        this.referenceValue = referenceValue;
    }

    public BigDecimal getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(BigDecimal maxValue) {
        this.maxValue = maxValue;
    }

    public BigDecimal getMinValue() {
        return minValue;
    }

    public void setMinValue(BigDecimal minValue) {
        this.minValue = minValue;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getConflictItemRange() {
        return conflictItemRange;
    }

    public void setConflictItemRange(Integer conflictItemRange) {
        this.conflictItemRange = conflictItemRange;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }

    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultBill{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", resultId=" + resultId +
                ", billType=" + billType +
                ", billItemTypeCode=" + billItemTypeCode +
                ", billItemType=" + billItemType +
                ", billItemName=" + billItemName +
                ", billItemHisName=" + billItemHisName +
                ", billItemHisDetailName=" + billItemHisDetailName +
                ", conflictType=" + conflictType +
                ", conflictItemTypeCode=" + conflictItemTypeCode +
                ", conflictItemType=" + conflictItemType +
                ", conflictItemName=" + conflictItemName +
                ", conflictItemHisName=" + conflictItemHisName +
                ", conflictItemHisDetailName=" + conflictItemHisDetailName +
                ", inputValue=" + inputValue +
                ", referenceValue=" + referenceValue +
                ", maxValue=" + maxValue +
                ", minValue=" + minValue +
                ", unit=" + unit +
                ", conflictItemRange=" + conflictItemRange +
                ", output=" + output +
                ", expectedOutput=" + expectedOutput +
                ", success=" + success +
                ", message=" + message +
                ", inputParams" + inputParams +
                "}";
    }
}