package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-14
 */
@TableName("test_result_critical")
public class ResultCritical implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 危机值开单项类型（1：实验室检查、2：辅助检查）
     */
    private Integer criticalType;

    /**
     * 开单项类型
     */
    private String criticalItemType;

    /**
     * 开单项名称
     */
    private String criticalItemName;

    /**
     * 开单项名称（医院端）
     */
    private String criticalItemHisName;

    /**
     * 开单项名称-细项（医院端）
     */
    private String criticalItemHisDetailName;

    /**
     * 输入值（文本/数值）
     */
    private String inputValue;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 范围（0：范围内，1：范围外）
     */
    private Integer criticalItemRange;

    /**
     * 参考值（最小值）
     */
    private BigDecimal minValue;

    /**
     * 参考值（最大值）
     */
    private BigDecimal maxValue;

    /**
     * 单位
     */
    private String unit;

    /**
     * 年龄最小值
     */
    private Integer minAge;

    /**
     * 年龄最大值
     */
    private Integer maxAge;

    /**
     * 输出结果（提醒文本）
     */
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }
    public Integer getCriticalType() {
        return criticalType;
    }

    public void setCriticalType(Integer criticalType) {
        this.criticalType = criticalType;
    }
    public String getCriticalItemType() {
        return criticalItemType;
    }

    public void setCriticalItemType(String criticalItemType) {
        this.criticalItemType = criticalItemType;
    }
    public String getCriticalItemName() {
        return criticalItemName;
    }

    public void setCriticalItemName(String criticalItemName) {
        this.criticalItemName = criticalItemName;
    }
    public String getCriticalItemHisName() {
        return criticalItemHisName;
    }

    public void setCriticalItemHisName(String criticalItemHisName) {
        this.criticalItemHisName = criticalItemHisName;
    }
    public String getCriticalItemHisDetailName() {
        return criticalItemHisDetailName;
    }

    public void setCriticalItemHisDetailName(String criticalItemHisDetailName) {
        this.criticalItemHisDetailName = criticalItemHisDetailName;
    }
    public String getInputValue() {
        return inputValue;
    }

    public void setInputValue(String inputValue) {
        this.inputValue = inputValue;
    }
    public String getReferenceValue() {
        return referenceValue;
    }

    public void setReferenceValue(String referenceValue) {
        this.referenceValue = referenceValue;
    }
    public Integer getCriticalItemRange() {
        return criticalItemRange;
    }

    public void setCriticalItemRange(Integer criticalItemRange) {
        this.criticalItemRange = criticalItemRange;
    }
    public BigDecimal getMinValue() {
        return minValue;
    }

    public void setMinValue(BigDecimal minValue) {
        this.minValue = minValue;
    }
    public BigDecimal getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(BigDecimal maxValue) {
        this.maxValue = maxValue;
    }
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
    public Integer getMinAge() {
        return minAge;
    }

    public void setMinAge(Integer minAge) {
        this.minAge = minAge;
    }
    public Integer getMaxAge() {
        return maxAge;
    }

    public void setMaxAge(Integer maxAge) {
        this.maxAge = maxAge;
    }
    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }
    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultCritical{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", resultId=" + resultId +
            ", criticalType=" + criticalType +
            ", criticalItemType=" + criticalItemType +
            ", criticalItemName=" + criticalItemName +
            ", criticalItemHisName=" + criticalItemHisName +
            ", criticalItemHisDetailName=" + criticalItemHisDetailName +
            ", inputValue=" + inputValue +
            ", referenceValue=" + referenceValue +
            ", criticalItemRange=" + criticalItemRange +
            ", minValue=" + minValue +
            ", maxValue=" + maxValue +
            ", unit=" + unit +
            ", minAge=" + minAge +
            ", maxAge=" + maxAge +
            ", output=" + output +
            ", expectedOutput=" + expectedOutput +
            ", success=" + success +
            ", message=" + message +
            ", inputParams=" + inputParams +
        "}";
    }
}
