package com.diagbot.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-14
 */
@TableName("test_result_highrisk_drug")
public class ResultHighriskDrug implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    @Excel(name = "药品通用名称（标准术语）", width = 40, orderNum = "2")
    private String highriskItemName;

    @Excel(name = "药品注册名称", width = 40, orderNum = "4")
    private String highriskItemRegName;

    @Excel(name = "药品通用名称（医院术语）", width = 40, orderNum = "3")
    private String highriskItemHisName;

    @Excel(name = "剂型", width = 40, orderNum = "5")
    private String highriskItemForm;

    /**
     * 药品高危级别（A级高危、B级高危、C级高危）
     */
    @Excel(name = "药品高危级别", width = 40, orderNum = "6")
    private String highriskLevel;

    /**
     * 输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 80, orderNum = "10")
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 80, orderNum = "11")
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "12", replace = { "失败_0", "成功_1" })
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 80, orderNum = "13")
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }
    public String getHighriskItemName() {
        return highriskItemName;
    }

    public void setHighriskItemName(String highriskItemName) {
        this.highriskItemName = highriskItemName;
    }
    public String getHighriskItemRegName() {
        return highriskItemRegName;
    }

    public void setHighriskItemRegName(String highriskItemRegName) {
        this.highriskItemRegName = highriskItemRegName;
    }
    public String getHighriskItemHisName() {
        return highriskItemHisName;
    }

    public void setHighriskItemHisName(String highriskItemHisName) {
        this.highriskItemHisName = highriskItemHisName;
    }
    public String getHighriskItemForm() {
        return highriskItemForm;
    }

    public void setHighriskItemForm(String highriskItemForm) {
        this.highriskItemForm = highriskItemForm;
    }
    public String getHighriskLevel() {
        return highriskLevel;
    }

    public void setHighriskLevel(String highriskLevel) {
        this.highriskLevel = highriskLevel;
    }
    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }
    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultHighriskDrug{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", resultId=" + resultId +
            ", highriskItemName=" + highriskItemName +
            ", highriskItemRegName=" + highriskItemRegName +
            ", highriskItemHisName=" + highriskItemHisName +
            ", highriskItemForm=" + highriskItemForm +
            ", highriskLevel=" + highriskLevel +
            ", output=" + output +
            ", expectedOutput=" + expectedOutput +
            ", success=" + success +
            ", message=" + message +
            ", inputParams=" + inputParams +
        "}";
    }
}
