package com.diagbot.entity;

import java.math.BigDecimal;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-19
 */
@TableName("test_result_highrisk_operation")
public class ResultHighriskOperation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 标准名称
     */
    @Excel(name = "手术名称（标准术语）", width = 40, orderNum = "2")
    private String highriskItemName;

    /**
     * 医院端名称
     */
    @Excel(name = "手术名称（医院术语）", width = 40, orderNum = "3")
    private String highriskItemHisName;

    /**
     * 手术级别（1、2、3、4、5）
     */
    @Excel(name = "手术级别", width = 20, orderNum = "4")
    private String level;

    /**
     * 高危条件名称
     */
    @Excel(name = "禁忌项（标准术语）", width = 40, orderNum = "6")
    private String factorItemName;

    /**
     * 高危条件医院端名称
     */
    @Excel(name = "禁忌项（医院术语）", width = 40, orderNum = "7")
    private String factorItemHisName;

    /**
     * 高危条件医院端名称-细项
     */
    @Excel(name = "禁忌项-细项（医院术语）", width = 40, orderNum = "8")
    private String factorItemHisDetailName;

    /**
     * 高危条件类型
     */
    @Excel(name = "禁忌项类型", width = 40, orderNum = "5")
    private String factorItemType;

    /**
     * 高危条件范围
     */
    private Integer factorItemRange;

    /**
     * 高危条件最小值
     */
    private BigDecimal factorItemMinValue;

    /**
     * 高危条件最大值
     */
    private BigDecimal factorItemMaxValue;

    /**
     * 输入值
     */
    @Excel(name = "禁忌项输入值/结果", width = 40, orderNum = "8")
    private String inputValue;

    /**
     * 高危条件单位
     */
    private String factorItemUnit;

    /**
     * 是否模糊匹配
     */
    private String factorItemExactMatch;

    /**
     * 高危条件
     */
    private String factorItemCond;

    /**
     * 输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 80, orderNum = "10")
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 80, orderNum = "11")
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "12", replace = { "失败_0", "成功_1" })
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 80, orderNum = "13")
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }
    public String getHighriskItemName() {
        return highriskItemName;
    }

    public void setHighriskItemName(String highriskItemName) {
        this.highriskItemName = highriskItemName;
    }
    public String getHighriskItemHisName() {
        return highriskItemHisName;
    }

    public void setHighriskItemHisName(String highriskItemHisName) {
        this.highriskItemHisName = highriskItemHisName;
    }
    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
    public String getFactorItemName() {
        return factorItemName;
    }

    public void setFactorItemName(String factorItemName) {
        this.factorItemName = factorItemName;
    }
    public String getFactorItemHisName() {
        return factorItemHisName;
    }

    public void setFactorItemHisName(String factorItemHisName) {
        this.factorItemHisName = factorItemHisName;
    }
    public String getFactorItemHisDetailName() {
        return factorItemHisDetailName;
    }

    public void setFactorItemHisDetailName(String factorItemHisDetailName) {
        this.factorItemHisDetailName = factorItemHisDetailName;
    }
    public String getFactorItemType() {
        return factorItemType;
    }

    public void setFactorItemType(String factorItemType) {
        this.factorItemType = factorItemType;
    }
    public Integer getFactorItemRange() {
        return factorItemRange;
    }

    public void setFactorItemRange(Integer factorItemRange) {
        this.factorItemRange = factorItemRange;
    }
    public BigDecimal getFactorItemMinValue() {
        return factorItemMinValue;
    }

    public void setFactorItemMinValue(BigDecimal factorItemMinValue) {
        this.factorItemMinValue = factorItemMinValue;
    }
    public BigDecimal getFactorItemMaxValue() {
        return factorItemMaxValue;
    }

    public void setFactorItemMaxValue(BigDecimal factorItemMaxValue) {
        this.factorItemMaxValue = factorItemMaxValue;
    }
    public String getInputValue() {
        return inputValue;
    }

    public void setInputValue(String inputValue) {
        this.inputValue = inputValue;
    }
    public String getFactorItemUnit() {
        return factorItemUnit;
    }

    public void setFactorItemUnit(String factorItemUnit) {
        this.factorItemUnit = factorItemUnit;
    }
    public String getFactorItemExactMatch() {
        return factorItemExactMatch;
    }

    public void setFactorItemExactMatch(String factorItemExactMatch) {
        this.factorItemExactMatch = factorItemExactMatch;
    }
    public String getFactorItemCond() {
        return factorItemCond;
    }

    public void setFactorItemCond(String factorItemCond) {
        this.factorItemCond = factorItemCond;
    }
    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }
    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultHighriskOperation{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", resultId=" + resultId +
            ", highriskItemName=" + highriskItemName +
            ", highriskItemHisName=" + highriskItemHisName +
            ", level=" + level +
            ", factorItemName=" + factorItemName +
            ", factorItemHisName=" + factorItemHisName +
            ", factorItemHisDetailName=" + factorItemHisDetailName +
            ", factorItemType=" + factorItemType +
            ", factorItemRange=" + factorItemRange +
            ", factorItemMinValue=" + factorItemMinValue +
            ", factorItemMaxValue=" + factorItemMaxValue +
            ", inputValue=" + inputValue +
            ", factorItemUnit=" + factorItemUnit +
            ", factorItemExactMatch=" + factorItemExactMatch +
            ", factorItemCond=" + factorItemCond +
            ", output=" + output +
            ", expectedOutput=" + expectedOutput +
            ", success=" + success +
            ", message=" + message +
            ", inputParams=" + inputParams +
        "}";
    }
}
