package com.diagbot.entity;

import java.math.BigDecimal;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-20
 */
@TableName("test_result_other_pacs")
public class ResultOtherPacs implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 辅检描述
     */
    private String pacsDescribe;

    /**
     * 辅检结果
     */
    @Excel(name = "检查结果描述（标准术语）", width = 40, orderNum = "2")
    private String pacsResult;

    /**
     * 提醒项类型
     */
    @Excel(name = "禁忌项类型", width = 40, orderNum = "5")
    private String remindItemType;

    /**
     * 提醒项名称
     */
    @Excel(name = "禁忌项（标准术语）", width = 40, orderNum = "6")
    private String remindItemName;

    /**
     * 提醒项名称（医院端）
     */
    @Excel(name = "禁忌项（医院术语）", width = 40, orderNum = "7")
    private String remindItemHisName;

    /**
     * 提醒项名称-细项（医院端）
     */
    private String remindItemHisDetailName;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 参考值（最大值）
     */
    private BigDecimal maxAge;

    /**
     * 参考值（最小值）
     */
    private BigDecimal minAge;

    /**
     * 年龄范围（0：范围内，1：范围外）
     */
    private Integer ageRange;

    /**
     * 输入值
     */
    @Excel(name = "年龄", width = 40, orderNum = "4")
    private String inputAge;

    /**
     * 性别
     */
    @Excel(name = "性别", width = 40, orderNum = "3")
    private String gender;

    /**
     * 检查结论有
     */
    private String postoken;

    /**
     * 检查结论无
     */
    private String negtoken;

    /**
     * 输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 80, orderNum = "10")
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 80, orderNum = "11")
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "12", replace = { "失败_0", "成功_1" })
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 80, orderNum = "13")
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }
    public String getPacsDescribe() {
        return pacsDescribe;
    }

    public void setPacsDescribe(String pacsDescribe) {
        this.pacsDescribe = pacsDescribe;
    }
    public String getPacsResult() {
        return pacsResult;
    }

    public void setPacsResult(String pacsResult) {
        this.pacsResult = pacsResult;
    }
    public String getRemindItemType() {
        return remindItemType;
    }

    public void setRemindItemType(String remindItemType) {
        this.remindItemType = remindItemType;
    }
    public String getRemindItemName() {
        return remindItemName;
    }

    public void setRemindItemName(String remindItemName) {
        this.remindItemName = remindItemName;
    }
    public String getRemindItemHisName() {
        return remindItemHisName;
    }

    public void setRemindItemHisName(String remindItemHisName) {
        this.remindItemHisName = remindItemHisName;
    }
    public String getRemindItemHisDetailName() {
        return remindItemHisDetailName;
    }

    public void setRemindItemHisDetailName(String remindItemHisDetailName) {
        this.remindItemHisDetailName = remindItemHisDetailName;
    }
    public String getReferenceValue() {
        return referenceValue;
    }

    public void setReferenceValue(String referenceValue) {
        this.referenceValue = referenceValue;
    }
    public BigDecimal getMaxAge() {
        return maxAge;
    }

    public void setMaxAge(BigDecimal maxAge) {
        this.maxAge = maxAge;
    }
    public BigDecimal getMinAge() {
        return minAge;
    }

    public void setMinAge(BigDecimal minAge) {
        this.minAge = minAge;
    }
    public Integer getAgeRange() {
        return ageRange;
    }

    public void setAgeRange(Integer ageRange) {
        this.ageRange = ageRange;
    }
    public String getInputAge() {
        return inputAge;
    }

    public void setInputAge(String inputAge) {
        this.inputAge = inputAge;
    }
    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
    public String getPostoken() {
        return postoken;
    }

    public void setPostoken(String postoken) {
        this.postoken = postoken;
    }
    public String getNegtoken() {
        return negtoken;
    }

    public void setNegtoken(String negtoken) {
        this.negtoken = negtoken;
    }
    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }
    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultOtherPacs{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", resultId=" + resultId +
            ", pacsDescribe=" + pacsDescribe +
            ", pacsResult=" + pacsResult +
            ", remindItemType=" + remindItemType +
            ", remindItemName=" + remindItemName +
            ", remindItemHisName=" + remindItemHisName +
            ", remindItemHisDetailName=" + remindItemHisDetailName +
            ", referenceValue=" + referenceValue +
            ", maxAge=" + maxAge +
            ", minAge=" + minAge +
            ", ageRange=" + ageRange +
            ", inputAge=" + inputAge +
            ", gender=" + gender +
            ", postoken=" + postoken +
            ", negtoken=" + negtoken +
            ", output=" + output +
            ", expectedOutput=" + expectedOutput +
            ", success=" + success +
            ", message=" + message +
            ", inputParams=" + inputParams +
        "}";
    }
}
