package com.diagbot.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-19
 */
@TableName("test_result_other_transfusion")
public class ResultOtherTransfusion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 其他开单项名称
     */
    @Excel(name = "实验室检查名称（标准术语）", width = 40, orderNum = "2")
    private String otherItemName;

    /**
     * 其他开单项名称（医院端）
     */
    @Excel(name = "实验室检查套餐名（医院术语）", width = 40, orderNum = "3")
    private String otherItemHisName;

    /**
     * 其他开单项名称-细项（医院端）
     */
    @Excel(name = "实验室检查名称（医院术语）", width = 40, orderNum = "4")
    private String otherItemHisDetailName;

    /**
     * 范围（0：范围内，1：范围外）
     */
    private Integer otherItemRange;

    /**
     * 参考值（最大值）
     */
    private BigDecimal otherItemMaxValue;

    /**
     * 参考值（最小值）
     */
    private BigDecimal otherItemMinValue;

    /**
     * 单位
     */
    private String otherItemUnit;

    /**
     * 输入值
     */
    @Excel(name = "实验室检查数值", width = 40, orderNum = "5")
    private String otherItemInputValue;

    /**
     * 输注类型
     */
    private String transfusionType;

    /**
     * 输注类型（医院端）
     */
    private String transfusionTypeHisName;

    /**
     * 禁忌项类型
     */
    @Excel(name = "禁忌项类型", width = 40, orderNum = "6")
    private String conflictItemType;

    /**
     * 禁忌项名称
     */
    @Excel(name = "禁忌项（标准术语）", width = 40, orderNum = "7")
    private String conflictItemName;

    /**
     * 禁忌项名称（医院端）
     */
    @Excel(name = "禁忌项（医院术语）", width = 40, orderNum = "8")
    private String conflictItemHisName;

    /**
     * 禁忌项名称-细项（医院端）
     */
    private String conflictItemHisDetailName;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 输出结果（提醒文本）
     */
    @Excel(name = "实际结果", width = 80, orderNum = "10")
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    @Excel(name = "预期结果", width = 80, orderNum = "11")
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    @Excel(name = "测试结果", width = 20, orderNum = "12", replace = { "失败_0", "成功_1" })
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    @Excel(name = "失败原因", width = 80, orderNum = "13")
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }

    public String getOtherItemName() {
        return otherItemName;
    }

    public void setOtherItemName(String otherItemName) {
        this.otherItemName = otherItemName;
    }

    public String getOtherItemHisName() {
        return otherItemHisName;
    }

    public void setOtherItemHisName(String otherItemHisName) {
        this.otherItemHisName = otherItemHisName;
    }

    public String getOtherItemHisDetailName() {
        return otherItemHisDetailName;
    }

    public void setOtherItemHisDetailName(String otherItemHisDetailName) {
        this.otherItemHisDetailName = otherItemHisDetailName;
    }

    public Integer getOtherItemRange() {
        return otherItemRange;
    }

    public void setOtherItemRange(Integer otherItemRange) {
        this.otherItemRange = otherItemRange;
    }

    public BigDecimal getOtherItemMaxValue() {
        return otherItemMaxValue;
    }

    public void setOtherItemMaxValue(BigDecimal otherItemMaxValue) {
        this.otherItemMaxValue = otherItemMaxValue;
    }

    public BigDecimal getOtherItemMinValue() {
        return otherItemMinValue;
    }

    public void setOtherItemMinValue(BigDecimal otherItemMinValue) {
        this.otherItemMinValue = otherItemMinValue;
    }

    public String getOtherItemUnit() {
        return otherItemUnit;
    }

    public void setOtherItemUnit(String otherItemUnit) {
        this.otherItemUnit = otherItemUnit;
    }

    public String getOtherItemInputValue() {
        return otherItemInputValue;
    }

    public void setOtherItemInputValue(String otherItemInputValue) {
        this.otherItemInputValue = otherItemInputValue;
    }

    public String getTransfusionType() {
        return transfusionType;
    }

    public void setTransfusionType(String transfusionType) {
        this.transfusionType = transfusionType;
    }

    public String getTransfusionTypeHisName() {
        return transfusionTypeHisName;
    }

    public void setTransfusionTypeHisName(String transfusionTypeHisName) {
        this.transfusionTypeHisName = transfusionTypeHisName;
    }

    public String getConflictItemType() {
        return conflictItemType;
    }

    public void setConflictItemType(String conflictItemType) {
        this.conflictItemType = conflictItemType;
    }

    public String getConflictItemName() {
        return conflictItemName;
    }

    public void setConflictItemName(String conflictItemName) {
        this.conflictItemName = conflictItemName;
    }

    public String getConflictItemHisName() {
        return conflictItemHisName;
    }

    public void setConflictItemHisName(String conflictItemHisName) {
        this.conflictItemHisName = conflictItemHisName;
    }

    public String getConflictItemHisDetailName() {
        return conflictItemHisDetailName;
    }

    public void setConflictItemHisDetailName(String conflictItemHisDetailName) {
        this.conflictItemHisDetailName = conflictItemHisDetailName;
    }

    public String getReferenceValue() {
        return referenceValue;
    }

    public void setReferenceValue(String referenceValue) {
        this.referenceValue = referenceValue;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }

    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    @Override
    public String toString() {
        return "ResultOtherTransfusion{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", resultId=" + resultId +
                ", otherItemName=" + otherItemName +
                ", otherItemHisName=" + otherItemHisName +
                ", otherItemHisDetailName=" + otherItemHisDetailName +
                ", otherItemRange=" + otherItemRange +
                ", otherItemMaxValue=" + otherItemMaxValue +
                ", otherItemMinValue=" + otherItemMinValue +
                ", otherItemUnit=" + otherItemUnit +
                ", otherItemInputValue=" + otherItemInputValue +
                ", transfusionType=" + transfusionType +
                ", transfusionTypeHisName=" + transfusionTypeHisName +
                ", conflictItemType=" + conflictItemType +
                ", conflictItemName=" + conflictItemName +
                ", conflictItemHisName=" + conflictItemHisName +
                ", conflictItemHisDetailName=" + conflictItemHisDetailName +
                ", referenceValue=" + referenceValue +
                ", output=" + output +
                ", expectedOutput=" + expectedOutput +
                ", success=" + success +
                ", message=" + message +
                ", inputParams=" + inputParams +
                "}";
    }


    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        ResultOtherTransfusion resultOtherTransfusion = (ResultOtherTransfusion) o;
        return Objects.equals(id, resultOtherTransfusion.id)
                && Objects.equals(isDeleted, resultOtherTransfusion.isDeleted)
                && Objects.equals(resultId, resultOtherTransfusion.resultId)
                && Objects.equals(otherItemName, resultOtherTransfusion.otherItemName)
                && Objects.equals(otherItemHisName, resultOtherTransfusion.otherItemHisName)
                && Objects.equals(otherItemHisDetailName, resultOtherTransfusion.otherItemHisDetailName)
                && Objects.equals(otherItemRange, resultOtherTransfusion.otherItemRange)
                && Objects.equals(otherItemMaxValue, resultOtherTransfusion.otherItemMaxValue)
                && Objects.equals(otherItemMinValue, resultOtherTransfusion.otherItemMinValue)
                && Objects.equals(otherItemUnit, resultOtherTransfusion.otherItemUnit)
                && Objects.equals(otherItemInputValue, resultOtherTransfusion.otherItemInputValue)
                && Objects.equals(transfusionType, resultOtherTransfusion.transfusionType)
                && Objects.equals(transfusionTypeHisName, resultOtherTransfusion.transfusionTypeHisName)
                && Objects.equals(conflictItemType, resultOtherTransfusion.conflictItemType)
                && Objects.equals(conflictItemName, resultOtherTransfusion.conflictItemName)
                && Objects.equals(conflictItemHisName, resultOtherTransfusion.conflictItemHisName)
                && Objects.equals(conflictItemHisDetailName, resultOtherTransfusion.conflictItemHisDetailName)
                && Objects.equals(referenceValue, resultOtherTransfusion.referenceValue)
                && Objects.equals(output, resultOtherTransfusion.output)
                && Objects.equals(expectedOutput, resultOtherTransfusion.expectedOutput)
                && Objects.equals(success, resultOtherTransfusion.success)
                && Objects.equals(message, resultOtherTransfusion.message)
                && Objects.equals(inputParams, resultOtherTransfusion.inputParams);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, isDeleted, resultId, otherItemName, otherItemHisName, otherItemHisDetailName,
                otherItemRange, otherItemMaxValue, otherItemMinValue, otherItemUnit, otherItemInputValue,
                transfusionType, transfusionTypeHisName, conflictItemType, conflictItemName, conflictItemHisName,
                conflictItemHisDetailName, referenceValue, output, expectedOutput, success, message, inputParams);
    }
}
