package com.diagbot.entity;

import java.math.BigDecimal;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhaops
 * @since 2021-03-11
 */
@TableName("test_result_rule")
public class ResultRule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 规则序号
     */
    private Long ruleOrderNo;

    /**
     * 规则类型（1：开单-通用，2：开单-输血，3：危急值-检验，4：危急值-检查，5：高危药品，6：高危手术，7：其他值提醒-检验，8-其他值提醒-检查，9-其他值提醒-输血，10：正常项目重复开立）
     */
    private Integer ruleType;

    /**
     * 规则id
     */
    private Long ruleId;

    /**
     * 开单项类型（编码）
     */
    private Integer ruleLibType;

    /**
     * 开单项类型（名称）
     */
    private String ruleLibTypeName;

    /**
     * 开单项名称
     */
    private String ruleLibName;

    /**
     * 开单项名称（医院端）
     */
    private String ruleHisName;

    /**
     * 开单项名称-细项（医院端）
     */
    private String ruleHisDetailName;

    /**
     * 是否有子条件（0：无，1：有）
     */
    private Integer hasSubCond;

    /**
     * 基础规则id
     */
    private Long ruleBaseId;

    /**
     * 规则组别
     */
    private Integer groupType;

    /**
     * 基础规则类型(1:开单外等于术语本身;2:开单外存在比较;3:开单外不等于术语本身;4:过敏原;5:开单项;6:检查结果正则表达式)
     */
    @Excel(name = "基础规则类型", width = 40, orderNum = "1",replace = {"开单外等于术语本身_1","开单外存在比较_2","开单外不等于术语本身_3","过敏原_4","开单项_5","检查结果正则表达式_6"})
    private Integer ruleBaseType;

    /**
     * 禁忌项类型（编码）
     */
    private Integer ruleBaseLibType;

    /**
     * 禁忌项类型（名称）
     */
    @Excel(name = "基础规则术语类型", width = 40, orderNum = "2")
    private String ruleBaseLibTypeName;

    /**
     * 禁忌项名称
     */
    @Excel(name = "基础规则医学标准术语", width = 40, orderNum = "3")
    private String ruleBaseLibName;

    /**
     * 禁忌项名称（医院端）
     */
    @Excel(name = "基础规则医院术语", width = 40, orderNum = "4")
    private String ruleBaseHisName;

    /**
     * 禁忌项名称-细项（医院端）
     */
    @Excel(name = "基础规则医院术语细则", width = 40, orderNum = "5")
    private String ruleBaseHisDetailName;

    /**
     * 禁忌项参考值（最大值）
     */
    private BigDecimal ruleBaseMaxValue;

    /**
     * 禁忌项参考值（最小值）
     */
    private BigDecimal ruleBaseMinValue;

    /**
     * 禁忌项单位
     */
    private String ruleBaseUnit;

    /**
     * 禁忌项输入值（文本/数值）
     */
    @Excel(name = "基础规则输入值", width = 40, orderNum = "6")
    private String ruleBaseInputValue;

    /**
     * 参考值（参考范围拼接/药品分类保存）
     */
    @Excel(name = "基础规则参考值", width = 40, orderNum = "7")
    private String referenceValue;

    /**
     * 实际输出结果（提醒文本）
     */
    private String output;

    /**
     * 期望输出结果（提醒文本）
     */
    private String expectedOutput;

    /**
     * 成功标志（1：成功，0：失败）
     */
    private Integer success;

    /**
     * 提示信息（异常提醒）
     */
    private String message;

    /**
     * 模拟入参
     */
    private String inputParams;

    /**
     * 模拟出参
     */
    private String outputParams;

    /**
     * 附加信息
     */
    private String ruleMsg;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }

    public Long getRuleOrderNo() {
        return ruleOrderNo;
    }

    public void setRuleOrderNo(Long ruleOrderNo) {
        this.ruleOrderNo = ruleOrderNo;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public Integer getRuleLibType() {
        return ruleLibType;
    }

    public void setRuleLibType(Integer ruleLibType) {
        this.ruleLibType = ruleLibType;
    }

    public String getRuleLibTypeName() {
        return ruleLibTypeName;
    }

    public void setRuleLibTypeName(String ruleLibTypeName) {
        this.ruleLibTypeName = ruleLibTypeName;
    }

    public String getRuleLibName() {
        return ruleLibName;
    }

    public void setRuleLibName(String ruleLibName) {
        this.ruleLibName = ruleLibName;
    }

    public String getRuleHisName() {
        return ruleHisName;
    }

    public void setRuleHisName(String ruleHisName) {
        this.ruleHisName = ruleHisName;
    }

    public String getRuleHisDetailName() {
        return ruleHisDetailName;
    }

    public void setRuleHisDetailName(String ruleHisDetailName) {
        this.ruleHisDetailName = ruleHisDetailName;
    }

    public Integer getHasSubCond() {
        return hasSubCond;
    }

    public void setHasSubCond(Integer hasSubCond) {
        this.hasSubCond = hasSubCond;
    }

    public Long getRuleBaseId() {
        return ruleBaseId;
    }

    public void setRuleBaseId(Long ruleBaseId) {
        this.ruleBaseId = ruleBaseId;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public Integer getRuleBaseType() {
        return ruleBaseType;
    }

    public void setRuleBaseType(Integer ruleBaseType) {
        this.ruleBaseType = ruleBaseType;
    }

    public Integer getRuleBaseLibType() {
        return ruleBaseLibType;
    }

    public void setRuleBaseLibType(Integer ruleBaseLibType) {
        this.ruleBaseLibType = ruleBaseLibType;
    }

    public String getRuleBaseLibTypeName() {
        return ruleBaseLibTypeName;
    }

    public void setRuleBaseLibTypeName(String ruleBaseLibTypeName) {
        this.ruleBaseLibTypeName = ruleBaseLibTypeName;
    }

    public String getRuleBaseLibName() {
        return ruleBaseLibName;
    }

    public void setRuleBaseLibName(String ruleBaseLibName) {
        this.ruleBaseLibName = ruleBaseLibName;
    }

    public String getRuleBaseHisName() {
        return ruleBaseHisName;
    }

    public void setRuleBaseHisName(String ruleBaseHisName) {
        this.ruleBaseHisName = ruleBaseHisName;
    }

    public String getRuleBaseHisDetailName() {
        return ruleBaseHisDetailName;
    }

    public void setRuleBaseHisDetailName(String ruleBaseHisDetailName) {
        this.ruleBaseHisDetailName = ruleBaseHisDetailName;
    }

    public BigDecimal getRuleBaseMaxValue() {
        return ruleBaseMaxValue;
    }

    public void setRuleBaseMaxValue(BigDecimal ruleBaseMaxValue) {
        this.ruleBaseMaxValue = ruleBaseMaxValue;
    }

    public BigDecimal getRuleBaseMinValue() {
        return ruleBaseMinValue;
    }

    public void setRuleBaseMinValue(BigDecimal ruleBaseMinValue) {
        this.ruleBaseMinValue = ruleBaseMinValue;
    }

    public String getRuleBaseUnit() {
        return ruleBaseUnit;
    }

    public void setRuleBaseUnit(String ruleBaseUnit) {
        this.ruleBaseUnit = ruleBaseUnit;
    }

    public String getRuleBaseInputValue() {
        return ruleBaseInputValue;
    }

    public void setRuleBaseInputValue(String ruleBaseInputValue) {
        this.ruleBaseInputValue = ruleBaseInputValue;
    }

    public String getReferenceValue() {
        return referenceValue;
    }

    public void setReferenceValue(String referenceValue) {
        this.referenceValue = referenceValue;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }

    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getInputParams() {
        return inputParams;
    }

    public void setInputParams(String inputParams) {
        this.inputParams = inputParams;
    }

    public String getOutputParams() {
        return outputParams;
    }

    public void setOutputParams(String outputParams) {
        this.outputParams = outputParams;
    }

    public String getRuleMsg() {
        return ruleMsg;
    }

    public void setRuleMsg(String ruleMsg) {
        this.ruleMsg = ruleMsg;
    }

    @Override
    public String toString() {
        return "ResultRule{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", resultId=" + resultId +
                ", ruleOrderNo=" + ruleOrderNo +
                ", ruleType=" + ruleType +
                ", ruleId=" + ruleId +
                ", ruleLibType=" + ruleLibType +
                ", ruleLibTypeName=" + ruleLibTypeName +
                ", ruleLibName=" + ruleLibName +
                ", ruleHisName=" + ruleHisName +
                ", ruleHisDetailName=" + ruleHisDetailName +
                ", hasSubCond=" + hasSubCond +
                ", ruleBaseId=" + ruleBaseId +
                ", groupType=" + groupType +
                ", ruleBaseType=" + ruleBaseType +
                ", ruleBaseLibType=" + ruleBaseLibType +
                ", ruleBaseLibTypeName=" + ruleBaseLibTypeName +
                ", ruleBaseLibName=" + ruleBaseLibName +
                ", ruleBaseHisName=" + ruleBaseHisName +
                ", ruleBaseHisDetailName=" + ruleBaseHisDetailName +
                ", ruleBaseMaxValue=" + ruleBaseMaxValue +
                ", ruleBaseMinValue=" + ruleBaseMinValue +
                ", ruleBaseUnit=" + ruleBaseUnit +
                ", ruleBaseInputValue=" + ruleBaseInputValue +
                ", referenceValue=" + referenceValue +
                ", output=" + output +
                ", expectedOutput=" + expectedOutput +
                ", success=" + success +
                ", message=" + message +
                ", inputParams=" + inputParams +
                ", outputParams=" + outputParams +
                ", ruleMsg=" + ruleMsg +
                "}";
    }
}
