package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-22
 */
@TableName("test_result_static_info")
public class ResultStaticInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 测试案例id
     */
    private Long caseId;

    /**
     * 映射关系总数
     */
    private Integer totleNum;

    /**
     * 术语未匹配条数
     */
    private Integer unMappingNum;

    /**
     * 缺少静态知识条数
     */
    private Integer withoutKnowledgeNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Long getCaseId() {
        return caseId;
    }

    public void setCaseId(Long caseId) {
        this.caseId = caseId;
    }

    public Integer getTotleNum() {
        return totleNum;
    }

    public void setTotleNum(Integer totleNum) {
        this.totleNum = totleNum;
    }

    public Integer getUnMappingNum() {
        return unMappingNum;
    }

    public void setUnMappingNum(Integer unMappingNum) {
        this.unMappingNum = unMappingNum;
    }

    public Integer getWithoutKnowledgeNum() {
        return withoutKnowledgeNum;
    }

    public void setWithoutKnowledgeNum(Integer withoutKnowledgeNum) {
        this.withoutKnowledgeNum = withoutKnowledgeNum;
    }

    @Override
    public String toString() {
        return "ResultStaticInfo{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", hospitalId=" + hospitalId +
                ", caseId=" + caseId +
                ", totleNum=" + totleNum +
                ", unMappingNum=" + unMappingNum +
                ", withoutKnowledgeNum=" + withoutKnowledgeNum +
                "}";
    }
}
