package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2021-01-22
 */
@TableName("test_result_static_knowledge")
public class ResultStaticKnowledge implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 测试结果id
     */
    private Long resultId;

    /**
     * 术语类型（1：诊断、2：检验、3：检查、4：药品、5：手术/操作）
     */
    private Integer type;

    /**
     * 术语标签
     */
    private String label;

    /**
     * 标准术语名称
     */
    private String name;

    /**
     * 医院术语
     */
    private String hisName;

    /**
     * 医院术语-细项
     */
    private String hisDetailName;

    /**
     * 是否有标准词（0：无，1：有）
     */
    private Integer hasStandName;

    /**
     * 是否有静态知识（0：无，1：有）
     */
    private Integer hasStaticKnowledge;

    /**
     * 提示信息（异常提醒）
     */
    private String message;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getResultId() {
        return resultId;
    }

    public void setResultId(Long resultId) {
        this.resultId = resultId;
    }
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getHisName() {
        return hisName;
    }

    public void setHisName(String hisName) {
        this.hisName = hisName;
    }
    public String getHisDetailName() {
        return hisDetailName;
    }

    public void setHisDetailName(String hisDetailName) {
        this.hisDetailName = hisDetailName;
    }
    public Integer getHasStandName() {
        return hasStandName;
    }

    public void setHasStandName(Integer hasStandName) {
        this.hasStandName = hasStandName;
    }
    public Integer getHasStaticKnowledge() {
        return hasStaticKnowledge;
    }

    public void setHasStaticKnowledge(Integer hasStaticKnowledge) {
        this.hasStaticKnowledge = hasStaticKnowledge;
    }
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return "ResultStaticKnowledge{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", resultId=" + resultId +
            ", type=" + type +
            ", label=" + label +
            ", name=" + name +
            ", hisName=" + hisName +
            ", hisDetailName=" + hisDetailName +
            ", hasStandName=" + hasStandName +
            ", hasStaticKnowledge=" + hasStaticKnowledge +
            ", message=" + message +
        "}";
    }
}
