package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/8 11:23
 */
public enum GraphLabelEnum implements KeyedNamed {
    HerbYiBaoClass(1, "中成药医保类别"),
    HerbFangJiCate(2, "中成药方剂学大类"),
    HerbFangJiClass(3, "中成药方剂学类别"),
    HerbZhiLiaoClass(4, "中成药治疗学类别"),
    HerbDeptClass(5, "中成药科室类别"),
    ClinicalFinding(6, "临床表现"),
    ClinicalPathwayName(7, "临床路径名称"),
    Vital(8, "体征"),
    LisBigName(9, "化验套餐名称"),
    LisRemind(10, "化验提醒指标"),
    LisSubNameAndResult(11, "化验细项及结果"),
    //YiBaoICD-9-CM3Code(12,"医保ICD-9-CM3代码"),
    YiBaoICD_10Code(13, "医保ICD_10代码"),
    YiBaoICD_9_CM3Code(14, "医保ICD_9_CM3代码"),
    YiBaoOperationName(15, "医保手术和操作名称"),
    YiBaoDiseaseName(16, "医保疾病名称"),
    ProdName(17, "商品名称"),
    //GuoLinICD-9-CM3Code(18,"国临ICD-9-CM3代码"),
    GuoLinICD_10Code(19, "国临ICD_10代码"),
    GuoLinICD_9_CM3Code(20, "国临ICD_9_CM3代码"),
    GuoLinOperationName(21, "国临手术和操作名称"),
    GuoLinDiseaseName(22, "国临疾病名称"),
    Lis(23, "实验室检查"),
    LisFirstClass(24, "实验室检查一级分类"),
    LisSecondClass(25, "实验室检查二级分类"),
    LisCode(26, "实验室检查代码"),
    LisAlias(27, "实验室检查别名"),
    LisCritical(28, "实验室检查危急值"),
    LisName(29, "实验室检查名称"),
    LisSet(30, "实验室检查套餐名"),
    Age(31, "年龄"),
    TransfusionSuggest(32, "建议输血提醒"),
    BillConflictItem(33, "开单项互斥"),
    Gender(34, "性别"),
    OralMedicine(35, "服用药品"),
    RegName(36, "注册名称"),
    Disease(37, "疾病"),
    DiseaseAlias(38, "疾病别称"),
    Symptom(39, "症状"),
    Group(40, "禁忌人群"),
    ConflictDevice(41, "禁忌医疗器械及物品"),
    Dept(42, "科室"),
    CombiOperation(43, "联合项目"),
    MedCode(44, "药品代码"),
    MedCodeName(45, "药品代码通用名"),
    MedChemClass(46, "药品化学物质类别"),
    MedYiBaoClass(47, "药品医保类别"),
    MedProdName(48, "药品商品名称"),
    MedZhiLiaoClass(49, "药品治疗学类别"),
    MedRegName(50, "药品注册名称"),
    MedClass(51, "药品类别"),
    MedYaoLiClass(52, "药品药理学类别"),
    MedJiePouClass(53, "药品解剖学类别"),
    Medicine(54, "药品通用名称"),
    MedicineTreat(55, "药物治疗"),
    MedAllergen(56, "药物过敏原"),
    Pacs(57, "辅助检查"),
    PacsCritical(58, "辅助检查危急值"),
    PacsName(59, "辅助检查名称"),
    PacsDescribe(60, "辅助检查名称描述"),
    PacsResult(61, "辅助检查名称结果"),
    PacsSubName(62, "辅助检查子项目名称"),
    PacsDescribe2(63, "辅助检查描述"),
    PacsCatalogue(64, "辅助检查目录"),
    PacsRemind(65, "辅检提醒指标"),
    TransfusionRemind(66, "输血提醒指标"),
    Allergen(67, "过敏原"),
    DifferentialDiagnosis(68, "鉴别诊断");

    @Setter
    private int key;

    @Setter
    private String name;

    GraphLabelEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static GraphLabelEnum getEnum(int key) {
        for (GraphLabelEnum item : GraphLabelEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static GraphLabelEnum getEnum(String name) {
        for (GraphLabelEnum item : GraphLabelEnum.values()) {
            if (item.name.equals(name)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        GraphLabelEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    public static Integer getKey(String name) {
        GraphLabelEnum item = getEnum(name);
        return item != null ? item.key : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
