package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author kongwz
 * @Description: 关系对应lib_type
 * @date 2018年10月11日 下午3:33:22
 */

public enum RelationLibTypeEnum implements KeyedNamed {

    mainSymptom(501, "103"),
    ciSymptom(502, "103"),
    vitalResult(503, "104"),
    lisItem(504, "107"),
    pacsItem(505, "109&110"),
    disMedicine(506, "101"),
    disOperator(507, "106"),
    disDifferentDis(508, "100");


    @Setter
    private int key;

    @Setter
    private String name;

    RelationLibTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RelationLibTypeEnum getEnum(int key) {
        for (RelationLibTypeEnum item : RelationLibTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RelationLibTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
