package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/4 13:21
 */
public enum RuleBaseTypeEnum implements KeyedNamed {
    Eq(1, "开单外等于术语本身"),
    Compare(2, "开单外存在比较"),
    Ne(3, "开单外不等于术语本身"),
    Allergen(4, "过敏原"),
    BillItem(5, "开单项"),
    Regex(6, "检查结果正则表达式");

    @Setter
    private int key;

    @Setter
    private String name;

    RuleBaseTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RuleBaseTypeEnum getEnum(int key) {
        for (RuleBaseTypeEnum item : RuleBaseTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static RuleBaseTypeEnum getEnum(String value) {
        for (RuleBaseTypeEnum item : RuleBaseTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RuleBaseTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
