package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:规则类型(1:开单合理性;2:高危;3:危急值;4:其他值提醒;5:其他值提醒输血;6:正常项目重复开立)
 * @date 2021-03-11 9:50
 */
public enum RuleTypeEnum implements KeyedNamed {

    Rationality(1, "开单合理性"),
    HighRisk(2, "高危"),
    Critical(3, "危急值"),
    OtherValReminders(4, "其他值提醒"),
    Transfusion(5, "其他值提醒输血"),
    Repeatedly(6, "正常项目重复开立");
    @Setter
    private int key;

    @Setter
    private String name;

    RuleTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RuleTypeEnum getEnum(int key) {
        for (RuleTypeEnum item : RuleTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static RuleTypeEnum getEnum(String value) {
        for (RuleTypeEnum item : RuleTypeEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RuleTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

