package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/21 15:44
 */
public enum StaticKnowledgeEnum implements KeyedNamed {
    Disease(1, "诊断"),
    Lis(2, "检验"),
    Pacs(3, "检查"),
    Drug(4, "药品"),
    Operation(5, "手术/操作");

    @Setter
    private int key;

    @Setter
    private String name;

    StaticKnowledgeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static StaticKnowledgeEnum getEnum(int key) {
        for (StaticKnowledgeEnum item : StaticKnowledgeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static StaticKnowledgeEnum getEnum(String name) {
        for (StaticKnowledgeEnum item : StaticKnowledgeEnum.values()) {
            if (item.name.equals(name)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        StaticKnowledgeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    public static Integer getKey(String name) {
        StaticKnowledgeEnum item = getEnum(name);
        return item != null ? item.key : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
