package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.UserServiceClient;
import com.diagbot.dto.KlLexiconDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.service.impl.KlLexiconServiceImpl;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.KlLexiconVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/3/2 11:24
 */
@Component
public class KlLexiconFacade extends KlLexiconServiceImpl {
    @Autowired
    private UserServiceClient userServiceClient;

    public IPage<KlLexiconDTO> getPageFac(KlLexiconVO lexiconVO) {
        IPage<KlLexiconDTO> iPage = this.getPage(lexiconVO);
        List<String> userIds = iPage.getRecords().stream()
                .map(i -> i.getModifier()).distinct().collect(Collectors.toList());
        RespDTO<Map<String, String>> respDTO = userServiceClient.getUserInfoByIds(userIds);
        RespDTOUtil.respNGDealCover(respDTO, "获取用户信息失败");
        iPage.getRecords().forEach(i -> {
            i.setOperName(respDTO.data.get(i.getModifier()));
        });
        return iPage;
    }
}
