package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.KlLibraryInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.KlLibraryInfoServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.KlConceptSaveSubVO;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-03 17:13
 */
@Component
public class KlLibraryInfoFacade extends KlLibraryInfoServiceImpl {

    /**
     *
     * @param subVO
     */
    public void checkLibraryInfoData(KlConceptSaveSubVO subVO){
        //校验
        int countLib = this.count(new QueryWrapper<KlLibraryInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("concept_id", subVO.getConceptId())
                .eq("name", subVO.getSynonymName())
                .eq("type_id", subVO.getTypeId())
                .ne("id", subVO.getLibId() == null ? -1 : subVO.getLibId()));
        if (countLib > 0) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "该基础术语同义词名称已存在");
        }
    }

    /**
     *
     * @param subVO
     * @return
     */
    public  Boolean savekLibraryInfoData(Long conceptId,KlConceptSaveSubVO subVO){
        Date now = DateUtil.now();
        KlLibraryInfo klLibraryInfoSub = new KlLibraryInfo();
        klLibraryInfoSub.setConceptId(conceptId);
        klLibraryInfoSub.setName(subVO.getSynonymName());
        klLibraryInfoSub.setSpell(subVO.getSpell());
        klLibraryInfoSub.setIsConcept(subVO.getIsConcept());
        klLibraryInfoSub.setRemark(subVO.getRemark());
        klLibraryInfoSub.setCreator(UserUtils.getCurrentPrincipleID());
        klLibraryInfoSub.setModifier(UserUtils.getCurrentPrincipleID());
        klLibraryInfoSub.setGmtCreate(now);
        klLibraryInfoSub.setGmtModified(now);
        return this.save(klLibraryInfoSub);
    }
}
