package com.diagbot.facade;

import com.diagbot.dto.RelationDTO;
import com.diagbot.dto.TreeAllDTO;
import com.diagbot.dto.TreeDTO;
import com.diagbot.service.impl.KlRelationServiceImpl;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.RelationVO;
import com.diagbot.vo.TreeVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/3 15:44
 */
@Component
public class KlRelationFacade extends KlRelationServiceImpl {
    public TreeAllDTO getTree(TreeVO treeVO) {
        List<Long[]> pList = new ArrayList<>();
        pList.add(new Long[] { 402L, 600L, 301L, 600L, 101L });//药品化学物质类别
        pList.add(new Long[] { 403L, 600L, 302L, 600L, 101L });//药品治疗学类别
        pList.add(new Long[] { 404L, 600L, 303L, 600L, 101L });//药品药理学类别
        pList.add(new Long[] { 405L, 600L, 304L, 600L, 101L });//药品解剖学类别
        pList.add(new Long[] { 406L, 600L, 305L, 600L, 103L });//症状类别
        pList.add(new Long[] { 407L, 600L, 306L, 600L, 106L });//手术和操作类别
        pList.add(new Long[] { 408L, 600L, 107L, 600L, 108L });//实验室检查类别
        pList.add(new Long[] { 409L, 600L, 109L, 600L, 110L });//辅助检查类别

        Integer index = treeVO.getType() - 1;
        List<Long> types = new ArrayList<>();
        types.add(pList.get(index)[0]);
        types.add(pList.get(index)[1]);
        types.add(pList.get(index)[2]);
        types.add(pList.get(index)[3]);
        types.add(pList.get(index)[4]);

        RelationVO relationVO = new RelationVO();
        relationVO.setSType(pList.get(index)[0]);
        relationVO.setRId(pList.get(index)[1]);
        relationVO.setEType(pList.get(index)[2]);
        List<RelationDTO> root = this.getRelations(relationVO);

        RelationVO relationVO2 = new RelationVO();
        relationVO2.setSType(pList.get(index)[2]);
        relationVO2.setRId(pList.get(index)[3]);
        relationVO2.setEType(pList.get(index)[4]);
        List<RelationDTO> sub = this.getRelations(relationVO2);
        Map<Long, List<RelationDTO>> map = EntityUtil.makeEntityListMap(sub, "sId");

        TreeDTO treeDTO = new TreeDTO();
        treeDTO.setId(root.get(0).getSId());
        treeDTO.setName(root.get(0).getSName());
        for (RelationDTO relationDTO : root) {
            TreeDTO treeDTO2 = new TreeDTO();
            treeDTO2.setId(relationDTO.getEId());
            treeDTO2.setName(relationDTO.getEName());
            List<RelationDTO> e = map.get(relationDTO.getEId());
            if (ListUtil.isNotEmpty(e)) {
                for (RelationDTO relationDTO1 : e) {
                    TreeDTO treeDTO3 = new TreeDTO();
                    treeDTO3.setId(relationDTO1.getEId());
                    treeDTO3.setName(relationDTO1.getEName());
                    treeDTO2.getNextTree().add(treeDTO3);
                }
            }
            treeDTO.getNextTree().add(treeDTO2);
        }

        TreeAllDTO treeAllDTO = new TreeAllDTO();
        treeAllDTO.setTypes(types);
        treeAllDTO.setTreeDTO(treeDTO);
        return treeAllDTO;
    }
}
