package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.KlRuleByIdParDTO;
import com.diagbot.dto.KlRuleInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.KlRuleServiceImpl;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoClearVO;
import com.diagbot.vo.KlRuleInfoSaveVO;
import com.diagbot.vo.KlRuleInfoVO;
import com.diagbot.vo.KlRuleSatartOrdisaVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/1 16:20
 */
@Component
public class KlRuleFacade extends KlRuleServiceImpl {
    @Autowired
    CdssCoreClient cdssCoreClient;

    public Page<KlRuleInfoDTO> getKlRuleInfoPage(KlRuleInfoVO klRuleInfoVO) {
        RespDTO<Page<KlRuleInfoDTO>> klRuleInfoPages = cdssCoreClient.getKlRuleInfoPages(klRuleInfoVO);
        RespDTOUtil.respNGDeal(klRuleInfoPages, "获取分页获取规则维护列表数据失败");
        return klRuleInfoPages.data;
    }

    public KlRuleByIdParDTO getByIdRuleInfos(KlRuleByIdVO klRuleByIdVO) {
        RespDTO<KlRuleByIdParDTO> byIdRuleInfoAll = cdssCoreClient.getByIdRuleInfoAll(klRuleByIdVO);
        RespDTOUtil.respNGDeal(byIdRuleInfoAll, "获取规则详情数据失败");
        return byIdRuleInfoAll.data;
    }

    public Boolean saveRuleInfos(KlRuleInfoSaveVO klRuleInfoSaveVO) {
        RespDTO<Boolean> booleanRespDTO = cdssCoreClient.saveRuleInfoAll(klRuleInfoSaveVO);
        RespDTOUtil.respNGDeal(booleanRespDTO, "保存规则详情数据失败");
        return booleanRespDTO.data;
    }

    public Boolean clearRuleInfos(KlRuleInfoClearVO klRuleInfoClearVO) {
        RespDTO<Boolean> booleanRespDTO = cdssCoreClient.clearRuleInfoAll(klRuleInfoClearVO);
        RespDTOUtil.respNGDeal(booleanRespDTO, "刪除规则详情数据失败");
        return booleanRespDTO.data;
    }

    public Boolean startOrDisableRule(KlRuleSatartOrdisaVO klRuleSatartOrdisaVO) {
        RespDTO<Boolean> booleanRespDTO = cdssCoreClient.disableRuleInfos(klRuleSatartOrdisaVO);
        RespDTOUtil.respNGDeal(booleanRespDTO, "停用规则失败");
        return booleanRespDTO.data;
    }

    public Boolean startRuleInfos(KlRuleSatartOrdisaVO klRuleSatartOrdisaVO) {
        RespDTO<Boolean> booleanRespDTO = cdssCoreClient.startRuleInfos(klRuleSatartOrdisaVO);
        RespDTOUtil.respNGDeal(booleanRespDTO, "启用规则失败");
        return booleanRespDTO.data;
    }
}