package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.PermissionsAllDTO;
import com.diagbot.entity.Permission;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.PermissionServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.PermissionsAllVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-10 10:31
 */
@Component
public class PermissionFacade extends PermissionServiceImpl {

    public List<PermissionsAllDTO> getPermissionAlls(PermissionsAllVO permissionsAllVO) {
        QueryWrapper<Permission> permissionQuery = new QueryWrapper<>();
        permissionQuery.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq(permissionsAllVO.getType() != null, "type", permissionsAllVO.getType());
        List<Permission> list = list(permissionQuery);
        List<PermissionsAllDTO> data = BeanUtil.listCopyTo(list, PermissionsAllDTO.class);
        return data;
    }
}
