package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ExportBillDTO;
import com.diagbot.dto.ExportBillTransfusionDTO;
import com.diagbot.entity.ResultBill;
import com.diagbot.service.impl.ResultBillServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultBillPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/13 17:36
 */
@Component
public class ResultBillFacade extends ResultBillServiceImpl {

    /**
     * 数据导出
     *
     * @param response
     * @param resultBillPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultBillPageVO resultBillPageVO) {
        resultBillPageVO.setSize(-1L);
        IPage<ResultBill> page = this.getPage(resultBillPageVO);
        String fileName = "开单合理性规则测试结果导出.xls";

        if (resultBillPageVO.getBillType().equals(1)) {
            List<ExportBillDTO> records = BeanUtil.listCopyTo(page.getRecords(), ExportBillDTO.class);
            ExcelUtils.exportExcel(records, null, "sheet1", ExportBillDTO.class, fileName, response, 12.8f);
        } else if (resultBillPageVO.getBillType().equals(2)) {
            List<ExportBillTransfusionDTO> records = BeanUtil.listCopyTo(page.getRecords(), ExportBillTransfusionDTO.class);
            ExcelUtils.exportExcel(records, null, "sheet1", ExportBillTransfusionDTO.class, fileName, response, 12.8f);
        }
    }
}
