package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ExportCriticalLisDTO;
import com.diagbot.dto.ExportCriticalPacsDTO;
import com.diagbot.entity.ResultCritical;
import com.diagbot.service.impl.ResultCriticalServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultCriticalPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/14 14:58
 */
@Component
public class ResultCriticalFacade extends ResultCriticalServiceImpl {
    /**
     * 数据导出
     *
     * @param response
     * @param resultCriticalPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultCriticalPageVO resultCriticalPageVO) {
        resultCriticalPageVO.setSize(-1L);
        IPage<ResultCritical> page = this.getPage(resultCriticalPageVO);
        String fileName = "危急值规则测试结果导出.xls";
        if (resultCriticalPageVO.getCriticalType().equals(1)) {
            List<ExportCriticalLisDTO> records = BeanUtil.listCopyTo(page.getRecords(), ExportCriticalLisDTO.class);
            ExcelUtils.exportExcel(records, null, "sheet1", ExportCriticalLisDTO.class, fileName, response, 12.8f);
        } else if (resultCriticalPageVO.getCriticalType().equals(2)) {
            List<ExportCriticalPacsDTO> records = BeanUtil.listCopyTo(page.getRecords(), ExportCriticalPacsDTO.class);
            ExcelUtils.exportExcel(records, null, "sheet1", ExportCriticalPacsDTO.class, fileName, response, 12.8f);
        }
    }
}
