package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.RetrievalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 16:44
 */
@Component
public class RetrievalFacade {
    @Autowired
    private CdssCoreClient cdssCoreClient;

    /**
     * 检索
     *
     * @param retrievalVO
     * @return
     */
    public RetrievalDTO index(RetrievalVO retrievalVO) {
        RetrievalDTO retrievalDTO = new RetrievalDTO();
        RespDTO<RetrievalDTO> respDTO = cdssCoreClient.index(retrievalVO);
        RespDTOUtil.respNGDealCover(respDTO, "检索失败");
        retrievalDTO = respDTO.data;
        return retrievalDTO;
    }
}