/*
package com.diagbot.facade;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.dto.BillMsg;
import com.diagbot.entity.MappingShortEntity;
import com.diagbot.entity.ResultBill;
import com.diagbot.entity.ResultCritical;
import com.diagbot.entity.ResultHighriskDrug;
import com.diagbot.entity.ResultHighriskOperation;
import com.diagbot.entity.ResultOtherLis;
import com.diagbot.entity.ResultOtherPacs;
import com.diagbot.entity.ResultOtherTransfusion;
import com.diagbot.entity.node.BillItem;
import com.diagbot.entity.node.LisCritical;
import com.diagbot.entity.node.LisName;
import com.diagbot.entity.node.LisRemind;
import com.diagbot.entity.node.MedNameRegName;
import com.diagbot.entity.node.MedRegName;
import com.diagbot.entity.node.PacsCritical;
import com.diagbot.entity.node.PacsRemind;
import com.diagbot.entity.node.TransfusionRemind;
import com.diagbot.entity.node.TransfusionSuggest;
import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.node.YiBaoOperationName;
import com.diagbot.entity.relationship.LisRemindGroup;
import com.diagbot.entity.relationship.LisRemindMedicine;
import com.diagbot.entity.relationship.LisRemindYiBaoDiseaseName;
import com.diagbot.entity.relationship.TransfusionSuggestYiBaoDiseaseName;
import com.diagbot.entity.relationship.TransfusionSuggestYiBaoOperationName;
import com.diagbot.enums.GraphLabelEnum;
import com.diagbot.enums.NeoEnum;
import com.diagbot.enums.StatusEnum;
import com.diagbot.enums.TypeEnum;
import com.diagbot.repository.MedicineRepository;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.util.MsgUtil;
import com.diagbot.util.StringUtil;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.Collectors;

*/
/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/8 10:27
 *//*

@Component
public class RuleConvertFacade {
    @Autowired
    private LisConfigFacade lisConfigFacade;
    @Autowired
    private PacsConfigFacade pacsConfigFacade;
    @Autowired
    private DrugConfigFacade drugConfigFacade;
    @Autowired
    private DiseaseConfigFacade diseaseConfigFacade;
    @Autowired
    private OperationConfigFacade operationConfigFacade;
    @Autowired
    private TransfusionConfigFacade transfusionConfigFacade;

    @Autowired
    private MedicineRepository medicineRepository;
    @Autowired
    private DrugTypeFacade drugTypeFacade;

    */
/**
     * 开单规则转换
     *
     * @param billItems
     * @param hospitalId
     * @return
     *//*

    public List<ResultBill> billRuleConvert(List<BillItem> billItems, Long hospitalId) {
        List<ResultBill> retList = Lists.newLinkedList();
        List<ResultBill> resultBillList = Lists.newLinkedList();
        List<ResultBill> retMedNameList = Lists.newArrayList();
        List<ResultBill> retBillList = Lists.newArrayList();
        List<ResultBill> retConflictList = Lists.newArrayList();

        if (ListUtil.isEmpty(billItems)) {
            return retList;
        }

        List<MedNameRegName> medNameRegNameList = medicineRepository.findCustomByNameAndRegName(StatusEnum.Enable.getKey());
        Map<String, List<MedNameRegName>> medNameRegNameEntityMap
                = EntityUtil.makeEntityListMap(medNameRegNameList, "medRegName");
        Map<String, List<String>> medNameRegNameMap = new HashMap<>();
        medNameRegNameEntityMap.entrySet().forEach(entry -> {
            medNameRegNameMap.put(entry.getKey(), entry.getValue().stream().map(i -> i.getMedName()).collect(Collectors.toList()));
        });

        //药物过敏原药品分类转药品
        Map<String, List<String>> medClassMap = drugTypeFacade.getDrugTypeMap();

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> pacsConfigMap = pacsConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, Map<String, List<Long>>>> drugConfigMap = drugConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> operationConfigMap = operationConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        for (BillItem billItem : billItems) {
            //基础属性复制
            ResultBill resultBill = new ResultBill();
            resultBill.setBillType(1);
            resultBill.setBillItemType(billItem.getConceptLabel());
            resultBill.setBillItemName(billItem.getConceptName());
            resultBill.setConflictItemType(billItem.getConditionLabel());
            resultBill.setConflictItemName(billItem.getConditionName());
            resultBill.setMessage("");
            if (billItem.getConditionMaxValue() != null) {
                resultBill.setMaxValue(BigDecimal.valueOf(billItem.getConditionMaxValue()));
            }
            if (billItem.getConditionMinValue() != null) {
                resultBill.setMinValue(BigDecimal.valueOf(billItem.getConditionMinValue()));
            }
            resultBill.setConflictItemRange(billItem.getConditionRange());
            resultBill.setUnit(billItem.getConditionUnit());

            if (resultBill.getConflictItemType().equals(GraphLabelEnum.MedAllergen.getName())) {
                List<String> medNameList = medClassMap.get(billItem.getConditionName());
                if (ListUtil.isNotEmpty(medNameList)) {
                    for (String medName : medNameList) {
                        ResultBill resultBill1Ext = new ResultBill();
                        BeanUtil.copyProperties(resultBill, resultBill1Ext);
                        resultBill1Ext.setReferenceValue(resultBill1Ext.getConflictItemName());
                        resultBill1Ext.setConflictItemName(medName);
                        resultBillList.add(resultBill1Ext);
                    }
                } else {
                    resultBillList.add(resultBill);
                }
            } else {
                resultBillList.add(resultBill);
            }
        }

        //药品注册名转通用名
        for (ResultBill resultBill : resultBillList) {
            if (resultBill.getBillItemType().equals(GraphLabelEnum.MedRegName.getName())) {
                List<String> medNameList = medNameRegNameMap.get(resultBill.getBillItemName());
                if (ListUtil.isNotEmpty(medNameList)) {
                    for (String medName : medNameList) {
                        ResultBill resultBill1Ext = new ResultBill();
                        BeanUtil.copyProperties(resultBill, resultBill1Ext);
                        resultBill1Ext.setBillItemType(GraphLabelEnum.Medicine.getName());
                        resultBill1Ext.setReferenceValue(resultBill1Ext.getBillItemName());
                        resultBill1Ext.setBillItemName(medName);
                        retMedNameList.add(resultBill1Ext);
                    }
                } else {
                    resultBill.setSuccess(0);
                    resultBill.setMessage(resultBill.getBillItemName() + "（药品注册名称）找不到对应药品通用名称；");
                    retMedNameList.add(resultBill);
                }
            } else {
                retMedNameList.add(resultBill);
            }
        }

        //数据映射-开单项转换
        for (ResultBill resultBill : retMedNameList) {
            List<MappingShortEntity> billMappingList = Lists.newArrayList();
            if (resultBill.getBillItemType().equals(GraphLabelEnum.LisSet.getName())) {
                Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(resultBill.getBillItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        if (subEntry.getValue() != null && subEntry.getValue().size() > 0) {
                            subEntry.getValue().entrySet().forEach(detailEntry -> {
                                billMappingList.add(setMappingShortEntity(resultBill.getBillItemName(), subEntry.getKey(), detailEntry.getKey()));
                            });
                        } else {
                            billMappingList.add(setMappingShortEntity(resultBill.getBillItemName(), subEntry.getKey(), ""));
                        }
                    });
                }
            } else if (resultBill.getBillItemType().equals(GraphLabelEnum.PacsName.getName())
                    || resultBill.getBillItemType().equals(GraphLabelEnum.PacsSubName.getName())) {
                Map<String, List<Long>> subMap = pacsConfigMap.get(resultBill.getBillItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        billMappingList.add(setMappingShortEntity(resultBill.getBillItemName(), subEntry.getKey(), ""));
                    });
                }
            } else if (resultBill.getBillItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                Map<String, List<Long>> subMap = operationConfigMap.get(resultBill.getBillItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        billMappingList.add(setMappingShortEntity(resultBill.getBillItemName(), subEntry.getKey(), ""));
                    });
                }
            } else if (resultBill.getBillItemType().equals(GraphLabelEnum.Medicine.getName())) {
                //if (medNameRegNameMap.containsKey(resultBill.getBillItemName())) {
                Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(resultBill.getBillItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        billMappingList.add(setMappingShortEntity(resultBill.getBillItemName(), subEntry.getKey(), ""));
                    });
                }
                //}
            }

            if (ListUtil.isEmpty(billMappingList)) {
                resultBill.setSuccess(0);
                resultBill.setMessage(resultBill.getMessage() + resultBill.getBillItemName() + "缺少医院端映射；");
                retBillList.add(resultBill);
            } else {
                billMappingList.forEach(billMappingItem -> {
                    ResultBill addResultBill = new ResultBill();
                    BeanUtil.copyProperties(resultBill, addResultBill);
                    addResultBill.setBillItemHisName(billMappingItem.getHisName());
                    addResultBill.setBillItemHisDetailName(billMappingItem.getHisDetailName());
                    retBillList.add(addResultBill);
                });
            }
        }

        //数据映射-禁忌项转换
        for (ResultBill resultBill : retBillList) {
            List<MappingShortEntity> conflictMappingList = Lists.newArrayList();
            if (resultBill.getConflictItemType().equals(GraphLabelEnum.Lis.getName())) {
                Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        if (subEntry.getValue() != null && subEntry.getValue().size() > 0) {
                            subEntry.getValue().entrySet().forEach(detailEntry -> {
                                conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), detailEntry.getKey()));
                            });
                        } else {
                            conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                        }
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.BillConflictItem.getName())) {
                Map<String, List<Long>> subMap = pacsConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Disease.getName())) {
                Map<String, List<Long>> subMap = diseaseConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.OralMedicine.getName())) {
                Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null) {
                    subMap.entrySet().forEach(subEntry -> {
                        conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.MedAllergen.getName())) {
                List<String> medNameList = medClassMap.get(resultBill.getConflictItemName());
                if (ListUtil.isNotEmpty(medNameList)) {
                    medNameList.forEach(medName -> {
                        Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(medName);
                        if (subMap != null) {
                            subMap.entrySet().forEach(subEntry -> {
                                conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                            });
                        }
                    });
                } else {
                    Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(resultBill.getConflictItemName());
                    if (subMap != null) {
                        subMap.entrySet().forEach(subEntry -> {
                            conflictMappingList.add(setMappingShortEntity(resultBill.getConflictItemName(), subEntry.getKey(), ""));
                        });
                    }
                }
            }

            if (ListUtil.isEmpty(conflictMappingList)) {
                if (resultBill.getConflictItemType().equals(GraphLabelEnum.MedAllergen.getName())
                        || resultBill.getConflictItemType().equals(GraphLabelEnum.OralMedicine.getName())
                        || resultBill.getConflictItemType().equals(GraphLabelEnum.Lis.getName())
                        || resultBill.getConflictItemType().equals(GraphLabelEnum.BillConflictItem.getName())
                        || resultBill.getConflictItemType().equals(GraphLabelEnum.Disease.getName())) {
                    resultBill.setSuccess(0);
                    resultBill.setMessage(resultBill.getMessage() + resultBill.getConflictItemName() + "缺少医院端映射；");
                }
                retConflictList.add(resultBill);
            } else {
                conflictMappingList.forEach(conflictItem -> {
                    ResultBill addResultBill = new ResultBill();
                    BeanUtil.copyProperties(resultBill, addResultBill);
                    addResultBill.setConflictItemHisName(conflictItem.getHisName());
                    addResultBill.setConflictItemHisDetailName(conflictItem.getHisDetailName());
                    retConflictList.add(addResultBill);
                });
            }
        }

        //模拟输入值
        retList = createInputValue(retConflictList);
        return retList;
    }

    */
/**
     * 开单规则转换-输血
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultBill> billRuleConvert_transfusion(List<TransfusionRemind> items, Long hospitalId) {
        List<ResultBill> retList = Lists.newLinkedList();
        List<ResultBill> resultBillList = Lists.newLinkedList();
        List<ResultBill> retBillList = Lists.newArrayList();
        List<ResultBill> retConflictList = Lists.newArrayList();

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> operationConfigMap = operationConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> transfusionConfigMap = transfusionConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        for (TransfusionRemind item : items) {
            //基础属性复制
            ResultBill resultBill = new ResultBill();
            resultBill.setBillType(2);
            resultBill.setBillItemType(GraphLabelEnum.TransfusionRemind.getName());
            resultBill.setBillItemName(item.getTransfusion_type());
            resultBill.setConflictItemType(item.getNode_label());
            resultBill.setConflictItemName(item.getIndex_name());
            resultBill.setMessage("");
            if (item.getMaxval() != null) {
                resultBill.setMaxValue(BigDecimal.valueOf(item.getMaxval()));
            }
            if (item.getMinval() != null) {
                resultBill.setMinValue(BigDecimal.valueOf(item.getMinval()));
            }
            resultBill.setConflictItemRange(item.getRange());
            resultBill.setUnit(item.getUnit());
            resultBillList.add(resultBill);
        }

        //开单项转医院名称
        for (ResultBill resultBill : resultBillList) {
            Map<String, List<Long>> hisMap = transfusionConfigMap.get(resultBill.getBillItemName());
            if (hisMap != null && hisMap.size() > 0) {
                hisMap.entrySet().forEach(result -> {
                    ResultBill addResultBill = new ResultBill();
                    BeanUtil.copyProperties(resultBill, addResultBill);
                    addResultBill.setBillItemHisName(result.getKey());
                    retBillList.add(addResultBill);
                });
            } else {
                resultBill.setSuccess(0);
                resultBill.setMessage(resultBill.getMessage() + resultBill.getBillItemName() + "缺少医院端映射；");
                retBillList.add(resultBill);
            }
        }

        //禁忌项转医院名称
        for (ResultBill resultBill : retBillList) {
            Map<String, List<String>> hisMap = new HashMap<>();
            if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                Map<String, List<Long>> subMap = operationConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null && subMap.size() > 0) {
                    subMap.entrySet().forEach(item -> {
                        hisMap.put(item.getKey(), new ArrayList<>());
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
                Map<String, List<Long>> subMap = diseaseConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null && subMap.size() > 0) {
                    subMap.entrySet().forEach(item -> {
                        hisMap.put(item.getKey(), new ArrayList<>());
                    });
                }
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.LisName.getName())) {
                Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(resultBill.getConflictItemName());
                if (subMap != null && subMap.size() > 0) {
                    subMap.entrySet().forEach(item -> {
                        hisMap.put(item.getKey(), new ArrayList<>(item.getValue().keySet()));
                    });
                }
            }

            if (hisMap != null && hisMap.size() > 0) {
                hisMap.entrySet().forEach(item -> {
                    ResultBill addResultBill = new ResultBill();
                    BeanUtil.copyProperties(resultBill, addResultBill);
                    addResultBill.setConflictItemHisName(item.getKey());
                    if (ListUtil.isNotEmpty(item.getValue())) {
                        item.getValue().forEach(detailName -> {
                            ResultBill addResultBillExt = new ResultBill();
                            BeanUtil.copyProperties(addResultBill, addResultBillExt);
                            addResultBillExt.setConflictItemHisDetailName(detailName);
                            retConflictList.add(addResultBillExt);
                        });
                    } else {
                        retConflictList.add(addResultBill);
                    }
                });
            } else {
                resultBill.setSuccess(0);
                resultBill.setMessage(resultBill.getMessage() + resultBill.getConflictItemName() + "缺少医院端映射；");
                retConflictList.add(resultBill);
            }
        }

        //模拟输入值
        retList = createInputValue(retConflictList);

        return retList;
    }

    */
/**
     * 危急值规则转换-检验
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultCritical> criticalRuleConvert_lis(List<LisCritical> items, Long hospitalId) {
        List<ResultCritical> retList = Lists.newLinkedList();
        List<ResultCritical> resultList = Lists.newLinkedList();
        List<ResultCritical> resultMappingList = Lists.newArrayList();

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        for (LisCritical item : items) {
            //基础属性复制
            ResultCritical result = new ResultCritical();
            result.setCriticalType(1);
            result.setCriticalItemType(GraphLabelEnum.LisCritical.getName());
            result.setMessage("");

            if (StringUtil.isNotBlank(item.getMaxval())) {
                result.setMaxValue(BigDecimal.valueOf(Double.valueOf(item.getMaxval())));
            }
            if (StringUtil.isNotBlank(item.getMinval())) {
                result.setMinValue(BigDecimal.valueOf(Double.valueOf(item.getMinval())));
            }
            if (StringUtil.isNotBlank(item.getAge())) {
                String[] ages = item.getAge().split(":");
                if (ages.length == 1) {
                    if (item.getAge().startsWith(":")) {
                        result.setMaxAge(Integer.valueOf(ages[0]));
                    } else {
                        result.setMinAge(Integer.valueOf(ages[0]));
                    }
                } else if (ages.length > 1) {
                    result.setMinAge(Integer.valueOf(ages[0]));
                    result.setMaxAge(Integer.valueOf(ages[1]));
                }
            }
            result.setCriticalItemRange(StringUtil.isBlank(item.getRange()) ? 0 : Integer.valueOf(item.getRange()));
            result.setUnit(item.getUnit());
            result.setReferenceValue(item.getName());
            if (item.getLisnameLisCriticals() != null && item.getLisnameLisCriticals().size() > 0) {
                item.getLisnameLisCriticals().forEach(r -> {
                    LisName lisName = r.getLisName();
                    ResultCritical resultExt = new ResultCritical();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setCriticalItemName(lisName.getName());
                    resultList.add(resultExt);
                });
            }
        }

        //医院端映射
        for (ResultCritical result : resultList) {
            Map<String, Map<String, List<Long>>> hisMap = lisConfigMap.get(result.getCriticalItemName());
            if (hisMap != null && hisMap.size() > 0) {
                hisMap.entrySet().forEach(entry -> {
                    result.setCriticalItemHisName(entry.getKey());
                    if (entry.getValue() != null && entry.getValue().size() > 0) {
                        entry.getValue().entrySet().forEach(subEntry -> {
                            ResultCritical resultExt = new ResultCritical();
                            BeanUtil.copyProperties(result, resultExt);
                            resultExt.setCriticalItemHisDetailName(subEntry.getKey());
                            resultMappingList.add(resultExt);
                        });
                    } else {
                        ResultCritical resultExt = new ResultCritical();
                        BeanUtil.copyProperties(result, resultExt);
                        resultMappingList.add(resultExt);
                    }
                });
            } else {
                ResultCritical resultExt = new ResultCritical();
                BeanUtil.copyProperties(result, resultExt);
                resultExt.setSuccess(0);
                resultExt.setMessage(resultExt.getMessage() + resultExt.getCriticalItemName() + "缺少医院端映射；");
                resultMappingList.add(resultExt);
            }
        }

        //模拟数据输入
        retList = createCriticalInputValue(resultMappingList);

        return retList;
    }

    */
/**
     * 危急值规则转换-检查
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultCritical> criticalRuleConvert_pacs(List<PacsCritical> items, Long hospitalId) {
        List<ResultCritical> retList = Lists.newLinkedList();
        List<ResultCritical> resultList = Lists.newLinkedList();
        List<ResultCritical> resultMappingList = Lists.newArrayList();

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        Map<String, Map<String, List<Long>>> pacsConfigMap = pacsConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        for (PacsCritical item : items) {
            //基础属性复制
            ResultCritical result = new ResultCritical();
            result.setCriticalType(2);
            result.setCriticalItemType(GraphLabelEnum.PacsCritical.getName());
            result.setCriticalItemName(item.getPacsname());
            result.setReferenceValue(item.getName());
            result.setInputValue(item.getVal());
            result.setMessage("");
            resultList.add(result);
        }

        //医院端映射
        for (ResultCritical result : resultList) {
            Map<String, List<Long>> hisMap = pacsConfigMap.get(result.getCriticalItemName());
            if (hisMap != null && hisMap.size() > 0) {
                hisMap.entrySet().forEach(entry -> {
                    result.setCriticalItemHisName(entry.getKey());
                    ResultCritical resultExt = new ResultCritical();
                    BeanUtil.copyProperties(result, resultExt);
                    resultMappingList.add(resultExt);
                });
            } else {
                ResultCritical resultExt = new ResultCritical();
                BeanUtil.copyProperties(result, resultExt);
                resultExt.setSuccess(0);
                resultExt.setMessage(resultExt.getMessage() + resultExt.getCriticalItemName() + "缺少医院端映射；");
                resultMappingList.add(resultExt);
            }
        }

        //模拟数据输入
        retList = createCriticalInputValue(resultMappingList);

        return retList;
    }

    */
/**
     * 高危药品转换
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultHighriskDrug> highriskRuleConvert_drug(List<MedRegName> items, Long hospitalId) {
        List<ResultHighriskDrug> retList = Lists.newLinkedList();
        List<ResultHighriskDrug> retMedList = Lists.newLinkedList();
        List<ResultHighriskDrug> retMappingList = Lists.newLinkedList();

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        //注册名映射通用名
        List<MedNameRegName> medNameRegNameList = medicineRepository.findCustomByNameAndRegName(StatusEnum.Enable.getKey());
        Map<String, List<MedNameRegName>> medRegMap
                = EntityUtil.makeEntityListMap(medNameRegNameList, "medRegName");

        Map<String, Map<String, Map<String, List<Long>>>> drugConfigMap = drugConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        //注册名转通用名+剂型
        for (MedRegName item : items) {
            if (ListUtil.isNotEmpty(medRegMap.get(item.getName()))) {
                medRegMap.get(item.getName()).forEach(drug -> {
                    ResultHighriskDrug result = new ResultHighriskDrug();
                    result.setHighriskItemRegName(item.getName());
                    result.setHighriskItemName(drug.getMedName());
                    result.setMessage("");
                    result.setHighriskLevel(item.getRisklevel());
                    retMedList.add(result);
                });
            } else {
                ResultHighriskDrug result = new ResultHighriskDrug();
                result.setHighriskItemRegName(item.getName());
                result.setHighriskLevel(item.getRisklevel());
                result.setSuccess(0);
                result.setMessage(result.getHighriskItemRegName() + "（药品注册名称）找不到对应药品通用名称；");
                retMedList.add(result);
            }
        }

        //医院端术语映射
        for (ResultHighriskDrug result : retMedList) {
            Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(result.getHighriskItemName());
            if (subMap != null && subMap.size() > 0) {
                subMap.entrySet().forEach(entry -> {
                    ResultHighriskDrug resultExt = new ResultHighriskDrug();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setHighriskItemHisName(entry.getKey());
                    if (entry.getValue() != null && entry.getValue().size() > 0) {
                        entry.getValue().keySet().forEach(form -> {
                            ResultHighriskDrug resultForm = new ResultHighriskDrug();
                            BeanUtil.copyProperties(resultExt, resultForm);
                            resultForm.setHighriskItemForm(form);
                            retMappingList.add(resultForm);
                        });
                    } else {
                        retMappingList.add(resultExt);
                    }
                });
            } else {
                ResultHighriskDrug resultExt = new ResultHighriskDrug();
                BeanUtil.copyProperties(result, resultExt);
                resultExt.setSuccess(0);
                resultExt.setMessage(resultExt.getMessage() + resultExt.getHighriskItemName() + "缺少医院端映射；");
                retMappingList.add(resultExt);
            }
        }

        for (ResultHighriskDrug result : retMappingList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            BillMsg billMsg = MsgUtil.getCommonHighRiskMsg(result.getHighriskItemHisName(), result.getHighriskLevel(), TypeEnum.drug.getName());
            result.setExpectedOutput(billMsg.getMsg());
            retList.add(result);
        }
        return retList;
    }

    */
/**
     * 高危手术转换
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultHighriskOperation> highriskRuleConvert_operation(List<YiBaoOperationName> items, Long hospitalId) {
        List<ResultHighriskOperation> retList = Lists.newLinkedList();
        List<ResultHighriskOperation> retOptList = Lists.newLinkedList();
        List<ResultHighriskOperation> retMappingList = Lists.newLinkedList();
        List<ResultHighriskOperation> retFactorMappingList = Lists.newLinkedList();

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> operationConfigMap = operationConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        List<String> conds = items.stream().map(i -> i.getHighriskcond()).filter(i -> StringUtil.isNotBlank(i)).distinct().collect(Collectors.toList());

        //过滤非高危手术
        items = items
                .stream()
                .filter(item -> !(StringUtil.isBlank(item.getOpgrade()) || item.getOpgrade().equals("0") || item.getOpgrade().equals("1")))
                .collect(Collectors.toList());
        //按高危条件分类
        items.forEach(item -> {
            if (StringUtil.isBlank(item.getHighriskcond())) {
                item.setHighriskcond("");
            }
        });
        Map<String, List<YiBaoOperationName>> condItemMap = EntityUtil.makeEntityListMap(items, "highriskcond");

        for (Map.Entry<String, List<YiBaoOperationName>> entry : condItemMap.entrySet()) {
            if (entry.getKey().equals("")) {
                if (ListUtil.isNotEmpty(entry.getValue())) {
                    entry.getValue().forEach(item -> {
                        ResultHighriskOperation result = new ResultHighriskOperation();
                        result.setHighriskItemName(item.getName());
                        result.setLevel(item.getOpgrade());
                        result.setMessage("");
                        if (item.getOpgrade().equals("2")) {
                            result.setSuccess(0);
                            result.setMessage("缺少高危条件");
                        }
                        retOptList.add(result);
                    });
                }
            } else {
                if (ListUtil.isEmpty(entry.getValue())) {
                    continue;
                }

                Map<Integer, Map<String, Object>> condMap = new LinkedHashMap<>();
                condMap.putAll(getHighriskCondMap(entry.getKey()));

                //条件相同的规则条数大于条件数，1对1遍历
                if (entry.getValue().size() > condMap.size()) {
                    Integer condIndex = 0;
                    for (YiBaoOperationName item : entry.getValue()) {
                        ResultHighriskOperation result = new ResultHighriskOperation();
                        result.setHighriskItemName(item.getName());
                        result.setLevel(item.getOpgrade());
                        result.setMessage("");
                        //带条件高危手术
                        if (item.getOpgrade().equals("2")) {
                            result.setFactorItemCond(item.getHighriskcond());
                            Map<String, Object> subCondMap = condMap.get(condIndex++);
                            if (condIndex.equals(condMap.size())) {
                                condIndex = 0;
                            }
                            String type = subCondMap.get("type").toString();
                            if (type.equals(TypeEnum.age.getName())) {
                                ResultHighriskOperation ageResult = new ResultHighriskOperation();
                                BeanUtil.copyProperties(result, ageResult);
                                ageResult.setFactorItemType(TypeEnum.age.getName());
                                ageResult.setFactorItemName(subCondMap.get("name").toString());
                                if (subCondMap.containsKey("最大值")) {
                                    ageResult.setFactorItemMaxValue((BigDecimal) subCondMap.get("最大值"));
                                }
                                if (subCondMap.containsKey("最小值")) {
                                    ageResult.setFactorItemMinValue((BigDecimal) subCondMap.get("最小值"));
                                }
                                if (subCondMap.containsKey("单位")) {
                                    ageResult.setFactorItemUnit(subCondMap.get("单位").toString());
                                }
                                if (subCondMap.containsKey("范围")) {
                                    ageResult.setFactorItemRange((Integer) subCondMap.get("范围"));
                                }
                                retOptList.add(ageResult);
                            } else if (type.equals(TypeEnum.vital.getName())) {
                                ResultHighriskOperation vitalResult = new ResultHighriskOperation();
                                BeanUtil.copyProperties(result, vitalResult);
                                vitalResult.setFactorItemName(subCondMap.get("name").toString());
                                vitalResult.setFactorItemType(TypeEnum.vital.getName());
                                if (subCondMap.containsKey("最大值")) {
                                    vitalResult.setFactorItemMaxValue((BigDecimal) subCondMap.get("最大值"));
                                }
                                if (subCondMap.containsKey("最小值")) {
                                    vitalResult.setFactorItemMinValue((BigDecimal) subCondMap.get("最小值"));
                                }
                                if (subCondMap.containsKey("单位")) {
                                    vitalResult.setFactorItemUnit((String) subCondMap.get("单位"));
                                }
                                if (subCondMap.containsKey("范围")) {
                                    vitalResult.setFactorItemRange((Integer) subCondMap.get("范围"));
                                }
                                retOptList.add(vitalResult);
                            } else if (type.equals(TypeEnum.disease.getName())) {
                                ResultHighriskOperation diagResult = new ResultHighriskOperation();
                                BeanUtil.copyProperties(result, diagResult);
                                diagResult.setFactorItemType(TypeEnum.disease.getName());
                                diagResult.setFactorItemName(subCondMap.get("name").toString());
                                retOptList.add(diagResult);
                            } else if (type.equals(TypeEnum.lis.getName())) {
                                ResultHighriskOperation lisResult = new ResultHighriskOperation();
                                BeanUtil.copyProperties(result, lisResult);
                                lisResult.setFactorItemType(TypeEnum.lis.getName());
                                lisResult.setFactorItemName(subCondMap.get("name").toString());
                                if (subCondMap.containsKey("最大值")) {
                                    lisResult.setFactorItemMaxValue((BigDecimal) subCondMap.get("最大值"));
                                }
                                if (subCondMap.containsKey("最小值")) {
                                    lisResult.setFactorItemMinValue((BigDecimal) subCondMap.get("最小值"));
                                }
                                if (subCondMap.containsKey("单位")) {
                                    lisResult.setFactorItemUnit((String) subCondMap.get("单位"));
                                }
                                if (subCondMap.containsKey("范围")) {
                                    lisResult.setFactorItemRange((Integer) subCondMap.get("范围"));
                                }
                                if (subCondMap.containsKey("结果")) {
                                    lisResult.setInputValue((String) subCondMap.get("结果"));
                                }
                                retOptList.add(lisResult);
                            } else if (type.equals(TypeEnum.pacsDecs.getName())) {
                                ResultHighriskOperation pacsDescResult = new ResultHighriskOperation();
                                BeanUtil.copyProperties(result, pacsDescResult);
                                pacsDescResult.setFactorItemType(TypeEnum.pacsDecs.getName());
                                pacsDescResult.setInputValue(subCondMap.get("name").toString());
                                retOptList.add(pacsDescResult);
                            }
                        } else {
                            retOptList.add(result);
                        }
                    }
                } else {
                    for (YiBaoOperationName item : entry.getValue()) {
                        ResultHighriskOperation result = new ResultHighriskOperation();
                        result.setHighriskItemName(item.getName());
                        result.setLevel(item.getOpgrade());
                        result.setMessage("");
                        //带条件高危手术
                        if (item.getOpgrade().equals("2")) {
                            String highriskcond = item.getHighriskcond();
                            JSONObject jobj = JSONObject.parseObject(highriskcond);
                            if (null != jobj) {
                                // 判断年龄
                                JSONObject ageobj = jobj.getJSONObject("年龄");
                                if (ageobj != null) {
                                    ResultHighriskOperation ageResult = new ResultHighriskOperation();
                                    BeanUtil.copyProperties(result, ageResult);
                                    ageResult.setFactorItemType(TypeEnum.age.getName());
                                    ageResult.setFactorItemName("年龄");
                                    if (ageobj.containsKey("最大值")) {
                                        ageResult.setFactorItemMaxValue(ageobj.getBigDecimal("最大值"));
                                    }
                                    if (ageobj.containsKey("最小值")) {
                                        ageResult.setFactorItemMinValue(ageobj.getBigDecimal("最小值"));
                                    }
                                    if (ageobj.containsKey("单位")) {
                                        ageResult.setFactorItemUnit(ageobj.getString("单位"));
                                    }
                                    if (ageobj.containsKey("范围")) {
                                        ageResult.setFactorItemRange(ageobj.getInteger("范围"));
                                    }
                                    retOptList.add(ageResult);
                                }
                                // 判断生命体征和查体
                                JSONObject vitalObj = jobj.getJSONObject("生命体征及查体");
                                if (null != vitalObj) {
                                    for (Map.Entry<String, Object> subEntry : vitalObj.entrySet()) {
                                        ResultHighriskOperation vitalResult = new ResultHighriskOperation();
                                        BeanUtil.copyProperties(result, vitalResult);
                                        vitalResult.setFactorItemName(subEntry.getKey());
                                        vitalResult.setFactorItemType(TypeEnum.vital.getName());
                                        if (ObjectUtils.isEmpty(subEntry.getValue())) {
                                            retOptList.add(vitalResult);
                                            continue;
                                        }
                                        JSONObject subVitalObj = (JSONObject) subEntry.getValue();
                                        if (null != subVitalObj) {
                                            if (subVitalObj.containsKey("最大值")) {
                                                vitalResult.setFactorItemMaxValue(subVitalObj.getBigDecimal("最大值"));
                                            }
                                            if (subVitalObj.containsKey("最小值")) {
                                                vitalResult.setFactorItemMinValue(subVitalObj.getBigDecimal("最小值"));
                                            }
                                            if (subVitalObj.containsKey("单位")) {
                                                vitalResult.setFactorItemUnit(subVitalObj.getString("单位"));
                                            }
                                            if (subVitalObj.containsKey("范围")) {
                                                vitalResult.setFactorItemRange(subVitalObj.getInteger("范围"));
                                            }
                                        }
                                        retOptList.add(vitalResult);
                                    }
                                }

                                // 判断合并疾病
                                JSONObject diagobj = jobj.getJSONObject("合并疾病");
                                if (null != diagobj) {
                                    for (Map.Entry<String, Object> subEntry : diagobj.entrySet()) {
                                        ResultHighriskOperation diagResult = new ResultHighriskOperation();
                                        BeanUtil.copyProperties(result, diagResult);
                                        diagResult.setFactorItemType(TypeEnum.disease.getName());
                                        diagResult.setFactorItemName(subEntry.getKey());
                                        retOptList.add(diagResult);
                                    }
                                }

                                // 判断化验结果
                                JSONObject lisobj = jobj.getJSONObject("化验结果");
                                if (null != lisobj) {
                                    for (Map.Entry<String, Object> subEntry : lisobj.entrySet()) {
                                        ResultHighriskOperation lisResult = new ResultHighriskOperation();
                                        BeanUtil.copyProperties(result, lisResult);
                                        lisResult.setFactorItemType(TypeEnum.lis.getName());
                                        lisResult.setFactorItemName(subEntry.getKey());
                                        if (ObjectUtils.isEmpty(subEntry.getValue())) {
                                            retOptList.add(lisResult);
                                            continue;
                                        }
                                        JSONObject subLisObj = (JSONObject) subEntry.getValue();
                                        if (null != subLisObj) {
                                            if (subLisObj.containsKey("最大值")) {
                                                lisResult.setFactorItemMaxValue(subLisObj.getBigDecimal("最大值"));
                                            }
                                            if (subLisObj.containsKey("最小值")) {
                                                lisResult.setFactorItemMinValue(subLisObj.getBigDecimal("最小值"));
                                            }
                                            if (subLisObj.containsKey("单位")) {
                                                lisResult.setFactorItemUnit(subLisObj.getString("单位"));
                                            }
                                            if (subLisObj.containsKey("范围")) {
                                                lisResult.setFactorItemRange(subLisObj.getInteger("范围"));
                                            }
                                            if (subLisObj.containsKey("结果")) {
                                                lisResult.setInputValue(subLisObj.getString("结果"));
                                            }
                                        }
                                        retOptList.add(lisResult);
                                    }
                                }

                                // 判断辅检结果，暂不处理
                                JSONObject pacsObj = jobj.getJSONObject("辅检结果");
                                // 判断辅检结果描述
                                JSONObject pacsDescObj = jobj.getJSONObject("辅检结果描述");
                                if (null != pacsDescObj) {
                                    for (Map.Entry<String, Object> subEntry : pacsDescObj.entrySet()) {
                                        ResultHighriskOperation pacsDescResult = new ResultHighriskOperation();
                                        BeanUtil.copyProperties(result, pacsDescResult);
                                        pacsDescResult.setFactorItemType(TypeEnum.pacsDecs.getName());
                                        //pacsDescResult.setFactorItemName("胸部CT");
                                        //pacsDescResult.setFactorItemHisName("胸部CT");
                                        pacsDescResult.setInputValue(subEntry.getKey());
                                        retOptList.add(pacsDescResult);
                                    }
                                }
                            }
                        } else {
                            retOptList.add(result);
                        }
                    }
                }
            }
        }

        //手术名称映射
        for (ResultHighriskOperation result : retOptList) {
            Map<String, List<Long>> subMap = operationConfigMap.get(result.getHighriskItemName());
            if (subMap != null && subMap.size() > 0) {
                subMap.keySet().forEach(hisName -> {
                    ResultHighriskOperation resultExt = new ResultHighriskOperation();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setHighriskItemHisName(hisName);
                    retMappingList.add(resultExt);
                });
            } else {
                ResultHighriskOperation resultExt = new ResultHighriskOperation();
                BeanUtil.copyProperties(result, resultExt);
                resultExt.setSuccess(0);
                resultExt.setMessage(resultExt.getMessage() + resultExt.getHighriskItemName() + "缺少医院端映射；");
                retMappingList.add(resultExt);
            }
        }

        //高危条件映射
        for (ResultHighriskOperation result : retMappingList) {
            if (result.getFactorItemType() == null) {
                retFactorMappingList.add(result);
                continue;
            }
            if (result.getFactorItemType().equals(TypeEnum.disease.getName())) {
                Map<String, List<Long>> subMap = diseaseConfigMap.get(result.getFactorItemName());
                if (subMap != null && subMap.size() > 0) {
                    subMap.keySet().forEach(hisName -> {
                        ResultHighriskOperation resultExt = new ResultHighriskOperation();
                        BeanUtil.copyProperties(result, resultExt);
                        resultExt.setFactorItemHisName(hisName);
                        retFactorMappingList.add(resultExt);
                    });
                } else {
                    ResultHighriskOperation resultExt = new ResultHighriskOperation();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setSuccess(0);
                    resultExt.setMessage(resultExt.getMessage() + resultExt.getFactorItemName() + "缺少医院端映射；");
                    retFactorMappingList.add(resultExt);
                }
            } else if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(result.getFactorItemName());
                if (subMap != null && subMap.size() > 0) {
                    subMap.entrySet().forEach(entry -> {
                        ResultHighriskOperation resultExt = new ResultHighriskOperation();
                        BeanUtil.copyProperties(result, resultExt);
                        resultExt.setFactorItemHisName(entry.getKey());
                        if (entry.getValue() != null && entry.getValue().size() > 0) {
                            entry.getValue().keySet().forEach(hisDetailName -> {
                                resultExt.setFactorItemHisDetailName(hisDetailName);
                                retFactorMappingList.add(resultExt);
                            });
                        } else {
                            retFactorMappingList.add(resultExt);
                        }
                    });
                } else {
                    ResultHighriskOperation resultExt = new ResultHighriskOperation();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setSuccess(0);
                    resultExt.setMessage(resultExt.getMessage() + resultExt.getFactorItemName() + "缺少医院端映射；");
                    retFactorMappingList.add(resultExt);
                }
            } else {
                retFactorMappingList.add(result);
            }
        }

        //模拟输入数据
        retList = createHighriskOperationInputValue(retFactorMappingList);

        return retList;
    }

    */
/**
     * 其他值提醒-化验
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultOtherLis> otherRuleConvert_lis(List<LisRemind> items, Long hospitalId) {
        List<ResultOtherLis> retList = Lists.newLinkedList();
        List<ResultOtherLis> retOtherList = Lists.newLinkedList();
        List<ResultOtherLis> retMappingList = Lists.newLinkedList();

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, Map<String, List<Long>>>> drugConfigMap = drugConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        for (LisRemind item : items) {
            ResultOtherLis result = new ResultOtherLis();
            result.setOtherItemType(GraphLabelEnum.LisName.getName());
            result.setOtherItemName(item.getLisname());
            result.setOtherItemRange(item.getRange());
            if (item.getMaxval() != null) {
                result.setMaxValue(BigDecimal.valueOf(item.getMaxval()));
            }
            if (item.getMinval() != null) {
                result.setMinValue((BigDecimal.valueOf(item.getMinval())));
            }
            result.setUnit(item.getUnit());
            result.setMessage("");

            //相关诊断
            Set<LisRemindYiBaoDiseaseName> lisRemindYiBaoDiseaseNameSet = item.getLisReminddisease();
            if (lisRemindYiBaoDiseaseNameSet != null && lisRemindYiBaoDiseaseNameSet.size() > 0) {
                lisRemindYiBaoDiseaseNameSet.forEach(lisDis -> {
                    if (lisDis.getYiBaoDiseaseName() != null) {
                        result.setRemindItemType(GraphLabelEnum.YiBaoDiseaseName.getName());
                        result.setRemindItemName(lisDis.getYiBaoDiseaseName().getName());
                        if (diseaseConfigMap.containsKey(lisDis.getYiBaoDiseaseName().getName())) {
                            Map<String, List<Long>> subMap = diseaseConfigMap.get(lisDis.getYiBaoDiseaseName().getName());
                            if (subMap != null && subMap.size() > 0) {
                                subMap.entrySet().forEach(subEntry -> {
                                    ResultOtherLis resultExt = new ResultOtherLis();
                                    BeanUtil.copyProperties(result, resultExt);
                                    resultExt.setRemindItemHisName(subEntry.getKey());
                                    retOtherList.add(resultExt);
                                });
                            } else {
                                ResultOtherLis resultExt = new ResultOtherLis();
                                BeanUtil.copyProperties(result, resultExt);
                                resultExt.setSuccess(0);
                                resultExt.setMessage(resultExt.getMessage() + resultExt.getRemindItemName() + "缺少医院端映射；");
                                retOtherList.add(resultExt);
                            }
                        } else {
                            ResultOtherLis resultExt = new ResultOtherLis();
                            BeanUtil.copyProperties(result, resultExt);
                            resultExt.setSuccess(0);
                            resultExt.setMessage(resultExt.getMessage() + resultExt.getRemindItemName() + "缺少医院端映射；");
                            retOtherList.add(resultExt);
                        }
                    }
                });
            }

            //相关禁忌人群
            Set<LisRemindGroup> lisRemindGroupSet = item.getLisRemindgroup();
            if (lisRemindGroupSet != null && lisRemindGroupSet.size() > 0) {
                lisRemindGroupSet.forEach(lisGroup -> {
                    if (lisGroup.getGroup() != null) {
                        result.setRemindItemType(GraphLabelEnum.Group.getName());
                        result.setRemindItemName(lisGroup.getGroup().getName());
                        ResultOtherLis resultExt = new ResultOtherLis();
                        BeanUtil.copyProperties(result, resultExt);
                        retOtherList.add(resultExt);
                    }
                });
            }

            //相关药品
            Set<LisRemindMedicine> lisRemindMedicineSet = item.getLisRemindmedicines();
            if (lisRemindMedicineSet != null && lisRemindMedicineSet.size() > 0) {
                lisRemindMedicineSet.forEach(lisMed -> {
                    if (lisMed.getMedicine() != null) {
                        result.setRemindItemType(GraphLabelEnum.Medicine.getName());
                        result.setRemindItemName(lisMed.getMedicine().getName());
                        if (drugConfigMap.containsKey(lisMed.getMedicine().getName())) {
                            Map<String, Map<String, List<Long>>> subMap = drugConfigMap.get(lisMed.getMedicine().getName());
                            if (subMap != null && subMap.size() > 0) {
                                subMap.entrySet().forEach(subEntry -> {
                                    ResultOtherLis resultExt = new ResultOtherLis();
                                    BeanUtil.copyProperties(result, resultExt);
                                    resultExt.setRemindItemHisName(subEntry.getKey());
                                    retOtherList.add(resultExt);
                                });
                            } else {
                                ResultOtherLis resultExt = new ResultOtherLis();
                                BeanUtil.copyProperties(result, resultExt);
                                resultExt.setSuccess(0);
                                resultExt.setMessage(resultExt.getMessage() + resultExt.getRemindItemName() + "缺少医院端映射；");
                                retOtherList.add(resultExt);
                            }
                        } else {
                            ResultOtherLis resultExt = new ResultOtherLis();
                            BeanUtil.copyProperties(result, resultExt);
                            resultExt.setSuccess(0);
                            resultExt.setMessage(resultExt.getMessage() + resultExt.getRemindItemName() + "缺少医院端映射；");
                            retOtherList.add(resultExt);
                        }
                    }
                });
            }
        }

        for (ResultOtherLis result : retOtherList) {
            Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(result.getOtherItemName());
            if (subMap != null && subMap.size() > 0) {
                subMap.entrySet().forEach(subEntry -> {
                    ResultOtherLis resultExt = new ResultOtherLis();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setOtherItemHisName(subEntry.getKey());
                    if (subEntry.getValue() != null) {
                        subEntry.getValue().keySet().forEach(thirdKey -> {
                            ResultOtherLis resultLisExt = new ResultOtherLis();
                            BeanUtil.copyProperties(resultExt, resultLisExt);
                            resultLisExt.setOtherItemHisDetailName(thirdKey);
                            retMappingList.add(resultLisExt);
                        });
                    } else {
                        retMappingList.add(resultExt);
                    }
                });
            } else {
                result.setSuccess(0);
                result.setMessage(result.getMessage() + result.getOtherItemName() + "缺少医院端映射；");
                retMappingList.add(result);
            }
        }

        retList = createOhterLisInputValue(retMappingList);

        return retList;
    }

    */
/**
     * 其他值提醒-辅检
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultOtherPacs> otherRuleConvert_pacs(List<PacsRemind> items, Long hospitalId) {
        List<ResultOtherPacs> retList = Lists.newLinkedList();
        List<ResultOtherPacs> retOtherList = Lists.newLinkedList();

        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        for (PacsRemind item : items) {
            ResultOtherPacs result = new ResultOtherPacs();
            result.setPacsResult(item.getResult());
            result.setExpectedOutput(item.getMsg());
            result.setMessage("");

            if (StringUtil.isNotBlank(item.getGender())) {
                result.setGender(item.getGender());
            }
            if (item.getRange() != null) {
                result.setAgeRange(item.getRange());
            }
            if (item.getMaxval() != null) {
                result.setMaxAge(BigDecimal.valueOf(item.getMaxval()));
            }
            if (item.getMinval() != null) {
                result.setMinAge(BigDecimal.valueOf(item.getMinval()));
            }
            result.setPostoken(item.getPostoken());
            result.setNegtoken(item.getNegtoken());
            if (StringUtil.isNotBlank(result.getPostoken())) {
                result.setPacsResult(result.getPacsResult() + "，" + result.getPostoken());
            }

            if (StringUtil.isNotBlank(item.getDisease())) {
                result.setRemindItemType(GraphLabelEnum.YiBaoDiseaseName.getName());
                result.setRemindItemName(item.getDisease());
                Boolean contains = false;
                for (Map.Entry<String, Map<String, List<Long>>> entry : diseaseConfigMap.entrySet()) {
                    if (entry.getKey().contains(item.getDisease())) {
                        Map<String, List<Long>> subMap = entry.getValue();
                        if (subMap != null && subMap.size() > 0) {
                            contains = true;
                            subMap.keySet().forEach(hisName -> {
                                ResultOtherPacs resultExt = new ResultOtherPacs();
                                BeanUtil.copyProperties(result, resultExt);
                                resultExt.setRemindItemName(entry.getKey());
                                resultExt.setRemindItemHisName(hisName);
                                retOtherList.add(resultExt);
                            });
                        }
                    }
                }
                if (!contains) {
                    result.setSuccess(0);
                    result.setMessage(result.getMessage() + item.getDisease() + "缺少医院端映射；");
                    retOtherList.add(result);
                }
            } else {
                retOtherList.add(result);
            }
        }

        //生成模拟数据
        for (ResultOtherPacs result : retOtherList) {
            if (result.getMaxAge() != null || result.getMinAge() != null) {
                if (result.getAgeRange() == null) {
                    result.setAgeRange(0);
                }
                if (result.getAgeRange().equals(1)) {
                    if (result.getMinAge() != null) {
                        ResultOtherPacs minResult = new ResultOtherPacs();
                        BeanUtil.copyProperties(result, minResult);
                        minResult.setInputAge(random_int(null, result.getMinAge().intValue()).toString());
                        retList.add(minResult);
                    }
                    if (result.getMaxAge() != null) {
                        ResultOtherPacs maxResult = new ResultOtherPacs();
                        BeanUtil.copyProperties(result, maxResult);
                        maxResult.setInputAge(random_int(result.getMaxAge().intValue(), null).toString());
                        retList.add(maxResult);
                    }
                } else {
                    result.setInputAge(random_int(result.getMinAge().intValue(), result.getMaxAge().intValue()).toString());
                    retList.add(result);
                }
            } else {
                retList.add(result);
            }
        }

        return retList;
    }

    */
/**
     * 其他值提醒-输血
     *
     * @param items
     * @param hospitalId
     * @return
     *//*

    public List<ResultOtherTransfusion> otherRuleConvert_transfusion(List<TransfusionSuggest> items, Long hospitalId) {
        List<ResultOtherTransfusion> retList = Lists.newLinkedList();
        List<ResultOtherTransfusion> retOtherList = Lists.newLinkedList();
        List<ResultOtherTransfusion> retMappingList = Lists.newLinkedList();
        List<ResultOtherTransfusion> retTransMappingList = Lists.newLinkedList();

        if (ListUtil.isEmpty(items)) {
            return retList;
        }

        Map<String, Map<String, Map<String, List<Long>>>> lisConfigMap = lisConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> diseaseConfigMap = diseaseConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> operationConfigMap = operationConfigFacade.getUniqueConfigMap(hospitalId, null, null);
        Map<String, Map<String, List<Long>>> transfusionConfigMap = transfusionConfigFacade.getUniqueConfigMap(hospitalId, null, null);

        for (TransfusionSuggest item : items) {
            ResultOtherTransfusion result = new ResultOtherTransfusion();
            result.setOtherItemName(item.getIndex_name());
            result.setTransfusionType(item.getTransfusion_type());
            if (item.getMaxval() != null) {
                result.setOtherItemMaxValue(BigDecimal.valueOf(item.getMaxval()));
            }
            if (item.getMinval() != null) {
                result.setOtherItemMinValue(BigDecimal.valueOf(item.getMinval()));
            }
            result.setOtherItemUnit(item.getUnit());
            result.setOtherItemRange(item.getRange());
            result.setMessage("");


            //诊断
            Set<TransfusionSuggestYiBaoDiseaseName> transfusionSuggestYiBaoDiseaseNameSet = item.getTransfusionSuggestDiseases();
            if (transfusionSuggestYiBaoDiseaseNameSet != null && transfusionSuggestYiBaoDiseaseNameSet.size() > 0) {
                transfusionSuggestYiBaoDiseaseNameSet.forEach(transDis -> {
                    YiBaoDiseaseName dis = transDis.getYiBaoDiseaseName();
                    result.setConflictItemType(GraphLabelEnum.YiBaoDiseaseName.getName());
                    if (dis != null) {
                        result.setConflictItemName(dis.getName());
                        Map<String, List<Long>> subMap = diseaseConfigMap.get(dis.getName());
                        if (subMap != null && subMap.size() > 0) {
                            subMap.keySet().forEach(hisName -> {
                                ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                                BeanUtil.copyProperties(result, resultExt);
                                resultExt.setConflictItemHisName(hisName);
                                retOtherList.add(resultExt);
                            });
                        } else {
                            ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                            BeanUtil.copyProperties(result, resultExt);
                            resultExt.setSuccess(0);
                            resultExt.setMessage(resultExt.getMessage() + resultExt.getConflictItemName() + "缺少医院端映射；");
                            retOtherList.add(resultExt);
                        }
                    } else {
                        ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                        BeanUtil.copyProperties(result, resultExt);
                        resultExt.setSuccess(0);
                        resultExt.setMessage(resultExt.getMessage() + "缺少禁忌项；");
                        retOtherList.add(resultExt);
                    }
                });
            }

            //手术和操作
            Set<TransfusionSuggestYiBaoOperationName> transfusionSuggestYiBaoOperationNameSet = item.getTransfusionSuggestOperations();
            if (transfusionSuggestYiBaoOperationNameSet != null && transfusionSuggestYiBaoOperationNameSet.size() > 0) {
                transfusionSuggestYiBaoOperationNameSet.forEach(transOpt -> {
                    YiBaoOperationName opt = transOpt.getYiBaoOperationName();
                    result.setConflictItemType(GraphLabelEnum.YiBaoOperationName.getName());
                    if (opt != null) {
                        result.setConflictItemName(opt.getName());
                        Map<String, List<Long>> subMap = operationConfigMap.get(opt.getName());
                        if (subMap != null && subMap.size() > 0) {
                            subMap.keySet().forEach(hisName -> {
                                ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                                BeanUtil.copyProperties(result, resultExt);
                                resultExt.setConflictItemHisName(hisName);
                                retOtherList.add(resultExt);
                            });
                        } else {
                            ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                            BeanUtil.copyProperties(result, resultExt);
                            resultExt.setSuccess(0);
                            resultExt.setMessage(resultExt.getMessage() + resultExt.getConflictItemName() + "缺少医院端映射；");
                            retOtherList.add(resultExt);
                        }
                    } else {
                        ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                        BeanUtil.copyProperties(result, resultExt);
                        resultExt.setSuccess(0);
                        resultExt.setMessage(resultExt.getMessage() + "缺少禁忌项；");
                        retOtherList.add(resultExt);
                    }
                });
            }

            if((transfusionSuggestYiBaoDiseaseNameSet==null||transfusionSuggestYiBaoDiseaseNameSet.size()==0)
                    &&(transfusionSuggestYiBaoOperationNameSet==null||transfusionSuggestYiBaoOperationNameSet.size()==0)){
                ResultOtherTransfusion resultAdd = new ResultOtherTransfusion();
                BeanUtil.copyProperties(result, resultAdd);
                retOtherList.add(resultAdd);
            }
        }


        List<ResultOtherTransfusion> distinctList = retOtherList.stream().distinct().collect(Collectors.toList());

        for (ResultOtherTransfusion result : distinctList) {
            Map<String, Map<String, List<Long>>> subMap = lisConfigMap.get(result.getOtherItemName());
            if (subMap != null && subMap.size() > 0) {
                subMap.entrySet().forEach(subEntry -> {
                    ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setOtherItemHisName(subEntry.getKey());
                    if (subEntry.getValue() != null && subEntry.getValue().size() > 0) {
                        subEntry.getValue().keySet().forEach(detailName -> {
                            ResultOtherTransfusion resultOtherTransfusion = new ResultOtherTransfusion();
                            BeanUtil.copyProperties(resultExt, resultOtherTransfusion);
                            resultOtherTransfusion.setOtherItemHisDetailName(detailName);
                            retMappingList.add(resultOtherTransfusion);
                        });
                    } else {
                        retMappingList.add(resultExt);
                    }
                });
            } else {
                result.setSuccess(0);
                result.setMessage(result.getMessage() + result.getOtherItemName() + "缺少医院端映射；");
                retMappingList.add(result);
            }
        }

        //输注类型映射医院端名称
        for (ResultOtherTransfusion result : retMappingList) {
            if (transfusionConfigMap.containsKey(result.getTransfusionType())) {
                transfusionConfigMap.get(result.getTransfusionType()).keySet().forEach(hisName -> {
                    ResultOtherTransfusion resultExt = new ResultOtherTransfusion();
                    BeanUtil.copyProperties(result, resultExt);
                    resultExt.setTransfusionTypeHisName(hisName);
                    retTransMappingList.add(resultExt);
                });
            } else {
                result.setSuccess(0);
                result.setMessage(result.getMessage() + result.getTransfusionType() + "缺少医院端映射；");
                retTransMappingList.add(result);
            }
        }

        retList = createOhterTransfusionInputValue(retTransMappingList);

        return retList;
    }

    public MappingShortEntity setMappingShortEntity(String name, String hisName, String hisDetailName) {
        MappingShortEntity item = new MappingShortEntity();
        item.setName(name);
        item.setHisName(hisName);
        item.setHisDetailName(hisDetailName);
        return item;
    }

    */
/**
     * 模拟输入数值
     *
     * @param resultList
     * @return
     *//*

    public List<ResultBill> createInputValue(List<ResultBill> resultList) {
        List<ResultBill> retList = Lists.newLinkedList();
        if (ListUtil.isEmpty(resultList)) {
            return retList;
        }
        for (ResultBill result : resultList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            if (result.getMaxValue() != null || result.getMinValue() != null) {
                if (result.getConflictItemRange() == null) {
                    result.setConflictItemRange(0);
                }
                if (result.getConflictItemRange().equals(1)) {
                    if (result.getMinValue() != null) {
                        ResultBill minResult = new ResultBill();
                        BeanUtil.copyProperties(result, minResult);
                        minResult.setInputValue(random(null, result.getMinValue()).toString());
                        BillMsg billMsg = getBillMsg(minResult);
                        minResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(minResult);
                    }
                    if (result.getMaxValue() != null) {
                        ResultBill maxResult = new ResultBill();
                        BeanUtil.copyProperties(result, maxResult);
                        maxResult.setInputValue(random(result.getMaxValue(), null).toString());
                        BillMsg billMsg = getBillMsg(maxResult);
                        maxResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(maxResult);
                    }
                } else {
                    result.setInputValue(random(result.getMinValue(), result.getMaxValue()).toString());
                    BillMsg billMsg = getBillMsg(result);
                    result.setExpectedOutput(billMsg.getMsg());
                    retList.add(result);
                }
            } else {
                BillMsg billMsg = getBillMsg(result);
                result.setExpectedOutput(billMsg.getMsg());
                retList.add(result);
            }
        }
        return retList;
    }

    */
/**
     * 模拟输入数值-危急值
     *
     * @param resultList
     * @return
     *//*

    public List<ResultCritical> createCriticalInputValue(List<ResultCritical> resultList) {
        List<ResultCritical> retList = Lists.newLinkedList();
        if (ListUtil.isEmpty(resultList)) {
            return retList;
        }
        for (ResultCritical result : resultList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            if (result.getMaxValue() != null || result.getMinValue() != null) {
                if (result.getCriticalItemRange() == null) {
                    result.setCriticalItemRange(0);
                }
                if (result.getCriticalItemRange().equals(1)) {
                    if (result.getMinValue() != null) {
                        ResultCritical minResult = new ResultCritical();
                        BeanUtil.copyProperties(result, minResult);
                        minResult.setInputValue(random(null, result.getMinValue()).toString());
                        BillMsg billMsg = getCriticalMsg(minResult);
                        minResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(minResult);
                    }
                    if (result.getMaxValue() != null) {
                        ResultCritical maxResult = new ResultCritical();
                        BeanUtil.copyProperties(result, maxResult);
                        maxResult.setInputValue(random(result.getMaxValue(), null).toString());
                        BillMsg billMsg = getCriticalMsg(maxResult);
                        maxResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(maxResult);
                    }
                } else {
                    result.setInputValue(random(result.getMinValue(), result.getMaxValue()).toString());
                    BillMsg billMsg = getCriticalMsg(result);
                    result.setExpectedOutput(billMsg.getMsg());
                    retList.add(result);
                }
            } else {
                BillMsg billMsg = getCriticalMsg(result);
                result.setExpectedOutput(billMsg.getMsg());
                retList.add(result);
            }
        }
        return retList;
    }

    */
/**
     * 模拟输入数值-高危手术
     *
     * @param resultList
     * @return
     *//*

    public List<ResultHighriskOperation> createHighriskOperationInputValue(List<ResultHighriskOperation> resultList) {
        List<ResultHighriskOperation> retList = Lists.newLinkedList();
        if (ListUtil.isEmpty(resultList)) {
            return retList;
        }
        for (ResultHighriskOperation result : resultList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            if (result.getFactorItemMaxValue() != null || result.getFactorItemMinValue() != null) {
                if (result.getFactorItemRange() == null) {
                    result.setFactorItemRange(0);
                }
                if (result.getFactorItemRange().equals(1)) {
                    if (result.getFactorItemMinValue() != null) {
                        ResultHighriskOperation minResult = new ResultHighriskOperation();
                        BeanUtil.copyProperties(result, minResult);
                        if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                            minResult.setInputValue(random(null, result.getFactorItemMinValue()).toString());
                        } else {
                            minResult.setInputValue(random_int(null, result.getFactorItemMinValue().intValue()).toString());
                        }
                        BillMsg billMsg = getHighriskOperationMsg(minResult);
                        minResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(minResult);
                    }
                    if (result.getFactorItemMaxValue() != null) {
                        ResultHighriskOperation maxResult = new ResultHighriskOperation();
                        BeanUtil.copyProperties(result, maxResult);
                        if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                            maxResult.setInputValue(random(result.getFactorItemMaxValue(), null).toString());
                        } else {
                            maxResult.setInputValue(random_int(result.getFactorItemMaxValue().intValue(), null).toString());
                        }
                        BillMsg billMsg = getHighriskOperationMsg(maxResult);
                        maxResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(maxResult);
                    }
                } else {
                    if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                        result.setInputValue(random(result.getFactorItemMinValue(), result.getFactorItemMaxValue()).toString());
                    } else {
                        result.setInputValue(random_int(result.getFactorItemMinValue().intValue(), result.getFactorItemMaxValue().intValue()).toString());
                    }
                    BillMsg billMsg = getHighriskOperationMsg(result);
                    result.setExpectedOutput(billMsg.getMsg());
                    retList.add(result);
                }
            } else {
                BillMsg billMsg = getHighriskOperationMsg(result);
                result.setExpectedOutput(billMsg.getMsg());
                retList.add(result);
            }
        }
        return retList;
    }

    */
/**
     * 模拟输入数值-其他值-化验
     *
     * @param resultList
     * @return
     *//*

    public List<ResultOtherLis> createOhterLisInputValue(List<ResultOtherLis> resultList) {
        List<ResultOtherLis> retList = Lists.newLinkedList();
        if (ListUtil.isEmpty(resultList)) {
            return retList;
        }
        for (ResultOtherLis result : resultList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            if (result.getMinValue() != null || result.getMaxValue() != null) {
                if (result.getOtherItemRange() == null) {
                    result.setOtherItemRange(0);
                }
                if (result.getOtherItemRange().equals(1)) {
                    if (result.getMinValue() != null) {
                        ResultOtherLis minResult = new ResultOtherLis();
                        BeanUtil.copyProperties(result, minResult);
                        minResult.setInputValue(random(null, result.getMinValue()).toString());
                        BillMsg billMsg = getOtherLisMsg(result);
                        minResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(minResult);
                    }
                    if (result.getMaxValue() != null) {
                        ResultOtherLis maxResult = new ResultOtherLis();
                        BeanUtil.copyProperties(result, maxResult);
                        maxResult.setInputValue(random(result.getMaxValue(), null).toString());
                        BillMsg billMsg = getOtherLisMsg(result);
                        maxResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(maxResult);
                    }
                } else {
                    result.setInputValue(random(result.getMinValue(), result.getMaxValue()).toString());
                    BillMsg billMsg = getOtherLisMsg(result);
                    result.setExpectedOutput(billMsg.getMsg());
                    retList.add(result);
                }
            } else {
                BillMsg billMsg = getOtherLisMsg(result);
                result.setExpectedOutput(billMsg.getMsg());
                retList.add(result);
            }
        }
        return retList;
    }

    */
/**
     * 模拟输入数值-其他值-输血
     *
     * @param resultList
     * @return
     *//*

    public List<ResultOtherTransfusion> createOhterTransfusionInputValue(List<ResultOtherTransfusion> resultList) {
        List<ResultOtherTransfusion> retList = Lists.newLinkedList();
        if (ListUtil.isEmpty(resultList)) {
            return retList;
        }
        for (ResultOtherTransfusion result : resultList) {
            if (result.getSuccess() != null && result.getSuccess().equals(0)) {
                retList.add(result);
                continue;
            }
            if (result.getOtherItemMinValue() != null || result.getOtherItemMaxValue() != null) {
                if (result.getOtherItemRange() == null) {
                    result.setOtherItemRange(0);
                }
                if (result.getOtherItemRange().equals(1)) {
                    if (result.getOtherItemMinValue() != null) {
                        ResultOtherTransfusion minResult = new ResultOtherTransfusion();
                        BeanUtil.copyProperties(result, minResult);
                        minResult.setOtherItemInputValue(random(null, result.getOtherItemMinValue()).toString());
                        BillMsg billMsg = getOtherTransfusionMsg(result);
                        minResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(minResult);
                    }
                    if (result.getOtherItemMaxValue() != null) {
                        ResultOtherTransfusion maxResult = new ResultOtherTransfusion();
                        BeanUtil.copyProperties(result, maxResult);
                        maxResult.setOtherItemInputValue(random(result.getOtherItemMaxValue(), null).toString());
                        BillMsg billMsg = getOtherTransfusionMsg(result);
                        maxResult.setExpectedOutput(billMsg.getMsg());
                        retList.add(maxResult);
                    }
                } else {
                    result.setOtherItemInputValue(random(result.getOtherItemMinValue(), result.getOtherItemMaxValue()).toString());
                    BillMsg billMsg = getOtherTransfusionMsg(result);
                    result.setExpectedOutput(billMsg.getMsg());
                    retList.add(result);
                }
            } else {
                BillMsg billMsg = getOtherTransfusionMsg(result);
                result.setExpectedOutput(billMsg.getMsg());
                retList.add(result);
            }
        }
        return retList;
    }

    */
/**
     * 模拟提示信息
     *
     * @param resultBill
     * @return
     *//*

    public BillMsg getBillMsg(ResultBill resultBill) {
        BillMsg billMsg = new BillMsg();
        String orderType = getOrderType(resultBill.getBillItemType());
        //输血开单
        if (resultBill.getBillItemType().equals(GraphLabelEnum.TransfusionRemind.getName())) {
            if (resultBill.getConflictItemType().equals(GraphLabelEnum.LisName.getName())) {
                String content = resultBill.getConflictItemHisName();
                if (StringUtil.isNotBlank(resultBill.getConflictItemHisDetailName())
                        && !resultBill.getConflictItemHisName().equals(resultBill.getConflictItemHisDetailName())) {
                    content += resultBill.getConflictItemHisDetailName();
                }
                if (StringUtil.isNotBlank(resultBill.getInputValue())) {
                    content += trimZero(resultBill.getInputValue());
                }
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        content,
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType
                );
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                billMsg = MsgUtil.getCommonSurgeryMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType
                );
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType
                );
            } else {
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType
                );
            }
        } else {
            if (resultBill.getConflictItemType().equals(GraphLabelEnum.BillConflictItem.getName())) {
                //互斥项
                billMsg = MsgUtil.getBillExclusionMsg(resultBill.getBillItemHisName(),
                        resultBill.getConflictItemHisName(),
                        resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType());
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.ConflictDevice.getName())) {
                //禁忌医疗器械及物品提示信息
                billMsg = MsgUtil.getBillMedEquMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                //禁忌手术
                billMsg = MsgUtil.getCommonSurgeryMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.OralMedicine.getName())) {
                //禁忌服用药品
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        "可能正在用药" + resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.MedAllergen.getName())
                    || resultBill.getConflictItemType().equals(GraphLabelEnum.Allergen.getName())) {
                //禁忌药物过敏原/食物过敏原/过敏原
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        (StringUtil.isNotBlank(resultBill.getConflictItemHisName())
                                ? resultBill.getConflictItemHisName()
                                : resultBill.getConflictItemName())
                                + "过敏",
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Group.getName())) {
                //禁忌禁忌人群
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Lis.getName())) {
                //禁忌实验室检查
                String content = "";
                if (StringUtil.isNotBlank(resultBill.getConflictItemHisName())) {
                    content = resultBill.getConflictItemHisName();
                }
                if (StringUtil.isNotBlank(resultBill.getConflictItemHisDetailName())
                        && !resultBill.getConflictItemHisName().equals(resultBill.getConflictItemHisDetailName())) {
                    content += resultBill.getConflictItemHisDetailName();
                }
                if (StringUtil.isNotBlank(resultBill.getInputValue())) {
                    content += trimZero(resultBill.getInputValue());
                }
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        content,
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Disease.getName())) {
                //禁忌疾病
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        resultBill.getConflictItemHisName(),
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            } else {
                //通用
                String content = resultBill.getConflictItemName();
                if (StringUtil.isNotBlank(resultBill.getInputValue())) {
                    content += trimZero(resultBill.getInputValue());
                }
                billMsg = MsgUtil.getCommonBillMsg(resultBill.getBillItemHisName(),
                        resultBill.getBillItemName(),
                        content,
                        "禁忌" + resultBill.getConflictItemType(),
                        orderType);
            }
        }
        return billMsg;
    }

    */
/**
     * 模拟提示信息-危急值
     *
     * @param resultCritical
     * @return
     *//*

    public BillMsg getCriticalMsg(ResultCritical resultCritical) {
        BillMsg billMsg = new BillMsg();
        if (resultCritical.getCriticalItemType().equals(GraphLabelEnum.LisCritical.getName())) {
            String content = "";
            if (StringUtil.isNotBlank(resultCritical.getCriticalItemHisName())) {
                content += resultCritical.getCriticalItemHisName();
            }
            if (StringUtil.isNotBlank(resultCritical.getCriticalItemHisDetailName())
                    && !resultCritical.getCriticalItemHisName().equals(resultCritical.getCriticalItemHisDetailName())) {
                content += resultCritical.getCriticalItemHisDetailName();
            }
            if (StringUtil.isNotBlank(resultCritical.getInputValue())) {
                content += trimZero(resultCritical.getInputValue());
            }
            billMsg = MsgUtil.getCommonCriticalMsg(content, TypeEnum.lis.getName());
        } else if (resultCritical.getCriticalItemType().equals(GraphLabelEnum.PacsCritical.getName())) {
            billMsg = MsgUtil.getCommonCriticalMsg(resultCritical.getInputValue(), TypeEnum.pacs.getName());
        }
        return billMsg;
    }

    */
/**
     * 模拟提示信息-高危手术
     *
     * @param result
     * @return
     *//*

    public BillMsg getHighriskOperationMsg(ResultHighriskOperation result) {
        BillMsg billMsg = new BillMsg();
        if (StringUtil.isNotBlank(result.getLevel()) && result.getLevel().equals("2")) {
            if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                String content = "";
                if (StringUtil.isNotBlank(result.getFactorItemHisName())) {
                    content += result.getFactorItemHisName();
                }
                if (StringUtil.isNotBlank(result.getFactorItemHisDetailName())
                        && !result.getFactorItemHisDetailName().equals(result.getFactorItemHisName())) {
                    content += result.getFactorItemHisDetailName();
                }
                if (StringUtil.isNotBlank(result.getInputValue())) {
                    content += trimZero(result.getInputValue());
                }
                billMsg = MsgUtil.getComplexOperationMsg(content, result.getHighriskItemHisName(), TypeEnum.operation.getName());
            } else if (result.getFactorItemType().equals(TypeEnum.age.getName())) {
                String content = result.getFactorItemName() + ":";
                if (StringUtil.isNotBlank(result.getInputValue())) {
                    content += trimZero(result.getInputValue());
                }
                billMsg = MsgUtil.getComplexOperationMsg(content, result.getHighriskItemHisName(), TypeEnum.operation.getName());
            } else if (result.getFactorItemType().equals(TypeEnum.vital.getName())) {
                String content = "";
                if (result.getFactorItemName().equals("收缩压")) {
                    content = "血压" + result.getInputValue() + "/80";
                } else if (result.getFactorItemName().equals("舒张压")) {
                    content = "血压120/" + result.getInputValue();
                } else {
                    content = result.getFactorItemName();
                    if (StringUtil.isNotBlank(result.getInputValue())) {
                        content += trimZero(result.getInputValue());
                    }
                }
                billMsg = MsgUtil.getComplexOperationMsg(content, result.getHighriskItemHisName(), TypeEnum.operation.getName());
            } else if (result.getFactorItemType().equals(TypeEnum.pacsDecs.getName())) {
                billMsg = MsgUtil.getComplexOperationMsg(result.getInputValue(), result.getHighriskItemHisName(), TypeEnum.operation.getName());
            } else if (result.getFactorItemType().equals(TypeEnum.disease.getName())) {
                billMsg = MsgUtil.getComplexOperationMsg(result.getFactorItemHisName(), result.getHighriskItemHisName(), TypeEnum.operation.getName());
            } else {
                billMsg = MsgUtil.getComplexOperationMsg(result.getFactorItemName(), result.getHighriskItemHisName(), TypeEnum.operation.getName());
            }
        } else {
            billMsg = MsgUtil.getCommonHighRiskMsg(result.getHighriskItemHisName(), result.getLevel(), TypeEnum.operation.getName());
        }
        return billMsg;
    }

    */
/**
     * 模拟提示信息-其他值-化验
     *
     * @param result
     * @return
     *//*

    public BillMsg getOtherLisMsg(ResultOtherLis result) {
        BillMsg billMsg = new BillMsg();
        String content = result.getOtherItemHisName();
        if (StringUtil.isNotBlank(result.getOtherItemHisDetailName())
                && !result.getOtherItemHisDetailName().equals(result.getOtherItemHisName())) {
            content += result.getOtherItemHisDetailName();
        }
        if (StringUtil.isNotBlank(result.getInputValue())) {
            content += trimZero(result.getInputValue());
        }
        if (result.getRemindItemType().equals(GraphLabelEnum.Medicine.getName())) {
            //billMsg = MsgUtil.getCommonOtherTipLisMsg(content, result.getRemindItemHisName(), TypeEnum.drug.getName());
        } else if (result.getRemindItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
            //billMsg = MsgUtil.getCommonOtherTipLisMsg(content, result.getRemindItemHisName(), TypeEnum.disease.getName());
        } else if (result.getRemindItemType().equals(GraphLabelEnum.Group.getName())) {
            //billMsg = MsgUtil.getCommonOtherTipLisMsg(content, result.getRemindItemName(), NeoEnum.group.getName());
        }
        return billMsg;
    }

    */
/**
     * 模拟提示信息-其他值-输血
     *
     * @param result
     * @return
     *//*

    public BillMsg getOtherTransfusionMsg(ResultOtherTransfusion result) {
        BillMsg billMsg = new BillMsg();
        if (StringUtil.isNotBlank(result.getConflictItemType())) {
            if (result.getConflictItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
                String content = "诊断" + result.getConflictItemHisName() + "，";
                content += result.getOtherItemHisName();
                if (StringUtil.isNotBlank(result.getOtherItemHisDetailName())
                        && !result.getOtherItemHisDetailName().equals(result.getOtherItemHisName())) {
                    content += result.getOtherItemHisDetailName();
                }
                if (StringUtil.isNotBlank(result.getOtherItemInputValue())) {
                    content += trimZero(result.getOtherItemInputValue());
                }
                billMsg = MsgUtil.getCommonOtherTipTransfusionMsg(content, result.getTransfusionType());
            } else if (result.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                String content = "";
                content += result.getOtherItemHisName();
                if (StringUtil.isNotBlank(result.getOtherItemHisDetailName())
                        && !result.getOtherItemHisDetailName().equals(result.getOtherItemHisName())) {
                    content += result.getOtherItemHisDetailName();
                }
                if (StringUtil.isNotBlank(result.getOtherItemInputValue())) {
                    content += trimZero(result.getOtherItemInputValue());
                }
                if (StringUtil.isNotBlank(content)) {
                    content += "，";
                }
                content += "已开" + result.getConflictItemHisName();

                billMsg = MsgUtil.getCommonOtherTipTransfusionMsg(content, result.getTransfusionType());
            }
        } else {
            String content = "";
            content += result.getOtherItemHisName();
            if (StringUtil.isNotBlank(result.getOtherItemHisDetailName())
                    && !result.getOtherItemHisDetailName().equals(result.getOtherItemHisName())) {
                content += result.getOtherItemHisDetailName();
            }
            if (StringUtil.isNotBlank(result.getOtherItemInputValue())) {
                content += trimZero(result.getOtherItemInputValue());
            }
            billMsg = MsgUtil.getCommonOtherTipTransfusionMsg(content, result.getTransfusionType());
        }

        return billMsg;
    }

    */
/**
     * 生成随机数
     *
     * @param min
     * @param max
     * @return
     *//*

    public BigDecimal random(BigDecimal min, BigDecimal max) {
        if (min == null) {
            min = BigDecimal.ZERO;
        }
        if (max == null) {
            max = min.add(BigDecimal.TEN);
        }
        BigDecimal randomVal = new BigDecimal(Math.random() * (max.doubleValue() - min.doubleValue()) + min.doubleValue());
        return randomVal.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    */
/**
     * 生成随机-整数
     *
     * @param min
     * @param max
     * @return
     *//*

    public Integer random_int(Integer min, Integer max) {
        if (min == null) {
            min = 0;
        }
        if (max == null) {
            max = min + 10;
        }
        Integer random_int = (int) (Math.random() * (max - (min + 1))) + min + 1;
        return random_int;
    }

    */
/**
     * 开单类型转换
     *
     * @param type
     * @return
     *//*

    public String getOrderType(String type) {
        String orderType = "";
        if (type.equals(GraphLabelEnum.LisSet.getName())) {
            orderType = TypeEnum.lis.getName();
        }
        if (type.equals(GraphLabelEnum.PacsName)
                || type.equals(GraphLabelEnum.PacsSubName)) {
            orderType = TypeEnum.pacs.getName();
        }
        if (type.equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
            orderType = TypeEnum.disease.getName();
        }
        if (type.equals(GraphLabelEnum.MedRegName.getName())
                || type.equals(GraphLabelEnum.Medicine.getName())) {
            orderType = TypeEnum.drug.getName();
        }
        if (type.equals(GraphLabelEnum.ClinicalFinding.getName())) {
            orderType = TypeEnum.clinical.getName();
        }
        if (type.equals(GraphLabelEnum.YiBaoOperationName.getName())) {
            orderType = TypeEnum.operation.getName();
        }
        if (type.equals(GraphLabelEnum.Vital.getName())) {
            orderType = TypeEnum.vital.getName();
        }
        if (type.equals(GraphLabelEnum.TransfusionRemind.getName())
                || type.equals(GraphLabelEnum.TransfusionSuggest.getName())) {
            orderType = TypeEnum.transfusion.getName();
        }
        if (type.equals(GraphLabelEnum.Age.getName())) {
            orderType = TypeEnum.age.getName();
        }
        return orderType;
    }

    */
/**
     * 去除小数点末位的0，如果都是0同时去除小数点
     *
     * @param s
     * @return
     *//*

    public String trimZero(String s) {
        if (s.indexOf(".") > 0) {
            //正则表达
            s = s.replaceAll("0+?$", "");//去掉后面无用的零
            s = s.replaceAll("[.]$", "");//如小数点后面全是零则去掉小数点
        }
        return s;
    }

    */
/**
     * 手术高危条件
     *
     * @param highriskCond
     * @return
     *//*

    Map<Integer, Map<String, Object>> getHighriskCondMap(String highriskCond) {
        Map<Integer, Map<String, Object>> retMap = new LinkedHashMap<>();
        if (StringUtil.isBlank(highriskCond)) {
            return retMap;
        }
        JSONObject jobj = JSONObject.parseObject(highriskCond);
        if (null != jobj) {
            Integer index = 0;
            // 判断年龄
            JSONObject ageobj = jobj.getJSONObject("年龄");
            if (ageobj != null) {
                Map<String, Object> subMap = new HashMap<>();
                subMap.put("type", TypeEnum.age.getName());
                subMap.put("name", "年龄");
                if (ageobj.containsKey("最大值")) {
                    subMap.put("最大值", ageobj.getBigDecimal("最大值"));
                }
                if (ageobj.containsKey("最小值")) {
                    subMap.put("最小值", ageobj.getBigDecimal("最小值"));
                }
                if (ageobj.containsKey("单位")) {
                    subMap.put("单位", ageobj.getString("单位"));
                }
                if (ageobj.containsKey("范围")) {
                    subMap.put("范围", ageobj.getInteger("范围"));
                }
                retMap.put(index++, subMap);
            }
            // 判断生命体征和查体
            JSONObject vitalObj = jobj.getJSONObject("生命体征及查体");
            if (null != vitalObj) {
                for (Map.Entry<String, Object> entry : vitalObj.entrySet()) {
                    Map<String, Object> subMap = new HashMap<>();
                    subMap.put("type", TypeEnum.vital.getName());
                    subMap.put("name", entry.getKey());
                    if (ObjectUtils.isEmpty(entry.getValue())) {
                        retMap.put(index++, subMap);
                        continue;
                    }
                    JSONObject subVitalObj = (JSONObject) entry.getValue();
                    if (null != subVitalObj) {
                        if (subVitalObj.containsKey("最大值")) {
                            subMap.put("最大值", subVitalObj.getBigDecimal("最大值"));
                        }
                        if (subVitalObj.containsKey("最小值")) {
                            subMap.put("最小值", subVitalObj.getBigDecimal("最小值"));
                        }
                        if (subVitalObj.containsKey("单位")) {
                            subMap.put("单位", subVitalObj.getString("单位"));
                        }
                        if (subVitalObj.containsKey("范围")) {
                            subMap.put("范围", subVitalObj.getInteger("范围"));
                        }
                    }
                    retMap.put(index++, subMap);
                }
            }

            // 判断合并疾病
            JSONObject diagobj = jobj.getJSONObject("合并疾病");
            if (null != diagobj) {
                for (Map.Entry<String, Object> entry : diagobj.entrySet()) {
                    Map<String, Object> subMap = new HashMap<>();
                    subMap.put("type", TypeEnum.disease.getName());
                    subMap.put("name", entry.getKey());
                    retMap.put(index++, subMap);
                }
            }

            // 判断化验结果
            JSONObject lisobj = jobj.getJSONObject("化验结果");
            if (null != lisobj) {
                for (Map.Entry<String, Object> entry : lisobj.entrySet()) {
                    Map<String, Object> subMap = new HashMap<>();
                    subMap.put("type", TypeEnum.lis.getName());
                    subMap.put("name", entry.getKey());
                    if (ObjectUtils.isEmpty(entry.getValue())) {
                        retMap.put(index++, subMap);
                        continue;
                    }
                    JSONObject subLisObj = (JSONObject) entry.getValue();
                    if (null != subLisObj) {
                        if (subLisObj.containsKey("最大值")) {
                            subMap.put("最大值", subLisObj.getBigDecimal("最大值"));
                        }
                        if (subLisObj.containsKey("最小值")) {
                            subMap.put("最小值", subLisObj.getBigDecimal("最小值"));
                        }
                        if (subLisObj.containsKey("单位")) {
                            subMap.put("单位", subLisObj.getString("单位"));
                        }
                        if (subLisObj.containsKey("范围")) {
                            subMap.put("范围", subLisObj.getInteger("范围"));
                        }
                        if (subLisObj.containsKey("结果")) {
                            subMap.put("结果", subLisObj.getString("结果"));
                        }
                    }
                    retMap.put(index++, subMap);
                }
            }

            // 判断辅检结果，暂不处理
            JSONObject pacsObj = jobj.getJSONObject("辅检结果");
            // 判断辅检结果描述
            JSONObject pacsDescObj = jobj.getJSONObject("辅检结果描述");
            if (null != pacsDescObj) {
                for (Map.Entry<String, Object> entry : pacsDescObj.entrySet()) {
                    Map<String, Object> subMap = new HashMap<>();
                    subMap.put("type", TypeEnum.pacsDecs.getName());
                    subMap.put("name", entry.getKey());
                    retMap.put(index++, subMap);
                }
            }
        }
        return retMap;
    }
}*/
