/*
package com.diagbot.facade;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.biz.push.entity.Lis;
import com.diagbot.biz.push.entity.Pacs;
import com.diagbot.entity.ResultBill;
import com.diagbot.entity.ResultCritical;
import com.diagbot.entity.ResultHighriskDrug;
import com.diagbot.entity.ResultHighriskOperation;
import com.diagbot.entity.ResultOtherLis;
import com.diagbot.entity.ResultOtherPacs;
import com.diagbot.entity.ResultOtherTransfusion;
import com.diagbot.enums.GraphLabelEnum;
import com.diagbot.enums.TypeEnum;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.Drug;
import com.diagbot.vo.IndicationPushVO;
import com.diagbot.vo.ItemExt;
import org.springframework.stereotype.Component;

import java.util.Random;

*/
/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/11 11:37
 *//*

@Component
public class SearchDataFacade {

    */
/**
     * 生成开单合理性入参
     *
     * @param resultBill
     * @return
     *//*

    public IndicationPushVO createBillVO(ResultBill resultBill) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setAge("20");
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("2");

        //开单项
        if (resultBill.getBillItemType().equals(GraphLabelEnum.LisSet.getName())) {
            //检验开单项
            Lis lis = new Lis();
            lis.setName(resultBill.getBillItemHisName());
            lis.setDetailName(resultBill.getBillItemHisDetailName());
            lis.setUniqueName(resultBill.getBillItemName());
            indicationPushVO.getLisOrder().add(lis);
        }
        if (resultBill.getBillItemType().equals(GraphLabelEnum.PacsName.getName())
                || resultBill.getBillItemType().equals(GraphLabelEnum.PacsSubName.getName())) {
            Pacs pacs = new Pacs();
            pacs.setName(resultBill.getBillItemHisName());
            pacs.setUniqueName(resultBill.getBillItemName());
            indicationPushVO.getPacsOrder().add(pacs);
        }
        if (resultBill.getBillItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
            Item operation = new Item();
            operation.setName(resultBill.getBillItemHisName());
            operation.setUniqueName(resultBill.getBillItemName());
            indicationPushVO.getOperationOrder().add(operation);
        }
        if (resultBill.getBillItemType().equals(GraphLabelEnum.Medicine.getName())) {
            Drug drug = new Drug();
            drug.setName(resultBill.getBillItemHisName());
            drug.setUniqueName(resultBill.getBillItemName());
            indicationPushVO.getDrugOrder().add(drug);
        }
        if (resultBill.getBillItemType().equals(GraphLabelEnum.TransfusionRemind.getName())) {
            ItemExt itemExt = new ItemExt();
            itemExt.setName(resultBill.getBillItemHisName());
            itemExt.setUniqueName(resultBill.getBillItemName());
            indicationPushVO.getTransfusionOrder().add(itemExt);
        }

        //未使用禁忌条件：食物过敏原、手术、给药途径
        if (resultBill.getConflictItemType().equals(GraphLabelEnum.Gender.getName())) {
            if (resultBill.getConflictItemName().equals("男")) {
                indicationPushVO.setSex(1);
            } else if (resultBill.getConflictItemName().equals("女")) {
                indicationPushVO.setSex(2);
            } else {
                indicationPushVO.setSex(3);
            }
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Vital.getName())) {
            //禁忌年龄特殊处理
            if (resultBill.getConflictItemName().equals("年龄")) {
                indicationPushVO.setAge(resultBill.getInputValue());
            } else if (resultBill.getConflictItemName().equals("体温")) {
                indicationPushVO.setVital(resultBill.getConflictItemName() + resultBill.getInputValue() + "℃,");
            } else {
                indicationPushVO.setVital(resultBill.getConflictItemName() + resultBill.getInputValue() + ",");
            }
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.ClinicalFinding.getName())) {
            indicationPushVO.setSymptom(indicationPushVO.getSymptom() +
                    resultBill.getConflictItemName() +
                    (resultBill.getInputValue() != null ? resultBill.getInputValue() : "") +
                    ",");
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.OralMedicine.getName())) {
            indicationPushVO.setSymptom(indicationPushVO.getSymptom() +
                    "一直服用" +
                    (StringUtil.isNotBlank(resultBill.getConflictItemHisName())
                            ? resultBill.getConflictItemHisName()
                            : resultBill.getConflictItemName()) +
                    ",");
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.MedAllergen.getName())
                || resultBill.getConflictItemType().equals(GraphLabelEnum.Allergen.getName())) {
            indicationPushVO.setPasts(indicationPushVO.getPasts() +
                    "对" +
                    (StringUtil.isNotBlank(resultBill.getConflictItemHisName())
                            ? resultBill.getConflictItemHisName()
                            : resultBill.getConflictItemName()) +
                    "过敏,");
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.PacsDescribe.getName())) {
            Pacs pacs = new Pacs();
            pacs.setName("胸部CT");
            pacs.setUniqueName("胸部CT");
            pacs.setDesc(resultBill.getConflictItemName());
            pacs.setResult(resultBill.getConflictItemName());
            indicationPushVO.getPacs().add(pacs);
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Lis.getName())
                || resultBill.getConflictItemType().equals(GraphLabelEnum.LisName.getName())) {
            Lis lis = new Lis();
            lis.setName(resultBill.getConflictItemHisName());
            lis.setDetailName(resultBill.getConflictItemHisDetailName());
            lis.setUniqueName(resultBill.getConflictItemName());
            lis.setUnits(resultBill.getUnit());
            if (resultBill.getMinValue() != null || resultBill.getMaxValue() != null) {
                lis.setValue(Double.valueOf(resultBill.getInputValue()));
            } else {
                lis.setOtherValue(resultBill.getInputValue());
            }
            if (resultBill.getMaxValue() != null) {
                lis.setMaxValue(resultBill.getMaxValue().doubleValue());
            }
            if (resultBill.getMinValue() != null) {
                lis.setMinValue(resultBill.getMinValue().doubleValue());
            }
            indicationPushVO.getLis().add(lis);
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Disease.getName())
                || resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
            Item diag = new Item();
            diag.setName(resultBill.getConflictItemHisName());
            diag.setUniqueName(resultBill.getConflictItemName());
            indicationPushVO.getDiag().add(diag);
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.Group.getName())) {
            indicationPushVO.setSymptom(indicationPushVO.getSymptom() +
                    resultBill.getConflictItemName() +
                    (resultBill.getInputValue() != null ? resultBill.getInputValue() : "") +
                    (StringUtil.isNotBlank(resultBill.getUnit()) ? resultBill.getUnit() : "") +
                    ",");
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.ConflictDevice.getName())) {
            indicationPushVO.setPasts(indicationPushVO.getPasts() +
                    "有" + resultBill.getConflictItemName() + ",");
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.BillConflictItem.getName())) {
            Pacs pacs = new Pacs();
            pacs.setName(resultBill.getConflictItemHisName());
            pacs.setUniqueName(resultBill.getConflictItemName());
            indicationPushVO.getPacsOrder().add(pacs);
        } else if (resultBill.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
            Item operation = new Item();
            operation.setName(resultBill.getConflictItemHisName());
            operation.setUniqueName(resultBill.getConflictItemName());
            indicationPushVO.getOperation().add(operation);
        }
        return indicationPushVO;
    }

    */
/**
     * 生成危急值入参
     *
     * @param resultCritical
     * @return
     *//*

    public IndicationPushVO createCriticalVO(ResultCritical resultCritical) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("1");

        if (resultCritical.getMinAge() != null || resultCritical.getMaxAge() != null) {
            Random random = new Random(resultCritical.getMinAge() == null ? 0 : resultCritical.getMinAge());
            Integer inputAge = random.nextInt(resultCritical.getMaxAge() == null ? 200 : resultCritical.getMaxAge());
            indicationPushVO.setAge(inputAge.toString());
        } else {
            indicationPushVO.setAge("20");
        }

        if (resultCritical.getCriticalItemType().equals(GraphLabelEnum.LisCritical.getName())) {
            //检验开单项
            Lis lis = new Lis();
            lis.setName(resultCritical.getCriticalItemHisName());
            lis.setDetailName(resultCritical.getCriticalItemHisDetailName());
            lis.setUniqueName(resultCritical.getCriticalItemName());
            lis.setUnits(resultCritical.getUnit());
            if (resultCritical.getMinValue() != null || resultCritical.getMaxValue() != null) {
                lis.setValue(Double.valueOf(resultCritical.getInputValue()));
            } else {
                lis.setOtherValue(resultCritical.getInputValue());
            }
            if (resultCritical.getMaxValue() != null) {
                lis.setMaxValue(resultCritical.getMaxValue().doubleValue());
            }
            if (resultCritical.getMinValue() != null) {
                lis.setMinValue(resultCritical.getMinValue().doubleValue());
            }
            indicationPushVO.getLis().add(lis);
        }
        if (resultCritical.getCriticalItemType().equals(GraphLabelEnum.PacsCritical.getName())) {
            Pacs pacs = new Pacs();
            pacs.setName(resultCritical.getCriticalItemHisName());
            pacs.setUniqueName(resultCritical.getCriticalItemName());
            pacs.setResult(resultCritical.getInputValue());
            indicationPushVO.getPacs().add(pacs);
        }
        return indicationPushVO;
    }

    */
/**
     * 生成高危药品入参
     *
     * @param result
     * @return
     *//*

    public IndicationPushVO createHighriskVO_drug(ResultHighriskDrug result) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("3");
        indicationPushVO.setAge("20");

        Drug drug = new Drug();
        drug.setName(result.getHighriskItemHisName());
        drug.setUniqueName(result.getHighriskItemName());
        drug.setForm(result.getHighriskItemForm());
        indicationPushVO.getDrugOrder().add(drug);

        return indicationPushVO;
    }

    */
/**
     * 生成高危手术入参
     *
     * @param result
     * @return
     *//*

    public IndicationPushVO createHighriskVO_operation(ResultHighriskOperation result) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("3");
        indicationPushVO.setAge("20");

        Item item = new Item();
        item.setName(result.getHighriskItemHisName());
        item.setUniqueName(result.getHighriskItemName());
        indicationPushVO.getOperationOrder().add(item);

        if (result.getFactorItemType() != null) {

            if (result.getFactorItemType().equals(TypeEnum.age.getName())) {
                indicationPushVO.setAge(result.getInputValue());
            } else if (result.getFactorItemType().equals(TypeEnum.vital.getName())) {
                */
/*if (result.getFactorItemName().equals("体温")) {
                    indicationPushVO.setVital(result.getFactorItemName() + result.getInputValue() + "℃,");
                } else *//*

                if (result.getFactorItemName().equals("收缩压")) {
                    indicationPushVO.setVital("血压" + result.getInputValue() + "/80" +
                            (StringUtil.isNotBlank(result.getFactorItemUnit()) ? result.getFactorItemUnit() : "mmHg")
                            + ",");
                } else if (result.getFactorItemName().equals("舒张压")) {
                    indicationPushVO.setVital("血压120/" + result.getInputValue() +
                            (StringUtil.isNotBlank(result.getFactorItemUnit()) ? result.getFactorItemUnit() : "mmHg")
                            + ",");
                } else {
                    indicationPushVO.setVital(result.getFactorItemName() +
                            (StringUtil.isNotBlank(result.getInputValue()) ? result.getInputValue() : "") +
                            (StringUtil.isNotBlank(result.getFactorItemUnit()) ? result.getFactorItemUnit() : "") +
                            ",");
                }
            } else if (result.getFactorItemType().equals(TypeEnum.disease.getName())) {
                Item diag = new Item();
                diag.setName(result.getFactorItemHisName());
                diag.setUniqueName(result.getFactorItemName());
                indicationPushVO.getDiag().add(diag);

            } else if (result.getFactorItemType().equals(TypeEnum.lis.getName())) {
                Lis lis = new Lis();
                lis.setName(result.getFactorItemHisName());
                lis.setDetailName(result.getFactorItemHisDetailName());
                lis.setUniqueName(result.getFactorItemName());
                lis.setUnits(result.getFactorItemUnit());
                if (result.getFactorItemMinValue() != null || result.getFactorItemMaxValue() != null) {
                    lis.setValue(Double.valueOf(result.getInputValue()));
                } else {
                    lis.setOtherValue(result.getInputValue());
                }
                if (result.getFactorItemMaxValue() != null) {
                    lis.setMaxValue(result.getFactorItemMaxValue().doubleValue());
                }
                if (result.getFactorItemMinValue() != null) {
                    lis.setMinValue(result.getFactorItemMinValue().doubleValue());
                }
                indicationPushVO.getLis().add(lis);
            } else if (result.getFactorItemType().equals(TypeEnum.pacsDecs.getName())) {
                Pacs pacs = new Pacs();
                pacs.setName(result.getFactorItemHisName());
                pacs.setUniqueName(result.getFactorItemName());
                pacs.setResult(result.getInputValue());
                indicationPushVO.getPacs().add(pacs);
            }
        }

        return indicationPushVO;
    }

    */
/**
     * 生成其他值提醒（化验）入参
     *
     * @param result
     * @return
     *//*

    public IndicationPushVO createOther_lis(ResultOtherLis result) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("4");
        indicationPushVO.setAge("20");

        Lis lis = new Lis();
        lis.setName(result.getOtherItemHisName());
        lis.setDetailName(result.getOtherItemHisDetailName());
        lis.setUniqueName(result.getOtherItemName());
        lis.setUnits(result.getUnit());
        if (result.getMinValue() != null || result.getMaxValue() != null) {
            lis.setValue(Double.valueOf(result.getInputValue()));
        } else {
            lis.setOtherValue(result.getInputValue());
        }
        if (result.getMaxValue() != null) {
            lis.setMaxValue(result.getMaxValue().doubleValue());
        }
        if (result.getMinValue() != null) {
            lis.setMinValue(result.getMinValue().doubleValue());
        }
        indicationPushVO.getLis().add(lis);

        if (result.getRemindItemType().equals(GraphLabelEnum.Medicine.getName())) {
            Drug drug = new Drug();
            drug.setName(result.getRemindItemHisName());
            drug.setUniqueName(result.getRemindItemName());
            indicationPushVO.getDrug().add(drug);
        } else if (result.getRemindItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
            Item item = new Item();
            item.setName(result.getRemindItemHisName());
            item.setUniqueName(result.getRemindItemName());
            indicationPushVO.getDiag().add(item);
        } else if (result.getRemindItemType().equals(GraphLabelEnum.Group.getName())) {
            indicationPushVO.setSymptom(indicationPushVO.getSymptom() +
                    result.getRemindItemName() +
                    (result.getInputValue() != null ? result.getInputValue() : "") +
                    (StringUtil.isNotBlank(result.getUnit()) ? result.getUnit() : "") +
                    ",");
        }
        return indicationPushVO;
    }

    */
/**
     * 生成其他值提醒（辅检）入参
     *
     * @param result
     * @return
     *//*

    public IndicationPushVO createOther_pacs(ResultOtherPacs result) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("4");
        indicationPushVO.setAge("20");

        Pacs pacs = new Pacs();
        pacs.setResult(result.getPacsResult());
        */
/*if (StringUtil.isNotBlank(result.getPostoken())) {
            pacs.setResult(pacs.getResult() + "，" + result.getPostoken());
        }
        if (StringUtil.isNotBlank(result.getNegtoken())) {
            pacs.setResult(pacs.getResult() + "，无" + result.getNegtoken());
        }*//*

        indicationPushVO.getPacs().add(pacs);

        if (StringUtil.isNotBlank(result.getGender())) {
            if (result.getGender().equals("男")) {
                indicationPushVO.setSex(1);
            } else if (result.getGender().equals("女")) {
                indicationPushVO.setSex(2);
            }
        }

        if (StringUtil.isNotBlank(result.getInputAge())) {
            indicationPushVO.setAge(result.getInputAge());
        }

        if (StringUtil.isNotBlank(result.getRemindItemType())
                && result.getRemindItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
            Item diag = new Item();
            diag.setName(result.getRemindItemHisName());
            diag.setUniqueName(result.getRemindItemName());
            indicationPushVO.getDiag().add(diag);
        }
        return indicationPushVO;
    }

    */
/**
     * 生成其他值提醒（输血）入参
     *
     * @param result
     * @return
     *//*

    public IndicationPushVO createOther_transfusion(ResultOtherTransfusion result) {
        IndicationPushVO indicationPushVO = new IndicationPushVO();
        indicationPushVO.setSex(3);
        indicationPushVO.setRuleType("4");
        indicationPushVO.setAge("20");

        Lis lis = new Lis();
        lis.setName(result.getOtherItemHisName());
        lis.setDetailName(result.getOtherItemHisDetailName());
        lis.setUniqueName(result.getOtherItemName());
        lis.setUnits(result.getOtherItemUnit());
        if (result.getOtherItemMinValue() != null || result.getOtherItemMaxValue() != null) {
            lis.setValue(Double.valueOf(result.getOtherItemInputValue()));
        } else {
            lis.setOtherValue(result.getOtherItemInputValue());
        }
        if (result.getOtherItemMaxValue() != null) {
            lis.setMaxValue(result.getOtherItemMaxValue().doubleValue());
        }
        if (result.getOtherItemMinValue() != null) {
            lis.setMinValue(result.getOtherItemMinValue().doubleValue());
        }
        indicationPushVO.getLis().add(lis);

        if (StringUtil.isNotBlank(result.getConflictItemType())) {
            if (result.getConflictItemType().equals(GraphLabelEnum.YiBaoOperationName.getName())) {
                Item item = new Item();
                item.setName(result.getConflictItemHisName());
                item.setUniqueName(result.getConflictItemName());
                indicationPushVO.getOperation().add(item);
            } else if (result.getConflictItemType().equals(GraphLabelEnum.YiBaoDiseaseName.getName())) {
                Item item = new Item();
                item.setName(result.getConflictItemHisName());
                item.setUniqueName(result.getConflictItemName());
                indicationPushVO.getDiag().add(item);
            }
        }
        return indicationPushVO;
    }
}*/
