package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.User;
import com.diagbot.entity.UserHospital;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.UserHospitalServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.UserHospitalInfoVO;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-11 11:24
 */
@Component
public class UserHospitalFacade extends UserHospitalServiceImpl {

    public UserHospital addUserHospital(UserHospitalInfoVO userHospitalInfoVO) {
        Date now = DateUtil.now();
        QueryWrapper<UserHospital> userQuery = new QueryWrapper<>();
        userQuery.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("user_id", userHospitalInfoVO.getUserId())
                .eq("hospital_id", userHospitalInfoVO.getHospitalId());
        int count = count(userQuery);
        if (count > 0) {
            throw new CommonException(CommonErrorCode.IS_EXISTS, "该数据已存在");
        }
        UserHospital userHospital = new UserHospital();
        BeanUtil.copyProperties(userHospitalInfoVO,userHospital);
        userHospital.setGmtModified(now);
        userHospital.setGmtCreate(now);
        userHospital.setCreator(UserUtils.getCurrentPrincipleID());
        userHospital.setModifier(UserUtils.getCurrentPrincipleID());
        boolean res = save(userHospital);
        return userHospital;
    }
}
