package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.DiseaseConfig;
import com.diagbot.vo.DiseaseConfigPageVO;
import com.diagbot.vo.HosRelationNumPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 诊断映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DiseaseConfigMapper extends BaseMapper<DiseaseConfig> {

    /**
     * 分页查询
     *
     * @param diseaseConfigPageVO
     * @return
     */
    IPage<DiseaseConfig> getPage(@Param("diseaseConfigPageVO") DiseaseConfigPageVO diseaseConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
