package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.LisConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.LisConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 化验公表映射 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface LisConfigMapper extends BaseMapper<LisConfig> {

    /**
     * 分页查询
     *
     * @param lisConfigPageVO
     * @return
     */
    IPage<LisConfig> getPage(@Param("lisConfigPageVO") LisConfigPageVO lisConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
