package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.OperationConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.OperationConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 手术映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface OperationConfigMapper extends BaseMapper<OperationConfig> {
    /**
     * 分页查询
     *
     * @param operationConfigPageVO
     * @return
     */
    IPage<OperationConfig> getPage(@Param("operationConfigPageVO") OperationConfigPageVO operationConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
