package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.PacsConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.PacsConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 检查公表映射 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface PacsConfigMapper extends BaseMapper<PacsConfig> {
    /**
     * 分页查询
     *
     * @param pacsConfigPageVO
     * @return
     */
    IPage<PacsConfig> getPage(@Param("pacsConfigPageVO") PacsConfigPageVO pacsConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}