package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.DeptConfig;
import com.diagbot.vo.DeptConfigPageVO;
import com.diagbot.vo.HosRelationNumPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 科室映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-12
 */
public interface DeptConfigService extends IService<DeptConfig> {
    /**
     * 分页查询
     *
     * @param deptConfigPageVO
     * @return
     */
    IPage<DeptConfig> getPage(@Param("deptConfigPageVO") DeptConfigPageVO deptConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
