package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.DrugConfig;
import com.diagbot.vo.DrugConfigPageVO;
import com.diagbot.vo.HosRelationNumPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 药品映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DrugConfigService extends IService<DrugConfig> {
    /**
     * 分页查询
     *
     * @param drugConfigPageVO
     * @return
     */
    IPage<DrugConfig> getPage(@Param("drugConfigPageVO") DrugConfigPageVO drugConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
