package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ConceptMappingDTO;
import com.diagbot.entity.DiseaseConfig;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.vo.HospitalInfoPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 医院信息表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-06
 */
public interface HospitalInfoService extends IService<HospitalInfo> {
    /**
     * 分页查询
     *
     * @param hospitalInfoPageVO
     * @return
     */
    IPage<DiseaseConfig> getPage(@Param("hospitalInfoPageVO") HospitalInfoPageVO hospitalInfoPageVO);

    /**
     * 获取术语映射统计列表
     *
     * @param hospitalInfoPageVO
     * @return
     */
    IPage<ConceptMappingDTO> getMappingListPage(@Param("hospitalInfoPageVO") HospitalInfoPageVO hospitalInfoPageVO);
}
