package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.PacsConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.PacsConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 检查公表映射 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface PacsConfigService extends IService<PacsConfig> {
    /**
     * 分页查询
     *
     * @param pacsConfigPageVO
     * @return
     */
    IPage<PacsConfig> getPage(@Param("pacsConfigPageVO") PacsConfigPageVO pacsConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
