package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.TransfusionConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.TransfusionConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 输血映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-31
 */
public interface TransfusionConfigService extends IService<TransfusionConfig> {
    /**
     * 分页查询
     *
     * @param transfusionConfigPageVO
     * @return
     */
    IPage<TransfusionConfig> getPage(@Param("transfusionConfigPageVO") TransfusionConfigPageVO transfusionConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
