package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.DrugConfig;
import com.diagbot.mapper.DrugConfigMapper;
import com.diagbot.service.DrugConfigService;
import com.diagbot.vo.DrugConfigPageVO;
import com.diagbot.vo.HosRelationNumPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 药品映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class DrugConfigServiceImpl extends ServiceImpl<DrugConfigMapper, DrugConfig> implements DrugConfigService {
    /**
     * 分页查询
     *
     * @param drugConfigPageVO
     * @return
     */
    public IPage<DrugConfig> getPage(@Param("drugConfigPageVO") DrugConfigPageVO drugConfigPageVO){
        return baseMapper.getPage(drugConfigPageVO);
    }

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    public IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO) {
        return baseMapper.getRelationNumPage(hosRelationNumPageVO);
    }
}
