package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ConceptMappingDTO;
import com.diagbot.entity.DiseaseConfig;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.mapper.HospitalInfoMapper;
import com.diagbot.service.HospitalInfoService;
import com.diagbot.vo.HospitalInfoPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 医院信息表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-06
 */
@Service
public class HospitalInfoServiceImpl extends ServiceImpl<HospitalInfoMapper, HospitalInfo> implements HospitalInfoService {
    /**
     * 分页查询
     *
     * @param hospitalInfoPageVO
     * @return
     */
    public IPage<DiseaseConfig> getPage(@Param("hospitalInfoPageVO") HospitalInfoPageVO hospitalInfoPageVO) {
        return baseMapper.getPage(hospitalInfoPageVO);
    }

    /**
     * 获取术语映射统计列表
     *
     * @param hospitalInfoPageVO
     * @return
     */
    public IPage<ConceptMappingDTO> getMappingListPage(@Param("hospitalInfoPageVO") HospitalInfoPageVO hospitalInfoPageVO) {
        return baseMapper.getMappingListPage(hospitalInfoPageVO);
    }
}