package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiseaseAllDetailDTO;
import com.diagbot.dto.DiseasePageDTO;
import com.diagbot.entity.KlDisease;
import com.diagbot.mapper.KlDiseaseMapper;
import com.diagbot.service.KlDiseaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.DiseaseDeleteVO;
import com.diagbot.vo.DiseasePageVO;
import com.diagbot.vo.GetDiseaseDetailVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 疾病表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlDiseaseServiceImpl extends ServiceImpl<KlDiseaseMapper, KlDisease> implements KlDiseaseService {

    @Override
    public IPage<DiseasePageDTO> getDiseasePage(DiseasePageVO klConceptInfoVO) {
        return baseMapper.getDiseasePage(klConceptInfoVO);
    }

    @Override
    public List<DiseasePageDTO> getDiseaseAlls(DiseaseDeleteVO diseaseDeleteVO) {
        return baseMapper.getDiseaseAll(diseaseDeleteVO);

    }

    @Override
    public List<DiseaseAllDetailDTO> getDiseaseDetail(GetDiseaseDetailVO getDiseaseDetailVO) {
        return baseMapper.getDiseaseAllDetaill(getDiseaseDetailVO);
    }

}
