package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.MedClassMedDTO;
import com.diagbot.dto.RelationDTO;
import com.diagbot.dto.RelationNameDTO;
import com.diagbot.entity.KlRelation;
import com.diagbot.mapper.KlRelationMapper;
import com.diagbot.service.KlRelationService;
import com.diagbot.vo.KlRelationVO;
import com.diagbot.vo.RelationVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 术语关系表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlRelationServiceImpl extends ServiceImpl<KlRelationMapper, KlRelation> implements KlRelationService {
    public List<MedClassMedDTO> getMedClassMedList() {
        return baseMapper.getMedClassMedList();
    }

    public List<RelationDTO> getRelations(RelationVO relationVO){
        return baseMapper.getRelations(relationVO);
    }

    @Override
    public List<RelationNameDTO> getRelationNameDTOs(List<Long> conceptIds,Integer relationId) {
        return baseMapper.getRelationNameDTOs(conceptIds,relationId);
    }
}
