package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.LisConfig;
import com.diagbot.mapper.LisConfigMapper;
import com.diagbot.service.LisConfigService;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.LisConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 化验公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class LisConfigServiceImpl extends ServiceImpl<LisConfigMapper, LisConfig> implements LisConfigService {
    /**
     * 分页查询
     *
     * @param lisConfigPageVO
     * @return
     */
    public IPage<LisConfig> getPage(@Param("lisConfigPageVO") LisConfigPageVO lisConfigPageVO) {
        return baseMapper.getPage(lisConfigPageVO);
    }

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    public IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO) {
        return baseMapper.getRelationNumPage(hosRelationNumPageVO);
    }
}
