package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.OperationConfig;
import com.diagbot.mapper.OperationConfigMapper;
import com.diagbot.service.OperationConfigService;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.OperationConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 手术映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class OperationConfigServiceImpl extends ServiceImpl<OperationConfigMapper, OperationConfig> implements OperationConfigService {
    /**
     * 分页查询
     *
     * @param operationConfigPageVO
     * @return
     */
    public IPage<OperationConfig> getPage(@Param("operationConfigPageVO") OperationConfigPageVO operationConfigPageVO){
        return baseMapper.getPage(operationConfigPageVO);
    }

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    public IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO) {
        return baseMapper.getRelationNumPage(hosRelationNumPageVO);
    }
}
