package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class KlRelationNodeVO {
	
	/**
	 * 当前概念id start_id
	 */
	private Long conceptId;
	
	/**
	 * 下一级概念类型id
	 */
	private Long sonTypeId;
	
	/**
	 * 当前概念(起点术语) 与 上一级概念(终点术语) 关系id
	 */
	private Long relationId;
    
	/**
	 * 当前概念 与 下一级概念 关系id
	 * 当前系列操作的关系一样时，relationId和sonRelationId都传过来，传一样的值，方便操作，sonRelationId用来删除相关一系列关系；
	 * 当前系列操作的关系不是全部一样时，不传sonRelationId，这样会删除当前概念下的全部关系
	 */
	private Long sonRelationId;
	
	/**
	 * 主要第一级时用，判断是否需要排序
	 * 是否排序，1-排序，0-不排序
	 */
	private Integer isOrderBy = 1;
	
	/**
	 * 下一级概念
	 */
	private List<KlRelationNodeVO> nodeList;
	
    
}