package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EnumsDataFacade;
import com.diagbot.util.EnumEntriesBuilder;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description: 知识库后台管理枚举数据获取类
 * @author: gaodm
 * @time: 2020/10/15 14:32
 */
@RestController
@Api(value = "枚举数据获取API", tags = { "枚举数据获取API" })
@SuppressWarnings("unchecked")
public class EnumsController {
    @Autowired
    private EnumsDataFacade enumsDataFacade;

    @ApiOperation(value = "枚举数据获取[by:wangfeng]",
            notes = "知识库后台管理枚举数据获取")
    @PostMapping("/getKlmEnumsData")
    @SysLogger("getKlmEnumsData")
    public RespDTO<Map<String, List<EnumEntriesBuilder.Entry>>> getEnumsData() {
        return RespDTO.onSuc(enumsDataFacade.getEnumsData());
    }
}
