package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlDictionaryInfoFacade;
import com.diagbot.vo.DictionaryInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-17 13:14
 */
@RestController
@RequestMapping("/kl/dictionary")
@Api(value = "字典表信息相关API", tags = { "字典表信息相关API" })
public class KlDictionaryConller {
    @Autowired
    KlDictionaryInfoFacade dictionaryFacade;

    @ApiOperation(value = "根据分组获取字典表信息详情[by:wangfeng]")
    @PostMapping("/getDictionarys")
    @SysLogger("getDictionarys")
    public RespDTO<List<DictionaryInfoDTO>> getDictionaryInfoAll(@RequestBody DictionaryInfoVO dictionaryInfoVO) {
        return RespDTO.onSuc(dictionaryFacade.getListByGroupType(dictionaryInfoVO));
    }
}
