package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.KlLexiconDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlLexiconFacade;
import com.diagbot.vo.KlLexiconVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 术语分类表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@RestController
@RequestMapping("/kl/lexicon")
@Api(value = "基础术语类型维护相关API", tags = { "基础术语类型维护相关API" })
@SuppressWarnings("unchecked")
public class KlLexiconController {
    @Autowired
    private KlLexiconFacade klLexiconFacade;

    @ApiOperation(value = "基础术语类型列表[by:gaodm]",
            notes = "name： 名称 <br>" +
                    "code： 编码<br>")
    @PostMapping("/getPage")
    @SysLogger("getPage")
    public RespDTO<IPage<KlLexiconDTO>> getPage(@RequestBody KlLexiconVO lexiconVO) {
        return RespDTO.onSuc(klLexiconFacade.getPageFac(lexiconVO));
    }
}
