package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.PermissionsAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PermissionFacade;
import com.diagbot.vo.PermissionsAllVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 系统资源表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-10
 */
@RestController
@RequestMapping("/permission")
@Api(value = "系统资源相关API", tags = { "系统资源相关API" })
@SuppressWarnings("unchecked")
public class PermissionController {
    @Autowired
    PermissionFacade permissionFacade;

    @ApiOperation(value = "获取Token权限系统资源列表[by:wangfeng]",
            notes = "")
    @PostMapping("/getPermissionAll")
    @SysLogger("getPermissionAll")
    public RespDTO<List<PermissionsAllDTO>> getPermissionAll(@RequestBody PermissionsAllVO permissionsAllVO) {
        return RespDTO.onSuc(permissionFacade.getPermissionAlls(permissionsAllVO));
    }
}
