package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PlanDefaultFacade;
import com.diagbot.vo.PlanDefaultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-11-20 9:29
 */
@RestController
@RequestMapping("/sys/plan")
@Api(value = "一键添加方案配置信息API", tags = { "一键添加方案配置信息API" })
@SuppressWarnings("unchecked")
public class PlanDefaultController {
    @Autowired
    PlanDefaultFacade planDefaultFacade;

    @ApiOperation(value = "一键添加方案配置信息[by:wangfeng]", notes = "一键添加方案配置信息")
    @PostMapping("/addDefaultPlans")
    @SysLogger("addDefaultPlans")
    @Transactional
    public RespDTO<Boolean> addDefaultPlans(@Valid @RequestBody PlanDefaultVO planDefaultVO) {
        return RespDTO.onSuc(planDefaultFacade.addDefaultPlans(planDefaultVO));
    }
}
