package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TokenHospitaDTO;
import com.diagbot.dto.UserRoleInfoFindDTO;
import com.diagbot.facade.UserRoleFacade;
import com.diagbot.vo.TokenHospitalVO;
import com.diagbot.vo.UserRoleInfoCancelVO;
import com.diagbot.vo.UserRoleInfoFindVO;
import com.diagbot.vo.UserRoleInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 系统用户角色关联表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-11
 */
@RestController
@RequestMapping("/userRole")
@Api(value = "医院管理员相关API", tags = { "医院管理员相关API" })
@SuppressWarnings("unchecked")
public class UserRoleController {
    @Autowired
    UserRoleFacade userRoleFacade;

    @ApiOperation(value = "添加医院管理员[by:wangfeng]",notes = "添加医院管理员")
    @PostMapping("/addUserRole")
    @SysLogger("addUserRole")
    @Transactional
    public RespDTO<Boolean> addUserRole(@RequestBody @Valid UserRoleInfoVO userRoleInfoVO) {
        boolean res = userRoleFacade.addUserRoles(userRoleInfoVO);
        return RespDTO.onSuc(res);
    }

    @ApiOperation(value = "获取医院管理员[by:wangfeng]",notes = "获取医院管理员")
    @PostMapping("/getUserRole")
    @SysLogger("getUserRole")
    @Transactional
    public RespDTO<IPage<UserRoleInfoFindDTO>> getUserRole(@RequestBody @Valid UserRoleInfoFindVO userRoleInfoFindVO) {
        IPage<UserRoleInfoFindDTO> data = userRoleFacade.getUserRoles(userRoleInfoFindVO);
        return RespDTO.onSuc(data);
    }

    @ApiOperation(value = "删除医院管理员[by:wangfeng]",notes = "获取医院管理员")
    @PostMapping("/cancelUserRole")
    @SysLogger("cancelUserRole")
    @Transactional
    public RespDTO<Boolean> cancelUserRole(@RequestBody @Valid UserRoleInfoCancelVO userRoleInfoCancelVO) {
        boolean res = userRoleFacade.cancelUserRole(userRoleInfoCancelVO);
        return RespDTO.onSuc(res);
    }
}
