package com.diagbot.client;

import com.diagbot.client.hystrix.MrqcServiceHystrix;
import com.diagbot.entity.Response;
import com.diagbot.vo.QueryVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @Description: 病历质控远程调用客户端
 * @author: gaodm
 * @time: 2019/12/23 9:40
 */
@FeignClient(name = "MRQC", url = "${mrqc.server.address}", fallback = MrqcServiceHystrix.class)
public interface MrqcServiceClient {

    @PostMapping(value = "/analyse/recInner")
    Response<Map<String, Object>> extract(@RequestBody QueryVO queryVO);
}



