package com.diagbot.client.hystrix;

import com.diagbot.client.MrqcServiceClient;
import com.diagbot.entity.Response;
import com.diagbot.vo.QueryVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Description: 病历质控远程调用客户端（请求失败熔断）
 * @author: gaodm
 * @time: 2019/12/23 9:40
 */
@Component
@Slf4j
public class MrqcServiceHystrix implements MrqcServiceClient {

    @Override
    public Response<Map<String, Object>> extract(@RequestBody QueryVO queryVO) {
        log.error("【hystrix】调用{}异常", "extract");
        return null;
    }
}
