package com.diagbot.facade;

import com.diagbot.client.MrqcServiceClient;
import com.diagbot.entity.Response;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.vo.QueryVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/12/23 15:38
 */
@Component
public class MrqcFacade {
    @Autowired
    private MrqcServiceClient mrqcServiceClient;

    public Map<String, Object> extract(QueryVO queryVO) {
        Response<Map<String, Object>> res = mrqcServiceClient.extract(queryVO);
        if (res == null || res.getData() == null) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "病历质控没有返回结果");
        }
        return res.getData();
    }
}
