package com.diagbot.biz.log.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description: BI记录实体类
 * @author: gaodm
 * @time: 2019/11/11 14:27
 */
@Getter
@Setter
public class BiRecord {

    /**
     * 日志ID
     */
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院医生编码
     */
    private String doctorCode;

    /**
     * 医院科室编码
     */
    private String deptCode;

    /**
     * 医院患者编码
     */
    private String patientCode;

    /**
     * 产品类型（1：云平台内部；2：云平台外部；3：icss；4：智能分诊；5：页面推送模式；6：智能预问诊；7：数据引擎模式）
     */
    private Integer productType;

    /**
     * 功能编码
     */
    private String code;

    /**
     * 输入参数
     */
    private String params;

    /**
     * 返回参数
     */
    private String result;

    /**
     * 响应时间
     */
    private String execTime;

    /**
     * 调用是否成功（0：失败；1：成功）
     */
    private Integer successFlag;

    /**
     * 来源（1：后台接口-无处理；2：后台接口-结果特殊处理；3：前端）
     */
    private Integer source;
}
