package com.diagbot.biz.push.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:病历基本信息
 * @Author:zhaops
 * @time: 2019/12/16 16:22
 */
@Getter
@Setter
public class MRBaseData {
    /**
     * 医院编码
     */
    private String hosCode = "";
    /**
     * 年龄
     */
    private Integer age;

    /**
     * 婚姻
     */
    private String marriage = "";
    /**
     * 主诉
     */
    private String chief = "";
    /**
     * 现病史
     */
    private String symptom = "";
    /**
     * 查体
     */
    private String vital = "";
    /**
     * 既往史
     */
    private String pasts = "";
    /**
     * 传染病史
     */
    private String infectious = "";
    /**
     * 手术外伤史
     */
    private String operation = "";
    /**
     * 过敏史
     */
    private String allergy = "";
    /**
     * 接种史
     */
    private String vaccination = "";
    /**
     * 个人史
     */
    private String personal = "";
    /**
     * 婚育史
     */
    private String marital = "";
    /**
     * 家族史
     */
    private String family = "";
    /**
     * 月经史
     */
    private String menstrual = "";
    /**
     * 其他史
     */
    private String other = "";
    /**
     * 化验文本数据
     */
    private String lisString = "";
    /**
     * 辅检文本数据
     */
    private String pacsString = "";
    /**
     * 诊断文本数据
     */
    private String diagString = "";
    /**
     * 药品文本数据
     */
    private String drugString = "";
    /**
     * 化验项目和结果
     */
    private List<Lis> lis = new ArrayList<>();
    /**
     * 辅检项目和结果
     */
    private List<Pacs> pacs = new ArrayList<>();
    /**
     * 诊断
     */
    private List<Item> diag = new ArrayList<>();
    /**
     * 药品
     */
    private List<Item> drug = new ArrayList<>();
    /**
     * 当前化验开单项
     */
    private List<Lis> lisOrder = new ArrayList<>();
    /**
     * 当前辅检开单项
     */
    private List<Pacs> pacsOrder = new ArrayList<>();
    /**
     * 当前诊断开单项
     */
    private List<Item> diagOrder = new ArrayList<>();
    /**
     * 当前药品开单项
     */
    private List<Item> drugOrder = new ArrayList<>();
    /**
     * 当前手术开单项
     */
    private List<Item> operationOrder = new ArrayList<>();
    /**
     * 其他开单项
     */
    private List<Item> otherOrder = new ArrayList<>();
    /**
     * 选中诊断
     */
    private Item diseaseName;
    /**
     * 诊断类型（0-普通病（默认不填），1-慢病，2-急诊）
     */
    private Integer disType = 0;
    /**
     * 量表名称
     */
    private String scaleName = "";
}