package com.diagbot.biz.push.entity;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:药品信息
 * @Author:zhaops
 * @time: 2018/12/17 13:27
 */
@Getter
@Setter
public class Medicition {
    /**
     * 术语id
     */
    private Long conceptId;
    /**
     * 药品名称
     */
    @CryptField
    private String medicitionName;
    /**
     * 词性（10：药品通用名）
     */
    private Integer libType;
    /**
     * 是否显示（0：隐藏，1：显示）
     */
    private String isShow;
    /**
     * 药品慎用禁忌标志（0：正常，1：慎用，2：禁忌）
     */
    private String forbidden;
    /**
     * 是否有药品说明书（0：无，1：有）
     */
    private String showInfo = "0";
    /**
     * 使用率
     */
    private String rate;
    /**
     * 类型
     */
    private Integer type;
}