package com.diagbot.biz.push.entity;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;

/**
 * @Description:药品分类
 * @Author:zhaops
 * @time: 2018/12/17 13:32
 */
@Getter
@Setter
public class MedicitionClass {
    /**
     * 是否有静态知识（0：无，1：有）
     */
    private String showInfo = "0";
    /**
     * 药品分类禁用慎用标志（0：正常，1：慎用，2：禁用）
     */
    private String drugsForbidden;
    /**
     * 药品大类术语id
     */
    private Long bigdrugsConceptId;
    /**
     * 药品大类名称
     */
    @CryptField
    private String bigdrugsName;
    /**
     * 药品大类词性
     */
    private Integer bigdrgusLibType;
    /**
     * 药品大类类型
     */
    private Integer bigdrugsType;
    /**
     * 药品小类术语id
     */
    private Long subdrugsConceptId;
    /**
     * 药品小类名称
     */
    @CryptField
    private String subdrugsName;
    /**
     * 药品小类词性
     */
    private Integer subdrugsLibType;
    /**
     * 药品小类类型
     */
    private Integer subdrugsType;
    /**
     * 药品列表
     */
    private LinkedList<Medicition> medicitionsList;
}