package com.diagbot.biz.push.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:大数据返回结构
 * @Author:zhaops
 * @time: 2019/12/9 13:21
 */
@Getter
@Setter
public class ResponseData {
    /**
     * 症状
     */
    private List<FeatureRate> symptom = new ArrayList<>(10);
    /**
     * 病史
     */
    private List<FeatureRate> history = new ArrayList<>(10);
    /**
     * 查体（体征）
     */
    private List<FeatureRate> vitals = new ArrayList<>(10);
    /**
     * 化验
     */
    private List<FeatureRate> labs = new ArrayList<>(10);
    /**
     * 辅检
     */
    private List<FeatureRate> pacs = new ArrayList<>(10);
    /**
     * 诊断
     */
    private List<FeatureRate> dis = new ArrayList<>(10);
    /**
     * 治疗方案
     */
    private Treat treat;
    /**
     * 量表动态内容
     */
    private Map<String, JSONObject> scale;
    /**
     * 管理评估动态内容
     */
    private Map<String, JSONObject> managementEvaluation;
    /**
     * 病情提示（1：量表，2：计算公式，3：可能结果，4：危机值、开单合理项、异常值等规则推送内容）
     */
    private List<MedicalIndication> medicalIndications;
    /**
     * 有无病情提示标志（0：无，1：有）
     */
    private String hasIndications;

    private Map<String, Map<String, String>> inputs = new HashMap<>(10, 0.5f);
}