package com.diagbot.biz.push.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:推理通用入参
 * @Author:zhaops
 * @time: 2019/12/11 14:16
 */
@Getter
@Setter
public class SearchBaseData extends MRBaseData {
    /**
     * 外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
     */
    private String sysCode = "1";
    /**
     * 大数据返回内容截取长度
     */
    private Integer length = 10;

    /**
     * 推理类型（1：症状，4：查体结果，41：查体模板，42：查体指标，5：化验，6：辅检，7：诊断，8：治疗方案，11：管理评估，21：量表，22：病情提示-量表、计算公式、可能结果、危急值、开单合理性、异常值等）
     */
    private String featureType = "";
    /**
     * 规则类型（1:危机值提醒，2：开单合理性，3：管理评估，4：不良反应，5：药物推荐，6：异常值）
     */
    private String ruleType = "";
    /**
     * 是否映射（0：否，1：是）
     */
    private Integer isMapping;
    /**
     * 系统类型
     */
    private Integer sysType;
}