package com.diagbot.biz.push.entity;

import com.diagbot.biz.push.dto.ConceptDetailDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description:治疗方案返回结构
 * @Author:zhaops
 * @time: 2019/11/21 15:36
 */
@Getter
@Setter
public class Treat {
    /**
     * 诊断类型
     */
    private Integer disType;
    /**
     * 诊断名称
     */
    private Item diseaseName;
    /**
     * 一般治疗
     */
    private ConceptDetailDTO commonTreatment;
    /**
     * 手术治疗
     */
    private ConceptDetailDTO surgeryTreatment;
    /**
     * 随访时间
     */
    private Object followUp;
    /**
     * 上次用药
     */
    private Map<String, List<Medicition>> drugHistory;
    /**
     * 不良反应
     */
    private List<AdverseReaction> adverseEvent;
    /**
     * 药品推荐
     */
    private List<TreatmentPlan> treatmentPlan;
}