package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 产品类型
 * @author: gaodm
 * @time: 2018/9/14 9:15
 */
public enum BiSourceEnum implements KeyedNamed {
    BI_NORMAL(1, "后台接口-无处理"),
    BI_RESULT(2, "后台接口-结果特殊处理"),
    FRONT(3, "前端");
    @Setter
    private int key;

    @Setter
    private String name;

    BiSourceEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static BiSourceEnum getEnum(int key) {
        for (BiSourceEnum item : BiSourceEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        BiSourceEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
