package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 产品类型
 * @author: gaodm
 * @time: 2018/9/14 9:15
 */
public enum ProductTypeEnum implements KeyedNamed {
    DIAGBOTCLOUD_INNER(1, "云平台内部"),
    DIAGBOTCLOUD_OUTER(2, "云平台外部"),
    ICSS(3, "ICSS"),
    TRIAGE(4, "智能分诊"),
    DATA(5, "页面推送模式"),
    PREC(6, "智能预问诊"),
    LTAPI(7, "数据引擎模式");
    @Setter
    private int key;

    @Setter
    private String name;

    ProductTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ProductTypeEnum getEnum(int key) {
        for (ProductTypeEnum item : ProductTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ProductTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
