package com.diagbot.client.hystrix;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.vo.HospitalSetVO;
import com.diagbot.vo.MrVO;
import com.diagbot.vo.PushJoinVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;

/**
 * @Description: 调用信息对接层服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class TranServiceHystrix implements TranServiceClient {

	@Override
	public RespDTO<List<SysSetInfoDTO>> getSysSetInfoDatas(@Valid HospitalSetVO hospitalSetVO) {
		log.error("【hystrix】调用{}异常", "getSysSetInfoDatas");
		return null;
	}

	@Override
	public RespDTO<String> createMr(@RequestBody PushJoinVO pushJoinVO){
		log.error("【hystrix】调用{}异常", "createMr");
		return null;
	}

	@Override
	public RespDTO<PushJoinVO> getMr(@RequestBody @Valid MrVO mrVO){
		log.error("【hystrix】调用{}异常", "getMr");
		return null;
	}
}