package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.MrVO;
import com.diagbot.vo.PushJoinVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 病历保存到redis装饰层
 * @author: gaodm
 * @time: 2019/8/28 16:25
 */
@Component
public class MrFacade {
    @Autowired
    private TranServiceClient tranServiceClient;

    public String createMr(PushJoinVO pushJoinVO) {
        RespDTO<String> res = tranServiceClient.createMr(pushJoinVO);
        RespDTOUtil.respNGDealCover(res, "调用远程服务【createMr】失败");
        return res.data;
    }

    public PushJoinVO getMr(MrVO mrVO) {
        RespDTO<PushJoinVO> res = tranServiceClient.getMr(mrVO);
        RespDTOUtil.respNGDealCover(res, "调用远程服务【getMr】失败");
        return res.data;
    }
}
