package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.GetStaticKnowledgeVO;
import com.diagbot.vo.GetStaticVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/10/10 9:05
 */
@Component
public class SearchFacade {
    @Autowired
    private AiptServiceClient aiptServiceClient;

    /**
     * 静态知识检索
     *
     * @param getStaticVO
     * @return
     */
    public List<RetrievalDTO> getStaticKnowledge(GetStaticVO getStaticVO) {
        GetStaticKnowledgeVO getStaticKnowledgeVO = new GetStaticKnowledgeVO();
        BeanUtil.copyProperties(getStaticVO, getStaticKnowledgeVO);
        RespDTO<List<RetrievalDTO>> res = aiptServiceClient.getStaticKnowledge(getStaticKnowledgeVO);
        RespDTOUtil.respNGDeal(res, "获取静态知识失败");
        return res.data;
    }

    /**
     * 静态知识检索【海南】
     *
     * @param getStaticVO
     * @return
     */
    public List<RetrievalDTO> getStaticKnowledgeHaiNan(GetStaticVO getStaticVO) {
        GetStaticKnowledgeVO getStaticKnowledgeVO = new GetStaticKnowledgeVO();
        BeanUtil.copyProperties(getStaticVO, getStaticKnowledgeVO);
        RespDTO<List<RetrievalDTO>> res = aiptServiceClient.getStaticKnowledgeHaiNan(getStaticKnowledgeVO);
        RespDTOUtil.respNGDeal(res, "获取静态知识失败");
        return res.data;
    }

//    /**
//     * 量表搜索
//     *
//     * @param scaleIndexVO
//     * @return
//     */
//    public List<ScaleIndexDTO> index(ScaleIndexVO scaleIndexVO) {
//        RespDTO<List<ScaleIndexDTO>> res =
//                aiptServiceClient.index(scaleIndexVO);
//        RespDTOUtil.respNGDeal(res, "搜索量表失败");
//        return res.data;
//    }
}
