package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DictionaryFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * icss字典表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-25
 */
@RequestMapping("/dictionaryInfo")
@RestController
@SuppressWarnings("unchecked")
@Api(value = "字典信息", tags = { "字典信息" })
public class DictionaryInfoController {


    @Autowired
    DictionaryFacade dictionaryFacade;

    @ApiOperation(value = "返回字典信息[by:zhoutg]",
            notes = "")
    @PostMapping("/getList")
    @SysLogger("getList")
    public RespDTO<Map<Long, List<DictionaryInfoDTO>>> getList() {
        Map<Long, List<DictionaryInfoDTO>> data = dictionaryFacade.getList();
        return RespDTO.onSuc(data);
    }
}
