package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MrqcFacade;
import com.diagbot.vo.QueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.Map;

/**
 * @Description: 病历质控控制层
 * @author: gaodm
 * @time: 2019/12/23 15:48
 */
@RestController
@RequestMapping("/mrqc")
@Api(value = "病历质控API", tags = { "病历质控API" })
@SuppressWarnings("unchecked")
@ApiIgnore
public class MrqcController {
    @Autowired
    private MrqcFacade mrqcFacade;

    @ApiOperation(value = "病历质控[by:gaodm]",
            notes = "")
    @PostMapping("/analyse")
    @SysLogger("analyse")
    public RespDTO<Map<String, Object>> extract(@RequestBody QueryVO queryVO) {
        return RespDTO.onSuc(mrqcFacade.extract(queryVO));
    }
}