package com.diagbot.facade;

import com.diagbot.entity.IpEntity;
import com.diagbot.entity.OptInfo;
import com.diagbot.service.impl.OptInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.DateUtil;
import com.diagbot.util.HttpUtils;
import com.diagbot.util.IPUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.OptInfoVO;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2018/10/12 15:31
 */
@Component
public class OptInfoFacade extends OptInfoServiceImpl {

    public Boolean saveFac(OptInfoVO optInfoVO) {
        String ip = HttpUtils.getIpAddress();
        IpEntity ipEntity = IPUtil.getCityInfoWithEntity(ip);
        // 赋值
        OptInfo optInfo = new OptInfo();
        BeanUtil.copyProperties(optInfoVO, optInfo);
        optInfo.setCreator(UserUtils.getCurrentPrincipleID());
        optInfo.setModifier(UserUtils.getCurrentPrincipleID());
        optInfo.setIp(ip);
        optInfo.setCountry(ipEntity.getCountry());
        optInfo.setProvince(ipEntity.getProvince());
        optInfo.setCity(ipEntity.getCity());
        Date date = DateUtil.now();
        optInfo.setGmtCreate(date);
        optInfo.setGmtModified(date);
        return this.save(optInfo);
    }
}
