package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.OptInfoFacade;
import com.diagbot.vo.OptInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 产品操作记录表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-03-25
 */
@RestController
@RequestMapping("/optInfo")
@Api(value = "产品操作记录API", tags = { "产品操作记录API" })
public class OptInfoController {

    @Autowired
    OptInfoFacade optInfoFacade;

    @ApiOperation(value = "保存记录[by:zhoutg]",
            notes = "productId：产品id<br>" +
                    "username：用户名<br>" +
                    "linkman：联系人<br>")
    @PostMapping("/save")
    @SysLogger("save")
    public RespDTO<Boolean> save(@RequestBody OptInfoVO optInfoVO) {
        return RespDTO.onSuc(optInfoFacade.saveFac(optInfoVO));
    }

}
