use `sys-icss`;
ALTER TABLE `icss_inquiry_detail`
ADD COLUMN `content_value`  text NULL COMMENT '内容字符串纯文本' AFTER `content`;

ALTER TABLE icss_question_info MODIFY COLUMN control_type tinyint(4) COMMENT '控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：待定 4：待定 5：数字键盘带单位 6：文本框 7：数字键盘文本框  11：下拉单选括号占位符，有无治疗 99：联合推送)';
ALTER TABLE icss_question_info MODIFY COLUMN type tinyint(4) COMMENT '类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断,8:药品，9：药品分类 21：量表，22：推送指标）';
ALTER TABLE icss_question_info ADD COLUMN  formula_code varchar(255) COMMENT '公式编码' AFTER `joint`;


use `sys-tran`;
CREATE TABLE `tran_pacs_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='辅检项目公表映射配置表';

CREATE TABLE `tran_introduce_title_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='提示信息标签映射表';


ALTER TABLE `tran_disease_icd` ADD COLUMN `icss_question_name` varchar(20) NOT NULL COMMENT 'icss疾病名称' AFTER `status`;

ALTER TABLE `tran_hospital_dept` CHANGE `dept_id` `icss_dept_name` varchar(20) DEFAULT NULL COMMENT 'icss科室名称';
