drop database if exists `sys-prec`;
CREATE DATABASE  `sys-prec` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-prec`;

-- ----------------------------
-- Table structure for prec_evaluator
-- ----------------------------
DROP TABLE IF EXISTS `prec_evaluator`;
CREATE TABLE `prec_evaluator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '姓名',
  `phone` varchar(50) NOT NULL DEFAULT '' COMMENT '手机号',
  `sex` int(11) NOT NULL DEFAULT '1' COMMENT '性别(1：男 2：女)',
  `age` int(11) NOT NULL DEFAULT '0' COMMENT '年龄',
  `mild_value` decimal(10,2) DEFAULT '0.00' COMMENT '平和体质转化分',
  `faint_value` decimal(10,2) DEFAULT '0.00' COMMENT '气虚体质转化分',
  `wet_value` decimal(10,2) DEFAULT '0.00' COMMENT '湿滞体质转化分',
  `heart_value` decimal(10,2) DEFAULT '0.00' COMMENT '心肝火旺体质转化分',
  `stagnant_value` decimal(10,2) DEFAULT '0.00' COMMENT '积滞体质转化分',
  `except_value` decimal(10,2) DEFAULT '0.00' COMMENT '异禀体质转化分',
  `physical_res` varchar(100) NOT NULL DEFAULT '' COMMENT '体质结果',
  `physical_types` varchar(100) NOT NULL DEFAULT '' COMMENT '需要显示的体质逗号隔开',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='评估用户结果表';

-- ----------------------------
-- Table structure for prec_physical_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_physical_info`;
CREATE TABLE `prec_physical_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `physical` varchar(50) NOT NULL DEFAULT '' COMMENT '体质名称',
  `description` varchar(500) NOT NULL DEFAULT '' COMMENT '体质描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='体质基本信息表';

-- ----------------------------
-- Records of prec_physical_info
-- ----------------------------
INSERT INTO `prec_physical_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平和体质', '正常体质，从小机体就有较好的自我调节能力，对自然环境适应力强，生长发育良好，智力发育正常，精神状态好，疾病少，恢复快。');
INSERT INTO `prec_physical_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气虚体质', '儿童由于肺脾气虚，皮肤腠理娇嫩，以脾肺功能低下、体弱乏力、易感冒为主要特征的一种体质状态。易患反复呼吸道感染，自汗、泄泻、厌食等疾病。');
INSERT INTO `prec_physical_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '湿滞体质', '由于脾气亏虚，湿浊阻滞，以脾虚湿滞为主要特征的一种体质类型，多见于体型虚胖的儿童，常表现有不爱运动，四肢容易困乏，纳呆便溏。');
INSERT INTO `prec_physical_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肝火旺体质', '由于小儿心常有余，肝常有余，以心肝火盛为主要特征的一种体质状态。易患失眠、疳积、小儿多动症、脾气急躁、口臭、口腔溃疡等疾病。');
INSERT INTO `prec_physical_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '积滞体质', '儿童由于脾胃积滞、食而不化，而影响到脾胃的运化，导致的一种消化不良的综合症状。常出现腹满胀痛，或吐乳，常伴有哭闹、夜寐不安。易患疳积、厌食、便秘、泄泻等疾病，可转化为营养不良。');
INSERT INTO `prec_physical_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异禀体质', '由于遗传因素、环境因素、食物因素、药物因素、免疫因素，或母亲生产时意外因素等先天禀赋不足和禀赋特异性遗传等因素造成的一种体质。包括过敏体质、遗传病体质、胎传体质、免疫缺陷体质。');
