drop database if exists `sys-prec`;
CREATE DATABASE  `sys-prec` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-prec`;

/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50723
Source Host           : 192.168.2.236:3306
Source Database       : sys-prec

Target Server Type    : MYSQL
Target Server Version : 50723
File Encoding         : 65001

Date: 2019-07-30 17:12:35
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for prec_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_dictionary_info`;
CREATE TABLE `prec_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：icss界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='字典表';

-- ----------------------------
-- Records of prec_dictionary_info
-- ----------------------------
INSERT INTO `prec_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '症状情况', '1', '1', '10', '标签归属');
INSERT INTO `prec_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '诊疗情况', '51', '1', '20', '标签归属');
INSERT INTO `prec_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '其他史', '3', '1', '30', '标签归属');
INSERT INTO `prec_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '补充内容', '52', '1', '40', '标签归属');
INSERT INTO `prec_dictionary_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '单选框', '1', '1', '10', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多选框', '2', '1', '20', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '文本输入框', '6', '1', '30', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多列填写', '3', '1', '40', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '文本域', '5', '1', '50', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '上传图片模块', '4', '1', '60', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '数字输入框', '7', '1', '70', '单标签组件类型');
INSERT INTO `prec_dictionary_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '独立填写单组合项(症状详情)', '4', '1', '10', '填写单类型');
INSERT INTO `prec_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '混合填写单组合项(既往史)', '6', '1', '20', '填写单类型');
INSERT INTO `prec_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '通用', '0', '1', '10', '模板类型');
INSERT INTO `prec_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '科室', '1', '1', '20', '模板类型');

-- ----------------------------
-- Table structure for prec_inquiry_detail
-- ----------------------------
DROP TABLE IF EXISTS `prec_inquiry_detail`;
CREATE TABLE `prec_inquiry_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `type` int(1) DEFAULT NULL COMMENT '类型（1主诉，2现病史，3其他史，4补充内容）',
  `content` text COMMENT '内容字符串',
  `content_value` text COMMENT '内容字符串纯文本',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8 COMMENT='问诊记录-明细表';

-- ----------------------------
-- Records of prec_inquiry_detail
-- ----------------------------
INSERT INTO `prec_inquiry_detail` VALUES ('78', 'N', '2019-07-22 14:07:45', '2019-07-22 14:07:45', '0', '0', '2', '1', '发热;', '发热;', null);
INSERT INTO `prec_inquiry_detail` VALUES ('79', 'N', '2019-07-22 14:07:45', '2019-07-22 14:07:45', '0', '0', '2', '3', '无;', '无;', null);
INSERT INTO `prec_inquiry_detail` VALUES ('101', 'N', '2019-07-23 18:21:39', '2019-07-23 18:21:39', '0', '0', '1', '1', '发热;', '发热;', null);
INSERT INTO `prec_inquiry_detail` VALUES ('102', 'N', '2019-07-23 18:21:39', '2019-07-23 18:21:39', '0', '0', '1', '2', '未治疗;', '未治疗;', null);
INSERT INTO `prec_inquiry_detail` VALUES ('103', 'N', '2019-07-23 18:21:39', '2019-07-23 18:21:39', '0', '0', '1', '3', '冠心病;无敏史;有;', '冠心病;无敏史;有;', null);
INSERT INTO `prec_inquiry_detail` VALUES ('104', 'N', '2019-07-23 18:21:39', '2019-07-23 18:21:39', '0', '0', '1', '4', '血压：22/33mmHg,脉搏：55 次/分;', '血压：22/33mmHg,脉搏：55 次/分;', null);

-- ----------------------------
-- Table structure for prec_inquiry_evaluator
-- ----------------------------
DROP TABLE IF EXISTS `prec_inquiry_evaluator`;
CREATE TABLE `prec_inquiry_evaluator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `mild_value` decimal(10,2) DEFAULT '0.00' COMMENT '平和体质转化分',
  `faint_value` decimal(10,2) DEFAULT '0.00' COMMENT '气虚体质转化分',
  `wet_value` decimal(10,2) DEFAULT '0.00' COMMENT '湿滞体质转化分',
  `heart_value` decimal(10,2) DEFAULT '0.00' COMMENT '心肝火旺体质转化分',
  `stagnant_value` decimal(10,2) DEFAULT '0.00' COMMENT '积滞体质转化分',
  `except_value` decimal(10,2) DEFAULT '0.00' COMMENT '异禀体质转化分',
  `physical_res` varchar(100) NOT NULL DEFAULT '' COMMENT '体质结果',
  `physical_types` varchar(100) NOT NULL DEFAULT '' COMMENT '需要显示的体质逗号隔开',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=106 DEFAULT CHARSET=utf8 COMMENT='问诊记录-儿童体质辨识表';

-- ----------------------------
-- Records of prec_inquiry_evaluator
-- ----------------------------
INSERT INTO `prec_inquiry_evaluator` VALUES ('1', 'N', '2019-05-30 13:17:17', '2019-05-30 13:17:17', '0', '0', '71', '1.00', '2.11', '3.00', '4.00', '5.00', '6.00', '平和体质', '1,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('2', 'N', '2019-05-30 13:17:27', '2019-05-30 13:17:27', '0', '0', '71', '50.00', '1.50', '44.30', '11.00', '12.00', '10.00', '气虚体质', '2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('3', 'N', '2019-05-30 13:17:48', '2019-05-30 13:17:48', '0', '0', '71', '60.00', '22.20', '1.00', '15.00', '17.00', '18.00', '湿滞体质', '3');
INSERT INTO `prec_inquiry_evaluator` VALUES ('4', 'N', '2019-05-30 13:19:29', '2019-05-30 13:19:29', '0', '0', '80', '77.00', '55.50', '2.00', '13.00', '16.00', '28.00', '心肝火旺体质', '4,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('5', 'N', '2019-05-30 13:20:33', '2019-05-30 13:20:33', '0', '0', '80', '39.00', '66.70', '3.00', '33.30', '33.50', '33.60', '积滞体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('6', 'N', '2019-05-30 13:22:42', '2019-05-30 13:22:42', '0', '0', '80', '33.00', '22.30', '4.00', '33.60', '79.00', '22.80', '异禀体质', '2,3,7');
INSERT INTO `prec_inquiry_evaluator` VALUES ('7', 'N', '2019-05-30 15:01:15', '2019-05-30 15:01:15', '0', '0', '80', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '心肝火旺体质兼异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('8', 'N', '2019-05-30 15:03:20', '2019-05-30 15:03:20', '0', '0', '80', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '湿滞体质', '3');
INSERT INTO `prec_inquiry_evaluator` VALUES ('9', 'N', '2019-05-30 15:03:24', '2019-05-30 15:03:24', '0', '0', '80', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '心肝火旺体质', '4,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('10', 'N', '2019-05-30 15:03:25', '2019-05-30 15:03:25', '0', '0', '66', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '积滞体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('11', 'N', '2019-05-30 15:03:31', '2019-05-30 15:03:31', '0', '0', '66', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '异禀体质', '2,3,7');
INSERT INTO `prec_inquiry_evaluator` VALUES ('12', 'N', '2019-05-30 15:03:39', '2019-05-30 15:03:39', '0', '0', '66', '11.00', '26.00', '44.00', '12.00', '66.00', '13.00', '心肝火旺体质兼异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('13', 'N', '2019-05-30 16:37:13', '2019-05-30 16:37:13', '0', '0', '66', '33.33', '37.50', '43.75', '37.50', '50.00', '62.50', '异禀体质', '2,3,7');
INSERT INTO `prec_inquiry_evaluator` VALUES ('14', 'N', '2019-05-30 16:39:35', '2019-05-30 16:39:35', '0', '0', '66', '50.00', '50.00', '31.25', '25.00', '43.75', '66.67', '心肝火旺体质兼异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('15', 'N', '2019-05-30 17:12:52', '2019-05-30 17:12:52', '0', '0', '66', '10.00', '10.00', '10.00', '10.00', '10.00', '10.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('16', 'N', '2019-05-30 18:58:18', '2019-05-30 18:58:18', '0', '0', '66', '50.00', '41.67', '37.50', '31.25', '43.75', '43.75', '倾向是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('17', 'N', '2019-05-30 19:02:26', '2019-05-30 19:02:26', '0', '0', '42', '50.00', '25.00', '25.00', '43.75', '50.00', '56.25', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('18', 'N', '2019-05-30 19:04:26', '2019-05-30 19:04:26', '0', '0', '42', '50.00', '33.33', '56.25', '37.50', '50.00', '56.25', '是湿滞体质兼有异禀体质', '3,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('19', 'N', '2019-05-30 19:36:21', '2019-05-30 19:36:21', '0', '0', '42', '41.67', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('20', 'N', '2019-05-30 19:38:05', '2019-05-30 19:38:05', '0', '0', '53', '41.67', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('21', 'N', '2019-05-30 19:39:49', '2019-05-30 19:39:49', '0', '0', '53', '50.00', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('22', 'N', '2019-05-30 19:59:09', '2019-05-30 19:59:09', '0', '0', '53', '25.00', '41.67', '25.00', '50.00', '50.00', '62.50', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('23', 'N', '2019-05-31 09:45:05', '2019-05-31 09:45:05', '0', '0', '53', '41.67', '50.00', '43.75', '50.00', '50.00', '62.50', '是异禀体质兼有气虚体质', '6,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('24', 'N', '2019-05-31 11:03:28', '2019-05-31 11:03:28', '0', '0', '53', '66.67', '33.33', '31.25', '68.75', '37.50', '43.75', '是心肝火旺体质', '4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('25', 'N', '2019-05-31 11:05:25', '2019-05-31 11:05:25', '0', '0', '53', '33.33', '0.00', '0.00', '0.00', '50.00', '25.00', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('26', 'N', '2019-05-31 11:12:17', '2019-05-31 11:12:17', '0', '0', '53', '50.00', '50.00', '50.00', '31.25', '50.00', '62.50', '是异禀体质兼有气虚体质', '6,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('27', 'N', '2019-05-31 11:14:06', '2019-05-31 11:14:06', '0', '0', '67', '41.67', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('28', 'N', '2019-05-31 11:14:09', '2019-05-31 11:14:09', '0', '0', '67', '33.33', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('29', 'N', '2019-05-31 11:14:38', '2019-05-31 11:14:38', '0', '0', '67', '41.67', '41.67', '25.00', '31.25', '56.25', '56.25', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('30', 'N', '2019-05-31 11:15:24', '2019-05-31 11:15:24', '0', '0', '67', '41.67', '33.33', '18.75', '43.75', '43.75', '68.75', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('31', 'N', '2019-05-31 11:15:38', '2019-05-31 11:15:38', '0', '0', '67', '33.33', '25.00', '25.00', '37.50', '56.25', '68.75', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('32', 'N', '2019-05-31 11:16:45', '2019-05-31 11:16:45', '0', '0', '67', '33.33', '0.00', '0.00', '0.00', '50.00', '25.00', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('33', 'N', '2019-05-31 11:16:57', '2019-05-31 11:16:57', '0', '0', '27', '58.33', '58.33', '75.00', '62.50', '43.75', '68.75', '是湿滞体质兼有异禀体质', '3,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('34', 'N', '2019-05-31 11:19:47', '2019-05-31 11:19:47', '0', '0', '27', '33.33', '0.00', '0.00', '0.00', '50.00', '25.00', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('35', 'N', '2019-05-31 11:25:14', '2019-05-31 11:25:14', '0', '0', '27', '50.00', '58.33', '56.25', '43.75', '43.75', '68.75', '是异禀体质兼有气虚体质', '6,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('36', 'N', '2019-05-31 11:26:28', '2019-05-31 11:26:28', '0', '0', '27', '41.67', '25.00', '6.25', '56.25', '43.75', '75.00', '是异禀体质兼有心肝火旺体质', '6,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('37', 'N', '2019-05-31 11:27:31', '2019-05-31 11:27:31', '0', '0', '27', '41.67', '41.67', '43.75', '93.75', '43.75', '62.50', '是心肝火旺体质兼有异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('38', 'N', '2019-05-31 11:27:53', '2019-05-31 11:27:53', '0', '0', '27', '58.33', '75.00', '75.00', '75.00', '50.00', '68.75', '是气虚体质兼有湿滞体质', '2,3');
INSERT INTO `prec_inquiry_evaluator` VALUES ('39', 'N', '2019-05-31 11:30:09', '2019-05-31 11:30:09', '0', '0', '27', '58.33', '50.00', '56.25', '37.50', '50.00', '43.75', '是湿滞体质兼有气虚体质', '3,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('40', 'N', '2019-05-31 11:30:57', '2019-05-31 11:30:57', '0', '0', '35', '58.33', '50.00', '18.75', '75.00', '50.00', '68.75', '是心肝火旺体质兼有异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('41', 'N', '2019-05-31 11:41:44', '2019-05-31 11:41:44', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('42', 'N', '2019-05-31 11:41:44', '2019-05-31 11:41:44', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('43', 'N', '2019-05-31 11:41:44', '2019-05-31 11:41:44', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('44', 'N', '2019-05-31 11:41:44', '2019-05-31 11:41:44', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('45', 'N', '2019-05-31 11:41:44', '2019-05-31 11:41:44', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('46', 'N', '2019-05-31 11:41:45', '2019-05-31 11:41:45', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('47', 'N', '2019-05-31 11:41:45', '2019-05-31 11:41:45', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('48', 'N', '2019-05-31 11:41:45', '2019-05-31 11:41:45', '0', '0', '35', '58.33', '25.00', '31.25', '43.75', '56.25', '43.75', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('49', 'N', '2019-05-31 11:55:09', '2019-05-31 11:55:09', '0', '0', '35', '58.33', '25.00', '43.75', '56.25', '43.75', '75.00', '是异禀体质兼有心肝火旺体质', '6,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('50', 'N', '2019-05-31 12:21:51', '2019-05-31 12:21:51', '0', '0', '35', '58.33', '33.33', '31.25', '37.50', '75.00', '50.00', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('51', 'N', '2019-05-31 12:27:03', '2019-05-31 12:27:03', '0', '0', '35', '50.00', '58.33', '37.50', '56.25', '50.00', '31.25', '是气虚体质兼有心肝火旺体质', '2,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('52', 'N', '2019-05-31 12:59:35', '2019-05-31 12:59:35', '0', '0', '35', '41.67', '33.33', '31.25', '43.75', '62.50', '56.25', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('53', 'N', '2019-05-31 13:14:05', '2019-05-31 13:14:05', '0', '0', '35', '25.00', '16.67', '25.00', '18.75', '50.00', '62.50', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('54', 'N', '2019-05-31 13:16:56', '2019-05-31 13:16:56', '0', '0', '35', '50.00', '33.33', '25.00', '37.50', '56.25', '62.50', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('55', 'N', '2019-05-31 13:33:09', '2019-05-31 13:33:09', '0', '0', '35', '33.33', '37.50', '25.00', '31.25', '50.00', '56.25', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('56', 'N', '2019-05-31 13:35:41', '2019-05-31 13:35:41', '0', '0', '35', '41.67', '50.00', '68.75', '43.75', '50.00', '62.50', '是湿滞体质兼有异禀体质', '3,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('57', 'N', '2019-05-31 13:36:33', '2019-05-31 13:36:33', '0', '0', '35', '75.00', '66.67', '43.75', '37.50', '62.50', '50.00', '是气虚体质兼有积滞体质', '2,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('58', 'N', '2019-05-31 13:49:44', '2019-05-31 13:49:44', '0', '0', '11', '50.00', '41.67', '31.25', '50.00', '50.00', '25.00', '是积滞体质兼有心肝火旺体质', '5,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('59', 'N', '2019-05-31 13:50:49', '2019-05-31 13:50:49', '0', '0', '11', '58.33', '50.00', '56.25', '68.75', '50.00', '75.00', '是异禀体质兼有心肝火旺体质', '6,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('60', 'N', '2019-05-31 13:52:34', '2019-05-31 13:52:34', '0', '0', '11', '41.67', '33.33', '37.50', '37.50', '50.00', '25.00', '是积滞体质', '5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('61', 'N', '2019-05-31 14:00:05', '2019-05-31 14:00:05', '0', '0', '11', '50.00', '50.00', '50.00', '50.00', '50.00', '50.00', '是气虚体质兼有积滞体质', '2,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('62', 'N', '2019-05-31 14:00:41', '2019-05-31 14:00:41', '0', '0', '11', '50.00', '50.00', '50.00', '50.00', '50.00', '62.50', '是异禀体质兼有气虚体质', '6,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('63', 'N', '2019-05-31 14:03:52', '2019-05-31 14:03:52', '0', '0', '11', '33.33', '0.00', '0.00', '0.00', '50.00', '50.00', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('64', 'N', '2019-05-31 14:09:05', '2019-05-31 14:09:05', '0', '0', '19', '41.67', '25.00', '25.00', '25.00', '50.00', '56.25', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('65', 'N', '2019-05-31 14:10:12', '2019-05-31 14:10:12', '0', '0', '19', '58.33', '37.50', '62.50', '56.25', '62.50', '56.25', '是积滞体质兼有湿滞体质', '5,3');
INSERT INTO `prec_inquiry_evaluator` VALUES ('66', 'N', '2019-05-31 14:13:13', '2019-05-31 14:13:13', '0', '0', '19', '25.00', '68.75', '62.50', '68.75', '50.00', '43.75', '是气虚体质兼有心肝火旺体质', '2,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('67', 'N', '2019-05-31 14:19:41', '2019-05-31 14:19:41', '0', '0', '19', '33.33', '18.75', '37.50', '43.75', '56.25', '68.75', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('68', 'N', '2019-05-31 14:46:54', '2019-05-31 14:46:54', '0', '0', '19', '66.67', '37.50', '50.00', '50.00', '50.00', '37.50', '是积滞体质兼有湿滞体质', '5,3');
INSERT INTO `prec_inquiry_evaluator` VALUES ('69', 'N', '2019-05-31 14:47:45', '2019-05-31 14:47:45', '0', '0', '19', '25.00', '31.25', '56.25', '68.75', '62.50', '37.50', '是心肝火旺体质兼有积滞体质', '4,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('70', 'N', '2019-05-31 14:59:51', '2019-05-31 14:59:51', '0', '0', '12', '41.67', '33.33', '37.50', '37.50', '56.25', '50.00', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('71', 'N', '2019-05-31 15:12:00', '2019-05-31 15:12:00', '0', '0', '12', '33.33', '100.00', '100.00', '100.00', '100.00', '100.00', '是气虚体质兼有积滞体质', '2,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('72', 'N', '2019-05-31 15:21:06', '2019-05-31 15:21:06', '0', '0', '12', '66.67', '0.00', '0.00', '0.00', '0.00', '0.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('73', 'N', '2019-05-31 15:22:47', '2019-05-31 15:22:47', '0', '0', '12', '58.33', '31.25', '56.25', '75.00', '75.00', '56.25', '是积滞体质兼有心肝火旺体质', '5,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('74', 'N', '2019-05-31 15:34:19', '2019-05-31 15:34:19', '0', '0', '12', '91.67', '31.25', '37.50', '31.25', '87.50', '56.25', '是积滞体质兼有异禀体质', '5,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('75', 'N', '2019-05-31 15:40:32', '2019-05-31 15:40:32', '0', '0', '8', '58.33', '50.00', '31.25', '68.75', '12.50', '43.75', '是心肝火旺体质兼有气虚体质', '4,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('76', 'N', '2019-05-31 15:45:57', '2019-05-31 15:45:57', '0', '0', '8', '50.00', '50.00', '50.00', '50.00', '50.00', '62.50', '是异禀体质兼有气虚体质', '6,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('77', 'N', '2019-05-31 15:53:41', '2019-05-31 15:53:41', '0', '0', '8', '50.00', '81.25', '62.50', '75.00', '43.75', '43.75', '是气虚体质兼有心肝火旺体质', '2,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('78', 'N', '2019-05-31 15:56:44', '2019-05-31 15:56:44', '0', '0', '8', '33.33', '56.25', '56.25', '56.25', '75.00', '81.25', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('79', 'N', '2019-05-31 16:07:22', '2019-05-31 16:07:22', '0', '0', '8', '75.00', '31.25', '25.00', '50.00', '12.50', '37.50', '是心肝火旺体质', '4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('80', 'N', '2019-05-31 16:09:31', '2019-05-31 16:09:31', '0', '0', '8', '25.00', '12.50', '12.50', '6.25', '18.75', '31.25', '倾向是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('81', 'N', '2019-05-31 16:09:53', '2019-05-31 16:09:53', '0', '0', '8', '58.33', '18.75', '25.00', '25.00', '25.00', '43.75', '倾向是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('82', 'N', '2019-05-31 17:05:26', '2019-05-31 17:05:26', '0', '0', '8', '58.33', '25.00', '25.00', '25.00', '25.00', '56.25', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('83', 'N', '2019-05-31 17:08:24', '2019-05-31 17:08:24', '0', '0', '8', '50.00', '25.00', '25.00', '25.00', '25.00', '43.75', '倾向是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('84', 'N', '2019-05-31 17:09:53', '2019-05-31 17:09:53', '0', '0', '8', '50.00', '37.50', '37.50', '37.50', '37.50', '62.50', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('85', 'N', '2019-05-31 17:11:14', '2019-05-31 17:11:14', '0', '0', '8', '50.00', '37.50', '31.25', '31.25', '31.25', '62.50', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('86', 'N', '2019-05-31 17:11:45', '2019-05-31 17:11:45', '0', '0', '8', '58.33', '31.25', '31.25', '43.75', '37.50', '43.75', '倾向是心肝火旺体质兼有异禀体质', '4,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('87', 'N', '2019-05-31 17:14:39', '2019-05-31 17:14:39', '0', '0', '8', '50.00', '43.75', '50.00', '43.75', '56.25', '62.50', '是异禀体质兼有积滞体质', '6,5');
INSERT INTO `prec_inquiry_evaluator` VALUES ('88', 'N', '2019-05-31 17:16:59', '2019-05-31 17:16:59', '0', '0', '8', '66.67', '62.50', '56.25', '68.75', '75.00', '56.25', '是积滞体质兼有心肝火旺体质', '5,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('89', 'N', '2019-05-31 17:18:33', '2019-05-31 17:18:33', '0', '0', '8', '50.00', '81.25', '68.75', '75.00', '68.75', '56.25', '是气虚体质兼有心肝火旺体质', '2,4');
INSERT INTO `prec_inquiry_evaluator` VALUES ('90', 'N', '2019-05-31 17:18:43', '2019-05-31 17:18:43', '0', '0', '2', '58.33', '50.00', '31.25', '68.75', '12.50', '43.75', '是心肝火旺体质兼有气虚体质', '4,2');
INSERT INTO `prec_inquiry_evaluator` VALUES ('91', 'N', '2019-05-31 17:20:05', '2019-05-31 17:20:05', '0', '0', '2', '66.67', '25.00', '31.25', '31.25', '37.50', '50.00', '是异禀体质', '6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('92', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '25.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('93', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '25.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('94', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '0.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('95', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '0.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('96', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '0.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('97', 'N', '2019-06-13 14:38:59', '2019-06-13 14:38:59', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '0.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('98', 'N', '2019-06-13 14:39:03', '2019-06-13 14:39:03', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '25.00', '平和体质', '1');
INSERT INTO `prec_inquiry_evaluator` VALUES ('99', 'N', '2019-06-13 14:39:03', '2019-06-13 14:39:03', '0', '0', '2', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('100', 'N', '2019-06-13 14:39:03', '2019-06-13 14:39:03', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('101', 'N', '2019-06-13 14:39:04', '2019-06-13 14:39:04', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('102', 'N', '2019-06-13 14:39:03', '2019-06-13 14:39:03', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('103', 'N', '2019-06-13 14:39:04', '2019-06-13 14:39:04', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('104', 'N', '2019-06-13 14:39:04', '2019-06-13 14:39:04', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');
INSERT INTO `prec_inquiry_evaluator` VALUES ('105', 'N', '2019-06-13 14:39:04', '2019-06-13 14:39:04', '0', '0', '1', '66.67', '0.00', '0.00', '0.00', '0.00', '37.50', '基本是平和体质兼倾向异禀体质', '1,6');

-- ----------------------------
-- Table structure for prec_inquiry_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_inquiry_info`;
CREATE TABLE `prec_inquiry_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `hospital_code` varchar(16) NOT NULL COMMENT '医院编码',
  `hospital_name` varchar(32) NOT NULL COMMENT '医院名称',
  `hospital_dept_id` bigint(20) NOT NULL COMMENT '医院科室id',
  `hospital_dept_code` varchar(16) NOT NULL COMMENT '医院科室编码',
  `hospital_dept_name` varchar(32) NOT NULL COMMENT '医院科室名称',
  `doctor_id` bigint(20) NOT NULL COMMENT '医生id',
  `doctor_code` varchar(16) NOT NULL COMMENT '医生编码',
  `doctor_name` varchar(32) NOT NULL COMMENT '医生姓名',
  `patient_id` bigint(20) NOT NULL COMMENT '患者id',
  `patient_code` varchar(16) NOT NULL COMMENT '患者编号',
  `patient_name` varchar(32) NOT NULL COMMENT '患者姓名',
  `patient_sex` int(1) DEFAULT NULL COMMENT '患者性别：1男2女',
  `patient_phone` varchar(20) DEFAULT NULL COMMENT '患者联系电话',
  `patient_birthday` datetime DEFAULT NULL COMMENT '患者出生日期',
  `patient_id_no` varchar(30) DEFAULT NULL COMMENT '患者证件号码(病历号)',
  `inquiry_code` varchar(50) NOT NULL COMMENT '就诊序列号',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT '就诊状态（0待接诊，1接诊中，2完成接诊）',
  `type` int(1) DEFAULT NULL COMMENT '分类(1:门诊,2:住院)',
  `data_json` longtext COMMENT '内容JSON字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='问诊记录-主表';

-- ----------------------------
-- Records of prec_inquiry_info
-- ----------------------------
INSERT INTO `prec_inquiry_info` VALUES ('1', 'N', '2019-07-16 10:04:02', '2019-07-23 18:21:39', '0', '0', '1', 'A001', '浙江大学医学院附属邵逸夫医院', '1', 'D01', '全科', '1', 'YS001', '付', '1', '1600', '沈强', '1', null, '1991-01-01 20:04:00', '9696969', '44', '1', '1', '1', null);
INSERT INTO `prec_inquiry_info` VALUES ('2', 'N', '2019-07-18 16:12:40', '2019-07-22 14:07:45', '0', '0', '1', 'A001', '浙江大学医学院附属邵逸夫医院', '1', 'D01', '全科', '1', 'YS001', '付', '1', '1600', '沈强', '1', null, '1991-01-01 20:04:00', '9696969', '1', '1', '1', '1', null);

-- ----------------------------
-- Table structure for prec_inquiry_report
-- ----------------------------
DROP TABLE IF EXISTS `prec_inquiry_report`;
CREATE TABLE `prec_inquiry_report` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `original_image` varchar(256) NOT NULL COMMENT '原图',
  `narrow_image` varchar(256) NOT NULL COMMENT '缩略图',
  `order_num` int(2) DEFAULT NULL COMMENT '图片排序号',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录-治疗报告图片表';

-- ----------------------------
-- Records of prec_inquiry_report
-- ----------------------------

-- ----------------------------
-- Table structure for prec_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `prec_module_detail`;
CREATE TABLE `prec_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '名称',
  `flag` varchar(255) NOT NULL DEFAULT '' COMMENT '特殊标识(1：插入选择症状 2：现病史整体模板截取末尾标识,处理主诉多个病情变化复制功能 3：打开模板(病程变化) 4：插入主诉的主|伴症状业务 5：从主诉-现病史的症状起始位置)',
  `prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '模板前缀内容',
  `suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '模型后置内容',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'questionId',
  `relation_module` bigint(20) DEFAULT NULL COMMENT '关联模板',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='模型明细表';

-- ----------------------------
-- Records of prec_module_detail
-- ----------------------------
INSERT INTO `prec_module_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '36', null, '1', null);
INSERT INTO `prec_module_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '9', null, '1', null);
INSERT INTO `prec_module_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '25', null, '2', null);
INSERT INTO `prec_module_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '30', null, '3', null);
INSERT INTO `prec_module_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '33', null, '4', null);
INSERT INTO `prec_module_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '34', null, '1', null);
INSERT INTO `prec_module_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '', '', '35', null, '2', null);
INSERT INTO `prec_module_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '50', null, '2', null);

-- ----------------------------
-- Table structure for prec_module_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_module_info`;
CREATE TABLE `prec_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '类型(1.症状情况 51.诊疗情况 3.其他病史 52.补充内容)',
  `module_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '(0.通用 1.根据科室划分)',
  `relation_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '关联id',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='模型表';

-- ----------------------------
-- Records of prec_module_info
-- ----------------------------
INSERT INTO `prec_module_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状情况', '1', '0', '0', null);
INSERT INTO `prec_module_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗情况', '51', '0', '0', null);
INSERT INTO `prec_module_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '其他情况', '3', '0', '0', null);
INSERT INTO `prec_module_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补充内容', '52', '0', '0', null);

-- ----------------------------
-- Table structure for prec_physical_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_physical_info`;
CREATE TABLE `prec_physical_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `physical` varchar(50) NOT NULL DEFAULT '' COMMENT '体质名称',
  `description` varchar(500) NOT NULL DEFAULT '' COMMENT '体质描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='体质基本信息表';

-- ----------------------------
-- Records of prec_physical_info
-- ----------------------------
INSERT INTO `prec_physical_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平和体质', '正常体质，从小机体就有较好的自我调节能力，对自然环境适应力强，生长发育良好，智力发育正常，精神状态好，疾病少，恢复快。');
INSERT INTO `prec_physical_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气虚体质', '儿童由于肺脾气虚，皮肤腠理娇嫩，以脾肺功能低下、体弱乏力、易感冒为主要特征的一种体质状态。易患反复呼吸道感染，自汗、泄泻、厌食等疾病。');
INSERT INTO `prec_physical_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '湿滞体质', '由于脾气亏虚，湿浊阻滞，以脾虚湿滞为主要特征的一种体质类型，多见于体型虚胖的儿童，常表现有不爱运动，四肢容易困乏，纳呆便溏。');
INSERT INTO `prec_physical_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肝火旺体质', '由于小儿心常有余，肝常有余，以心肝火盛为主要特征的一种体质状态。易患失眠、疳积、小儿多动症、脾气急躁、口臭、口腔溃疡等疾病。');
INSERT INTO `prec_physical_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '积滞体质', '儿童由于脾胃积滞、食而不化，而影响到脾胃的运化，导致的一种消化不良的综合症状。常出现腹满胀痛，或吐乳，常伴有哭闹、夜寐不安。易患疳积、厌食、便秘、泄泻等疾病，可转化为营养不良。');
INSERT INTO `prec_physical_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异禀体质', '由于遗传因素、环境因素、食物因素、药物因素、免疫因素，或母亲生产时意外因素等先天禀赋不足和禀赋特异性遗传等因素造成的一种体质。包括过敏体质、遗传病体质、胎传体质、免疫缺陷体质。');

-- ----------------------------
-- Table structure for prec_question_detail
-- ----------------------------
DROP TABLE IF EXISTS `prec_question_detail`;
CREATE TABLE `prec_question_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'question_id',
  `description` varchar(100) NOT NULL DEFAULT '' COMMENT '患者界面描述',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `exclusion` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0：不互斥，1：与其他都互斥',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `index_questonid` (`question_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='标签明细表';

-- ----------------------------
-- Records of prec_question_detail
-- ----------------------------
INSERT INTO `prec_question_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '部位1简述', '部位1', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '部位2简述', '部位2', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '部位3', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '部位4', '4', '0', null);
INSERT INTO `prec_question_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '左肩疼痛', '疼痛向左肩背、左臂部放射', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '背部疼痛', '疼痛向腰背部放射', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '颈部疼痛', '疼痛向肩、颈部放射', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '肋部疼痛', '疼痛向肋部放射', '4', '0', null);
INSERT INTO `prec_question_detail` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '呈阵发性疼痛', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '呈持续性疼痛，已持续${input_时间}', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '', '呈一过性疼痛，只痛了一次就不痛了', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '休息后可自行缓解', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '服用硝酸甘油后可缓解', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '其他可缓解方法:${input_}', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '无放射痛', '1', '1', null);
INSERT INTO `prec_question_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '有，疼痛向左肩背、左臂部放射', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '有，疼痛向肩、颈部放射', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '晚上', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '白天', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '晨起', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '活动', '4', '0', null);
INSERT INTO `prec_question_detail` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '不清楚', '5', '0', null);
INSERT INTO `prec_question_detail` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '', '以上都不是：${input_}', '6', '0', null);
INSERT INTO `prec_question_detail` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '', '未经治疗', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '', '手术治疗，${input_}', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '', '药物治疗，${input_}', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '', '其他治疗，${input_}', '4', '0', null);
INSERT INTO `prec_question_detail` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '', '血压：${number_收缩压/舒张压}mmHg', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '', '脉搏：${number_} 次/分', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '', '加重', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '', '缓解', '2', '0', null);
INSERT INTO `prec_question_detail` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '', '无效', '3', '0', null);
INSERT INTO `prec_question_detail` VALUES ('33', 'N', '2019-06-27 13:40:34', '2019-06-27 13:40:34', '91', '91', '51', '测试1-调试', '测试1', '1', '0', null);
INSERT INTO `prec_question_detail` VALUES ('34', 'N', '2019-06-27 13:54:45', '2019-06-27 13:54:45', '91', '91', '52', '测试1-调试', '测试1', '1', '1', null);
INSERT INTO `prec_question_detail` VALUES ('35', 'N', '2019-06-27 13:54:45', '2019-06-27 13:54:45', '91', '91', '52', '测试2-调试', '测试2', '2', '0', null);

-- ----------------------------
-- Table structure for prec_question_info
-- ----------------------------
DROP TABLE IF EXISTS `prec_question_info`;
CREATE TABLE `prec_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `tag_name` varchar(100) NOT NULL DEFAULT '' COMMENT '标签名',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `description` varchar(100) NOT NULL DEFAULT '' COMMENT '患者界面描述，例如：腹泻的描述-拉肚子',
  `sex_type` tinyint(11) NOT NULL DEFAULT '3' COMMENT '性别(1：男 2：女 3：通用)',
  `age_begin` int(11) NOT NULL DEFAULT '0' COMMENT '最小年龄',
  `age_end` int(11) NOT NULL DEFAULT '200' COMMENT '最大年龄',
  `tag_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '标签标识(1：单标签 4：组合标签，胸痛  6：组合标签，既往史)',
  `control_type` tinyint(4) DEFAULT '0' COMMENT '控件类型(0：无类型，默认值 1：单选 2：多选 3：多行输入，生命体征 4：上传图片 5：文本域，自行服药 6：文本框 7：数字文本框)',
  `type` tinyint(4) DEFAULT NULL COMMENT '类型（1：症状 3：其他史 51：诊疗情况 52：补充 ）',
  `item_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '元素类型(0：主标签，例如主诉现病史-症状标签，1：次标签：主诉现病史-其他标签)\r\n',
  `label_prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '前置内容',
  `label_suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '后置内容',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '图片url地址',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag_name,type` (`tag_name`,`type`,`is_deleted`,`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COMMENT='标签基础表';

-- ----------------------------
-- Records of prec_question_info
-- ----------------------------
INSERT INTO `prec_question_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛', '胸痛', '胸口疼痛', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-疼痛部位', '请问您胸痛的部位在哪里？（可多选）', '', '3', '0', '200', '1', '2', '1', '1', '', '', '{imageUrlPrefix}/group1/M01/00/04/wKgC7F0CCWiAQWClAADJ_AlXG1M535.jpg', null);
INSERT INTO `prec_question_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-其他部位', '请问您疼痛是否扩散到其他部位？', '', '3', '0', '200', '1', '1', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-持续时间', '请问您本次疼痛发作的持续时间如何', '', '3', '0', '200', '1', '1', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-缓解方法', '请问您是否有能缓解疼痛的方法', '', '3', '0', '200', '1', '2', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-伴放射痛', '请问您疼痛是否伴有放射痛', '', '3', '0', '200', '1', '2', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-时间', '请问您咳嗽有多长时间了？', '', '3', '0', '200', '1', '6', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-咳嗽加重', '请问您什么情况下感觉咳嗽加重？（可多选）', '', '3', '0', '200', '1', '2', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '既往史', '请问您是否有以下疾病（可多选）？', '', '3', '0', '200', '6', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压', '高血压', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压-时间', '请问您患有高血压多长？', '', '3', '0', '200', '1', '6', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压-治疗方式', '请问您是否采取了什么治疗方式？', '', '3', '0', '200', '1', '1', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血脂', '高血脂', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病', '糖尿病', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冠心病', '冠心病', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑出血', '脑出血', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死', '心肌梗死', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛风', '痛风', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨折', '骨折', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝', '乙肝', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核', '结核', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伤风', '伤风', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎', '肝炎', '', '3', '0', '200', '4', '0', '3', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无', '无', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史', '请问您是否有如下过敏经历？', '', '3', '0', '200', '6', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史-无', '无敏史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史-有青霉素过敏史', '有青霉素过敏史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史-有磺胺类过敏史', '有磺胺类过敏史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史-有蚕豆过敏史', '有蚕豆过敏史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸烟史', '请问您是否有吸烟习惯？', '', '3', '0', '200', '6', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸烟史-无', '无吸烟史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸烟史-有', '有吸烟史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '职业', '请问您的职业是什么', '', '3', '0', '200', '1', '6', '3', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补充内容', '如有其他补充内容请继续输入', '', '3', '0', '200', '1', '6', '52', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生命体征', '请填写您现在的生命体征情况', '', '3', '0', '200', '1', '3', '52', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗过程', '请问是否进行过诊疗？', '', '3', '0', '200', '6', '0', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗过程-未治疗', '未治疗', '', '3', '0', '200', '4', '0', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗过程-自行服药', '自行服药', '', '3', '0', '200', '4', '0', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗过程-医院就医', '医院就医', '', '3', '0', '200', '4', '0', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自行服药-时间', '请问您吃药多久了？', '', '3', '0', '200', '1', '6', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自行服药-药物', '请问您服用的是什么药？', '', '3', '0', '200', '1', '5', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自行服药-用量', '请问您服药的方式、剂量和次数？', '', '3', '0', '200', '1', '7', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自行服药-疗效', '请问您感觉服药后效果如何？', '', '3', '0', '200', '1', '1', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发热', '发热', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹痛', '腹痛', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃疼', '胃疼', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕', '头晕', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛', '头痛', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹泻', '腹泻', '', '3', '0', '200', '4', '0', '1', '0', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '最近一次治疗报告', '最近一次治疗报告', '', '3', '0', '200', '1', '4', '51', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('52', 'N', '2019-06-27 13:54:45', '2019-06-27 13:54:45', '91', '91', '请问您胸痛的部位在哪里？（可多选）', '请问您胸痛的部位在哪里？（可多选）', '请问您胸痛的部位在哪里？（可多选）', '3', '0', '200', '1', '2', '1', '1', '', '', '', null);
INSERT INTO `prec_question_info` VALUES ('53', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史-药物过敏史', '无药物过敏史', '', '3', '0', '200', '4', '0', '3', '1', '', '', '', null);

-- ----------------------------
-- Table structure for prec_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `prec_question_mapping`;
CREATE TABLE `prec_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `parent_question` bigint(20) DEFAULT NULL COMMENT '上级question',
  `son_question` bigint(20) DEFAULT NULL COMMENT '下级question',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `exclusion_type` int(11) NOT NULL DEFAULT '0' COMMENT '互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `parent_question` (`parent_question`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8 COMMENT='标签映射表';

-- ----------------------------
-- Records of prec_question_mapping
-- ----------------------------
INSERT INTO `prec_question_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2', '1', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '3', '2', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '4', '3', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '5', '4', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '6', '5', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '7', '6', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '8', '7', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('8', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '9', '8', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '11', '2', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '12', '3', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '13', '4', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '14', '5', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '15', '6', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '16', '7', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '17', '8', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '18', '9', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '19', '10', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '20', '11', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '21', '12', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '22', '13', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '23', '14', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '24', '0', '1', null);
INSERT INTO `prec_question_mapping` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '10', '1', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '26', '1', '1', null);
INSERT INTO `prec_question_mapping` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '27', '3', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '28', '4', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '29', '5', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '40', '1', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '41', '2', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '42', '3', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '43', '4', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '37', '1', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '38', '2', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '39', '3', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('35', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '53', '2', '0', null);
INSERT INTO `prec_question_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '31', '10', '1', null);
INSERT INTO `prec_question_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '32', '20', '0', null);
