use `sys-tran`;

/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50723
Source Host           : 192.168.2.236:3306
Source Database       : sys-tran

Target Server Type    : MYSQL
Target Server Version : 50723
File Encoding         : 65001

Date: 2019-07-15 10:57:26
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tran_sys_set
-- ----------------------------
DROP TABLE IF EXISTS `tran_sys_set`;
CREATE TABLE `tran_sys_set` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) DEFAULT NULL COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) DEFAULT NULL COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `sys_type` int(11) DEFAULT NULL COMMENT '访问的系统类型(1, "user-service"),(2, "diagbotman-service"),(3, "uaa-service"),(4, "log-service"),(5, "bi-service"),(6, "ltapi-service"),(7, "feedback-service"),(8, "icss-old-service"),(9, "triage-service"),(10, "appkey"),(11, "icss-service"),(12, "icssman-service"),(13, "knowledgeman-service"),(14, "tran-service"),(15, "aipt-service"),(16, "data-service"),(17, "prec-service");',
  `name` varchar(100) DEFAULT NULL COMMENT '配置名称',
  `code` varchar(100) DEFAULT NULL COMMENT '配置编码',
  `value` int(11) DEFAULT NULL COMMENT '配置值',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='医院所有配置信息';

-- ----------------------------
-- Records of tran_sys_set
-- ----------------------------
INSERT INTO `tran_sys_set` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '化验导入', 'import_way_lis', '3', 'ICSS化验导入方式(0默认不导入，1本地导入，2检查系统导入，3本地导入和检查系统导入)');
INSERT INTO `tran_sys_set` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '是否对接', 'connect', '0', '是否对接（0-不对接，1-对接）');
INSERT INTO `tran_sys_set` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '辅检导入', 'import_way_pacs', '2', 'ICSS化验导入方式(0默认不导入，1本地导入，2检查系统导入，3本地导入和检查系统导入)');
INSERT INTO `tran_sys_set` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '儿童体质测试', 'constitution_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '症状情况', 'symptoms_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '诊疗情况', 'diagnosis_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '其他病史', 'omhistory_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '补充内容', 'replenish_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '急症科病例', 'general_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '推荐诊断', 'diagnose_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '问诊症状', 'inquiry_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '体格检查', 'health_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '病情提示', 'illness_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '治疗方案', 'cure_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '检验检查', 'lispacs_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '推荐诊断', 'diagnose_no', '7', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '问诊症状', 'inquiry_no', '1', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '体格检查', 'health_no', '2', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '病情提示', 'illness_no', '3', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '治疗方案', 'cure_no', '6', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '检验检查', 'lispacs_no', '5', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '是否对接', 'connect', '1', '是否对接（0-不对接，1-对接）');
INSERT INTO `tran_sys_set` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '急诊', 'emergency_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '6', '是否对接', 'connect', '1', '是否对接（0-不对接，1-对接）');
INSERT INTO `tran_sys_set` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '警惕诊断', 'vigilant_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '警惕诊断', 'vigilant_no', '3', '显示顺序');
