use `med`;

-- ----------------------------
-- Table structure for kl_diagnose
-- ----------------------------
DROP TABLE IF EXISTS `kl_diagnose`;
CREATE TABLE `kl_diagnose` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1)  NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20)  NOT NULL DEFAULT '' COMMENT '创建人姓名',
  `modifier` varchar(20)  NOT NULL DEFAULT '' COMMENT '修改人姓名',
  `dis_name` varchar(255)  NOT NULL COMMENT '诊断名称',
  `has_question` char(1)  NOT NULL DEFAULT '0' COMMENT '是否问题词',
  `neo_update` datetime DEFAULT NULL COMMENT '记录更新图谱的时间,如果时间是1970年则表示纪录未修改',
  `remark` varchar(255)  NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8  COMMENT='诊断依据表';

-- ----------------------------
-- Table structure for kl_diagnose_detail
-- ----------------------------
DROP TABLE IF EXISTS `kl_diagnose_detail`;
CREATE TABLE `kl_diagnose_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1)  NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20)  NOT NULL DEFAULT '' COMMENT '创建人姓名',
  `modifier` varchar(20)  NOT NULL DEFAULT '' COMMENT '修改人姓名',
  `diagnose_id` bigint(20) NOT NULL COMMENT '诊断依据表主键',
  `dis_name` varchar(255)   NOT NULL DEFAULT '' COMMENT '诊断名称',
  `type` tinyint(4) DEFAULT NULL COMMENT '类型(1：症状，2：体征，3：化验，4：辅检，5：鉴别诊断，6：病史，7：诱因，8：病程，9：其他，91：确诊，92：拟诊，93：警惕)',
  `code` varchar(20)   NOT NULL DEFAULT '' COMMENT '编码',
  `standard` varchar(255)   NOT NULL DEFAULT '' COMMENT '标准词',
  `relation` varchar(500)   NOT NULL DEFAULT '' COMMENT '关联词',
  `result` varchar(255)   NOT NULL DEFAULT '' COMMENT '结果',
  `formula` varchar(255)   NOT NULL DEFAULT '' COMMENT '公式',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `verify_code` varchar(255)   NOT NULL DEFAULT '' COMMENT '校验编码错误提示',
  `verify_standard` varchar(255)   NOT NULL DEFAULT '' COMMENT '校验标准词错误提示',
  `verify_relation` varchar(255)   NOT NULL DEFAULT '' COMMENT '校验关联词错误提示',
  `verify_result` varchar(255)   NOT NULL DEFAULT '' COMMENT '校验结果错误提示',
  `verify_formula` varchar(255)   NOT NULL DEFAULT '' COMMENT '校验公式错误提示',
  PRIMARY KEY (`id`),
  KEY `diagnose_id` (`diagnose_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8  COMMENT='诊断依据明细表';

-- ----------------------------
-- Table structure for kl_diagnose_question
-- ----------------------------
DROP TABLE IF EXISTS `kl_diagnose_question`;
CREATE TABLE `kl_diagnose_question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1)  NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20)  NOT NULL DEFAULT '' COMMENT '创建人姓名',
  `modifier` varchar(20)  NOT NULL DEFAULT '' COMMENT '修改人姓名',
  `diagnose_id` bigint(20) NOT NULL COMMENT '诊断依据表主键',
  `dis_name` varchar(255)   NOT NULL DEFAULT '' COMMENT '诊断名称',
  `type` tinyint(4) DEFAULT NULL COMMENT '问题词类型(0：诊断，1：症状，2：体征，3：化验，4：辅检，5：鉴别诊断，6：病史，7：诱因，8：病程，9：其他，91：确诊，92：拟诊，93：警惕)',
  `question_name` varchar(255)   NOT NULL DEFAULT '' COMMENT '问题词名称',
  `question_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '类型（1：编码，2：标准词，3：关联词，4：结果，5：诊断名称）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  PRIMARY KEY (`id`),
  KEY `diagnose_id` (`diagnose_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8  COMMENT='诊断依据问题词表';
