use `med`;
-- ----------------------------
-- Table structure for kl_version_detail
-- ----------------------------
DROP TABLE IF EXISTS `kl_version_detail`;
CREATE TABLE `kl_version_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `version_id` bigint(30) DEFAULT NULL COMMENT '版本主表id',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `description` text COMMENT '描述',
  `order_no` varchar(5) DEFAULT NULL COMMENT '排序号',
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COMMENT='版本详情(关于)';

-- ----------------------------
-- Table structure for kl_version_info
-- ----------------------------
DROP TABLE IF EXISTS `kl_version_info`;
CREATE TABLE `kl_version_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `product_type` int(11) NOT NULL DEFAULT '0' COMMENT '产品类型（1：云平台内部；2：云平台外部；3：icss；4：智能分诊；5：数据服务模式；6：智能预问诊）',
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `refresh_time` date DEFAULT NULL,
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COMMENT='版本信息(关于)';

INSERT INTO `med`.`kl_version_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `refresh_time`, `status`, `remark`) SELECT `id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `refresh_time`, `status`, `remark` FROM `sys-icss`.`icss_version_info`;

UPDATE `med`.`kl_version_info` SET `product_type` = 3;

INSERT INTO `med`.`kl_version_detail` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `version_id`, `title`, `description`, `order_no`, `status`, `remark`) SELECT `id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `version_id`, `title`, `description`, `order_no`, `status`, `remark` FROM `sys-icss`.`icss_version_detail`;

UPDATE `kl_version_info`
SET `status` = 0
WHERE
	id NOT IN (
		SELECT
			b.id
		FROM
			(
				SELECT
					max(a.id) AS id,
					product_type
				FROM
					`kl_version_info` a
				GROUP BY
					product_type
			) b
	);

use `sys-icss`;
DROP TABLE IF EXISTS `icss_version_info`;
DROP TABLE IF EXISTS `icss_version_detail`;
