use `sys-prec`;
ALTER TABLE `prec_inquiry_info`
ADD COLUMN `son_hospital_id`  bigint(20) NULL DEFAULT 0 COMMENT '子医院id' AFTER `hospital_name`,
ADD COLUMN `son_hospital_code`  varchar(16) NULL DEFAULT '' COMMENT '子医院code' AFTER `son_hospital_id`,
ADD COLUMN `son_hospital_name`  varchar(32) NULL DEFAULT '' COMMENT '子医院名称' AFTER `son_hospital_code`,
ADD COLUMN `is_quoted`  int(1) NULL DEFAULT 0 COMMENT '是否被引用：0-未引用；1-已引用' AFTER `data_json`;

ALTER TABLE `prec_question_info` ADD COLUMN `flag` varchar(20) NOT NULL DEFAULT ''
 COMMENT '类型标记(1：时间类型，2：诱因类型，3：伴随类型)' AFTER `spec_flag`;
 update `prec_question_info` set flag = 1 where is_deleted = 'N' and type = 1 and control_type = 9;

DROP TABLE IF EXISTS `prec_inquiry_quote`;
 CREATE TABLE `prec_inquiry_quote` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '引用问诊id',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `hospital_code` varchar(16) NOT NULL COMMENT '医院编码',
  `hospital_name` varchar(32) NOT NULL COMMENT '医院名称',
  `son_hospital_id` bigint(20) DEFAULT '0' COMMENT '子医院id',
  `son_hospital_code` varchar(16) DEFAULT '' COMMENT '子医院code',
  `son_hospital_name` varchar(32) DEFAULT '' COMMENT '子医院名称',
  `hospital_dept_id` bigint(20) NOT NULL COMMENT '医院科室id',
  `hospital_dept_code` varchar(16) NOT NULL COMMENT '医院科室编码',
  `hospital_dept_name` varchar(32) NOT NULL COMMENT '医院科室名称',
  `doctor_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医生id',
  `doctor_code` varchar(16) NOT NULL DEFAULT '' COMMENT '医生编码',
  `doctor_name` varchar(32) NOT NULL DEFAULT '' COMMENT '医生姓名',
  `patient_id` bigint(20) NOT NULL COMMENT '患者id',
  `patient_code` varchar(16) NOT NULL COMMENT '患者编号',
  `patient_name` varchar(32) NOT NULL COMMENT '患者姓名',
  `patient_sex` int(1) DEFAULT NULL COMMENT '患者性别：1男2女',
  `patient_phone` varchar(20) DEFAULT NULL COMMENT '患者联系电话',
  `patient_birthday` datetime DEFAULT NULL COMMENT '患者出生日期',
  `patient_id_no` varchar(30) DEFAULT NULL COMMENT '患者证件号码(病历号)',
  `inquiry_code` varchar(50) NOT NULL DEFAULT '' COMMENT '就诊序列号',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT '就诊状态（0待接诊，1接诊中，2完成接诊）',
  `type` int(1) DEFAULT NULL COMMENT '分类(1:门诊,2:住院)',
  `data_json` longtext COMMENT '内容JSON字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录-主表';

ALTER TABLE `prec_inquiry_info`
MODIFY COLUMN `doctor_id`  bigint(20) NOT NULL DEFAULT 0 COMMENT '医生id' AFTER `hospital_dept_name`,
MODIFY COLUMN `doctor_code`  varchar(16) NOT NULL DEFAULT '' COMMENT '医生编码' AFTER `doctor_id`,
MODIFY COLUMN `doctor_name`  varchar(32) NOT NULL DEFAULT '' COMMENT '医生姓名' AFTER `doctor_code`,
MODIFY COLUMN `inquiry_code`  varchar(50) NOT NULL DEFAULT '' COMMENT '就诊序列号' AFTER `patient_id_no`;





