use `sys-log`;

/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50725
Source Host           : 192.168.2.236:3306
Source Database       : sys-log

Target Server Type    : MYSQL
Target Server Version : 50725
File Encoding         : 65001

Date: 2019-12-03 13:24:14
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for log_bi_record
-- ----------------------------
DROP TABLE IF EXISTS `log_bi_record`;
CREATE TABLE `log_bi_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) NOT NULL DEFAULT '' COMMENT '医院编码',
  `doctor_code` varchar(16) NOT NULL DEFAULT '' COMMENT '医院医生编码',
  `dept_code` varchar(16) NOT NULL DEFAULT '' COMMENT '医院科室编码',
  `patient_code` varchar(16) NOT NULL DEFAULT '' COMMENT '医院患者编码',
  `product_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '产品类型（1：云平台内部；2：云平台外部；3：icss；4：智能分诊；5：页面推送模式；6：智能预问诊；7：数据引擎模式）',
  `code` varchar(50) NOT NULL DEFAULT '' COMMENT '功能编码',
  `params` text COMMENT '输入参数',
  `result` text COMMENT '返回参数',
  `exec_time` varchar(16) NOT NULL DEFAULT '0' COMMENT '响应时间',
  `success_flag` int(11) NOT NULL DEFAULT '1' COMMENT '调用是否成功（0：失败；1：成功）',
  `source` int(11) NOT NULL DEFAULT '1' COMMENT '来源（1：后台接口-无处理；2：后台接口-结果特殊处理；3：前端）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='BI日志表';

-- ----------------------------
-- Table structure for log_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `log_dictionary_info`;
CREATE TABLE `log_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `product_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '产品类型（1：云平台内部；2：云平台外部；3：icss；4：智能分诊；5：页面推送模式；6：智能预问诊；7：数据引擎模式）',
  `code` varchar(50) NOT NULL DEFAULT '' COMMENT '功能编码',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='BI字典表';
