CREATE DATABASE  `sys-mrqc` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;

use `sys-mrqc`;

DROP TABLE IF EXISTS `mrqc_token`;
CREATE TABLE `mrqc_token` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1)  NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20)  NOT NULL DEFAULT '' COMMENT '创建人姓名',
  `modifier` varchar(20)  NOT NULL DEFAULT '' COMMENT '修改人姓名',
  `server` varchar(255)  NOT NULL DEFAULT '' COMMENT '服务商',
  `hospital` varchar(255)  NOT NULL DEFAULT '' COMMENT '医院',
  `cpu` varchar(255)  NOT NULL DEFAULT '' COMMENT 'cpu',
  `mainboard` varchar(255)  NOT NULL DEFAULT '' COMMENT '主板信息',
  `disk` varchar(255)  NOT NULL DEFAULT '' COMMENT '硬盘信息',
  `ip` varchar(255)  NOT NULL DEFAULT '' COMMENT 'ip',
  `remain_day` int  NOT NULL DEFAULT 0 COMMENT '剩余使用天数',
  `valid_time` int  NOT NULL DEFAULT 0 COMMENT '有效时间(分钟)',
  `login_key` varchar(255)  NOT NULL DEFAULT '' COMMENT '登录key',
  `url` varchar(255)  NOT NULL DEFAULT '' COMMENT '文件路径',
  `content` text  COMMENT '拷贝内容',
  `remark` varchar(255)  NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8  COMMENT='病历质控token信息';
