use `med`;

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for kl_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `kl_dictionary_info`;
CREATE TABLE `kl_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COMMENT='icss字典表';

-- ----------------------------
-- Records of kl_dictionary_info
-- ----------------------------
INSERT INTO `kl_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '文本模块', '0', '1', '1', '量表结构维护-文本模块');
INSERT INTO `kl_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '推送模块', '1', '1', '2', '量表结构维护-推送模块');
INSERT INTO `kl_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'Ⅰ', 'Ⅰ', '1', '1', '疾病分级-Ⅰ级');
INSERT INTO `kl_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'Ⅱ', 'Ⅱ', '1', '2', '疾病分级-Ⅱ级');
INSERT INTO `kl_dictionary_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '全部', '0', '2', '1', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '症状', '1', '2', '30', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '诊断', '18', '2', '10', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '化验', '12', '2', '40', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '辅检', '16', '2', '50', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '药品', '10', '2', '20', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '手术', '25', '2', '60', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '量表', '48', '2', '70', '静态知识检索类型');
INSERT INTO `kl_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '全部', '0', '2', '1', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '症状', '1', '2', '30', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '诊断', '18', '2', '10', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '化验', '12', '2', '40', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '辅检', '16', '2', '50', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品', '10', '2', '20', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '手术', '25', '2', '60', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('20', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '诊疗指南（门诊）', '72', '2', '80', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('21', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '诊疗指南（住院）', '73', '2', '90', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '护理', '74', '2', '100', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '临床路径', '75', '2', '110', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '体征', '33', '2', '120', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '血液', '76', '2', '130', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '麻醉', '77', '2', '140', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '监护', '78', '2', '150', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '中医', '79', '2', '160', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '入科流程', '80', '2', '170', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '审查规则', '81', '2', '180', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '电子书', '82', '2', '190', '静态知识检索类型-海南');
INSERT INTO `kl_dictionary_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '视频', '83', '2', '200', '静态知识检索类型-海南');

-- ----------------------------
-- Table structure for kl_lexicon
-- ----------------------------
DROP TABLE IF EXISTS `kl_lexicon`;
CREATE TABLE `kl_lexicon` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(16) DEFAULT NULL COMMENT '类型名称',
  `is_has_common` int(1) NOT NULL DEFAULT '0' COMMENT '是否有通用扩展：0-无，1-有',
  PRIMARY KEY (`id`),
  UNIQUE KEY `NAME_INDEX` (`name`) USING BTREE COMMENT '名称全表唯一'
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8 COMMENT='术语分类表';

-- ----------------------------
-- Records of kl_lexicon
-- ----------------------------
INSERT INTO `kl_lexicon` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状', '1');
INSERT INTO `kl_lexicon` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间', '0');
INSERT INTO `kl_lexicon` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '部位', '1');
INSERT INTO `kl_lexicon` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性质', '1');
INSERT INTO `kl_lexicon` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诱因', '0');
INSERT INTO `kl_lexicon` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度', '0');
INSERT INTO `kl_lexicon` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴性', '0');
INSERT INTO `kl_lexicon` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阳性', '0');
INSERT INTO `kl_lexicon` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单位', '0');
INSERT INTO `kl_lexicon` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品通用名', '1');
INSERT INTO `kl_lexicon` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '治疗', '1');
INSERT INTO `kl_lexicon` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验套餐', '1');
INSERT INTO `kl_lexicon` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验明细', '1');
INSERT INTO `kl_lexicon` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验结果', '0');
INSERT INTO `kl_lexicon` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检套餐', '1');
INSERT INTO `kl_lexicon` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检项目', '1');
INSERT INTO `kl_lexicon` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检结果', '1');
INSERT INTO `kl_lexicon` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断', '1');
INSERT INTO `kl_lexicon` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '连接词', '0');
INSERT INTO `kl_lexicon` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方位', '0');
INSERT INTO `kl_lexicon` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '亲属', '0');
INSERT INTO `kl_lexicon` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '婚姻', '1');
INSERT INTO `kl_lexicon` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食品', '0');
INSERT INTO `kl_lexicon` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '历史', '0');
INSERT INTO `kl_lexicon` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术', '1');
INSERT INTO `kl_lexicon` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状表现', '1');
INSERT INTO `kl_lexicon` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数字量词', '0');
INSERT INTO `kl_lexicon` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数字', '0');
INSERT INTO `kl_lexicon` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品大类', '1');
INSERT INTO `kl_lexicon` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品小类', '1');
INSERT INTO `kl_lexicon` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检大类', '1');
INSERT INTO `kl_lexicon` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检小类', '1');
INSERT INTO `kl_lexicon` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征指标', '1');
INSERT INTO `kl_lexicon` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征指标值', '1');
INSERT INTO `kl_lexicon` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征结果', '0');
INSERT INTO `kl_lexicon` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '地点', '0');
INSERT INTO `kl_lexicon` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '职业', '0');
INSERT INTO `kl_lexicon` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人史', '1');
INSERT INTO `kl_lexicon` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人史描述', '1');
INSERT INTO `kl_lexicon` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间描述', '0');
INSERT INTO `kl_lexicon` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状指标', '1');
INSERT INTO `kl_lexicon` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医用耗材', '0');
INSERT INTO `kl_lexicon` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度量词', '0');
INSERT INTO `kl_lexicon` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '其他', '1');
INSERT INTO `kl_lexicon` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除', '0');
INSERT INTO `kl_lexicon` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表项', '1');
INSERT INTO `kl_lexicon` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室', '0');
INSERT INTO `kl_lexicon` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表', '0');
INSERT INTO `kl_lexicon` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不良反应', '1');
INSERT INTO `kl_lexicon` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '核心指标', '1');
INSERT INTO `kl_lexicon` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疾病类型(慢病|急诊)', '1');
INSERT INTO `kl_lexicon` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '部位区域', '1');
INSERT INTO `kl_lexicon` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品化学名', '1');
INSERT INTO `kl_lexicon` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品商品名', '1');
INSERT INTO `kl_lexicon` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '既往疾病史', '1');
INSERT INTO `kl_lexicon` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外伤史', '1');
INSERT INTO `kl_lexicon` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术史', '1');
INSERT INTO `kl_lexicon` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血史', '1');
INSERT INTO `kl_lexicon` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '传染病史', '1');
INSERT INTO `kl_lexicon` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不良习惯', '1');
INSERT INTO `kl_lexicon` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冶游史', '1');
INSERT INTO `kl_lexicon` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '婚育史', '1');
INSERT INTO `kl_lexicon` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生育史', '1');
INSERT INTO `kl_lexicon` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族史', '1');
INSERT INTO `kl_lexicon` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏史', '1');
INSERT INTO `kl_lexicon` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药物过敏史', '1');
INSERT INTO `kl_lexicon` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族相关传染病史', '1');
INSERT INTO `kl_lexicon` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复诊', '0');
INSERT INTO `kl_lexicon` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据条件', '0');
INSERT INTO `kl_lexicon` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断依据其他', '1');
INSERT INTO `kl_lexicon` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检根目录', '0');
INSERT INTO `kl_lexicon` VALUES ('72', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗指南（门诊）', '0');
INSERT INTO `kl_lexicon` VALUES ('73', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊疗指南（住院）', '0');
INSERT INTO `kl_lexicon` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '护理', '0');
INSERT INTO `kl_lexicon` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '临床路径', '0');
INSERT INTO `kl_lexicon` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液', '0');
INSERT INTO `kl_lexicon` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '麻醉', '0');
INSERT INTO `kl_lexicon` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '监护', '0');
INSERT INTO `kl_lexicon` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中医', '0');
INSERT INTO `kl_lexicon` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入科流程', '0');
INSERT INTO `kl_lexicon` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '审查规则', '0');
INSERT INTO `kl_lexicon` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '电子书', '0');
INSERT INTO `kl_lexicon` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视频', '0');
