package com.diagbot.listener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.netflix.eureka.server.event.EurekaInstanceCanceledEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 服务挂掉监听
 * @author: gaodm
 * @time: 2018/8/21 15:40
 */
@Configuration
public class InstanceCancelListener implements ApplicationListener<EurekaInstanceCanceledEvent> {
    private static final Logger logger = LoggerFactory.getLogger(InstanceCancelListener.class);

    @Override
    public void onApplicationEvent(EurekaInstanceCanceledEvent event) {
        logger.info("服务:{}挂了", event.getAppName());
    }
}
