package com.diagbot.config.redislimiter;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.cloud.gateway.support.ConfigurationService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.data.redis.core.ReactiveRedisTemplate;
import org.springframework.data.redis.core.script.RedisScript;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/12/26 15:08
 */
@Configuration
public class SysKeyResolverConfigurer {

    @Bean
    public SysKeyResolver sysKeyResolver() {
        return new SysKeyResolver();
    }

    //使用自己定义的限流类
    @Bean
    @Primary
    SystemRedisRateLimiter systemRedisRateLimiter(
            ReactiveRedisTemplate<String, String> redisTemplate,
            @Qualifier(SystemRedisRateLimiter.REDIS_SCRIPT_NAME) RedisScript<List<Long>> script,
            ConfigurationService configurationService) {
        return new SystemRedisRateLimiter(redisTemplate, script, configurationService);
    }
}
