package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 清理缓存控制层
 * @Author:gaodm
 * @time: 2019/5/22 15:07
 */
@RestController
@RequestMapping("/cache")
@Api(value = "缓存相关API", tags = { "缓存相关API" })
@SuppressWarnings("unchecked")
@Slf4j
public class CacheController {
    private static final String SERVICEFILTER = "ServiceFilter";

    @ApiOperation(value = "清空缓存[by:gaodm]",
            notes = "")
    @GetMapping("/clear")
    @CacheEvict(cacheNames = SERVICEFILTER, allEntries = true)
    public RespDTO<Boolean> clearCache() {
        log.info("清理了拦截产品线缓存！");
        return RespDTO.onSuc(true);
    }
}