package com.diagbot.dto;

import java.util.Date;
import java.util.List;

import com.diagbot.entity.InquiryDetail;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="历史病历列表接口出参")
@Getter
@Setter
public class HisInquiryDTO{
	
	/**
	 * 病历id
	 */
	@ApiModelProperty(value="病历id")
	private Long id;
	
    /**
     * 门诊号
     */
	@ApiModelProperty(value="门诊号")
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
	@ApiModelProperty(value="就诊状态（0待接诊，1接诊中，2完成接诊）")
    private Integer regVisitedState;

    /**
     * 分类(1:门诊,2:住院)
     */
	@ApiModelProperty(value="分类(1:门诊,2:住院)")
    private Integer type;

    /**
     * 诊断
     */
	@ApiModelProperty(value="诊断")
    private String diagnose;

    /**
     * 类型：0：结构化 1：文本模式
     */
	@ApiModelProperty(value="类型：0：结构化 1：文本模式")
    private Integer sign;

//    /**
//     * 内容JSON字符串
//     */
//	@ApiModelProperty(value="内容JSON字符串")
//    private String dataJson;
	
	
	/**
	 * 就诊日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value="就诊日期")
	private Date inquiryDate;
	
	/**
	 * 就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
	@ApiModelProperty(value="就诊时间")
	private Date inquiryTime;
	
    /**
     * 医院科室名称
     */
	@ApiModelProperty(value="医院科室名称")
    private String hospitalDeptName;
    
    /**
     * 医生姓名
     */
	@ApiModelProperty(value="医生姓名")
    private String doctorName;
    
    /**
     * 病人姓名
     */
	@ApiModelProperty(value="病人姓名")
    private String patientName;
	
    /**
     * 病人性别
     */
	@ApiModelProperty(value="病人性别")
    private String patientSex;
	
    /**
     * 病人年龄
     */
	@ApiModelProperty(value="病人年龄")
    private Integer patientAge;
	
    /**
     * 病人证件号码
     */
	@ApiModelProperty(value="病人证件号码")
    private String patientIdNo;
	
	/**
     * 病历明细
     */
	@ApiModelProperty(value="病历明细")
	private List<InquiryDetail> detailList;
	
	
}
