package com.diagbot.dto;

import java.util.List;

import com.diagbot.entity.InquiryDetail;
import com.diagbot.entity.InquiryEvaluation;
import com.diagbot.entity.InquiryScale;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="问诊记录回显接口出参")
@Getter
@Setter
public class ReadInquiryDTO{
	
	/**
	 * 内容JSON字符串
	 */
	@ApiModelProperty(value="内容JSON字符串")
	private String dataJson;
	
    /**
     * 类型：0：结构化 1：文本模式
     */
	@ApiModelProperty(value="类型：0：结构化 1：文本模式")
    private Integer sign;
	
	private List<InquiryDetail> detailList;
	
	
	/**
     * 问诊记录用药明细
     */
	@ApiModelProperty(value="问诊记录用药明细")
	private List<ReadInquiryDrugDTO> drugList;
	
	/**
     * 问诊记录评估结果
     */
	@ApiModelProperty(value="问诊记录评估结果")
	private InquiryEvaluation inquiryEvaluation;
	
	/**
     * 问诊记录评估结果量表明细
     */
	@ApiModelProperty(value="问诊记录评估结果量表明细")
	private List<InquiryScale> InquiryScaleList;
	
}
