package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("icss_question_info")
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 内容
     */
    private String name;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
     */
    private Integer type;

    /**
     * 控件类型
     */
    private Integer controlType;


    /**
     * 检索类型
     */
    private Integer subType;

    /**
     * 元素类型
     */
    private Integer itemType;

    /**
     * 标签标识
     */
    private Integer tagType;


    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 最小值
     */
    private BigDecimal minValue;

    /**
     * 最大值
     */
    private BigDecimal maxValue;

    /**
     * 是否显示 + (0：不显示 1 ：显示)
     */
    private Integer copyType;


    /**
     * 文本生成规则
     */
    private Integer textGenerate;

    /**
     * 复制文字
     */
    private String showAdd;

    /**
     * 公式编码
     */
    private String formulaCode;

    /**
     * 是否显示 i
     */
    private Integer showInfo;

    /**
     * 标签后的连接符
     */
    private String joint;

    /**
     * 特殊标记（0：没有标记，1：主诉高亮，2：诱因记录）
     */
    private Integer specFlag;

    /**
     * 开启默认选中标记(0：不开启，1：开启)
     */
    private Integer selFlag;

    /**
     * 备注
     */
    private String remark;


}
