package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 模板文件夹表
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@TableName("icss_template_folder")
@Getter
@Setter
public class TemplateFolder implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人姓名
     */
    private String creator;

    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 名称
     */
    private String name;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 模板类型（个人1，管理员2）
     */
    private Integer templateType;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

}
