package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 计算类型
 * @Author:zhaops
 * @time: 2019/4/15 13:57
 */
public enum CalculateTypeEnum implements KeyedNamed {
    Scale(1, "量表计算"),
    Formula(11, "公式计算");

    @Setter
    private int key;

    @Setter
    private String name;

    CalculateTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static CalculateTypeEnum getEnum(int key) {
        for (CalculateTypeEnum item : CalculateTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        CalculateTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}