package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/7 14:06
 */
public enum ConceptTypeEnum implements KeyedNamed {
    Symptom(1, "症状"),
    Past(2, "既往史"),
    Other(3, "其他史"),
    Vital(4, "查体"),
    Lis(5, "化验"),
    Pacs(6, "辅检"),
    Disease(7, "诊断"),
    Drug(8, "药品"),
    Drug_Category_Big(9, "药品分类-大类"),
    SIDE_EFFECTS(10, "不良反应"),
    Drug_Category_Small(11, "药品分类-小类"),
    LIS_TABLES(12, "化验公表项"),
    DEPARTMENT(15, "科室"),
    Scale(21, "量表"),
    Indication(22, "指标"),
    OPERATION(25, "手术"),
    LisDetail(51, "化验明细");


    @Setter
    private int key;

    @Setter
    private String name;

    ConceptTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ConceptTypeEnum getEnum(int key) {
        for (ConceptTypeEnum item : ConceptTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ConceptTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}