package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 静态知识搜索类型枚举
 * @author: gaodm
 * @time: 2019/5/6 13:58
 */
public enum StaticSearchTypeEnum implements KeyedNamed {
    SYMPTOM(1, "症状"),
    DRUGS(10, "药品"),
    LIS_PACKAGE(12, "化验"),
    PACS_ITEMS(16, "辅检"),
    DIAGNOSIS(18, "诊断"),
    OPERATION(25, "手术"),
    GAUGE(48, "量表");

    @Setter
    private int key;

    @Setter
    private String name;

    StaticSearchTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static StaticSearchTypeEnum getEnum(int key) {
        for (StaticSearchTypeEnum item : StaticSearchTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        StaticSearchTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

