package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.HospitalCodeSetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 医院管理员权限验证
 * @author: gaodm
 * @time: 2020/1/9 18:16
 */
@Component
public class AdminCheckFacade {
    @Autowired
    private TranServiceClient tranServiceClient;

    /**
     * @param hospitalCodeSetVO
     * @return
     */
    public boolean getadminCheck(HospitalCodeSetVO hospitalCodeSetVO) {
        hospitalCodeSetVO.setShowError(true);
        RespDTO<Boolean> datas = tranServiceClient.getAdminCheckout(hospitalCodeSetVO);
        RespDTOUtil.respNGDeal(datas, datas.msg);
        return datas.data;
    }
}
