package com.diagbot.facade;

import com.diagbot.entity.BuriedSomeStatistical;
import com.diagbot.service.BuriedSomeStatisticalService;
import com.diagbot.service.impl.BuriedSomeStatisticalServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.BuriedSomeStatisticalVO;
import com.diagbot.vo.Taggeds;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2018年12月3日 上午9:24:35
 */
@Component
public class BuriedSomeStatisticalFacade extends BuriedSomeStatisticalServiceImpl {
    @Autowired
    @Qualifier("buriedSomeStatisticalServiceImpl")
    private BuriedSomeStatisticalService buriedSomeStatisticalService;

    /**
     * 批量保存
     *
     * @param buriedSomeStatisticalVO
     * @return
     */
    public boolean saveBuriedSomeStatistical(BuriedSomeStatisticalVO buriedSomeStatisticalVO) {
        boolean res = false;
        if (null != buriedSomeStatisticalVO
                && ListUtil.isNotEmpty(buriedSomeStatisticalVO.getTaggeds())) {
            List<BuriedSomeStatistical> buriedList = new ArrayList<BuriedSomeStatistical>();
            for (Taggeds taggedsNew : buriedSomeStatisticalVO.getTaggeds()) {
                BuriedSomeStatistical buriedData = new BuriedSomeStatistical();
                buriedData.setCreator(buriedSomeStatisticalVO.getDoctorId().toString());
                buriedData.setDoctorId(buriedSomeStatisticalVO.getDoctorId());
                buriedData.setGmtCreate(DateUtil.now());
                buriedData.setHospitalDeptId(buriedSomeStatisticalVO.getHospitalDeptId());
                buriedData.setHospitalId(buriedSomeStatisticalVO.getHospitalId());
                buriedData.setInquiryCode(buriedSomeStatisticalVO.getInquiryCode());
                buriedData.setPatientId(buriedSomeStatisticalVO.getPatientId());
                buriedData.setLabelId(taggedsNew.getLabelId());
                buriedData.setLabelName(taggedsNew.getLabelName());
                buriedData.setOperationNum(taggedsNew.getOperationNum());
                buriedData.setOperationType(taggedsNew.getOperationType());
                buriedData.setStatus(taggedsNew.getStatus());
                buriedList.add(buriedData);
            }

            res = buriedSomeStatisticalService.saveBatch(buriedList);
        }
        return res;
    }


}
