package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DeptInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:21
 */
@Component
public class DeptInfoFacade {

    @Autowired
    AiptServiceClient aiptServiceClient;

    /**
     * 获取科室信息
     *
     * @param deptInfoVO
     * @return
     */
    public DeptInfoDTO getDeptInfo(DeptInfoVO deptInfoVO) {
        RespDTO<DeptInfoDTO> res = aiptServiceClient.getDeptInfo(deptInfoVO);
        RespDTOUtil.respNGDealCover(res, "获取科室信息失败");
        return res.data;
    }
}
