package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.DisTypeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 诊断类型
 * @author: zhoutg
 * @time: 2018/11/19 13:19
 */
@Component
public class DisTypeFacade {
    @Autowired
    AiptServiceClient aiptServiceClient;

    /**
     * 返回诊断类型
     *
     * @return
     */
    public DisTypeDTO getDisTypeFac() {
        RespDTO<DisTypeDTO> res = aiptServiceClient.getDisType();
        RespDTOUtil.respNGDeal(res, "远程调用诊断类型失败");
        return res.data;
    }
}
