package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.DiseaseIcdDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.GetDiseaseIcdVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/2/14 15:25
 */
@Component
public class DiseaseIcdFacade {

    @Autowired
    AiptServiceClient aiptServiceClient;

    /**
     * 根据医院编号和诊断ids获取各自的icd编码
     *
     * @param getDiseaseIcdVO
     * @return
     */
    public List<DiseaseIcdDTO> getDiseaseIcds(GetDiseaseIcdVO getDiseaseIcdVO) {
        RespDTO<List<DiseaseIcdDTO>> res = aiptServiceClient.getDiseaseIcds(getDiseaseIcdVO);
        RespDTOUtil.respNGDealCover(res, "获取icd编码失败");
        return res.data;
    }
}
