package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.LisDataDTO;
import com.diagbot.dto.LisRetrieveListAllDTO;
import com.diagbot.dto.PacsDataDTO;
import com.diagbot.dto.PacsRetrieveListAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.LisArgumentsVO;
import com.diagbot.vo.LisGroupNameVO;
import com.diagbot.vo.PacsArgumentsVO;
import com.diagbot.vo.PacsCheckItemVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年5月27日 上午11:09:20
 */
@Component
public class DockingImportFacade {

    @Autowired
    TranServiceClient tranServiceClient;

    /**
     * @param lisArgumentsVO
     * @return
     */
    public LisRetrieveListAllDTO lisDockingImport(LisArgumentsVO lisArgumentsVO) {
        RespDTO<LisRetrieveListAllDTO> lisDataVOList = tranServiceClient.getLisDatas(lisArgumentsVO);
        RespDTOUtil.respNGDeal(lisDataVOList, "导入化验数据失败！");
        return lisDataVOList.data;
    }

    public LisDataDTO getByGroupNameLisDatas(LisGroupNameVO lisGroupNameVO) {
        RespDTO<LisDataDTO> lisDataVOList = tranServiceClient.getByGroupNameLisData(lisGroupNameVO);
        RespDTOUtil.respNGDeal(lisDataVOList, "导入化验数据失败！");
        return lisDataVOList.data;
    }

    public PacsRetrieveListAllDTO pacsDockingImports(PacsArgumentsVO pacsArgumentsVO) {
        RespDTO<PacsRetrieveListAllDTO> lisDataVOList = tranServiceClient.pacsDockingImports(pacsArgumentsVO);
        RespDTOUtil.respNGDeal(lisDataVOList, "导入化验数据失败！");
        return lisDataVOList.data;
    }

    public PacsDataDTO getByCheckItemPacsDatas(PacsCheckItemVO pacsGroupNameVO) {
        RespDTO<PacsDataDTO> lisDataVOList = tranServiceClient.getByCheckItemPacsDatas(pacsGroupNameVO);
        RespDTOUtil.respNGDeal(lisDataVOList, "导入化验数据失败！");
        return lisDataVOList.data;
    }

}
