package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.dto.HospitalDeptInfoAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DoctorInfoVO;
import com.diagbot.vo.HospitalCodeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:49
 */
@Component
public class DoctorInfoFacade {
    @Autowired
    private TranServiceClient tranServiceClient;

    /**
     * 获取医生信息
     *
     * @param doctorInfoVo
     * @return
     */
    public List<DoctorInfoDTO> getDoctorInfo(DoctorInfoVO doctorInfoVo) {
        RespDTO<List<DoctorInfoDTO>> doctorInfoDTOList = tranServiceClient.getDoctorInfo(doctorInfoVo);
        RespDTOUtil.respNGDealCover(doctorInfoDTOList, "获取医生信息失败");
        return doctorInfoDTOList.data;
    }

    public List<HospitalDeptInfoAllDTO> getHospitalDeptInfoAll(HospitalCodeVo hospitalCodeVo) {
        RespDTO<List<HospitalDeptInfoAllDTO>> data = tranServiceClient.getHospitalDeptInfoAll(hospitalCodeVo);
        RespDTOUtil.respNGDealCover(data, "获取所有科室信息失败");
        return data.data;

    }
}
