package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月11日 下午4:19:09
 */
@Component
public class EvaluationModuleMappingFacade {

    @Autowired
    PushFacade pushFacade;
    @Autowired
    AiptServiceClient aiptServiceClient;
    @Autowired
    AssembleFacade assembleFacade;

    /**
     * 获取管理与评估模板接口
     *
     * @param evaluationdiseaseNameVO
     * @return
     */
    public List<EvaluationDTO> getEvaluationModule(EvaluationDiseaseNameVO evaluationdiseaseNameVO) {
        SearchVO searchVO = assembleFacade.assembleData(evaluationdiseaseNameVO);
        RespDTO<List<EvaluationDTO>> evaluationList = aiptServiceClient.getEvaluationModules(searchVO);
        RespDTOUtil.respNGDeal(evaluationList, "获取管理与评估模板数据失败！");
        List<EvaluationDTO> datas = evaluationList.data;
        return datas;
    }
}