package com.diagbot.facade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.HospitalInfoVO;
import com.diagbot.vo.HospitalSetVO;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:43
 */
@Component
public class HospitalInfoFacade {

    @Autowired
    TranServiceClient tranServiceClient;

    /**
     * 获取医院信息
     *
     * @param hospitalSetVO
     * @return
     */
    public HospitalInfoDTO getHospitalInfo(HospitalSetVO hospitalSetVO) {
    	HospitalInfoVO hospitalInfoVO =new HospitalInfoVO();
    	hospitalInfoVO.setCode(hospitalSetVO.getHospitalCode());
        RespDTO<HospitalInfoDTO> hospitalInfoDTOList = tranServiceClient.getHospitalInfo(hospitalInfoVO);
        RespDTOUtil.respNGDealCover(hospitalInfoDTOList, "获取医院信息失败");
        HospitalInfoDTO data = hospitalInfoDTOList.data;
        RespDTO<List<SysSetInfoDTO>> sysSetInfoLists = tranServiceClient.getSysSetInfoDatas(hospitalSetVO);
		RespDTOUtil.respNGDeal(sysSetInfoLists, "获取配置数据失败！");
        data.setSysSetInfoData(sysSetInfoLists.data);
        return data;
    }

    /**
     * 通过医院编码获取医院信息
     *
     * @param code 医院编码
     * @return
     */
    public HospitalInfoDTO getHospitalByCode(String code) {
        HospitalInfoVO hospitalInfoVO = new HospitalInfoVO();
        hospitalInfoVO.setCode(code);
        RespDTO<HospitalInfoDTO> hospitalInfoDTOList = tranServiceClient.getHospitalInfo(hospitalInfoVO);
        RespDTOUtil.respNGDeal(hospitalInfoDTOList, "获取医院信息失败");
        return hospitalInfoDTOList.data;
    }

}
