package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.IndexConfigdiseaseNameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: 指标配置相关接口
 * @date 2019年3月11日 下午4:20:09
 */
@Component
public class IndexConfigFacade {

    @Autowired
    AiptServiceClient aiptServiceClient;

    /**
     * 根据疾病Id获取指标配置
     *
     * @param indexConfigdiseaseNameVO 疾病名称
     * @return
     */
    public List<IndexConfigDTO> getindexConfig(IndexConfigdiseaseNameVO indexConfigdiseaseNameVO) {
        RespDTO<List<IndexConfigDTO>> indexConfigList
                = aiptServiceClient.getindexConfigs(indexConfigdiseaseNameVO);
        RespDTOUtil.respNGDeal(indexConfigList, "获取指标配置数据失败！");
        return indexConfigList.data;
    }


}
