package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.InquiryDetail;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.InquiryDetailServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author rengb
 * @Description
 * @time 2018年11月23日下午2:08:08
 */
@Component
public class InquiryDetailFacade extends InquiryDetailServiceImpl {

    /**
     * 根据问诊记录id删除问诊记录明细
     *
     * @param inquiryId
     */
    public void removeByInquiryId(Long inquiryId) {
        QueryWrapper<InquiryDetail> queryWrapper = new QueryWrapper<InquiryDetail>();
        queryWrapper.eq("inquiry_id", inquiryId);
        this.remove(queryWrapper);
    }

    /**
     * 根据病历id获取病历明细
     *
     * @param inquiryId
     * @return
     */
    public List<InquiryDetail> getListByInquryId(Long inquiryId) {
        QueryWrapper<InquiryDetail> queryWrapper = new QueryWrapper<InquiryDetail>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        queryWrapper.eq("inquiry_id", inquiryId);
        return this.list(queryWrapper);
    }

}
