package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.ScaleIndexDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.PushVO;
import com.diagbot.vo.ScaleIndexVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 量表内容
 * @author: zhoutg
 * @time: 2018/11/19 13:19
 */
@Component
public class ScaleContentFacade {
    @Autowired
    AiptServiceClient aiptServiceClient;
    @Autowired
    AssembleFacade assembleFacade;

    /**
     * 返回量表内容
     *
     * @return
     */
    public List<ScaleContent> getContent(PushVO pushVO) {
        SearchVO searchVO = assembleFacade.assembleData(pushVO);
        RespDTO<List<ScaleContent>> res = aiptServiceClient.getScale(searchVO);
        RespDTOUtil.respNGDeal(res, "远程调用量表内容失败");
        return res.data;
    }


//    /**
//     * 量表搜索
//     *
//     * @param scaleIndexVO 参数
//     * @return
//     */
//    public List<ScaleIndexDTO> indexFac(ScaleIndexVO scaleIndexVO) {
//        RespDTO<List<ScaleIndexDTO>> res = aiptServiceClient.index(scaleIndexVO);
//        RespDTOUtil.respNGDeal(res, "远程调用量表搜索失败");
//        return res.data;
//    }

}
