package com.diagbot.facade;

import java.util.List;

import com.diagbot.dto.GetHospitalRankInfoDTO;
import com.diagbot.vo.GetHospitalRankInfoVO;
import com.diagbot.vo.HospitalCodeSetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.HospitalSetVO;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年6月12日 下午3:59:30
 */
@Component
public class SysSetFacade {

	@Autowired
	TranServiceClient tranServiceClient;

	/**
	 * 根据医院code获取配置信息
	 * 
	 * @return
	 */
	public List<SysSetInfoDTO> getSysSetInfoData(HospitalSetVO hospitalSetVO) {
		RespDTO<List<SysSetInfoDTO>> sysSetInfoLists = tranServiceClient.getSysSetInfoDatas(hospitalSetVO);
		RespDTOUtil.respNGDeal(sysSetInfoLists, "获取配置数据失败！");
		return sysSetInfoLists.data;
	}

	/**
	 * 获取大小医院信息
	 *
	 * @param getHospitalRankInfoVO
	 * @return
	 */
	public GetHospitalRankInfoDTO getHospitalRankInfo(GetHospitalRankInfoVO getHospitalRankInfoVO) {
		RespDTO<GetHospitalRankInfoDTO> retData = tranServiceClient.getHospitalRankInfo(getHospitalRankInfoVO);
		RespDTOUtil.respNGDeal(retData, "获取大小医院信息失败！");
		return retData.data;
	}

    public Boolean getAdminCheckout(HospitalCodeSetVO hospitalCodeSetVO) {
		hospitalCodeSetVO.setShowError(false);
		RespDTO<Boolean> data = tranServiceClient.getAdminCheckout(hospitalCodeSetVO);
		RespDTOUtil.respNGDeal(data, "获取校验管理员身份失败!");
		return data.data;
    }
}
