package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.TemplateInfoDTO;
import com.diagbot.dto.TemplateInfoNormDTO;
import com.diagbot.dto.TemplateInfoPageDTO;
import com.diagbot.entity.TemplateInfo;
import com.diagbot.vo.TemplateInfoPageVO;
import com.diagbot.vo.TemplateNormsFindVO;
import com.diagbot.vo.TemplateNormsParamVO;

import java.util.List;

/**
 * <p>
 * 模板表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-16
 */
public interface TemplateInfoService extends IService<TemplateInfo> {

    //根据医生id查询该医生保存的病历模板
    public List<TemplateInfoDTO> findByDoctorIdTemplate(TemplateInfo templateInfo);

    public boolean updateById(TemplateInfo templateInfo);

    public IPage<TemplateInfoPageDTO> getTemplatePages(TemplateInfoPageVO templateInfoPageVO);

    public List<TemplateInfoNormDTO> getStandardTemplates(TemplateNormsParamVO templateNormsParamVO);


    List<TemplateInfoNormDTO> findStandardTemplates(TemplateNormsFindVO templateNormsFindVO);
}
