package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.TemplateInfoDTO;
import com.diagbot.dto.TemplateInfoNormDTO;
import com.diagbot.dto.TemplateInfoPageDTO;
import com.diagbot.entity.TemplateInfo;
import com.diagbot.mapper.TemplateInfoMapper;
import com.diagbot.service.TemplateInfoService;
import com.diagbot.vo.TemplateInfoPageVO;
import com.diagbot.vo.TemplateNormsFindVO;
import com.diagbot.vo.TemplateNormsParamVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 模板表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-16
 */
@Service
public class TemplateInfoServiceImpl extends ServiceImpl<TemplateInfoMapper, TemplateInfo> implements TemplateInfoService {

    /**
     * 根据医生id查询该医生保存的病历模板
     */
    @Override
    public List<TemplateInfoDTO> findByDoctorIdTemplate(TemplateInfo templateInfo) {

        return baseMapper.findByDoctorIdTemplate(templateInfo);
    }

    @Override
    public IPage<TemplateInfoPageDTO> getTemplatePages(TemplateInfoPageVO templateInfoPageVO) {
        return baseMapper.getTemplatePages(templateInfoPageVO);
    }

    @Override
    public List<TemplateInfoNormDTO> getStandardTemplates(TemplateNormsParamVO templateNormsParamVO) {
        return baseMapper.getStandardTemplate(templateNormsParamVO);
    }


    public List<TemplateInfoNormDTO> findStandardTemplates(TemplateNormsFindVO templateNormsFindVO) {
        return baseMapper.findStandardTemplate(templateNormsFindVO);
    }
}
