package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.enums.SysTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "急诊-历史病历列表接口传参")
@SuppressWarnings({ "rawtypes", "serial" })
@Getter
@Setter
public class HisInquirysForJzVO extends Page {

    /**
     * 医院id
     */
    @ApiModelProperty(value = "医院id", required = true)
    @NotNull(message = "医院id必传")
    private Long hospitalId;

    /**
     * 科室id
     */
    @ApiModelProperty(value = "科室id", required = true)
    @NotNull(message = "科室id必传")
    private Long hospitalDeptId;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date endDate;

    @ApiModelProperty(value = "是否有二次诊断,0-没有，1-有")
    private Integer isHasSecond;

    @ApiModelProperty(hidden = true)
    private Integer sysType = SysTypeEnum.ICSS_SERVICE.getKey();

}
