package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 指标保存接口参数
 * @author wangfeng
 * @Description: 指标数据保存入参
 * @date 2019年3月12日 下午1:38:23
 */
@Setter
@Getter
public class IndexDataSaveVO {
	 /**
     * 患者id
     */
	@NotNull(message = "请输入患者id")
    private Long patientId;

    /**
     * 就诊号
     */
	@NotBlank(message = "请输入就诊号")
    private String inquiryCode;
	 /**
     * 医生id
     */
	@NotNull(message = "请输入医生id")
    private Long doctorId;
    /**
     * 指标值
     */
	private List<IndexDataVO> IndexData;
}
