package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 模板文件夹表
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@Setter
@Getter
public class TemplateFolderVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 模板类型（个人1，管理员2）
     */
    private Integer templateType;

    /**
     * 排序号
     */
    private Long orderNo;

    /**
     * 备注
     */
    private String remark;
}
