package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 清理缓存控制层
 * @Author:gaodm
 * @time: 2019/5/22 15:07
 */
@RestController
@RequestMapping("/cache")
@Api(value = "缓存相关API", tags = { "缓存相关API" })
@SuppressWarnings("unchecked")
public class CacheController {

    @ApiOperation(value = "清空缓存[by:gaodm]",
            notes = "")
    @PostMapping("/clear")
    @SysLogger("clear")
    @CacheEvict(cacheNames = "tagCache", allEntries = true)
    public RespDTO<Boolean> clearCache() {
        return RespDTO.onSuc(true);
    }
}