package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.CalculateFacade;
import com.diagbot.vo.CalculateVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.Map;

/**
 * @Description:计算相关
 * @Author:zhaops
 * @time: 2019/4/15 13:40
 */
@RestController
@RequestMapping("/calc")
@Api(value = "计算相关API", tags = { "2期-计算相关API" })
@SuppressWarnings("unchecked")
public class CalculateController {
    @Autowired
    CalculateFacade calculateFacade;

    @ApiOperation(value = "推理结果计算接口[by:zhaops]",
            notes = "type： 1-量表，2-计算公式(必填)，Integer<br>" +
                    "data：计算参数（量表或计算公式结构），String<br>")
    @PostMapping("/calculate")
    @SysLogger("calculate")
    public RespDTO<Map<String, Object>> calculate(@RequestBody @Valid CalculateVO calculateVO) {
        return RespDTO.onSuc(calculateFacade.calculate(calculateVO));
    }
}
