package com.diagbot.web;

import com.diagbot.dto.DisTypeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DisTypeFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 诊断类型表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-08
 */
@RestController
@RequestMapping("/disType")
@Api(value = "诊断类型API", tags = { "知识化标准化-诊断类型API" })
@SuppressWarnings("unchecked")
public class DisTypeController {

    @Autowired
    DisTypeFacade disTypeFacade;

    @ApiOperation(value = "知识化标准化-返回诊断类型[by:zhoutg]",
            notes = "")
    @PostMapping("/getDisType")
    public RespDTO<DisTypeDTO> getDisType() {
        DisTypeDTO data = disTypeFacade.getDisTypeFac();
        return RespDTO.onSuc(data);
    }
}
