package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DiseaseIcdDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DiseaseIcdFacade;
import com.diagbot.vo.GetDiseaseIcdVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 各医院对应的诊断icd 前端控制器
 * </p>
 *
 * @author wangyu
 * @since 2019-02-14
 */
@RestController
@RequestMapping("/diseaseIcd")
@Api(value = "知识化标准化-对应的诊断icd API", tags = { "知识化标准化-对应的诊断icd API" })
@SuppressWarnings("unchecked")
public class DiseaseIcdController {
    @Autowired
    DiseaseIcdFacade diseaseIcdFacade;

    @ApiOperation(value = "知识化标准化-各医院对应的诊断icd——查询[by:wangyu]",
            notes = "questions：疾病id，必填<br>" +
                    "hospitalCode:医院编号，必填<br>")
    @PostMapping("/getDiseaseIcds")
    @SysLogger("getDiseaseIcds")
    public RespDTO<List<DiseaseIcdDTO>> getDiseaseIcds(@RequestBody GetDiseaseIcdVO getDiseaseIcdVO) {
        List<DiseaseIcdDTO> data = diseaseIcdFacade.getDiseaseIcds(getDiseaseIcdVO);
        return RespDTO.onSuc(data);
    }
}
