package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EvaluationModuleMappingFacade;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 管理与评估模板表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-11
 */
@RestController
@RequestMapping("/evaluationModuleMapping")
@Api(value = "知识库标准化-管理与评估模板API[by:wangfeng]", tags = { "知识库标准化-管理与评估模板API" })
@SuppressWarnings("unchecked")
public class EvaluationModuleMappingController {

    @Autowired
    EvaluationModuleMappingFacade evaluationModuleMappingFacade;

    @ApiOperation(value = "知识库标准化-获取管理与评估模板[by:wangfeng]", notes = "获取管理与评估模板")
    @PostMapping("/getEvaluationModules")
    @SysLogger("getEvaluationModules")
    public RespDTO<List<EvaluationDTO>> getEvaluationModules(@Valid @RequestBody EvaluationDiseaseNameVO evaluationDiseaseNameVO) {
        List<EvaluationDTO> data = evaluationModuleMappingFacade.getEvaluationModule(evaluationDiseaseNameVO);
        return RespDTO.onSuc(data);
    }

}
