package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.HospitalInfoFacade;
import com.diagbot.vo.HospitalSetVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:41
 */
@RestController
@RequestMapping("/hospitalInfo")
@Api(value = "医院信息API", tags = { "ICSS三期-医院信息API" })
@SuppressWarnings("unchecked")
public class HospitalInfoController {

    @Autowired
    private HospitalInfoFacade hospitalInfoFacade;

    @ApiOperation(value = "ICSS三期-医院信息——根据医院编码获取医院信息[by:wangyu]",
            notes = "hospitalCode：医院编码<br> sysType :访问的系统类型  , 配置名称:name; 配置编码:code;<br> ")
    @PostMapping("/getHospitalInfo")
    @SysLogger("getHospitalInfo")
    public RespDTO<HospitalInfoDTO> getHospitalInfo(@RequestBody @Valid HospitalSetVO hospitalSetVO) {
        HospitalInfoDTO data = hospitalInfoFacade.getHospitalInfo(hospitalSetVO);
        return RespDTO.onSuc(data);
    }
}
