package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TemplateQuoteFacade;
import com.diagbot.vo.TemplateQuoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 模板引用
 * @author: gaodm
 * @time: 2020/1/13 13:28
 */
@RestController
@RequestMapping("/templateQuote")
@Api(value = "模板引用API[by:gaodm]", tags = { "模板引用API" })
@SuppressWarnings("unchecked")
public class TemplateQuoteController {
    @Autowired
    private TemplateQuoteFacade templateQuoteFacade;


    @ApiOperation(value = "添加模板引用[by:gaodm]")
    @PostMapping("/addTemplateQuote")
    @SysLogger("addTemplateQuote")
    @Transactional
    public RespDTO<Boolean> addTemplateQuote(@RequestBody @Validated TemplateQuoteVO templateQuoteVO) {
        return RespDTO.onSuc(templateQuoteFacade.addTemplateQuote(templateQuoteVO));
    }
}
