package com.diagbot.client.hystrix;

import com.diagbot.client.KnowledgemanServiceClient;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.ConceptExistVO;
import com.diagbot.vo.ConceptSearchVO;
import com.diagbot.vo.ConceptTypeVO;
import com.diagbot.vo.GetConceptPacInfosVO;
import com.diagbot.vo.IndexLexiconVO;
import com.diagbot.vo.IndexVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@Component
@Slf4j
public class KnowledgemanServiceHystrix implements KnowledgemanServiceClient {

    @Override
    public RespDTO<List<ConceptBaseDTO>> index(IndexVO indexVO) {
        log.error("【hystrix】调用{}异常", "index");
        return null;
    }

    @Override
    public RespDTO<List<ConceptBaseDTO>> indexByLexiconFac(IndexLexiconVO indexLexiconVO) {
        log.error("【hystrix】调用{}异常", "indexByLexiconFac");
        return null;
    }

    @Override
    public RespDTO<Map<String, List<Integer>>> getConceptMap(ConceptExistVO conceptExistVO) {
        log.error("【hystrix】调用{}异常", "getConceptMap");
        return null;
    }

    /**
     * 根据概念Id列表获取概念列表Map
     *
     * @param conceptSearchVO 搜索参数
     * @return 术语id和术语 Map
     */
    @Override
    public RespDTO<Map<Long, String>> getConceptMap(@RequestBody ConceptSearchVO conceptSearchVO) {
        log.error("【hystrix】调用{}异常", "getConceptMap");
        return null;
    }

    /**
     * 根据类型获取术语列表（科室、辅检、慢病）
     *
     * @param conceptTypeVO 类型
     * @return 术语列表
     */
    public RespDTO<List<ConceptBaseDTO>> getConceptListByType(@RequestBody ConceptTypeVO conceptTypeVO){
        log.error("【hystrix】调用{}异常", "getConceptListByType");
        return null;
    }

    @Override
    public RespDTO<List<ConceptBaseDTO>> getConceptPacInfos(GetConceptPacInfosVO getConceptPacInfosVO) {
        log.error("【hystrix】调用{}异常", "getConceptPacInfos");
        return null;
    }

}