package com.diagbot.entity.wrapper;

import com.diagbot.entity.QuestionDetail;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 标签保存参数
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */

@Getter
@Setter
public class QuestionWrapper implements Serializable {
    private Long id; //主键
    private String tagName; //标签名
    private String name; //界面名称
    private Integer sexType; //性别(1：男 2：女 3：通用)
    private Integer ageBegin; //最小年龄
    private Integer ageEnd; //最大年龄
    private Integer tagType; //标签显示类型
    private Integer controlType; //控件类型
    private Integer type; //类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断,8:药品，9：药品分类 21：量表，22：推送指标）
    private Integer subType; //检索类型
    private Integer itemType; //元素类型
    private String labelPrefix; //前置内容
    private String labelSuffix; //后置内容
    private BigDecimal minValue; //最小值
    private BigDecimal maxValue; //最大值
    private Integer textGenerate; //文本生成规则
    private Integer copyType; //是否复制
    private String showAdd; //复制文字
    private Integer showInfo; //是否显示i
    private String joint;     //标签连接符
    private String formulaCode; //公式编码
    private Integer specFlag; //特殊标记（0：没有标记，1：主诉高亮，2：诱因记录）
    private Integer selFlag; //开启默认选中标记(0：不开启，1：开启)
    private String remark; //备注
    private List<QuestionDetail> questionDetails = new ArrayList<>(); //明细
    private List<QuestionMappingWrapper> questionMappings = new ArrayList<>(); //映射关系
}
