package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.CacheFacade;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.IdListVO;
import com.diagbot.vo.IdVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/9/20 10:20
 */
@RestController
@RequestMapping("/cache")
@SuppressWarnings("unchecked")
@Api(value = "缓存相关API", tags = { "缓存相关API" })
@ApiIgnore
public class CacheController {
    @Autowired
    CacheFacade cacheFacade;

    @ApiOperation(value = "删除缓存[by:zhaops]",
            notes = "")
    @PostMapping("/clearCache")
    @SysLogger("clearCache")
    @Transactional
    public RespDTO<Boolean> clearCache(@RequestBody IdListVO idListVO) {
        List<Long> ids = idListVO.getIdList();
        if (ListUtil.isNotEmpty(ids)) {
            for (Long id : ids) {
                cacheFacade.clearCache(id);
            }
        }
        return RespDTO.onSuc(true);
    }
}
