//package com.diagbot.web;
//
//
//import com.diagbot.annotation.SysLogger;
//import com.diagbot.dto.ConceptBaseDTO;
//import com.diagbot.dto.RespDTO;
//import com.diagbot.facade.ConceptFacade;
//import com.diagbot.vo.ConceptExistVO;
//import com.diagbot.vo.IndexLexiconVO;
//import com.diagbot.vo.IndexVO;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//import java.util.List;
//import java.util.Map;
//
///**
// * <p>
// * 概念表 前端控制器
// * </p>
// *
// * @author zhaops
// * @since 2019-05-06
// */
//@RestController
//@RequestMapping("/concept")
//@Api(value = "概念相关API", tags = { "知识库标准化-概念相关API" })
//@SuppressWarnings("unchecked")
//public class ConceptController {
//    @Autowired
//    ConceptFacade conceptFacade;
//
//    /**
//     * 检索
//     *
//     * @param indexVO 搜索参数
//     * @return 名称和概念id
//     */
//    @ApiOperation(value = "知识库标准化-根据名称和类型获取概念列表[by:zhoutg]",
//            notes = "name: 搜索内容<br>" +
//                    "type：类型(1：症状 2：既往史，3：其他史，4：查体，5：化验)，必填<br>")
//    @PostMapping("/index")
//    @SysLogger("index")
//    public RespDTO<List<ConceptBaseDTO>> index(@RequestBody IndexVO indexVO){
//        return RespDTO.onSuc(conceptFacade.indexFac(indexVO));
//    }
//
//
//    /**
//     * 根据名称和类型获取概念列表Map
//     *
//     * @param conceptExistVO 搜索参数
//     * @return 术语id和术语 Map
//     */
//    @ApiOperation(value = "知识库标准化-根据名称和类型获取概念列表Map[by:zhoutg]",
//            notes = "nameList: 名称列表<br>" +
//                    "type: 类型")
//    @PostMapping("/getConceptMapByNameAndType")
//    @SysLogger("getConceptMapByNameAndType")
//    public RespDTO<Map<String, Long>> getConceptMapByNameAndType(@RequestBody ConceptExistVO conceptExistVO){
//        return RespDTO.onSuc(conceptFacade.getConceptMap(conceptExistVO));
//    }
//
//
//    /**
//     * 检索
//     *
//     * @param indexLexiconVO 搜索参数
//     * @return 名称和概念id
//     */
//    @ApiOperation(value = "知识库标准化-根据名称和术语库词性类型搜索[by:zhoutg]",
//            notes = "name: 搜索内容，必填<br>" +
//                    "libType：术语库词性类型，必填<br>")
//    @PostMapping("/indexByLexicon")
//    @SysLogger("indexByLexicon")
//    public RespDTO<List<ConceptBaseDTO>> indexByLexicon(@RequestBody IndexLexiconVO indexLexiconVO){
//        return RespDTO.onSuc(conceptFacade.indexByLexiconFac(indexLexiconVO));
//    }
//}
