package com.diagbot.client;

import com.diagbot.client.hystrix.ICSSManServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.IdListVO;
import com.diagbot.vo.KLQuestionVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/9/20 9:55
 */
@FeignClient(value = "icssman-service", fallback = ICSSManServiceHystrix.class)
public interface ICSSManServiceClient {
    @PostMapping("/questionInfo/indexForkl")
    RespDTO<List<QuestionInfo>> indexForkl(@RequestBody KLQuestionVO klQuestionVO);

    @PostMapping("/cache/clearCache")
    RespDTO<Boolean> clearCache(@RequestBody IdListVO idListVO);
}