package com.diagbot.client;

import com.diagbot.client.hystrix.NeoServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.NeoParamVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @Description: 图谱服务
 * @author: zhoutg
 * @time: 2018/8/6 9:52
 */
@FeignClient(name = "neo", url = "${neo.server.address}", fallback = NeoServiceHystrix.class)
public interface NeoServiceClient {

    @PostMapping("/knowledge/updateDisease")
    RespDTO<Boolean> updateNeo(@RequestBody NeoParamVO neoParamVO);

    @PostMapping("/knowledge/deleteDisease")
    RespDTO<Boolean> deleteNeo(@RequestBody NeoParamVO neoParamVO);

    @PostMapping("/knowledge/init")
    RespDTO<Boolean> initNeo(@RequestBody List<Long> idList);
}



