package com.diagbot.client.hystrix;

import com.diagbot.client.NeoServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.NeoParamVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @Description: 图谱服务
 * @author: zhoutg
 * @time: 2018/8/6 9:52
 */
@Component
@Slf4j
public class NeoServiceHystrix implements NeoServiceClient {


    @Override
    public RespDTO<Boolean> updateNeo(NeoParamVO neoParamVO) {
        log.error("【hystrix】调用{}异常", "updateNeo");
        return null;
    }

    @Override
    public RespDTO<Boolean> deleteNeo(NeoParamVO neoParamVO) {
        log.error("【hystrix】调用{}异常", "deleteNeo");
        return null;
    }

    @Override
    public RespDTO<Boolean> initNeo(List<Long> idList) {
        log.error("【hystrix】调用{}异常", "initNeo");
        return null;
    }
}
