package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class ConceptDetailDTO {
	
	/**
     * id
     */
	@ApiModelProperty(value="id")
    private Long id;

    /**
     * 概念id
     */
    @ApiModelProperty(value="概念id")
    private Long conceptId;

    /**
     * 提示明细标题
     */
    @ApiModelProperty(value="提示明细标题")
    private String title;

    /**
     * 提示明细内容
     */
    @ApiModelProperty(value="提示明细内容")
    private String content;

    /**
     * 纯文本
     */
    @ApiModelProperty(value="纯文本")
    private String text;

    /**
     * 概念名称
     */
    @ApiModelProperty(value="概念名称")
    @CryptField
    private String libName;

    /**
     * 提示明细序号
     */
    @ApiModelProperty(value="提示明细序号")
    private Integer orderNo;

    /**
     * 显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书
     */
    @ApiModelProperty(value="显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书")
    private String position;

    /**
     * 是否诊断依据（1-是，0-否）
     */
    @ApiModelProperty(value="是否诊断依据(1-是，0-否)")
    private Integer isReason;

    
}
