package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据明细表
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@TableName("kl_diagnose_detail")
@Getter
@Setter
public class DiagnoseDetailPageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人姓名
     */
    private String creator;

    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 诊断依据表主键
     */
    private Long diagnoseId;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 编码
     */
    private String code;

    /**
     * 标准词
     */
    private String standard;

    /**
     * 关联词
     */
    private String relation;

    /**
     * 结果
     */
    private String result;


    /**
     * 公式
     */
    private String formula;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 校验编码（0：正确，1：错误）
     */
    private String verifyCode;

    /**
     * 校验标准词（0：正确，1：错误）
     */
    private String verifyStandard;

    /**
     * 校验关联词（0：正确，1：错误）
     */
    private String verifyRelation;

    /**
     * 校验结果（0：正确，1：错误）
     */
    private String verifyResult;

    /**
     * 校验公式（0：正确，1：错误）
     */
    private String verifyFormula;
}
