package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据问题词表
 * </p>
 *
 * @author wangfeng
 * @since 2019-08-12
 */
@Getter
@Setter
public class DiagnoseQuestionPageDTO implements Serializable {

	 private static final long serialVersionUID = 1L;

	    /**
	     * 主键
	     */
	    @TableId(value = "id", type = IdType.AUTO)
	    private Long id;

	    /**
	     * 记录创建时间
	     */
	    private Date gmtCreate;

	    /**
	     * 记录修改时间,如果时间是1970年则表示纪录未修改
	     */
	    private Date gmtModified;

	    /**
	     * 创建人姓名
	     */
	    private String creator;

	    /**
	     * 修改人姓名
	     */
	    private String modifier;

	    /**
	     * 诊断依据表主键
	     */
	    private Long diagnoseId;

	    /**
	     * 诊断名称
	     */
	    private String disName;

	    /**
	     * 类型
	     */
	    private Integer type;

	    /**
	     * 问题词名称
	     */
	    private String questionName;

	    /**
	     * 问题词类型
	     */
	    private Integer questionType;

	    /**
	     * 排序号
	     */
	    private Integer orderNo;

}
