package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetConceptDetailListDTO {

    /**
     * 操作时间
     */
    @JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="操作时间")
    private Date gmtModified;

    /**
     * 操作人
     */
    @ApiModelProperty(value="操作人")
    private String modifier;

    /**
     * 概念id
     */
    @ApiModelProperty(value="概念id")
    private Long conceptId;

    /**
     * 标题
     */
    @ApiModelProperty(value="标题")
    private String title;

    /**
     * 概念名称
     */
    @ApiModelProperty(value="概念名称")
    @CryptField
    private String libName;
    
    /**
     * 概念名称(类型)
     */
    @ApiModelProperty(value="概念名称(类型)")
    private String nameType;
    
    /**
     * 类型id
     */
    @ApiModelProperty(value="类型id")
    private Long typeId;
    
    /**
     * 类型名称
     */
    @ApiModelProperty(value="类型名称")
    private String type;


    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;
}
