package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetConceptInfoDTO {
       
	/**
	 * 标准词
	 */
	@ApiModelProperty(value="标准词")
    private List<GetConceptInfoDetailDTO> libName;
    
    /**
     * 同义词
     */
	@ApiModelProperty(value="同义词")
    private List<GetConceptInfoDetailDTO> otherNames;
	
	/**
     * 是否有通用扩展：0-无，1-有
     */
	@ApiModelProperty(value="是否有通用扩展：0-无，1-有")
    private Integer isHasCommon;
    
    /**
     * 性别：1:男, 2:女, 3:通用
     */
    @ApiModelProperty(value="性别：1:男, 2:女, 3:通用")
    private Integer sexType;

    /**
     * 症状发生的最小年龄
     */
    @ApiModelProperty(value="症状发生的最小年龄")
    private Integer minAge;

    /**
     * 症状发生的最大年龄
     */
    @ApiModelProperty(value="症状发生的最大年龄")
    private Integer maxAge;
    
    /**
     * 术语类型
     */
    @ApiModelProperty(value="术语类型")
    private String type;
    
    /**
     * 科室概念id
     */
    @ApiModelProperty(value="科室概念id")
    private Long deptId;

    /**
     * 诊断类型
     */
    @ApiModelProperty(value="诊断类型")
    private String classify;

    /**
     * 通俗解释
     */
    @ApiModelProperty(value="通俗解释")
    private String description;

    /**
     * 详细说明
     */
    @ApiModelProperty(value="详细说明")
    private String explains;
    
}
