package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2019-10-25 14:05
 */
@Getter
@Setter
public class PacsSonContactListDTO {

    /**
     * 医学标准术语id
     */
    @ApiModelProperty(value="医学标准术语id")
    private Long conceptId;

    /**
     * 医学标准术语名称
     */
    @ApiModelProperty(value="医学标准术语名称")
    private String libName;

    /**
     * 医学标准术语类型
     */
    @ApiModelProperty(value="医学标准术语类型")
    private String libType;

    /**
     * 医学标准术语名称(医学标准术语类型)
     */
    private String libNameType;

    /**
     * 关联术语
     */
    @CryptField
    @ApiModelProperty(value="关联术语")
    private String otherNames;

    /**
     * 操作人
     */
    @ApiModelProperty(value="操作人")
    private String operName;

    /**
     * 操作时间
     */
    @JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="操作时间")
    private Date operTime;

    /**
     * 状态：Y-已删除，N-启用中
     */
    @ApiModelProperty(value="状态：Y-已删除，N-启用中")
    private String isDeleted;
}
