package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据表
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@TableName("kl_diagnose")
@Getter
@Setter
public class Diagnose implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @ApiModelProperty(hidden = true)
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(hidden = true)
    private String creator;

    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 是否问题词
     */
    private String hasQuestion;

    /**
     * 记录更新图谱的时间,如果时间是1970年则表示纪录未修改
     */
    private Date neoUpdate;

    /**
     * 备注
     */
    private String remark;


}
