package com.diagbot.entity.wrapper;

import com.diagbot.entity.DiagnoseDetailSave;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 诊断依据表
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
public class DiagnoseWrapper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "修改人姓名")
    @NotBlank(message="修改人姓名不能为空")
    private String modifier;

    @ApiModelProperty(value = "诊断名称")
    @NotBlank(message="诊断名称不能为空")
    private String disName;

    @ApiModelProperty(value = "疾病特征")
    private List<DiagnoseDetailSave> disFeature = new ArrayList<>();

    @ApiModelProperty(value = "疾病公式")
    private List<DiagnoseDetailSave> disformula = new ArrayList<>();
}
