package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description:
 * @date 2018年11月21日 下午2:31:42
 */
public enum DiagnoseFeatureTypeEnum implements KeyedNamed {
    Dis(0, "诊断"),
    Symptom(1, "症状"),
    Vital(2, "体征"),
    Lis(3, "化验"),
    Pacs(4, "辅检"),
    Antidiastole(5, "鉴别诊断"),
    History(6, "病史"),
    Cause(7, "诱因"),
    CourseOfDisease(8, "病程"),
    Other(9, "其他");


    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseFeatureTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseFeatureTypeEnum getEnum(int key) {
        for (DiagnoseFeatureTypeEnum item : DiagnoseFeatureTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiagnoseFeatureTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

