package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description:
 * @date 2018年11月21日 下午2:31:42
 */
public enum DiagnoseFieldEnum implements KeyedNamed {
    code(1, "编码"),
    standard(2, "标准词"),
    relation(3, "关联词"),
    result(4, "结果"),
    disName(5, "诊断名称");

    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseFieldEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseFieldEnum getEnum(int key) {
        for (DiagnoseFieldEnum item : DiagnoseFieldEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiagnoseFieldEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

