package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description:
 * @date 2018年11月21日 下午2:31:42
 */
public enum DiagnoseTypeEnum implements KeyedNamed {

    Confirmed(91, "确诊"),
    Examination(92, "拟诊"),
    Vigilant(93, "警惕");


    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseTypeEnum getEnum(int key) {
        for (DiagnoseTypeEnum item : DiagnoseTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiagnoseTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

