package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

public enum DiseaseClassifyEnum implements KeyedNamed {

    LevelFirst(1, "Ⅰ"),
    LevelSecond(2, "Ⅱ");

    @Setter
    private int key;

    @Setter
    private String name;

    DiseaseClassifyEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiseaseClassifyEnum getEnum(int key) {
        for (DiseaseClassifyEnum item : DiseaseClassifyEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        DiseaseClassifyEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
