package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/7 14:06
 */
public enum HasQuestionEnum implements KeyedNamed {

    TEMP_DATA(2, "暂存数据"),
    HAS_QUESTION(1, "有问题词"),
    NO_QUESTION(0, "无问题词");

    @Setter
    private int key;

    @Setter
    private String name;

    HasQuestionEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static HasQuestionEnum getEnum(int key) {
        for (HasQuestionEnum item : HasQuestionEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        HasQuestionEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}