package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/7 14:06
 */
public enum PositionTypeEnum implements KeyedNamed {
    T1(1, "推送展示"),
    T2(2, "更多展示"),
    T3(3, "一般治疗展示"),
    T4(4, "手术治疗展示"),
    T5(5, "药品说明书"),
    T6(6, "不良反应"),
    T7(7, "描述信息");

    @Setter
    private int key;

    @Setter
    private String name;

    PositionTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static PositionTypeEnum getEnum(int key) {
        for (PositionTypeEnum item : PositionTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        PositionTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}