package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/7 14:06
 */
public enum RelationModelTypeEnum implements KeyedNamed {
    KSCY(471011, "科室常用"),
    HYCY(4710112, "化验常用"),
    FJCY(4710116, "辅检常用"),
    ZDGLLB(1810148, "诊断关联量表"),
    ZDGLZZ(181011, "诊断关联症状");

    @Setter
    private int key;

    @Setter
    private String name;

    RelationModelTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RelationModelTypeEnum getEnum(int key) {
        for (RelationModelTypeEnum item : RelationModelTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RelationModelTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}