package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description:
 * @date 2018年11月21日 下午2:31:42
 */
public enum RuleAppTypeEnum implements KeyedNamed {
    WJZTX(1, "危急值提醒"),
    KDHLX(2, "开单合理性"),
    GLPG(3, "管理评估"),
    BLFY(4, "不良反应"),
    YWTJ(5, "药物推荐"),
    BQTS(6, "病情提示");


    @Setter
    private int key;

    @Setter
    private String name;

    RuleAppTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RuleAppTypeEnum getEnum(int key) {
        for (RuleAppTypeEnum item : RuleAppTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RuleAppTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

