package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

public enum TermEnum implements KeyedNamed {

    Dis(0, "诊断"),
    Symptom(1, "症状"),
    Vital(2, "体征结果"),
    LisMax(3, "化验大项"),
    LisMin(4, "化验小项"),
    LisRes(5, "化验结果"),
    Pacs(6, "辅检项目"),
    PacsRes(7, "辅检结果"),
    Antidiastole(8, "诊断"),
    Cause(9, "诱因"),
    AntidiastoleOther(10, "诊断依据其他");


    @Setter
    private int key;

    @Setter
    private String name;

    TermEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static TermEnum getEnum(int key) {
        for (TermEnum item : TermEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        TermEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
