package com.diagbot.facade;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiagnoseQuestionPageDTO;
import com.diagbot.entity.DiagnoseQuestion;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.DiagnoseQuestionService;
import com.diagbot.vo.DiagnoseQuestionPageVO;

@Component
public class DiagnoseQuestionFacade  {
	

	@Autowired
	DiagnoseQuestionService diagnoseQuestionService;
	/**
	 * 
	 * @param diagnoseQuestionPageVO
	 * @return
	 */
	public IPage<DiagnoseQuestionPageDTO> queryQuestionPage(DiagnoseQuestionPageVO diagnoseQuestionPageVO) {
		
		QueryWrapper<DiagnoseQuestion> diaQuery = new QueryWrapper<>();
		diaQuery.like("type",diagnoseQuestionPageVO.getType().trim())
				.like("dis_name",diagnoseQuestionPageVO.getDisName().trim())
				.like("question_name",diagnoseQuestionPageVO.getQuestionCode().trim())
				.eq("is_deleted",IsDeleteEnum.N.getKey())
				.orderByDesc("gmt_modified");
				
		IPage<DiagnoseQuestionPageDTO> datas = diagnoseQuestionService.page(diagnoseQuestionPageVO, diaQuery);
		
		return datas;
	}

}
