package com.diagbot.facade;

import com.diagbot.dto.ConceptEnDeDTO;
import com.diagbot.dto.LibraryInfoEnDeDTO;
import com.diagbot.mapper.ConceptMapper;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.util.CryptUtil;
import com.diagbot.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2018/11/23 11:37
 */
@Component
public class EndeFacade  {

    @Autowired
    LibraryInfoMapper libraryInfoMapper;

    @Autowired
    ConceptMapper conceptMapper;

    public String dealLibrary() {
        List<LibraryInfoEnDeDTO> res = new ArrayList<>();

        Long t1 = System.currentTimeMillis();
        List<LibraryInfoEnDeDTO> libraryInfoEnDeDTOList = libraryInfoMapper.getLibraryinfoEnDe();
        int z = 1;
        for (int j = 0; j < libraryInfoEnDeDTOList.size(); j++) {
            LibraryInfoEnDeDTO bean = libraryInfoEnDeDTOList.get(j);
            if (StringUtil.isNotEmpty(bean.getName())) {
                bean.setName(CryptUtil.encrypt_char(bean.getName()));
            }
            if (StringUtil.isNotEmpty(bean.getSpell())) {
                bean.setSpell(CryptUtil.encrypt_char(bean.getSpell()));
            }

            if (j < z * 7000) {
                res.add(bean);
            } else {
                libraryInfoMapper.updateBatchEn(res);
                res.clear();
                res.add(bean);
                ++z;
            }
        }
        libraryInfoMapper.updateBatchEn(res);
        Long t2 = System.currentTimeMillis();
        String msg = "总计执行："  +  (t2 - t1) / 1000  + "秒!";
        return msg;
    }


    public String verifyLibrary() {
        List<LibraryInfoEnDeDTO> res = new ArrayList<>();

        Long t1 = System.currentTimeMillis();
        List<LibraryInfoEnDeDTO> libraryInfoEnDeDTOList = libraryInfoMapper.getLibraryinfoEnDe();
        int z = 1;
        for (int j = 0; j < libraryInfoEnDeDTOList.size(); j++) {
            LibraryInfoEnDeDTO bean = libraryInfoEnDeDTOList.get(j);
            if (StringUtil.isNotEmpty(bean.getName())) {
                bean.setNameEn(CryptUtil.encrypt_char(bean.getName()));
                bean.setNameDe(CryptUtil.decrypt_char(bean.getNameEn()));
            }
            if (StringUtil.isNotEmpty(bean.getSpell())) {
                bean.setSpellEn(CryptUtil.encrypt_char(bean.getSpell()));
                bean.setSpellDe(CryptUtil.decrypt_char(bean.getSpellEn()));
            }

            if (j < z * 7000) {
                res.add(bean);
            } else {
                libraryInfoMapper.updateBatchEn(res);
                res.clear();
                res.add(bean);
                ++z;
            }
        }
        libraryInfoMapper.updateBatchEn(res);
        Long t2 = System.currentTimeMillis();
        String msg = "总计执行："  +  (t2 - t1) / 1000  + "秒!";
        return msg;
    }

    public String dealConcept() {
        List<ConceptEnDeDTO> res = new ArrayList<>();

        Long t1 = System.currentTimeMillis();
        List<ConceptEnDeDTO> conceptEnDeDTOList = conceptMapper.getConceptEnDe();
        int z = 1;
        for (int j = 0; j < conceptEnDeDTOList.size(); j++) {
            ConceptEnDeDTO bean = conceptEnDeDTOList.get(j);
            if (StringUtil.isNotEmpty(bean.getLibName())) {
                bean.setLibName(CryptUtil.encrypt_char(bean.getLibName()));
            }
            if (j < z * 7000) {
                res.add(bean);
            } else {
                conceptMapper.updateBatchEn(res);
                res.clear();
                res.add(bean);
                ++z;
            }
        }
        conceptMapper.updateBatchEn(res);
        Long t2 = System.currentTimeMillis();
        String msg = "总计执行："  +  (t2 - t1) / 1000  + "秒!";
        return msg;
    }


    public String verifyConcept() {
        List<ConceptEnDeDTO> res = new ArrayList<>();

        Long t1 = System.currentTimeMillis();
        List<ConceptEnDeDTO> conceptEnDeDTOList = conceptMapper.getConceptEnDe();
        int z = 1;
        for (int j = 0; j < conceptEnDeDTOList.size(); j++) {
            ConceptEnDeDTO bean = conceptEnDeDTOList.get(j);
            if (StringUtil.isNotEmpty(bean.getLibName())) {
                bean.setLibNameEn(CryptUtil.encrypt_char(bean.getLibName()));
                bean.setLibNameDe(CryptUtil.decrypt_char(bean.getLibNameEn()));
            }
            if (j < z * 7000) {
                res.add(bean);
            } else {
                conceptMapper.updateBatchEn(res);
                res.clear();
                res.add(bean);
                ++z;
            }
        }
        conceptMapper.updateBatchEn(res);
        Long t2 = System.currentTimeMillis();
        String msg = "总计执行："  +  (t2 - t1) / 1000  + "秒!";
        return msg;
    }
}
