package com.diagbot.facade;

import com.diagbot.client.ICSSManServiceClient;
import com.diagbot.config.CryptConfiguer;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.util.CryptUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.IdListVO;
import com.diagbot.vo.KLQuestionVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/1/6 15:59
 */
@Component
public class IcssManRpcFacade {
    @Autowired
    private ICSSManServiceClient icssManServiceClient;
    @Autowired
    private CryptConfiguer cryptConfiguer;

    public Boolean questionclearCache(KLQuestionVO klQuestionVO) {
        if (cryptConfiguer.cryptFlag) {
            CryptUtil.decryptList(klQuestionVO.getNames());
            CryptUtil.decryptList(klQuestionVO.getTagNames());
        }
        RespDTO<List<QuestionInfo>> respDTO = icssManServiceClient.indexForkl(klQuestionVO);
        if (RespDTOUtil.respIsOK(respDTO)) {
            List<QuestionInfo> questionInfoList = respDTO.data;
            if (ListUtil.isNotEmpty(questionInfoList)) {
                IdListVO idListVO = new IdListVO();
                List<Long> idList = questionInfoList.stream().map(i -> i.getId()).collect(Collectors.toList());
                idListVO.setIdList(idList);
                RespDTO<Boolean> cacheRespDTO = icssManServiceClient.clearCache(idListVO);
            }
        }
        return true;
    }
}
