package com.diagbot.facade;

import com.diagbot.dto.RedisWithDiagnoseDTO;
import com.diagbot.service.impl.LibraryInfoServiceImpl;
import com.diagbot.util.ListUtil;
import com.diagbot.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.data.redis.connection.RedisConnection;
import org.springframework.data.redis.core.RedisCallback;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 术语基本信息查询业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class LibraryInfoFacade extends LibraryInfoServiceImpl {

    @Autowired
    RedisTemplate<String, String> redisTemplate;

    public String loadRedisWithDiagnose() {
        StringBuffer sb = new StringBuffer();
        long time1 = System.currentTimeMillis();
        redisTemplate.delete("diagnose");
        long time2 = System.currentTimeMillis();
        sb.append("清空redis数据需要时间：").append((time2 - time1) / 1000.0);
        List<RedisWithDiagnoseDTO> libRedisVOS = this.putRedis();
        long time3 = System.currentTimeMillis();
        sb.append("秒。查询词库数据需要时间：").append((time3 - time2) / 1000.0);
        byte[] tt = "diagnose".getBytes();
        List<Object> resultList = redisTemplate.executePipelined(new RedisCallback<Object>() {
            @Override
            public String doInRedis(RedisConnection connection) throws DataAccessException {
//               1.connection 打开管道
                connection.openPipeline();
                if (ListUtil.isNotEmpty(libRedisVOS)) {
                    for (RedisWithDiagnoseDTO vo : libRedisVOS) {
                        if (StringUtil.isNotEmpty(vo.getWVal()) && StringUtil.isNotEmpty(vo.getWKey())) {
                            connection.hSet(tt, vo.getWKey().getBytes(), vo.getWVal().getBytes());
                        }
                    }
                }
                connection.closePipeline();
                return null;
            }
        });
        long time4 = System.currentTimeMillis();
        sb.append("秒。添加词库到redis需要时间：").append((time4 - time3) / 1000.0);
        sb.append("秒。总体加载需要时间：").append((time4 - time1) / 1000.0).append("秒。");
        System.out.println(sb.toString());
        return sb.toString();
    }
}
