package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.UserServiceClient;
import com.diagbot.config.CryptConfiguer;
import com.diagbot.dto.PacsSonContactListDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.service.impl.RelationServiceImpl;
import com.diagbot.util.CryptUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.PacsSonContactListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wangfeng
 * @Description: 医学术语关联业务层
 * @date 2019-10-25 14:07
 */
@Component
public class PacsSonContactFacade extends RelationServiceImpl {

    @Autowired
    private UserServiceClient userServiceClient;
    @Autowired
    private CryptConfiguer cryptConfiguer;

    /**
     * 辅检项目维护-列表
     *
     * @param pacsSonContactListVO
     * @return
     */
    public IPage<PacsSonContactListDTO> pacsSonContactList(PacsSonContactListVO pacsSonContactListVO) {
        IPage<PacsSonContactListDTO> ipage = this.baseMapper.pacsSonContactList(pacsSonContactListVO);
        if (ipage.getRecords().size() > 0) {
            List<String> ids = ipage.getRecords()
                    .stream().map(i -> i.getOperName()).distinct().collect(Collectors.toList());
            RespDTO<Map<String, String>> respDTO = userServiceClient.getUserInfoByIds(ids);
            RespDTOUtil.respNGDealCover(respDTO, "获取用户信息失败");
            ipage.getRecords().forEach(i -> {
                i.setLibName(cryptConfiguer.cryptFlag ? CryptUtil.decrypt_char(i.getLibName()) : i.getLibName());
                i.setOperName(respDTO.data.get(i.getOperName()));
                i.setLibNameType(i.getLibName() + "(" + i.getLibType() + ")");
            });
        }
        return ipage;
    }

}
