package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.GetConceptDetailListDTO;
import com.diagbot.dto.ConceptDetailDTO;
import com.diagbot.dto.ConceptIndexDTO;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.vo.GetConceptDetailListVO;
import com.diagbot.vo.ConceptIndexVO;

import java.util.List;

/**
 * <p>
 * 提示信息明细 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptDetailMapper extends BaseMapper<ConceptDetail> {

	IPage<GetConceptDetailListDTO> getConceptDetailList(GetConceptDetailListVO getConceptDetailListVO);

	public List<ConceptDetailDTO> getByParam(Long conceptId);

	/**
	 * 检索
	 *
	 * @param conceptIndexVO
	 * @return
	 */
	public List<ConceptIndexDTO> index(ConceptIndexVO conceptIndexVO);

	/**
	 * 统计
	 *
	 * @return
	 */
	public List<BIItemDTO> conDetailCount();

}
