package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.DiagnosePageDTO;
import com.diagbot.entity.Diagnose;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.DiagnosePageVO;
import com.diagbot.vo.DiagnoseSearchVO;
import com.diagbot.vo.DiseaseIndexVO;

import java.util.List;

/**
 * <p>
 * 诊断依据表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
public interface DiagnoseMapper extends BaseMapper<Diagnose> {

    /**
     * 获取诊断依据分页
     *
     * @param diagnosePageVO
     * @return
     */
    public IPage<DiagnosePageDTO> getList(DiagnosePageVO diagnosePageVO);


    /**
     * 诊断依据检索
     *
     * @param diseaseIndexVO
     * @return
     */
    public List<ConceptBaseDTO> index(DiseaseIndexVO diseaseIndexVO);


    /**
     * 批量更新主表信息
     *
     * @param diagnoseList
     */
    public void updateBatch(List<Diagnose> diagnoseList);


    /**
     * 诊断依据检索标准词和关联词
     *
     * @param diagnoseSearchVO
     */
    public List<LibraryInfo> search(DiagnoseSearchVO diagnoseSearchVO);

}
