package com.diagbot.mapper;

import java.util.List;

import com.diagbot.dto.PacsSonContactListDTO;
import com.diagbot.vo.PacsSonContactListVO;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetRelationInfoListDTO;
import com.diagbot.dto.LisSonContactListDTO;
import com.diagbot.dto.OnlyByRootListDTO;
import com.diagbot.dto.RelationNodeDTO;
import com.diagbot.dto.SingleRelationListDTO;
import com.diagbot.entity.Relation;
import com.diagbot.vo.GetRelationInfoListVO;
import com.diagbot.vo.LisSonContactListVO;
import com.diagbot.vo.OnlyByRootListVO;
import com.diagbot.vo.SingleRelationListVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationMapper extends BaseMapper<Relation> {
	
	IPage<GetRelationInfoListDTO> getRelationInfoList(GetRelationInfoListVO getRelationInfoListVO);
	
	List<RelationNodeDTO> getRelationNodeDTOs(@Param(value="conceptId")Long conceptId,@Param(value="relationId")Long relationId,@Param(value="endTypeId")Long endTypeId);
	
	/**
	 * 化验子项分页查询
	 * @param lisSonContactListVO
	 * @return
	 */
	IPage<LisSonContactListDTO> lisSonContactList(LisSonContactListVO lisSonContactListVO);
	
	/**
	 * 起始术语类型id、终点术语类型id、关系类型id
	 * @param singleRelationListVO
	 * @return
	 */
	IPage<SingleRelationListDTO> singleRelationList(SingleRelationListVO singleRelationListVO);
	
	/**
	 * 根节点术语类型id集合(起始术语类型id集合)、关系类型id
	 * @param onlyByRootListVO
	 * @return
	 */
	IPage<OnlyByRootListDTO> onlyByRootList(OnlyByRootListVO onlyByRootListVO);

	/**
	 * 辅检分页查询
	 * @param pacsSonContactListVO
	 * @return
	 */
	IPage<PacsSonContactListDTO> pacsSonContactList(PacsSonContactListVO pacsSonContactListVO);
}
