package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ScaleContentDTO;
import com.diagbot.dto.ScaleContentIndexDTO;
import com.diagbot.dto.ScaleContentPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.vo.ScaleContentIndexVO;
import com.diagbot.vo.ScaleContentPageVO;

import java.util.List;

/**
 * <p>
 * 量表内容表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
public interface ScaleContentMapper extends BaseMapper<ScaleContent> {

    /**
     * 获取量表分页
     *
     * @param scaleContentPageVO
     * @return
     */
    public IPage<ScaleContentPageDTO> getList(ScaleContentPageVO scaleContentPageVO);


    /**
     * 量表检索
     *
     * @param scaleContentIndexVO
     * @return
     */
    public List<ScaleContentIndexDTO> index(ScaleContentIndexVO scaleContentIndexVO);


    /**
     * 返回量表内容
     *
     * @param conceptId
     * @return
     */
    public List<ScaleContentDTO> getByParam(Long conceptId);
}
