package com.diagbot.rabbit;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;
import org.springframework.messaging.SubscribableChannel;

/**
 * @Description: 自定义Stream发布和消费对象
 * @author: gaodm
 * @time: 2018/8/29 13:39
 */
public interface MyProcessor {

    String INPUT_LOG = "inputLog";
    String OUTPUT_LOG = "outputLog";

    @Input(INPUT_LOG)
    SubscribableChannel inputLog();

    @Output(OUTPUT_LOG)
    MessageChannel outputLog();

    String INPUT_WORD = "inputWord";
    String OUTPUT_WORD = "outputWord";

    @Input(INPUT_WORD)
    SubscribableChannel inputWord();

    @Output(OUTPUT_WORD)
    MessageChannel outputWord();
}
