package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.ConceptDetailDTO;
import com.diagbot.dto.ConceptIndexDTO;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.vo.ConceptIndexVO;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptDetailService extends IService<ConceptDetail> {

    /**
     * 返回内容
     *
     * @param conceptId
     * @return
     */
    public List<ConceptDetailDTO> getByParam(Long conceptId);


    /**
     * 检索
     *
     * @param conceptIndexVO
     * @return
     */
    public List<ConceptIndexDTO> index(ConceptIndexVO conceptIndexVO);

    /**
     * 统计
     *
     * @return
     */
    public List<BIItemDTO> conDetailCount();
}
