package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.diagbot.entity.wrapper.ConceptWrapper;
import com.diagbot.vo.IndexLexiconVO;
import com.diagbot.vo.IndexVO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptService extends IService<Concept> {

    /**
     * 获取概念-关系-概念
     *
     * @param conceptWrapper 查询参数
     * @return 起点术语和终点术语
     */

    List<ConceptRes> getConcept(ConceptWrapper conceptWrapper);

    /**
     * 获取带排序概念-关系-概念
     *
     * @param conceptWrapper 查询参数
     * @return 起点术语和终点术语以及排序号
     */
    List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper);


    /**
     * 检索
     *
     * @param indexVO 查询参数
     * @return 检索结果
     */
    List<ConceptBaseDTO> index(IndexVO indexVO);


    /**
     * 根据名称和词性检索
     *
     * @param indexLexiconVO
     * @return
     */
    List<ConceptBaseDTO> indexByLexicon(IndexLexiconVO indexLexiconVO);


}
