package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LisMappingPageDTO;
import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import com.diagbot.vo.LisMappingPageVO;
import com.diagbot.vo.LisMappingSearch;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 化验项目公表映射 服务类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-19
 */
public interface LisMappingService extends IService<LisMapping> {
    /**
     * 获取化验公表映射分页
     *
     * @param lisMappingPageVO
     * @return
     */
    IPage<LisMappingPageDTO> lisMappingPage(@Param("lisMappingPageVO") LisMappingPageVO lisMappingPageVO);

    /**
     * 根据套餐和明细项获取化验公表
     *
     * @param lisMappingSearchList
     * @return
     */
    public List<LisMappingSearch> getUniqueName(List<LisMappingSearch> lisMappingSearchList);


    /**
     * 加载全部公表项数据
     *
     * @return 返回公表项内容，格式：套餐__明细__公表项
     */
    public Set<String> loadLisMapping();

    /**
     * 获取化验公表映射
     *
     * @param map
     * @return
     */
    List<LisMappingWrapper> getLisMappingByName(Map map);
}