package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ScaleContentDTO;
import com.diagbot.dto.ScaleContentIndexDTO;
import com.diagbot.dto.ScaleContentPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.vo.ScaleContentIndexVO;
import com.diagbot.vo.ScaleContentPageVO;

import java.util.List;

/**
 * <p>
 * 量表内容表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
public interface ScaleContentService extends IService<ScaleContent> {

    /**
     * 获取量表分页
     *
     * @param scaleContentPageVO
     * @return
     */
    IPage<ScaleContentPageDTO> getList(ScaleContentPageVO scaleContentPageVO);


    /**
     * 量表检索
     *
     * @param scaleContentIndexVO
     * @return
     */
    public List<ScaleContentIndexDTO> index(ScaleContentIndexVO scaleContentIndexVO);


    /**
     * 返回量表内容
     *
     * @param conceptId
     * @return
     */
    public List<ScaleContentDTO> getByParam(Long conceptId);
}
