package com.diagbot.service.impl;

import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.ConceptDetailDTO;
import com.diagbot.dto.ConceptIndexDTO;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.vo.ConceptIndexVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.mapper.ConceptDetailMapper;
import com.diagbot.service.ConceptDetailService;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class ConceptDetailServiceImpl extends ServiceImpl<ConceptDetailMapper, ConceptDetail> implements ConceptDetailService {


    @Override
    public List<ConceptDetailDTO> getByParam(Long conceptId) {
        return baseMapper.getByParam(conceptId);
    }

    @Override
    public List<ConceptIndexDTO> index(ConceptIndexVO conceptIndexVO) {
        return baseMapper.index(conceptIndexVO);
    }


    /**
     * 统计
     *
     * @return
     */
    @Override
    public List<BIItemDTO> conDetailCount() {
        return baseMapper.conDetailCount();
    }
}
