package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.diagbot.entity.wrapper.ConceptWrapper;
import com.diagbot.mapper.ConceptMapper;
import com.diagbot.service.ConceptService;
import com.diagbot.vo.IndexLexiconVO;
import com.diagbot.vo.IndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class ConceptServiceImpl extends ServiceImpl<ConceptMapper, Concept> implements ConceptService {

    /**
     * 获取概念-关系-概念
     *
     * @param conceptWrapper 查询参数
     * @return 起点术语和终点术语
     */
    @Override
    public List<ConceptRes> getConcept(ConceptWrapper conceptWrapper) {
        return baseMapper.getConcept(conceptWrapper);
    }

    /**
     * 获取带排序概念-关系-概念
     *
     * @param conceptWrapper 查询参数
     * @return 起点术语和终点术语以及排序号
     */
    @Override
    public List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper) {
        return baseMapper.getConceptWithOrder(conceptWrapper);
    }

    @Override
    public List<ConceptBaseDTO> index(IndexVO indexVO) {
        return baseMapper.index(indexVO);
    }

    @Override
    public List<ConceptBaseDTO> indexByLexicon(IndexLexiconVO indexLexiconVO) {
        return baseMapper.indexByLexicon(indexLexiconVO);
    }
}
