package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.DiagnosePageDTO;
import com.diagbot.entity.Diagnose;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.DiagnoseMapper;
import com.diagbot.service.DiagnoseService;
import com.diagbot.vo.DiagnosePageVO;
import com.diagbot.vo.DiagnoseSearchVO;
import com.diagbot.vo.DiseaseIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Service
public class DiagnoseServiceImpl extends ServiceImpl<DiagnoseMapper, Diagnose> implements DiagnoseService {

    @Override
    public IPage<DiagnosePageDTO> getList(DiagnosePageVO diagnosePageVO) {
        return baseMapper.getList(diagnosePageVO);
    }

    @Override
    public List<ConceptBaseDTO> index(DiseaseIndexVO diseaseIndexVO) {
        return baseMapper.index(diseaseIndexVO);
    }

    @Override
    public void updateBatch(List<Diagnose> diagnoseList) {
        baseMapper.updateBatch(diagnoseList);
    }

    @Override
    public List<LibraryInfo> search(DiagnoseSearchVO diagnoseSearchVO) {
        return baseMapper.search(diagnoseSearchVO);
    }
}
