package com.diagbot.service.impl;

import com.diagbot.enums.DiagnoseFeatureTypeEnum;
import com.diagbot.enums.DiagnoseFieldEnum;
import com.diagbot.enums.DiagnoseTypeEnum;
import com.diagbot.enums.DisclaimerCodeEnum;
import com.diagbot.enums.HasQuestionEnum;
import com.diagbot.enums.LexiconRSTypeEnum;
import com.diagbot.enums.LexiconTypeEnum;
import com.diagbot.enums.PositionTypeEnum;
import com.diagbot.enums.ProductTypeEnum;
import com.diagbot.enums.RelationModelTypeEnum;
import com.diagbot.enums.RuleAppTypeEnum;
import com.diagbot.service.EnumsDataService;
import com.diagbot.util.EnumEntriesBuilder;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 枚举数据接口是实现类
 * @author: gaodm
 * @time: 2018/9/19 14:27
 */
@Service
public class EnumsDataServiceImpl implements EnumsDataService {

    /**
     * 用户枚举数据获取
     *
     * @return 用户枚举类map
     */
    @Override
    public Map<String, List<EnumEntriesBuilder.Entry>> getEnumsData() {
        Map<String, List<EnumEntriesBuilder.Entry>> enumMap = new EnumEntriesBuilder()
                .addEnums("disclaimerCodeAllEnum", DisclaimerCodeEnum.values())
                .addEnums("disclaimerCodeEnum",
                        DisclaimerCodeEnum.PushLiability, DisclaimerCodeEnum.Disclaimer,
                        DisclaimerCodeEnum.PrecTips)
                .addEnums("positionTypeEnum", PositionTypeEnum.values())
                .addEnums("lexiconRSTypeEnum",
                        LexiconRSTypeEnum.INCLUDE_OF, LexiconRSTypeEnum.PUSH)
                .addEnums("lexiconTypeEnum", LexiconTypeEnum.values())
                .addEnums("productTypeEnum", ProductTypeEnum.values())
                .addEnums("concatLexiconTypeEnum",
                        LexiconTypeEnum.SYMPTOM, LexiconTypeEnum.BODYPART,
                        LexiconTypeEnum.LIS_PACKAGE, LexiconTypeEnum.PACS_PACKAGE,
                        LexiconTypeEnum.PACS_ITEMS, LexiconTypeEnum.DIAGNOSIS,
                        LexiconTypeEnum.PACS_CATEGORY_BIG, LexiconTypeEnum.PACS_CATEGORY_SMALL,
                        LexiconTypeEnum.DEPARTMENT, LexiconTypeEnum.GAUGE,
                        LexiconTypeEnum.SIDE_EFFECTS, LexiconTypeEnum.CORE_INDICATORS,
                        LexiconTypeEnum.LIS_TABLES)
                .addEnums("conceptDetailLexiconTypeEnum",
                        LexiconTypeEnum.DIAGNOSIS, LexiconTypeEnum.LIS_TABLES,
                        LexiconTypeEnum.PACS_ITEMS, LexiconTypeEnum.DRUGS,
                        LexiconTypeEnum.SIDE_EFFECTS, LexiconTypeEnum.SYMPTOM,
                        LexiconTypeEnum.OPERATION,
                        // LexiconTypeEnum.GUIDELINES_OUTPATIENT,
                        // LexiconTypeEnum.GUIDELINES_HOS,
                        LexiconTypeEnum.NURSE,
                        LexiconTypeEnum.CLINICAL_PATHWAY, LexiconTypeEnum.BLOOD,
                        LexiconTypeEnum.ANESTHESIA, LexiconTypeEnum.TUTELAGE,
                        LexiconTypeEnum.TCM, LexiconTypeEnum.THE_DIVISION_PROCESS,
                        LexiconTypeEnum.CENSORSHIP_RULES, LexiconTypeEnum.E_BOOK,
                        LexiconTypeEnum.VIDEO)
                .addEnums("conceptDetailLisPacsOnlyEnum",
                        LexiconTypeEnum.LIS_TABLES, LexiconTypeEnum.PACS_ITEMS)
                .addEnums("relationModelTypeEnum", RelationModelTypeEnum.values())
                .addEnums("diagnoseFeatureTypeEnum", DiagnoseFeatureTypeEnum.values())
                .addEnums("diagnoseFieldEnum", DiagnoseFieldEnum.values())
                .addEnums("diagnoseTypeEnum", DiagnoseTypeEnum.values())
                .addEnums("hasQuestionEnum", HasQuestionEnum.values())
                .addEnums("ruleAppTypeEnum", RuleAppTypeEnum.values())
                .build();
        return enumMap;
    }
}
