package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.LisMappingPageDTO;
import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import com.diagbot.mapper.LisMappingMapper;
import com.diagbot.service.LisMappingService;
import com.diagbot.vo.LisMappingPageVO;
import com.diagbot.vo.LisMappingSearch;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 化验项目公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-19
 */
@Service
public class LisMappingServiceImpl extends ServiceImpl<LisMappingMapper, LisMapping> implements LisMappingService {
    /**
     * 获取化验公表映射分页
     *
     * @param lisMappingPageVO
     * @return
     */
    public IPage<LisMappingPageDTO> lisMappingPage(@Param("lisMappingPageVO") LisMappingPageVO lisMappingPageVO) {
        return this.baseMapper.lisMappingPage(lisMappingPageVO);
    }

    /**
     * 获取化验公表映射
     *
     * @param map
     * @return
     */
    public List<LisMappingWrapper> getLisMappingByName(Map map) {
        return this.baseMapper.getLisMappingByName(map);
    }

    /**
     * 根据套餐和明细项获取化验公表
     *
     * @param lisMappingSearchList
     * @return
     */
    public List<LisMappingSearch> getUniqueName(List<LisMappingSearch> lisMappingSearchList) {
        return this.baseMapper.getUniqueName(lisMappingSearchList);
    }

    /**
     * 加载全部公表项数据
     *
     * @return 返回公表项内容，格式：套餐__明细__公表项
     */
    public Set<String> loadLisMapping() {
        return this.baseMapper.loadLisMapping();
    }
}
