package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class AddConceptDetailVO {
	
	/**
     * 概念id
     */
	@NotNull(message="概念id必填")
	@ApiModelProperty(value="概念id",required=true)
    private Long conceptId;

    /**
     * 提示明细标题
     */
	@NotBlank(message="提示明细标题必填")
	@ApiModelProperty(value="提示明细标题",required=true)
    private String title;

    /**
     * 提示明细内容
     */
	@ApiModelProperty(value="提示明细内容")
    private String content;

    /**
     * 纯文本
     */
	@ApiModelProperty(value="纯文本")
    private String text;

    /**
     * 提示明细序号
     */
	@ApiModelProperty(value="提示明细序号")
    private Integer orderNo;

    /**
     * 显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书
     */
	@NotBlank(message="显示位置必填")
	@ApiModelProperty(value="显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书")
    private String position;

    /**
     * 是否诊断依据（1-是，0-否）
     */
	@NotNull(message="是否诊断依据必填")
	@ApiModelProperty(value="是否诊断依据（1-是，0-否）",required=true)
	@Range(max=1,min=0,message="是否诊断依据必须是0或者1")
    private Integer isReason;
	
	
	

}