package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.diagbot.annotation.CryptField;
import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddConceptInfoDetailVO {
	
	/**
     * 术语名称
     */
	@CryptField
	@ApiModelProperty(value="术语名称",required=true)
	@NotBlank(message="术语名称必传")
    private String name;
	
    /**
     * 术语拼音
     */
	@CryptField
	@ApiModelProperty(value="术语拼音")
    private String spell;
	
    /**
     * 是否标准词,1:是,0:否
     */
	@ApiModelProperty(value="是否标准词",required=true)
	@NotNull(message="是否标准词必传")
	@Range(max=1,min=0,message="是否标准词必须是0或1")
    private Integer isConcept;
	
    /**
     * 术语说明
     */
	@ApiModelProperty(value="术语说明")
    private String remark;
	
    /**
     * 术语类型
     */
    private String type;

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((type == null) ? 0 : type.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AddConceptInfoDetailVO other = (AddConceptInfoDetailVO) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (type == null) {
			if (other.type != null)
				return false;
		} else if (!type.equals(other.type))
			return false;
		return true;
	}
    
    

}
