package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddRelationInfoVO {

	/**
	 * 关系起点术语名称
	 */
	@NotBlank(message = "关系起点术语名称必填")
	@ApiModelProperty(value = "关系起点术语名称", required = true)
	private String startName;

	/**
	 * 关系起点术语类型
	 */
	@NotBlank(message = "关系起点术语类型必填")
	@ApiModelProperty(value = "关系起点术语类型", required = true)
	private String startType;

	/**
	 * 关系终点术语名称
	 */
	@NotBlank(message = "关系终点术语名称必填")
	@ApiModelProperty(value = "关系终点术语名称", required = true)
	private String endName;

	/**
	 * 关系终点术语类型
	 */
	@NotBlank(message = "关系终点术语类型必填")
	@ApiModelProperty(value = "关系终点术语类型", required = true)
	private String endType;

	/**
	 * 关系名称
	 */
	@NotBlank(message = "关系名称必填")
	@ApiModelProperty(value = "关系名称", required = true)
	private String relationName;
	
	private int lineNum;
	
	public AddRelationInfoVO() {
		super();
	}
	
	public AddRelationInfoVO(@NotBlank(message = "关系起点术语名称必填") String startName,
			@NotBlank(message = "关系起点术语类型必填") String startType, @NotBlank(message = "关系终点术语名称必填") String endName,
			@NotBlank(message = "关系终点术语类型必填") String endType, @NotBlank(message = "关系名称必填") String relationName,
			int lineNum) {
		super();
		this.startName = startName;
		this.startType = startType;
		this.endName = endName;
		this.endType = endType;
		this.relationName = relationName;
		this.lineNum = lineNum;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((endName == null) ? 0 : endName.hashCode());
		result = prime * result + ((endType == null) ? 0 : endType.hashCode());
		result = prime * result + ((relationName == null) ? 0 : relationName.hashCode());
		result = prime * result + ((startName == null) ? 0 : startName.hashCode());
		result = prime * result + ((startType == null) ? 0 : startType.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AddRelationInfoVO other = (AddRelationInfoVO) obj;
		if (endName == null) {
			if (other.endName != null)
				return false;
		} else if (!endName.equals(other.endName))
			return false;
		if (endType == null) {
			if (other.endType != null)
				return false;
		} else if (!endType.equals(other.endType))
			return false;
		if (relationName == null) {
			if (other.relationName != null)
				return false;
		} else if (!relationName.equals(other.relationName))
			return false;
		if (startName == null) {
			if (other.startName != null)
				return false;
		} else if (!startName.equals(other.startName))
			return false;
		if (startType == null) {
			if (other.startType != null)
				return false;
		} else if (!startType.equals(other.startType))
			return false;
		return true;
	}

}
