package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import com.diagbot.entity.DiagnoseDetailSave;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 诊断依据表入参
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
@ApiModel(value = "诊断依据标准词和关联搜索入参")
public class DiagnoseSearchVO implements Serializable {

    @ApiModelProperty(value = "搜索类型")
    @NotNull(message="搜索类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "搜索区域，2：标准词，3：关联词")
    @NotNull(message="搜索区域不能为空，2：标准词，3：关联词")
    private Integer field;

    @ApiModelProperty(value = "搜索内容")
    @NotBlank(message="搜索内容不能为空")
    @CryptField
    private String name;

    @ApiModelProperty(hidden = true, value = "搜索的类型")
    private List<Integer> typeList;
}
