package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description:
 * @author: ztg
 * @date: 2019/5/9 11:27
 */
@Getter
@Setter
@ApiModel
public class DiseaseIndexVO {
    @ApiModelProperty(value = "诊断名称")
    @NotBlank(message="诊断名称不能为空")
    private String name;

    @ApiModelProperty(value = "诊断类型，值为18", hidden = true)
    @NotNull(message="诊断名称不能为空")
    private int libType;

    @ApiModelProperty(value = "已保存诊断列表", hidden = true)
    private List<String> disNamList;

}
