package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllInformationVO {
	
    /**
     * 每页显示条数，默认 10
     */
    private long size = 10;
    
    /**
     * 当前页
     */
    private long current = 1;
    
    /**
     * 标准术语名称
     */
    @CryptField
    @ApiModelProperty(value="标准术语名称")
    private String name;
    
    /**
     * 同义词名称
     */
    @CryptField
    @ApiModelProperty(value="同义词名称")
    private String libName;

    /**
     * 术语类型
     */
    @ApiModelProperty(value="术语类型")
    private String type;
    
    /**
     * 状态：Y-已删除，N-启用中
     */
	@ApiModelProperty(value="状态：Y-已删除，N-启用中")
	private String isDeleted;
    
}