package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Getter
@Setter
public class OnlyByRootListVO extends Page {
    
    /**
     * 标准术语名称
     */
    @CryptField
    @ApiModelProperty(value="标准术语名称")
    private String name;
    
    /**
     * 根节点术语类型id集合(起始术语类型id集合)
     */
    @NotEmpty(message="根节点术语类型id集合(起始术语类型id集合)必传")
    @ApiModelProperty(value="根节点术语类型id集合(起始术语类型id集合)")
    private List<Long> startTypeIds;
    
    /**
     * 关系类型id
     */
    @NotNull(message="关系类型id必传")
    @ApiModelProperty(value="关系类型id")
    private Long relationId;

    /**
     * 仅有根时是否列出，1-是，0-否
     */
    @ApiModelProperty(value="仅有根时是否列出，1-是，0-否")
    private Integer isOnlyHasRoot = 1;


    
    
}