package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Getter
@Setter
public class SingleRelationListVO extends Page {
    
    /**
     * 标准术语名称
     */
    @CryptField
    @ApiModelProperty(value="标准术语名称")
    private String name;
    
    /**
     * 关系模块类型编码：科室常用、化验常用、辅检常用、诊断关联量表
     */
    @NotBlank(message="关系模块类型编码必传")
    @ApiModelProperty(value="关系模块类型编码：科室常用、化验常用、辅检常用、诊断关联量表")
    private String relationModelTypeCode;

    /**
     * 起始术语类型id
     */
    @ApiModelProperty(value="起始术语类型id")
    private Long startTypeId;
    
    /**
     * 终点术语类型id
     */
    @ApiModelProperty(value="终点术语类型id")
    private Long endTypeId;
    
    /**
     * 关系类型id
     */
    @NotNull(message="关系类型id必传")
    @ApiModelProperty(value="关系类型id")
    private Long relationId;
    
    
    
}