package com.diagbot.web;

import com.diagbot.annotation.SysLoggerExport;
import com.diagbot.facade.DiagnoseImportFacade;
import com.diagbot.util.GsonUtil;
import com.diagbot.vo.DiagnosticAllExportVO;
import com.diagbot.vo.DiagnosticBasisExportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import springfox.documentation.annotations.ApiIgnore;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年8月8日 下午1:26:22
 */
@RestController
@RequestMapping("/diagnose")
@Api(value = "知识库标准化-诊断依据导出相关API[by:wangfeng]", tags = { "知识库标准化-诊断依据导出相关API——WF" })
@SuppressWarnings("unchecked")
public class DiagnoseExportImportController {

    @Autowired
    DiagnoseImportFacade diagnoseImportFacade;

    @ApiOperation(value = "导入诊断依据数据:[by:wangfeng]", notes = "导入诊断依据数据")
    @PostMapping(value = "/importDiagnosticBasis", produces = "text/html;charset=utf-8")
    @ApiIgnore
    public String importDiagnosticBasis(@RequestParam("uploadfile") MultipartFile file, HttpServletRequest request) {
        return GsonUtil.toJson(diagnoseImportFacade.importDiagnosticBasisAll(file, request));
    }

    @ApiOperation(value = "导出诊断依据问题:[by:wangfeng]", notes = "导出诊断依据问题")
    @PostMapping("/exportDiagnosticBasis")
    @SysLoggerExport("exportDiagnosticBasis")
    @ResponseBody
    public void exportDiagnosticBasis(@RequestBody DiagnosticBasisExportVO diaExportVO,
                                      HttpServletRequest request,
                                      HttpServletResponse response)
            throws Exception {
        diagnoseImportFacade.exportDiagnosticBasis(diaExportVO, response);

    }

    @ApiOperation(value = "导出诊断依据:[by:wangfeng]", notes = "导出诊断依据")
    @PostMapping("/exportDiagnosticAll")
    @SysLoggerExport("exportDiagnosticAll")
    @ResponseBody
    public void exportDiagnosticAll(@RequestBody DiagnosticAllExportVO diaAllExportVO,
                                    HttpServletRequest request,
                                    HttpServletResponse response)
            throws Exception {
        diagnoseImportFacade.exportDiagnosticAll(diaAllExportVO, response);

    }
}
