package com.diagbot.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DiagnoseQuestionPageDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DiagnoseQuestionFacade;
import com.diagbot.vo.DiagnoseQuestionPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 诊断依据问题词表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@RestController
@RequestMapping("/diagnoseQuestion")
@Api(value = "知识库标准化-问题词数据维护相关API[by:wangfeng]", tags = { "知识库标准化-问题词数据维护相关API——WF" })
public class DiagnoseQuestionController {

    @Autowired
    DiagnoseQuestionFacade diagnoseQuestionFacade;

    @ApiOperation(value = "诊断依据问题词数据维护-分页查询[by:wangfeng]")
    @PostMapping("/queryQuestionPage")
    @SysLogger("queryQuestionPage")
    @Transactional
    public RespDTO<IPage<DiagnoseQuestionPageDTO>> queryQuestionPage(@RequestBody DiagnoseQuestionPageVO diagnoseQuestionPageVO) {

        IPage<DiagnoseQuestionPageDTO> data = diagnoseQuestionFacade.queryQuestionPage(diagnoseQuestionPageVO);
        return RespDTO.onSuc(data);
    }

}
