package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EndeFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 加解密处理数据
 * @Author:zhoutg
 * @time: 2019/8/20 15:35
 */
@RestController
@Api(value = "加解密处理数据", tags = { "加解密处理数据API" })
@RequestMapping(value = "/ende")
@SuppressWarnings("unchecked")
public class EndeController {

    @Autowired
    EndeFacade endeFacade;

    @ApiOperation(value = "验证library数据，用于验证加密算法[by:zhoutg]",
            notes = "")
    @PostMapping("/verifyLibrary")
    @SysLogger("verifyLibrary")
    @Transactional
    public RespDTO<String> verifyLibrary() {
        String msg = endeFacade.verifyLibrary();
        return RespDTO.onSuc(msg);
    }


    @ApiOperation(value = "验证concept数据，用于验证加密算法[by:zhoutg]",
            notes = "")
    @PostMapping("/verifyConcept")
    @SysLogger("verifyConcept")
    @Transactional
    public RespDTO<String> verifyConcept() {
        String msg = endeFacade.verifyConcept();
        return RespDTO.onSuc(msg);
    }


    @ApiOperation(value = "替换library数据，替换真实数据[by:zhoutg]",
            notes = "")
    @PostMapping("/dealLibrary")
    @SysLogger("dealLibrary")
    @Transactional
    public RespDTO<String> dealLibrary() {
        String msg = endeFacade.dealLibrary();
        return RespDTO.onSuc(msg);
    }


    @ApiOperation(value = "替换concept数据，替换真实数据[by:zhoutg]",
            notes = "")
    @PostMapping("/dealConcept")
    @SysLogger("dealConcept")
    @Transactional
    public RespDTO<String> dealConcept() {
        String msg = endeFacade.dealConcept();
        return RespDTO.onSuc(msg);
    }
}
