package com.diagbot.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.PacsSonContactListDTO;
import com.diagbot.dto.RelationNodeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PacsSonContactFacade;
import com.diagbot.facade.RelationContactFacade;
import com.diagbot.vo.PacsSonContactListVO;
import com.diagbot.vo.RelationContactDetailVO;
import com.diagbot.vo.RelationNodeVO;
import com.diagbot.vo.RemoveRelationContactVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @author wangfeng
 * @Description:
 * @date 2019-10-25
 */

@RestController
@RequestMapping("/pacsSonContact")
@SuppressWarnings("unchecked")
@Api(value = "辅检项目维护相关API", tags = { "知识库标准化-辅检项目维护相关API" })
public class PacsSonContactController {
    @Autowired
    private RelationContactFacade relationContactFacade;
    @Autowired
    private PacsSonContactFacade pacsSonContactFacade;

    @ApiOperation(value = "知识库标准化-辅检项目维护-列表[by:wangfeng]")
    @PostMapping("/pacsSonContactList")
    @SysLogger("pacsSonContactList")
    public RespDTO<IPage<PacsSonContactListDTO>> pacsSonContactList(@RequestBody PacsSonContactListVO pacsSonContactListVO) {
        return RespDTO.onSuc(pacsSonContactFacade.pacsSonContactList(pacsSonContactListVO));
    }

    @ApiOperation(value = "知识库标准化-辅检项目维护-添加或者编辑[by:wangfeng]")
    @PostMapping("/addPacsRelation")
    @SysLogger("addPacsRelation")
    @Transactional
    public RespDTO<Boolean> addPacsRelation(@Valid @RequestBody RelationNodeVO relationNodeVO) {
        return RespDTO.onSuc(relationContactFacade.addRelation(relationNodeVO));
    }

    @ApiOperation(value = "知识库标准化-辅检项目维护-详情[by:wangfeng]")
    @PostMapping("/getPacsContactDetail")
    @SysLogger("getPacsContactDetail")
    public RespDTO<RelationNodeDTO> getPacsContactDetail(@Valid @RequestBody RelationContactDetailVO relationContactDetailVO) {
        return RespDTO.onSuc(relationContactFacade.relationContactDetail(relationContactDetailVO));
    }

    @ApiOperation(value = "知识库标准化-辅检项目维护-删除或者恢复[by:wangfeng]")
    @PostMapping("/removeRelationPacs")
    @SysLogger("removeRelationPacs")
    @Transactional
    public RespDTO<Boolean> removeRelationPacs(@Valid @RequestBody RemoveRelationContactVO removeRelationContactVO) {
        return RespDTO.onSuc(relationContactFacade.removeRelationContact(removeRelationContactVO));
    }

}
