package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RuleAppDTO;
import com.diagbot.facade.RuleAppFacade;
import com.diagbot.vo.RuleAppIdVO;
import com.diagbot.vo.RuleAppPageVO;
import com.diagbot.vo.RuleAppSaveVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-01-30
 */
@RestController
@Api(value = "规则应用ruleApp API", tags = { "规则应用ruleApp API" })
@SuppressWarnings("unchecked")
@RequestMapping("/ruleApp")
public class RuleAppController {
    @Autowired
    private RuleAppFacade ruleAppFacade;

    @ApiOperation(value = "规则应用ruleApp列表[by:gaodm]")
    @PostMapping("/pageRuleApp")
    @SysLogger("pageRuleApp")
    public RespDTO<IPage<RuleAppDTO>> pageRuleApp(@RequestBody RuleAppPageVO ruleAppPageVO) {
        return RespDTO.onSuc(ruleAppFacade.pageRuleApp(ruleAppPageVO));
    }

    @ApiOperation(value = "删除规则应用ruleApp[by:rengb]")
    @PostMapping("/removeRuleApp")
    @SysLogger("removeRuleApp")
    @Transactional
    public RespDTO<Boolean> removeRuleApp(@Valid @RequestBody RuleAppIdVO ruleAppIdVO) {
        return RespDTO.onSuc(ruleAppFacade.removeRuleApp(ruleAppIdVO));
    }

    @ApiOperation(value = "获取规则应用ruleApp详情[by:gaodm]")
    @PostMapping("/getRuleApp")
    @SysLogger("geteRuleApp")
    public RespDTO<RuleAppDTO> getRuleApp(@Valid @RequestBody RuleAppIdVO ruleAppIdVO) {
        return RespDTO.onSuc(ruleAppFacade.getRuleApp(ruleAppIdVO));
    }

    @ApiOperation(value = "规则应用ruleApp添加或者编辑[by:gaodm]")
    @PostMapping("/saveRuleApp")
    @SysLogger("saveRuleApp")
    @Transactional
    public RespDTO<Boolean> saveRuleApp(@RequestBody RuleAppSaveVO ruleAppSaveVO) {
        return RespDTO.onSuc(ruleAppFacade.saveRuleApp(ruleAppSaveVO));
    }
}
