package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RulePubDTO;
import com.diagbot.facade.RulePubFacade;
import com.diagbot.vo.RulePubIdVO;
import com.diagbot.vo.RulePubPageVO;
import com.diagbot.vo.RulePubSaveVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-30
 */
@RestController
@Api(value = "规则维护rulePub API", tags = { "规则维护rulePub API" })
@SuppressWarnings("unchecked")
@RequestMapping("/rulePub")
public class RulePubController {
    @Autowired
    private RulePubFacade rulePubFacade;

    @ApiOperation(value = "规则维护rulePub列表[by:gaodm]")
    @PostMapping("/pageRulePub")
    @SysLogger("pageRulePub")
    public RespDTO<IPage<RulePubDTO>> pageRulePub(@RequestBody RulePubPageVO rulePubPageVO) {
        return RespDTO.onSuc(rulePubFacade.pageRulePub(rulePubPageVO));
    }

    @ApiOperation(value = "删除规则维护rulePub[by:rengb]")
    @PostMapping("/removeRulePub")
    @SysLogger("removeRulePub")
    @Transactional
    public RespDTO<Boolean> removeRulePub(@Valid @RequestBody RulePubIdVO rulePubIdVO) {
        return RespDTO.onSuc(rulePubFacade.removeRulePub(rulePubIdVO));
    }

    @ApiOperation(value = "获取规则维护rulePub详情[by:gaodm]")
    @PostMapping("/getRulePub")
    @SysLogger("geteRulePub")
    public RespDTO<RulePubDTO> getRulePub(@Valid @RequestBody RulePubIdVO rulePubIdVO) {
        return RespDTO.onSuc(rulePubFacade.getRulePub(rulePubIdVO));
    }

    @ApiOperation(value = "规则维护rulePub添加或者编辑[by:gaodm]")
    @PostMapping("/saveRulePub")
    @SysLogger("saveRulePub")
    @Transactional
    public RespDTO<Boolean> saveRulePub(@RequestBody RulePubSaveVO rulePubSaveVO) {
        return RespDTO.onSuc(rulePubFacade.saveRulePub(rulePubSaveVO));
    }

}
