package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SimilarLibraryDTO;
import com.diagbot.facade.SimilarFacade;
import com.diagbot.vo.SimilarLibraryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/28 15:41
 */
@RestController
@RequestMapping("/similar")
@SuppressWarnings("unchecked")
@Api(value = "相似词相关API", tags = { "知识库标准化-相似词相关API" })
public class SimilarController {
    @Autowired
    SimilarFacade similarFacade;

    @ApiOperation(value = "知识库标准化-相似词检索[by:zhaops]",
            notes = "inputStr： 术语名称(必填)<br>")
    @PostMapping("/getSimilarList")
    @SysLogger("getSimilarList")
    public RespDTO<List<SimilarLibraryDTO>> getSimilarList(@RequestBody SimilarLibraryVO similarLibraryVO) {
        return RespDTO.onSuc(similarFacade.getSimilarList(similarLibraryVO.getInputStr()));
    }
}