package com.diagbot.rabbit;

import com.diagbot.entity.BiRecord;
import com.diagbot.entity.SysLog;
import com.diagbot.facade.BiRecordFacade;
import com.diagbot.facade.SysLogFacade;
import com.diagbot.util.GsonUtil;
import com.diagbot.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.stream.annotation.EnableBinding;
import org.springframework.cloud.stream.annotation.StreamListener;

/**
 * @Description: 消费者
 * @author: gaodm
 * @time: 2018/8/29 14:02
 */
@EnableBinding({ MyProcessor.class })
public class MyReceiver {
    @Autowired
    private SysLogFacade sysLogFacade;

    @Autowired
    private BiRecordFacade biRecordFacade;

    @StreamListener(MyProcessor.INPUT_LOG)
    public void inputLog(String message) {
        SysLog sysLog = GsonUtil.toObject(message, SysLog.class);
        sysLogFacade.save(sysLog);
    }

    @StreamListener(MyProcessor.INPUT_BI_LOG)
    public void inputBiLog(String message) {
        BiRecord biRecord = GsonUtil.toObject(message, BiRecord.class);
        biRecordFacade.save(biRecord);
    }
}
