package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.biz.push.enums.FeatureTypeEnum;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.PushVO;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/9 15:40
 */
@Component
public class AssembleFacade {

    /**
     * 拼装数据
     *
     * @param pushVO
     * @return SearchData
     */
    public SearchVO assembleData(PushVO pushVO) {
        SearchVO searchVO = new SearchVO();
        BeanUtil.copyProperties(pushVO, searchVO);
        searchVO.setSysCode("1");
        searchVO.setLength(10);
        searchVO.setSysType(SysTypeEnum.LTAPI_SERVICE.getKey());

        //规则过滤
        String ruleType = searchVO.getRuleType();
        if (StringUtil.isBlank(ruleType)) {
            String[] featureTypes = searchVO.getFeatureType().split(",|，");
            List<String> featureTypeList = Arrays.asList(featureTypes);
            if (featureTypeList.contains(FeatureTypeEnum.Feature_Type_Indication.getKey())) {
                ruleType += "1,2,6";
            } else if (featureTypeList.contains(FeatureTypeEnum.Feature_Type_ManagementEvaluation.getKey())) {
                if (StringUtil.isNotBlank(ruleType)) {
                    ruleType += ",";
                }
                ruleType += "3";
            } else if (featureTypeList.contains(FeatureTypeEnum.Feature_Type_Treat.getKey())) {
                if (StringUtil.isNotBlank(ruleType)) {
                    ruleType += ",";
                }
                ruleType += "4,5";
            }
            searchVO.setRuleType(ruleType);
        }
        return searchVO;
    }
}