package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.util.ListUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.ConceptIntroduceVO;
import com.diagbot.vo.ConnectIntroduceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/14 9:49
 */
@Component
public class ConceptDetailFacade {
    @Autowired
    private AiptServiceClient aiptServiceClient;

    public ConceptIntroduceDTO getConceptDetail(ConceptIntroduceVO conceptIntroduceVO) {
        RespDTO<ConceptIntroduceDTO> res = aiptServiceClient.getConceptDetail(conceptIntroduceVO);
        RespDTOUtil.respNGDeal(res, "获取提示信息失败");
        return res.data;
    }

    /**
     * 获取对接静态知识
     *
     * @param connectIntroduceVO
     * @return
     */
    public List<ConceptIntroduceDTO> getConnectConceptDetails(ConnectIntroduceVO connectIntroduceVO) {
        connectIntroduceVO.setSysType(SysTypeEnum.LTAPI_SERVICE.getKey());
        RespDTO<List<ConceptIntroduceDTO>> respDTO = aiptServiceClient.getConnectConceptDetails(connectIntroduceVO);
        RespDTOUtil.respNGDeal(respDTO, "获取提示信息失败");
        List<ConceptIntroduceDTO> data = respDTO.data;
        if (ListUtil.isNotEmpty(data)) {
            for (ConceptIntroduceDTO conceptIntroduceDTO : data) {
                String clientName
                        = connectIntroduceVO.getName()
                        + (StringUtil.isNotBlank(connectIntroduceVO.getDetailName()) == true
                        ? "(" + connectIntroduceVO.getDetailName() + ")"
                        : "");
                conceptIntroduceDTO.setClientName(clientName);
            }
        }
        return data;
    }
}
