package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:获取提示信息入参
 * @Author:zhaops
 * @time: 2019/5/6 15:43
 */
@Getter
@Setter
public class ConceptIntroduceVO extends BaseBiVO {
    @NotBlank(message = "请输入概念名称")
    private String name;
    @NotNull(message = "请输入概念词性")
    private Integer type;
    //此版本暂不提供该过滤条件
    @ApiModelProperty(hidden = true)
    private Integer position;
    //此版本暂不提供该过滤条件
    @ApiModelProperty(hidden = true)
    private List<String> titles;
}