package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/11/11 11:29
 */
@Getter
@Setter
public class ConnectIntroduceVO {
    @NotBlank(message = "请输入医院编码")
    @ApiModelProperty(value = "医院编码", required = true)
    private String hosCode;
    @NotBlank(message = "请输入术语名称")
    @ApiModelProperty(value = "术语名称", required = true)
    private String name;
    @ApiModelProperty(value = "化验明细名称")
    private String detailName;
    @NotNull(message = "请输入术语类型")
    @ApiModelProperty(value = "术语类型", required = true)
    private Integer type;
    @ApiModelProperty(hidden = true)
    private String uniqueName;
    @ApiModelProperty(hidden = true)
    private Integer position;
    @ApiModelProperty(hidden = true)
    private List<String> titles;
    @ApiModelProperty(hidden = true)
    private Integer libType;
    @ApiModelProperty(hidden = true)
    private Integer sysType;
}