package com.diagbot.client;

import com.diagbot.client.hystrix.NLPServiceHystrix;
import com.diagbot.vo.NlpVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description:调用NLP对接层服务
 * @Author:zhoutg
 * @time: 2019/4/2 15:31
 */
@FeignClient(name = "NLPREL", url = "${nlprel.server.address}", fallback = NLPServiceHystrix.class)
public interface NLPServiceClient {

    @PostMapping(value = "/api/mr_info_ex/entity_predict")
    String getNlp(@RequestBody NlpVO nlpVO);
}