package com.diagbot.client;

import com.diagbot.client.hystrix.QAServiceHystrix;
import com.diagbot.dto.QADTO;
import com.diagbot.vo.QAVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description: 知识图谱问答服务
 * @Author:zhaops
 * @time: 2020/5/25 11:19
 */
@FeignClient(name = "QA", url = "${qa.server.address}", fallback = QAServiceHystrix.class)
public interface QAServiceClient {

    @PostMapping(value = "/api/chat_bot")
    QADTO charBot(@RequestBody QAVO qavo);
}