package com.diagbot.facade;

import com.diagbot.client.QAServiceClient;
import com.diagbot.dto.QADTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.vo.QAVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/25 11:23
 */
@Component
public class QAFacade {
    @Autowired
    private QAServiceClient qaServiceClient;

    public QADTO charBot(QAVO qavo) {
        QADTO qadto = qaServiceClient.charBot(qavo);
        if (qadto == null || qadto.getStatus() == false) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "调用问答服务失败");
        }
        return qadto;
    }
}
