package com.diagbot.service.impl;

import com.diagbot.dto.Categories;
import com.diagbot.dto.GraDTO;
import com.diagbot.dto.GraphDTO;
import com.diagbot.dto.Link;
import com.diagbot.dto.Node;
import com.diagbot.dto.NodeDTO;
import com.diagbot.dto.Tu;
import com.diagbot.dto.SchemaDTO;
import com.diagbot.mapper.KgMapper;
import com.diagbot.service.KgService;
import com.diagbot.util.EntityUtil;
import com.diagbot.vo.KgQueryVO;
import com.diagbot.vo.SchemaVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
@Service
public class KgServiceImpl implements KgService {
    @Autowired
    private KgMapper kgMapper;

    @Override
    public List<NodeDTO> getNode(KgQueryVO kgQueryVO){
        return kgMapper.getNode(kgQueryVO);
    }

    @Override
    public List<GraphDTO> getGraph(KgQueryVO kgQueryVO){
        return kgMapper.getGraph(kgQueryVO);
    }

    @Override
    public String getTree(KgQueryVO kgQueryVO){
        return kgMapper.getTree(kgQueryVO);
    }

    @Override
    public List<SchemaDTO> getSchema(SchemaVO schemaVO){
        return kgMapper.getSchema( schemaVO);
    }

    @Override
    public List<Tu> getTu(KgQueryVO kgQueryVO) {
        return kgMapper.getTu(kgQueryVO);
    }
}
