package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.MrInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PresetInfoFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 知识平台预设信息 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-03-31
 */
@RestController
@RequestMapping("/presetInfo")
@Api(value = "知识平台预设信息API", tags = { "知识平台预设信息API" })
@SuppressWarnings("unchecked")
public class PresetInfoController {
    @Autowired
    private PresetInfoFacade presetInfoFacade;

    @ApiOperation(value = "获取所有预设病历", notes = "获取所有预设病历")
    @PostMapping("/getMrInfo")
    @SysLogger("getMrInfo")
    public RespDTO<List<MrInfoDTO>> getMrInfo() {
        return RespDTO.onSuc(presetInfoFacade.getMrInfo());
    }
}
