package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TermFacade;
import com.diagbot.vo.TermVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-07-10 15:07
 */
@RestController
@RequestMapping("/term")
@Api(value = "医学术语映射相关API", tags = { "医学术语映射相关API" })
@SuppressWarnings("unchecked")
public class TermController {
    @Autowired
    private TermFacade termFacade;

    @ApiOperation(value = "医学术语映射[zhaops]", notes = "")
    @PostMapping("/getTerm")
    @SysLogger("getTerm")
    public RespDTO<String> getTerm(@RequestBody TermVO termVO) {
        return RespDTO.onSuc(termFacade.getTerms(termVO));
    }
}
