package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2020/3/30 16:54
 */
@Getter
@Setter
public class QcCasesEntryAllDTO {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 病历id
     */
    private Long casesId;

    private String casesName;

    /**
     * 数据模块ID-对应qc_mode.id
     */
    private Long modeId;

    private String modeName;
    private String code;

    /**
     * 条目
     */
    private String name;

    /**
     * 控费标识(1：是控费条目，2：不是控费条目)
     */
    private Integer drgs;

    /**
     * 质控形式(1：形式质控，2：内涵CRF质控，3：内涵规则质控)
     */
    private Integer type;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;

    /**
     * 开发状态标识： 0-未开发  1-已开发
     */
    private Integer devType;

    /**
     * 准确率类型：0-极高，1-高，2-中，3-低
     */
    private Integer accuracyType;

    private String precond;

    /**
     * 顺序号
     */
    private Integer orderNo;


    /**
     * 备注
     */

    private String remark;
}
