package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 质控类型标准
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-14
 */
@Data
public class QcTypePageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 质控类型名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 默认模版是否开启(0-否 1-是)
     */
    private Integer defaultModule =0;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

}
