package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案首页信息Ar_RecHome
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@TableName("AR_RECHOME")
public class ArRechome implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页编号BASYID
     */
    @TableId("BASYID")
    private Long basyid;

    /**
     * 病人病案编号BRBABH
     */
    @TableField("BRBABH")
    private String brbabh;

    /**
     * 医疗付款类别YLFKLB
     */
    @TableField("YLFKLB")
    private String ylfklb;

    /**
     * 病人病案姓名BRBAXM
     */
    @TableField("BRBAXM")
    private String brbaxm;

    /**
     * 病人病案性别BRBAXB
     */
    @TableField("BRBAXB")
    private String brbaxb;

    /**
     * 病人出生日期BRCSRQ
     */
    @TableField("BRCSRQ")
    private Date brcsrq;

    /**
     * 病人出生地址BRCSDZ
     */
    @TableField("BRCSDZ")
    private String brcsdz;

    /**
     * 病人就诊年龄BRDQNL
     */
    @TableField("BRDQNL")
    private Integer brdqnl;

    /**
     * 病人年龄单位BRNLDW
     */
    @TableField("BRNLDW")
    private String brnldw;

    /**
     * 病人病案血型BRBAXX
     */
    @TableField("BRBAXX")
    private String brbaxx;

    /**
     * 病人病案RH型BRBARH
     */
    @TableField("BRBARH")
    private String brbarh;

    /**
     * 病人病案籍贯BRBAJG
     */
    @TableField("BRBAJG")
    private String brbajg;

    /**
     * 病人病案民族BRBAMZ
     */
    @TableField("BRBAMZ")
    private String brbamz;

    /**
     * 病人婚姻状况BRHYZK
     */
    @TableField("BRHYZK")
    private String brhyzk;

    /**
     * 病人病案身份BRBASF
     */
    @TableField("BRBASF")
    private String brbasf;

    /**
     * 病人身份证号BRSFZH
     */
    @TableField("BRSFZH")
    private String brsfzh;

    /**
     * 病人病案国籍BRBAGJ
     */
    @TableField("BRBAGJ")
    private String brbagj;

    /**
     * 户口地址区划HKDZQH
     */
    @TableField("HKDZQH")
    private String hkdzqh;

    /**
     * 病人户口地址BRHKDZ
     */
    @TableField("BRHKDZ")
    private String brhkdz;

    /**
     * 户口地址邮编HKDZYB
     */
    @TableField("HKDZYB")
    private String hkdzyb;

    /**
     * 工作单位名称GZDWMC
     */
    @TableField("GZDWMC")
    private String gzdwmc;

    /**
     * 工作单位电话GZDWDH
     */
    @TableField("GZDWDH")
    private String gzdwdh;

    /**
     * 工作单位邮编GZDWYB
     */
    @TableField("GZDWYB")
    private String gzdwyb;

    /**
     * 联系地址区划LXDZQH
     */
    @TableField("LXDZQH")
    private String lxdzqh;

    /**
     * 病人联系地址BRLXDZ
     */
    @TableField("BRLXDZ")
    private String brlxdz;

    /**
     * 病人联系电话BRLXDH
     */
    @TableField("BRLXDH")
    private String brlxdh;

    /**
     * 联系地址邮编LXDZYB
     */
    @TableField("LXDZYB")
    private String lxdzyb;

    /**
     * 是否作废判别SFZFPB
     */
    @TableField("SFZFPB")
    private Integer sfzfpb;

    /**
     * 病案状态判别BAZTPB
     */
    @TableField("BAZTPB")
    private Integer baztpb;

    /**
     * 病案录入日期BALRRQ
     */
    @TableField("BALRRQ")
    private Date balrrq;

    /**
     * 录入人员编码LRRYID
     */
    @TableField("LRRYID")
    private String lrryid;

    /**
     * 修改用户代码XGYHDM
     */
    @TableField("XGYHDM")
    private String xgyhdm;

    /**
     * 修改操作时间XGCZSJ
     */
    @TableField("XGCZSJ")
    private Date xgczsj;

    /**
     * 病人健康卡号BRJKKH
     */
    @TableField("BRJKKH")
    private String brjkkh;

    /**
     * 病人病案职业BRBAZY
     */
    @TableField("BRBAZY")
    private String brbazy;

    public Long getBasyid() {
        return basyid;
    }

    public void setBasyid(Long basyid) {
        this.basyid = basyid;
    }

    public String getBrbabh() {
        return brbabh;
    }

    public void setBrbabh(String brbabh) {
        this.brbabh = brbabh;
    }

    public String getYlfklb() {
        return ylfklb;
    }

    public void setYlfklb(String ylfklb) {
        this.ylfklb = ylfklb;
    }

    public String getBrbaxm() {
        return brbaxm;
    }

    public void setBrbaxm(String brbaxm) {
        this.brbaxm = brbaxm;
    }

    public String getBrbaxb() {
        return brbaxb;
    }

    public void setBrbaxb(String brbaxb) {
        this.brbaxb = brbaxb;
    }

    public Date getBrcsrq() {
        return brcsrq;
    }

    public void setBrcsrq(Date brcsrq) {
        this.brcsrq = brcsrq;
    }

    public String getBrcsdz() {
        return brcsdz;
    }

    public void setBrcsdz(String brcsdz) {
        this.brcsdz = brcsdz;
    }

    public Integer getBrdqnl() {
        return brdqnl;
    }

    public void setBrdqnl(Integer brdqnl) {
        this.brdqnl = brdqnl;
    }

    public String getBrnldw() {
        return brnldw;
    }

    public void setBrnldw(String brnldw) {
        this.brnldw = brnldw;
    }

    public String getBrbaxx() {
        return brbaxx;
    }

    public void setBrbaxx(String brbaxx) {
        this.brbaxx = brbaxx;
    }

    public String getBrbarh() {
        return brbarh;
    }

    public void setBrbarh(String brbarh) {
        this.brbarh = brbarh;
    }

    public String getBrbajg() {
        return brbajg;
    }

    public void setBrbajg(String brbajg) {
        this.brbajg = brbajg;
    }

    public String getBrbamz() {
        return brbamz;
    }

    public void setBrbamz(String brbamz) {
        this.brbamz = brbamz;
    }

    public String getBrhyzk() {
        return brhyzk;
    }

    public void setBrhyzk(String brhyzk) {
        this.brhyzk = brhyzk;
    }

    public String getBrbasf() {
        return brbasf;
    }

    public void setBrbasf(String brbasf) {
        this.brbasf = brbasf;
    }

    public String getBrsfzh() {
        return brsfzh;
    }

    public void setBrsfzh(String brsfzh) {
        this.brsfzh = brsfzh;
    }

    public String getBrbagj() {
        return brbagj;
    }

    public void setBrbagj(String brbagj) {
        this.brbagj = brbagj;
    }

    public String getHkdzqh() {
        return hkdzqh;
    }

    public void setHkdzqh(String hkdzqh) {
        this.hkdzqh = hkdzqh;
    }

    public String getBrhkdz() {
        return brhkdz;
    }

    public void setBrhkdz(String brhkdz) {
        this.brhkdz = brhkdz;
    }

    public String getHkdzyb() {
        return hkdzyb;
    }

    public void setHkdzyb(String hkdzyb) {
        this.hkdzyb = hkdzyb;
    }

    public String getGzdwmc() {
        return gzdwmc;
    }

    public void setGzdwmc(String gzdwmc) {
        this.gzdwmc = gzdwmc;
    }

    public String getGzdwdh() {
        return gzdwdh;
    }

    public void setGzdwdh(String gzdwdh) {
        this.gzdwdh = gzdwdh;
    }

    public String getGzdwyb() {
        return gzdwyb;
    }

    public void setGzdwyb(String gzdwyb) {
        this.gzdwyb = gzdwyb;
    }

    public String getLxdzqh() {
        return lxdzqh;
    }

    public void setLxdzqh(String lxdzqh) {
        this.lxdzqh = lxdzqh;
    }

    public String getBrlxdz() {
        return brlxdz;
    }

    public void setBrlxdz(String brlxdz) {
        this.brlxdz = brlxdz;
    }

    public String getBrlxdh() {
        return brlxdh;
    }

    public void setBrlxdh(String brlxdh) {
        this.brlxdh = brlxdh;
    }

    public String getLxdzyb() {
        return lxdzyb;
    }

    public void setLxdzyb(String lxdzyb) {
        this.lxdzyb = lxdzyb;
    }

    public Integer getSfzfpb() {
        return sfzfpb;
    }

    public void setSfzfpb(Integer sfzfpb) {
        this.sfzfpb = sfzfpb;
    }

    public Integer getBaztpb() {
        return baztpb;
    }

    public void setBaztpb(Integer baztpb) {
        this.baztpb = baztpb;
    }

    public Date getBalrrq() {
        return balrrq;
    }

    public void setBalrrq(Date balrrq) {
        this.balrrq = balrrq;
    }

    public String getLrryid() {
        return lrryid;
    }

    public void setLrryid(String lrryid) {
        this.lrryid = lrryid;
    }

    public String getXgyhdm() {
        return xgyhdm;
    }

    public void setXgyhdm(String xgyhdm) {
        this.xgyhdm = xgyhdm;
    }

    public Date getXgczsj() {
        return xgczsj;
    }

    public void setXgczsj(Date xgczsj) {
        this.xgczsj = xgczsj;
    }

    public String getBrjkkh() {
        return brjkkh;
    }

    public void setBrjkkh(String brjkkh) {
        this.brjkkh = brjkkh;
    }

    public String getBrbazy() {
        return brbazy;
    }

    public void setBrbazy(String brbazy) {
        this.brbazy = brbazy;
    }

    @Override
    public String toString() {
        return "ArRechome{" +
                "basyid=" + basyid +
                ", brbabh=" + brbabh +
                ", ylfklb=" + ylfklb +
                ", brbaxm=" + brbaxm +
                ", brbaxb=" + brbaxb +
                ", brcsrq=" + brcsrq +
                ", brcsdz=" + brcsdz +
                ", brdqnl=" + brdqnl +
                ", brnldw=" + brnldw +
                ", brbaxx=" + brbaxx +
                ", brbarh=" + brbarh +
                ", brbajg=" + brbajg +
                ", brbamz=" + brbamz +
                ", brhyzk=" + brhyzk +
                ", brbasf=" + brbasf +
                ", brsfzh=" + brsfzh +
                ", brbagj=" + brbagj +
                ", hkdzqh=" + hkdzqh +
                ", brhkdz=" + brhkdz +
                ", hkdzyb=" + hkdzyb +
                ", gzdwmc=" + gzdwmc +
                ", gzdwdh=" + gzdwdh +
                ", gzdwyb=" + gzdwyb +
                ", lxdzqh=" + lxdzqh +
                ", brlxdz=" + brlxdz +
                ", brlxdh=" + brlxdh +
                ", lxdzyb=" + lxdzyb +
                ", sfzfpb=" + sfzfpb +
                ", baztpb=" + baztpb +
                ", balrrq=" + balrrq +
                ", lrryid=" + lrryid +
                ", xgyhdm=" + xgyhdm +
                ", xgczsj=" + xgczsj +
                ", brjkkh=" + brjkkh +
                ", brbazy=" + brbazy +
                "}";
    }
}
