package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 病案诊断信息
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@TableName("BR_RECDIAGNOSE")
public class BrRecdiagnose implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页编号BASYID
     */
    @TableId("BASYID")
    private Long basyid;

    /**
     * 病案诊断序号BAZDXH
     */
    @TableField("BAZDXH")
    private Integer bazdxh;

    /**
     * 诊断类别编码ZDLBDM(诊断类别  1门急诊诊断 2出院诊断 3损伤中毒外部原因 4病理诊断)
     */
    @TableField("ZDLBDM")
    private String zdlbdm;

    /**
     * 主次诊断判别ZCZDPB
     */
    @TableField("ZCZDPB")
    private Integer zczdpb;

    /**
     * 疾病代码序号JBDMID
     */
    @TableField("JBDMID")
    private String jbdmid;

    /**
     * 诊断疾病名称ZDJBMC
     */
    @TableField("ZDJBMC")
    private String zdjbmc;

    /**
     * 转归情况编码ZGQKDM
     */
    @TableField("ZGQKDM")
    private String zgqkdm;

    /**
     * 入院情况编码RYQKBM
     */
    @TableField("RYQKBM")
    private String ryqkbm;

    /**
     * 病理诊断编号BLZDBH
     */
    @TableField("BLZDBH")
    private String blzdbh;

    /**
     * 诊断符合判别ZDFHPB
     */
    @TableField("ZDFHPB")
    private Integer zdfhpb;

    /**
     * 诊断组号序号
     */
    @TableField("ZDZHXH")
    private Integer zdzhxh;

    public Long getBasyid() {
        return basyid;
    }

    public void setBasyid(Long basyid) {
        this.basyid = basyid;
    }
    public Integer getBazdxh() {
        return bazdxh;
    }

    public void setBazdxh(Integer bazdxh) {
        this.bazdxh = bazdxh;
    }
    public String getZdlbdm() {
        return zdlbdm;
    }

    public void setZdlbdm(String zdlbdm) {
        this.zdlbdm = zdlbdm;
    }
    public Integer getZczdpb() {
        return zczdpb;
    }

    public void setZczdpb(Integer zczdpb) {
        this.zczdpb = zczdpb;
    }
    public String getJbdmid() {
        return jbdmid;
    }

    public void setJbdmid(String jbdmid) {
        this.jbdmid = jbdmid;
    }
    public String getZdjbmc() {
        return zdjbmc;
    }

    public void setZdjbmc(String zdjbmc) {
        this.zdjbmc = zdjbmc;
    }
    public String getZgqkdm() {
        return zgqkdm;
    }

    public void setZgqkdm(String zgqkdm) {
        this.zgqkdm = zgqkdm;
    }
    public String getRyqkbm() {
        return ryqkbm;
    }

    public void setRyqkbm(String ryqkbm) {
        this.ryqkbm = ryqkbm;
    }
    public String getBlzdbh() {
        return blzdbh;
    }

    public void setBlzdbh(String blzdbh) {
        this.blzdbh = blzdbh;
    }
    public Integer getZdfhpb() {
        return zdfhpb;
    }

    public void setZdfhpb(Integer zdfhpb) {
        this.zdfhpb = zdfhpb;
    }
    public Integer getZdzhxh() {
        return zdzhxh;
    }

    public void setZdzhxh(Integer zdzhxh) {
        this.zdzhxh = zdzhxh;
    }

    @Override
    public String toString() {
        return "BrRecdiagnose{" +
            "basyid=" + basyid +
            ", bazdxh=" + bazdxh +
            ", zdlbdm=" + zdlbdm +
            ", zczdpb=" + zczdpb +
            ", jbdmid=" + jbdmid +
            ", zdjbmc=" + zdjbmc +
            ", zgqkdm=" + zgqkdm +
            ", ryqkbm=" + ryqkbm +
            ", blzdbh=" + blzdbh +
            ", zdfhpb=" + zdfhpb +
            ", zdzhxh=" + zdzhxh +
        "}";
    }
}
