package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案住院信息
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@TableName("BR_RECINHOS")
public class BrRecinhos implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页编号BASYID
     */
    @TableId("BASYID")
    private Long basyid;

    /**
     * 病人住院序号BRZYID
     */
    @TableField("BRZYID")
    private String brzyid;

    /**
     * 组织机构代码ZZJGDM
     */
    @TableField("ZZJGDM")
    private String zzjgdm;

    /**
     * 病人住院次数BRZYCS
     */
    @TableField("BRZYCS")
    private Integer brzycs;

    /**
     * 入院情况编码RYQKDM
     */
    @TableField("RYQKDM")
    private String ryqkdm;

    /**
     * 入院来源编码RYLYDM
     */
    @TableField("RYLYDM")
    private String rylydm;

    /**
     * 入院科室编码RYKSID
     */
    @TableField("RYKSID")
    private String ryksid;

    /**
     * 入院病区编码RYBQID
     */
    @TableField("RYBQID")
    private String rybqid;

    /**
     * 入院床位序号RYCWID
     */
    @TableField("RYCWID")
    private String rycwid;

    /**
     * 入院床位号码RYCWHM
     */
    @TableField("RYCWHM")
    private String rycwhm;

    /**
     * 病人入院日期BRRYRQ
     */
    @TableField("BRRYRQ")
    private Date brryrq;

    /**
     * 出院科室编码CYKSID
     */
    @TableField("CYKSID")
    private String cyksid;

    /**
     * 出院病区编码CYBQID
     */
    @TableField("CYBQID")
    private String cybqid;

    /**
     * 出院床位序号CYCWID
     */
    @TableField("CYCWID")
    private String cycwid;

    /**
     * 出院床位号码CYCWHM
     */
    @TableField("CYCWHM")
    private String cycwhm;

    /**
     * 病人出院日期BRCYRQ
     */
    @TableField("BRCYRQ")
    private Date brcyrq;

    /**
     * 自动出院判别ZDCYPB
     */
    @TableField("ZDCYPB")
    private Integer zdcypb;

    /**
     * 实际住院天数SJZYTS
     */
    @TableField("SJZYTS")
    private Integer sjzyts;

    /**
     * 出院情况编码CYQKBM
     */
    @TableField("CYQKDM")
    private String cyqkdm;

    public Long getBasyid() {
        return basyid;
    }

    public void setBasyid(Long basyid) {
        this.basyid = basyid;
    }

    public String getBrzyid() {
        return brzyid;
    }

    public void setBrzyid(String brzyid) {
        this.brzyid = brzyid;
    }

    public String getZzjgdm() {
        return zzjgdm;
    }

    public void setZzjgdm(String zzjgdm) {
        this.zzjgdm = zzjgdm;
    }

    public Integer getBrzycs() {
        return brzycs;
    }

    public void setBrzycs(Integer brzycs) {
        this.brzycs = brzycs;
    }

    public String getRyqkdm() {
        return ryqkdm;
    }

    public void setRyqkdm(String ryqkdm) {
        this.ryqkdm = ryqkdm;
    }

    public String getRylydm() {
        return rylydm;
    }

    public void setRylydm(String rylydm) {
        this.rylydm = rylydm;
    }

    public String getRyksid() {
        return ryksid;
    }

    public void setRyksid(String ryksid) {
        this.ryksid = ryksid;
    }

    public String getRybqid() {
        return rybqid;
    }

    public void setRybqid(String rybqid) {
        this.rybqid = rybqid;
    }

    public String getRycwid() {
        return rycwid;
    }

    public void setRycwid(String rycwid) {
        this.rycwid = rycwid;
    }

    public String getRycwhm() {
        return rycwhm;
    }

    public void setRycwhm(String rycwhm) {
        this.rycwhm = rycwhm;
    }

    public Date getBrryrq() {
        return brryrq;
    }

    public void setBrryrq(Date brryrq) {
        this.brryrq = brryrq;
    }

    public String getCyksid() {
        return cyksid;
    }

    public void setCyksid(String cyksid) {
        this.cyksid = cyksid;
    }

    public String getCybqid() {
        return cybqid;
    }

    public void setCybqid(String cybqid) {
        this.cybqid = cybqid;
    }

    public String getCycwid() {
        return cycwid;
    }

    public void setCycwid(String cycwid) {
        this.cycwid = cycwid;
    }

    public String getCycwhm() {
        return cycwhm;
    }

    public void setCycwhm(String cycwhm) {
        this.cycwhm = cycwhm;
    }

    public Date getBrcyrq() {
        return brcyrq;
    }

    public void setBrcyrq(Date brcyrq) {
        this.brcyrq = brcyrq;
    }

    public Integer getZdcypb() {
        return zdcypb;
    }

    public void setZdcypb(Integer zdcypb) {
        this.zdcypb = zdcypb;
    }

    public Integer getSjzyts() {
        return sjzyts;
    }

    public void setSjzyts(Integer sjzyts) {
        this.sjzyts = sjzyts;
    }

    public String getCyqkdm() {
        return cyqkdm;
    }

    public void setCyqkdm(String cyqkdm) {
        this.cyqkdm = cyqkdm;
    }

    @Override
    public String toString() {
        return "BrRecinhos{" +
                "basyid=" + basyid +
                ", brzyid=" + brzyid +
                ", zzjgdm=" + zzjgdm +
                ", brzycs=" + brzycs +
                ", ryqkdm=" + ryqkdm +
                ", rylydm=" + rylydm +
                ", ryksid=" + ryksid +
                ", rybqid=" + rybqid +
                ", rycwid=" + rycwid +
                ", rycwhm=" + rycwhm +
                ", brryrq=" + brryrq +
                ", cyksid=" + cyksid +
                ", cybqid=" + cybqid +
                ", cycwid=" + cycwid +
                ", cycwhm=" + cycwhm +
                ", brcyrq=" + brcyrq +
                ", zdcypb=" + zdcypb +
                ", sjzyts=" + sjzyts +
                ", cyqkdm=" + cyqkdm +
                "}";
    }
}
