package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院病历文书类型细分类主表
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-26
 */
@Data
public class MedRecordAnalyze implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 医院病历文书类型细分类名称
     */
    private String name;

    /**
     * 数据模块ID
     */
    private Long modeId;

    /**
     * 数据模块名称
     */
    private String modeName;

    /**
     * 医院病历文书类型
     */
    private String recType;

    /**
     * 病历号示例
     */
    private String behospitalCodes;

    /**
     * 医院病历文书类型细分类
     */
    private String mapType;

    /**
     * key集合，用英文逗号隔开
     */
    private String mapKeys;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;
}
