package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历录入
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-17
 */
@TableName("qc_inputcases")
public class QcInputcases implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    private Integer hospitalId;

    /**
     * 入院记录
     */
    private String text;

    /**
     * 临床用血审核
     */
    private String clinicalBlood;

    /**
     * 会诊
     */
    private String consultation;

    /**
     * 死亡病例讨论
     */
    private String deathCaseDiscuss;

    /**
     * 死亡记录
     */
    private String deathRecord;

    /**
     * 疑难病例讨论
     */
    private String difficultCaseDiscuss;

    /**
     * 值班交接班
     */
    private String dutyShiftSystem;

    /**
     * 首次病程录
     */
    private String firstCourseRecord;

    /**
     * 出院小结
     */
    private String leaveHospital;

    /**
     * 分级护理
     */
    private String nursingSystem;

    /**
     * 手术期间讨论
     */
    private String operationDiscussion;

    /**
     * 术前讨论
     */
    private String preOperativeDiscussion;

    /**
     * 三级查房
     */
    private String threeLevelWard;

    /**
     * 危急值报告
     */
    private String criticalValue;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
    public String getClinicalBlood() {
        return clinicalBlood;
    }

    public void setClinicalBlood(String clinicalBlood) {
        this.clinicalBlood = clinicalBlood;
    }
    public String getConsultation() {
        return consultation;
    }

    public void setConsultation(String consultation) {
        this.consultation = consultation;
    }
    public String getDeathCaseDiscuss() {
        return deathCaseDiscuss;
    }

    public void setDeathCaseDiscuss(String deathCaseDiscuss) {
        this.deathCaseDiscuss = deathCaseDiscuss;
    }
    public String getDeathRecord() {
        return deathRecord;
    }

    public void setDeathRecord(String deathRecord) {
        this.deathRecord = deathRecord;
    }
    public String getDifficultCaseDiscuss() {
        return difficultCaseDiscuss;
    }

    public void setDifficultCaseDiscuss(String difficultCaseDiscuss) {
        this.difficultCaseDiscuss = difficultCaseDiscuss;
    }
    public String getDutyShiftSystem() {
        return dutyShiftSystem;
    }

    public void setDutyShiftSystem(String dutyShiftSystem) {
        this.dutyShiftSystem = dutyShiftSystem;
    }
    public String getFirstCourseRecord() {
        return firstCourseRecord;
    }

    public void setFirstCourseRecord(String firstCourseRecord) {
        this.firstCourseRecord = firstCourseRecord;
    }
    public String getLeaveHospital() {
        return leaveHospital;
    }

    public void setLeaveHospital(String leaveHospital) {
        this.leaveHospital = leaveHospital;
    }
    public String getNursingSystem() {
        return nursingSystem;
    }

    public void setNursingSystem(String nursingSystem) {
        this.nursingSystem = nursingSystem;
    }
    public String getOperationDiscussion() {
        return operationDiscussion;
    }

    public void setOperationDiscussion(String operationDiscussion) {
        this.operationDiscussion = operationDiscussion;
    }
    public String getPreOperativeDiscussion() {
        return preOperativeDiscussion;
    }

    public void setPreOperativeDiscussion(String preOperativeDiscussion) {
        this.preOperativeDiscussion = preOperativeDiscussion;
    }
    public String getThreeLevelWard() {
        return threeLevelWard;
    }

    public void setThreeLevelWard(String threeLevelWard) {
        this.threeLevelWard = threeLevelWard;
    }
    public String getCriticalValue() {
        return criticalValue;
    }

    public void setCriticalValue(String criticalValue) {
        this.criticalValue = criticalValue;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QcInputcases{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", hospitalId=" + hospitalId +
            ", text=" + text +
            ", clinicalBlood=" + clinicalBlood +
            ", consultation=" + consultation +
            ", deathCaseDiscuss=" + deathCaseDiscuss +
            ", deathRecord=" + deathRecord +
            ", difficultCaseDiscuss=" + difficultCaseDiscuss +
            ", dutyShiftSystem=" + dutyShiftSystem +
            ", firstCourseRecord=" + firstCourseRecord +
            ", leaveHospital=" + leaveHospital +
            ", nursingSystem=" + nursingSystem +
            ", operationDiscussion=" + operationDiscussion +
            ", preOperativeDiscussion=" + preOperativeDiscussion +
            ", threeLevelWard=" + threeLevelWard +
            ", criticalValue=" + criticalValue +
            ", remark=" + remark +
        "}";
    }
}
