package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:血型
 * @Author:zhaops
 * @time: 2020/1/19 15:56
 */
public enum BloodTypeEnum implements KeyedNamed {
    A(1, "A型"),
    B(2, "B型"),
    O(3, "O型"),
    AB(4, "AB型");

    @Setter
    private int key;

    @Setter
    private String name;

    BloodTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static BloodTypeEnum getEnum(int key) {
        for (BloodTypeEnum item : BloodTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        BloodTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
