package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:RH类型
 * @Author:zhaops
 * @time: 2020/1/19 15:47
 */
public enum RHTypeEnum implements KeyedNamed {
    Negative(1, "阴性"),
    Positive(2, "阳性");

    @Setter
    private int key;

    @Setter
    private String name;

    RHTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RHTypeEnum getEnum(int key) {
        for (RHTypeEnum item : RHTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        RHTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
