package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 性别
 * @Author:zhaops
 * @time: 2020/1/19 15:42
 */
public enum SexEnum implements KeyedNamed {
    Male(1, "男"),
    FeMale(2, "女");

    @Setter
    private int key;

    @Setter
    private String name;

    SexEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static SexEnum getEnum(int key) {
        for (SexEnum item : SexEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        SexEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}