package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:标签显示类型
 * @Author:zhoutg
 * @time: 2018/11/21 11:39
 */
public enum TagTypeEnum implements KeyedNamed {
    T1(1, "单标签"),
    T4(4, "组合标签");

    @Setter
    private int key;

    @Setter
    private String name;

    TagTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static TagTypeEnum getEnum(int key) {
        for (TagTypeEnum item : TagTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        TagTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}