package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:主次诊断
 * @Author:zhaops
 * @time: 2020/1/20 10:35
 */
public enum ZCZDPBEnum implements KeyedNamed {
    ZY(1, "主要诊断"),
    QT(2, "其他诊断");

    @Setter
    private int key;

    @Setter
    private String name;

    ZCZDPBEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ZCZDPBEnum getEnum(int key) {
        for (ZCZDPBEnum item : ZCZDPBEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ZCZDPBEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
