package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:门诊住院诊断类型
 * @Author:zhaops
 * @time: 2020/1/20 10:32
 */
public enum ZDLBDMEnum implements KeyedNamed {
    MJZ(1, "门急诊诊断"),
    ZY(2, "住院诊断");

    @Setter
    private int key;

    @Setter
    private String name;

    ZDLBDMEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ZDLBDMEnum getEnum(int key) {
        for (ZDLBDMEnum item : ZDLBDMEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ZDLBDMEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}