package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:诊断类型
 * @Author:zhaops
 * @time: 2020/1/20 13:47
 */
public enum ZDLXEnum implements KeyedNamed {
    MJZZYZD(1, "门急诊主要诊断"),
    MJZQTZD(2, "门急诊其他诊断"),
    ZYZYZD(3, "住院主要诊断"),
    ZYQTZD(4, "住院其他诊断");

    @Setter
    private int key;

    @Setter
    private String name;

    ZDLXEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ZDLXEnum getEnum(int key) {
        for (ZDLXEnum item : ZDLXEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ZDLXEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
