package com.diagbot.facade;

import com.diagbot.service.EnumsDataService;
import com.diagbot.util.EnumEntriesBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 枚举数据装饰类
 * @author: zhaops
 * @time: 2020/1/19
 */
@Component
public class EnumsDataFacade {
    @Autowired
    private EnumsDataService enumsDataService;

    /**
     * 用户枚举数据获取
     *
     * @return 用户枚举类map
     */
    public Map<String, List<EnumEntriesBuilder.Entry>> getEnumsData() {
        return enumsDataService.getEnumsData();
    }
}