package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.QcCasesAllDTO;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.QcCasesService;
import com.diagbot.service.impl.QcCasesServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.GetAllByHospitalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-10 16:32
 */
@Component
public class QcCasesFacade extends QcCasesServiceImpl {

    @Autowired
    QcCasesService qcCasesService;
    @Autowired
    QcCacesEntryFacade qcCasesEntryService;
    @Autowired
    CasesEntryHospitalFacade casesEntryHospitalFacade;

    public List<QcCasesAllDTO> getAlls() {
        //查出所有病例
        QueryWrapper<QcCases> qcCasesQuery = new QueryWrapper<>();
        qcCasesQuery
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .orderByAsc("id");
        List<QcCases> data = list(qcCasesQuery);
        List<QcCasesAllDTO> dataNew = new ArrayList<QcCasesAllDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcCasesAllDTO.class);
        // 查出所有病例病例类型
        QueryWrapper<QcCasesEntry> qcCasesEntryQuery = new QueryWrapper<>();
        qcCasesEntryQuery
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .orderByDesc("order_no");
        List<QcCasesEntryDTO> dataEntryDTO = qcCasesEntryService.getQcCasesEntryAll();
        /*List<QcCasesEntryDTO> dataEntryDTO = new ArrayList<>();
        dataEntryDTO = BeanUtil.listCopyTo(dataEntry,QcCasesEntryDTO.class);*/
       // 然后把所有病例类型放进去
        Map<Long, List<QcCasesEntryDTO>> map
                = EntityUtil.makeEntityListMap(dataEntryDTO, "casesId");
      //List<QcCases> data = qcCasesService.list();
        //把模板放进文件夹中
        if (dataNew.size() > 0) {
            for (QcCasesAllDTO ts : dataNew) {
                List<QcCasesEntryDTO> tmp = map.get(ts.getId());
                if (ListUtil.isNotEmpty(tmp)) {
                    ts.setQcCasesEntry(tmp);
                }
            }
        }
        return dataNew;
    }


    public List<QcCasesAllDTO> getAllByHospital(GetAllByHospitalVO getAllByHospitalVO){
        //查出所有病例
        QueryWrapper<QcCases> qcCasesQuery = new QueryWrapper<>();
        qcCasesQuery
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .orderByAsc("id");
        List<QcCases> data = list(qcCasesQuery);
        List<QcCasesAllDTO> dataNew = new ArrayList<QcCasesAllDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcCasesAllDTO.class);
        // 查出所有病例病例类型
        List<QcCasesEntryDTO> dataEntry = this.getCasesEntryByHospitalId(getAllByHospitalVO.getHospitalId());
        // 然后把所有病例类型放进去
        Map<Long, List<QcCasesEntryDTO>> map
                = EntityUtil.makeEntityListMap(dataEntry, "casesId");
        //List<QcCases> data = qcCasesService.list();
        //把模板放进文件夹中
        if (dataNew.size() > 0) {
            for (QcCasesAllDTO ts : dataNew) {
                List<QcCasesEntryDTO> tmp = map.get(ts.getId());
                if (ListUtil.isNotEmpty(tmp)) {
                    ts.setQcCasesEntry(tmp);
                }
            }
        }
        return dataNew;
    }

    public List<QcCasesDTO> getCasesAll() {
        List<QcCases> data = qcCasesService.list();
        List<QcCasesDTO> dataNew = new ArrayList<QcCasesDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcCasesDTO.class);
        return dataNew;
    }
}
