package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BABLDTO;
import com.diagbot.dto.BABLDetailDTO;
import com.diagbot.entity.ArRechome;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.BABLVO;
import com.diagbot.vo.BAZYPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案首页信息Ar_RecHome Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
public interface ArRechomeMapper extends BaseMapper<ArRechome> {
    /**
     * 获取病案病历记录列表
     *
     * @return
     */
    List<BABLDTO> getBAZYList();

    /**
     * 获取病历详情
     *
     * @param bablvo
     * @return
     */
    BABLDetailDTO getBABLDetail(BABLVO bablvo);

    /**
     * 病案病历记录分页查询
     *
     * @param bazyPageVO
     * @return
     */
    IPage<BABLDTO> getBAZYPage(@Param("bazyPageVO") BAZYPageVO bazyPageVO);
}