package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.QcQuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.vo.QuestionPageVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
public interface QcQuestionInfoMapper extends BaseMapper<QcQuestionInfo> {

    /**
     * 获取标签列表
     *
     * @param questionPageVO
     * @return
     */
    IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO);

    /**
     * 检索
     *
     * @param map
     * @return
     */
    public List<QcQuestionInfo> index(Map map);

    public List<QuestionInfoWrapper> getByQuestionMapping(Map map);

    /**
     * 获取关联的父级标签
     *
     * @param id
     * @return
     */
    public List<QcQuestionInfo> getParent(Long id);

    /**
     * 根据id删除标签
     *
     * @param map
     * @return
     */
    public void deleteByIds(Map map);
}
