package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QcCasesEntryAllDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.dto.QcEntryTypeDTO;
import com.diagbot.dto.QcTypeByEntryDTO;
import com.diagbot.dto.QcTypeSimpDTO;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.vo.QcCasesEntryAllVO;
import com.diagbot.vo.QcCasesEntryIndexVO;
import com.diagbot.vo.QcEntryHospitalVO;
import com.diagbot.vo.QcEntryTypeIndexVO;
import com.diagbot.vo.QcEntryTypePageVO;
import com.diagbot.vo.QcEntryTypeSaveVO;
import com.diagbot.vo.QcEntryTypeVO;
import com.diagbot.vo.QcTypeHospitalVO;
import com.diagbot.vo.QcTypeIndexVO;

import java.util.List;

/**
 * <p>
 * 病历条目 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */

public interface QcCasesEntryService extends IService<QcCasesEntry> {

    /**
     * 分页获取病例条目
     *
     * @param qcCasesEntryAllVO
     * @return
     */
    IPage<QcCasesEntryAllDTO> getAllQcCasesEntry(QcCasesEntryAllVO qcCasesEntryAllVO);

    IPage<QcCasesEntryAllDTO> getAllQcCasesEntryIndex(QcCasesEntryIndexVO qcCasesEntryIndexVO);

    List<QcCasesEntryDTO> getByCasesEntryId(List<Long> ids);

    List<QcCasesEntryDTO> getQcCasesEntryAll();

    public List<QcCasesEntrySimpleDTO> index(QcTypeIndexVO qcTypeIndexVO);

    public List<QcCasesEntrySimpleDTO> getEntryByHospital(QcEntryHospitalVO qcEntryHospitalVO);

    public IPage<QcEntryTypeDTO> entryTypePage(QcEntryTypePageVO qcEntryTypePageVO);

    public List<QcTypeByEntryDTO> entryTypeDetail(QcEntryTypeVO qcEntryTypeVO);

    public List<QcTypeSimpDTO> indexQcType(QcEntryTypeIndexVO qcEntryTypeIndexVO);

    public void deleteQcTypeEntry(QcEntryTypeSaveVO qcEntryTypeSaveVO);

    public List<QcTypeSimpDTO> getTypeByHospital(QcTypeHospitalVO qcTypeHospitalVO);
}
