package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BABLDTO;
import com.diagbot.dto.BABLDetailDTO;
import com.diagbot.entity.ArRechome;
import com.diagbot.mapper.ArRechomeMapper;
import com.diagbot.service.ArRechomeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.BABLVO;
import com.diagbot.vo.BAZYPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病案首页信息Ar_RecHome 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@Service
public class ArRechomeServiceImpl extends ServiceImpl<ArRechomeMapper, ArRechome> implements ArRechomeService {
    /**
     * 获取病案病历记录列表
     *
     * @return
     */
    public List<BABLDTO> getBAZYList() {
        return this.baseMapper.getBAZYList();
    }

    /**
     * 获取病历详情
     *
     * @param bablvo
     * @return
     */
    public BABLDetailDTO getBABLDetail(BABLVO bablvo) {
        return this.baseMapper.getBABLDetail(bablvo);
    }

    /**
     * 病案病历记录分页查询
     *
     * @param bazyPageVO
     * @return
     */
    public IPage<BABLDTO> getBAZYPage(@Param("bazyPageVO") BAZYPageVO bazyPageVO) {
        return this.baseMapper.getBAZYPage(bazyPageVO);
    }
}
