package com.diagbot.service.impl;

import com.diagbot.enums.BloodTypeEnum;
import com.diagbot.enums.RHTypeEnum;
import com.diagbot.enums.SexEnum;
import com.diagbot.service.EnumsDataService;
import com.diagbot.util.EnumEntriesBuilder;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 枚举数据接口是实现类
 * @author: zhaops
 * @time: 2020/1/19
 */
@Service
public class EnumsDataServiceImpl implements EnumsDataService {

    /**
     * 用户枚举数据获取
     *
     * @return 用户枚举类map
     */
    @Override
    public Map<String, List<EnumEntriesBuilder.Entry>> getEnumsData() {
        Map<String, List<EnumEntriesBuilder.Entry>> enumMap = new EnumEntriesBuilder()
                .addEnums("sexEnum", SexEnum.values())
                .addEnums("bloodTypeEnum", BloodTypeEnum.values())
                .addEnums("rhTypeEnum", RHTypeEnum.values())
                .build();
        return enumMap;
    }
}