package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcCasesEntryAllDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.dto.QcEntryTypeDTO;
import com.diagbot.dto.QcTypeByEntryDTO;
import com.diagbot.dto.QcTypeSimpDTO;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.mapper.QcCasesEntryMapper;
import com.diagbot.service.QcCasesEntryService;
import com.diagbot.vo.QcCasesEntryAllVO;
import com.diagbot.vo.QcCasesEntryIndexVO;
import com.diagbot.vo.QcEntryHospitalVO;
import com.diagbot.vo.QcEntryTypeIndexVO;
import com.diagbot.vo.QcEntryTypePageVO;
import com.diagbot.vo.QcEntryTypeSaveVO;
import com.diagbot.vo.QcEntryTypeVO;
import com.diagbot.vo.QcTypeHospitalVO;
import com.diagbot.vo.QcTypeIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
@Service
public class QcCasesEntryServiceImpl extends ServiceImpl<QcCasesEntryMapper, QcCasesEntry> implements QcCasesEntryService {

    @Override
    public IPage<QcCasesEntryAllDTO> getAllQcCasesEntry(QcCasesEntryAllVO qcCasesEntryAllVO) {
        return baseMapper.getAllQcCasesEntry(qcCasesEntryAllVO);
    }

    @Override
    public IPage<QcCasesEntryAllDTO> getAllQcCasesEntryIndex(QcCasesEntryIndexVO qcCasesEntryIndexVO) {
        return baseMapper.getQcCasesEntryIndex(qcCasesEntryIndexVO);
    }

    @Override
    public List<QcCasesEntryDTO> getByCasesEntryId(List<Long> ids) {
        return baseMapper.getByCasesEntryId(ids);
    }

    @Override
    public List<QcCasesEntryDTO> getQcCasesEntryAll() {
        return baseMapper.getQcCasesEntryAll();
    }

    @Override
    public List<QcCasesEntrySimpleDTO> index(QcTypeIndexVO qcTypeIndexVO) {
        return baseMapper.index(qcTypeIndexVO);
    }

    @Override
    public List<QcCasesEntrySimpleDTO> getEntryByHospital(QcEntryHospitalVO qcEntryHospitalVO) {
        return baseMapper.getEntryByHospital(qcEntryHospitalVO);
    }

    @Override
    public IPage<QcEntryTypeDTO> entryTypePage(QcEntryTypePageVO qcEntryTypePageVO) {
        return baseMapper.entryTypePage(qcEntryTypePageVO);
    }

    @Override
    public List<QcTypeByEntryDTO> entryTypeDetail(QcEntryTypeVO qcEntryTypeVO) {
        return baseMapper.entryTypeDetail(qcEntryTypeVO);
    }

    @Override
    public List<QcTypeSimpDTO> indexQcType(QcEntryTypeIndexVO qcEntryTypeIndexVO) {
        return baseMapper.indexQcType(qcEntryTypeIndexVO);
    }

    @Override
    public void deleteQcTypeEntry(QcEntryTypeSaveVO qcEntryTypeSaveVO) {
        baseMapper.deleteQcTypeEntry(qcEntryTypeSaveVO);
    }

    @Override
    public List<QcTypeSimpDTO> getTypeByHospital(QcTypeHospitalVO qcTypeHospitalVO) {
        return baseMapper.getTypeByHospital(qcTypeHospitalVO);
    }

}
