package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.BABLDTO;
import com.diagbot.dto.BABLDetailDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ArRechome;
import com.diagbot.entity.MrMrcontent;
import com.diagbot.facade.ArRechomeFacade;
import com.diagbot.facade.MrMrcontentFacade;
import com.diagbot.vo.BABLDetailVO;
import com.diagbot.vo.BABLVO;
import com.diagbot.vo.BAZYPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 病案首页信息Ar_RecHome 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@RestController
@Api(value = "ORACLE-病案首页信息API", tags = { "ORACLE-病案首页信息API" })
@RequestMapping("/arRechome")
@SuppressWarnings("unchecked")
public class ArRechomeController {
    @Autowired
    private ArRechomeFacade arRechomeFacade;
    @Autowired
    private MrMrcontentFacade mrMrcontentFacade;

    @ApiOperation(value = "获取全部[by:gaodm]",
            notes = "获取全部")
    @PostMapping("/getAll")
    @SysLogger("getAll")
    public RespDTO<List<ArRechome>> getAll() {
        return RespDTO.onSuc(arRechomeFacade.list());
    }

    @ApiOperation(value = "获取全部2[by:gaodm]",
            notes = "获取全部2")
    @PostMapping("/getAll2")
    @SysLogger("getAll2")
    public RespDTO<List<MrMrcontent>> getAll2() {
        return RespDTO.onSuc(mrMrcontentFacade.list());
    }

    @ApiOperation(value = "获取病案病历记录列表[by:zhaops]",
            notes = "获取病案病历记录列表")
    @PostMapping("/getAllList")
    @SysLogger("getAllList")
    public RespDTO<List<BABLDTO>> getAllList() {
        return RespDTO.onSuc(arRechomeFacade.getAllList());
    }

    @ApiOperation(value = "病案病历记录分页查询[by:zhaops]",
            notes = "病案病历记录分页查询")
    @PostMapping("/getBAZYPage")
    @SysLogger("getBAZYPage")
    public RespDTO<IPage<BABLDTO>> getBAZYPage(@RequestBody BAZYPageVO bazyPageVO) {
        return RespDTO.onSuc(arRechomeFacade.getBAZYPage(bazyPageVO));
    }

    @ApiOperation(value = "获取病案详情[by:zhaops]",
            notes = "获取病案详情")
    @PostMapping("/getBABLContent")
    @SysLogger("getBABLContent")
    public RespDTO<BABLDetailDTO> getBABLContent(@RequestBody BABLVO bablvo) {
        return RespDTO.onSuc(arRechomeFacade.getBABLContent(bablvo));
    }

    @ApiOperation(value = "保存病案详情[by:zhaops]",
            notes = "保存病案详情")
    @PostMapping("/saveBABLContent")
    @SysLogger("saveBABLContent")
    public RespDTO<Boolean> saveBABLContent(@RequestBody BABLDetailVO bablDetailVO) {
        return RespDTO.onSuc(arRechomeFacade.saveBABLDetail(bablDetailVO));
    }
}