package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QcHospitalInfoAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.BasHospitalInfoFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 医院信息表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-17
 */

@RestController
@RequestMapping("/qcHospitalInfo")
@Api(value = "医院信息相关接口", tags = { "医院信息相关接口" })
public class BasHospitalInfoController {

    @Autowired
    BasHospitalInfoFacade qcHospitalInfoFacade;

    @ApiOperation(value = "获取医院信息[by:wangfeng]",
            notes = "获取医院信息")
    @PostMapping("/getHospitalInfoAll")
    @SysLogger("getHospitalInfoAll")
    public RespDTO<List<QcHospitalInfoAllDTO>> getHospitalInfoAll() {
        List<QcHospitalInfoAllDTO> data = qcHospitalInfoFacade.getHospitalInfoAll();
        return RespDTO.onSuc(data);
    }
}
