package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.MedBehospitalDeptDTO;
import com.diagbot.dto.MedQcresultDetailAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MedBehospitalInfoFacade;
import com.diagbot.vo.MedBehospitalDeptVO;
import com.diagbot.vo.MedQcresultDetailAllVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 住院病历信息 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
@RestController
@RequestMapping("/medBehospitalInfo")
@Api(value = "病历数据相关接口", tags = { "病历数据相关接口" })
public class MedBehospitalInfoController {
    @Autowired
    MedBehospitalInfoFacade medBehospitalInfoFacade;

    @ApiOperation(value = "查询标准病例所有科室[by:wangfeng]",
            notes = "查询标准病例所有科室")
    @PostMapping("/findhospitalDept")
    @SysLogger("findhospitalDept")
    public RespDTO<List<MedBehospitalDeptDTO>> findhospitalDept(@RequestBody  MedBehospitalDeptVO medBehospitalDeptVO) {
        List<MedBehospitalDeptDTO> data = medBehospitalInfoFacade.findhospitalDepts(medBehospitalDeptVO);
        return RespDTO.onSuc(data);
    }

}
