package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.MedQcresultDetailAllDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MedQcresultDetailFacade;
import com.diagbot.vo.MedQcresultDetailAllVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 质控评分明细信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
@RestController
@RequestMapping("/medQcresultDetail")
@Api(value = "质控评分明细信息相关接口", tags = { "质控评分明细信息相关接口" })
public class MedQcresultDetailController {
    @Autowired
    MedQcresultDetailFacade medQcresultDetailFacade;

    @ApiOperation(value = "获取单份病例最新评分明细信息[by:wangfeng]",
            notes = "获取单份病例最新评分明细信息")
    @PostMapping("/getMedQcresultDetail")
    @SysLogger("getMedQcresultDetail")
    public RespDTO<List<MedQcresultDetailAllDTO>> getMedQcresultDetail(@RequestBody @Valid MedQcresultDetailAllVO medQcresultDetailAllVO) {
        List<MedQcresultDetailAllDTO> data = medQcresultDetailFacade.getMedQcresultDetail(medQcresultDetailAllVO);
        return RespDTO.onSuc(data);
    }
}
