package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.MedRecordModule;
import com.diagbot.facade.MedRecordModuleFacade;
import com.diagbot.vo.MedRecordModuleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-29
 */
@RestController
@RequestMapping("/med/RecordModule")
@Api(value = "病历模块类型相关接口", tags = { "病历模块类型相关接口" })
public class MedRecordModuleController {

    @Autowired
    MedRecordModuleFacade medRecordModuleFacade;

    @ApiOperation(value = "获取全部病历模板类型[by:zhoutg]",
            notes = "获取全部病历模板类型")
    @PostMapping("/getAll")
    @SysLogger("getAll")
    public RespDTO<List<MedRecordModule>> getAll(@RequestBody MedRecordModuleVO medRecordModuleVO) {
        List<MedRecordModule> data = medRecordModuleFacade.getList(medRecordModuleVO);
        return RespDTO.onSuc(data);
    }
}
