package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.QcModeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.QcCasesFacade;
import com.diagbot.facade.QcModeFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 病历 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-26
 */

@RestController
@RequestMapping("/qcMode")
@Api(value = "医院数据模块相关接口", tags = { "医院数据模块相关接口" })
public class QcModeController {

    @Autowired
    private QcModeFacade qcModeFacade;

    @ApiOperation(value = "获取医院全部模块[by:wangfeng]",
            notes = "获取医院全部模块")
    @PostMapping("/getModes")
    @SysLogger("getModes")
    public RespDTO<List<QcModeDTO>> getModeAlls() {

        return RespDTO.onSuc(qcModeFacade.getModeAll());
    }
}
