package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.StdQcresultDetailFacade;
import com.diagbot.vo.StdQcresultDetailVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 标准质控评分明细信息 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */

@RestController
@RequestMapping("/stdQcresultDetail")
@Api(value = "标准质控评分明细信息相关接口", tags = { "标准质控评分明细信息相关接口" })
public class StdQcresultDetailController {
    @Autowired
    StdQcresultDetailFacade stdQcresultDetailFacade;

    @ApiOperation(value = "添加标准病例评分明细信息[by:wangfeng]",
            notes = "添加标准病例评分明细信息")
    @PostMapping("/addSthospitalInfo")
    @SysLogger("addSthospitalInfo")
    @Transactional
    public RespDTO<Boolean> addSthospitalInfo(@RequestBody @Valid StdQcresultDetailVO stdQcresultDetailVO) {
        Boolean res = stdQcresultDetailFacade.addSthospitalInfos(stdQcresultDetailVO);
        return RespDTO.onSuc(res);
    }
}
