package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历质控token信息
 * </p>
 *
 * @author zhoutg
 * @since 2019-12-23
 */
@Getter
@Setter
public class MrqcToken implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人姓名
     */
    private String creator;

    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 服务商
     */
    private String server;

    /**
     * 医院
     */
    private String hospital;

    /**
     * cpu
     */
    private String cpu;

    /**
     * 主板信息
     */
    private String mainboard;

    /**
     * 硬盘信息
     */
    private String disk;

    /**
     * ip
     */
    private String ip;

    /**
     * 剩余使用天数
     */
    private Integer remainDay;

    /**
     * 有效时间(分钟)
     */
    private Integer validTime;

    /**
     * 登录key
     */
    private String loginKey;

    /**
     * 文件路径
     */
    private String url;

    /**
     * 拷贝内容
     */
    private String content;

    /**
     * 备注
     */
    private String remark;

}
