package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 病历质控token信息
 * </p>
 *
 * @author zhoutg
 * @since 2019-12-23
 */
@Getter
@Setter
public class MrqcTokenVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;


    /**
     * 创建人(修改人)姓名
     */
    private String creator;

    /**
     * 服务商
     */
    private String server;

    /**
     * 医院
     */
    private String hospital;

    /**
     * cpu
     */
    private String cpu;

    /**
     * 主板信息
     */
    private String mainboard;

    /**
     * 硬盘信息
     */
    private String disk;

    /**
     * ip
     */
    private String ip;

    /**
     * 剩余使用天数
     */
    private Integer remainDay;

    /**
     * 有效时间(分钟)
     */
    private Integer validTime;

    /**
     * 登录Key
     */
    @ApiModelProperty(hidden = true)
    private String loginKey;

    /**
     * 拷贝内容
     */
    private String content;

    /**
     * 文件路径
     */
    private String url;

    /**
     * 备注
     */
    private String remark;
}
