package com.diagbot.aggregate;

import com.diagbot.dto.FileDTO;
import com.diagbot.dto.FileThumDTO;
import com.diagbot.facade.UploadFacade;
import com.diagbot.util.ListUtil;
import io.github.lvyahui8.spring.annotation.DataConsumer;
import io.github.lvyahui8.spring.annotation.DataProvider;
import io.github.lvyahui8.spring.annotation.InvokeParameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/11/1 9:15
 */
@Component
public class UploadAggregate {
    @Autowired
    private UploadFacade uploadFacade;

    @DataProvider("thumUploads")
    public List<FileDTO> setAll(
            @DataConsumer("thumUpload1") FileDTO fileDTO1,
            @DataConsumer("thumUpload2") FileDTO fileDTO2,
            @DataConsumer("thumUpload3") FileDTO fileDTO3,
            @DataConsumer("thumUpload4") FileDTO fileDTO4,
            @DataConsumer("thumUpload5") FileDTO fileDTO5,
            @DataConsumer("thumUpload6") FileDTO fileDTO6) {
        List<FileDTO> fileThumDTOList = ListUtil.newArrayList();
        if (null != fileDTO1){
            fileThumDTOList.add(fileDTO1);
        }

        if (null != fileDTO2){
            fileThumDTOList.add(fileDTO2);
        }

        if (null != fileDTO3){
            fileThumDTOList.add(fileDTO3);
        }

        if (null != fileDTO4){
            fileThumDTOList.add(fileDTO4);
        }

        if (null != fileDTO5){
            fileThumDTOList.add(fileDTO5);
        }
        if (null != fileDTO6){
            fileThumDTOList.add(fileDTO6);
        }

        return fileThumDTOList;
    }

    @DataProvider("thumUpload1")
    public FileDTO thumUpload1(@InvokeParameter("file1") MultipartFile file,
                                   @InvokeParameter("type1") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    @DataProvider("thumUpload2")
    public FileDTO thumUpload2(@InvokeParameter("file2") MultipartFile file,
                                   @InvokeParameter("type2") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    @DataProvider("thumUpload3")
    public FileDTO thumUpload3(@InvokeParameter("file3") MultipartFile file,
                                   @InvokeParameter("type3") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    @DataProvider("thumUpload4")
    public FileDTO thumUpload4(@InvokeParameter("file4") MultipartFile file,
                                   @InvokeParameter("type4") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    @DataProvider("thumUpload5")
    public FileDTO thumUpload5(@InvokeParameter("file5") MultipartFile file,
                                   @InvokeParameter("type5") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    @DataProvider("thumUpload6")
    public FileDTO thumUpload6(@InvokeParameter("file6") MultipartFile file,
                                   @InvokeParameter("type6") Integer type) {
        return this.singleFileThumUpload(file, type);
    }

    private FileDTO singleFileThumUpload(MultipartFile file, Integer type) {
        if (file == null) {
            return null;
        }
        return uploadFacade.singleFileUpload(file, type);
    }
}
