package com.diagbot.client.hystrix;

import java.util.List;

import javax.validation.Valid;

import com.diagbot.dto.GetHospitalRankInfoDTO;
import com.diagbot.dto.SysHospitalDTO;
import com.diagbot.vo.GetHospitalRankInfoVO;
import com.diagbot.vo.InquiryQuoteVO;
import com.diagbot.vo.SysHospitalCodeVO;
import org.springframework.stereotype.Component;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SignInDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.vo.HospitalSetVO;
import com.diagbot.vo.SignInVO;

import lombok.extern.slf4j.Slf4j;

/**
 * @Description: 调用信息对接层服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class TranServiceHystrix implements TranServiceClient {
    @Override
    public RespDTO<List<SysSetInfoDTO>> getSysSetInfoDatas(@Valid HospitalSetVO hospitalSetVO) {
        log.error("【hystrix】调用{}异常", "getSysSetInfoDatas");
        return null;
    }

	@Override
	public RespDTO<List<SignInDTO>> signIn(SignInVO signInVO) {
		log.error("【hystrix】调用{}异常", "signIn");
		return null;
	}

    @Override
    public RespDTO<InquiryQuoteVO> inquiryQuote(InquiryQuoteVO inquiryQuoteVO) {
        log.error("【hystrix】调用{}异常", "inquiryQuote");
        return null;
    }

    @Override
    public RespDTO<SysHospitalDTO> getHospitalDeptInfoData(SysHospitalCodeVO sysHospitalCodeVO) {
        log.error("【hystrix】调用{}异常", "getHospitalDeptInfoData");
        return null;
    }

    @Override
    public RespDTO<GetHospitalRankInfoDTO> getHospitalRankInfo(GetHospitalRankInfoVO getHospitalRankInfoVO) {
        log.error("【hystrix】调用{}异常", "getHospitalRankInfo");
        return null;
    }

    @Override
    public RespDTO<String> getParentHospitalCode(String hospitalCode) {
        log.error("【hystrix】调用{}异常", "getParentHospitalCode");
        return null;
    }
}