package com.diagbot.dto;

import java.math.BigDecimal;
import java.util.List;

import com.diagbot.entity.PhysicalInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="儿童体质辨识--体质计算--接口出参")
@Getter
@Setter
public class EvaluatorCalDTO{
	
    /**
     * 平和体质转化分
     */
	 @ApiModelProperty(value="平和体质转化分")
    private BigDecimal mildValue;
	
	/**
     * 气虚体质转化分
     */
    @ApiModelProperty(value="气虚体质转化分")
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
    @ApiModelProperty(value="湿滞体质转化分")
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
    @ApiModelProperty(value="心肝火旺体质转化分")
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
    @ApiModelProperty(value="积滞体质转化分")
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
    @ApiModelProperty(value="异禀体质转化分")
    private BigDecimal exceptValue;
	
    /**
     * 体质结果
     */
	@ApiModelProperty(value="体质结果")
    private String physicalRes;

    /**
     * 需要显示的体质逗号隔开
     */
	@ApiModelProperty(value="需要显示的体质逗号隔开")
    private String physicalTypes;
    
	/**
     * 体质结果基本信息列表
     */
	@ApiModelProperty(value="体质结果基本信息列表")
    private List<PhysicalInfo> physicalInfoList;
		
}
