package com.diagbot.dto;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="儿童体质辨识--获取分页信息--接口出参")
@Getter
@Setter
public class GetEvaluatorPageDTO{
	
	/**
     * 主键id
     */
	@ApiModelProperty(value="主键id")
    private Long id;

    /**
     * 记录创建时间
     */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value="记录创建时间")
    private Date gmtCreate;

    /**
     * 姓名
     */
	@ApiModelProperty(value="姓名")
    private String name;

    /**
     * 手机号
     */
	@ApiModelProperty(value="手机号")
    private String phone;

    /**
     * 性别(1：男 2：女)
     */
	@ApiModelProperty(value="性别(1：男 2：女)")
    private Integer sex;

    /**
     * 性别名称
     */
	@ApiModelProperty(value="性别名称")
    private String sexName;
	
    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="出生日期")
    private Date birthday;

    /**
     * 年龄
     */
	@ApiModelProperty(value="年龄")
    private Integer age;

    /**
     * 平和体质转化分
     */
	@ApiModelProperty(value="平和体质转化分")
    private BigDecimal mildValue;

    /**
     * 气虚体质转化分
     */
	@ApiModelProperty(value="气虚体质转化分")
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
	@ApiModelProperty(value="湿滞体质转化分")
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
	@ApiModelProperty(value="心肝火旺体质转化分")
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
	@ApiModelProperty(value="积滞体质转化分")
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
	@ApiModelProperty(value="异禀体质转化分")
    private BigDecimal exceptValue;

    /**
     * 体质结果
     */
	@ApiModelProperty(value="体质结果")
    private String physicalRes;

    /**
     * 需要显示的体质逗号隔开
     */
	@ApiModelProperty(value="需要显示的体质逗号隔开")
    private String physicalTypes;

    /**
     * 体质显示列表
     */
	@ApiModelProperty(value="体质显示列表")
    private List<PhysicalInfoDTO> physicalInfoDTOList;
	
	
}
