package com.diagbot.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="历史病历列表接口出参")
@Getter
@Setter
public class HisInquiryDTO{
	
	/**
	 * 病历id
	 */
	@ApiModelProperty(value="病历id")
	private Long id;
	
	/**
	 * 创建时间
	 */
	private Date gmtCreate;

	/**
	 * 修改时间
	 */
	private Date gmtModified;
	
	/**
	 * 就诊日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value="就诊日期")
	private Date inquiryDate;
	
	/**
	 * 就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
	@ApiModelProperty(value="就诊时间")
	private Date inquiryTime;
	
	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id")
    private Long hospitalId;

    /**
     * 医院编码
     */
    @ApiModelProperty(value="医院编码")
    private String hospitalCode;

    /**
     * 医院名称
     */
    @ApiModelProperty(value="医院名称")
    private String hospitalName;

    /**
     * 子医院id
     */
    @ApiModelProperty(value="子医院id")
    private Long sonHospitalId;

    /**
     * 子医院code
     */
    @ApiModelProperty(value="子医院code")
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    @ApiModelProperty(value="子医院名称")
    private String sonHospitalName;

    /**
     * 医院科室id
     */
    @ApiModelProperty(value="医院科室id")
    private Long hospitalDeptId;

    /**
     * 医院科室编码
     */
    @ApiModelProperty(value="医院科室编码")
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    @ApiModelProperty(value="医院科室名称")
    private String hospitalDeptName;

    /**
     * 医生id
     */
    @ApiModelProperty(value="医生id")
    private Long doctorId;

    /**
     * 医生编码
     */
    @ApiModelProperty(value="医生编码")
    private String doctorCode;

    /**
     * 医生姓名
     */
    @ApiModelProperty(value="医生姓名")
    private String doctorName;

    /**
     * 患者id
     */
    @ApiModelProperty(value="患者id")
    private Long patientId;

    /**
     * 患者编号
     */
    @ApiModelProperty(value="患者编号")
    private String patientCode;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value="患者姓名")
    private String patientName;

    /**
     * 患者性别：1男2女
     */
    @ApiModelProperty(value="患者性别：1男2女")
    private Integer patientSex;
    
    /**
     * 患者性别信息
     */
    @ApiModelProperty(value="患者性别信息")
    private String patientSexMsg;

    /**
     * 患者联系电话
     */
    @ApiModelProperty(value="患者联系电话")
    private String patientPhone;

    /**
     * 患者出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="患者出生日期")
    private Date patientBirthday;
    
    /**
     * 患者年龄
     */
	@ApiModelProperty(value="患者年龄")
    private Integer patientAge;

    /**
     * 患者病历号
     */
    @ApiModelProperty(value="患者病历号")
    private String patientIdNo;

    /**
     * 就诊序列号
     */
    @ApiModelProperty(value="就诊序列号")
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
    @ApiModelProperty(value="就诊状态（0待接诊，1接诊中，2完成接诊）")
    private Integer regVisitedState;

    /**
     * 分类(1:门诊,2:住院)
     */
    @ApiModelProperty(value="分类(1:门诊,2:住院)")
    private Integer type;

    /**
     * 内容JSON字符串
     */
    @ApiModelProperty(value="内容JSON字符串")
    private String dataJson;

    /**
     * 详情
     */
    @ApiModelProperty(value="详情")
	private InquiryDetailFlatDTO detail;

}
