package com.diagbot.dto;

import com.diagbot.entity.QuestionDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 返回标签内容
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class QuestionDTO {

    private Long id;// id
    private String name;//内容
    private String tagName;//标签名称
    private Integer type;//类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
    private Integer controlType; //控件类型
    private Integer itemType; //元素类型
    private Integer tagType; //标签标识
    private String labelPrefix = ""; //前置内容
    private String labelSuffix = ""; //后置内容
    private String url;    //图片url地址
    private String description; // 客户端界面描述
    private Integer specFlag;//特殊标记（0：没有标记，1：拼接到主诉）
    private Integer required;//必填（0：不必填，1：必填）
    private String exclusionDetail; //互斥选项（如1,2|3,4(1,2互斥，3,4互斥)）
    private String explains;//详细阐述
    private Integer exclusionType; //互斥类型
    private List<QuestionDetail> questionDetailList = new ArrayList<>(); //标签明细表
    private List<QuestionDTO> questionMapping = new ArrayList<>();     //下级标签
    private String flag; // 类型标记
    private String remark;//备注
}
