package com.diagbot.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 问诊记录-儿童体质辨识表
 * </p>
 *
 * @author gaodm
 * @since 2019-06-21
 */
@TableName("prec_inquiry_evaluator")
public class InquiryEvaluator implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 问诊记录id
     */
    private Long inquiryId;

    /**
     * 平和体质转化分
     */
    private BigDecimal mildValue;

    /**
     * 气虚体质转化分
     */
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
    private BigDecimal exceptValue;

    /**
     * 体质结果
     */
    private String physicalRes;

    /**
     * 需要显示的体质逗号隔开
     */
    private String physicalTypes;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getInquiryId() {
        return inquiryId;
    }

    public void setInquiryId(Long inquiryId) {
        this.inquiryId = inquiryId;
    }
    public BigDecimal getMildValue() {
        return mildValue;
    }

    public void setMildValue(BigDecimal mildValue) {
        this.mildValue = mildValue;
    }
    public BigDecimal getFaintValue() {
        return faintValue;
    }

    public void setFaintValue(BigDecimal faintValue) {
        this.faintValue = faintValue;
    }
    public BigDecimal getWetValue() {
        return wetValue;
    }

    public void setWetValue(BigDecimal wetValue) {
        this.wetValue = wetValue;
    }
    public BigDecimal getHeartValue() {
        return heartValue;
    }

    public void setHeartValue(BigDecimal heartValue) {
        this.heartValue = heartValue;
    }
    public BigDecimal getStagnantValue() {
        return stagnantValue;
    }

    public void setStagnantValue(BigDecimal stagnantValue) {
        this.stagnantValue = stagnantValue;
    }
    public BigDecimal getExceptValue() {
        return exceptValue;
    }

    public void setExceptValue(BigDecimal exceptValue) {
        this.exceptValue = exceptValue;
    }
    public String getPhysicalRes() {
        return physicalRes;
    }

    public void setPhysicalRes(String physicalRes) {
        this.physicalRes = physicalRes;
    }
    public String getPhysicalTypes() {
        return physicalTypes;
    }

    public void setPhysicalTypes(String physicalTypes) {
        this.physicalTypes = physicalTypes;
    }

    @Override
    public String toString() {
        return "InquiryEvaluator{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", inquiryId=" + inquiryId +
        ", mildValue=" + mildValue +
        ", faintValue=" + faintValue +
        ", wetValue=" + wetValue +
        ", heartValue=" + heartValue +
        ", stagnantValue=" + stagnantValue +
        ", exceptValue=" + exceptValue +
        ", physicalRes=" + physicalRes +
        ", physicalTypes=" + physicalTypes +
        "}";
    }
}
