package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 问诊记录-主表
 * </p>
 *
 * @author gaodm
 * @since 2019-11-21
 */
@TableName("prec_inquiry_quote")
public class InquiryQuote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 引用问诊id
     */
    private Long inquiryId;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 子医院id
     */
    private Long sonHospitalId;

    /**
     * 子医院code
     */
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    private String sonHospitalName;

    /**
     * 医院科室id
     */
    private Long hospitalDeptId;

    /**
     * 医院科室编码
     */
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    private String hospitalDeptName;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 医生编码
     */
    private String doctorCode;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 患者编号
     */
    private String patientCode;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 患者性别：1男2女
     */
    private Integer patientSex;

    /**
     * 患者联系电话
     */
    private String patientPhone;

    /**
     * 患者出生日期
     */
    private Date patientBirthday;

    /**
     * 患者证件号码(病历号)
     */
    private String patientIdNo;

    /**
     * 就诊序列号
     */
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
    private Integer regVisitedState;

    /**
     * 分类(1:门诊,2:住院)
     */
    private Integer type;

    /**
     * 内容JSON字符串
     */
    private String dataJson;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getInquiryId() {
        return inquiryId;
    }

    public void setInquiryId(Long inquiryId) {
        this.inquiryId = inquiryId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getHospitalCode() {
        return hospitalCode;
    }

    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }
    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }
    public Long getSonHospitalId() {
        return sonHospitalId;
    }

    public void setSonHospitalId(Long sonHospitalId) {
        this.sonHospitalId = sonHospitalId;
    }
    public String getSonHospitalCode() {
        return sonHospitalCode;
    }

    public void setSonHospitalCode(String sonHospitalCode) {
        this.sonHospitalCode = sonHospitalCode;
    }
    public String getSonHospitalName() {
        return sonHospitalName;
    }

    public void setSonHospitalName(String sonHospitalName) {
        this.sonHospitalName = sonHospitalName;
    }
    public Long getHospitalDeptId() {
        return hospitalDeptId;
    }

    public void setHospitalDeptId(Long hospitalDeptId) {
        this.hospitalDeptId = hospitalDeptId;
    }
    public String getHospitalDeptCode() {
        return hospitalDeptCode;
    }

    public void setHospitalDeptCode(String hospitalDeptCode) {
        this.hospitalDeptCode = hospitalDeptCode;
    }
    public String getHospitalDeptName() {
        return hospitalDeptName;
    }

    public void setHospitalDeptName(String hospitalDeptName) {
        this.hospitalDeptName = hospitalDeptName;
    }
    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }
    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }
    public String getPatientCode() {
        return patientCode;
    }

    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }
    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }
    public String getPatientPhone() {
        return patientPhone;
    }

    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }
    public Date getPatientBirthday() {
        return patientBirthday;
    }

    public void setPatientBirthday(Date patientBirthday) {
        this.patientBirthday = patientBirthday;
    }
    public String getPatientIdNo() {
        return patientIdNo;
    }

    public void setPatientIdNo(String patientIdNo) {
        this.patientIdNo = patientIdNo;
    }
    public String getInquiryCode() {
        return inquiryCode;
    }

    public void setInquiryCode(String inquiryCode) {
        this.inquiryCode = inquiryCode;
    }
    public Integer getRegVisitedState() {
        return regVisitedState;
    }

    public void setRegVisitedState(Integer regVisitedState) {
        this.regVisitedState = regVisitedState;
    }
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    public String getDataJson() {
        return dataJson;
    }

    public void setDataJson(String dataJson) {
        this.dataJson = dataJson;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "InquiryQuote{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", inquiryId=" + inquiryId +
            ", hospitalId=" + hospitalId +
            ", hospitalCode=" + hospitalCode +
            ", hospitalName=" + hospitalName +
            ", sonHospitalId=" + sonHospitalId +
            ", sonHospitalCode=" + sonHospitalCode +
            ", sonHospitalName=" + sonHospitalName +
            ", hospitalDeptId=" + hospitalDeptId +
            ", hospitalDeptCode=" + hospitalDeptCode +
            ", hospitalDeptName=" + hospitalDeptName +
            ", doctorId=" + doctorId +
            ", doctorCode=" + doctorCode +
            ", doctorName=" + doctorName +
            ", patientId=" + patientId +
            ", patientCode=" + patientCode +
            ", patientName=" + patientName +
            ", patientSex=" + patientSex +
            ", patientPhone=" + patientPhone +
            ", patientBirthday=" + patientBirthday +
            ", patientIdNo=" + patientIdNo +
            ", inquiryCode=" + inquiryCode +
            ", regVisitedState=" + regVisitedState +
            ", type=" + type +
            ", dataJson=" + dataJson +
            ", remark=" + remark +
        "}";
    }
}
