package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("prec_question_info")
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 内容
     */
    private String name;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 控件类型
     */
    private Integer controlType;

    /**
     * 元素类型
     */
    private Integer itemType;

    /**
     * 标签标识
     */
    private Integer tagType;


    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 客户端界面描述
     */
    private String description;

    /**
     * 图片url地址
     */
    private String url;

    /**
     * 特殊标记（0：没有标记，1：拼接到主诉）
     */
    private Integer specFlag;

    /**
     * 必填（0：不必填，1：必填）
     */
    private Integer required;

    /**
     * 详细阐述
     */
    private String explains;

    /**
     * 类型标记(1：时间类型，2：诱因类型，3：有无类型)
     */
    private String flag;

    /**
     * 互斥选项（如1,2|3,4(1,2互斥，3,4互斥)）
     */
    private String exclusionDetail;

    /**
     * 备注
     */
    private String remark;

}
