package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签映射表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@TableName("prec_question_mapping")
public class QuestionMapping implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 上级question
     */
    private Long parentQuestion;

    /**
     * 下级question
     */
    private Long sonQuestion;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 互斥类型
     */
    private Integer exclusionType;


    /**
     * 备注
     */
    private String remark;

}
