package com.diagbot.facade;

import java.util.List;

import com.diagbot.dto.GetTopPatientInfoDjDTO;
import com.diagbot.vo.GetTopPatientInfoDjVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SignInDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.SignInVO;

/**
 * @Description: 患者业务逻辑
 * @author: wangyu
 * @time: 2018/11/19 13:19
 */
@Component
public class PatientInfoFacade {

    @Autowired
    private AiptServiceClient aiptServiceClient;
    
    @Autowired
    private TranServiceClient tranServiceClient;

    /**
     * 页面顶部病人医生科室信息查询
     *
     * @param getTopPatientInfoDjVO
     * @return
     */
    public GetTopPatientInfoDjDTO getTopPatientInfo(GetTopPatientInfoDjVO getTopPatientInfoDjVO) {
        RespDTO<GetTopPatientInfoDjDTO> respDTO = aiptServiceClient.getTopPatientInfoDj(getTopPatientInfoDjVO);
        RespDTOUtil.respNGDealCover(respDTO, "获取页面顶部病人医生科室信息失败");

        GetTopPatientInfoDjDTO getTopPatientInfoDjDTO = respDTO.data;

        return getTopPatientInfoDjDTO;
    }
    
    /**
     * 患者登录
     * @param signInVO
     * @return
     */
    public RespDTO<List<SignInDTO>> signIn(SignInVO signInVO) {
        //RespDTO<List<SignInDTO>> respDTO = tranServiceClient.signIn(signInVO);
        //RespDTOUtil.respNGDealCover(respDTO, "患者登录失败");
        return tranServiceClient.signIn(signInVO);
    }
    

}
