package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.PhysicalInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.PhysicalInfoServiceImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/5/30 12:22
 */
@Component
public class PhysicalInfoFacade extends PhysicalInfoServiceImpl {
    public Map<String, PhysicalInfo> getPhysicalMap() {
        QueryWrapper<PhysicalInfo> queryWrapper = new QueryWrapper();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        List<PhysicalInfo> list = this.list(queryWrapper);
        Map<String, PhysicalInfo> map = new HashMap();
        map = list.stream().collect(Collectors.toMap(k -> k.getId().toString(), v -> v));
        return map;
    }
}
