package com.diagbot.facade;

import com.diagbot.entity.Statistical;
import com.diagbot.service.impl.StatisticalServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.StatisticalVO;
import com.diagbot.vo.Taggeds;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-02-24 14:34
 */
@Component
public class StatisticalFacade extends StatisticalServiceImpl {

    @Autowired
    @Qualifier("statisticalServiceImpl")
    private StatisticalServiceImpl statisticalService;

    /**
     * 批量保存
     *
     * @param statisticalVO
     * @return
     */
    public boolean saveStatistical(StatisticalVO statisticalVO) {
        boolean res = false;
        if (null != statisticalVO
                && ListUtil.isNotEmpty(statisticalVO.getTaggeds())) {
            List<Statistical> buriedList = new ArrayList<Statistical>();
            for (Taggeds taggedsNew : statisticalVO.getTaggeds()) {
                Statistical buriedData = new Statistical();
                buriedData.setCreator(statisticalVO.getDoctorId().toString());
                buriedData.setDoctorId(statisticalVO.getDoctorId());
                buriedData.setGmtCreate(DateUtil.now());
                buriedData.setHospitalDeptId(statisticalVO.getHospitalDeptId());
                buriedData.setHospitalId(statisticalVO.getHospitalId());
                buriedData.setInquiryCode(statisticalVO.getInquiryCode());
                buriedData.setPatientId(statisticalVO.getPatientId());
                buriedData.setLabelId(taggedsNew.getLabelId());
                buriedData.setLabelName(taggedsNew.getLabelName());
                buriedData.setOperationNum(taggedsNew.getOperationNum());
                buriedData.setOperationType(taggedsNew.getOperationType());
                buriedData.setStatus(taggedsNew.getStatus());
                buriedList.add(buriedData);
            }

            res = statisticalService.saveBatch(buriedList);
        }
        return res;
    }

}
