package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.enums.ProductTypeEnum;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.VersionVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description: 版本信息
 * @date 2018年11月21日 上午11:07:01
 */
@Component
public class VersionInfoFacade {

    @Autowired
    private AiptServiceClient aiptServiceClient;
    /**
     * 查询版本信息
     *
     * @return
     */
    public VersionWrapperDTO getVersionInfoAll() {
        VersionVO versionVO = new VersionVO();
        versionVO.setProductType(ProductTypeEnum.PREC.getKey());
        RespDTO<VersionWrapperDTO> res = aiptServiceClient.getVersionInfoAlls(versionVO);
        RespDTOUtil.respNGDealCover(res, "获取不到版本信息！");
        return res.data;
    }
}
