package com.diagbot.rabbit;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;
import org.springframework.messaging.SubscribableChannel;

/**
 * @Description: 自定义Stream发布和消费对象
 * @author: gaodm
 * @time: 2018/8/29 13:39
 */
public interface MyProcessor {

    String INPUT_LOG = "inputLog";
    String OUTPUT_LOG = "outputLog";

    @Input(INPUT_LOG)
    SubscribableChannel inputLog();

    @Output(OUTPUT_LOG)
    MessageChannel outputLog();

    String INPUT_BI_LOG = "inputBiLog";
    String OUTPUT_BI_LOG = "outputBiLog";

    @Input(INPUT_BI_LOG)
    SubscribableChannel inputBiLog();

    @Output(OUTPUT_BI_LOG)
    MessageChannel outputBiLog();

    String INPUT_STATISTI = "inputStatisti";
    String OUTPUT_STATISTI = "outputStatisti";

    @Input(INPUT_STATISTI)
    SubscribableChannel inputStatisti();

    @Output(OUTPUT_STATISTI)
    MessageChannel outputStatisti();
}
