package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "历史病历列表接口传参")
@Getter
@Setter
public class HisInquirysVO {

    /**
     * 医院id
     */
    @ApiModelProperty(value = "医院id")
    private Long hospitalId;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码")
    private String hospitalCode;

    /**
     * 子医院id
     */
    @ApiModelProperty(value = "子医院id")
    private Long sonHospitalId;

    /**
     * 子医院编码
     */
    @ApiModelProperty(value = "子医院编码")
    private String sonHospitalCode;

    /**
     * 医院科室id
     */
    @ApiModelProperty(value = "医院科室id")
    private Long hospitalDeptId;

    /**
     * 医院科室编码
     */
    @ApiModelProperty(value = "医院科室编码")
    private String hospitalDeptCode;

    /**
     * 医生id
     */
    @ApiModelProperty(value = "医生id")
    private Long doctorId;

    /**
     * 医生编码
     */
    @ApiModelProperty(value = "医生编码")
    private String doctorCode;

    /**
     * 患者id
     */
    @ApiModelProperty(value = "患者id")
    private Long patientId;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientCode;

    /**
     * 患者病历号
     */
    @ApiModelProperty(value = "患者病历号")
    private String patientIdNo;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 病历分类(1:门诊,2:住院)
     */
    @ApiModelProperty(value = "病历分类(1:门诊,2:住院)")
    private Integer type;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date endDate;

    /**
     * 排序类型：1、时间降序；2、时间升序；3、就诊号降序；4、就诊号升序；
     */
    @ApiModelProperty(value = "排序类型：1、时间降序；2、时间升序；3、就诊号降序；4、就诊号升序；")
    private Integer orderType = 1;

    /**
     * 有效天数限制
     */
    @ApiModelProperty(value = "有效天数限制")
    private int dayLimit = 15;

    /**
     * 是否查询详情，0-不查(默认) 1-查询
     */
    @ApiModelProperty(value = "是否查询详情，0-不查(默认) 1-查询")
    private Integer isHaveDetail = 0;

    /**
     * 是否考虑子医院 0-不考虑  1-考虑
     */
    private Integer isConsonHospitalCode = 0;

}
