package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "病历引用接口传参-医生信息")
@Getter
@Setter
public class InquiryQuoteDoctorVO {

    /**
     * id
     */
    private Long id;

    /**
     * 医生编码
     */
    @ApiModelProperty(value = "医生编码", required = true)
    @NotBlank(message = "医生编码必传")
    private String code;

    /**
     * 医生姓名
     */
    @ApiModelProperty(value = "医生姓名", required = true)
    @NotBlank(message = "医生姓名必传")
    private String name;

    /**
     * 医生性别，0-未知、1-男、2-女
     */
    @ApiModelProperty(value = "医生性别，0-未知、1-男、2-女")
    private Integer sex;

    /**
     * 证件类型
     */
    @ApiModelProperty(value = "证件类型")
    private String idType;

    /**
     * 证件号码
     */
    @ApiModelProperty(value = "证件号码")
    private String idNo;

    /**
     * 家庭住址
     */
    @ApiModelProperty(value = "家庭住址")
    private String address;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

}