package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "icss引用预问诊接口传参")
@Getter
@Setter
public class InquiryQuoteForIcssVO {

    /**
     * 预问诊记录id
     */
    @ApiModelProperty(value = "预问诊记录id", required = true)
    @NotNull(message = "预问诊记录id必传")
    private Long inquiryId;

    /**
     * 医院id
     */
    @ApiModelProperty(value = "医院id", required = true)
    @NotNull(message = "医院id必传")
    private Long hospitalId;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码", required = true)
    @NotBlank(message = "医院编码必传")
    private String hospitalCode;

    /**
     * 医院名称
     */
    @ApiModelProperty(value = "医院名称", required = true)
    @NotBlank(message = "医院名称必传")
    private String hospitalName;

    /**
     * 子医院id
     */
    @ApiModelProperty(value = "子医院id")
    private Long sonHospitalId;

    /**
     * 子医院code
     */
    @ApiModelProperty(value = "子医院code")
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    @ApiModelProperty(value = "子医院名称")
    private String sonHospitalName;

    /**
     * 医院科室id
     */
    @ApiModelProperty(value = "医院科室id", required = true)
    @NotNull(message = "医院科室id必传")
    private Long hospitalDeptId;

    /**
     * 医院科室编码
     */
    @ApiModelProperty(value = "医院科室编码", required = true)
    @NotBlank(message = "医院科室编码必传")
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    @ApiModelProperty(value = "医院科室名称", required = true)
    @NotBlank(message = "医院科室名称必传")
    private String hospitalDeptName;

    /**
     * 医生id
     */
    @ApiModelProperty(value = "医生id", required = true)
    @NotNull(message = "医生id必传")
    private Long doctorId;

    /**
     * 医生编码
     */
    @ApiModelProperty(value = "医生编码", required = true)
    @NotBlank(message = "医生编码必传")
    private String doctorCode;

    /**
     * 医生姓名
     */
    @ApiModelProperty(value = "医生姓名", required = true)
    @NotBlank(message = "医生姓名必传")
    private String doctorName;

    /**
     * 患者id
     */
    @ApiModelProperty(value = "患者id", required = true)
    @NotNull(message = "患者id必传")
    private Long patientId;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号", required = true)
    @NotBlank(message = "患者编号必传")
    private String patientCode;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名", required = true)
    @NotBlank(message = "患者姓名必传")
    private String patientName;

    /**
     * 患者性别：1男2女
     */
    @ApiModelProperty(value = "患者性别：1男2女")
    private Integer patientSex;

    /**
     * 患者联系电话
     */
    @ApiModelProperty(value = "患者联系电话")
    private String patientPhone;

    /**
     * 患者出生日期
     */
    @ApiModelProperty(value = "患者出生日期，格式为：2018-11-28 17:25")
    private Date patientBirthday;

    /**
     * 证件号码
     */
    @ApiModelProperty(value = "证件号码")
    private String patientIdNo;

    /**
     * 患者身份证号
     */
    @ApiModelProperty(value = "患者身份证号")
    private String patientIdentityNum;

    /**
     * 就诊序列号
     */
    @ApiModelProperty(value = "就诊序列号", required = true)
    @NotBlank(message = "就诊序列号必传")
    private String inquiryCode;

}