package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "病历引用接口传参")
@Getter
@Setter
public class InquiryQuoteVO {

    /**
     * 病历id
     */
    @ApiModelProperty(value = "病历id", required = true)
    @NotNull(message = "病历id必传")
    private Long inquiryId;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码", required = true)
    @NotBlank(message = "医院编码必传")
    private String hospitalCode;

    /**
     * 医院名称
     */
    @ApiModelProperty(value = "医院名称", required = true)
    @NotBlank(message = "医院名称必传")
    private String hospitalName;

    /**
     * 子医院id
     */
    private Long sonHospitalId;

    /**
     * 子医院编码
     */
    @ApiModelProperty(value = "子医院编码")
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    @ApiModelProperty(value = "子医院名称")
    private String sonHospitalName;

    /**
     * 就诊序列号
     */
    @ApiModelProperty(value = "就诊序列号", required = true)
    @NotBlank(message = "就诊序列号必传")
    private String inquiryCode;

    /**
     * 科室信息
     */
    @Valid
    @ApiModelProperty(value = "科室信息", required = true)
    @NotNull(message = "科室信息必传")
    private InquiryQuoteDeptVO deptInfo;

    /**
     * 医生信息
     */
    @Valid
    @ApiModelProperty(value = "医生信息", required = true)
    @NotNull(message = "医生信息必传")
    private InquiryQuoteDoctorVO doctorInfo;

    /**
     * 患者信息
     */
    @ApiModelProperty(value = "患者信息", required = true)
    @NotNull(message = "患者信息必传")
    private InquiryQuotePatientVO patientInfo;

}