package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value="问诊记录检查确认接口传参")
@Getter
@Setter
public class RecordCheckVO {
	
	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id",required=true)
	@NotNull(message="医院id必传")
    private Long hospitalId;
	
    /**
     * 医院科室id
     */
	@ApiModelProperty(value="科室id")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@ApiModelProperty(value="医生id")
    private Long doctorId;

    /**
     * 患者id
     */
	@ApiModelProperty(value="患者id",required=true)
	@NotNull(message="患者id必传")
    private Long patientId;
	
    /**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号",required=true)
//	@NotBlank(message="就诊序列号必传")
    private String inquiryCode;
    
}
