package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2018年11月23日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryDetailVO {
	
	/**
     * 类型（1主诉，2现病史，3其他史，4补充内容）
     */
	@ApiModelProperty(value="类型（1主诉，2现病史，3其他史，4补充内容）",required=true)
	@NotNull(message="问诊明细-类型必传")
	@Range(min=1,max=4,message="问诊明细-类型必须是1-4")
    private Integer type;

    /**
     * 内容字符串
     */
    @ApiModelProperty(value="内容字符串")
    private String content;
    
    /**
     * 内容字符串纯文本
     */
    @ApiModelProperty(value="内容字符串纯文本")
    private String contentValue;

}
