package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value="患者登录接口传参")
@Getter
@Setter
public class SignInVO {
	
	/**
	 * 医院编号
	 */
	@ApiModelProperty(value="医院编号",required=true)
	@NotBlank(message="医院编号必填")
	private String hospitalCode;

	/**
	 * 医院名称
	 */
	@ApiModelProperty(value="医院名称")
	private String hospitalName;

	/**
	 * 子医院编号
	 */
	@ApiModelProperty(value="子医院编号")
	private String sonHospitalCode;

	/**
	 * 子医院名称
	 */
	@ApiModelProperty(value="子医院名称")
	private String sonHospitalName;
	
	/**
     * 患者信息类型,101-身份证、102-病历号、103-手机号、104-市民卡卡号
     */
	@ApiModelProperty(value="患者信息类型,101-身份证、102-病历号、103-手机号、104-市民卡卡号",required=true)
	@NotBlank(message="患者信息类型必传")
    private String patientInfoType;
	
	/**
     * 患者信息
     */
	@ApiModelProperty(value="患者信息",required=true)
	@NotBlank(message="患者信息必传")
    private String patientInfo;
	
	/**
     * 患者姓名
     */
	@ApiModelProperty(value="患者姓名",required=true)
	@NotBlank(message="患者姓名必传")
    private String patientName;

   
    
}
