package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DisclaimerInformationFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author wangfeng
 * @Description: 智能预问诊提示 前端控制器
 * @date 2018年11月27日 下午3:35:57
 */
@RestController
@RequestMapping("/disclaimerInformation")
@Api(value = "智能预问诊-提示文案API[by:wangfeng]", tags = { "智能预问诊-提示文案API" })
@SuppressWarnings("unchecked")
public class DisclaimerInformationController {

    @Autowired
    DisclaimerInformationFacade disclaimerInformationFacade;

    @ApiOperation(value = "提示文案详情[by:wangfeng]", notes = "提示文案详情")
    @PostMapping("/getDisclaimerInformations")
    @SysLogger("getDisclaimerInformations")
    public RespDTO<List<DisclaimerInformationDTO>> getDisclaimerInformations() {
        List<DisclaimerInformationDTO> data = disclaimerInformationFacade.getDisclaimerInformation();
        return RespDTO.onSuc(data);
    }
}
