package com.diagbot.web;

import com.diagbot.dto.ModuleInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ModuleFacade;
import com.diagbot.vo.ModuleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 模型表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@RestController
@RequestMapping("/moduleInfo")
@Api(value = "模型相关API", tags = { "智能预问诊-模型相关API" })
@SuppressWarnings("unchecked")
public class ModuleInfoController {

    @Autowired
    ModuleFacade moduleFacade;

    @ApiOperation(value = "智能预问诊-返回所有的模型数据[by:wangyu]",
            notes = "moduleType: 模板类型(0.通用 1.根据科室划分 2.慢病)<br>" +
                    "relationId: 关联id，当moduleType为0时传0,当moduleType为1时，传科室id，当moduleType为2时传疾病id<br>" +
                    "age: 年龄<br>" +
                    "sex: 性别（1.男 2.女 3.通用）")
    @PostMapping("/getAll")
    public RespDTO<List<ModuleInfoDTO>> getAll(@RequestBody ModuleVO moduleVO) {
        List<ModuleInfoDTO> data = moduleFacade.getAll(moduleVO);
        return RespDTO.onSuc(data);
    }
}
