package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PrecEncryptFacade;
import com.diagbot.vo.PrecMapVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-05-11 14:44
 */
@RestController
@RequestMapping("/prec")
@Api(value = "预问诊请求API[by:wangfeng]", tags = { "预问诊请求API" })
@SuppressWarnings("unchecked")
public class PrecEncryptController {

    @Autowired
    private PrecEncryptFacade precEncryptFacade;

    @ApiOperation(value = "请求参数加密:[by:wangfeng]",
            notes = "Map<String ,String> map")
    @PostMapping("/getEncryption")
    @SysLogger("getEncryption")
    public RespDTO<PrecMapVO> getEncryption(@RequestBody PrecMapVO precMapVO) {
        return RespDTO.onSuc(precEncryptFacade.getEncryption(precMapVO));
    }

    @ApiOperation(value = "请求参数解密 :[by:wangfeng]",
            notes = "Map<String ,String> map")
    @PostMapping("/getDecode")
    @SysLogger("getDecode")
    public RespDTO<PrecMapVO> getDecode(@RequestBody @Valid PrecMapVO precVO) {
        return RespDTO.onSuc(precEncryptFacade.getDecode(precVO));
    }
}
