package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.StatisticalFacade;
import com.diagbot.rabbit.MySender;
import com.diagbot.vo.StatisticalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 数据埋点统计表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-02-24
 */
@RestController
@RequestMapping("/statistical")
@Api(value = "标签数据埋点统计API[by:wangfeng]", tags = { "WF——标签数据埋点统计API" })
@SuppressWarnings("unchecked")
public class StatisticalController {
    @Autowired
    MySender mySender;
    @Autowired
    StatisticalFacade statisticalFacade;


    @ApiOperation(value = "标签数据埋点统计异步保存[by:wangfeng]", notes = "标签数据埋点统计异步保存")
    @PostMapping("/saveBuriedSome")
    @SysLogger("saveBuriedSome")
    @Transactional
    public RespDTO<Boolean> saveBuriedSomeStatisticals(@Valid @RequestBody StatisticalVO statisticalVO) {
        mySender.outputStatistiSend(statisticalVO);
        return RespDTO.onSuc(true);
    }

    @ApiOperation(value = "标签数据埋点统计保存[by:wangfeng]", notes = "标签数据埋点统计保存")
    @PostMapping("/saveStatisticals")
    @SysLogger("saveStatisticals")
    @Transactional
    public RespDTO<Boolean> saveStatisticals(@Valid @RequestBody StatisticalVO statisticalVO) {
        boolean res =  statisticalFacade.saveStatistical(statisticalVO);
        return RespDTO.onSuc(res);
    }
}
