package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@TableName("prec_question_detail")
@Getter
@Setter
public class QuestionDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * question_id
     */
    private Long questionId;

    /**
     * 名称
     */
    private String name;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 患者界面描述
     */
    private String description;

    /**
     * 0：不互斥，1：与其他都互斥
     */
    private Integer exclusion;

    /**
     * 关联子问题（questionId多个逗号隔开）
     */
    private String subQuestion;

    /**
     * 备注
     */
    private String remark;
}
