package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@TableName("prec_question_info")
@Getter
@Setter
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 内容
     */
    private String name;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 标签标识(1：单项单列，例如： 程度，咳出通畅度  2：单项多列，例如：杂音，添加症状 3：横铺单标签形式，例如：血压 4：横铺多标签形式，例如：咳嗽 5：竖铺组合项，例如：有无治疗 6：组合项多列 既往史 7：化验)
     */
    private Integer tagType;

    /**
     * 控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：纯文本 4：待定 5：待定 6：文本框 7：数字键盘文本框 99：联合推送)
     */
    private Integer controlType;

    /**
     * 类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
     */
    private Integer type;


    /**
     * 元素类型
     */
    private Integer itemType;

    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 图片显示地址
     */
    private String url;

    /**
     * 特殊标记（0：没有标记，1：拼接到主诉）
     */
    private Integer specFlag;

    /**
     * 必填（0：不必填，1：必填）
     */
    private Integer required;

    /**
     * 互斥选项（如1,2|3,4(1,2互斥，3,4互斥)）
     */
    private String exclusionDetail;

    /**
     * 详细阐述
     */
    private String explains;

    /**
     * 患者界面描述
     */
    private String description;

    /**
     * 类型标记(1：时间类型，2：诱因类型，3：有无类型)
     */
    private String flag;

    /**
     * 备注
     */
    private String remark;

}
