package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签映射表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@TableName("prec_question_mapping")
@Getter
@Setter
public class QuestionMapping implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 上级question
     */
    private Long parentQuestion;

    /**
     * 下级question
     */
    private Long sonQuestion;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 标签显示位置(0：在标签后，1：在标签前)
     */
    private Integer position;

    /**
     * 填写单显示位置(0：左， 1：上)
     */
    private Integer formPosition;

    /**
     * 互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）
     */
    private Integer exclusionType;

    /**
     * 主症状和伴随症状对应的question类型（0：症状公用 1：主症状特有 2：伴随症状特有 ）
     */
    private Integer symptomType;

    /**
     * 备注
     */
    private String remark;


}
