package com.diagbot.entity.wrapper;

import com.diagbot.entity.QuestionDetail;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 标签保存参数
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */

@Getter
@Setter
public class QuestionWrapper implements Serializable {
    private Long id; //主键
    private String tagName; //标签名
    private String name; //界面名称
    private Integer sexType; //性别(1：男 2：女 3：通用)
    private Integer ageBegin; //最小年龄
    private Integer ageEnd; //最大年龄
    private Integer tagType; //标签显示类型
    private Integer controlType; //控件类型
    private Integer type; //类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断,8:药品，9：药品分类 21：量表，22：推送指标）
    private Integer itemType; //元素类型
    private String labelPrefix; //前置内容
    private String labelSuffix; //后置内容
    private String url; //图片显示地址
    private Integer specFlag; //特殊标记（0：没有标记，1：拼接到主诉）
    private Integer required; //必填（0：不必填，1：必填）
    private String exclusionDetail; //互斥选项（如1,2|3,4(1,2互斥，3,4互斥)）
    private String explains; //必填（0：不必填，1：必填）
    private String description; //患者界面描述
    private String flag; //类型标记
    private String remark; //备注
    private List<QuestionDetail> questionDetails = new ArrayList<>(); //明细
    private List<QuestionMappingWrapper> questionMappings = new ArrayList<>(); //映射关系
}
