package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author: wangyu
 * @Date: 13:41 2019/3/28
 */
public enum ModuleInfoTypeEnum implements KeyedNamed {
    Common(0, "通用"),
    ByDept(1, "科室"),
    ByDis(2, "慢病");
    @Setter
    private int key;

    @Setter
    private String name;

    ModuleInfoTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ModuleInfoTypeEnum getEnum(int key) {
        for (ModuleInfoTypeEnum item : ModuleInfoTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ModuleInfoTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}