package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.QuestionTypeEnum;
import com.diagbot.enums.TagTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2018/11/23 11:37
 */
@Component
public class CountFacade {

    @Autowired
    QuestionFacade questionFacade;

    /**
     * 返回统计信息
     *
     * @return
     */
    public BIItemDTO getCount() {
        BIItemDTO biItemDTO = new BIItemDTO();
        int symptomNum = questionFacade.count(new QueryWrapper<QuestionInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("type", QuestionTypeEnum.Symptom.getKey())
                .eq("tag_type", TagTypeEnum.T4.getKey())
        );
        biItemDTO.setModuleName("智能预问诊");
        biItemDTO.setItemName("预问诊症状条目");
        biItemDTO.setCount(symptomNum);
        return biItemDTO;
    }
}
