package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.vo.QuestionPageVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
public interface QuestionInfoService extends IService<QuestionInfo> {


    /**
     * 根据参数获取标签信息
     *
     * @param map 参数
     * @return
     */
    public QuestionInfo getByParam(Map map);


    /**
     * 根据id删除标签
     *
     * @param map
     * @return
     */
    public void deleteByIds(Map map);


    /**
     * 检索
     *
     * @param map
     * @return
     */
    public List<QuestionInfo> index(Map map);


    /**
     * 获取标签列表
     *
     * @param questionPageVO
     * @return
     */
    IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO);


    /**
     * 获取关联的父级标签
     *
     * @param id
     * @return
     */
    public List<QuestionInfo> getParentQuestion(Long id);


    /**
     * 根据questionMapping获取标签信息
     *
     * @param map 参数
     * @return
     */
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map);


}


