package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.CountFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * <p>
 * 统计 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-25
 */
@RequestMapping("/count_prec")
@RestController
@SuppressWarnings("unchecked")
@Api(value = "预问诊统计API", tags = { "预问诊统计API" })
@ApiIgnore
public class CountController {


    @Autowired
    CountFacade countFacade;

    @ApiOperation(value = "返回预问诊统计信息[by:zhoutg]",
            notes = "")
    @PostMapping("/getCount")
    @SysLogger("getCount")
    public RespDTO<BIItemDTO> getCount() {
        BIItemDTO data = countFacade.getCount();
        return RespDTO.onSuc(data);
    }
}
