package com.diagbot.aggregate;

import com.diagbot.dto.OptDTO;
import com.diagbot.dto.PVDTO;
import com.diagbot.dto.UVDTO;
import com.diagbot.dto.ZZDTO;
import com.diagbot.facade.OptInfoFacade;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.OptVO;
import io.github.lvyahui8.spring.annotation.DataConsumer;
import io.github.lvyahui8.spring.annotation.DataProvider;
import io.github.lvyahui8.spring.annotation.InvokeParameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/2/3 10:38
 */
@Component
public class OptAggregate {
    @Autowired
    private OptInfoFacade optInfoFacade;

    @DataProvider("getAllOptSum")
    public OptDTO getAllOptSum(
            @InvokeParameter("optVO") OptVO optVO,
            @DataConsumer("getPV") List<PVDTO> pvdtoList,
            @DataConsumer("getPVSum") Long pvSum,
            @DataConsumer("getUV") List<UVDTO> uvdtoList,
            @DataConsumer("getUVSum") Long uvSum,
            @DataConsumer("getZZ") List<ZZDTO> zzdtoList,
            @DataConsumer("getZZSum") Long zzSum) {
        OptDTO optDTO = new OptDTO();
        if (ListUtil.isNotEmpty(pvdtoList)) {
            optDTO.setPvdto(pvdtoList);
        }
        if (null != pvSum) {
            optDTO.setPvSum(pvSum);
        }
        if (ListUtil.isNotEmpty(uvdtoList)) {
            optDTO.setUvdto(uvdtoList);
        }
        if (null != uvSum) {
            optDTO.setUvSum(uvSum);
        }
        if (ListUtil.isNotEmpty(zzdtoList)) {
            optDTO.setZzdto(zzdtoList);
        }
        if (null != zzSum) {
            optDTO.setZzSum(zzSum);
        }
        return optDTO;
    }


    @DataProvider("getAllOptSumNoDays")
    public OptDTO getAllOptSumNoDays(
            @InvokeParameter("optVO") OptVO optVO,
            @DataConsumer("getPVSum") Long pvSum,
            @DataConsumer("getUVSum") Long uvSum,
            @DataConsumer("getZZSum") Long zzSum) {
        OptDTO optDTO = new OptDTO();
        if (null != pvSum) {
            optDTO.setPvSum(pvSum);
        }
        if (null != uvSum) {
            optDTO.setUvSum(uvSum);
        }
        if (null != zzSum) {
            optDTO.setZzSum(zzSum);
        }
        return optDTO;
    }


    @DataProvider("getPV")
    public List<PVDTO> getPV(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getPV(optVO);
    }

    @DataProvider("getPVSum")
    public Long getPVSum(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getPVSum(optVO);
    }

    @DataProvider("getUV")
    public List<UVDTO> getUV(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getUV(optVO);
    }

    @DataProvider("getUVSum")
    public Long getUVSum(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getUVSum(optVO);
    }

    @DataProvider("getZZ")
    public List<ZZDTO> getZZ(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getZZ(optVO);
    }

    @DataProvider("getZZSum")
    public Long getZZSum(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getZZSum(optVO);
    }
}
