package com.diagbot.aggregate;

import com.diagbot.dto.OptHospDTO;
import com.diagbot.dto.PVHospDTO;
import com.diagbot.dto.PVHospSumDTO;
import com.diagbot.dto.UVHospDTO;
import com.diagbot.dto.UVHospSumDTO;
import com.diagbot.dto.ZZHospDTO;
import com.diagbot.dto.ZZHospSumDTO;
import com.diagbot.facade.OptInfoFacade;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.OptVO;
import io.github.lvyahui8.spring.annotation.DataConsumer;
import io.github.lvyahui8.spring.annotation.DataProvider;
import io.github.lvyahui8.spring.annotation.InvokeParameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/2/3 10:38
 */
@Component
public class OptHospAggregate {
    @Autowired
    private OptInfoFacade optInfoFacade;

    @DataProvider("getAllOptSumHosp")
    public OptHospDTO getAllOptSumHosp(
            @InvokeParameter("optVO") OptVO optVO,
            @DataConsumer("getPVHosp") List<PVHospDTO> pvHospDto,
            @DataConsumer("getPVSumHosp") List<PVHospSumDTO> pvHospSumDto,
            @DataConsumer("getUVHosp") List<UVHospDTO> uvHospDto,
            @DataConsumer("getUVSumHosp") List<UVHospSumDTO> uvHospSumDto,
            @DataConsumer("getZZHosp") List<ZZHospDTO> zzHospDto,
            @DataConsumer("getZZSumHosp") List<ZZHospSumDTO> zzHospSumDto) {
        OptHospDTO optHospDTO = new OptHospDTO();
        if (ListUtil.isNotEmpty(pvHospDto)) {
            optHospDTO.setPvHospDto(pvHospDto);
        }
        if (ListUtil.isNotEmpty(pvHospSumDto)) {
            optHospDTO.setPvHospSumDto(pvHospSumDto);
            Long pvSum = 0L;
            for (PVHospSumDTO pvHospSumDTO : pvHospSumDto) {
                pvSum += pvHospSumDTO.getPvSum();
            }
            optHospDTO.setPvSum(pvSum);
        }
        if (ListUtil.isNotEmpty(uvHospDto)) {
            optHospDTO.setUvHospDto(uvHospDto);
        }
        if (ListUtil.isNotEmpty(uvHospSumDto)) {
            optHospDTO.setUvHospSumDto(uvHospSumDto);
            Long uvSum = 0L;
            for (UVHospSumDTO uvHospSumDTO : uvHospSumDto) {
                uvSum += uvHospSumDTO.getUvSum();
            }
            optHospDTO.setUvSum(uvSum);
        }
        if (ListUtil.isNotEmpty(zzHospDto)) {
            optHospDTO.setZzHospDto(zzHospDto);
        }
        if (ListUtil.isNotEmpty(zzHospSumDto)) {
            optHospDTO.setZzHospSumDto(zzHospSumDto);
            Long zzSum = 0L;
            for (ZZHospSumDTO zzHospSumDTO : zzHospSumDto) {
                zzSum += zzHospSumDTO.getZzSum();
            }
            optHospDTO.setZzSum(zzSum);
        }
        return optHospDTO;
    }

    @DataProvider("getPVHosp")
    public List<PVHospDTO> getPVHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getPVHosp(optVO);
    }

    @DataProvider("getPVSumHosp")
    public List<PVHospSumDTO> getPVSumHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getPVSumHosp(optVO);
    }

    @DataProvider("getUVHosp")
    public List<UVHospDTO> getUVHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getUVHosp(optVO);
    }

    @DataProvider("getUVSumHosp")
    public List<UVHospSumDTO> getUVSumHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getUVSumHosp(optVO);
    }

    @DataProvider("getZZHosp")
    public List<ZZHospDTO> getZZHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getZZHosp(optVO);
    }

    @DataProvider("getZZSumHosp")
    public List<ZZHospSumDTO> getZZSumHosp(@InvokeParameter("optVO") OptVO optVO) {
        return optInfoFacade.getZZSumHosp(optVO);
    }
}
