package com.diagbot.dto;

import java.util.Date;
import java.util.List;

import com.diagbot.entity.InquiryDetail;
import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@Getter
@Setter
public class HisInquirysForJzDetailDTO{
	
    /**
     * 问诊记录id
     */
    private Long inquiryId;
	
	/**
     * 医生id
     */
    private Long doctorId;
	
    /**
     * 医生姓名
     */
    private String doctorName;
	
	/**
	 * 就诊日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date inquiryDate;
	
	/**
	 * 就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date inquiryTime;
	
    /**
     * 诊断
     */
    private String diagnose;
	
	/**
     * 二次诊断的医生id
     */
    private Long doctorIdSecond;
	
    /**
     * 二次诊断的医生姓名
     */
    private String doctorNameSecond;
	
	/**
	 * 二次诊断的就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date inquiryTimeSecond;
	
    /**
     * 二次诊断的诊断
     */
    private String diagnoseSecond;
	
    /**
     * 门诊号
     */
    private String inquiryCode;
	
    /**
     * 医院科室id
     */
    private Long hospitalDeptId;
	
    /**
     * 医院科室名称
     */
    private String hospitalDeptName;
	
	/**
     * 病人id
     */
    private Long patientId;
	
	/**
     * 病人姓名
     */
    private String patientName;
	
    /**
     * 病人性别
     */
    private String patientSex;
	
    /**
     * 病人年龄
     */
    private Integer patientAge;
	
    /**
     * 病人证件号码
     */
    private String patientIdNo;
    
	/**
     * 病历明细
     */
	private List<InquiryDetail> detailList;
	
	
}
