package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 智能分诊记录主表
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-20
 */
@TableName("tran_inquiry_triage")
public class InquiryTriage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院名称
     */
    private String hospitalCode;

    /**
     * 访问者的IP
     */
    private String ip;

    /**
     * 姓名
     */
    private String patName;

    /**
     * 年龄
     */
    private Integer patAge;

    /**
     * 性别(1：男 2：女)
     */
    private Integer patSex;

    /**
     * 证件类型(1：身份证，2：护照)
     */
    private Integer idType;

    /**
     * 证件号
     */
    private String idNum;

    /**
     * 症状
     */
    private String symptom;

    /**
     * 补充说明
     */
    private String supplement;

    /**
     * 诊断结果和疾病科室
     */
    private String disDept;

    private String correlation;
    /**
     * 备注
     */
    private String remark;

    public String getCorrelation() {
        return correlation;
    }

    public void setCorrelation(String correlation) {
        this.correlation = correlation;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getHospitalCode() {
        return hospitalCode;
    }

    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }
    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }
    public String getPatName() {
        return patName;
    }

    public void setPatName(String patName) {
        this.patName = patName;
    }
    public Integer getPatAge() {
        return patAge;
    }

    public void setPatAge(Integer patAge) {
        this.patAge = patAge;
    }
    public Integer getPatSex() {
        return patSex;
    }

    public void setPatSex(Integer patSex) {
        this.patSex = patSex;
    }
    public Integer getIdType() {
        return idType;
    }

    public void setIdType(Integer idType) {
        this.idType = idType;
    }
    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }
    public String getSymptom() {
        return symptom;
    }

    public void setSymptom(String symptom) {
        this.symptom = symptom;
    }
    public String getSupplement() {
        return supplement;
    }

    public void setSupplement(String supplement) {
        this.supplement = supplement;
    }
    public String getDisDept() {
        return disDept;
    }

    public void setDisDept(String disDept) {
        this.disDept = disDept;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "InquiryTriage{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", hospitalCode=" + hospitalCode +
            ", ip=" + ip +
            ", patName=" + patName +
            ", patAge=" + patAge +
            ", patSex=" + patSex +
            ", idType=" + idType +
            ", idNum=" + idNum +
            ", symptom=" + symptom +
            ", supplement=" + supplement +
            ", disDept=" + disDept +
            ", remark=" + remark +
        "}";
    }
}
