package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.HosCodeVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/20 13:09
 */
@Component
public class DataServiceFacade {
    @Autowired
    HospitalInfoFacade hospitalInfoFacade;

    /**
     * 对接
     *
     * @param hosCodeVO
     * @return
     */
    public Boolean isConnect(HosCodeVO hosCodeVO) {
        if (StringUtil.isBlank(hosCodeVO.getHosCode())) {
            throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "请输入医院编码");
        }
        QueryWrapper<HospitalInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("code", hosCodeVO.getHosCode());
        HospitalInfo hospitalInfo = hospitalInfoFacade.getOne(queryWrapper, false);
        if (hospitalInfo == null) {
            return false;
        } else {
            if (hospitalInfo.getConnect().equals(1)) {
                return true;
            } else {
                return false;
            }
        }
    }
}