package com.diagbot.facade;


import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.dto.LisDataDTO;
import com.diagbot.dto.LisRetrieveDTO;
import com.diagbot.dto.LisRetrieveListAllDTO;
import com.diagbot.dto.PacsDataDTO;
import com.diagbot.dto.PacsResultDTO;
import com.diagbot.dto.PacsRetrieveDTO;
import com.diagbot.dto.PacsRetrieveListAllDTO;
import com.diagbot.util.DateUtil;
import com.diagbot.vo.LisArgumentsVO;
import com.diagbot.vo.LisExcelWrapperVO;
import com.diagbot.vo.LisGroupNameVO;
import com.diagbot.vo.PacsArgumentsVO;
import com.diagbot.vo.PacsCheckItemVO;

@Component
public class DockingImportFacade {

    public LisRetrieveListAllDTO lisDockingImport(LisArgumentsVO lisArgumentsVO) {
        // TODO 测试数据
        LisRetrieveListAllDTO lisRetrieveList = new LisRetrieveListAllDTO();// TODO 测试数据
        lisRetrieveList.setAgr(24);// TODO 测试数据
        lisRetrieveList.setName("Tom");// TODO 测试数据
        lisRetrieveList.setPatientNum("123456");// TODO 测试数据
        lisRetrieveList.setSex(0);// TODO 测试数据
        lisRetrieveList.setStartTime("2019-05-01 00:00:00");// TODO 测试数据
        lisRetrieveList.setEndTime("2019-05-31 00:00:00");// TODO 测试数据
        List<LisRetrieveDTO> lisRetrieveDTO = new ArrayList<LisRetrieveDTO>();// TODO 测试数据
        for (int i = 0; i < 10; i++) {// TODO 测试数据
            LisRetrieveDTO list = new LisRetrieveDTO();
            list.setGroupName("呼吸道病毒三联检" + i);
            list.setInspectDoctor("admin" + i);// TODO 测试数据
            list.setInspectTime(getNextDay(DateUtil.now(),i));// TODO 测试数据
			list.setReportTime(getNextDay(DateUtil.now(),i));
            list.setSpecimenType("血清" + i);// TODO 测试数据
            lisRetrieveDTO.add(list);
        }
        lisRetrieveList.setLisRetrieveData(lisRetrieveDTO);// TODO 测试数据

        return lisRetrieveList;// TODO 测试数据
    }

    public LisDataDTO getByGroupNameLisDatas(LisGroupNameVO lisGroupNameVO) {
        // TODO 測試數據
        LisDataDTO lisDataDTO = new LisDataDTO();// TODO 测试数据
        lisDataDTO.setHospitalCode("121365465");// TODO 测试数据
        lisDataDTO.setGroupName(lisGroupNameVO.getGroupName());// TODO 测试数据
        List<LisExcelWrapperVO> lisExcelWrapper = new ArrayList<LisExcelWrapperVO>();
        for (int i = 0; i < 10; i++) {// TODO 测试数据
            LisExcelWrapperVO lisExcelWrapperVO = new LisExcelWrapperVO();
            lisExcelWrapperVO.setItemName("糖代谢检查" + i);// TODO 测试数据
            lisExcelWrapperVO.setMax("1" + i);
            lisExcelWrapperVO.setMealName("-空腹血糖(Glu)" + i);// TODO 测试数据
            lisExcelWrapperVO.setMin("" + i);// TODO 测试数据
            lisExcelWrapperVO.setTime("2019-06-25"+i+":00:00");// TODO 测试数据
            if(i==1){
            	lisExcelWrapperVO.setType("0");// TODO 测试数据
            } else if(i==2){
            	lisExcelWrapperVO.setType("2");// TODO 测试数据
            }else if(i==3){
            	lisExcelWrapperVO.setType("3");// TODO 测试数据
            }else if(i==4){
           	 lisExcelWrapperVO.setType("1");// TODO 测试数据	
           }else{
            	lisExcelWrapperVO.setType("1");// TODO 测试数据	
            }
            lisExcelWrapperVO.setUniquemealName("-空腹血糖(Glu)" + i);
            lisExcelWrapperVO.setUniqueName("糖代谢检查" + i);// TODO 测试数据
            lisExcelWrapperVO.setUnit("mo/l");// TODO 测试数据
            if(i==1){
            	lisExcelWrapperVO.setValue("2");// TODO 测试数据;// TODO 测试数据
            } else if(i==2){
            	lisExcelWrapperVO.setValue("15" + i);// TODO 测试数据
            }else if(i==3){
            	lisExcelWrapperVO.setValue("0.1" + i);// TODO 测试数据
            }else if(i==4){
            	 lisExcelWrapperVO.setValue("黑色");// TODO 测试数据	
            }else{
            	lisExcelWrapperVO.setValue("1" + i);// TODO 测试数据	
            }
           
            lisExcelWrapper.add(lisExcelWrapperVO);// TODO 测试数据
        }

        lisDataDTO.setLisExcelWrapper(lisExcelWrapper);// TODO 测试数据
        return lisDataDTO;// TODO 测试数据
    }

    public PacsRetrieveListAllDTO pacsDockingImports(PacsArgumentsVO pacsArgumentsVO) {
        // TODO 测试数据
        PacsRetrieveListAllDTO pacsRetrieveList = new PacsRetrieveListAllDTO();// TODO 测试数据
        pacsRetrieveList.setAgr(24);// TODO 测试数据
        pacsRetrieveList.setName("Tom");// TODO 测试数据
        pacsRetrieveList.setPatientNum("123456");// TODO 测试数据
        pacsRetrieveList.setSex(0);// TODO 测试数据
        pacsRetrieveList.setStartTime("2019-05-01 00:00:00");// TODO 测试数据
        pacsRetrieveList.setEndTime("2019-05-31 00:00:00");// TODO 测试数据
        List<PacsRetrieveDTO> pacsRetrieveDTO = new ArrayList<PacsRetrieveDTO>();// TODO 测试数据
        for (int i = 0; i < 10; i++) {// TODO 测试数据
            PacsRetrieveDTO list = new PacsRetrieveDTO();// TODO 测试数据
            list.setCheckItem("呼吸道病毒三联检" + i);// TODO 测试数据
            list.setApplicationDate("2019-05-31 "+i+":00:00");
            list.setCheckNum("123456" + i);// TODO 测试数据
            list.setName("心电图" + i);// TODO 测试数据
            list.setInspectTime(getNextDay(DateUtil.now(),i));// TODO 测试数据
            list.setReportTime(getNextDay(DateUtil.now(),i));// TODO 测试数据
            list.setApplicationNum("8888" + i);// TODO 测试数据
            list.setType(i);// TODO 测试数据
            pacsRetrieveDTO.add(list);// TODO 测试数据
        }
        pacsRetrieveList.setPacsRetrieveData(pacsRetrieveDTO);// TODO 测试数据
        // TODO 测试数据
        return pacsRetrieveList;// TODO 测试数据
    }

    public PacsDataDTO getByCheckItemPacsDatas(PacsCheckItemVO pacsGroupNameVO) {
        // TODO 測試數據
        PacsDataDTO pacsDataDTO = new PacsDataDTO();// TODO 测试数据
        pacsDataDTO.setHospitalCode("121365465");// TODO 测试数据
        pacsDataDTO.setCheckItem(pacsGroupNameVO.getCheckItem());// TODO 测试数据
        List<PacsResultDTO> pacsExcelWrapper = new ArrayList<PacsResultDTO>();// TODO 测试数据
        for (int i = 0; i < 2; i++) {// TODO 测试数据
            PacsResultDTO pacsExcelWrapperVO = new PacsResultDTO();// TODO 测试数据
            pacsExcelWrapperVO.setCheckItem(pacsGroupNameVO.getCheckItem());// TODO 测试数据
            pacsExcelWrapperVO.setImagingDiagnose("影像所见" + i);// TODO 测试数据
            pacsExcelWrapperVO.setImagingResults("影像诊断" + i);// TODO 测试数据
            pacsExcelWrapper.add(pacsExcelWrapperVO);// TODO 测试数据
        }

        pacsDataDTO.setPacsResultDTO(pacsExcelWrapper);// TODO 测试数据
        return pacsDataDTO;// TODO 测试数据
    }
    //当天时间加i
    
    public static Date getNextDay(Date date,int i ) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.DAY_OF_MONTH, +i);//+1今天的时间加一天
        date = calendar.getTime();
        return date;
    }
}
