package com.diagbot.facade;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.HospitalInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.HospitalInfoVO;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:43
 */
@Component
public class HospitalInfoFacade extends HospitalInfoServiceImpl {

    private static final Object HospitalInfoDTO = null;

	/**
     * 获取医院信息
     *
     * @param hospitalInfoVO
     * @return
     */
   /* public List<HospitalInfoDTO> getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
        List<HospitalInfoDTO> hospitalInfoDTOList = this.getHospitalInfos(hospitalInfoVO);
        return hospitalInfoDTOList;
    }
*/
	public HospitalInfoDTO getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
		QueryWrapper<HospitalInfo> queryWrapper = new QueryWrapper<HospitalInfo>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
        			.eq("code", hospitalInfoVO.getCode());
        HospitalInfo datas = this.getOne(queryWrapper, false);
        HospitalInfoDTO data =new HospitalInfoDTO();
        BeanUtil.copyProperties(datas, data);
        return data;
    }
}