package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.dto.IndexDataDTO;
import com.diagbot.entity.IndexData;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.IndexDataServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.IndexDataAllVO;
import com.diagbot.vo.IndexDataFindVO;
import com.diagbot.vo.IndexDataSaveVO;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年5月6日 下午8:04:09
 */
@Component
public class IndexDataFacade extends IndexDataServiceImpl {

	/**
	 * 
	 * @param indexDataFindVO
	 * @return
	 */
	public List<IndexDataDTO> quisitionIndexDataAll(IndexDataFindVO indexDataFindVO) {

        Map<String, Object> indexDataMap = new HashMap<>();
        indexDataMap.put("patientId", indexDataFindVO.getPatientId());
        indexDataMap.put("startTime", indexDataFindVO.getStartTime());
        indexDataMap.put("endTime", indexDataFindVO.getEndTime());
        //获取慢病指标数据
         return this.quisitionIndexDataAll(indexDataFindVO.getIds(),indexDataMap);
         
	}


	
	public boolean saveIndexDatas(IndexDataSaveVO indexDataSaveVO) {
		 boolean res = false;
	        if (null != indexDataSaveVO && ListUtil.isNotEmpty(indexDataSaveVO.getIndexData())) {
	            // 先查询该用户相同就诊号所保留的数据，将其删除
	            UpdateWrapper<IndexData> IndexDataUpdate = new UpdateWrapper<>();
	            Map<String, Object> mapAll = new HashMap<>();
	            mapAll.put("inquiry_code", indexDataSaveVO.getInquiryCode());
	            mapAll.put("patient_id", indexDataSaveVO.getPatientId());
	            IndexDataUpdate.allEq(mapAll).eq("is_deleted", IsDeleteEnum.N.getKey())
	                    .set("is_deleted", IsDeleteEnum.Y.getKey())
	                    // .set("modifier",UserUtils.getCurrentPrincipleID())
	                    .set("gmt_modified", DateUtil.now());
	            res = update(new IndexData(), IndexDataUpdate);

	           // 遍历数据进行保存
	            List<IndexData> IndexDataList = new ArrayList<IndexData>();
	            List<IndexDataAllVO> indexDatas = indexDataSaveVO.getIndexData();
	            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	            for (IndexDataAllVO indexDataNew : indexDatas) {
	                    IndexData indexData = new IndexData();
	                    indexData.setCreator(indexDataSaveVO.getDoctorId().toString());
	                    indexData.setGmtCreate(DateUtil.now());
	                    indexData.setLibName(indexDataNew.getIndexUnique());
	                    try {
	                        indexData.setCreatTime(sdf.parse(indexDataNew.getCreatTime()));
	                    } catch (ParseException e) {
	                        throw new CommonException(CommonErrorCode.NOT_EXISTS, "时间格式有误");
	                    }
	                    indexData.setConceptId(indexDataNew.getIndexId());
	                    indexData.setIndexUnit(indexDataNew.getIndexUnit());
	                    indexData.setIndexValue(indexDataNew.getIndexValue());
	                    indexData.setInquiryCode(indexDataSaveVO.getInquiryCode());
	                    indexData.setIsAbnormal(indexDataNew.getIsAbnormal());
	                    indexData.setPatientId(indexDataSaveVO.getPatientId());
	                    IndexDataList.add(indexData);
	                }
	           
	            if (ListUtil.isNotEmpty(IndexDataList)) {
	                res = this.insertIndexDataList(IndexDataList);
	            }
	}
	        return res;
	}
}
