package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.InquiryDetail;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.InquiryDetailServiceImpl;
import com.diagbot.util.ListUtil;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: rengb
 * @since 2019-5-27
 */
@Component
public class InquiryDetailFacade extends InquiryDetailServiceImpl {

    /**
     * 根据病历id集合获取病历明细
     *
     * @param inquiryIds
     * @return
     */
    public Map<Long, List<InquiryDetail>> getDetailsByInquryIds(List<Long> inquiryIds) {
        if (ListUtil.isEmpty(inquiryIds)) {
            return new HashMap<>();
        }
        QueryWrapper<InquiryDetail> queryWrapper = new QueryWrapper<InquiryDetail>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .in("inquiry_id", inquiryIds);
        List<InquiryDetail> inquiryDetails = this.list(queryWrapper);
        return inquiryDetails.stream().collect(Collectors.groupingBy(InquiryDetail::getInquiryId));
    }

}
