package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.dto.DoctorInfoFindDTO;
import com.diagbot.entity.DoctorInfo;
import com.diagbot.vo.HospitalCodeSetVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 医生信息表 Mapper 接口
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
public interface DoctorInfoMapper extends BaseMapper<DoctorInfo> {

    /**
     *  获取医生信息
     * @param doctorCode
     * @param hospitalCode
     * @param deptCode
     * @return
     */
    public List<DoctorInfoDTO> getDoctorInfos(@Param("doctorCode") String doctorCode, @Param("hospitalCode") String hospitalCode, @Param("deptCode") String deptCode);

    /**
     *
     * @param hospitalCodeSetVO
     * @return
     */
    public DoctorInfoFindDTO findDoctorInfo(HospitalCodeSetVO hospitalCodeSetVO);

}
