package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HospItemDTO;
import com.diagbot.dto.PVDTO;
import com.diagbot.dto.PVHospDTO;
import com.diagbot.dto.PVHospSumDTO;
import com.diagbot.dto.UVDTO;
import com.diagbot.dto.UVHospDTO;
import com.diagbot.dto.UVHospSumDTO;
import com.diagbot.dto.ZZDTO;
import com.diagbot.dto.ZZHospDTO;
import com.diagbot.dto.ZZHospSumDTO;
import com.diagbot.entity.OptInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.OptHospPageVO;
import com.diagbot.vo.OptHospVO;
import com.diagbot.vo.OptVO;

import java.util.List;

/**
 * <p>
 * 操作信息 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-20
 */
public interface OptInfoService extends IService<OptInfo> {
    List<PVDTO> getPV(OptVO optVO);

    Long getPVSum(OptVO optVO);

    List<UVDTO> getUV(OptVO optVO);

    Long getUVSum(OptVO optVO);

    List<ZZDTO> getZZ(OptVO optVO);

    Long getZZSum(OptVO optVO);

    //医院合计
    List<PVHospDTO> getPVHosp(OptVO optVO);

    List<PVHospSumDTO> getPVSumHosp(OptVO optVO);

    List<UVHospDTO> getUVHosp(OptVO optVO);

    List<UVHospSumDTO> getUVSumHosp(OptVO optVO);

    List<ZZHospDTO> getZZHosp(OptVO optVO);

    List<ZZHospSumDTO> getZZSumHosp(OptVO optVO);

    List<String> getAllHospital();

    List<HospItemDTO> getHospitalPUZ(OptHospVO optHospVO);

    IPage<HospItemDTO> getPageHospitalPUZ(OptHospPageVO optHospPageVO);
}
