package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.HospItemDTO;
import com.diagbot.dto.PVDTO;
import com.diagbot.dto.PVHospDTO;
import com.diagbot.dto.PVHospSumDTO;
import com.diagbot.dto.UVDTO;
import com.diagbot.dto.UVHospDTO;
import com.diagbot.dto.UVHospSumDTO;
import com.diagbot.dto.ZZDTO;
import com.diagbot.dto.ZZHospDTO;
import com.diagbot.dto.ZZHospSumDTO;
import com.diagbot.entity.OptInfo;
import com.diagbot.mapper.OptInfoMapper;
import com.diagbot.service.OptInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.OptHospPageVO;
import com.diagbot.vo.OptHospVO;
import com.diagbot.vo.OptVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 操作信息 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-20
 */
@Service
public class OptInfoServiceImpl extends ServiceImpl<OptInfoMapper, OptInfo> implements OptInfoService {
    public List<PVDTO> getPV(OptVO optVO) {
        return this.baseMapper.getPV(optVO);
    }

    public Long getPVSum(OptVO optVO) {
        return this.baseMapper.getPVSum(optVO);
    }

    public List<UVDTO> getUV(OptVO optVO) {
        return this.baseMapper.getUV(optVO);
    }

    public Long getUVSum(OptVO optVO) {
        return this.baseMapper.getUVSum(optVO);
    }

    public List<ZZDTO> getZZ(OptVO optVO) {
        return this.baseMapper.getZZ(optVO);
    }

    public Long getZZSum(OptVO optVO) {
        return this.baseMapper.getZZSum(optVO);
    }

    //医院合计
    public List<PVHospDTO> getPVHosp(OptVO optVO) {
        return this.baseMapper.getPVHosp(optVO);
    }

    public List<PVHospSumDTO> getPVSumHosp(OptVO optVO) {
        return this.baseMapper.getPVSumHosp(optVO);
    }

    public List<UVHospDTO> getUVHosp(OptVO optVO) {
        return this.baseMapper.getUVHosp(optVO);
    }

    public List<UVHospSumDTO> getUVSumHosp(OptVO optVO) {
        return this.baseMapper.getUVSumHosp(optVO);
    }

    public List<ZZHospDTO> getZZHosp(OptVO optVO) {
        return this.baseMapper.getZZHosp(optVO);
    }

    public List<ZZHospSumDTO> getZZSumHosp(OptVO optVO) {
        return this.baseMapper.getZZSumHosp(optVO);
    }

    public List<String> getAllHospital(){
        return this.baseMapper.getAllHospital();
    }

    @Override
    public List<HospItemDTO> getHospitalPUZ(OptHospVO optHospVO) {
        return baseMapper.getHospitalPUZ(optHospVO);
    }

    @Override
    public IPage<HospItemDTO> getPageHospitalPUZ(OptHospPageVO optHospPageVO) {
        return baseMapper.getPageHospitalPUZ(optHospPageVO);
    }

}
