package com.diagbot.vo;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.biz.push.entity.Lis;
import com.diagbot.biz.push.entity.Pacs;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/8/28 17:44
 */
@Getter
@Setter
public class PushJoinVO {
    /**
     * 医院编码
     */
    private String hosCode;

    /**
     * 年龄
     */
    @NotNull(message = "请输入年龄")
    private Integer age;
    /**
     * 性别
     */
    @NotNull(message = "请输入性别")
    private Integer sex;

    /**
     * 婚姻
     */
    private String marriage;
    /**
     * 主诉
     */
    private String chief;
    /**
     * 现病史
     */
    private String symptom;
    /**
     * 查体
     */
    private String vital;
    /**
     * 既往史
     */
    private String pasts;
    /**
     * 传染病史
     */
    private String infectious;
    /**
     * 手术外伤史
     */
    private String operation;
    /**
     * 过敏史
     */
    private String allergy;
    /**
     * 接种史
     */
    private String vaccination;
    /**
     * 个人史
     */
    private String personal;
    /**
     * 婚育史
     */
    private String marital;
    /**
     * 家族史
     */
    private String family;
    /**
     * 月经史
     */
    private String menstrual;
    /**
     * 其他史
     */
    private String other;
    /**
     * 化验文本数据
     */
    private String lisString;
    /**
     * 辅检文本数据
     */
    private String pacsString;
    /**
     * 诊断文本数据
     */
    private String diagString;
    /**
     * 药品文本数据
     */
    private String drugString;
    /**
     * 不能分类文本
     */
    private String unknown;
    /**
     * 化验项目和结果
     */
    private List<Lis> lis;
    /**
     * 辅检项目和结果
     */
    private List<Pacs> pacs;
    /**
     * 诊断
     */
    private List<Item> diag;
    /**
     * 药品
     */
    private List<Item> drug;
    /**
     * 当前化验开单项
     */
    private List<Lis> lisOrder;
    /**
     * 当前辅检开单项
     */
    private List<Pacs> pacsOrder;
    /**
     * 当前诊断开单项
     */
    private List<Item> diagOrder;
    /**
     * 当前药品开单项
     */
    private List<Item> drugOrder;
    /**
     * 当前手术开单项
     */
    private List<Item> operationOrder;
    /**
     * 其他开单项
     */
    private List<Item> otherOrder;
    /**
     * 选中诊断
     */
    private Item diseaseName;
    /**
     * 诊断类型（0-普通病（默认不填），1-慢病，2-急诊）
     */
    @ApiModelProperty(hidden = true)
    private Integer disType;
    /**
     * 量表名称
     */
    private String scaleName;

    //创建时间
    @ApiModelProperty(hidden = true)
    private String mrId; //病历编号
    //创建时间
    @ApiModelProperty(hidden = true)
    private Date createTime;
    //过期时间
    @ApiModelProperty(hidden = true)
    private Date expireTime;
    //过期时间字符串
    @ApiModelProperty(hidden = true)
    private String expireTimeStr;
}