package com.diagbot.vo;

import java.util.List;

import com.diagbot.dto.ConceptIntroduceDTO;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/18
 */
@Getter
@Setter
public class SaveInquiryToHisVO {
	
	/**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 科室id
     */
    private Long hospitalDeptId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 就诊序列号
     */
    private String inquiryCode;

    /**
     * 就诊状态(0待接诊，1接诊中，2完成接诊)
     */
	private Integer regVisitedState=1;

    /**
     * 病历分类(1:门诊,2:住院)
     */
    private Integer type=1;
    
    /**
     * 访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
     */
    private Integer sysType;

    /**
     * 诊断
     */
    private String diagnose;
    
    /**
     * 内容JSON字符串
     */
    private String dataJson;

	/**
	 * 问诊明细
	 */
    private List<SaveInquiryToHisDetailVO> detailList;

    /**
     * 一般治疗
     */
    private List<ConceptIntroduceDTO> conceptIntroduceDTO;

    /**
     * 生命体征
     */
    private String vitalSigns;

    /**
     * 除去生命体征的体格检查
     */
    private String physicalExcVs;

}
