package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import java.util.List;

@ApiModel(value = "分诊记录保存接口传参")
@Getter
@Setter
public class SaveInquiryTriageVO {
    @ApiModelProperty(value = "医院名称")
    private String hospitalCode;

    @ApiModelProperty(value = "访问者的IP", hidden = true)
    private String ip;

    @Valid
    @ApiModelProperty(value = "诊断结果和疾病科室", required = true)
    private List<SaveDisDeptVO> disDeptist;

    /*@ApiModelProperty(value = "姓名")
    private String patName;*/

    @ApiModelProperty(value = "年龄")
    private Integer patAge;

    @ApiModelProperty(value = "性别(1：男 2：女)")
    private Integer patSex;

   @ApiModelProperty(value = "对接类型(1：咨询，2：挂号)")
    private Integer idType;

    @ApiModelProperty(value = "证件号")
    private String idNum;

    @ApiModelProperty(value = "症状")
    private String symptom;

    @ApiModelProperty(value = "补充说明")
    private String supplement;
    /**
     * 访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
     */
    @ApiModelProperty(value = "访问的系统类型")
    private Integer sysType;

    @ApiModelProperty(value = "公众号Id")
    private String appId;

    @ApiModelProperty(value = "链接来源 菜单问诊from=1，菜单挂号from=2，公众号问诊from=3，当日挂号from=4，门诊心理测试from=6", required = true)
    @NotBlank(message = "链接来源必传")
    private String from;

    @ApiModelProperty(value = "大科室编码")
    private String appointDepartCode;

    @ApiModelProperty(value = "用户Id")
    private String mpiId;

    @ApiModelProperty(value = "相关情况")
    private String correlation;
}
