package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DataServiceFacade;
import com.diagbot.vo.HosCodeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/19 10:30
 */
@RestController
@RequestMapping("/dataService")
@Api(value = "数据服务对外接口相关API", tags = { "数据服务对外接口相关API" })
@SuppressWarnings("unchecked")
public class DataServiceController {

    @Autowired
    DataServiceFacade dataServiceFacade;

    @ApiOperation(value = "是否对接:[by:zhaops]")
    @PostMapping("/isConnect")
    @SysLogger("isConnect")
    public RespDTO<Boolean> isConnect(@RequestBody HosCodeVO hosCodeVO) {
        Boolean data = dataServiceFacade.isConnect(hosCodeVO);
        return RespDTO.onSuc(data);
    }
}