package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DiseaseDeptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DiseaseDeptFacade;
import com.diagbot.vo.DiseaseDeptVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2020-03-20
 */
@RestController
@RequestMapping("/diseaseDept")
@Api(value = "邵逸夫诊断科室映射相关API", tags = { "邵逸夫诊断科室映射相关API" })
public class DiseaseDeptController {

    @Autowired
    private DiseaseDeptFacade diseaseDeptFacade;

    @ApiOperation(value = "根据内部诊断名称查询诊断科室映射关系:[by:zhaops]",
            notes = "hospitalCode: 医院编码，必填<br>" +
                    "conceptNames: 内部诊断名称列表<br>")
    @PostMapping("/getDiseaseDeptByConceptNames")
    @SysLogger("getDiseaseDeptByConceptNames")
    public RespDTO<List<DiseaseDeptDTO>> getDiseaseDeptByConceptNames(@RequestBody DiseaseDeptVO diseaseDeptVO) {
        List<DiseaseDeptDTO> data = diseaseDeptFacade.getDiseaseDeptByConceptNames(diseaseDeptVO);
        return RespDTO.onSuc(data);
    }
}
