package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.OperationConfigFacade;
import com.diagbot.vo.OperationConfigVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2020-03-27
 */
@RestController
@RequestMapping("/operationConfig")
@Api(value = "手术公表映射配置相关API", tags = { "手术公表映射配置相关API" })
public class OperationConfigController {

    @Autowired
    private OperationConfigFacade operationConfigFacade;

    @ApiOperation(value = "获取手术项目映射关系:[by:zhaops]",
            notes = "hosCode:医院编码，必填<br>" +
                    "nameList:手术项目外部名称列表<br>" +
                    "uniqueNameList:手术项目内部名称列表<br>")
    @PostMapping("/getOperationConfig")
    @SysLogger("getOperationConfig")
    public RespDTO<Map<String, List<String>>> getOperationConfig(@RequestBody OperationConfigVO operationConfigVO) {
        return RespDTO.onSuc(operationConfigFacade.getOperationConfig(operationConfigVO));
    }
}
