package com.diagbot.client.hystrix;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.DiseaseDeptDTO;
import com.diagbot.dto.HospItemDTO;
import com.diagbot.dto.HospNameDTO;
import com.diagbot.dto.HospitalDeptDTO;
import com.diagbot.dto.OptDTO;
import com.diagbot.dto.OptHospDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SaveInquiryTriageDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.vo.DiseaseDeptVO;
import com.diagbot.vo.HospitalDeptVO;
import com.diagbot.vo.HospitalSetVO;
import com.diagbot.vo.HospitalVO;
import com.diagbot.vo.OptHospPageVO;
import com.diagbot.vo.OptHospVO;
import com.diagbot.vo.OptVO;
import com.diagbot.vo.SaveInquiryTriageVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 10:14
 */
@Component
@Slf4j
public class TranServiceHystrix implements TranServiceClient {
    @Override
    public RespDTO<Map<String, List<HospitalDeptDTO>>> hospitalDeptByConceptNames(@RequestBody HospitalDeptVO hospitalDeptVO) {
        log.error("【hystrix】调用{}异常", "hospitalDeptByConceptNames");
        return null;
    }

    @Override
    public RespDTO<List<SysSetInfoDTO>> getSysSetInfoDatas(@Valid HospitalSetVO hospitalSetVO) {
        log.error("【hystrix】调用{}异常", "getSysSetInfoDatas");
        return null;
    }

    /**
     * 根据诊断名称（内部名称）查询诊断科室映射关系
     *
     * @param diseaseDeptVO
     * @return
     */
    @Override
    public RespDTO<List<DiseaseDeptDTO>> getDiseaseDeptByConceptNames(DiseaseDeptVO diseaseDeptVO) {
        log.error("【hystrix】调用{}异常", "getDiseaseDeptByConceptNames");
        return null;
    }

    @Override
    public RespDTO<SaveInquiryTriageDTO> saveInquiry(SaveInquiryTriageVO saveInquiryVO) {
        log.error("【hystrix】调用{}异常", "saveInquiry");
        return null;
    }

    @Override
    public RespDTO<Boolean> saveOptOnfo(HospitalVO hospitalVO) {
        log.error("【hystrix】调用{}异常", "saveOptOnfo");
        return null;
    }

    @Override
    public RespDTO<OptDTO> getOptSum(OptVO optVO) {
        log.error("【hystrix】调用{}异常", "getOptSum");
        return null;
    }

    @Override
    public RespDTO<OptHospDTO> getOptSumHosp(OptVO optVO) {
        log.error("【hystrix】调用{}异常", "getOptSumHosp");
        return null;
    }

    @Override
    public RespDTO<HospNameDTO> getAllHospitalName() {
        log.error("【hystrix】调用{}异常", "getAllHospitalName");
        return null;
    }

    @Override
    public RespDTO<HospNameDTO> getAllHospitalNameWithLtFrist() {
        log.error("【hystrix】调用{}异常", "getAllHospitalNameWithLtFrist");
        return null;
    }

    @Override
    public RespDTO<OptDTO> getOptSumNoDays(OptVO optVO) {
        log.error("【hystrix】调用{}异常", "getOptSumNoDays");
        return null;
    }

    @Override
    public RespDTO<List<HospItemDTO>> getOptSumHospNoDays(OptHospVO optHospVO) {
        log.error("【hystrix】调用{}异常", "getOptSumHospNoDays");
        return null;
    }

    @Override
    public RespDTO<IPage<HospItemDTO>> getOptSumHospNoDaysPage(OptHospPageVO optHospPageVO) {
        log.error("【hystrix】调用{}异常", "getOptSumHospNoDaysPage");
        return null;
    }
}
