package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 诊断类型
 * @date 2018年11月21日 下午2:31:42
 */
public enum ShowTypeEnum implements KeyedNamed {
    Synonym(0, "同义词"),
    Noumenon(1, "本体");

    @Setter
    private int key;

    @Setter
    private String name;

    ShowTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ShowTypeEnum getEnum(int key) {
        for (ShowTypeEnum item : ShowTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        ShowTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

