package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.AIVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/17 11:27
 */
@Component
public class AssembleFacade {

    public SearchVO assembleData(AIVO aivo, String type) {
        if (StringUtil.isNotBlank(aivo.getHosCode())
                && StringUtil.isBlank(aivo.getHospitalCode())) {
            aivo.setHospitalCode(aivo.getHosCode());
        }
        SearchVO searchVO = new SearchVO();
        searchVO.setAge(aivo.getAge());
        searchVO.setHosCode(aivo.getHospitalCode());
        searchVO.setSymptom(aivo.getSymptom());
        switch (aivo.getSex()) {
            case 1:
            case 2:
                searchVO.setSex(aivo.getSex());
                break;
            default:
                throw new CommonException(CommonErrorCode.PARAM_ERROR, "不能输入男女以外的性别");
        }
        searchVO.setFeatureType(type);
        searchVO.setSysCode("1");
        switch (type) {
            case "1":
                searchVO.setLength(10);
                break;
            case "7":
                searchVO.setLength(10);
                break;
        }
        searchVO.setSysType(SysTypeEnum.TRIAGE_SERVICE.getKey());
        return searchVO;
    }
}
