package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.TranServiceClient;
import com.diagbot.client.hystrix.TranServiceHystrix;
import com.diagbot.dto.HospItemDTO;
import com.diagbot.dto.HospNameDTO;
import com.diagbot.dto.OptDTO;
import com.diagbot.dto.OptHospDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.DateUtil;
import com.diagbot.util.HttpUtils;
import com.diagbot.util.ListUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.HospitalVO;
import com.diagbot.vo.OptHospPageVO;
import com.diagbot.vo.OptHospVO;
import com.diagbot.vo.OptVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wangfeng
 * @Description:
 * @date 2020/3/23 15:01
 */
@Component
public class OptInfoFacade {
    @Autowired
    TranServiceClient tranServiceClient;

    public Boolean saveOptOnfo(HospitalVO hospitalVO) {
        RespDTO<Boolean> data = tranServiceClient.saveOptOnfo(hospitalVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }

    public OptDTO getOptSum(OptVO optVO) {
        RespDTO<OptDTO> data = tranServiceClient.getOptSum(optVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }


    public OptDTO getOptSumNoDays(OptVO optVO) {
        RespDTO<OptDTO> data = tranServiceClient.getOptSumNoDays(optVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }


    public OptHospDTO getOptSumHosp(OptVO optVO) {
        RespDTO<OptHospDTO> data = tranServiceClient.getOptSumHosp(optVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }


    public List<HospItemDTO> getOptSumHospNoDays(OptHospVO optHospVO) {
        RespDTO<List<HospItemDTO>> data = tranServiceClient.getOptSumHospNoDays(optHospVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }


    public IPage<HospItemDTO> getOptSumHospNoDaysPageFac(OptHospPageVO optHospPageVO) {
        RespDTO<IPage<HospItemDTO>> data = tranServiceClient.getOptSumHospNoDaysPage(optHospPageVO);
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }

    public HospNameDTO getAllHospitalName(){
        RespDTO<HospNameDTO> data = tranServiceClient.getAllHospitalName();
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }


    public HospNameDTO getAllHospitalNameWithLtFrist(){
        RespDTO<HospNameDTO> data = tranServiceClient.getAllHospitalNameWithLtFrist();
        RespDTOUtil.respNGDeal(data, data.msg);
        return data.data;
    }
}
