package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.util.ListUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.HospitalSetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年6月18日 上午10:16:47
 */
@Component
public class SysSetFacade {

    @Autowired
    TranServiceClient tranServiceClient;

    /**
     * 根据医院code获取配置信息
     *
     * @return
     */
    public List<SysSetInfoDTO> getSysSetInfoData(HospitalSetVO hospitalSetVO) {
        RespDTO<List<SysSetInfoDTO>> sysSetInfoLists = tranServiceClient.getSysSetInfoDatas(hospitalSetVO);
        RespDTOUtil.respNGDeal(sysSetInfoLists, "获取配置数据失败！");
        return sysSetInfoLists.data;
    }


    /**
     * 根据医院code获取配置信息
     *
     * @return
     */
    public Boolean checkAccessible(HospitalSetVO hospitalSetVO) {
        hospitalSetVO.setCode("accessible");
        RespDTO<List<SysSetInfoDTO>> sysSetInfoLists = tranServiceClient.getSysSetInfoDatas(hospitalSetVO);
        RespDTOUtil.respNGDeal(sysSetInfoLists, "获取配置数据失败！");
        Boolean res = false;
        if (ListUtil.isNotEmpty(sysSetInfoLists.data)){
            SysSetInfoDTO sysSetInfoDTO = sysSetInfoLists.data.get(0);
            if (sysSetInfoDTO.getValue().equals("1")){
                res = true;
            }
        }
        return res;
    }


}
