package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.FeatureDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.FeatureFacade;
import com.diagbot.vo.NLPVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/26 16:49
 */
@RestController
@RequestMapping("/featureV2")
@Api(value = "特征词提取V2相关API", tags = { "特征词提取V2相关API" })
public class FeatureV2Controller {
    @Autowired
    private FeatureFacade featureFacade;

    @ApiOperation(value = "症状文本解析[by:zhaops]",
            notes = "text： 症状文本描述<br>")
    @PostMapping("/getSymptomFeatureV2")
    @SysLogger("getSymptomFeatureV2")
    public RespDTO<List<FeatureDTO>> getSymptomFeatureV2(@RequestBody NLPVO nlpvo) {
        return RespDTO.onSuc(featureFacade.getSymptomFeatureV2(nlpvo));
    }
}
