package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SaveInquiryTriageDTO;
import com.diagbot.facade.InquiryTriageFacade;
import com.diagbot.vo.SaveInquiryTriageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 智能分诊记录主表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-20
 */
@RestController
@RequestMapping("/inquiryTriage")
@Api(value = "分诊记录API", tags = { "分诊-分诊记录API" })
@SuppressWarnings("unchecked")
public class InquiryTriageController {

    @Autowired
    private InquiryTriageFacade inquiryTriageFacade;

    @ApiOperation(value = "分诊记录保存[by:wangfeng]")
    @PostMapping("/saveInquiry")
    @SysLogger("saveInquiry")
    @Transactional
    public RespDTO<SaveInquiryTriageDTO> saveInquiry(@RequestBody SaveInquiryTriageVO saveInquiryVO) {
        SaveInquiryTriageDTO data = inquiryTriageFacade.saveInquiry(saveInquiryVO);
        return RespDTO.onSuc(data);
    }

    /*@ApiOperation(value = "获取机构下病人病历[by:gaodm]",
            notes = "hospitalCode：医院名称<br>")
    @PostMapping("/getInquirysByMech")
    @SysLogger("getInquirysByMech")
    public RespDTO<List<InquiryDTO>> getInquirysByMech(@RequestBody @Validated InquiryMechVO inquiryMechVO) {
        return RespDTO.onSuc(inquiryInfoFacade.getInquirysByMech(inquiryMechVO));
    }*/

}