package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description: 被拒原因
 * @date 2018年10月11日 下午3:33:22
 */

public enum AccdenEnum implements KeyedNamed {

    AccountNotPerfect(1, "账号信息有误"),
    AgencyWrong(2, "机构信息有误"),
    CancelPurchase(3, "该机构已有违规操作");

    @Setter
    private int key;

    @Setter
    private String name;

    AccdenEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static AccdenEnum getEnum(int key) {
        for (AccdenEnum item : AccdenEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        AccdenEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }


}
