CREATE DATABASE  `sys-ltkg` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-ltkg`;

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for ltkg_preset_info
-- ----------------------------
DROP TABLE IF EXISTS `ltkg_preset_info`;
CREATE TABLE `ltkg_preset_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '类型 (0：默认，1：病历，11：疾病ICD10)',
  `title` varchar(20) DEFAULT '' COMMENT '标题',
  `content` mediumtext COMMENT '内容',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COMMENT='知识平台预设信息';

-- ----------------------------
-- Records of ltkg_preset_info
-- ----------------------------
INSERT INTO `ltkg_preset_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '默认', '现病史：\"患者10年前无明显诱因下出现恶心呕吐伴腹泻，呕吐物和腹泻物为暗红色液体，至医院就诊诊断为“胃出血”，经治疗（具体不详）后好转，后未予随访。3天前患者为预防感冒自服“泰诺”1#，5分钟后出现恶心呕吐，伴有腹泻，呕吐物和腹泻物均为暗红色液体，量各约500ml，无腹痛腹胀，无发热寒战等不适。患者未求诊，后反复出现上述症状，呕吐及腹泻量较前减少，昨日夜间饮“速溶奶茶”1杯，约5分钟后觉上腹不适，恶心呕吐，呕吐剧烈，呕吐物性状同前，伴腹泻性状同前，量各约500ml，遂至我院急诊，查CBC：血红蛋白11.7g/dl,血小板计数86x10^9/L，大便常规,OB：(2016-02-06),隐血4+，腹部CT平扫：1.肝硬化，肝内多发低密度结节，右肝下缘肿块；肝门部为主、后腹膜可见多发肿大淋巴结2.胃腔内多发斑片状高密度，请结合病史除外出血。考虑“消化道出血”，予禁食，止血，护胃，补液等治疗。现转入我科治疗。   \r\n    自病以来，神清，精神软，胃纳差，睡眠一般，大便如前述，小便少，体重无明显减轻。\"', null);
INSERT INTO `ltkg_preset_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例1', '现病史：\"患者5月余前无明显诱因下出现右上腹胀痛，较剧不可忍，无畏寒发热，无恶心呕吐，无放射痛，无胸闷气急，无皮肤眼白发黄，无呕血黑便，无肛门停止排气排便等不适，遂至浦江人民医院就诊，查B超提示“胆囊结石伴胆囊炎”，予解痉抗感染等治疗后缓解。5月余来患者上述症状反复出现，性质同前，未有明显加重缓解趋势，予解痉等治疗后均可缓解。现患者为求进一步治疗来我院，门诊拟“胆囊结石伴胆囊炎”收住入院。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"', null);
INSERT INTO `ltkg_preset_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例2', '现病史：\"患者4月余前无明显诱因下出现左上肢酸胀、针刺样疼痛伴麻木，呈持续性，未伴其他明显不适。1月后患者出现全身酸胀、针样刺痛，性质同前，无行走不稳及肢体无力，无头晕恶心，无畏寒发热。遂就诊于当地医院，予药物治疗（具体不详）后未见明显缓解。现患者症状加重遂来我院就诊。门诊拟“肢体麻木”收住入院。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\r\n    1987年行左上肢骨质增生剔除术、2005年行右膝关节半月板手术、发现骨质疏松1月余。\"', null);
INSERT INTO `ltkg_preset_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例3', '现病史：\"患者3年余前自觉双乳发育欠佳，双乳偏小，双乳对称，无局部红肿溃烂，无疼痛不适，无男性化改变。患者1年余前来我院就诊，排除禁忌后于2014-8-14行“双侧大腿吸脂+双侧乳房脂肪充填术”，术程顺利，术后恢复可。现患者自觉双乳仍偏小，影响外观，遂至本院就诊，门诊拟“双侧乳房发育不良”收住入院。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"', null);
INSERT INTO `ltkg_preset_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例4', '现病史：\"患者8年余前因劳累后出现心悸伴有胸闷气急，无发热畏寒，无咳嗽咳痰,无黑曚晕厥,无下肢水肿等症状，于当地医院检查未见明显异常，未行特殊处理。后心悸、胸闷气急症状反复发作，多劳累后发作，发作期间有端坐呼吸，症状持续数小时候能缓解，4年前患者为求进一步诊治于我院住院治疗，诊断为“扩张型心肌病、心律失常”，予以行射频消融术，起搏器植入。患者术后早期仍时有心悸及胸闷气急症状，但症状逐渐缓解，2年前患者症状基本改善。1月前患者睡眠过程中感ICD放电，伴心前区刺痛，程度中，伴心悸，持续数秒后症状自行缓解，当天共发作3次，无头晕头痛黑矇意识不清，无恶心呕吐，患者遂来我院治疗，予调整ICD程控设置，同时控制心室率，改善心室重构等对症支持治疗，ICD未再出现放电现象，遂带药出院。半天患者再次自觉ICD放电，半天来发作共3次，症状同前，为行进一步治疗遂来我院，现拟“扩张性心肌病，心律失常”收入院。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例5', '现病史：\"患者诉20余前无明显诱因下出现大便时自觉肛口有异物外脱，因疼痛未用手回纳，时伴有便中带血，伴疼痛，呈刺痛，疼痛较剧，患者无大便次数改变，无大便性状改变，无畏寒发热等不适，患者遂至当地医院就诊，考虑血栓性痔疮，行手术治疗（具体不详）。治疗后患者症状消失。10年前患者再次发现排便后肛门口肿物脱出，可自行回纳，伴疼痛，呈隐痛，偶有大便带血（1-2次/年）。患者未予重视及进一步治疗。7年内患者肛门口肿物脱出反复发作。3年前患者肛门口肿物需用手回纳，大便带血发作频率增加至1-2次/月。患者仍未予重视及进一步治疗。3年内患者症状进一步加重，肛门口肿物脱出每日发作，疼痛较前加重。患者遂来我院就诊。门诊拟“混合痔”收住入院。     \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例6', '现病史：\"患者2月前体检行甲状腺彩超检查发现甲状腺右叶结节，大小约3.5*2cm，形态不规则，内部见多个细小钙化并少许血流信号，当时无声音嘶哑、饮水呛咳等症状，当地医院建议患者进一步检查。患者进一步就诊我院行甲状腺彩超检查提示“甲状腺右叶上中极异常回声结节伴右颈部多发淋巴结肿大，考虑恶性肿瘤”。患者为求手术治疗，门诊以“甲状腺结节”收住我科。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例7', '现病史：\"患者3月余前于我院穿刺明确诊断为（右乳穿刺）浸润性癌。排除手术禁忌后于2015-01-22我院行右乳肿块部分切除、术中冰冻、前哨淋巴结活检、右乳癌改良根治术、右腋下J-P负压引流术。术中见右乳10-11点距乳晕约2cm可及一大小约4cm×2cm肿块，质硬，边界不清，活动度差，未累及皮肤及胸大肌肌膜。部分切除后术中冰冻，术前15分钟于乳晕周围分点皮下注射美兰及纳米碳，探查腋窝未见明显染色淋巴管及淋巴结，右腋窝清扫见右腋窝多发肿大淋巴结，约黄豆大小，无融合，腋尖可见两枚黑染淋巴结，送检术中冰冻，病理示：（蓝染淋巴结）淋巴结未见癌转移（0/2）。术程顺利。术后常规病理示：“浸润性导管癌（WHO I级），1*1cm大小，伴大量导管原位癌结构切缘阴性淋巴结：见癌转移（2+/22）（冰冻送检“蓝染淋巴结“：0/2；“腋窝”：2+/20）；免疫组化（201503552B片）： ER：&gt;98%+， PR：80%+，Her-2：1+，Ki67：10-20%+”。排除化疗禁忌后于2015-3-18、2015-4-11、2015-5-4我院行3次EC-T化疗，具体为：环磷酰胺针888mg 静脉滴注一次+表柔比星针148mg 静脉滴注一次。出院以来患者无呕吐，无发热等不适。2015-5-13血常规提示白细胞2200/ul，中性粒细胞1400/ul，建议入院治疗，门诊拟“乳腺癌术后，粒细胞减少”收住入院。       \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例8', '现病史：\"自病以来，神清，精神差，胃纳睡眠如上述，二便无殊，体重无明显减轻。\r\n    个人史：患者自小脾气急躁，自我要求高，在乎他人评价，生长于一般家庭，有1弟，家庭关系尚可，家人均体健；大学毕业，目前担任单位副主任，工作压力大；25岁结婚，和丈夫关系好，育有1女体健。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例9', '现病史：\"患者6天前我院肠镜下息肉摘除提示：“乙状结肠距肛35cm可见两枚分别大小0.5cm、1.5cm大小息肉，予圈套摘除，后者蒂部上钛夹1枚。直肠距肛5cm可见1枚1cm大小扁平息肉，予圈套摘除，蒂部上钛夹1枚。”术后予禁食、止血、补液等治疗。患者当时无便血，无腹痛，无畏寒发热等不适。患者3天前出院。2天前患者出现便血，颜色较鲜红，自述每次量100ml，至今共5次，血中混有血凝块及成形大便。今患者为行\r\n治疗，门诊拟“直肠息肉术后”收住入院。\r\n    自病以来，神清，精神可，胃纳可，睡眠一般，大便如上述，小便无殊，体重无明显减轻。\r\n    患者有“糖尿病”病史3年余，规律服用二甲双胍1片bid。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例10', '现病史：\"患者3年余前无明显诱因下出现上腹部持续性隐痛,伴腰背部酸痛，程度不剧可忍,休息后疼痛缓解，无明显畏寒发热，无恶心呕吐，无腹胀，无肛门排气排便停止，查胃镜示浅表性胃炎，予口服护胃药处理，未进一步诊治，1年余前患者上腹部胀痛感较前加重，于当地医院体检查B超示：胆囊结石，大小约2cm（报告未见，具体不详），建议手术治疗。近1月余患者上腹部隐痛持续性加重，偶伴发热至38.5℃，余症状基本从前，今患者为求进一步手术诊治，遂至我院就诊，门诊以“胆囊结石 ”收住入院。      \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\r\n既往史：后背部皮下囊肿5年，咽炎3年余，浅表性胃炎3年\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例11', '现病史：\"患者近10年前(2006.02)因“反复腰痛2月，再发伴加重20余天”来我院就诊，胸椎CT，MRI均示：胸椎多个楔形改变，部分椎体信号异常，查血IgG：4020mg/dl，κ3580mg/dl，尿蛋白固定电泳见轻链κ，骨髓检查示浆细胞比例明显增高，占47％，以幼浆细胞为主，诊断为多发性骨髓瘤，骨髓病理考虑浆细胞瘤。诊断“多发性骨髓瘤(IgG，κ型)”。于2006.3.3予VAD方案化疗（VCR 0.4mg CI d1-4 ＋ DOX 16mg CI d1-4 ＋ DXM 40mg po d1-4，9-13，21-24），化疗后腰痛改善，于2006-4-6，2006-5-9，2006-06-08继续VAD方案化疗，方案同前，疗效可，复查IgG：1520mg/dl，κ1510mg/dl。2006-07-28及09-07改用MP方案（Mel 16mg d1-4＋Prednisone 90mg d1-4）。2006-10-25曾在本院CTX 5g d1行干细胞动员一次，因干细胞采集量不足放弃干细胞移植。患者自2006-12-28至09-2-4共行MP方案19次，方案为“Mel 16mg d1-4＋Prednisone 90mg d1-4”。自07-7-12起除免疫电泳指标阳性外各项指标检查均正常，此后患者未规律复查。2015-2-9患者因“左锁骨痛5天”再次入院，我院CT提示“右侧部分肋骨走行改变；左锁骨近端病理性骨折考虑，骨髓瘤复发？”，2015-2-10血IgG：1120mg/dl，KAP846mg/dl，复查骨髓常规（2015-2-16）“浆细胞约占5.5%，其中幼浆细胞占3.5%”，考虑骨髓瘤复发，建议行化疗，患者暂拒，并予氯磷酸二钠片镇痛治疗后锁骨疼痛好转，后当地医院定期复查免疫球蛋白定量稳定。2015-6-19当地医院复查免疫球蛋白提示IgG 1420 KAP 472，并感腰骶部不适加重，遂于2015-7-2来我院门诊，查尿KAP轻链:25.8mg/dl，免疫球蛋白IgG：1590mg/dl,KAP轻链：1430mg/dl，较前明显升高，予MP方案化疗，具体为“Mel 16mg d1-4＋Prednisone 90mg d1-4”。后患者出现咳嗽咳痰，肺部CT可见左肺下叶炎性病灶，痰培养提示白假丝酵母2+，伊曲康唑胶囊 200mg qd口服抗真菌治疗后好转。2015-9-12再次行MPT方案化疗，剂量同前。后因开易拉罐时划伤右手食指，伴红肿，头孢类抗生素治疗后好转后于2015-11-5起行MPT方案化疗。末次化疗后自述右手食指反复红肿，反复头孢类抗生素等对症治疗1月余后自诉好转。现患者自诉上腹部异物感，位于剑突下，无压痛，偶咳白痰，无畏寒发热，无恶心呕吐，无胸闷头晕等不适，为进一步评估病情，今患者门诊拟“多发性骨髓瘤”收住入院。\r\n    既往无殊。      \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例12', '现病史：\"患者1月前无明显诱因出现右上腹间歇性疼痛，为持续性疼痛，伴右肩部放射疼痛，疼痛与体位改变无明显相关。休息后疼痛程度可稍缓解，但症状反复。无发热寒战、无胸闷不适，无恶心呕吐等。患者曾至我院就诊，于2015.7.13行肝胆胰脾B超示：“胆囊体积增大，胆囊多发结石,胆囊炎”，建议进一步诊疗。患者回当地医院住院就诊并于当地医院住院治疗，予消炎止痛治疗，具体诊疗资料未提供。院外曾中医就诊，具体诊疗不详。7天前无明显诱因再次出现右上腹绞痛，疼痛剧烈难忍，不能缓解，右肩部放射痛，无恶心呕吐，无发热畏寒，无头痛头晕等症状。遂再次至我院就诊，我院2015.8.17肝胆胰脾B超显示：“1.肝内胆管轻微扩张，胆总管上中段扩张，下段梗阻不排外2.胆囊饱满，胆囊多发结石,急性胆囊炎改变”。门诊拟“胆囊结石伴胆囊炎”收入我科。   \r\n   自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\r\n   患者有乙肝病史。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例13', '现病史：\"患者平时月经周期30天，经期8天，量中，偶有痛经，近半年来出现经量减少，为原先量1/2。5年前因“异位妊娠”在当地医院保守治疗后，出现下腹隐痛，不剧能忍，休息后好转，无发热腹痛，无呕心呕吐，无阴道流血流液，无尿频尿急，无里急后重，无下腹坠胀，患者未予重视，未曾就医。随后来症状反复发作，基本同前，曾口服中药治疗，具体不详，症状无明显改善。1+月前来本院就诊，考虑“慢性盆腔痛：盆腔炎性疾病后遗症？”建议手术。末次月经：2015.5.26，行经同前。今来本院，要求手术，门诊拟“慢性盆腔痛：盆腔炎性疾病后遗症？”收入院。 \r\n自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"', null);
INSERT INTO `ltkg_preset_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例14', '现病史：\"患者10年前因“IgA肾病，慢性肾功能不全，尿毒症期”于我院行右肾移植术，手术顺利，术后一直服用环胞素及骁悉免疫抑制治疗；患者于2012-11-12、2013-3-21先后行肾穿刺活检，病理初步报告均提示：移植肾IgA肾病 Lee IV级。1年前患者反复出现双下肢凹陷性水肿，胃口差，视物模糊，乏力，尤其在活动后出现呼吸急促，心跳加速等症，患者来我院门诊查血红蛋白 8g/dl，尿蛋白[仪器法]4+，尿素氮31.1mmol/L，肌酐296μmol/L,于2014年10月行左前臂自体动静脉内瘘术，手术顺利。2015年1月开始行维持性血液透析，3次/周，近一月来内瘘血流量下降，约230~240ml/min,7月30日行内瘘CTA示流出静脉近吻合口处粗细不均，局部稍狭窄，未见明显闭塞，今日门诊以尿毒症收入。\r\n   患者40余年前发现高血压，最高220/120mmHg，服用可乐定2片TID,拜新同3片TID，血压控制不佳。        \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例15', '现病史：\"患者10年前无明显诱因下出现恶心呕吐伴腹泻，呕吐物和腹泻物为暗红色液体，至医院就诊诊断为“胃出血”，经治疗（具体不详）后好转，后未予随访。3天前患者为预防感冒自服“泰诺”1#，5分钟后出现恶心呕吐，伴有腹泻，呕吐物和腹泻物均为暗红色液体，量各约500ml，无腹痛腹胀，无发热寒战等不适。患者未求诊，后反复出现上述症状，呕吐及腹泻量较前减少，昨日夜间饮“速溶奶茶”1杯，约5分钟后觉上腹不适，恶心呕吐，呕吐剧烈，呕吐物性状同前，伴腹泻性状同前，量各约500ml，遂至我院急诊，查CBC：血红蛋白11.7g/dl,血小板计数86x10^9/L，大便常规,OB：(2016-02-06),隐血4+，腹部CT平扫：1.肝硬化，肝内多发低密度结节，右肝下缘肿块；肝门部为主、后腹膜可见多发肿大淋巴结2.胃腔内多发斑片状高密度，请结合病史除外出血。考虑“消化道出血”，予禁食，止血，护胃，补液等治疗。现转入我科治疗。   \r\n    自病以来，神清，精神软，胃纳差，睡眠一般，大便如前述，小便少，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例16', '现病史：\"患者5天前无明显诱因出现发热，无畏寒寒战，体温未测，伴干咳，无咳痰，无头痛、咽痛，无鼻塞流涕，无胸闷气急，无腹痛、腹泻，无尿频、尿急、尿痛，无其他不适，起病当天患者到社区就诊，在到达社区医院门口时患者突感左侧肢体无力，随即摔倒在地，致左侧脸颊及双侧膝盖处局部皮肤软组织挫伤，随即有120车送至本院急诊室。入院时患者反应稍迟钝，测体温38.3℃，无其他不适主诉。急诊予检查CBC：(2015-07-25),白细胞计数9.8x10^9/L,血红蛋白13.3g/dl,血小板计数171x10^9/L,中性粒百分数87.9%  CX3 :尿素氮8.3mmol/L,肌酐115μmol/L, 超敏C反应蛋白9.8mg/L; LABTroponin I：超敏肌钙蛋白I&lt;0.01ng/ml 前降钙素原0.3ng/ml；肺部CT（2015.7.25）：右肺上叶少许斑点炎性纤维灶，左肺尖良性小结节，主动脉壁钙化。颅脑平扫（2015.7.25）：两侧基底节区腔梗灶，侧脑室旁缺血脱髓鞘改变。必要时头颅MRI检查。颅底动脉硬化，老年脑。头颅MRI（2015.7.25）右侧半卵圆中心、右侧基底节区腔梗灶。两侧脑室旁缺血灶、脱髓鞘改变。老年脑。副鼻窦炎。心脏彩超（2015.7.25）：1.升主动脉增宽 2.主动瓣退行性变伴轻中度反流 3.轻度三尖瓣反流 4.心律失常。入院后3小时后患者体温升至39.5℃，伴寒战、胸闷、气急，但左侧肢体无力，反应迟钝等症状缓解；予查LAB@血气：给氧浓度(FIO2)53%,测定酸碱度(pH)7.329,测定氧分压(pO2)78mmHg,碱剩余(BEB)-4.3mmol/L, 测定二氧化碳分压(pCO2)41.7mmHg，全血-乳酸(LAC)3.1mmol/L；予吸氧，甲强龙针40mg静推、沐舒坦针30mg 静推，异丙托嗅胺、布地奈德雾化吸入；散利痛退热及头孢哌酮舒巴坦针2.0 q12h抗感染等治疗。患者次日（7.26）无发热，7月26日复查CBC：(2015-07-26),白细胞计数17.5x10^9/L血红蛋白12.7g/dl,血小板计数118x10^9/L,中性粒百分数96% ；超敏C反应蛋白139.5mg/L.PCT：前降钙素原18.8ng/ml。7.27起患者仍发热，体温38.0℃左右，仍有少量咳嗽，多为干咳，偶咳少量白色粘痰，不易咳出。7月28日复查 CBC：白细胞计数5.3x10^9/L,血红蛋白[12.5g/dl(血小板计数77x10^9/L,中性粒百分数91.9%,超敏C反应蛋白46.3mg/L。前降钙素原(2015.7.28):27.1ng/ml。复查肺部CT平扫（2015.7.28）：两肺支气管炎，两下肺渗出，较前片2015-7-25新发明显。右肺上叶少许斑点炎性纤维灶，左肺尖良性小结节，较前片相仿。主动脉壁钙化；右肺门淋巴结钙化。请呼吸科会诊后认为单纯肺部感染不能解释，感染科会诊后考虑败血症可能，建议调整抗生素方案，7.29起改用泰能针，0.25g q8h 抗感染治疗。今下午为进一步治疗收治入院。\r\n    患者既往有高血压病20余年，收缩压最高至200mgHg，不规则服用美托洛尔片、培哚普利片，血压控制不佳，入院时血压185/78mmHg。\r\n    患者既往肾功能不全4-5年，近3年长期口服肾复康胶囊 4# 3次/日。 \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，小便无殊，用力咳嗽时可有少许大便自肛门排出，为成形便，无腹泻，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例17', '现病史：\"患者5年前无明显诱因下出现腹胀，左侧腹部腹胀明显，运动后自觉稍缓解，无腹痛腹泻，无大便习惯、性状改变，无黄疸，至当地医院就诊，胃镜提示：胃窦部隆起（未见报告），予药物治疗（具体不详），症状无明显好转。现患者为求进一步诊治，来我院就诊，症状反复，性质同前，无加重，查胃镜：胃窦大弯隆起病变：腺瘤？医生建议ESD检查，现拟“胃肿物待查”收治我科。      \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例18', '现 病 史: 患者于10余年前开始出现心悸，为阵发性，每次持续20分钟左右，无胸痛，无胸闷气促，无呼吸困难等不适，自服\"单硝酸异山梨酯片\"能好转，未重视就诊，症状反复发作，4小时余前患者再发心悸，为持续性，无胸痛，无呼吸困难，无大汗淋漓，无反酸烧心，无头痛头晕等不适，至我院就诊，心电图提示快室率房颤，胸部CT提示右中肺感染，两肺散在纤维灶，心影增大，主动脉、冠脉钙化，附见甲状腺肿大伴钙化。血常规示CRP22.3mg/L，WBC9.8*10~9/L，肾功能、电解质、血糖及心肌酶谱未见异常，急诊予\"西地兰针0.2mg\"静推后为行进一步诊治，门诊拟\"心律失常\"收住入院。  \r\n患病来，神志清，精神软，胃纳可，睡眠可，大小便如常，近期体重无明显改变。有\"高血压\"病史，服用\"替米沙坦\"降压治疗，近期因血压不高未服降压药物。有心脏扩大病史，具体提供不详。 ', null);
INSERT INTO `ltkg_preset_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例19', '现病史：\"1月前患者无明显诱因下出现尿频尿急，伴夜尿增多，3-4次/晚，无尿痛，无肉眼血尿，无淋漓不尽，无畏寒发热等不适，遂至萧山医院就诊，查TPSA 6.97ng/ml，行前列腺穿刺检查示“前列腺癌，Gleason评分3+3分”，予口服比卡鲁胺50mg qd+皮下注射亮丙瑞林3.75mg每月1次治疗。患者为求进一步诊治来我院门诊，建议手术治疗，拟“前列腺癌”收住入院。    \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，小便如上诉，大便无殊，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '示例20', '现病史：\"患者1年前体检发现尿道口肿物，色鲜红，大小约0.5*1cm，表面光滑，无肉眼血尿，无排尿困难等不适，患者未予重视，1年来尿道口肿物无明显增大，6月前患者无明显诱因下出现尿道出现，量少，无发热畏寒等不适，现患者为求进一步诊治来我院门诊。拟“尿道肉阜”收治入院。        \r\n    自病以来，神清，精神可，胃纳可，睡眠一般，大便无殊，小便如上述，体重无明显减轻。\"\r\n', null);
INSERT INTO `ltkg_preset_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '疾病ICD10', '{\"name\": \"疾病\", \"sNode\": [{\"name\": \"A00-B99 某些传染病和寄生虫病\", \"sNode\": [{\"name\": \"A00-A09 肠道传染病\", \"sNode\": [{\"name\": \"A00\", \"sNode\": [{\"name\": \"霍乱\", \"sNode\": []}]}, {\"name\": \"A01\", \"sNode\": [{\"name\": \"伤寒\", \"sNode\": []}, {\"name\": \"副伤寒\", \"sNode\": []}]}, {\"name\": \"A03\", \"sNode\": [{\"name\": \"细菌性痢疾\", \"sNode\": []}]}, {\"name\": \"A05\", \"sNode\": [{\"name\": \"细菌性食物中毒\", \"sNode\": []}]}, {\"name\": \"A06\", \"sNode\": [{\"name\": \"急性阿米巴痢疾\", \"sNode\": []}, {\"name\": \"阿米巴肝脓肿\", \"sNode\": []}, {\"name\": \"阿米巴病\", \"sNode\": []}]}, {\"name\": \"A09\", \"sNode\": [{\"name\": \"急性肠炎\", \"sNode\": []}, {\"name\": \"结肠炎\", \"sNode\": []}, {\"name\": \"婴儿腹泻\", \"sNode\": []}, {\"name\": \"感染性腹泻\", \"sNode\": []}]}]}, {\"name\": \"A15-A19 结核病\", \"sNode\": [{\"name\": \"A16\", \"sNode\": [{\"name\": \"肺结核\", \"sNode\": []}, {\"name\": \"结核性胸膜炎\", \"sNode\": []}, {\"name\": \"结核性脓胸\", \"sNode\": []}, {\"name\": \"喉结核\", \"sNode\": []}]}, {\"name\": \"A17\", \"sNode\": [{\"name\": \"结核性脑膜炎\", \"sNode\": []}]}, {\"name\": \"A18\", \"sNode\": [{\"name\": \"肠结核\", \"sNode\": []}, {\"name\": \"附睾结核\", \"sNode\": []}, {\"name\": \"颈椎结核\", \"sNode\": []}, {\"name\": \"颈淋巴结结核\", \"sNode\": []}, {\"name\": \"腰椎结核\", \"sNode\": []}, {\"name\": \"前列腺结核\", \"sNode\": []}, {\"name\": \"结核性腹膜炎\", \"sNode\": []}, {\"name\": \"脊柱结核\", \"sNode\": []}, {\"name\": \"胸椎结核\", \"sNode\": []}, {\"name\": \"肾结核\", \"sNode\": []}, {\"name\": \"骶髂关节结核\", \"sNode\": []}]}]}, {\"name\": \"A20-A28 某些动物源性细菌性疾病\", \"sNode\": [{\"name\": \"A22\", \"sNode\": [{\"name\": \"肺炭疽\", \"sNode\": []}]}, {\"name\": \"A25\", \"sNode\": [{\"name\": \"鼠咬热\", \"sNode\": []}]}, {\"name\": \"A27\", \"sNode\": [{\"name\": \"钩端螺旋体病\", \"sNode\": []}]}, {\"name\": \"A28\", \"sNode\": [{\"name\": \"猫抓病\", \"sNode\": []}]}]}, {\"name\": \"A30-A49 其他细菌性疾病\", \"sNode\": [{\"name\": \"A30\", \"sNode\": [{\"name\": \"麻风\", \"sNode\": []}]}, {\"name\": \"A35\", \"sNode\": [{\"name\": \"破伤风\", \"sNode\": []}]}, {\"name\": \"A36\", \"sNode\": [{\"name\": \"白喉\", \"sNode\": []}]}, {\"name\": \"A37\", \"sNode\": [{\"name\": \"百日咳\", \"sNode\": []}]}, {\"name\": \"A38\", \"sNode\": [{\"name\": \"猩红热\", \"sNode\": []}]}, {\"name\": \"A39\", \"sNode\": [{\"name\": \"流行性脑脊髓膜炎\", \"sNode\": []}]}, {\"name\": \"A41\", \"sNode\": [{\"name\": \"败血症\", \"sNode\": []}, {\"name\": \"脓毒血症\", \"sNode\": []}]}, {\"name\": \"A46\", \"sNode\": [{\"name\": \"丹毒\", \"sNode\": []}]}, {\"name\": \"A49\", \"sNode\": [{\"name\": \"支原体感染\", \"sNode\": []}, {\"name\": \"幽门螺旋杆菌感染\", \"sNode\": []}]}]}, {\"name\": \"A50-A64 主要为性传播模式的感染\", \"sNode\": [{\"name\": \"A53\", \"sNode\": [{\"name\": \"梅毒\", \"sNode\": []}]}, {\"name\": \"A54\", \"sNode\": [{\"name\": \"淋病\", \"sNode\": []}]}, {\"name\": \"A56\", \"sNode\": [{\"name\": \"衣原体性宫颈炎\", \"sNode\": []}]}, {\"name\": \"A59\", \"sNode\": [{\"name\": \"滴虫性尿道炎\", \"sNode\": []}, {\"name\": \"滴虫性阴道炎\", \"sNode\": []}]}, {\"name\": \"A60\", \"sNode\": [{\"name\": \"生殖器疱疹\", \"sNode\": []}]}, {\"name\": \"A63\", \"sNode\": [{\"name\": \"肛门生殖器尖锐湿疣\", \"sNode\": []}]}]}, {\"name\": \"A65-A69 其他螺旋体病\", \"sNode\": [{\"name\": \"A69\", \"sNode\": [{\"name\": \"莱姆病\", \"sNode\": []}]}]}, {\"name\": \"A70-A74 由衣原体引起的其他疾病\", \"sNode\": [{\"name\": \"A71\", \"sNode\": [{\"name\": \"沙眼\", \"sNode\": []}]}, {\"name\": \"A74\", \"sNode\": [{\"name\": \"衣原体感染\", \"sNode\": []}]}]}, {\"name\": \"A80-A89 中枢神经系统的病毒性感染\", \"sNode\": [{\"name\": \"A82\", \"sNode\": [{\"name\": \"狂犬病\", \"sNode\": []}]}, {\"name\": \"A83\", \"sNode\": [{\"name\": \"流行性乙型脑炎\", \"sNode\": []}]}, {\"name\": \"A87\", \"sNode\": [{\"name\": \"病毒性脑膜炎\", \"sNode\": []}]}]}, {\"name\": \"A90-A99 节肢动物媒介的病毒性发热和病毒性出血热\", \"sNode\": [{\"name\": \"A92\", \"sNode\": [{\"name\": \"裂谷热\", \"sNode\": []}]}, {\"name\": \"A93\", \"sNode\": [{\"name\": \"疱疹性口炎病毒病\", \"sNode\": []}]}, {\"name\": \"A95\", \"sNode\": [{\"name\": \"黄热病\", \"sNode\": []}]}]}, {\"name\": \"B00-B09 特征为皮肤和粘膜损害的病毒性感染\", \"sNode\": [{\"name\": \"B00\", \"sNode\": [{\"name\": \"EB病毒感染\", \"sNode\": []}, {\"name\": \"单纯疱疹\", \"sNode\": []}, {\"name\": \"EB病毒性肝炎\", \"sNode\": []}, {\"name\": \"疱疹病毒感染\", \"sNode\": []}]}, {\"name\": \"B01\", \"sNode\": [{\"name\": \"水痘\", \"sNode\": []}]}, {\"name\": \"B02\", \"sNode\": [{\"name\": \"带状疱疹性神经痛\", \"sNode\": []}]}, {\"name\": \"B07\", \"sNode\": [{\"name\": \"扁平疣\", \"sNode\": []}, {\"name\": \"寻常疣\", \"sNode\": []}, {\"name\": \"疣\", \"sNode\": []}]}, {\"name\": \"B08\", \"sNode\": [{\"name\": \"传染性软疣\", \"sNode\": []}, {\"name\": \"口蹄疫\", \"sNode\": []}, {\"name\": \"幼儿急疹\", \"sNode\": []}, {\"name\": \"手足口病\", \"sNode\": []}, {\"name\": \"疱疹性咽峡炎\", \"sNode\": []}]}]}, {\"name\": \"B15-B19 病毒性肝炎\", \"sNode\": [{\"name\": \"B15\", \"sNode\": [{\"name\": \"急性甲型病毒性肝炎\", \"sNode\": []}]}, {\"name\": \"B16\", \"sNode\": [{\"name\": \"乙型病毒性肝炎\", \"sNode\": []}]}, {\"name\": \"B17\", \"sNode\": [{\"name\": \"急性丁型病毒性肝炎\", \"sNode\": []}, {\"name\": \"急性病毒性肝炎\", \"sNode\": []}]}, {\"name\": \"B18\", \"sNode\": [{\"name\": \"慢性乙型病毒性肝炎\", \"sNode\": []}]}, {\"name\": \"B19\", \"sNode\": [{\"name\": \"病毒性肝炎\", \"sNode\": []}]}]}, {\"name\": \"B20-B24 人类免疫缺陷病毒[HIV]病\", \"sNode\": [{\"name\": \"B24\", \"sNode\": [{\"name\": \"艾滋病\", \"sNode\": []}]}]}, {\"name\": \"B25-B34 其他病毒性疾病\", \"sNode\": [{\"name\": \"B27\", \"sNode\": [{\"name\": \"传染性单核细胞增多症\", \"sNode\": []}]}, {\"name\": \"B30\", \"sNode\": [{\"name\": \"病毒性结膜炎\", \"sNode\": []}, {\"name\": \"病毒性咽结膜炎\", \"sNode\": []}]}, {\"name\": \"B33\", \"sNode\": [{\"name\": \"流行性肌痛\", \"sNode\": []}]}, {\"name\": \"B34\", \"sNode\": [{\"name\": \"腺病毒感染\", \"sNode\": []}]}]}, {\"name\": \"B35-B49 真菌病\", \"sNode\": [{\"name\": \"B35\", \"sNode\": [{\"name\": \"甲癣\", \"sNode\": []}, {\"name\": \"头癣\", \"sNode\": []}, {\"name\": \"股癣\", \"sNode\": []}, {\"name\": \"手癣\", \"sNode\": []}, {\"name\": \"脚癣\", \"sNode\": []}, {\"name\": \"体癣\", \"sNode\": []}, {\"name\": \"皮肤癣菌病\", \"sNode\": []}]}, {\"name\": \"B36\", \"sNode\": [{\"name\": \"花斑癣\", \"sNode\": []}, {\"name\": \"皮肤真菌感染\", \"sNode\": []}, {\"name\": \"真菌性外耳道炎\", \"sNode\": []}]}, {\"name\": \"B37\", \"sNode\": [{\"name\": \"念珠菌性肺炎\", \"sNode\": []}, {\"name\": \"念珠菌性阴道炎\", \"sNode\": []}, {\"name\": \"真菌性阴道炎\", \"sNode\": []}]}, {\"name\": \"B45\", \"sNode\": [{\"name\": \"隐球菌性脑膜炎\", \"sNode\": []}]}, {\"name\": \"B46\", \"sNode\": [{\"name\": \"肺毛霉病\", \"sNode\": []}]}, {\"name\": \"B49\", \"sNode\": [{\"name\": \"外耳道真菌病\", \"sNode\": []}, {\"name\": \"真菌性角膜炎\", \"sNode\": []}]}]}, {\"name\": \"B50-B64 原虫性疾病\", \"sNode\": [{\"name\": \"B54\", \"sNode\": [{\"name\": \"疟疾\", \"sNode\": []}]}, {\"name\": \"B55\", \"sNode\": [{\"name\": \"内脏利什曼病\", \"sNode\": []}]}, {\"name\": \"B58\", \"sNode\": [{\"name\": \"弓形虫病\", \"sNode\": []}]}, {\"name\": \"B60\", \"sNode\": [{\"name\": \"巴贝虫病\", \"sNode\": []}]}]}, {\"name\": \"B65-B83 蠕虫病\", \"sNode\": [{\"name\": \"B65\", \"sNode\": [{\"name\": \"尾蚴性皮炎\", \"sNode\": []}, {\"name\": \"肺血吸虫病\", \"sNode\": []}, {\"name\": \"血吸虫病\", \"sNode\": []}, {\"name\": \"埃及血吸虫病\", \"sNode\": []}, {\"name\": \"血吸虫病性肝硬化\", \"sNode\": []}]}, {\"name\": \"B69\", \"sNode\": [{\"name\": \"皮肤囊尾蚴病\", \"sNode\": []}]}, {\"name\": \"B74\", \"sNode\": [{\"name\": \"丝虫病\", \"sNode\": []}]}, {\"name\": \"B76\", \"sNode\": [{\"name\": \"钩虫病\", \"sNode\": []}]}, {\"name\": \"B77\", \"sNode\": [{\"name\": \"胆道蛔虫病\", \"sNode\": []}, {\"name\": \"蛔虫病\", \"sNode\": []}]}, {\"name\": \"B80\", \"sNode\": [{\"name\": \"蛲虫病\", \"sNode\": []}]}]}, {\"name\": \"B85-B89 虱病、螨病和其他病虫侵染\", \"sNode\": [{\"name\": \"B86\", \"sNode\": [{\"name\": \"疥疮\", \"sNode\": []}]}]}, {\"name\": \"B90-B94 传染病和寄生虫病的后遗症\", \"sNode\": [{\"name\": \"B90\", \"sNode\": [{\"name\": \"陈旧性肺结核\", \"sNode\": []}]}]}]}, {\"name\": \"C00-D48 肿瘤\", \"sNode\": [{\"name\": \"C00-C14 唇、口腔和咽恶性肿瘤\", \"sNode\": [{\"name\": \"C02\", \"sNode\": [{\"name\": \"舌恶性肿瘤\", \"sNode\": []}]}, {\"name\": \"C03\", \"sNode\": [{\"name\": \"牙龈恶性肿瘤\", \"sNode\": []}]}]}, {\"name\": \"C15-C26 消化器官恶性肿瘤\", \"sNode\": [{\"name\": \"C17\", \"sNode\": [{\"name\": \"十二指肠恶性肿瘤\", \"sNode\": []}, {\"name\": \"小肠恶性肿瘤\", \"sNode\": []}]}, {\"name\": \"C22\", \"sNode\": [{\"name\": \"肝细胞癌\", \"sNode\": []}, {\"name\": \"胆管癌\", \"sNode\": []}]}]}, {\"name\": \"C43-C44 皮肤黑色素瘤和其他恶性肿瘤\", \"sNode\": [{\"name\": \"C43\", \"sNode\": [{\"name\": \"腹股沟恶性黑色素瘤\", \"sNode\": []}]}, {\"name\": \"C44\", \"sNode\": [{\"name\": \"皮肤恶性肿瘤\", \"sNode\": []}]}]}, {\"name\": \"C51-C58 女性生殖器官恶性肿瘤\", \"sNode\": [{\"name\": \"C56\", \"sNode\": [{\"name\": \"卵巢恶性肿瘤\", \"sNode\": []}]}, {\"name\": \"C58\", \"sNode\": [{\"name\": \"绒毛膜癌\", \"sNode\": []}]}]}, {\"name\": \"C76-C80 不明确、继发和未特指部位的恶性肿瘤\", \"sNode\": [{\"name\": \"C77\", \"sNode\": [{\"name\": \"淋巴结继发恶性肿瘤\", \"sNode\": []}]}, {\"name\": \"C78\", \"sNode\": [{\"name\": \"恶性胸腔积液\", \"sNode\": []}, {\"name\": \"恶性腹水\", \"sNode\": []}, {\"name\": \"肺部继发性恶性肿瘤\", \"sNode\": []}]}, {\"name\": \"C79\", \"sNode\": [{\"name\": \"骨继发恶性肿瘤\", \"sNode\": []}]}]}, {\"name\": \"C81-C96 淋巴、造血和有关组织的恶性肿瘤\", \"sNode\": [{\"name\": \"C81\", \"sNode\": [{\"name\": \"霍奇金淋巴瘤\", \"sNode\": []}]}, {\"name\": \"C85\", \"sNode\": [{\"name\": \"非霍奇金淋巴瘤\", \"sNode\": []}, {\"name\": \"B细胞淋巴瘤\", \"sNode\": []}]}, {\"name\": \"C88\", \"sNode\": [{\"name\": \"富兰克林病\", \"sNode\": []}]}, {\"name\": \"C90\", \"sNode\": [{\"name\": \"多发性骨髓瘤\", \"sNode\": []}]}, {\"name\": \"C91\", \"sNode\": [{\"name\": \"急性淋巴细胞白血病\", \"sNode\": []}]}, {\"name\": \"C92\", \"sNode\": [{\"name\": \"慢性中性粒细胞白血病\", \"sNode\": []}, {\"name\": \"慢性粒细胞性白血病\", \"sNode\": []}, {\"name\": \"急性髓系白血病\", \"sNode\": []}, {\"name\": \"慢性髓系白血病\", \"sNode\": []}]}, {\"name\": \"C95\", \"sNode\": [{\"name\": \"急性白血病\", \"sNode\": []}, {\"name\": \"慢性白血病\", \"sNode\": []}]}]}, {\"name\": \"D10-D36 良性肿瘤\", \"sNode\": [{\"name\": \"D10\", \"sNode\": [{\"name\": \"鼻咽良性肿瘤\", \"sNode\": []}]}, {\"name\": \"D17\", \"sNode\": [{\"name\": \"脂肪瘤\", \"sNode\": []}]}, {\"name\": \"D18\", \"sNode\": [{\"name\": \"脑血管瘤\", \"sNode\": []}, {\"name\": \"血管瘤\", \"sNode\": []}]}, {\"name\": \"D22\", \"sNode\": [{\"name\": \"黑素细胞痣\", \"sNode\": []}]}, {\"name\": \"D24\", \"sNode\": [{\"name\": \"乳腺良性肿瘤\", \"sNode\": []}]}, {\"name\": \"D25\", \"sNode\": [{\"name\": \"子宫平滑肌瘤\", \"sNode\": []}]}, {\"name\": \"D27\", \"sNode\": [{\"name\": \"梅格斯综合征\", \"sNode\": []}]}, {\"name\": \"D32\", \"sNode\": [{\"name\": \"脑膜瘤\", \"sNode\": []}]}]}, {\"name\": \"D37-D48 动态未定或动态未知的肿瘤\", \"sNode\": [{\"name\": \"D37\", \"sNode\": [{\"name\": \"腮腺肿瘤\", \"sNode\": []}, {\"name\": \"壶腹部肿瘤\", \"sNode\": []}, {\"name\": \"结肠肿瘤\", \"sNode\": []}]}, {\"name\": \"D38\", \"sNode\": [{\"name\": \"纵隔肿瘤\", \"sNode\": []}, {\"name\": \"肺肿瘤\", \"sNode\": []}, {\"name\": \"鼻腔肿瘤\", \"sNode\": []}]}, {\"name\": \"D39\", \"sNode\": [{\"name\": \"恶性葡萄胎\", \"sNode\": []}]}, {\"name\": \"D41\", \"sNode\": [{\"name\": \"膀胱息肉\", \"sNode\": []}]}, {\"name\": \"D44\", \"sNode\": [{\"name\": \"甲状腺肿瘤\", \"sNode\": []}, {\"name\": \"垂体肿瘤\", \"sNode\": []}]}, {\"name\": \"D46\", \"sNode\": [{\"name\": \"骨髓增生异常综合征\", \"sNode\": []}]}, {\"name\": \"D47\", \"sNode\": [{\"name\": \"原发性血小板增多症\", \"sNode\": []}, {\"name\": \"慢性骨髓增殖性疾病\", \"sNode\": []}]}, {\"name\": \"D48\", \"sNode\": [{\"name\": \"乳腺肿瘤\", \"sNode\": []}]}]}]}, {\"name\": \"D50-D89 血液及造血器官疾病和涉及免疫机制的某些疾患\", \"sNode\": [{\"name\": \"D50-D53 营养性贫血\", \"sNode\": [{\"name\": \"D50\", \"sNode\": [{\"name\": \"缺铁性贫血\", \"sNode\": []}]}, {\"name\": \"D53\", \"sNode\": [{\"name\": \"巨幼红细胞性贫血\", \"sNode\": []}]}]}, {\"name\": \"D55-D59 溶血性贫血\", \"sNode\": [{\"name\": \"D55\", \"sNode\": [{\"name\": \"蚕豆病\", \"sNode\": []}]}, {\"name\": \"D56\", \"sNode\": [{\"name\": \"地中海贫血\", \"sNode\": []}]}, {\"name\": \"D58\", \"sNode\": [{\"name\": \"溶血性贫血\", \"sNode\": []}]}]}, {\"name\": \"D60-D64 再生障碍性及其他贫血\", \"sNode\": [{\"name\": \"D61\", \"sNode\": [{\"name\": \"再生障碍性贫血\", \"sNode\": []}, {\"name\": \"化疗后骨髓抑制\", \"sNode\": []}]}, {\"name\": \"D64\", \"sNode\": [{\"name\": \"贫血\", \"sNode\": []}, {\"name\": \"中度贫血\", \"sNode\": []}, {\"name\": \"轻度贫血\", \"sNode\": []}, {\"name\": \"重度贫血\", \"sNode\": []}, {\"name\": \"肾性贫血\", \"sNode\": []}]}]}, {\"name\": \"D65-D69 凝血缺陷、紫癜和其他出血性情况\", \"sNode\": [{\"name\": \"D66\", \"sNode\": [{\"name\": \"血友病\", \"sNode\": []}]}, {\"name\": \"D68\", \"sNode\": [{\"name\": \"抗心磷脂抗体综合征\", \"sNode\": []}]}, {\"name\": \"D69\", \"sNode\": [{\"name\": \"单纯性紫癜\", \"sNode\": []}, {\"name\": \"原发性血小板减少症\", \"sNode\": []}, {\"name\": \"出血性紫癜\", \"sNode\": []}, {\"name\": \"过敏性紫癜\", \"sNode\": []}, {\"name\": \"特发性血小板减少性紫癜\", \"sNode\": []}]}]}, {\"name\": \"D70-D76 其他血液和造血器官疾病\", \"sNode\": [{\"name\": \"D70\", \"sNode\": [{\"name\": \"粒细胞缺乏\", \"sNode\": []}, {\"name\": \"中性粒细胞减少症\", \"sNode\": []}]}, {\"name\": \"D73\", \"sNode\": [{\"name\": \"脾周围炎\", \"sNode\": []}, {\"name\": \"脾脓肿\", \"sNode\": []}, {\"name\": \"脾功能亢进\", \"sNode\": []}]}, {\"name\": \"D75\", \"sNode\": [{\"name\": \"血小板增多\", \"sNode\": []}]}, {\"name\": \"D76\", \"sNode\": [{\"name\": \"噬血细胞综合征\", \"sNode\": []}]}]}, {\"name\": \"D80-D89 涉及免疫机制的某些疾患\", \"sNode\": [{\"name\": \"D86\", \"sNode\": [{\"name\": \"肺结节病\", \"sNode\": []}]}]}]}, {\"name\": \"E00-E90 内分泌、营养和代谢疾病\", \"sNode\": [{\"name\": \"E00-E07 甲状腺疾患\", \"sNode\": [{\"name\": \"E03\", \"sNode\": [{\"name\": \"甲状腺功能减退症\", \"sNode\": []}, {\"name\": \"原发性甲状腺功能减退症\", \"sNode\": []}]}, {\"name\": \"E04\", \"sNode\": [{\"name\": \"单纯性甲状腺肿\", \"sNode\": []}, {\"name\": \"甲状腺结节\", \"sNode\": []}, {\"name\": \"甲状腺囊肿\", \"sNode\": []}]}, {\"name\": \"E05\", \"sNode\": [{\"name\": \"甲状腺功能亢进性心脏病\", \"sNode\": []}, {\"name\": \"甲状腺危象\", \"sNode\": []}]}, {\"name\": \"E06\", \"sNode\": [{\"name\": \"亚急性甲状腺炎\", \"sNode\": []}, {\"name\": \"自身免疫性甲状腺炎\", \"sNode\": []}, {\"name\": \"甲状腺炎\", \"sNode\": []}, {\"name\": \"急性化脓性甲状腺炎\", \"sNode\": []}, {\"name\": \"慢性甲状腺炎\", \"sNode\": []}]}, {\"name\": \"E07\", \"sNode\": [{\"name\": \"甲状腺疾患\", \"sNode\": []}]}]}, {\"name\": \"E10-E14 糖尿病\", \"sNode\": [{\"name\": \"E10\", \"sNode\": [{\"name\": \"1型糖尿病性缺血性心肌病\", \"sNode\": []}, {\"name\": \"1型糖尿病性肾病\", \"sNode\": []}, {\"name\": \"1型糖尿病\", \"sNode\": []}]}, {\"name\": \"E11\", \"sNode\": [{\"name\": \"2型糖尿病性乳酸酸中毒\", \"sNode\": []}, {\"name\": \"2型糖尿病性高渗性昏迷\", \"sNode\": []}, {\"name\": \"2型糖尿病性肾病\", \"sNode\": []}, {\"name\": \"2型糖尿病足病\", \"sNode\": []}, {\"name\": \"2型糖尿病性周围神经病\", \"sNode\": []}, {\"name\": \"2型糖尿病性视网膜病变\", \"sNode\": []}, {\"name\": \"2型糖尿病\", \"sNode\": []}]}, {\"name\": \"E14\", \"sNode\": [{\"name\": \"糖尿病性心肌病\", \"sNode\": []}, {\"name\": \"糖尿病性周围神经病\", \"sNode\": []}, {\"name\": \"糖尿病\", \"sNode\": []}, {\"name\": \"糖尿病足\", \"sNode\": []}]}]}, {\"name\": \"E15-E16 葡萄糖调节和胰腺内分泌的其他疾患\", \"sNode\": [{\"name\": \"E16\", \"sNode\": [{\"name\": \"低血糖症\", \"sNode\": []}]}]}, {\"name\": \"E20-E34 其他内分泌腺疾患\", \"sNode\": [{\"name\": \"E20\", \"sNode\": [{\"name\": \"甲状旁腺功能减退症\", \"sNode\": []}]}, {\"name\": \"E22\", \"sNode\": [{\"name\": \"高泌乳素血症\", \"sNode\": []}, {\"name\": \"肢端肥大症\", \"sNode\": []}]}, {\"name\": \"E23\", \"sNode\": [{\"name\": \"生长激素缺乏症\", \"sNode\": []}, {\"name\": \"尿崩症\", \"sNode\": []}]}, {\"name\": \"E24\", \"sNode\": [{\"name\": \"库欣综合征\", \"sNode\": []}]}, {\"name\": \"E26\", \"sNode\": [{\"name\": \"原发性醛固酮过多症\", \"sNode\": []}]}, {\"name\": \"E28\", \"sNode\": [{\"name\": \"卵巢早衰\", \"sNode\": []}, {\"name\": \"多囊卵巢综合征\", \"sNode\": []}]}, {\"name\": \"E29\", \"sNode\": [{\"name\": \"睾丸功能减退症\", \"sNode\": []}]}, {\"name\": \"E30\", \"sNode\": [{\"name\": \"性早熟\", \"sNode\": []}]}, {\"name\": \"E34\", \"sNode\": [{\"name\": \"内分泌病性骨质疏松\", \"sNode\": []}]}]}, {\"name\": \"E40-E46 营养不良\", \"sNode\": [{\"name\": \"E46\", \"sNode\": [{\"name\": \"营养不良\", \"sNode\": []}]}]}, {\"name\": \"E50-E64 其他营养缺乏\", \"sNode\": [{\"name\": \"E53\", \"sNode\": [{\"name\": \"叶酸缺乏症\", \"sNode\": []}]}, {\"name\": \"E55\", \"sNode\": [{\"name\": \"佝偻病\", \"sNode\": []}]}, {\"name\": \"E56\", \"sNode\": [{\"name\": \"维生素E缺乏症\", \"sNode\": []}, {\"name\": \"维生素缺乏病\", \"sNode\": []}]}, {\"name\": \"E59\", \"sNode\": [{\"name\": \"饮食性硒缺乏\", \"sNode\": []}, {\"name\": \"硒缺乏\", \"sNode\": []}]}, {\"name\": \"E61\", \"sNode\": [{\"name\": \"铁缺乏\", \"sNode\": []}]}]}, {\"name\": \"E65-E68 肥胖症和其他营养过度\", \"sNode\": [{\"name\": \"E66\", \"sNode\": [{\"name\": \"肥胖症\", \"sNode\": []}]}]}, {\"name\": \"E70-E89 代谢紊乱\", \"sNode\": [{\"name\": \"E70\", \"sNode\": [{\"name\": \"苯丙酮尿症\", \"sNode\": []}]}, {\"name\": \"E72\", \"sNode\": [{\"name\": \"高同型半胱氨酸血症\", \"sNode\": []}]}, {\"name\": \"E75\", \"sNode\": [{\"name\": \"黄色瘤\", \"sNode\": []}]}, {\"name\": \"E77\", \"sNode\": [{\"name\": \"低蛋白血症\", \"sNode\": []}]}, {\"name\": \"E78\", \"sNode\": [{\"name\": \"高脂血症\", \"sNode\": []}, {\"name\": \"高胆固醇血症\", \"sNode\": []}, {\"name\": \"高甘油三酯血症\", \"sNode\": []}, {\"name\": \"混合性高脂血症\", \"sNode\": []}]}, {\"name\": \"E79\", \"sNode\": [{\"name\": \"高尿酸血症\", \"sNode\": []}]}, {\"name\": \"E80\", \"sNode\": [{\"name\": \"高胆红素血症\", \"sNode\": []}]}, {\"name\": \"E83\", \"sNode\": [{\"name\": \"低镁血症\", \"sNode\": []}, {\"name\": \"低钙血症\", \"sNode\": []}, {\"name\": \"高磷酸盐血症\", \"sNode\": []}]}, {\"name\": \"E87\", \"sNode\": [{\"name\": \"水中毒\", \"sNode\": []}, {\"name\": \"电解质代谢紊乱\", \"sNode\": []}, {\"name\": \"高钠血症\", \"sNode\": []}, {\"name\": \"低钾血症\", \"sNode\": []}, {\"name\": \"低钠血症\", \"sNode\": []}, {\"name\": \"高钾血症\", \"sNode\": []}]}, {\"name\": \"E89\", \"sNode\": [{\"name\": \"手术后甲状腺功能减退\", \"sNode\": []}]}]}]}, {\"name\": \"F00-F99 精神和行为障碍\", \"sNode\": [{\"name\": \"F01-F09 器质性(包括症状性)精神障碍\", \"sNode\": [{\"name\": \"F03\", \"sNode\": [{\"name\": \"痴呆\", \"sNode\": []}]}, {\"name\": \"F07\", \"sNode\": [{\"name\": \"脑外伤后综合征\", \"sNode\": []}]}, {\"name\": \"F09\", \"sNode\": [{\"name\": \"器质性精神障碍\", \"sNode\": []}]}]}, {\"name\": \"F10-F19 使用精神活性物质引起的精神和行为障碍\", \"sNode\": [{\"name\": \"F10\", \"sNode\": [{\"name\": \"急性酒精中毒\", \"sNode\": []}]}]}, {\"name\": \"F20-F29 精神分裂症、分裂型障碍和妄想性障碍\", \"sNode\": [{\"name\": \"F20\", \"sNode\": [{\"name\": \"精神分裂症\", \"sNode\": []}]}, {\"name\": \"F25\", \"sNode\": [{\"name\": \"分裂情感性障碍\", \"sNode\": []}]}]}, {\"name\": \"F40-F48 神经症性、应激相关的以及躯体形式的障碍\", \"sNode\": [{\"name\": \"F41\", \"sNode\": [{\"name\": \"焦虑性神经症\", \"sNode\": []}, {\"name\": \"焦虑障碍\", \"sNode\": []}]}, {\"name\": \"F42\", \"sNode\": [{\"name\": \"强迫综合征\", \"sNode\": []}]}, {\"name\": \"F43\", \"sNode\": [{\"name\": \"创伤后应激障碍\", \"sNode\": []}]}, {\"name\": \"F44\", \"sNode\": [{\"name\": \"癔症\", \"sNode\": []}]}, {\"name\": \"F45\", \"sNode\": [{\"name\": \"功能性咳嗽\", \"sNode\": []}, {\"name\": \"心脏神经官能症\", \"sNode\": []}]}, {\"name\": \"F48\", \"sNode\": [{\"name\": \"神经衰弱\", \"sNode\": []}, {\"name\": \"疲劳综合征\", \"sNode\": []}]}]}, {\"name\": \"F50-F59 与生理紊乱和躯体因素有关的行为综合征\", \"sNode\": [{\"name\": \"F51\", \"sNode\": [{\"name\": \"非器质性失眠症\", \"sNode\": []}]}, {\"name\": \"F52\", \"sNode\": [{\"name\": \"男性勃起障碍\", \"sNode\": []}, {\"name\": \"早泄\", \"sNode\": []}]}, {\"name\": \"F53\", \"sNode\": [{\"name\": \"产后抑郁症\", \"sNode\": []}]}]}, {\"name\": \"F80-F89 心理发育障碍\", \"sNode\": [{\"name\": \"F84\", \"sNode\": [{\"name\": \"童年孤独症\", \"sNode\": []}]}]}, {\"name\": \"F90-F98 通常在童年租青少年期发病的行为和情绪障碍\", \"sNode\": [{\"name\": \"F95\", \"sNode\": [{\"name\": \"抽动障碍\", \"sNode\": []}]}]}]}, {\"name\": \"G00-G99 神经系统疾病\", \"sNode\": [{\"name\": \"G00-G09 中枢神经系统炎性疾病\", \"sNode\": [{\"name\": \"G00\", \"sNode\": [{\"name\": \"化脓性脑膜炎\", \"sNode\": []}]}, {\"name\": \"G03\", \"sNode\": [{\"name\": \"脑膜炎\", \"sNode\": []}]}, {\"name\": \"G04\", \"sNode\": [{\"name\": \"脑炎\", \"sNode\": []}, {\"name\": \"急性脊髓炎\", \"sNode\": []}]}, {\"name\": \"G06\", \"sNode\": [{\"name\": \"脑脓肿\", \"sNode\": []}, {\"name\": \"颅内感染\", \"sNode\": []}]}]}, {\"name\": \"G10-G12 主要影响中枢神经系统的全身性萎缩\", \"sNode\": [{\"name\": \"G12\", \"sNode\": [{\"name\": \"运动神经元病\", \"sNode\": []}]}]}, {\"name\": \"G20-G25 锥体外系和运动疾患\", \"sNode\": [{\"name\": \"G20\", \"sNode\": [{\"name\": \"帕金森病\", \"sNode\": []}, {\"name\": \"帕金森综合征\", \"sNode\": []}]}, {\"name\": \"G24\", \"sNode\": [{\"name\": \"痉挛性斜颈\", \"sNode\": []}, {\"name\": \"全身型肌张力障碍\", \"sNode\": []}, {\"name\": \"迟发性运动障碍\", \"sNode\": []}]}, {\"name\": \"G25\", \"sNode\": [{\"name\": \"不安腿综合征\", \"sNode\": []}]}]}, {\"name\": \"G30-G31 神经系统的其他变性性疾病\", \"sNode\": [{\"name\": \"G30\", \"sNode\": [{\"name\": \"阿尔茨海默病\", \"sNode\": []}]}]}, {\"name\": \"G35-G37 中枢神经系统的脱髓鞘疾病\", \"sNode\": [{\"name\": \"G37\", \"sNode\": [{\"name\": \"脱髓鞘病\", \"sNode\": []}]}]}, {\"name\": \"G40-G47 发作性和阵发性疾患\", \"sNode\": [{\"name\": \"G40\", \"sNode\": [{\"name\": \"癫痫\", \"sNode\": []}]}, {\"name\": \"G41\", \"sNode\": [{\"name\": \"癫痫持续状态\", \"sNode\": []}]}, {\"name\": \"G43\", \"sNode\": [{\"name\": \"偏头痛\", \"sNode\": []}]}, {\"name\": \"G44\", \"sNode\": [{\"name\": \"血管性头痛\", \"sNode\": []}, {\"name\": \"丛集性头痛综合征\", \"sNode\": []}]}, {\"name\": \"G45\", \"sNode\": [{\"name\": \"短暂性脑缺血发作\", \"sNode\": []}, {\"name\": \"后循环缺血\", \"sNode\": []}]}, {\"name\": \"G47\", \"sNode\": [{\"name\": \"阻塞性睡眠呼吸暂停综合征\", \"sNode\": []}, {\"name\": \"睡眠呼吸暂停\", \"sNode\": []}, {\"name\": \"发作性睡病\", \"sNode\": []}, {\"name\": \"睡眠障碍\", \"sNode\": []}]}]}, {\"name\": \"G50-G58 神经、神经根和神经丛疾患\", \"sNode\": [{\"name\": \"G50\", \"sNode\": [{\"name\": \"三叉神经痛\", \"sNode\": []}, {\"name\": \"眶上神经痛\", \"sNode\": []}]}, {\"name\": \"G51\", \"sNode\": [{\"name\": \"周围性面神经麻痹\", \"sNode\": []}, {\"name\": \"面肌痉挛\", \"sNode\": []}, {\"name\": \"中枢性面神经麻痹\", \"sNode\": []}, {\"name\": \"面神经炎\", \"sNode\": []}]}, {\"name\": \"G52\", \"sNode\": [{\"name\": \"喉返神经疾患\", \"sNode\": []}]}, {\"name\": \"G56\", \"sNode\": [{\"name\": \"腕管综合征\", \"sNode\": []}]}, {\"name\": \"G57\", \"sNode\": [{\"name\": \"梨状肌综合征\", \"sNode\": []}]}, {\"name\": \"G58\", \"sNode\": [{\"name\": \"肋间神经痛\", \"sNode\": []}]}]}, {\"name\": \"G60-G64 多神经病和周围神经系统的其他疾患\", \"sNode\": [{\"name\": \"G62\", \"sNode\": [{\"name\": \"周围神经病\", \"sNode\": []}]}]}, {\"name\": \"G70-G72 肌神经接点和肌肉疾病\", \"sNode\": [{\"name\": \"G70\", \"sNode\": [{\"name\": \"重症肌无力\", \"sNode\": []}]}]}, {\"name\": \"G80-G83 大脑性瘫痪和其他麻痹[瘫痪] 综合征\", \"sNode\": [{\"name\": \"G81\", \"sNode\": [{\"name\": \"偏瘫\", \"sNode\": []}]}]}, {\"name\": \"G90-G98 神经系统的其他疾患\", \"sNode\": [{\"name\": \"G90\", \"sNode\": [{\"name\": \"自主神经功能紊乱\", \"sNode\": []}]}, {\"name\": \"G91\", \"sNode\": [{\"name\": \"脑积水\", \"sNode\": []}]}, {\"name\": \"G93\", \"sNode\": [{\"name\": \"肺性脑病\", \"sNode\": []}, {\"name\": \"缺氧缺血性脑病\", \"sNode\": []}, {\"name\": \"脑水肿\", \"sNode\": []}, {\"name\": \"低颅压综合征\", \"sNode\": []}]}, {\"name\": \"G95\", \"sNode\": [{\"name\": \"脊髓空洞症\", \"sNode\": []}]}]}]}, {\"name\": \"H00-H59 眼和附器疾病\", \"sNode\": [{\"name\": \"H00-H05 眼睑、泪器系和眼眶疾患\", \"sNode\": [{\"name\": \"H00\", \"sNode\": [{\"name\": \"睑腺炎\", \"sNode\": []}, {\"name\": \"睑板腺囊肿\", \"sNode\": []}]}, {\"name\": \"H01\", \"sNode\": [{\"name\": \"睑缘炎\", \"sNode\": []}, {\"name\": \"眼睑皮炎\", \"sNode\": []}]}, {\"name\": \"H02\", \"sNode\": [{\"name\": \"先天性倒睫\", \"sNode\": []}]}, {\"name\": \"H04\", \"sNode\": [{\"name\": \"慢性泪腺炎\", \"sNode\": []}, {\"name\": \"泪道阻塞\", \"sNode\": []}, {\"name\": \"急性泪腺炎\", \"sNode\": []}, {\"name\": \"急性泪囊炎\", \"sNode\": []}, {\"name\": \"泪道狭窄\", \"sNode\": []}]}]}, {\"name\": \"H10-H11 结膜疾患\", \"sNode\": [{\"name\": \"H10\", \"sNode\": [{\"name\": \"急性结膜炎\", \"sNode\": []}, {\"name\": \"结膜炎\", \"sNode\": []}, {\"name\": \"慢性结膜炎\", \"sNode\": []}, {\"name\": \"变应性结膜炎\", \"sNode\": []}]}, {\"name\": \"H11\", \"sNode\": [{\"name\": \"翼状胬肉\", \"sNode\": []}, {\"name\": \"结膜干燥\", \"sNode\": []}, {\"name\": \"结膜结石\", \"sNode\": []}]}]}, {\"name\": \"H15-H21 巩膜、角膜、虹膜和睫状体疾患\", \"sNode\": [{\"name\": \"H15\", \"sNode\": [{\"name\": \"巩膜炎\", \"sNode\": []}]}, {\"name\": \"H16\", \"sNode\": [{\"name\": \"角膜炎\", \"sNode\": []}, {\"name\": \"角膜溃疡性穿孔\", \"sNode\": []}, {\"name\": \"干眼症\", \"sNode\": []}]}, {\"name\": \"H20\", \"sNode\": [{\"name\": \"虹膜睫状体炎\", \"sNode\": []}]}]}, {\"name\": \"H25-H27 晶状体疾患\", \"sNode\": [{\"name\": \"H25\", \"sNode\": [{\"name\": \"老年性白内障\", \"sNode\": []}]}, {\"name\": \"H26\", \"sNode\": [{\"name\": \"白内障\", \"sNode\": []}, {\"name\": \"后发性白内障\", \"sNode\": []}, {\"name\": \"混合性白内障\", \"sNode\": []}, {\"name\": \"并发性白内障\", \"sNode\": []}]}]}, {\"name\": \"H30-H35 脉络膜和视网膜疾患\", \"sNode\": [{\"name\": \"H35\", \"sNode\": [{\"name\": \"黄斑裂孔\", \"sNode\": []}, {\"name\": \"黄斑前膜\", \"sNode\": []}, {\"name\": \"老年性黄斑变性\", \"sNode\": []}, {\"name\": \"黄斑水肿\", \"sNode\": []}, {\"name\": \"黄斑变性\", \"sNode\": []}, {\"name\": \"中心性浆液性脉络膜视网膜病变\", \"sNode\": []}]}]}, {\"name\": \"H40-H40 青光眼\", \"sNode\": [{\"name\": \"H40\", \"sNode\": [{\"name\": \"可疑青光眼\", \"sNode\": []}, {\"name\": \"青光眼\", \"sNode\": []}, {\"name\": \"青光眼睫状体炎综合征\", \"sNode\": []}, {\"name\": \"前房角狭窄\", \"sNode\": []}]}]}, {\"name\": \"H43-H44 玻璃体和眼球疾患\", \"sNode\": [{\"name\": \"H43\", \"sNode\": [{\"name\": \"玻璃体混浊\", \"sNode\": []}]}, {\"name\": \"H44\", \"sNode\": [{\"name\": \"高度近视性脉络膜视网膜病变\", \"sNode\": []}]}]}, {\"name\": \"H46-H47 视神经和视路疾患\", \"sNode\": [{\"name\": \"H46\", \"sNode\": [{\"name\": \"视神经炎\", \"sNode\": []}]}]}, {\"name\": \"H49-H52 眼球外肌、双眼运动、调节和屈光疾患\", \"sNode\": [{\"name\": \"H52\", \"sNode\": [{\"name\": \"屈光不正\", \"sNode\": []}]}]}, {\"name\": \"H53-H54 视觉障碍和盲\", \"sNode\": [{\"name\": \"H53\", \"sNode\": [{\"name\": \"复视\", \"sNode\": []}, {\"name\": \"眼疲劳\", \"sNode\": []}]}]}]}, {\"name\": \"H60-H95 耳和乳突疾病\", \"sNode\": [{\"name\": \"H60-H61 外耳疾病\", \"sNode\": [{\"name\": \"H60\", \"sNode\": [{\"name\": \"外耳湿疹\", \"sNode\": []}, {\"name\": \"外耳炎\", \"sNode\": []}, {\"name\": \"外耳胆脂瘤\", \"sNode\": []}]}, {\"name\": \"H61\", \"sNode\": [{\"name\": \"耵聍栓塞\", \"sNode\": []}]}]}, {\"name\": \"H65-H74 非化脓性中耳炎\", \"sNode\": [{\"name\": \"H65\", \"sNode\": [{\"name\": \"急性分泌性中耳炎\", \"sNode\": []}]}, {\"name\": \"H66\", \"sNode\": [{\"name\": \"慢性化脓性中耳炎\", \"sNode\": []}, {\"name\": \"慢性中耳炎\", \"sNode\": []}, {\"name\": \"中耳炎\", \"sNode\": []}]}, {\"name\": \"H68\", \"sNode\": [{\"name\": \"咽鼓管阻塞\", \"sNode\": []}, {\"name\": \"咽鼓管炎\", \"sNode\": []}]}, {\"name\": \"H69\", \"sNode\": [{\"name\": \"咽鼓管疾患\", \"sNode\": []}]}, {\"name\": \"H70\", \"sNode\": [{\"name\": \"急性乳突炎\", \"sNode\": []}]}, {\"name\": \"H71\", \"sNode\": [{\"name\": \"慢性化脓性中耳炎胆脂瘤型\", \"sNode\": []}]}, {\"name\": \"H72\", \"sNode\": [{\"name\": \"鼓膜穿孔\", \"sNode\": []}]}, {\"name\": \"H73\", \"sNode\": [{\"name\": \"鼓膜炎\", \"sNode\": []}]}]}, {\"name\": \"H80-H83 内耳疾病\", \"sNode\": [{\"name\": \"H80\", \"sNode\": [{\"name\": \"耳硬化症\", \"sNode\": []}]}, {\"name\": \"H81\", \"sNode\": [{\"name\": \"前庭神经元炎\", \"sNode\": []}, {\"name\": \"眩晕综合征\", \"sNode\": []}]}, {\"name\": \"H83\", \"sNode\": [{\"name\": \"迷路炎\", \"sNode\": []}]}]}, {\"name\": \"H90-H95 耳的其他疾患\", \"sNode\": [{\"name\": \"H90\", \"sNode\": [{\"name\": \"感音神经性听觉丧失\", \"sNode\": []}]}, {\"name\": \"H91\", \"sNode\": [{\"name\": \"听力减退\", \"sNode\": []}]}, {\"name\": \"H92\", \"sNode\": [{\"name\": \"耳痛\", \"sNode\": []}, {\"name\": \"耳漏\", \"sNode\": []}]}, {\"name\": \"H93\", \"sNode\": [{\"name\": \"耳鸣\", \"sNode\": []}]}]}]}, {\"name\": \"I00-I99 循环系统疾病\", \"sNode\": [{\"name\": \"I00-I02 急性风湿热\", \"sNode\": [{\"name\": \"I00\", \"sNode\": [{\"name\": \"风湿热\", \"sNode\": []}, {\"name\": \"风湿性关节炎\", \"sNode\": []}]}]}, {\"name\": \"I05-I09 慢性风湿性心脏病\", \"sNode\": [{\"name\": \"I05\", \"sNode\": [{\"name\": \"风湿性二尖瓣狭窄\", \"sNode\": []}, {\"name\": \"二尖瓣狭窄\", \"sNode\": []}, {\"name\": \"二尖瓣疾病\", \"sNode\": []}]}, {\"name\": \"I09\", \"sNode\": [{\"name\": \"风湿性心脏病\", \"sNode\": []}]}]}, {\"name\": \"I10-I15 高血压病\", \"sNode\": [{\"name\": \"I10\", \"sNode\": [{\"name\": \"高血压危象\", \"sNode\": []}, {\"name\": \"高血压1级\", \"sNode\": []}, {\"name\": \"高血压2级\", \"sNode\": []}, {\"name\": \"高血压3级\", \"sNode\": []}, {\"name\": \"原发性高血压\", \"sNode\": []}]}, {\"name\": \"I11\", \"sNode\": [{\"name\": \"高血压性心脏病\", \"sNode\": []}]}, {\"name\": \"I12\", \"sNode\": [{\"name\": \"高血压性肾病\", \"sNode\": []}]}, {\"name\": \"I15\", \"sNode\": [{\"name\": \"继发性高血压\", \"sNode\": []}, {\"name\": \"肾血管性高血压\", \"sNode\": []}]}]}, {\"name\": \"I20-I25 缺血性心脏病\", \"sNode\": [{\"name\": \"I20\", \"sNode\": [{\"name\": \"变异型心绞痛\", \"sNode\": []}, {\"name\": \"心绞痛\", \"sNode\": []}, {\"name\": \"恶化劳力性心绞痛\", \"sNode\": []}, {\"name\": \"稳定型心绞痛\", \"sNode\": []}, {\"name\": \"劳力型心绞痛\", \"sNode\": []}, {\"name\": \"X综合征\", \"sNode\": []}, {\"name\": \"不稳定型心绞痛\", \"sNode\": []}]}, {\"name\": \"I21\", \"sNode\": [{\"name\": \"急性ST段抬高型心肌梗死\", \"sNode\": []}, {\"name\": \"急性心肌梗死\", \"sNode\": []}, {\"name\": \"急性非ST段抬高型心肌梗死\", \"sNode\": []}]}, {\"name\": \"I24\", \"sNode\": [{\"name\": \"急性冠脉综合征\", \"sNode\": []}]}, {\"name\": \"I25\", \"sNode\": [{\"name\": \"冠状动脉性心脏病\", \"sNode\": []}, {\"name\": \"冠状动脉粥样硬化性心脏病\", \"sNode\": []}, {\"name\": \"冠状动脉粥样硬化\", \"sNode\": []}, {\"name\": \"陈旧性心肌梗死\", \"sNode\": []}, {\"name\": \"隐匿性冠状动脉粥样硬化性心脏病\", \"sNode\": []}]}]}, {\"name\": \"I26-I28 肺源性心脏病和肺循环疾病\", \"sNode\": [{\"name\": \"I26\", \"sNode\": [{\"name\": \"肺栓塞\", \"sNode\": []}, {\"name\": \"肺血栓形成\", \"sNode\": []}]}, {\"name\": \"I27\", \"sNode\": [{\"name\": \"慢性肺源性心脏病\", \"sNode\": []}, {\"name\": \"原发性肺动脉高压\", \"sNode\": []}]}]}, {\"name\": \"I30-I51 其他类型的心脏病\", \"sNode\": [{\"name\": \"I30\", \"sNode\": [{\"name\": \"急性心包炎\", \"sNode\": []}]}, {\"name\": \"I31\", \"sNode\": [{\"name\": \"心包积液\", \"sNode\": []}]}, {\"name\": \"I33\", \"sNode\": [{\"name\": \"感染性心内膜炎\", \"sNode\": []}]}, {\"name\": \"I34\", \"sNode\": [{\"name\": \"二尖瓣关闭不全\", \"sNode\": []}, {\"name\": \"二尖瓣脱垂综合征\", \"sNode\": []}]}, {\"name\": \"I35\", \"sNode\": [{\"name\": \"主动脉瓣狭窄\", \"sNode\": []}, {\"name\": \"主动脉瓣关闭不全\", \"sNode\": []}, {\"name\": \"主动脉瓣疾患\", \"sNode\": []}]}, {\"name\": \"I37\", \"sNode\": [{\"name\": \"肺动脉瓣狭窄\", \"sNode\": []}]}, {\"name\": \"I38\", \"sNode\": [{\"name\": \"心脏瓣膜病\", \"sNode\": []}]}, {\"name\": \"I40\", \"sNode\": [{\"name\": \"病毒性心肌炎\", \"sNode\": []}]}, {\"name\": \"I42\", \"sNode\": [{\"name\": \"扩张型心肌病\", \"sNode\": []}, {\"name\": \"肥厚型梗阻性心肌病\", \"sNode\": []}]}, {\"name\": \"I44\", \"sNode\": [{\"name\": \"房室传导阻滞\", \"sNode\": []}]}, {\"name\": \"I45\", \"sNode\": [{\"name\": \"窦性停搏\", \"sNode\": []}, {\"name\": \"窦房传导阻滞\", \"sNode\": []}, {\"name\": \"完全性右束支传导阻滞\", \"sNode\": []}]}, {\"name\": \"I46\", \"sNode\": [{\"name\": \"呼吸心跳骤停\", \"sNode\": []}]}, {\"name\": \"I47\", \"sNode\": [{\"name\": \"阵发性室上性心动过速\", \"sNode\": []}, {\"name\": \"室性心动过速\", \"sNode\": []}]}, {\"name\": \"I48\", \"sNode\": [{\"name\": \"心房扑动\", \"sNode\": []}, {\"name\": \"心房颤动\", \"sNode\": []}, {\"name\": \"持续性心房颤动\", \"sNode\": []}, {\"name\": \"慢性心房颤动\", \"sNode\": []}, {\"name\": \"阵发性心房纤颤\", \"sNode\": []}]}, {\"name\": \"I49\", \"sNode\": [{\"name\": \"室性期前收缩\", \"sNode\": []}, {\"name\": \"期前收缩\", \"sNode\": []}, {\"name\": \"心室扑动\", \"sNode\": []}, {\"name\": \"心室颤动\", \"sNode\": []}, {\"name\": \"心律失常\", \"sNode\": []}, {\"name\": \"病态窦房结综合征\", \"sNode\": []}, {\"name\": \"室性心律失常\", \"sNode\": []}]}, {\"name\": \"I50\", \"sNode\": [{\"name\": \"左心衰竭\", \"sNode\": []}, {\"name\": \"慢性心力衰竭\", \"sNode\": []}, {\"name\": \"右心衰竭\", \"sNode\": []}, {\"name\": \"心源性哮喘\", \"sNode\": []}, {\"name\": \"心力衰竭\", \"sNode\": []}, {\"name\": \"急性心力衰竭\", \"sNode\": []}, {\"name\": \"心功能不全\", \"sNode\": []}]}]}, {\"name\": \"I60-I69 脑血管病\", \"sNode\": [{\"name\": \"I61\", \"sNode\": [{\"name\": \"脑干出血\", \"sNode\": []}, {\"name\": \"小脑出血\", \"sNode\": []}]}, {\"name\": \"I62\", \"sNode\": [{\"name\": \"硬膜下血肿\", \"sNode\": []}, {\"name\": \"硬膜外血肿\", \"sNode\": []}, {\"name\": \"慢性硬膜下血肿\", \"sNode\": []}]}, {\"name\": \"I63\", \"sNode\": [{\"name\": \"腔隙性脑梗死\", \"sNode\": []}, {\"name\": \"多发性脑梗死\", \"sNode\": []}, {\"name\": \"脑梗死\", \"sNode\": []}]}, {\"name\": \"I64\", \"sNode\": [{\"name\": \"脑卒中\", \"sNode\": []}]}, {\"name\": \"I65\", \"sNode\": [{\"name\": \"颈动脉闭塞和狭窄\", \"sNode\": []}, {\"name\": \"颈动脉狭窄\", \"sNode\": []}, {\"name\": \"基底动脉狭窄\", \"sNode\": []}]}, {\"name\": \"I66\", \"sNode\": [{\"name\": \"大脑中动脉狭窄\", \"sNode\": []}, {\"name\": \"脑动脉狭窄\", \"sNode\": []}]}, {\"name\": \"I67\", \"sNode\": [{\"name\": \"脑动脉瘤\", \"sNode\": []}, {\"name\": \"颈内动脉粥样硬化\", \"sNode\": []}, {\"name\": \"烟雾病\", \"sNode\": []}, {\"name\": \"脑血管病\", \"sNode\": []}, {\"name\": \"慢性缺血性脑血管病\", \"sNode\": []}, {\"name\": \"急性脑血管病\", \"sNode\": []}, {\"name\": \"大脑动脉粥样硬化\", \"sNode\": []}, {\"name\": \"缺血性脑血管病\", \"sNode\": []}, {\"name\": \"脑动脉供血不足\", \"sNode\": []}]}, {\"name\": \"I69\", \"sNode\": [{\"name\": \"陈旧性脑梗死\", \"sNode\": []}, {\"name\": \"脑梗死恢复期\", \"sNode\": []}, {\"name\": \"脑出血后遗症\", \"sNode\": []}, {\"name\": \"脑梗死后遗症\", \"sNode\": []}]}]}, {\"name\": \"I70-I78 动脉、小动脉和毛细血管疾病\", \"sNode\": [{\"name\": \"I70\", \"sNode\": [{\"name\": \"股动脉粥样硬化\", \"sNode\": []}, {\"name\": \"下肢动脉粥样硬化\", \"sNode\": []}, {\"name\": \"颈动脉硬化\", \"sNode\": []}, {\"name\": \"动脉粥样硬化\", \"sNode\": []}]}, {\"name\": \"I72\", \"sNode\": [{\"name\": \"动脉瘤\", \"sNode\": []}, {\"name\": \"肠系膜上动脉夹层动脉瘤\", \"sNode\": []}]}, {\"name\": \"I73\", \"sNode\": [{\"name\": \"雷诺综合征\", \"sNode\": []}]}, {\"name\": \"I74\", \"sNode\": [{\"name\": \"下肢动脉闭塞\", \"sNode\": []}]}, {\"name\": \"I77\", \"sNode\": [{\"name\": \"血管炎\", \"sNode\": []}, {\"name\": \"多发性大动脉炎\", \"sNode\": []}]}]}, {\"name\": \"I80-I89 静脉、淋巴管和淋巴结疾病,不可归类在他处者\", \"sNode\": [{\"name\": \"I80\", \"sNode\": [{\"name\": \"下肢深静脉血栓性静脉炎\", \"sNode\": []}, {\"name\": \"下肢深静脉血栓形成\", \"sNode\": []}, {\"name\": \"下肢静脉血栓形成\", \"sNode\": []}, {\"name\": \"下肢静脉炎和血栓性静脉炎\", \"sNode\": []}]}, {\"name\": \"I82\", \"sNode\": [{\"name\": \"静脉血栓形成\", \"sNode\": []}, {\"name\": \"颈静脉血栓形成\", \"sNode\": []}]}, {\"name\": \"I83\", \"sNode\": [{\"name\": \"下肢静脉曲张\", \"sNode\": []}, {\"name\": \"大隐静脉曲张\", \"sNode\": []}, {\"name\": \"淤积性皮炎\", \"sNode\": []}, {\"name\": \"下肢静脉曲张伴静脉炎\", \"sNode\": []}, {\"name\": \"下肢静脉曲张不伴有溃疡或炎症\", \"sNode\": []}]}, {\"name\": \"I84\", \"sNode\": [{\"name\": \"内痔\", \"sNode\": []}, {\"name\": \"外痔\", \"sNode\": []}, {\"name\": \"混合痔\", \"sNode\": []}, {\"name\": \"血栓性外痔\", \"sNode\": []}]}, {\"name\": \"I85\", \"sNode\": [{\"name\": \"食管静脉曲张\", \"sNode\": []}]}, {\"name\": \"I87\", \"sNode\": [{\"name\": \"下肢静脉功能不全\", \"sNode\": []}, {\"name\": \"下肢静脉机能不全\", \"sNode\": []}]}, {\"name\": \"I88\", \"sNode\": [{\"name\": \"淋巴结炎\", \"sNode\": []}, {\"name\": \"颈淋巴结炎\", \"sNode\": []}]}, {\"name\": \"I89\", \"sNode\": [{\"name\": \"淋巴管炎\", \"sNode\": []}, {\"name\": \"淋巴水肿\", \"sNode\": []}]}]}, {\"name\": \"I95-I99 循环系统其他和未特指的疾患\", \"sNode\": [{\"name\": \"I95\", \"sNode\": [{\"name\": \"低血压\", \"sNode\": []}]}]}]}, {\"name\": \"J00-J99 呼吸系统疾病\", \"sNode\": [{\"name\": \"J00-J06 急性上呼吸道感染\", \"sNode\": [{\"name\": \"J00\", \"sNode\": [{\"name\": \"急性鼻炎\", \"sNode\": []}]}, {\"name\": \"J01\", \"sNode\": [{\"name\": \"急性上颌窦炎\", \"sNode\": []}, {\"name\": \"急性筛窦炎\", \"sNode\": []}, {\"name\": \"急性蝶窦炎\", \"sNode\": []}, {\"name\": \"急性额窦炎\", \"sNode\": []}, {\"name\": \"急性鼻窦炎\", \"sNode\": []}]}, {\"name\": \"J02\", \"sNode\": [{\"name\": \"急性咽峡炎\", \"sNode\": []}, {\"name\": \"咽炎\", \"sNode\": []}, {\"name\": \"急性咽炎\", \"sNode\": []}]}, {\"name\": \"J03\", \"sNode\": [{\"name\": \"急性腺样体炎\", \"sNode\": []}, {\"name\": \"急性扁桃体炎\", \"sNode\": []}, {\"name\": \"扁桃体炎\", \"sNode\": []}, {\"name\": \"急性化脓性扁桃体炎\", \"sNode\": []}]}, {\"name\": \"J04\", \"sNode\": [{\"name\": \"急性喉炎\", \"sNode\": []}, {\"name\": \"急性气管炎\", \"sNode\": []}, {\"name\": \"喉炎\", \"sNode\": []}]}, {\"name\": \"J05\", \"sNode\": [{\"name\": \"急性会厌炎\", \"sNode\": []}]}, {\"name\": \"J06\", \"sNode\": [{\"name\": \"急性上呼吸道感染\", \"sNode\": []}, {\"name\": \"急性咽喉炎\", \"sNode\": []}]}]}, {\"name\": \"J09-J18 流行性感冒和肺炎\", \"sNode\": [{\"name\": \"J11\", \"sNode\": [{\"name\": \"流行性感冒\", \"sNode\": []}]}, {\"name\": \"J12\", \"sNode\": [{\"name\": \"呼吸道合胞体病毒肺炎\", \"sNode\": []}, {\"name\": \"腺病毒肺炎\", \"sNode\": []}, {\"name\": \"病毒性肺炎\", \"sNode\": []}]}, {\"name\": \"J15\", \"sNode\": [{\"name\": \"大肠杆菌性肺炎\", \"sNode\": []}, {\"name\": \"肠球菌属性肺炎\", \"sNode\": []}, {\"name\": \"葡萄球菌性肺炎\", \"sNode\": []}, {\"name\": \"变形杆菌性肺炎\", \"sNode\": []}]}, {\"name\": \"J16\", \"sNode\": [{\"name\": \"衣原体肺炎\", \"sNode\": []}]}, {\"name\": \"J18\", \"sNode\": [{\"name\": \"大叶性肺炎\", \"sNode\": []}, {\"name\": \"重症肺炎\", \"sNode\": []}, {\"name\": \"支气管肺炎\", \"sNode\": []}, {\"name\": \"坠积性肺炎\", \"sNode\": []}]}]}, {\"name\": \"J20-J22 其他急性下呼吸道感染\", \"sNode\": [{\"name\": \"J20\", \"sNode\": [{\"name\": \"急性支气管炎\", \"sNode\": []}, {\"name\": \"急性气管支气管炎\", \"sNode\": []}, {\"name\": \"慢性支气管炎急性发作\", \"sNode\": []}]}, {\"name\": \"J21\", \"sNode\": [{\"name\": \"急性喘息性支气管炎\", \"sNode\": []}, {\"name\": \"急性细支气管炎\", \"sNode\": []}]}]}, {\"name\": \"J30-J39 上呼吸道的其他疾病\", \"sNode\": [{\"name\": \"J30\", \"sNode\": [{\"name\": \"花粉症\", \"sNode\": []}]}, {\"name\": \"J31\", \"sNode\": [{\"name\": \"慢性鼻咽炎\", \"sNode\": []}, {\"name\": \"鼻炎\", \"sNode\": []}, {\"name\": \"慢性咽炎\", \"sNode\": []}, {\"name\": \"慢性鼻炎\", \"sNode\": []}, {\"name\": \"肥大性咽炎\", \"sNode\": []}, {\"name\": \"萎缩性鼻炎\", \"sNode\": []}]}, {\"name\": \"J32\", \"sNode\": [{\"name\": \"慢性鼻窦炎\", \"sNode\": []}, {\"name\": \"鼻窦炎\", \"sNode\": []}]}, {\"name\": \"J33\", \"sNode\": [{\"name\": \"鼻息肉\", \"sNode\": []}]}, {\"name\": \"J34\", \"sNode\": [{\"name\": \"鼻中隔偏曲\", \"sNode\": []}, {\"name\": \"鼻疖\", \"sNode\": []}, {\"name\": \"鼻痈\", \"sNode\": []}, {\"name\": \"鼻腔肿物\", \"sNode\": []}, {\"name\": \"鼻前庭炎\", \"sNode\": []}]}, {\"name\": \"J35\", \"sNode\": [{\"name\": \"扁桃体肥大\", \"sNode\": []}, {\"name\": \"扁桃体肿物\", \"sNode\": []}, {\"name\": \"慢性扁桃体炎\", \"sNode\": []}, {\"name\": \"腺样体肥大\", \"sNode\": []}]}, {\"name\": \"J36\", \"sNode\": [{\"name\": \"扁桃体周围炎\", \"sNode\": []}]}, {\"name\": \"J37\", \"sNode\": [{\"name\": \"慢性喉炎\", \"sNode\": []}, {\"name\": \"慢性喉咽炎\", \"sNode\": []}]}, {\"name\": \"J38\", \"sNode\": [{\"name\": \"会厌囊肿\", \"sNode\": []}, {\"name\": \"喉息肉\", \"sNode\": []}, {\"name\": \"声带结节\", \"sNode\": []}, {\"name\": \"声带白斑\", \"sNode\": []}, {\"name\": \"喉梗阻\", \"sNode\": []}, {\"name\": \"声带息肉\", \"sNode\": []}, {\"name\": \"声带肿物\", \"sNode\": []}]}, {\"name\": \"J39\", \"sNode\": [{\"name\": \"咽周脓肿\", \"sNode\": []}, {\"name\": \"上呼吸道疾病\", \"sNode\": []}]}]}, {\"name\": \"J40-J47 慢性下呼吸道疾病\", \"sNode\": [{\"name\": \"J40\", \"sNode\": [{\"name\": \"支气管炎\", \"sNode\": []}]}, {\"name\": \"J42\", \"sNode\": [{\"name\": \"慢性支气管炎\", \"sNode\": []}, {\"name\": \"慢性支气管炎急性加重期\", \"sNode\": []}]}, {\"name\": \"J43\", \"sNode\": [{\"name\": \"肺气肿\", \"sNode\": []}]}, {\"name\": \"J44\", \"sNode\": [{\"name\": \"慢性支气管炎伴肺气肿\", \"sNode\": []}, {\"name\": \"慢性阻塞性肺病伴有急性下呼吸道感染\", \"sNode\": []}]}, {\"name\": \"J45\", \"sNode\": [{\"name\": \"过敏性鼻炎伴哮喘\", \"sNode\": []}, {\"name\": \"咳嗽变异性哮喘\", \"sNode\": []}, {\"name\": \"阿司匹林哮喘\", \"sNode\": []}, {\"name\": \"支气管哮喘\", \"sNode\": []}, {\"name\": \"哮喘性支气管炎\", \"sNode\": []}]}, {\"name\": \"J46\", \"sNode\": [{\"name\": \"哮喘持续状态\", \"sNode\": []}]}]}, {\"name\": \"J60-J70 外部物质引起的肺部疾病\", \"sNode\": [{\"name\": \"J64\", \"sNode\": [{\"name\": \"尘肺\", \"sNode\": []}]}, {\"name\": \"J69\", \"sNode\": [{\"name\": \"吸入性肺炎\", \"sNode\": []}]}]}, {\"name\": \"J80-J84 主要影响间质的其他呼吸性疾病\", \"sNode\": [{\"name\": \"J81\", \"sNode\": [{\"name\": \"肺水肿\", \"sNode\": []}, {\"name\": \"急性肺水肿\", \"sNode\": []}]}, {\"name\": \"J84\", \"sNode\": [{\"name\": \"间质性肺病\", \"sNode\": []}]}]}, {\"name\": \"J90-J94 胸膜的其他疾病\", \"sNode\": [{\"name\": \"J93\", \"sNode\": [{\"name\": \"张力性气胸\", \"sNode\": []}, {\"name\": \"气胸\", \"sNode\": []}, {\"name\": \"闭合性气胸\", \"sNode\": []}]}, {\"name\": \"J94\", \"sNode\": [{\"name\": \"血气胸\", \"sNode\": []}, {\"name\": \"胸腔积液\", \"sNode\": []}]}]}, {\"name\": \"J95-J98 呼吸系统的其他疾病\", \"sNode\": [{\"name\": \"J96\", \"sNode\": [{\"name\": \"呼吸衰竭\", \"sNode\": []}]}, {\"name\": \"J98\", \"sNode\": [{\"name\": \"纵隔疝\", \"sNode\": []}, {\"name\": \"肺不张\", \"sNode\": []}, {\"name\": \"肺部感染\", \"sNode\": []}, {\"name\": \"急性纵隔炎\", \"sNode\": []}, {\"name\": \"纵隔肿物\", \"sNode\": []}, {\"name\": \"肺空洞\", \"sNode\": []}, {\"name\": \"膈膨升\", \"sNode\": []}, {\"name\": \"呼吸道感染\", \"sNode\": []}]}]}]}, {\"name\": \"K00-K93 消化系统疾病\", \"sNode\": [{\"name\": \"K00-K14 口腔、涎腺和颌疾病\", \"sNode\": [{\"name\": \"K00\", \"sNode\": [{\"name\": \"牙齿缺少\", \"sNode\": []}]}, {\"name\": \"K01\", \"sNode\": [{\"name\": \"埋伏牙\", \"sNode\": []}]}, {\"name\": \"K03\", \"sNode\": [{\"name\": \"牙隐裂\", \"sNode\": []}]}, {\"name\": \"K04\", \"sNode\": [{\"name\": \"急性根尖周炎\", \"sNode\": []}, {\"name\": \"慢性牙髓炎\", \"sNode\": []}, {\"name\": \"根尖脓肿\", \"sNode\": []}, {\"name\": \"牙髓炎\", \"sNode\": []}, {\"name\": \"急性牙髓炎\", \"sNode\": []}]}, {\"name\": \"K05\", \"sNode\": [{\"name\": \"单纯性牙周炎\", \"sNode\": []}, {\"name\": \"增生性牙龈炎\", \"sNode\": []}, {\"name\": \"慢性牙周炎\", \"sNode\": []}, {\"name\": \"急性牙周炎\", \"sNode\": []}, {\"name\": \"牙周脓肿\", \"sNode\": []}, {\"name\": \"牙周病\", \"sNode\": []}]}, {\"name\": \"K11\", \"sNode\": [{\"name\": \"急性颌下腺炎\", \"sNode\": []}, {\"name\": \"舌下囊肿\", \"sNode\": []}, {\"name\": \"急性腮腺炎\", \"sNode\": []}]}, {\"name\": \"K12\", \"sNode\": [{\"name\": \"口腔炎\", \"sNode\": []}, {\"name\": \"溃疡性口炎\", \"sNode\": []}, {\"name\": \"颊间隙感染\", \"sNode\": []}]}, {\"name\": \"K13\", \"sNode\": [{\"name\": \"唇炎\", \"sNode\": []}, {\"name\": \"口角炎\", \"sNode\": []}]}, {\"name\": \"K14\", \"sNode\": [{\"name\": \"舌炎\", \"sNode\": []}]}]}, {\"name\": \"K20-K31 食管、胃和十二指肠疾病\", \"sNode\": [{\"name\": \"K20\", \"sNode\": [{\"name\": \"食管炎\", \"sNode\": []}]}, {\"name\": \"K21\", \"sNode\": [{\"name\": \"反流性食管炎\", \"sNode\": []}, {\"name\": \"食管反流\", \"sNode\": []}, {\"name\": \"胃-食管反流性疾病伴有食管炎\", \"sNode\": []}, {\"name\": \"喉咽反流\", \"sNode\": []}]}, {\"name\": \"K25\", \"sNode\": [{\"name\": \"胃溃疡\", \"sNode\": []}, {\"name\": \"胃溃疡伴出血\", \"sNode\": []}]}, {\"name\": \"K26\", \"sNode\": [{\"name\": \"十二指肠溃疡\", \"sNode\": []}, {\"name\": \"十二指肠溃疡伴出血\", \"sNode\": []}]}, {\"name\": \"K27\", \"sNode\": [{\"name\": \"消化道穿孔\", \"sNode\": []}, {\"name\": \"复合性溃疡\", \"sNode\": []}, {\"name\": \"消化性溃疡\", \"sNode\": []}, {\"name\": \"应激性溃疡\", \"sNode\": []}]}, {\"name\": \"K29\", \"sNode\": [{\"name\": \"十二指肠炎\", \"sNode\": []}, {\"name\": \"急性胃炎\", \"sNode\": []}, {\"name\": \"慢性萎缩性胃炎\", \"sNode\": []}, {\"name\": \"慢性胃炎\", \"sNode\": []}, {\"name\": \"慢性浅表性胃炎\", \"sNode\": []}, {\"name\": \"糜烂性胃炎\", \"sNode\": []}, {\"name\": \"残胃炎\", \"sNode\": []}, {\"name\": \"十二指肠球炎\", \"sNode\": []}, {\"name\": \"胃炎\", \"sNode\": []}]}, {\"name\": \"K30\", \"sNode\": [{\"name\": \"消化不良\", \"sNode\": []}]}, {\"name\": \"K31\", \"sNode\": [{\"name\": \"胃息肉\", \"sNode\": []}, {\"name\": \"胃穿孔\", \"sNode\": []}, {\"name\": \"胃粘膜病变\", \"sNode\": []}, {\"name\": \"胃肿物\", \"sNode\": []}, {\"name\": \"胃粘膜肠上皮化生\", \"sNode\": []}, {\"name\": \"瘢痕性幽门梗阻\", \"sNode\": []}]}]}, {\"name\": \"K35-K38 阑尾疾病\", \"sNode\": [{\"name\": \"K35\", \"sNode\": [{\"name\": \"阑尾脓肿\", \"sNode\": []}, {\"name\": \"急性阑尾炎\", \"sNode\": []}, {\"name\": \"急性化脓性阑尾炎\", \"sNode\": []}, {\"name\": \"急性阑尾炎伴穿孔\", \"sNode\": []}, {\"name\": \"急性阑尾炎伴腹膜炎\", \"sNode\": []}]}, {\"name\": \"K36\", \"sNode\": [{\"name\": \"慢性阑尾炎\", \"sNode\": []}]}]}, {\"name\": \"K40-K46 疝\", \"sNode\": [{\"name\": \"K40\", \"sNode\": [{\"name\": \"嵌顿性腹股沟斜疝\", \"sNode\": []}]}, {\"name\": \"K43\", \"sNode\": [{\"name\": \"腹壁疝\", \"sNode\": []}]}, {\"name\": \"K44\", \"sNode\": [{\"name\": \"食管裂孔疝\", \"sNode\": []}]}]}, {\"name\": \"K50-K52 非感染性小肠炎和结肠炎\", \"sNode\": [{\"name\": \"K50\", \"sNode\": [{\"name\": \"克罗恩病\", \"sNode\": []}]}, {\"name\": \"K51\", \"sNode\": [{\"name\": \"溃疡性结肠炎\", \"sNode\": []}]}, {\"name\": \"K52\", \"sNode\": [{\"name\": \"假膜性肠炎\", \"sNode\": []}, {\"name\": \"慢性结肠炎\", \"sNode\": []}, {\"name\": \"腹泻\", \"sNode\": []}, {\"name\": \"慢性胃肠炎\", \"sNode\": []}, {\"name\": \"急性胃肠炎\", \"sNode\": []}, {\"name\": \"慢性肠炎\", \"sNode\": []}, {\"name\": \"小儿肠炎\", \"sNode\": []}, {\"name\": \"肠炎\", \"sNode\": []}]}]}, {\"name\": \"K55-K63 肠的其他疾病\", \"sNode\": [{\"name\": \"K55\", \"sNode\": [{\"name\": \"缺血性结肠炎\", \"sNode\": []}, {\"name\": \"肠系膜动脉栓塞\", \"sNode\": []}]}, {\"name\": \"K56\", \"sNode\": [{\"name\": \"结肠扭转\", \"sNode\": []}, {\"name\": \"肠套叠\", \"sNode\": []}, {\"name\": \"肠扭转\", \"sNode\": []}, {\"name\": \"肠梗阻\", \"sNode\": []}, {\"name\": \"结肠梗阻\", \"sNode\": []}, {\"name\": \"腹膜粘连伴肠梗阻\", \"sNode\": []}, {\"name\": \"不完全性肠梗阻\", \"sNode\": []}, {\"name\": \"麻痹性肠梗阻\", \"sNode\": []}]}, {\"name\": \"K58\", \"sNode\": [{\"name\": \"肠易激综合征\", \"sNode\": []}]}, {\"name\": \"K59\", \"sNode\": [{\"name\": \"便秘\", \"sNode\": []}, {\"name\": \"肠道菌群失调\", \"sNode\": []}, {\"name\": \"中毒性巨结肠\", \"sNode\": []}]}, {\"name\": \"K60\", \"sNode\": [{\"name\": \"肛瘘\", \"sNode\": []}, {\"name\": \"肛裂\", \"sNode\": []}]}, {\"name\": \"K61\", \"sNode\": [{\"name\": \"肛周脓肿\", \"sNode\": []}]}, {\"name\": \"K62\", \"sNode\": [{\"name\": \"直肠炎\", \"sNode\": []}, {\"name\": \"肛管炎\", \"sNode\": []}, {\"name\": \"直肠肿物\", \"sNode\": []}, {\"name\": \"肛窦炎\", \"sNode\": []}, {\"name\": \"直肠息肉\", \"sNode\": []}, {\"name\": \"肛乳头肥大\", \"sNode\": []}]}, {\"name\": \"K63\", \"sNode\": [{\"name\": \"结肠息肉\", \"sNode\": []}, {\"name\": \"肠穿孔(非创伤性)\", \"sNode\": []}, {\"name\": \"结肠溃疡\", \"sNode\": []}, {\"name\": \"回肠溃疡\", \"sNode\": []}, {\"name\": \"小肠溃疡\", \"sNode\": []}]}]}, {\"name\": \"K65-K66 腹膜疾病\", \"sNode\": [{\"name\": \"K65\", \"sNode\": [{\"name\": \"急性腹膜炎\", \"sNode\": []}, {\"name\": \"腹腔感染\", \"sNode\": []}]}, {\"name\": \"K66\", \"sNode\": [{\"name\": \"肠粘连\", \"sNode\": []}]}]}, {\"name\": \"K70-K76 肝疾病\", \"sNode\": [{\"name\": \"K70\", \"sNode\": [{\"name\": \"酒精性肝硬变\", \"sNode\": []}, {\"name\": \"酒精性脂肪肝\", \"sNode\": []}, {\"name\": \"酒精性肝病\", \"sNode\": []}]}, {\"name\": \"K71\", \"sNode\": [{\"name\": \"药物性肝炎\", \"sNode\": []}]}, {\"name\": \"K72\", \"sNode\": [{\"name\": \"肝性脑病\", \"sNode\": []}, {\"name\": \"肝功能不全\", \"sNode\": []}, {\"name\": \"急性肝功能衰竭\", \"sNode\": []}]}, {\"name\": \"K73\", \"sNode\": [{\"name\": \"慢性肝炎\", \"sNode\": []}]}, {\"name\": \"K74\", \"sNode\": [{\"name\": \"肝纤维化\", \"sNode\": []}, {\"name\": \"肝硬化\", \"sNode\": []}, {\"name\": \"肝炎后肝硬化\", \"sNode\": []}, {\"name\": \"肝硬化失代偿期\", \"sNode\": []}, {\"name\": \"乙型肝炎后肝硬化失代偿期\", \"sNode\": []}]}, {\"name\": \"K75\", \"sNode\": [{\"name\": \"肝脓肿\", \"sNode\": []}, {\"name\": \"肝炎\", \"sNode\": []}, {\"name\": \"细菌性肝脓肿\", \"sNode\": []}]}, {\"name\": \"K76\", \"sNode\": [{\"name\": \"肝囊肿\", \"sNode\": []}, {\"name\": \"肝肾综合征\", \"sNode\": []}, {\"name\": \"肝血管瘤病\", \"sNode\": []}, {\"name\": \"脂肪肝\", \"sNode\": []}, {\"name\": \"肝病\", \"sNode\": []}, {\"name\": \"肝肿物\", \"sNode\": []}, {\"name\": \"慢性肝病\", \"sNode\": []}]}]}, {\"name\": \"K80-K86 胆囊、胆道和胰腺疾患\", \"sNode\": [{\"name\": \"K80\", \"sNode\": [{\"name\": \"胆总管结石\", \"sNode\": []}, {\"name\": \"胆管结石\", \"sNode\": []}, {\"name\": \"胆囊结石\", \"sNode\": []}, {\"name\": \"肝内胆管结石\", \"sNode\": []}, {\"name\": \"肝胆管结石\", \"sNode\": []}, {\"name\": \"胆囊结石伴慢性胆囊炎\", \"sNode\": []}, {\"name\": \"胆囊结石伴胆囊炎\", \"sNode\": []}]}, {\"name\": \"K81\", \"sNode\": [{\"name\": \"胆囊炎\", \"sNode\": []}, {\"name\": \"慢性胆囊炎\", \"sNode\": []}, {\"name\": \"急性胆囊炎\", \"sNode\": []}]}, {\"name\": \"K82\", \"sNode\": [{\"name\": \"胆囊息肉\", \"sNode\": []}, {\"name\": \"胆囊腺肌症\", \"sNode\": []}]}, {\"name\": \"K83\", \"sNode\": [{\"name\": \"急性化脓性梗阻性胆管炎\", \"sNode\": []}, {\"name\": \"胆管炎\", \"sNode\": []}, {\"name\": \"急性胆管炎\", \"sNode\": []}, {\"name\": \"胆汁淤积症\", \"sNode\": []}]}, {\"name\": \"K85\", \"sNode\": [{\"name\": \"急性胆源型胰腺炎，轻症\", \"sNode\": []}, {\"name\": \"急性胰腺炎\", \"sNode\": []}]}, {\"name\": \"K86\", \"sNode\": [{\"name\": \"慢性胰腺炎\", \"sNode\": []}, {\"name\": \"胰腺肿物\", \"sNode\": []}, {\"name\": \"胰腺囊肿\", \"sNode\": []}]}]}, {\"name\": \"K90-K92 消化系统的其他疾病\", \"sNode\": [{\"name\": \"K91\", \"sNode\": [{\"name\": \"短肠综合征\", \"sNode\": []}, {\"name\": \"倾倒综合征\", \"sNode\": []}]}, {\"name\": \"K92\", \"sNode\": [{\"name\": \"上消化道出血\", \"sNode\": []}, {\"name\": \"胃肠功能紊乱\", \"sNode\": []}, {\"name\": \"下消化道出血\", \"sNode\": []}, {\"name\": \"便血\", \"sNode\": []}, {\"name\": \"消化道出血\", \"sNode\": []}]}]}]}, {\"name\": \"L00-L99 皮肤和皮下组织疾病\", \"sNode\": [{\"name\": \"L00-L08 皮肤和皮下组织的感染\", \"sNode\": [{\"name\": \"L02\", \"sNode\": [{\"name\": \"皮肤疖\", \"sNode\": []}, {\"name\": \"皮肤脓肿\", \"sNode\": []}]}, {\"name\": \"L03\", \"sNode\": [{\"name\": \"甲沟炎\", \"sNode\": []}, {\"name\": \"甲周炎\", \"sNode\": []}, {\"name\": \"蜂窝织炎\", \"sNode\": []}, {\"name\": \"急性淋巴管炎\", \"sNode\": []}]}, {\"name\": \"L04\", \"sNode\": [{\"name\": \"急性淋巴结炎\", \"sNode\": []}]}, {\"name\": \"L08\", \"sNode\": [{\"name\": \"腹壁软组织感染\", \"sNode\": []}, {\"name\": \"下肢皮肤感染\", \"sNode\": []}, {\"name\": \"皮肤感染\", \"sNode\": []}, {\"name\": \"足皮肤感染\", \"sNode\": []}, {\"name\": \"瘢痕感染\", \"sNode\": []}]}]}, {\"name\": \"L20-L30 皮炎和湿疹\", \"sNode\": [{\"name\": \"L20\", \"sNode\": [{\"name\": \"婴儿湿疹\", \"sNode\": []}]}, {\"name\": \"L21\", \"sNode\": [{\"name\": \"脂溢性皮炎\", \"sNode\": []}]}, {\"name\": \"L23\", \"sNode\": [{\"name\": \"过敏性皮炎\", \"sNode\": []}]}, {\"name\": \"L24\", \"sNode\": [{\"name\": \"松毛虫皮炎\", \"sNode\": []}]}, {\"name\": \"L25\", \"sNode\": [{\"name\": \"接触性皮炎\", \"sNode\": []}]}, {\"name\": \"L26\", \"sNode\": [{\"name\": \"剥脱性皮炎\", \"sNode\": []}]}, {\"name\": \"L27\", \"sNode\": [{\"name\": \"药物性皮炎\", \"sNode\": []}]}, {\"name\": \"L28\", \"sNode\": [{\"name\": \"丘疹性荨麻疹\", \"sNode\": []}]}, {\"name\": \"L29\", \"sNode\": [{\"name\": \"老年瘙痒症\", \"sNode\": []}, {\"name\": \"瘙痒症\", \"sNode\": []}]}, {\"name\": \"L30\", \"sNode\": [{\"name\": \"湿疹\", \"sNode\": []}, {\"name\": \"汗疱疹\", \"sNode\": []}, {\"name\": \"阴囊湿疹\", \"sNode\": []}, {\"name\": \"湿疹样疹\", \"sNode\": []}, {\"name\": \"皮炎\", \"sNode\": []}, {\"name\": \"白色糠疹\", \"sNode\": []}]}]}, {\"name\": \"L40-L44 丘疹鳞屑性疾患\", \"sNode\": [{\"name\": \"L40\", \"sNode\": [{\"name\": \"银屑病\", \"sNode\": []}]}, {\"name\": \"L42\", \"sNode\": [{\"name\": \"玫瑰糠疹\", \"sNode\": []}]}]}, {\"name\": \"L50-L53 荨麻疹和红斑\", \"sNode\": [{\"name\": \"L50\", \"sNode\": [{\"name\": \"急性荨麻疹\", \"sNode\": []}, {\"name\": \"慢性荨麻疹\", \"sNode\": []}, {\"name\": \"荨麻疹\", \"sNode\": []}]}, {\"name\": \"L52\", \"sNode\": [{\"name\": \"结节性红斑\", \"sNode\": []}]}]}, {\"name\": \"L55-L59 与辐射有关的皮肤和皮下组织疾患\", \"sNode\": [{\"name\": \"L57\", \"sNode\": [{\"name\": \"日光性皮炎\", \"sNode\": []}]}]}, {\"name\": \"L60-L75 皮肤附件的疾患\", \"sNode\": [{\"name\": \"L63\", \"sNode\": [{\"name\": \"斑秃\", \"sNode\": []}, {\"name\": \"普秃\", \"sNode\": []}]}, {\"name\": \"L64\", \"sNode\": [{\"name\": \"雄激素性脱发\", \"sNode\": []}]}, {\"name\": \"L65\", \"sNode\": [{\"name\": \"脂溢性脱发\", \"sNode\": []}, {\"name\": \"脱发\", \"sNode\": []}]}, {\"name\": \"L68\", \"sNode\": [{\"name\": \"多毛症\", \"sNode\": []}]}, {\"name\": \"L70\", \"sNode\": [{\"name\": \"痤疮\", \"sNode\": []}, {\"name\": \"寻常痤疮\", \"sNode\": []}]}, {\"name\": \"L72\", \"sNode\": [{\"name\": \"皮脂腺囊肿\", \"sNode\": []}]}, {\"name\": \"L73\", \"sNode\": [{\"name\": \"细菌性毛囊炎\", \"sNode\": []}, {\"name\": \"毛囊炎\", \"sNode\": []}]}]}, {\"name\": \"L80-L98 皮肤和皮下组织的其他疾患\", \"sNode\": [{\"name\": \"L80\", \"sNode\": [{\"name\": \"白癜风\", \"sNode\": []}]}, {\"name\": \"L81\", \"sNode\": [{\"name\": \"黄褐斑\", \"sNode\": []}, {\"name\": \"雀斑\", \"sNode\": []}]}, {\"name\": \"L82\", \"sNode\": [{\"name\": \"脂溢性角化病\", \"sNode\": []}]}, {\"name\": \"L90\", \"sNode\": [{\"name\": \"面部萎缩\", \"sNode\": []}]}, {\"name\": \"L91\", \"sNode\": [{\"name\": \"瘢痕疙瘩\", \"sNode\": []}, {\"name\": \"皮肤赘生物\", \"sNode\": []}]}, {\"name\": \"L95\", \"sNode\": [{\"name\": \"荨麻疹性血管炎\", \"sNode\": []}]}, {\"name\": \"L98\", \"sNode\": [{\"name\": \"皮肤溃疡\", \"sNode\": []}]}]}]}, {\"name\": \"M00-M99 肌肉骨骼系统和结缔组织疾病\", \"sNode\": [{\"name\": \"M00-M25 关节病\", \"sNode\": [{\"name\": \"M00\", \"sNode\": [{\"name\": \"化脓性关节炎\", \"sNode\": []}]}, {\"name\": \"M06\", \"sNode\": [{\"name\": \"类风湿性关节炎\", \"sNode\": []}]}, {\"name\": \"M10\", \"sNode\": [{\"name\": \"尿酸性肾病\", \"sNode\": []}, {\"name\": \"特发性痛风\", \"sNode\": []}, {\"name\": \"痛风性关节炎\", \"sNode\": []}, {\"name\": \"痛风\", \"sNode\": []}]}, {\"name\": \"M13\", \"sNode\": [{\"name\": \"关节炎\", \"sNode\": []}, {\"name\": \"多关节炎\", \"sNode\": []}, {\"name\": \"反应性关节炎\", \"sNode\": []}]}, {\"name\": \"M15\", \"sNode\": [{\"name\": \"多关节病\", \"sNode\": []}]}, {\"name\": \"M16\", \"sNode\": [{\"name\": \"髋关节病\", \"sNode\": []}]}, {\"name\": \"M17\", \"sNode\": [{\"name\": \"膝关节退行性病变\", \"sNode\": []}, {\"name\": \"单侧膝关节骨性关节病\", \"sNode\": []}, {\"name\": \"双侧膝关节骨性关节病\", \"sNode\": []}, {\"name\": \"膝关节病\", \"sNode\": []}]}, {\"name\": \"M19\", \"sNode\": [{\"name\": \"关节病\", \"sNode\": []}, {\"name\": \"骨关节病\", \"sNode\": []}]}, {\"name\": \"M22\", \"sNode\": [{\"name\": \"髌骨软骨软化\", \"sNode\": []}, {\"name\": \"髌股关节病\", \"sNode\": []}]}, {\"name\": \"M23\", \"sNode\": [{\"name\": \"半月板损伤\", \"sNode\": []}]}, {\"name\": \"M24\", \"sNode\": [{\"name\": \"腰椎小关节紊乱\", \"sNode\": []}]}, {\"name\": \"M25\", \"sNode\": [{\"name\": \"踝关节痛\", \"sNode\": []}, {\"name\": \"髋关节痛\", \"sNode\": []}, {\"name\": \"髋关节积液\", \"sNode\": []}, {\"name\": \"膝关节痛\", \"sNode\": []}, {\"name\": \"关节痛\", \"sNode\": []}, {\"name\": \"肩关节痛\", \"sNode\": []}, {\"name\": \"腕关节痛\", \"sNode\": []}]}]}, {\"name\": \"M30-M35 系统性结缔组织疾患\", \"sNode\": [{\"name\": \"M31\", \"sNode\": [{\"name\": \"ANCA相关性血管炎\", \"sNode\": []}]}, {\"name\": \"M32\", \"sNode\": [{\"name\": \"狼疮性肾炎\", \"sNode\": []}, {\"name\": \"系统性红斑狼疮\", \"sNode\": []}]}, {\"name\": \"M33\", \"sNode\": [{\"name\": \"皮肌炎\", \"sNode\": []}]}, {\"name\": \"M34\", \"sNode\": [{\"name\": \"系统性硬化症\", \"sNode\": []}]}, {\"name\": \"M35\", \"sNode\": [{\"name\": \"继发性干燥综合征\", \"sNode\": []}, {\"name\": \"风湿性多肌痛\", \"sNode\": []}, {\"name\": \"自身免疫病\", \"sNode\": []}, {\"name\": \"结缔组织病\", \"sNode\": []}]}]}, {\"name\": \"M40-M54 背部病\", \"sNode\": [{\"name\": \"M41\", \"sNode\": [{\"name\": \"脊柱侧弯\", \"sNode\": []}]}, {\"name\": \"M43\", \"sNode\": [{\"name\": \"腰椎滑脱\", \"sNode\": []}]}, {\"name\": \"M45\", \"sNode\": [{\"name\": \"强直性脊柱炎\", \"sNode\": []}]}, {\"name\": \"M47\", \"sNode\": [{\"name\": \"脊髓型颈椎病\", \"sNode\": []}, {\"name\": \"神经根型颈椎病\", \"sNode\": []}, {\"name\": \"颈椎病\", \"sNode\": []}]}, {\"name\": \"M48\", \"sNode\": [{\"name\": \"椎管狭窄\", \"sNode\": []}, {\"name\": \"腰椎椎管狭窄\", \"sNode\": []}, {\"name\": \"腰椎骨质增生\", \"sNode\": []}, {\"name\": \"腰椎退行性病变\", \"sNode\": []}, {\"name\": \"颈椎椎管狭窄\", \"sNode\": []}, {\"name\": \"脊椎病\", \"sNode\": []}, {\"name\": \"颈椎退行性病变\", \"sNode\": []}]}, {\"name\": \"M50\", \"sNode\": [{\"name\": \"颈椎间盘突出\", \"sNode\": []}, {\"name\": \"颈椎间盘疾患\", \"sNode\": []}]}, {\"name\": \"M51\", \"sNode\": [{\"name\": \"腰椎间盘突出\", \"sNode\": []}, {\"name\": \"椎间盘突出\", \"sNode\": []}, {\"name\": \"椎间盘疾患\", \"sNode\": []}, {\"name\": \"椎间盘疾患性腰痛伴坐骨神经痛\", \"sNode\": []}, {\"name\": \"椎间盘脱出伴脊髓病\", \"sNode\": []}]}, {\"name\": \"M53\", \"sNode\": [{\"name\": \"颈椎不稳定\", \"sNode\": []}, {\"name\": \"腰椎不稳定\", \"sNode\": []}, {\"name\": \"骶尾部痛\", \"sNode\": []}, {\"name\": \"颈肩综合征\", \"sNode\": []}]}, {\"name\": \"M54\", \"sNode\": [{\"name\": \"腰肌劳损\", \"sNode\": []}, {\"name\": \"坐骨神经痛\", \"sNode\": []}, {\"name\": \"背痛\", \"sNode\": []}, {\"name\": \"臂丛神经炎\", \"sNode\": []}, {\"name\": \"腰背肌筋膜炎\", \"sNode\": []}, {\"name\": \"腰痛\", \"sNode\": []}, {\"name\": \"颈痛\", \"sNode\": []}, {\"name\": \"腰背痛\", \"sNode\": []}]}]}, {\"name\": \"M60-M62 肌肉疾患\", \"sNode\": [{\"name\": \"M60\", \"sNode\": [{\"name\": \"腰大肌脓肿\", \"sNode\": []}, {\"name\": \"肌筋膜炎\", \"sNode\": []}]}, {\"name\": \"M62\", \"sNode\": [{\"name\": \"横纹肌溶解症\", \"sNode\": []}, {\"name\": \"肌肉劳损\", \"sNode\": []}]}]}, {\"name\": \"M65-M67 滑膜和肌腱疾患\", \"sNode\": [{\"name\": \"M65\", \"sNode\": [{\"name\": \"腱鞘炎\", \"sNode\": []}, {\"name\": \"滑膜炎\", \"sNode\": []}, {\"name\": \"膝关节滑膜炎\", \"sNode\": []}]}, {\"name\": \"M67\", \"sNode\": [{\"name\": \"腱鞘囊肿\", \"sNode\": []}]}]}, {\"name\": \"M70-M79 其他软组织疾患\", \"sNode\": [{\"name\": \"M71\", \"sNode\": [{\"name\": \"滑囊炎\", \"sNode\": []}, {\"name\": \"腘窝囊肿\", \"sNode\": []}]}, {\"name\": \"M72\", \"sNode\": [{\"name\": \"坏死性筋膜炎\", \"sNode\": []}, {\"name\": \"筋膜炎\", \"sNode\": []}, {\"name\": \"足筋膜炎\", \"sNode\": []}]}, {\"name\": \"M75\", \"sNode\": [{\"name\": \"肩周炎\", \"sNode\": []}, {\"name\": \"肩滑囊炎\", \"sNode\": []}]}, {\"name\": \"M76\", \"sNode\": [{\"name\": \"跟腱炎\", \"sNode\": []}]}, {\"name\": \"M77\", \"sNode\": [{\"name\": \"腕关节周围炎\", \"sNode\": []}, {\"name\": \"骨刺\", \"sNode\": []}, {\"name\": \"肌腱炎\", \"sNode\": []}, {\"name\": \"肱骨外上髁炎\", \"sNode\": []}]}, {\"name\": \"M79\", \"sNode\": [{\"name\": \"神经炎\", \"sNode\": []}, {\"name\": \"足痛\", \"sNode\": []}, {\"name\": \"足软组织疾患\", \"sNode\": []}, {\"name\": \"肩痛\", \"sNode\": []}, {\"name\": \"下肢疼痛\", \"sNode\": []}, {\"name\": \"下肢肿胀\", \"sNode\": []}, {\"name\": \"手软组织疾患\", \"sNode\": []}, {\"name\": \"神经痛\", \"sNode\": []}, {\"name\": \"肢体疼痛\", \"sNode\": []}]}]}, {\"name\": \"M80-M85 骨密度和结构的疾患\", \"sNode\": [{\"name\": \"M80\", \"sNode\": [{\"name\": \"绝经后骨质疏松伴有病理性骨折\", \"sNode\": []}, {\"name\": \"老年性骨质疏松伴病理性骨折\", \"sNode\": []}]}, {\"name\": \"M81\", \"sNode\": [{\"name\": \"老年性骨质疏松\", \"sNode\": []}, {\"name\": \"绝经后骨质疏松\", \"sNode\": []}, {\"name\": \"药物性骨质疏松\", \"sNode\": []}]}, {\"name\": \"M85\", \"sNode\": [{\"name\": \"氟骨症\", \"sNode\": []}]}]}, {\"name\": \"M86-M89 其他骨病\", \"sNode\": [{\"name\": \"M86\", \"sNode\": [{\"name\": \"骨膜炎\", \"sNode\": []}, {\"name\": \"骨髓炎\", \"sNode\": []}]}, {\"name\": \"M87\", \"sNode\": [{\"name\": \"创伤后股骨头坏死\", \"sNode\": []}, {\"name\": \"骨坏死\", \"sNode\": []}, {\"name\": \"股骨头无菌性坏死\", \"sNode\": []}]}, {\"name\": \"M89\", \"sNode\": [{\"name\": \"骨痛\", \"sNode\": []}]}]}, {\"name\": \"M91-M94 软骨病\", \"sNode\": [{\"name\": \"M93\", \"sNode\": [{\"name\": \"骨骺炎\", \"sNode\": []}]}, {\"name\": \"M94\", \"sNode\": [{\"name\": \"肋骨软骨炎\", \"sNode\": []}]}]}]}, {\"name\": \"N00-N99 泌尿生殖系统疾病\", \"sNode\": [{\"name\": \"N00-N07 肾小球疾病\", \"sNode\": [{\"name\": \"N00\", \"sNode\": [{\"name\": \"急性肾炎综合征\", \"sNode\": []}, {\"name\": \"急性肾小球肾炎\", \"sNode\": []}]}, {\"name\": \"N01\", \"sNode\": [{\"name\": \"急进性肾炎\", \"sNode\": []}]}, {\"name\": \"N02\", \"sNode\": [{\"name\": \"IgA肾病\", \"sNode\": []}]}, {\"name\": \"N03\", \"sNode\": [{\"name\": \"慢性肾炎\", \"sNode\": []}, {\"name\": \"慢性肾病\", \"sNode\": []}]}, {\"name\": \"N04\", \"sNode\": [{\"name\": \"肾病综合征\", \"sNode\": []}]}, {\"name\": \"N05\", \"sNode\": [{\"name\": \"膜性肾病\", \"sNode\": []}]}]}, {\"name\": \"N10-N15 肾小管-间质疾病\", \"sNode\": [{\"name\": \"N10\", \"sNode\": [{\"name\": \"急性间质性肾炎\", \"sNode\": []}, {\"name\": \"急性肾盂肾炎\", \"sNode\": []}]}, {\"name\": \"N11\", \"sNode\": [{\"name\": \"慢性肾盂肾炎\", \"sNode\": []}, {\"name\": \"慢性间质性肾炎\", \"sNode\": []}]}, {\"name\": \"N12\", \"sNode\": [{\"name\": \"间质性肾炎\", \"sNode\": []}]}]}, {\"name\": \"N17-N19 肾衰竭\", \"sNode\": [{\"name\": \"N17\", \"sNode\": [{\"name\": \"急性肾衰竭\", \"sNode\": []}, {\"name\": \"急性肾小管坏死\", \"sNode\": []}]}, {\"name\": \"N18\", \"sNode\": [{\"name\": \"慢性肾衰竭\", \"sNode\": []}, {\"name\": \"慢性肾功能不全\", \"sNode\": []}]}, {\"name\": \"N19\", \"sNode\": [{\"name\": \"尿毒症\", \"sNode\": []}]}]}, {\"name\": \"N20-N23 尿石病\", \"sNode\": [{\"name\": \"N20\", \"sNode\": [{\"name\": \"输尿管结石\", \"sNode\": []}, {\"name\": \"泌尿系结石\", \"sNode\": []}, {\"name\": \"肾结石\", \"sNode\": []}]}, {\"name\": \"N21\", \"sNode\": [{\"name\": \"膀胱结石\", \"sNode\": []}, {\"name\": \"尿道结石\", \"sNode\": []}]}, {\"name\": \"N23\", \"sNode\": [{\"name\": \"肾绞痛\", \"sNode\": []}]}]}, {\"name\": \"N25-N28 肾和输尿管的其他疾患\", \"sNode\": [{\"name\": \"N28\", \"sNode\": [{\"name\": \"肾病\", \"sNode\": []}, {\"name\": \"肾动脉栓塞\", \"sNode\": []}, {\"name\": \"肾肿物\", \"sNode\": []}, {\"name\": \"单纯性肾囊肿\", \"sNode\": []}]}]}, {\"name\": \"N30-N39 泌尿系统的其他疾病\", \"sNode\": [{\"name\": \"N30\", \"sNode\": [{\"name\": \"急性膀胱炎\", \"sNode\": []}, {\"name\": \"膀胱炎\", \"sNode\": []}]}, {\"name\": \"N31\", \"sNode\": [{\"name\": \"神经源性膀胱\", \"sNode\": []}]}, {\"name\": \"N32\", \"sNode\": [{\"name\": \"膀胱肿物\", \"sNode\": []}]}, {\"name\": \"N34\", \"sNode\": [{\"name\": \"尿道综合征\", \"sNode\": []}, {\"name\": \"急性尿道炎\", \"sNode\": []}, {\"name\": \"非淋球菌性尿道炎\", \"sNode\": []}, {\"name\": \"尿道炎\", \"sNode\": []}]}, {\"name\": \"N39\", \"sNode\": [{\"name\": \"泌尿道感染\", \"sNode\": []}, {\"name\": \"压力性尿失禁\", \"sNode\": []}]}]}, {\"name\": \"N40-N50 男性生殖器官疾病\", \"sNode\": [{\"name\": \"N40\", \"sNode\": [{\"name\": \"前列腺增生\", \"sNode\": []}]}, {\"name\": \"N41\", \"sNode\": [{\"name\": \"慢性前列腺炎\", \"sNode\": []}, {\"name\": \"急性细菌性前列腺炎\", \"sNode\": []}, {\"name\": \"急性前列腺炎\", \"sNode\": []}, {\"name\": \"前列腺炎性疾病\", \"sNode\": []}]}, {\"name\": \"N42\", \"sNode\": [{\"name\": \"前列腺囊肿\", \"sNode\": []}, {\"name\": \"前列腺上皮内瘤变\", \"sNode\": []}, {\"name\": \"前列腺结石\", \"sNode\": []}]}, {\"name\": \"N43\", \"sNode\": [{\"name\": \"睾丸鞘膜积液\", \"sNode\": []}]}, {\"name\": \"N44\", \"sNode\": [{\"name\": \"睾丸扭转\", \"sNode\": []}]}, {\"name\": \"N45\", \"sNode\": [{\"name\": \"附睾炎\", \"sNode\": []}, {\"name\": \"睾丸炎\", \"sNode\": []}, {\"name\": \"急性附睾炎\", \"sNode\": []}]}, {\"name\": \"N46\", \"sNode\": [{\"name\": \"畸形精子症\", \"sNode\": []}, {\"name\": \"少精症\", \"sNode\": []}, {\"name\": \"无精症\", \"sNode\": []}]}, {\"name\": \"N47\", \"sNode\": [{\"name\": \"包皮过长\", \"sNode\": []}, {\"name\": \"包皮嵌顿\", \"sNode\": []}]}, {\"name\": \"N48\", \"sNode\": [{\"name\": \"龟头炎\", \"sNode\": []}, {\"name\": \"龟头包皮炎\", \"sNode\": []}]}, {\"name\": \"N49\", \"sNode\": [{\"name\": \"精囊炎\", \"sNode\": []}, {\"name\": \"输精管炎\", \"sNode\": []}, {\"name\": \"精索炎\", \"sNode\": []}]}]}, {\"name\": \"N60-N64 乳房疾患\", \"sNode\": [{\"name\": \"N60\", \"sNode\": [{\"name\": \"乳腺腺病\", \"sNode\": []}, {\"name\": \"乳腺囊性增生病\", \"sNode\": []}]}, {\"name\": \"N61\", \"sNode\": [{\"name\": \"急性乳腺炎\", \"sNode\": []}, {\"name\": \"乳腺炎\", \"sNode\": []}]}, {\"name\": \"N63\", \"sNode\": [{\"name\": \"乳房结节\", \"sNode\": []}]}, {\"name\": \"N64\", \"sNode\": [{\"name\": \"乳房肿物\", \"sNode\": []}, {\"name\": \"乳痛症\", \"sNode\": []}, {\"name\": \"乳房疾患\", \"sNode\": []}]}]}, {\"name\": \"N70-N76 女性盆腔器官炎性疾病\", \"sNode\": [{\"name\": \"N70\", \"sNode\": [{\"name\": \"输卵管炎\", \"sNode\": []}, {\"name\": \"输卵管积水\", \"sNode\": []}]}, {\"name\": \"N71\", \"sNode\": [{\"name\": \"慢性子宫内膜炎\", \"sNode\": []}, {\"name\": \"急性子宫内膜炎\", \"sNode\": []}, {\"name\": \"子宫内膜炎\", \"sNode\": []}]}, {\"name\": \"N73\", \"sNode\": [{\"name\": \"慢性女性盆腔炎\", \"sNode\": []}, {\"name\": \"女性盆腔炎\", \"sNode\": []}]}, {\"name\": \"N75\", \"sNode\": [{\"name\": \"前庭大腺炎\", \"sNode\": []}]}, {\"name\": \"N76\", \"sNode\": [{\"name\": \"慢性阴道炎\", \"sNode\": []}, {\"name\": \"外阴疖\", \"sNode\": []}, {\"name\": \"阴道炎\", \"sNode\": []}, {\"name\": \"细菌性阴道炎\", \"sNode\": []}, {\"name\": \"急性阴道炎\", \"sNode\": []}, {\"name\": \"慢性外阴炎\", \"sNode\": []}, {\"name\": \"急性外阴炎\", \"sNode\": []}]}]}, {\"name\": \"N80-N98 女性生殖道非炎性疾患\", \"sNode\": [{\"name\": \"N80\", \"sNode\": [{\"name\": \"卵巢子宫内膜异位囊肿\", \"sNode\": []}, {\"name\": \"子宫内膜异位症\", \"sNode\": []}]}, {\"name\": \"N83\", \"sNode\": [{\"name\": \"卵巢蒂扭转\", \"sNode\": []}, {\"name\": \"卵巢囊肿\", \"sNode\": []}, {\"name\": \"卵巢滤泡囊肿\", \"sNode\": []}]}, {\"name\": \"N84\", \"sNode\": [{\"name\": \"子宫内膜息肉\", \"sNode\": []}, {\"name\": \"宫颈息肉\", \"sNode\": []}]}, {\"name\": \"N85\", \"sNode\": [{\"name\": \"子宫破裂\", \"sNode\": []}, {\"name\": \"瘢痕子宫\", \"sNode\": []}, {\"name\": \"子宫内粘连\", \"sNode\": []}]}, {\"name\": \"N87\", \"sNode\": [{\"name\": \"宫颈上皮内肿瘤\", \"sNode\": []}]}, {\"name\": \"N91\", \"sNode\": [{\"name\": \"闭经\", \"sNode\": []}]}, {\"name\": \"N93\", \"sNode\": [{\"name\": \"功能障碍性子宫出血\", \"sNode\": []}, {\"name\": \"阴道出血\", \"sNode\": []}]}, {\"name\": \"N94\", \"sNode\": [{\"name\": \"痛经\", \"sNode\": []}]}, {\"name\": \"N95\", \"sNode\": [{\"name\": \"围绝经期综合征\", \"sNode\": []}, {\"name\": \"老年性阴道炎\", \"sNode\": []}, {\"name\": \"女性更年期综合征\", \"sNode\": []}]}, {\"name\": \"N96\", \"sNode\": [{\"name\": \"习惯性流产\", \"sNode\": []}]}, {\"name\": \"N97\", \"sNode\": [{\"name\": \"女性原发性不育\", \"sNode\": []}, {\"name\": \"继发不孕\", \"sNode\": []}, {\"name\": \"原发不孕\", \"sNode\": []}]}, {\"name\": \"N98\", \"sNode\": [{\"name\": \"卵巢过度刺激综合征\", \"sNode\": []}]}]}]}, {\"name\": \"O00-O99 妊娠、分娩和产褥期\", \"sNode\": [{\"name\": \"O00-O08 流产结局的妊娠\", \"sNode\": [{\"name\": \"O00\", \"sNode\": [{\"name\": \"异位妊娠\", \"sNode\": []}, {\"name\": \"输卵管妊娠\", \"sNode\": []}]}, {\"name\": \"O01\", \"sNode\": [{\"name\": \"葡萄胎\", \"sNode\": []}]}, {\"name\": \"O03\", \"sNode\": [{\"name\": \"难免性流产\", \"sNode\": []}, {\"name\": \"自然流产\", \"sNode\": []}]}]}, {\"name\": \"O20-O29 主要与妊娠有关的其他孕产妇疾患\", \"sNode\": [{\"name\": \"O20\", \"sNode\": [{\"name\": \"先兆流产\", \"sNode\": []}]}, {\"name\": \"O21\", \"sNode\": [{\"name\": \"轻度妊娠剧吐\", \"sNode\": []}, {\"name\": \"妊娠呕吐\", \"sNode\": []}]}, {\"name\": \"O24\", \"sNode\": [{\"name\": \"妊娠期糖尿病\", \"sNode\": []}]}]}, {\"name\": \"O30-O48 与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗\", \"sNode\": [{\"name\": \"O30\", \"sNode\": [{\"name\": \"双胎妊娠\", \"sNode\": []}]}, {\"name\": \"O40\", \"sNode\": [{\"name\": \"羊水过多\", \"sNode\": []}]}, {\"name\": \"O41\", \"sNode\": [{\"name\": \"羊水过少\", \"sNode\": []}]}, {\"name\": \"O42\", \"sNode\": [{\"name\": \"胎膜早破\", \"sNode\": []}]}, {\"name\": \"O47\", \"sNode\": [{\"name\": \"先兆临产\", \"sNode\": []}]}]}, {\"name\": \"O60-O75 产程和分娩的并发症\", \"sNode\": [{\"name\": \"O62\", \"sNode\": [{\"name\": \"宫缩乏力\", \"sNode\": []}]}]}, {\"name\": \"O85-O92 主要与产褥期有关的并发症\", \"sNode\": [{\"name\": \"O86\", \"sNode\": [{\"name\": \"产褥期发热\", \"sNode\": []}, {\"name\": \"产褥期感染\", \"sNode\": []}]}, {\"name\": \"O88\", \"sNode\": [{\"name\": \"羊水栓塞\", \"sNode\": []}]}]}, {\"name\": \"O94-O99 其他产科情况,不可归类在他处者\", \"sNode\": [{\"name\": \"O99\", \"sNode\": [{\"name\": \"妊娠合并甲状腺功能减退\", \"sNode\": []}, {\"name\": \"妊娠合并甲状腺功能障碍\", \"sNode\": []}]}]}]}, {\"name\": \"P00-P96 起源于围生期的某些情况\", \"sNode\": [{\"name\": \"P20-P29 特发于围生期的呼吸和心血管疾患\", \"sNode\": [{\"name\": \"P22\", \"sNode\": [{\"name\": \"新生儿呼吸窘迫综合征\", \"sNode\": []}]}]}, {\"name\": \"P35-P39 特发于围生期的感染\", \"sNode\": [{\"name\": \"P37\", \"sNode\": [{\"name\": \"新生儿鹅口疮\", \"sNode\": []}]}]}, {\"name\": \"P50-P61 胎儿和新生儿出血性和血液学疾患\", \"sNode\": [{\"name\": \"P59\", \"sNode\": [{\"name\": \"新生儿黄疸\", \"sNode\": []}, {\"name\": \"新生儿高胆红素血症\", \"sNode\": []}]}]}]}, {\"name\": \"Q00-Q99 先天性畸形、变形和染色体异常\", \"sNode\": [{\"name\": \"Q00-Q07 神经系统先天性畸形\", \"sNode\": [{\"name\": \"Q05\", \"sNode\": [{\"name\": \"脊柱裂\", \"sNode\": []}]}]}, {\"name\": \"Q20-Q28 循环系统先天性畸形\", \"sNode\": [{\"name\": \"Q21\", \"sNode\": [{\"name\": \"房间隔缺损\", \"sNode\": []}, {\"name\": \"室间隔缺损\", \"sNode\": []}]}, {\"name\": \"Q24\", \"sNode\": [{\"name\": \"冠状动脉肌桥\", \"sNode\": []}]}, {\"name\": \"Q25\", \"sNode\": [{\"name\": \"动脉导管未闭\", \"sNode\": []}]}]}, {\"name\": \"Q30-Q34 呼吸系统先天性畸形\", \"sNode\": [{\"name\": \"Q31\", \"sNode\": [{\"name\": \"先天性喉闭锁\", \"sNode\": []}]}]}, {\"name\": \"Q60-Q64 泌尿系统先天性畸形\", \"sNode\": [{\"name\": \"Q61\", \"sNode\": [{\"name\": \"多囊肾\", \"sNode\": []}]}]}, {\"name\": \"Q65-Q79 肌肉骨骼系统先天性畸形和变形\", \"sNode\": [{\"name\": \"Q78\", \"sNode\": [{\"name\": \"成骨不全\", \"sNode\": []}]}, {\"name\": \"Q79\", \"sNode\": [{\"name\": \"脐疝\", \"sNode\": []}]}]}, {\"name\": \"Q80-Q89 其他先天性畸形\", \"sNode\": [{\"name\": \"Q80\", \"sNode\": [{\"name\": \"寻常性鱼鳞病\", \"sNode\": []}]}]}]}, {\"name\": \"R00-R99 症状、体征和临床与实验室异常所见，不可归类在他处者\", \"sNode\": [{\"name\": \"R00-R09 累及循环和呼吸系统的症状和体征\", \"sNode\": [{\"name\": \"R00\", \"sNode\": [{\"name\": \"窦性心动过缓\", \"sNode\": []}, {\"name\": \"窦性心动过速\", \"sNode\": []}, {\"name\": \"心悸\", \"sNode\": []}]}, {\"name\": \"R01\", \"sNode\": [{\"name\": \"心脏杂音\", \"sNode\": []}]}, {\"name\": \"R04\", \"sNode\": [{\"name\": \"鼻出血\", \"sNode\": []}, {\"name\": \"咯血\", \"sNode\": []}]}, {\"name\": \"R05\", \"sNode\": [{\"name\": \"咳嗽\", \"sNode\": []}]}, {\"name\": \"R06\", \"sNode\": [{\"name\": \"鼾症\", \"sNode\": []}, {\"name\": \"呼吸困难\", \"sNode\": []}, {\"name\": \"呃逆\", \"sNode\": []}]}, {\"name\": \"R07\", \"sNode\": [{\"name\": \"胸痛\", \"sNode\": []}, {\"name\": \"咽痛\", \"sNode\": []}]}, {\"name\": \"R09\", \"sNode\": [{\"name\": \"胸膜炎\", \"sNode\": []}, {\"name\": \"胸闷\", \"sNode\": []}]}]}, {\"name\": \"R10-R19 累及消化系统和腹部的症状和体征\", \"sNode\": [{\"name\": \"R10\", \"sNode\": [{\"name\": \"腹痛\", \"sNode\": []}, {\"name\": \"下腹痛\", \"sNode\": []}, {\"name\": \"肠绞痛\", \"sNode\": []}, {\"name\": \"上腹痛\", \"sNode\": []}]}, {\"name\": \"R11\", \"sNode\": [{\"name\": \"恶心和呕吐\", \"sNode\": []}, {\"name\": \"呕吐\", \"sNode\": []}, {\"name\": \"恶心\", \"sNode\": []}]}, {\"name\": \"R13\", \"sNode\": [{\"name\": \"吞咽困难\", \"sNode\": []}]}, {\"name\": \"R14\", \"sNode\": [{\"name\": \"腹胀\", \"sNode\": []}]}, {\"name\": \"R17\", \"sNode\": [{\"name\": \"黄疸\", \"sNode\": []}]}, {\"name\": \"R19\", \"sNode\": [{\"name\": \"大便习惯改变\", \"sNode\": []}, {\"name\": \"盆腔肿物\", \"sNode\": []}, {\"name\": \"口臭\", \"sNode\": []}]}]}, {\"name\": \"R20-R23 累及皮肤和皮下组织的症状和体征\", \"sNode\": [{\"name\": \"R20\", \"sNode\": [{\"name\": \"肢体麻木\", \"sNode\": []}]}, {\"name\": \"R21\", \"sNode\": [{\"name\": \"皮疹\", \"sNode\": []}, {\"name\": \"过敏性皮疹\", \"sNode\": []}]}, {\"name\": \"R22\", \"sNode\": [{\"name\": \"皮下肿物\", \"sNode\": []}, {\"name\": \"头皮肿物\", \"sNode\": []}, {\"name\": \"皮肤肿物\", \"sNode\": []}, {\"name\": \"面部肿物\", \"sNode\": []}, {\"name\": \"皮下结节\", \"sNode\": []}]}, {\"name\": \"R23\", \"sNode\": [{\"name\": \"皮肤改变\", \"sNode\": []}]}]}, {\"name\": \"R25-R29 累及神经和肌肉骨骼系统的症状和体征\", \"sNode\": [{\"name\": \"R25\", \"sNode\": [{\"name\": \"震颤\", \"sNode\": []}]}]}, {\"name\": \"R30-R39 累及泌尿系统的症状和体征\", \"sNode\": [{\"name\": \"R31\", \"sNode\": [{\"name\": \"血尿\", \"sNode\": []}]}, {\"name\": \"R32\", \"sNode\": [{\"name\": \"尿失禁\", \"sNode\": []}]}, {\"name\": \"R33\", \"sNode\": [{\"name\": \"尿潴留\", \"sNode\": []}]}, {\"name\": \"R35\", \"sNode\": [{\"name\": \"尿频\", \"sNode\": []}]}]}, {\"name\": \"R40-R46 累及认知、知觉、情绪状态和行为的症状和体征\", \"sNode\": [{\"name\": \"R40\", \"sNode\": [{\"name\": \"昏迷\", \"sNode\": []}]}, {\"name\": \"R42\", \"sNode\": [{\"name\": \"头晕和眩晕\", \"sNode\": []}, {\"name\": \"头晕\", \"sNode\": []}, {\"name\": \"眩晕\", \"sNode\": []}]}]}, {\"name\": \"R47-R49 累及言语和语音的症状和体征\", \"sNode\": [{\"name\": \"R49\", \"sNode\": [{\"name\": \"声嘶\", \"sNode\": []}]}]}, {\"name\": \"R50-R69 一般症状和体征\", \"sNode\": [{\"name\": \"R50\", \"sNode\": [{\"name\": \"发热\", \"sNode\": []}]}, {\"name\": \"R51\", \"sNode\": [{\"name\": \"头痛\", \"sNode\": []}]}, {\"name\": \"R52\", \"sNode\": [{\"name\": \"疼痛\", \"sNode\": []}]}, {\"name\": \"R53\", \"sNode\": [{\"name\": \"乏力\", \"sNode\": []}]}, {\"name\": \"R55\", \"sNode\": [{\"name\": \"晕厥\", \"sNode\": []}]}, {\"name\": \"R56\", \"sNode\": [{\"name\": \"惊厥\", \"sNode\": []}]}, {\"name\": \"R57\", \"sNode\": [{\"name\": \"心源性休克\", \"sNode\": []}, {\"name\": \"失血性休克\", \"sNode\": []}, {\"name\": \"感染性休克\", \"sNode\": []}, {\"name\": \"休克\", \"sNode\": []}]}, {\"name\": \"R59\", \"sNode\": [{\"name\": \"颈淋巴结肿大\", \"sNode\": []}, {\"name\": \"淋巴结增大\", \"sNode\": []}]}, {\"name\": \"R60\", \"sNode\": [{\"name\": \"下肢水肿\", \"sNode\": []}, {\"name\": \"水肿\", \"sNode\": []}]}, {\"name\": \"R61\", \"sNode\": [{\"name\": \"多汗症\", \"sNode\": []}]}, {\"name\": \"R64\", \"sNode\": [{\"name\": \"恶病质\", \"sNode\": []}, {\"name\": \"消瘦\", \"sNode\": []}]}, {\"name\": \"R68\", \"sNode\": [{\"name\": \"口干\", \"sNode\": []}]}]}, {\"name\": \"R70-R79 血液检查的异常所见。无诊断者\", \"sNode\": [{\"name\": \"R72\", \"sNode\": [{\"name\": \"白细胞异常\", \"sNode\": []}]}, {\"name\": \"R77\", \"sNode\": [{\"name\": \"甲胎蛋白异常\", \"sNode\": []}]}]}, {\"name\": \"R80-R82 尿检查的异常所见,无诊断者\", \"sNode\": [{\"name\": \"R80\", \"sNode\": [{\"name\": \"蛋白尿\", \"sNode\": []}]}]}, {\"name\": \"R83-R89 异常所见,无诊断者\", \"sNode\": [{\"name\": \"R86\", \"sNode\": [{\"name\": \"弱精子症\", \"sNode\": []}]}]}, {\"name\": \"R90-R94 诊断性影像和功能检查的异常所见,无诊断者\", \"sNode\": [{\"name\": \"R90\", \"sNode\": [{\"name\": \"颅内占位性病变\", \"sNode\": []}, {\"name\": \"脑缺血灶\", \"sNode\": []}]}, {\"name\": \"R91\", \"sNode\": [{\"name\": \"肺部阴影\", \"sNode\": []}, {\"name\": \"肺肿物\", \"sNode\": []}, {\"name\": \"肺占位性病变\", \"sNode\": []}]}, {\"name\": \"R93\", \"sNode\": [{\"name\": \"子宫内膜增厚\", \"sNode\": []}, {\"name\": \"肝占位性病变\", \"sNode\": []}]}]}]}, {\"name\": \"S00-T98 损伤、中毒和外因的某些其他后果\", \"sNode\": [{\"name\": \"S00-S09 头部损伤\", \"sNode\": [{\"name\": \"S00\", \"sNode\": [{\"name\": \"头皮血肿\", \"sNode\": []}, {\"name\": \"头皮挫伤\", \"sNode\": []}]}, {\"name\": \"S01\", \"sNode\": [{\"name\": \"眼睑裂伤\", \"sNode\": []}, {\"name\": \"头皮裂伤\", \"sNode\": []}]}, {\"name\": \"S02\", \"sNode\": [{\"name\": \"上颌骨骨折\", \"sNode\": []}, {\"name\": \"下颌骨骨折\", \"sNode\": []}, {\"name\": \"鼻骨骨折\", \"sNode\": []}, {\"name\": \"颅骨骨折\", \"sNode\": []}, {\"name\": \"牙折断\", \"sNode\": []}]}, {\"name\": \"S06\", \"sNode\": [{\"name\": \"脑挫伤\", \"sNode\": []}, {\"name\": \"脑震荡\", \"sNode\": []}]}, {\"name\": \"S09\", \"sNode\": [{\"name\": \"鼻损伤\", \"sNode\": []}]}]}, {\"name\": \"S10-S19 颈部损伤\", \"sNode\": [{\"name\": \"S12\", \"sNode\": [{\"name\": \"寰椎骨折\", \"sNode\": []}, {\"name\": \"颈椎骨折\", \"sNode\": []}]}, {\"name\": \"S13\", \"sNode\": [{\"name\": \"颈椎扭伤和劳损\", \"sNode\": []}]}]}, {\"name\": \"S20-S29 胸部损伤\", \"sNode\": [{\"name\": \"S20\", \"sNode\": [{\"name\": \"胸壁挫伤\", \"sNode\": []}, {\"name\": \"胸部挫伤\", \"sNode\": []}]}, {\"name\": \"S22\", \"sNode\": [{\"name\": \"胸椎骨折\", \"sNode\": []}, {\"name\": \"肋骨骨折\", \"sNode\": []}]}, {\"name\": \"S27\", \"sNode\": [{\"name\": \"开放性气胸\", \"sNode\": []}, {\"name\": \"创伤性气胸\", \"sNode\": []}]}, {\"name\": \"S29\", \"sNode\": [{\"name\": \"胸部损伤\", \"sNode\": []}]}]}, {\"name\": \"S30-S39 腹部、下背、腰椎和骨盆损伤\", \"sNode\": [{\"name\": \"S32\", \"sNode\": [{\"name\": \"髋臼骨折\", \"sNode\": []}, {\"name\": \"骨盆骨折\", \"sNode\": []}, {\"name\": \"腰椎骨折\", \"sNode\": []}, {\"name\": \"骶骨骨折\", \"sNode\": []}, {\"name\": \"腰椎压缩性骨折\", \"sNode\": []}]}, {\"name\": \"S33\", \"sNode\": [{\"name\": \"骶髂关节扭伤\", \"sNode\": []}, {\"name\": \"腰椎扭伤和劳损\", \"sNode\": []}, {\"name\": \"腰部扭伤\", \"sNode\": []}]}, {\"name\": \"S37\", \"sNode\": [{\"name\": \"肾挫伤\", \"sNode\": []}]}, {\"name\": \"S39\", \"sNode\": [{\"name\": \"腰部损伤\", \"sNode\": []}]}]}, {\"name\": \"S40-S49 肩和上臂损伤\", \"sNode\": [{\"name\": \"S42\", \"sNode\": [{\"name\": \"肱骨外科颈骨折\", \"sNode\": []}, {\"name\": \"肱骨髁上骨折\", \"sNode\": []}, {\"name\": \"锁骨骨折\", \"sNode\": []}, {\"name\": \"肱骨骨折\", \"sNode\": []}, {\"name\": \"肱骨头骨折\", \"sNode\": []}, {\"name\": \"肱骨干骨折\", \"sNode\": []}]}, {\"name\": \"S43\", \"sNode\": [{\"name\": \"肩锁关节脱位\", \"sNode\": []}, {\"name\": \"肩关节脱位\", \"sNode\": []}]}, {\"name\": \"S46\", \"sNode\": [{\"name\": \"肩袖损伤\", \"sNode\": []}]}, {\"name\": \"S49\", \"sNode\": [{\"name\": \"肩部损伤\", \"sNode\": []}]}]}, {\"name\": \"S50-S59 肘和前臂损伤\", \"sNode\": [{\"name\": \"S52\", \"sNode\": [{\"name\": \"巴顿骨折\", \"sNode\": []}, {\"name\": \"桡骨骨折\", \"sNode\": []}]}]}, {\"name\": \"S60-S69 腕和手损伤\", \"sNode\": [{\"name\": \"S62\", \"sNode\": [{\"name\": \"指骨骨折\", \"sNode\": []}, {\"name\": \"第一掌骨骨折\", \"sNode\": []}, {\"name\": \"掌骨骨折\", \"sNode\": []}]}, {\"name\": \"S69\", \"sNode\": [{\"name\": \"手指损伤\", \"sNode\": []}, {\"name\": \"手部损伤\", \"sNode\": []}]}]}, {\"name\": \"S70-S79 髋和大腿损伤\", \"sNode\": [{\"name\": \"S72\", \"sNode\": [{\"name\": \"股骨骨折\", \"sNode\": []}, {\"name\": \"股骨粗隆间骨折\", \"sNode\": []}, {\"name\": \"股骨颈骨折\", \"sNode\": []}, {\"name\": \"股骨转子间骨折\", \"sNode\": []}]}]}, {\"name\": \"S80-S89 膝和小腿损伤\", \"sNode\": [{\"name\": \"S80\", \"sNode\": [{\"name\": \"膝挫伤\", \"sNode\": []}]}, {\"name\": \"S82\", \"sNode\": [{\"name\": \"髌骨骨折\", \"sNode\": []}, {\"name\": \"胫骨骨折\", \"sNode\": []}, {\"name\": \"双踝骨折\", \"sNode\": []}, {\"name\": \"外踝骨折\", \"sNode\": []}]}, {\"name\": \"S83\", \"sNode\": [{\"name\": \"膝关节扭伤\", \"sNode\": []}, {\"name\": \"膝关节损伤\", \"sNode\": []}]}]}, {\"name\": \"S90-S99 踝和足损伤\", \"sNode\": [{\"name\": \"S92\", \"sNode\": [{\"name\": \"跖骨骨折\", \"sNode\": []}, {\"name\": \"跟骨骨折\", \"sNode\": []}, {\"name\": \"趾骨骨折\", \"sNode\": []}]}, {\"name\": \"S93\", \"sNode\": [{\"name\": \"踝关节扭伤\", \"sNode\": []}, {\"name\": \"足扭伤\", \"sNode\": []}, {\"name\": \"踝扭伤和劳损\", \"sNode\": []}]}, {\"name\": \"S99\", \"sNode\": [{\"name\": \"踝部损伤\", \"sNode\": []}]}]}, {\"name\": \"T08-T14 躯干、四肢或身体未特指部位的损伤\", \"sNode\": [{\"name\": \"T13\", \"sNode\": [{\"name\": \"下肢损伤\", \"sNode\": []}]}, {\"name\": \"T14\", \"sNode\": [{\"name\": \"肌肉损伤\", \"sNode\": []}]}]}, {\"name\": \"T15-T19 通过自然腔口进入异物的效应\", \"sNode\": [{\"name\": \"T15\", \"sNode\": [{\"name\": \"角膜异物\", \"sNode\": []}]}, {\"name\": \"T17\", \"sNode\": [{\"name\": \"喉内异物\", \"sNode\": []}]}, {\"name\": \"T18\", \"sNode\": [{\"name\": \"食管内异物\", \"sNode\": []}]}]}, {\"name\": \"T29-T32 身体多个部位和未特指部位的烧伤和瘸蚀伤\", \"sNode\": [{\"name\": \"T30\", \"sNode\": [{\"name\": \"烧伤\", \"sNode\": []}]}]}, {\"name\": \"T33-T35 冻伤\", \"sNode\": [{\"name\": \"T35\", \"sNode\": [{\"name\": \"冻伤\", \"sNode\": []}]}]}, {\"name\": \"T36-T50 药物、药剂和生物制品中毒\", \"sNode\": [{\"name\": \"T45\", \"sNode\": [{\"name\": \"维生素A中毒\", \"sNode\": []}]}]}, {\"name\": \"T51-T65 主要为非药用物质的毒性效应\", \"sNode\": [{\"name\": \"T51\", \"sNode\": [{\"name\": \"酒精中毒\", \"sNode\": []}]}, {\"name\": \"T56\", \"sNode\": [{\"name\": \"铅中毒\", \"sNode\": []}]}, {\"name\": \"T58\", \"sNode\": [{\"name\": \"一氧化碳中毒\", \"sNode\": []}]}, {\"name\": \"T60\", \"sNode\": [{\"name\": \"有机磷中毒\", \"sNode\": []}]}, {\"name\": \"T61\", \"sNode\": [{\"name\": \"鱼胆中毒\", \"sNode\": []}]}, {\"name\": \"T62\", \"sNode\": [{\"name\": \"苦杏仁中毒\", \"sNode\": []}]}, {\"name\": \"T65\", \"sNode\": [{\"name\": \"氰化物中毒\", \"sNode\": []}]}]}, {\"name\": \"T66-T78 外因的其他和未特指的效应\", \"sNode\": [{\"name\": \"T67\", \"sNode\": [{\"name\": \"中暑\", \"sNode\": []}, {\"name\": \"热射病和日射病\", \"sNode\": []}]}, {\"name\": \"T70\", \"sNode\": [{\"name\": \"高原性心脏病\", \"sNode\": []}, {\"name\": \"高原性肺水肿\", \"sNode\": []}, {\"name\": \"高原性脑水肿\", \"sNode\": []}, {\"name\": \"高山病\", \"sNode\": []}]}, {\"name\": \"T75\", \"sNode\": [{\"name\": \"晕动病\", \"sNode\": []}, {\"name\": \"电击伤\", \"sNode\": []}]}, {\"name\": \"T78\", \"sNode\": [{\"name\": \"食物过敏\", \"sNode\": []}, {\"name\": \"过敏反应\", \"sNode\": []}]}]}]}, {\"name\": \"Z00-Z99 影响健康状态和与保健机构接触的因素\", \"sNode\": [{\"name\": \"Z00-Z03 为检查和调查而与保健机构接触的人\", \"sNode\": [{\"name\": \"Z01\", \"sNode\": [{\"name\": \"妇科检查\", \"sNode\": []}, {\"name\": \"听力检查\", \"sNode\": []}]}, {\"name\": \"Z03\", \"sNode\": [{\"name\": \"可疑冠心病观察\", \"sNode\": []}]}]}, {\"name\": \"Z20-Z29 具有与传染病有关的潜在健康危害的人\", \"sNode\": [{\"name\": \"Z22\", \"sNode\": [{\"name\": \"乙型肝炎小三阳\", \"sNode\": []}, {\"name\": \"乙肝表面抗原携带者\", \"sNode\": []}]}]}, {\"name\": \"Z30-Z39 与生殖有关的情况而与保健机构接触的人\", \"sNode\": [{\"name\": \"Z30\", \"sNode\": [{\"name\": \"取除子宫内节育器\", \"sNode\": []}]}, {\"name\": \"Z32\", \"sNode\": [{\"name\": \"确认妊娠\", \"sNode\": []}]}, {\"name\": \"Z33\", \"sNode\": [{\"name\": \"妊娠状态\", \"sNode\": []}]}, {\"name\": \"Z39\", \"sNode\": [{\"name\": \"常规产后随诊\", \"sNode\": []}, {\"name\": \"产后即刻医疗照顾和检查\", \"sNode\": []}]}]}, {\"name\": \"Z40-Z54 为特殊操作和卫生保健而与保健机构接触的人\", \"sNode\": [{\"name\": \"Z47\", \"sNode\": [{\"name\": \"取除骨折内固定装置\", \"sNode\": []}]}, {\"name\": \"Z49\", \"sNode\": [{\"name\": \"腹膜透析\", \"sNode\": []}, {\"name\": \"血液透析\", \"sNode\": []}]}, {\"name\": \"Z51\", \"sNode\": [{\"name\": \"手术后恶性肿瘤化学治疗\", \"sNode\": []}]}, {\"name\": \"Z54\", \"sNode\": [{\"name\": \"化疗后恢复期\", \"sNode\": []}]}]}]}]}', null);
