use `sys-tran`;

-- ----------------------------
-- 增加建议字段
-- ----------------------------
ALTER TABLE `tran_disease_dept` ADD COLUMN `suggestion` VARCHAR ( 1024 ) DEFAULT '' COMMENT '建议' AFTER `url`;

/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.236
 Source Server Type    : MySQL
 Source Server Version : 50725
 Source Host           : 192.168.2.236:3306
 Source Schema         : sys-tran

 Target Server Type    : MySQL
 Target Server Version : 50725
 File Encoding         : 65001

 Date: 12/05/2020 15:23:28
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for tran_disease_dept
-- ----------------------------
DROP TABLE IF EXISTS `tran_disease_dept`;
CREATE TABLE `tran_disease_dept`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '医院编码',
  `disease_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'HIS疾病名称',
  `icd10_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'icd10编码',
  `icd10_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'icd10名称',
  `concept_dis_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '朗通疾病名称',
  `sub_dept_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '小科室',
  `original_sub_dept_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '邵逸夫原始小科室数据',
  `sub_dept_code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '小科室编码',
  `dept_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '大科室',
  `original_dept_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '邵逸夫原始大科室数据',
  `dept_code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '大科室编码',
  `status` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '1' COMMENT '状态(1:有效)',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '医院科室地址',
  `suggestion` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '建议',
  `remark` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19716 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tran_disease_dept
-- ----------------------------
INSERT INTO `tran_disease_dept` VALUES (11644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.901', NULL, 'EB病毒感染', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T58.x00', NULL, '一氧化碳的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.400x003', NULL, '上颌骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.600', NULL, '下颌骨骨折', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B74.900', NULL, '丝虫病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.203', NULL, '结肠扭转', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.700', NULL, '乙状结肠恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D05.900', NULL, '乳房的原位癌', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.100', NULL, '传染性软疣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.702', NULL, '伪膜性结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '冻伤', 'T35.700', NULL, '冻伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.000', NULL, '动脉导管未闭', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.900x003', NULL, '动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M00.900', NULL, '化脓性关节炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.001', NULL, '单纯性甲状腺肿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.201', NULL, '单纯性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.101', NULL, '变异型心绞痛', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.801', NULL, '口蹄疫', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.300', NULL, '周期性瘫痪', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J12.100', NULL, '呼吸道合胞体病毒肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.101', NULL, '喉息肉', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D76.101', NULL, '噬血细胞综合征', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.600', NULL, '坏死性筋膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x11', NULL, '外耳道真菌病', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.802', NULL, '子宫破裂', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S12.000x002', NULL, '寰椎骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.300', NULL, '尾蚴性皮炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.300', NULL, '尿道综合征', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500x021', NULL, '巴顿骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A23.900', NULL, '布氏菌病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.000', NULL, '干燥综合征[舍格伦]', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.200x002', NULL, '幼儿急疹', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B58.900', NULL, '弓形虫病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.000', NULL, '急性上颌窦炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.000', NULL, '急性乳突炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J02.902', NULL, '急性咽峡炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J21.901', NULL, '急性喘息性支气管炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I30.900', NULL, '急性心包炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.200', NULL, '急性筛窦炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J21.900', NULL, '急性细支气管炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.100x001', NULL, '急性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.300', NULL, '急性蝶窦炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.000', NULL, '急性阿米巴痢疾', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.202', NULL, '急性颌下腺炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.100', NULL, '急性额窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.908', NULL, '慢性心力衰竭', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.002', NULL, '慢性泪腺炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.100', NULL, '房间隔缺损', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B07.x01', NULL, '扁平疣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L43.900', NULL, '扁平苔藓', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.401', NULL, '手足口病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.802', NULL, '指骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P22.000', NULL, '新生儿呼吸窘迫综合征', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L24.801', NULL, '松毛虫皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.701', NULL, '水中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B33.000', NULL, '流行性肌痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A39.003+G01*', NULL, '流行性脑脊髓膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B26.900', NULL, '流行性腮腺炎不伴有并发症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K30.x00', NULL, '功能性消化不良', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.500', NULL, '慢性消化性溃疡伴有穿孔', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C03.900', NULL, '牙龈恶性肿瘤', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A28.100', NULL, '猫抓病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.100', NULL, '玻璃体积血', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.009', NULL, '生长激素缺乏症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E20.900', NULL, '甲状旁腺功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.903+I43.8*', NULL, '甲状腺功能亢进性心脏病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.500', NULL, '甲状腺危象', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B30.900', NULL, '病毒性结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A97.000', NULL, '登革热不伴预警', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A36.900', NULL, '白喉', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B69.805', NULL, '皮肤囊尾蚴病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.900', NULL, '皮肤恶性肿瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C20.x00', NULL, '直肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H01.000', NULL, '睑缘炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.900', NULL, '短暂性大脑缺血性发作', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.201', NULL, '短肠综合征', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A35.x00x001', NULL, '破伤风', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I62.001', NULL, '急性非创伤性硬膜下血肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.200', NULL, '突发特发性听觉丧失', '中耳炎听力重建门诊', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F84.000', NULL, '童年孤独症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T45.201', NULL, '维生素A中毒', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H80.900', NULL, '耳硬化', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M94.001', NULL, '肋骨软骨炎', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.700', NULL, '肝肾综合征', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.100', NULL, '肠套叠', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.200', NULL, '肠扭转', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.402', NULL, '肠球菌属性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.100', NULL, '肩锁关节脱位', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.202', NULL, '肱骨外科颈骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.401', NULL, '肱骨髁上骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.101', NULL, '肺不张', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.101', NULL, '肺性脑病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.000', NULL, '肺毛霉病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A22.100', NULL, '肺炭疽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.814', NULL, '胃穿孔', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B77.803', NULL, '胆道蛔虫病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S22.000', NULL, '胸椎骨折', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.003', NULL, '脊髓空洞症', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.300x002', NULL, '脑干出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.001', NULL, '脑脓肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.002', NULL, '脑血管瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.803', NULL, '脾周围炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M60.008', NULL, '腰大肌脓肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.006', NULL, '腰椎滑脱', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C02.900', NULL, '舌恶性肿瘤', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J30.101', NULL, '花粉症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T62.801', NULL, '苦杏仁中毒', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A69.200', NULL, '莱姆病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D55.001', NULL, '蚕豆病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.100', NULL, '血管性头痛，不可归类在他处者', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J16.000', NULL, '衣原体肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A41.900', NULL, '脓毒症', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.000', NULL, '贲门恶性肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.003', NULL, '变态反应性支气管哮喘', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J67.900', NULL, '有机粉尘引起的过敏性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K70.300', NULL, '酒精性肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.001', NULL, '铅中毒', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.000', NULL, '锁骨骨折', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.118+N51.1*', NULL, '附睾结核', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.000', NULL, '雷诺综合征', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C81.900', NULL, '霍奇金淋巴瘤，未特指', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.005+M49.0*', NULL, '颈椎结核', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.205', NULL, '颈淋巴结结核', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.400', NULL, '髋臼骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.200x007', NULL, '高原性心脏病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.203', NULL, '高原性脑水肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.204', NULL, '高山病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.100', NULL, '高催乳素血症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.002', NULL, '鼻疖', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.004', NULL, '鼻痈', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K02.900', NULL, '龋(牙)', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A82.900', NULL, '狂犬病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.005', NULL, '急性梗阻性胆管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A01.000', NULL, '伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.401', NULL, '低镁血症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.300', NULL, '急性结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N00.900', NULL, '急性肾炎综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.200', NULL, '第一掌骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L89.900', NULL, '受压区压疮', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N10.x01', NULL, '急性间质性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N42.803', NULL, '前列腺上皮内瘤变', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M76.600', NULL, '跟腱炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.202', NULL, '恶性葡萄胎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A27.900', NULL, '钩端螺旋体病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.802', NULL, '双踝骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.000', NULL, '肛门瘙痒(症)', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B76.900', NULL, '钩虫病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.200', NULL, '急性戊型肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.005', NULL, '咳嗽变异性哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T61.001', NULL, '鱼胆中毒', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.001', NULL, '高钠血症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.803', NULL, '劳力性心绞痛', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.301', NULL, '掌骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.202', NULL, '喉返神经疾患', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.001', NULL, '肢端肥大症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.802', NULL, '骨盆骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.006', NULL, '肠系膜动脉栓塞', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M93.901', NULL, '骨骺炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M16.900', NULL, '髋关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C65.x00', NULL, '肾盂恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.900x001', NULL, '淋病', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A83.000x001', NULL, '流行性乙型脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.909', NULL, '慢性胃肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A95.900', NULL, '黄热病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性风湿热', 'I00.x00x004', NULL, '急性风湿热', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.909', NULL, '滑囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.909', NULL, '滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.402', NULL, '佐林格-埃利森综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.101', NULL, ' 股骨粗隆间骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.001', NULL, '急性泪腺炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体多个部位和未特指部位的烧伤和瘸蚀伤', 'T30.000', NULL, '身体烧伤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.401', NULL, '外阴疖', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.002', NULL, '心室扑动', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E56.000', NULL, '维生素E缺乏病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.902+J99.8*', NULL, '肺血吸虫病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.800x006', NULL, '新生儿便秘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.001', NULL, '心室颤动', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.400', NULL, '腱鞘囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.200', NULL, '颈动脉闭塞和狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B16.101', NULL, '急性乙型丁型病毒性肝炎，不伴有肝昏迷', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q31.804', NULL, '先天性喉闭锁', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.007+M49.0*', NULL, '腰椎结核', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.903', NULL, '婴儿腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D66.x02', NULL, '血友病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.900', NULL, '血吸虫病', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F53.002', NULL, '产后抑郁症', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (11830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.300', NULL, '特发性(出血性)血小板增多症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.403', NULL, '原发性血小板减少症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.000', NULL, '股骨颈骨折', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A38.x00', NULL, '猩红热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.200', NULL, '低血糖', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.000', NULL, '成骨不全', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G41.900', NULL, '癫痫持续状态', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T60.900x002', NULL, '农药中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.903', NULL, '女性盆腔脓肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.203', NULL, '肱骨头骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J12.000', NULL, '腺病毒肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.600x004', NULL, '多发性大动脉炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K01.100', NULL, '阻生牙', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.500x032+I43.8*', NULL, '糖尿病性心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B30.200', NULL, '病毒性咽结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.400x023+G63.2*', NULL, '糖尿病性周围神经病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.501', NULL, '急性纵隔炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.002', NULL, '甲周炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A60.001', NULL, '生殖器疱疹', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S93.601', NULL, '足扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.902', NULL, '中度贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.901', NULL, '轻度贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A59.001+N37.0*', NULL, '滴虫性尿道炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N72.x00x003', NULL, '慢性子宫颈炎', '宫颈疾病门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A30.900', NULL, '麻风', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C54.100', NULL, '子宫内膜恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L20.804', NULL, '婴儿湿疹', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J11.100x001', NULL, '未知病毒的流感性感冒', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.000', NULL, '纯高胆固醇血症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.100', NULL, '纯高甘油酯血症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.001', NULL, '头癣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S20.201', NULL, '胸壁挫伤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.001', NULL, '梨状肌综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.000', NULL, '腺病毒感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.300', NULL, '肱骨干骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.903', NULL, '骨刺', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T75.300', NULL, '晕动病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P37.500', NULL, '新生儿念珠菌病', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.900', NULL, '继发性高血压', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.800', NULL, '绝经期和围绝经期的疾患，其他特指的', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.700', NULL, '肺炎支原体性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性风湿热', 'I02.900x001', NULL, '风湿性舞蹈症[小舞蹈症]', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J46.x00', NULL, '哮喘持续状态', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.601', NULL, '喉梗阻', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z01.400x001', NULL, '妇科检查', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B45.101+G02.1*', NULL, '隐球菌性脑膜炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E56.900', NULL, '维生素缺乏病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M15.900', NULL, '多关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及消化系统和腹部的症状和体征', 'R19.400', NULL, '大便习惯改变', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E59.x00', NULL, '饮食性硒缺乏', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.900x003+G94.3*', NULL, '肝性脑病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.601', NULL, '变形杆菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.900', NULL, '阿米巴病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.100x002', NULL, '慢性胰腺炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.801', NULL, '肛窦炎', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K37.x00x002', NULL, '阑尾周围炎', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.400', NULL, '慢性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N98.100', NULL, '卵巢过度刺激', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.300', NULL, '喉内异物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.901', NULL, '冠状动脉性心脏病', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.303', NULL, '功能性咳嗽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.204', NULL, '急性尿道炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G00.901', NULL, '化脓性脑膜炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.801', NULL, '急性荨麻疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C77.900x001', NULL, '淋巴结继发恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.400', NULL, '颈椎扭伤和劳损', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.201', NULL, '恶性胸腔积液', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N75.802', NULL, '前庭大腺炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.901', NULL, '皮肤疖', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.000', NULL, '可疑青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z51.102', NULL, '手术后恶性肿瘤化学治疗', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L64.900', NULL, '雄激素性脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.000', NULL, '急性腹膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.100x001', NULL, '脑动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.802', NULL, '慢性荨麻疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.600', NULL, '外踝骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S93.400', NULL, '踝扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A92.400', NULL, '裂谷热', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B55.000', NULL, '内脏利什曼病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x001', NULL, '血管瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.101', NULL, '精索炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.900', NULL, '蜂窝织炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.909', NULL, '足软组织疾患', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B80.x00', NULL, '蛲虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B77.900', NULL, '蛔虫病', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I62.101', NULL, '硬膜外血肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人类免疫缺陷病毒[HIV]病', 'B24.x01', NULL, '艾滋病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.604', NULL, '舌下囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.904', NULL, '下肢皮肤感染', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.400x004', NULL, '膀胱息肉', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.501', NULL, '腹膜粘连伴肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A37.900', NULL, '百日咳', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.100x001', NULL, '慢性粒细胞性白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.900x002', NULL, '腰椎骨质增生', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F44.903', NULL, '癔症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.903', NULL, '腰椎退行性病变', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹热[蜱媒介的立克次体病]', 'T79.300x001', NULL, '创伤后伤口感染', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.907', NULL, '慢性肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.005', NULL, '颈淋巴结肿大', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.014', NULL, '口角炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.202', NULL, '颈内动脉粥样硬化', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.203', NULL, '湿疹样疹', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.303', NULL, '中毒性巨结肠', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I48.900x004', NULL, '心房颤动[心房纤颤]', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.902', NULL, '心包炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.501', NULL, '疱疹性咽峡炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A93.801', NULL, '疱疹性口炎病毒病', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.101', NULL, '高同型半胱氨酸血症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.600', NULL, '脑水肿', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.203', NULL, '颈椎不稳定', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T75.400x001', NULL, '电击伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.802', NULL, 'X综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.900', NULL, '带状疱疹不伴有并发症', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.301', NULL, '慢性外阴炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B60.000', NULL, '巴贝虫病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N31.901', NULL, '神经源性膀胱', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D53.100', NULL, '巨幼细胞性贫血，其他的，不可归类在他处者', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.803+K77.0*', NULL, 'EB病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N45.907', NULL, '急性附睾炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.301', NULL, '出血性紫癜', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传染病和寄生虫病的后遗症', 'B90.902', NULL, '陈旧性肺结核', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.005+N08.2*', NULL, '肾型过敏性紫癜', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K35.200', NULL, '急性阑尾炎伴有弥漫性腹膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.000x002', NULL, '贲门失弛缓', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E89.001', NULL, '手术后甲状腺功能减退', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.109+N51.0*', NULL, '前列腺结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L26.x00', NULL, '剥脱性皮炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A01.400', NULL, '副伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N01.900x001', NULL, '急进性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.314+K67.3*', NULL, '结核性腹膜炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E30.100', NULL, '性早熟', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.107', NULL, '未特指乙型病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H83.000', NULL, '迷路炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.100', NULL, '卵巢的子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.802', NULL, 'ANCA相关性血管炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.500x001', NULL, '骨继发恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E02.x00', NULL, '临床症状不明显［亚临床］的碘缺乏性甲状腺功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.203', NULL, '创伤后股骨头坏死', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.009+M49.0*', NULL, '脊柱结核', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B54.x00', NULL, '疟疾', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.000', NULL, '丛集性头痛综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.306', NULL, '心脏神经官能症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.101', NULL, '臂丛神经炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H46.x00', NULL, '视神经炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.500x004', NULL, '结核性胸膜炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.900', NULL, '新生儿黄疸', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.900', NULL, '骨坏死', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.900', NULL, '皮肤癣菌病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z39.200', NULL, '常规产后随诊', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.300', NULL, '风湿性多肌痛', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性风湿热', 'I00.x01', NULL, '风湿性关节炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.900', NULL, '输卵管炎和卵巢炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H69.900', NULL, '咽鼓管疾患', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A00.900', NULL, '霍乱', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (11984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.502+I79.2*', NULL, '1型糖尿病性心肌病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.101', NULL, '肺肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A63.001', NULL, '肛门生殖器尖锐湿疣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H68.000', NULL, '咽鼓管炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I46.901', NULL, '呼吸心跳骤停', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x03+H19.2*', NULL, '真菌性角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T60.001', NULL, '有机磷中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (11991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.002', NULL, '颈椎椎管狭窄', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I66.001', NULL, '大脑中动脉狭窄', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.101', NULL, '非淋球菌性尿道炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (11994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.604', NULL, '恶性腹水', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.800x001', NULL, '不安腿综合征[不宁腿综合征]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.200x001', NULL, '颈动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.002', NULL, '股骨头无菌性坏死', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (11998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.100', NULL, '梗阻性肥厚型心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (11999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.900', NULL, '皮肤和皮下组织的局部感染', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.500', NULL, '肩滑囊炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.000x001', NULL, '埃及血吸虫病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.923', NULL, '骨膜炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I37.000', NULL, '肺动脉瓣狭窄', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.800x007', NULL, '细菌性毛囊炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.300x030', NULL, '下肢动脉闭塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.215', NULL, '妊娠合并甲状腺功能减退', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.500x001', NULL, '趾骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.004', NULL, '肾动脉栓塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.201', NULL, '下肢静脉功能不全', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.207', NULL, '下肢深静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.400', NULL, '子宫阴道脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.500', NULL, '烟雾病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H90.500', NULL, '感音神经性听觉丧失', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.200x062', NULL, '股动脉粥样硬化', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.000', NULL, '肺部继发性恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S33.600x001', NULL, '骶髂关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.501', NULL, '外耳湿疹', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.200x001', NULL, '腘窝囊肿', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.200', NULL, '外阴瘙痒(症)', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B19.900', NULL, '病毒性肝炎，不伴有肝昏迷', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K08.104', NULL, '牙列部分缺失', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.303', NULL, '下肢静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S99.900x002', NULL, '踝部损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D65.x00x001', NULL, '弥散性血管内凝血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.300', NULL, '脾脓肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q05.900', NULL, '脊柱裂', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.100', NULL, '糖尿病伴有酮症酸中毒', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H73.802', NULL, '鼓膜炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.000', NULL, '慢性阻塞性肺病伴有急性下呼吸道感染', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.917', NULL, '小儿肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.217', NULL, '妊娠合并甲状腺功能障碍', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q80.000', NULL, '寻常性鱼鳞病', '皮肤风湿病门诊', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.100', NULL, '脾功能亢进', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.501', NULL, '结核性脓胸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.400x001', NULL, '胃溃疡伴出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.800x003', NULL, '牙隐裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.006+M49.0*', NULL, '胸椎结核', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.103+N29.1*', NULL, '肾结核', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.504', NULL, '腰背肌筋膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O88.100', NULL, '羊水栓塞', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O40.x00', NULL, '羊水过多', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.902', NULL, '应激性溃疡', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E55.001', NULL, '佝偻病', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.002', NULL, '咽周脓肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E70.100x001', NULL, '苯丙酮尿症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.000', NULL, '热射病和日射病', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.900', NULL, '毛囊疾患', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.032+M49.0*', NULL, '骶髂关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.401', NULL, '产褥期不明原因发热', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.402', NULL, '产褥期未特指的感染', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.400x001', NULL, '小脑出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.302', NULL, '急性泪囊炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '由衣原体引起的其他疾病', 'A71.900', NULL, '沙眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.200', NULL, '贝赫切特[贝切特]病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M33.101', NULL, '皮肌炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C25.000', NULL, '胰头恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N21.000', NULL, '膀胱结石', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.906', NULL, '膝关节滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.000', NULL, '室间隔缺损', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.000', NULL, '麻痹性肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.000', NULL, '梅尼埃［美尼尔］病', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I05.900', NULL, '二尖瓣疾病', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.200x021+N08.3*', NULL, '糖尿病性肾病', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.201+N08.3*', NULL, '1型糖尿病性肾病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.502', NULL, '鼻腔肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.600', NULL, '鼻咽良性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M22.400', NULL, '髌骨软骨软化', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.500', NULL, '病态窦房结综合征', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x03', NULL, '高血压1级', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N21.100', NULL, '尿道结石', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.300', NULL, '玻璃体混浊，其他的', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J64.x00', NULL, '肺尘埃沉着病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x04', NULL, '高血压2级', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x05', NULL, '高血压3级', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L68.900', NULL, '多毛症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.504', NULL, '腹股沟恶性黑色素瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z49.201', NULL, '腹膜透析', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.803', NULL, '横纹肌溶解症', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.000', NULL, '肾血管性高血压', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.602', NULL, '肌肉损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.900', NULL, '肝病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C11.900', NULL, '鼻咽恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.300', NULL, '痉挛性斜颈', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.500', NULL, '创伤性牙折断', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A25.900', NULL, '鼠咬热', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.207', NULL, '腰椎不稳定', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I35.900', NULL, '主动脉瓣疾患', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.910', NULL, '足皮肤感染', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.919', NULL, '足筋膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O24.900', NULL, '妊娠糖尿病', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P35.100', NULL, '先天性巨细胞病毒感染', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.601', NULL, '抗心磷脂抗体综合征', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.908', NULL, '腰椎小关节紊乱', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S33.500', NULL, '腰椎扭伤和劳损', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.906', NULL, '腰部损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S33.501', NULL, '腰部扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.100', NULL, '慢性骨髓增生性疾病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N03.900x006', NULL, '慢性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H01.101', NULL, '眼睑皮炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.000', NULL, '氰化物的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.100', NULL, '氟骨症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.200', NULL, '腺样体肥大', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.900', NULL, '骨髓炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S80.000', NULL, '膝挫伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.004', NULL, '头皮血肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J47.x00', NULL, '支气管扩张(症)', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z32.100', NULL, '确认妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.500x050', NULL, '糖尿病足', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.901', NULL, '面部萎缩', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.100x001', NULL, '房性期前收缩[房性早搏]', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.805', NULL, '慢性缺血性脑血管病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z03.501', NULL, '可疑冠心病观察', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.104', NULL, '结膜干燥', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F51.000', NULL, '非器质性失眠症', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (12115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M13.000', NULL, '多关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.901', NULL, '膀胱肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L63.100', NULL, '普秃', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D24.x00', NULL, '乳房良性肿瘤', '乳腺甲状腺肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N46.x00x007', NULL, '畸形精子症', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.900', NULL, '脊椎病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.901', NULL, '皮肤真菌感染', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.101', NULL, '变应性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K21.000', NULL, '胃-食管反流性疾病伴有食管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K21.903', NULL, '喉咽反流', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I85.900x001', NULL, '食管静脉曲张', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I62.003', NULL, '慢性硬膜下血肿', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.802', NULL, '老年瘙痒症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.905', NULL, '多发性脑梗死', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z54.200', NULL, '化疗后恢复期', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.901', NULL, '颈椎退行性病变', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.101', NULL, '化疗后骨髓抑制', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.802', NULL, '叶酸缺乏症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.503', NULL, '取除子宫内节育器', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S01.001', NULL, '头皮裂伤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.000', NULL, '支气管肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.305', NULL, '年龄相关性黄斑变性', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.400', NULL, '慢性十二指肠溃疡伴有出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K35.300', NULL, '急性阑尾炎伴局限性腹膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E61.100', NULL, '铁缺乏', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R72.x00x002', NULL, '白细胞分类计数异常', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.901', NULL, '哮喘性支气管炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z47.001', NULL, '取除骨折内固定装置', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K71.601', NULL, '药物性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.904', NULL, '手软组织疾患', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K01.000', NULL, '埋伏牙', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.501', NULL, '冠状动脉肌桥', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.403', NULL, '青光眼睫状体炎综合征', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.004', NULL, '萎缩性鼻炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.400', NULL, '外耳胆脂瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.200', NULL, '坠积性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.309', NULL, '高磷酸盐血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.000', NULL, '特发性痛风', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L04.900', NULL, '急性淋巴结炎', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.200', NULL, '雀斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.102', NULL, '完全性右束支传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.202', NULL, '脑挫伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.000', NULL, '脑震荡', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.001', NULL, '急性酒精中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J37.001', NULL, '慢性喉咽炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.901', NULL, '急性淋巴管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L70.000', NULL, '寻常痤疮', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.202+K77.0*', NULL, '血吸虫病性肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.300', NULL, '下肢静脉炎和血栓性静脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.102', NULL, '胆汁淤积症', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.502', NULL, '慢性甲状腺炎', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.000', NULL, '急性淋巴细胞白血病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.305', NULL, '骶尾部痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.201', NULL, '急性腮腺炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.907', NULL, '急性心力衰竭', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C17.900', NULL, '小肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D70.x05', NULL, '中性粒细胞减少症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.001', NULL, '头皮挫伤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z39.000', NULL, '产后即刻医疗照顾和检查', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.802', NULL, '室性心律失常', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.302', NULL, '牙列不齐', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.903', NULL, '鼻损伤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.802', NULL, '急性脑血管病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.500x004', NULL, '泪道狭窄', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.002', NULL, '中枢性面神经麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.901', NULL, '新生儿高胆红素血症', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.604', NULL, '高胆红素血症', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I66.901', NULL, '脑动脉狭窄', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.100', NULL, '骶骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.204', NULL, '颊间隙感染', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S49.900x001', NULL, '肩部损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M50.900', NULL, '颈椎间盘疾患', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K08.300x002', NULL, '残留牙根', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.300x002', NULL, '陈旧性脑梗死', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹热[蜱媒介的立克次体病]', 'Z98.800x312', NULL, '药物流产术后', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.900x005', NULL, '肾性贫血', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M80.000', NULL, '绝经后骨质疏松伴有病理性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M80.801', NULL, '老年性骨质疏松伴病理性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M17.900x002', NULL, '膝关节退行性病变', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.307', NULL, '视网膜黄斑变性', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S69.900x004', NULL, '手指损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.900', NULL, '慢性病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J42.x00x004', NULL, '慢性支气管炎急性加重期', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.800x004', NULL, '椎间盘突出', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I48.100', NULL, '持续性心房颤动', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I48.200', NULL, '慢性心房颤动', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.200', NULL, '大脑动脉粥样硬化', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.300x003', NULL, '脑梗死恢复期', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.800x004', NULL, '缺血性脑血管病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹热[蜱媒介的立克次体病]', 'Z98.800x502', NULL, '甲状腺术后', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', 'Q热', 'Z98.800x616', NULL, '腰椎术后', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S69.900x002', NULL, '手部损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.000x002', NULL, '腰椎压缩性骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.003', NULL, '细菌性肝脓肿', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他立克次体病', 'Z96.601', NULL, '人工髋关节', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.900x005', NULL, '颈淋巴结炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F07.201', NULL, '脑外伤后综合征', '康复医学科', '', '', '康复医学科', '', '12', '1', '', '建议注意休息，避免劳累，保持良好心情', NULL);
INSERT INTO `tran_disease_dept` VALUES (12212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J36.x00x003', NULL, '扁桃体周围炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '由衣原体引起的其他疾病', 'A74.900', NULL, '衣原体感染', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.900', NULL, '下肢静脉曲张不伴有溃疡或炎症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.904', NULL, '慢性肾功能不全', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M17.900x004', NULL, '单侧膝关节骨性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M17.900x003', NULL, '双侧膝关节骨性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.600x001', NULL, '隐匿性冠状动脉粥样硬化性心脏病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.903+H62.2*', NULL, '真菌性外耳道炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D70.x04', NULL, '白细胞减少', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I48.000', NULL, '阵发性心房颤动', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.803', NULL, '瘢痕感染', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.907', NULL, '自身免疫病', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M22.200x001', NULL, '髌股关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.810', NULL, '子宫内膜发育不全', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.100', NULL, '肠穿孔(非创伤性)', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.801', NULL, '肠系膜上动脉夹层动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他立克次体病', 'Z85.900', NULL, '恶性肿瘤个人史', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H92.100', NULL, '耳漏', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.400x002', NULL, '发作性睡病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M02.900', NULL, '反应性关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.410', NULL, '肺空洞', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.901', NULL, '肺血栓形成', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z49.101', NULL, '血液透析', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.607', NULL, '肝硬化失代偿期', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.200', NULL, '变性近视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.701', NULL, '中心性浆液性脉络膜视网膜病变', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E29.100', NULL, '睾丸功能减退症', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.600x001', NULL, '膈膨升', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.701', NULL, '根尖脓肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.900x002', NULL, '静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.501', NULL, '黄色瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他立克次体病', 'Z93.200', NULL, '回肠造口状态', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.400', NULL, '后发性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.801', NULL, '混合性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.200', NULL, '并发性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.102', NULL, '基底动脉狭窄', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R77.200', NULL, '甲胎蛋白异常', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他立克次体病', 'Z94.700', NULL, '角膜移植状态', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.301', NULL, '回肠溃疡', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.802', NULL, '颈静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G50.001', NULL, '眶上神经痛', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.003', NULL, '急性肝衰竭', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.000', NULL, '急性髓细胞白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D27.x01', NULL, '梅格斯综合征', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.602', NULL, '颞颌关节综合征', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.400', NULL, '皮肤慢性溃疡，不可归类在他处者', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.807', NULL, '全身型肌张力障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.900', NULL, '瘙痒(症)', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N46.x02', NULL, '少精症', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.901', NULL, '脱髓鞘病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.905', NULL, '胃黏膜病变', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N46.x01', NULL, '无精症', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T13.900', NULL, '下肢损伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.302', NULL, '小肠溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.303', NULL, '牙体缺损', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.002', NULL, '牙齿缺少', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M81.400', NULL, '药物性骨质疏松', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N93.900', NULL, '异常的子宫和阴道出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.100', NULL, 'B-细胞淋巴瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.500', NULL, '白色糠疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.901', NULL, '迟发性运动障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F95.900', NULL, '抽动障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.202+G53.0*', NULL, '带状疱疹性神经痛', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.201', NULL, '富兰克林病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.000x004', NULL, '淋巴水肿', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.801', NULL, '胃黏膜肠上皮化生', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.000+G99.2*', NULL, '腰和其他椎间盘疾患伴有脊髓病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.600', NULL, '肢痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.002', NULL, '痛风性关节炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.101', NULL, '瘢痕性幽门梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.101+G99.2*', NULL, '脊髓型颈椎病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.201', NULL, '神经根型颈椎病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.900', NULL, '脊椎关节强硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.803', NULL, '脑动脉供血不足', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.101', NULL, '颈肩综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.400x003', NULL, '膝关节副韧带损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.103', NULL, '干眼综合征', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F48.001', NULL, '疲劳综合征', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.000', NULL, '不稳定型心绞痛', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O21.000', NULL, '轻度妊娠剧吐', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.200x005', NULL, '嗜铬细胞瘤性高血压', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.019', NULL, '小脑脑桥角脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A07.000', NULL, '小袋纤毛虫病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.602', NULL, '小阴茎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.010', NULL, '小颌畸形', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A63.000', NULL, '肛门生殖器(性病性)疣', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.400', NULL, '尺骨和桡骨骨干均骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.200', NULL, '尺神经损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.200', NULL, '尺骨干骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.001', NULL, '鹰嘴骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D81.900', NULL, '联合免疫缺陷', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.301', NULL, '尾骨痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.200', NULL, '尾骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L22.x00', NULL, '尿布皮炎', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.800x007', NULL, 'A-V征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.204', NULL, '异染性脑白质营养不良', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.103', NULL, '链球菌感染综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.801', NULL, '结节性血管炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P36.000', NULL, 'B族链球菌性新生儿脓毒症', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.406', NULL, 'Castleman病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C86.600', NULL, '原发性皮肤CD30阳性T细胞增殖性病变', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.100x002', NULL, 'GM1神经节苷脂贮积症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.506', NULL, 'Fuchs角膜内皮营养不良', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人类免疫缺陷病毒[HIV]病', 'B24.x00', NULL, '人类免疫缺陷病毒[HIV]病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.301', NULL, '卡塔格内综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L92.200', NULL, '面部肉芽肿[皮肤嗜酸细胞肉芽肿]', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.203', NULL, '家族遗传性视神经萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.100x002', NULL, '脊髓小脑性共济失调', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.401', NULL, '肥大性肺性骨关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.801', NULL, '米里齐综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.600x003', NULL, '莫顿跖痛症[Morton病]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.200x601', NULL, '胸腺发育不全', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C34.102', NULL, '肺上沟恶性肿瘤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.801', NULL, 'POEMS综合征', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.000x015+M01.1*', NULL, '结核性风湿病[篷塞病]', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.405', NULL, '雀斑痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.502', NULL, '角膜营养不良', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O36.001', NULL, 'Rh血型不合', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P55.000x002', NULL, '新生儿Rh血型不合溶血性贫血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.503', NULL, '施塔加特病', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.404', NULL, '边缘性角膜变性', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I60.902+H45.0*', NULL, '眼-脑综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.102', NULL, '浅层点状角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.102', NULL, '肉芽肿性葡萄膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.408', NULL, '结核性结节性红斑', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.103', NULL, '灰色血小板综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.000x002', NULL, 'α1-抗胰蛋白酶缺乏症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G90.800x004', NULL, 'β受体亢进综合征[β受体过敏综合征]', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.702', NULL, '血管免疫母细胞淋巴结病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C84.401', NULL, '血管免疫母细胞性T-细胞淋巴瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.806', NULL, '肾小管酸中毒Ⅳ型', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.000', NULL, 'Ⅰ度房室传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.300', NULL, '三叉神经损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I07.000', NULL, '三尖瓣狭窄', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.811', NULL, '血管内血管瘤病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.805', NULL, '上肢深静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.106', NULL, '上腔静脉综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C31.000', NULL, '上颌窦恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.302', NULL, '下丘脑综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S63.000x011', NULL, '下尺桡关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000x006', NULL, '下疳样脓皮病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.601', NULL, '下腔静脉后输尿管', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.202', NULL, '颌下间隙感染', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.812', NULL, '鲍曼不动杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.600x005', NULL, '鲍曼不动杆菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.206', NULL, '不稳定血红蛋白病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及神经和肌肉骨骼系统的症状和体征', 'R25.803', NULL, '异常不随意运动', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x021', NULL, '丘疹性血管增生', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.100', NULL, '急性丙型肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.205+N08.0*', NULL, '丙型肝炎相关性肾炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D55.204', NULL, '丙酮酸激酶缺乏性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A83.200', NULL, '东方马脑炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.102', NULL, '肺中叶综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.101', NULL, '脉络膜萎缩', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.300x006', NULL, '原发中枢神经系统弥漫大B细胞淋巴瘤', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C94.700x004', NULL, '中枢神经系统白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.700x002', NULL, '中枢神经系统原发性血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.901', NULL, '中枢神经系统肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A48.300', NULL, '中毒性休克综合征', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.301', NULL, '中毒性白内障', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.000x013', NULL, '中毒性紫癜', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.000', NULL, '中毒性红斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D74.801', NULL, '中毒性高铁血红蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E29.106', NULL, '雄激素部分缺乏综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.900x004', NULL, '葡萄膜炎[色素膜炎]', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.600x008', NULL, '丹吉尔病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.400', NULL, '主动脉弓综合征[高安病]', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B19.900x001+M03.2*', NULL, '病毒性肝炎相关性关节炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.103+N08.0*', NULL, '乙型肝炎相关性肾炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K43.500', NULL, '造口旁疝，不伴梗阻和坏疽', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D24.x01', NULL, '乳头的腺瘤', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x00x004', NULL, '乳头炎', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.001', NULL, '乳头皲裂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.000x001', NULL, '乳腺囊肿', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D04.501', NULL, '乳房皮肤原位癌', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D05.100', NULL, '乳房导管原位癌', '乳腺--肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.901', NULL, '棘球蚴病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.000', NULL, '神经纤维瘤病(非恶性)', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.811', NULL, '乳腺结核', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '未特指的精神障碍', 'Z90.100', NULL, '乳房后天性缺失', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P24.901', NULL, '新生儿吸入性肺炎', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.300', NULL, '与分娩无关的乳溢', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O92.600', NULL, '乳溢', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.002', NULL, '特发性脂肪痢', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.807', NULL, '乳糜胸', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.000', NULL, '乳糜泻[腹腔病]', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.400', NULL, '乳管扩张症', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.200x007', NULL, '乳房皮肤继发恶性肿瘤', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x009', NULL, '乳房错构瘤', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.300', NULL, '二尖瓣、主动脉瓣和三尖瓣的合并疾患', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.000', NULL, '二尖瓣和主动脉瓣的疾患', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.100', NULL, 'Ⅱ度房室传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.000', NULL, '氧化氮类的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.100', NULL, '二氧化硫的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.300x001', NULL, '葡萄糖及半乳糖吸收不良', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.800x005', NULL, '亚临床甲状腺功能亢进', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.400', NULL, '亚急性坏死性脊髓炎', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.002', NULL, '亚急性感染性心内膜炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L93.100', NULL, '亚急性皮肤红斑狼疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.100', NULL, '亚急性硬化性全脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.302', NULL, '结节性非化脓性脂膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.801+G32.0*', NULL, '脊髓亚急性联合变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.103', NULL, '交感性眼炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G90.801', NULL, '交感神经链综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.201', NULL, '产褥期泌尿系感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O90.500', NULL, '产后甲状腺炎', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F53.101', NULL, '产褥期精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.800x014', NULL, '产碱杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O75.101', NULL, '产科休克', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O72.301', NULL, '产后播散性血管内凝血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G10.x00', NULL, '亨廷顿病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G10.x01+F02.2*', NULL, '亨廷顿病性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.100', NULL, '人为性皮炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.300', NULL, '脂膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.400x002', NULL, '人乳头瘤病毒感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F48.100', NULL, '人格解体-现实解体综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.800', NULL, '疱疹病毒感染，其他形式的', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.906+H28.1*', NULL, '代谢性白内障', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.301', NULL, '代谢性碱中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.201', NULL, '代谢性酸中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D22.601', NULL, '肩黑素细胞痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H30.801', NULL, '原田病', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L65.000', NULL, '静止期脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.800x012', NULL, '会阴切口疝', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B33.801', NULL, '急性传染性淋巴细胞增多症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.301', NULL, '传染性湿疹样皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.300', NULL, '传染性红斑[第五病]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x020', NULL, '具脂肪瘤样痣的褶皱皮肤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E20.100', NULL, '假性甲状旁腺功能减退症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.900x001', NULL, '低增生性粒细胞性白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.100x002', NULL, '高胰岛素血症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.914', NULL, '婴儿纤维性错构瘤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.600x005', NULL, '痉挛性肠梗阻[假性肠梗阻]', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x00x017', NULL, '假性高血压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L83.x02', NULL, '假黑棘皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L66.000', NULL, '假性斑秃', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F22.003', NULL, '偏执状态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F22.002', NULL, '妄想狂', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.802', NULL, '僵人综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.000', NULL, '充血性心力衰竭', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.006', NULL, '先天性再生障碍性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.800x007', NULL, '先天性足副舟骨', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q27.301', NULL, '先天性动静脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q41.003', NULL, '先天性十二指肠闭锁', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q84.501', NULL, '先天性甲肥厚', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.800x006', NULL, '先天性垂直距骨', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q80.300', NULL, '先天性大疱性鱼鳞病样红皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q74.005', NULL, '先天性尺桡关节融合', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q71.501', NULL, '先天性尺骨缺如', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.200', NULL, '先天性巨输尿管', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q33.003', NULL, '先天性支气管囊肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.002', NULL, '先天性斜颈', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q71.401', NULL, '先天性桡骨缺如', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A50.900', NULL, '先天性梅毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A50.500x001', NULL, '先天性梅毒牙', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q12.000', NULL, '先天性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.700x002', NULL, '先天性白血病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼和附器的其他疾患', 'H55.x00x001', NULL, '先天性眼球震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.100x002', NULL, '先天性睾丸发育不良', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.810', NULL, '先天性短结肠', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.802', NULL, '先天性短食管', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.001', NULL, '先天性纯红细胞再生障碍性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.104', NULL, '先天性肌强直', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.505', NULL, '卡罗莱综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.705', NULL, '先天性肝囊肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.703', NULL, '先天性肝纤维化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.301', NULL, '先天性肠旋转不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.701', NULL, '先天性肺动静脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E25.004', NULL, '先天性肾上腺皮质增生症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.902', NULL, '先天性肾病综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q40.204', NULL, '先天性胃壁肌层缺损', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.400', NULL, '先天性胆总管囊肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.504', NULL, '先天性胆管扩张症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.800x018', NULL, '先天性胫骨假关节', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q79.000', NULL, '先天性膈疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q72.601', NULL, '先天性腓骨缺如', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.201', NULL, '先天性膝关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.812', NULL, '先天性长结肠', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P35.000', NULL, '先天性风疹综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.300', NULL, '先天性食管狭窄', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.300', NULL, '足的其他先天性内翻变形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q65.803', NULL, '先天性髋内翻', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.000', NULL, '光线性角化病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.800x007', NULL, '光气中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.100', NULL, '光泽苔藓', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E59.x01', NULL, '克山病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.204', NULL, '胎儿克拉伯病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.000', NULL, '克罗伊茨费尔特-雅各布病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.001+F02.1*', NULL, '克罗伊茨费尔特-雅各布病性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.902+M07.4*', NULL, '克罗恩病性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.500', NULL, '克里格勒-纳贾综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.000', NULL, '克里米亚-刚果出血热', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.805', NULL, '克雷伯杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N14.201', NULL, '药物性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人类免疫缺陷病毒[HIV]病', 'B20.600', NULL, '人类免疫缺陷病毒[HIV]病造成的卡氏肺囊虫肺炎[肺孢子虫病]', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A21.900x001', NULL, '兔热病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I78.000', NULL, '遗传性出血性毛细血管扩张', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.812', NULL, '脂肪萎缩', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.901', NULL, '黏液性水肿', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.405', NULL, '共同性斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M11.900', NULL, '结晶性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A02.800', NULL, '沙门菌感染，其他特指的', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J12.800', NULL, '病毒性肺炎，其他的', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F19.200', NULL, '使用多种药物和其他精神活性物质引起的依赖综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.901+G73.5*', NULL, '内分泌病性肌病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.400', NULL, '内生软骨瘤病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q26.800x001', NULL, '部分型肺静脉异位引流,镰刀综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A48.100', NULL, '军团病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J67.000', NULL, '农民肺', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F55.x00x702', NULL, '有机化合物所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.502', NULL, '冠状动脉起源异常', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.200', NULL, '冠状病毒感染', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.801', NULL, '冬令瘙痒症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.000x003', NULL, '冲浪运动员结节', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.105', NULL, '冷凝集素病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.102', NULL, '冷抗体型自身免疫性溶血性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.100', NULL, '冷球蛋白血症', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.101+N08.2*', NULL, '冷球蛋白血症性肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T69.100', NULL, '冻疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.903', NULL, '出血性脑梗死', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.902', NULL, '出血性膀胱炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.001', NULL, '急性输卵管炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A28.001', NULL, '巴斯德菌脓毒症', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.900x007', NULL, '分水岭脑梗死[边缘带脑梗死]', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.800x005', NULL, '分泌过多性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.402', NULL, '分离性垂直斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K43.200', NULL, '切口疝，不伴有梗阻和坏疽', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'T79.400', NULL, '创伤性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M12.500', NULL, '创伤性关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.400', NULL, '支气管损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T71.x00x002', NULL, '创伤性窒息', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.000x021', NULL, '肱骨后脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.805', NULL, '创伤性膈疝', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.100', NULL, '创伤性血胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M61.000', NULL, '外伤性骨化性肌炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.101', NULL, '利德尔综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A32.900', NULL, '利斯特菌病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A32.101+G01*', NULL, '利斯特菌性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.400x008', NULL, '前列腺膀胱内异位', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.900x001', NULL, '前列腺炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.200', NULL, '前列腺脓肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.500x012', NULL, '膝关节前十字韧带损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N75.000', NULL, '前庭大腺囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C51.001', NULL, '前庭大腺恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.500x002', NULL, '继发性青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.200x014', NULL, '深覆盖', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.800x022', NULL, '颈前纵韧带骨化', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O44.000x003', NULL, '前置胎盘', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O69.400', NULL, '产程和分娩并发前置血管', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S55.000x001', NULL, '前臂尺动脉损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.100x003', NULL, '骨间背侧神经卡压综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.000x006', NULL, '剥脱性唇炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L11.800', NULL, '皮肤棘层松解性疾患，其他特指的', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M93.200', NULL, '剥脱性骨软骨炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.102', NULL, '假性囊膜剥脱综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房恶性肿瘤', 'C50.902', NULL, '副乳腺恶性肿瘤', '乳腺--肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.800x002', NULL, '副流感病毒感染', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.300x001', NULL, '副溶血性弧菌食物中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B41.900', NULL, '副球孢子菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.700', NULL, '副神经损伤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.800x008', NULL, '亚急性小脑变性', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.900x010+G05.8*', NULL, '副肿瘤相关性边缘叶脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L41.900', NULL, '副银屑病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N91.200x002', NULL, '下丘脑性闭经', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A83.500', NULL, '加利福尼亚脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.300x005', NULL, '加速性室性自主心律', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.500', NULL, '动脉瘤性骨囊肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.000x017', NULL, '缺血性视网膜病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.010', NULL, '动静脉血管瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.300', NULL, '心内膜心肌(嗜酸性)病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '由衣原体引起的其他疾病', 'A74.000+H13.1*', NULL, '衣原体结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.403', NULL, '散发性包涵体肌炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N47.x00x001', NULL, '包茎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.700x002', NULL, '匍行性血管瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H30.902', NULL, '脉络膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L87.200', NULL, '匐行穿孔性弹性组织变性', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L25.000', NULL, '化妆品引起的接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.200', NULL, '化脓性汗腺炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.000', NULL, '化脓性眼内炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.100', NULL, '门静脉炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.917', NULL, '颅骨骨髓炎', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.100x081', NULL, '胆管损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F19.900x007', NULL, '药物源性精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.604', NULL, '十二指肠瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.104', NULL, '十二指肠憩室', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.405', NULL, '十二指肠损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K46.902', NULL, '肠系膜内疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D01.405', NULL, '十二指肠原位癌', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.600x006', NULL, '反流性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.200', NULL, '十二指肠良性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I86.812', NULL, '十二指肠静脉曲张伴出血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.201', NULL, '半乳糖血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.400x101', NULL, '先天性半椎体畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B66.101', NULL, '华支睾吸虫感染', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.001', NULL, '单侧肺气肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q60.000', NULL, '单侧肾缺如', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.900x091', NULL, '外生骨疣', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.400', NULL, '单一性骨囊肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C93.900', NULL, '单核细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N62.x00x004', NULL, '乳腺增生', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.300+N77.1*', NULL, '外阴和阴道念珠菌病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.103', NULL, '寰枢椎脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J82.x00x001', NULL, '肺嗜酸性粒细胞增多症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J82.x00x005', NULL, '吕弗勒综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.400+G05.1*', NULL, '疱疹病毒性脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.500x009+H22.0*', NULL, '疱疹病毒性葡萄膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.501+H19.1*', NULL, '疱疹病毒性角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q63.200', NULL, '异位肾', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M12.100', NULL, '卡斯钦-贝克病[大骨节病]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M05.103+J99.0*', NULL, '类风湿尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.501+J17.2*', NULL, '卡式肺孢子虫病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.001', NULL, '卡波西水疱样疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C46.900', NULL, '卡波西肉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B66.400', NULL, '并殖吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.100x003', NULL, '卵巢交界性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.800x017', NULL, '卵巢冠囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.900', NULL, '卵巢功能障碍', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'Z90.700x006', NULL, '后天性卵巢缺失', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.200', NULL, '卵巢妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C45.700x004', NULL, '卵巢间皮瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿生殖系统的其他疾患', 'N99.801', NULL, '残余卵巢综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.204', NULL, '卵巢浆液性囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.805', NULL, '卵巢破裂', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.104', NULL, '卵巢积水', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.101', NULL, '出血性卵巢黄体囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.205', NULL, '卵巢黏液性囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.000x002', NULL, '格拉夫卵泡囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.402', NULL, '厚皮性骨膜病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.000x004', NULL, '血卟啉病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.900x001', NULL, '原发性免疫疾病相关性淋巴增殖性疾病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x031', NULL, '乳腺淋巴瘤', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.200', NULL, '意义未明的单克隆丙种球蛋白病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.200x003', NULL, '单克隆免疫球蛋白沉积病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q15.004', NULL, '婴幼儿型青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.006', NULL, '小肠淋巴管扩张', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.304', NULL, '原发性小肠溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.000', NULL, '瓦尔登斯特伦巨球蛋白血症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.100', NULL, '原发性开角型青光眼', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x041', NULL, '心脏淋巴瘤', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.203', NULL, '原发性急性闭角型青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.202', NULL, '慢性闭角型青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.100x001', NULL, '冷球蛋白血症性血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.801', NULL, '原发渗出性淋巴瘤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.000', NULL, '原发性甲状旁腺功能亢进症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x036', NULL, '甲状腺淋巴瘤', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N94.400', NULL, '原发性痛经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.200x009', NULL, '原发皮肤浆细胞瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C82.600', NULL, '皮肤滤泡中心细胞淋巴瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统其他和未特指的疾患', 'I95.100', NULL, '直立性低血压', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.700x006', NULL, '原发性系统性淀粉样变性', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.201', NULL, '纤维蛋白原缺乏血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.403', NULL, '肠系膜肿瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x020', NULL, '脾淋巴瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.100x010', NULL, '腮腺淋巴管瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.906', NULL, '原发性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C48.200', NULL, '腹膜恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.501', NULL, '视网膜色素变性', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B60.200x001+G05.2*', NULL, '原发性阿米巴性脑膜脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.400x014', NULL, '局限性淀粉样变性', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q15.005', NULL, '青少年型青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.401', NULL, '慢性原发性(特发性)骨髓纤维化', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x002', NULL, '鼻腔淋巴瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.900x002', NULL, '藻菌病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.200', NULL, '双分支传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q60.100', NULL, '双侧肾缺如', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x013', NULL, '双向性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.805', NULL, '眼上斜肌麻痹', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q40.201', NULL, '胃重复畸形', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.500', NULL, '重复输尿管', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L87.100', NULL, '反应性穿通性胶原病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.801', NULL, '发作性嗜睡强食综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L24.800', NULL, '刺激性接触性皮炎，其他物质引起的', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.800x001', NULL, '发疹性毳毛囊肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.000x005', NULL, '变应性皮肤血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q81.200', NULL, '营养不良性大疱性表皮松解症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.800', NULL, '食物中毒，其他特指的细菌性', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.500', NULL, '叠瓦癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L71.000', NULL, '口周皮炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.200x011', NULL, '口底多间隙感染', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.100', NULL, '遗传性椭圆形红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.001', NULL, '口腔念珠菌感染', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L43.901', NULL, '口腔扁平苔藓', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A59.800x001', NULL, '口腔毛滴虫感染', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.200x004', NULL, '口腔灶性上皮增生', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C06.900', NULL, '口恶性肿瘤', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.203', NULL, '口腔白斑', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.500', NULL, '口腔黏膜下纤维化', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L51.100', NULL, '大疱型多形性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500x022', NULL, '史密斯骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.103', NULL, '右束支传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L23.502', NULL, '塑料变应性接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G61.000', NULL, '吉兰-巴雷［格林-巴利］综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.102', NULL, '同型半胱氨酸血症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P61.001', NULL, '新生儿血小板减少性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.500x022', NULL, '膝关节后十字韧带损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.500x001', NULL, '十二指肠溃疡伴穿孔', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.000', NULL, '后天性动静脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.300', NULL, '后天性大疱性表皮松解', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.200', NULL, '先天性后尿道瓣', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.500', NULL, '遗传性角膜营养不良', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D71.x01', NULL, '慢性肉芽肿病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D33.308', NULL, '听神经良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.401', NULL, '四肢动脉栓塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.000x004', NULL, '内斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.303', NULL, '呼吸性碱中毒', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.800x006', NULL, '呼吸性细支气管炎伴间质性肺病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.203', NULL, '呼吸性酸中毒', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x039', NULL, '肺脑综合征所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.800x003', NULL, '呼吸道合胞病毒感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及循环和呼吸系统的症状和体征', 'R05.x01', NULL, '咳嗽晕厥综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.001', NULL, '咽后脓肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.300x022', NULL, '咽异感症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.003', NULL, '咽旁脓肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.220', NULL, '咽旁间隙感染', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A67.900', NULL, '品他病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F91.900', NULL, '品行障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D00.002', NULL, '唇原位癌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.201', NULL, '梅尔克松-罗森塔尔综合征', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.800x012', NULL, '胎儿唇裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.000x001', NULL, '喉上神经麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J86.003', NULL, '气管食管瘘', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.201', NULL, '喉返神经麻痹', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S10.001', NULL, '喉挫伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.008', NULL, '嗅沟脑膜瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.800x010', NULL, '嗜水气单胞菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.806', NULL, '嗜碱粒细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.801', NULL, '嗜酸性粒细胞增多-肌痛综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.807', NULL, '嗜酸细胞性膀胱炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T81.200x013', NULL, '操作中食管损伤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q61.900', NULL, '囊性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.100x006', NULL, '淋巴管瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B69.900', NULL, '囊虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.800x002', NULL, '四环素牙', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A68.900', NULL, '回归热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.600', NULL, '复发性脂膜炎[韦伯-克里斯琴]', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q80.900', NULL, '先天性鱼鳞病 ', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.200x006', NULL, '回旋状脉络膜萎缩', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.800x010', NULL, '固定性斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.800', NULL, '丘疹鳞屑性疾患，其他特指的', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.800x018', NULL, '遗传性对称性色素异常症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.100', NULL, '地图样舌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E00.900x004', NULL, '地方性克汀病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'A75.200', NULL, '地方性斑疹伤寒立克次体引起的斑疹伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E01.201', NULL, '地方性甲状腺肿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.300x002', NULL, '坏死性呼吸道肉芽肿病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L88.x00', NULL, '坏疽性脓皮症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K45.801', NULL, '坐骨大孔疝', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S74.000x001', NULL, '坐骨神经损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.602', NULL, '垂体卒中', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.400', NULL, '埃博拉病毒病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q22.500', NULL, '埃布斯坦异常', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q79.600', NULL, '埃勒斯-当洛斯综合征', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.800x901', NULL, '痣样基底细胞癌综合征[Gorlin综合征]', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.000x004', NULL, '堪萨斯分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.802', NULL, '增殖性脓皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D07.401', NULL, '凯拉增殖性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.100', NULL, '毛根鞘囊肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.200', NULL, '增生性视网膜病变，其他的', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.101', NULL, '法特壶壶腹周围恶性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.000', NULL, '复发性口腔阿弗他溃疡', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.001', NULL, '复发性坏死性黏膜腺周炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M94.100', NULL, '复发性多软骨炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G03.001', NULL, '无菌性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K28.300x001', NULL, '急性胃空肠溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.800', NULL, '局限于皮肤的其他血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L11.100', NULL, '短暂性棘皮松解皮肤病[格罗弗]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.906', NULL, '复发性腹股沟疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.301', NULL, '腹膜后肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M12.300', NULL, '复发性风湿病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M22.000', NULL, '复发性髌骨脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B71.100', NULL, '复孔绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L59.000', NULL, '火激红斑[火激皮炎]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'T79.100x002', NULL, '创伤性脑脂肪栓塞', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.800x011', NULL, '创伤性颅内积气', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.203', NULL, '颈内动脉闭塞', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.100', NULL, '乳房脂肪坏死', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.803', NULL, '乳房血肿', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '损伤、中毒和外因的其他后果的后遗症', 'T90.503', NULL, '创伤性癫痫', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.100', NULL, '外伤性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.800x013', NULL, '创伤性硬脑膜下积液', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.808', NULL, '脂肪坏死', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.800x012', NULL, '创伤性脑积水', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G96.000x006', NULL, '创伤性脑脊液漏', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'T79.801', NULL, '创伤性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.002', NULL, '创伤性脾破裂', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.803', NULL, '创伤性腹膜后血肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.106', NULL, '颈内动脉海绵窦瘘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.301', NULL, '眼外伤所致的继发性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.005', NULL, '科茨病', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L56.200', NULL, '光接触性皮炎[香料皮炎]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.302', NULL, '外阴上皮内肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.800x004', NULL, '女性中肾管囊肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C46.700x001', NULL, '外阴卡波西肉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.201', NULL, '外阴蜂窝织炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.903', NULL, '外阴湿疹', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体外表面烧伤和腐蚀伤,按部位特指者', 'T21.000x057', NULL, '外阴烧伤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.300', NULL, '外阴发育不良', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.404', NULL, '外阴硬化性苔藓', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.100x019+N77.1*', NULL, '外阴结核', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.300x002', NULL, '外阴脂肪瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D28.000x001', NULL, '外阴黑色素痣', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x812', NULL, '外阴血管瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.810', NULL, '外阴象皮病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q83.100', NULL, '副乳房', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.500x007', NULL, '白点状视网膜营养障碍', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.802', NULL, '多发性内分泌腺瘤病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G35.x00', NULL, '多发性硬化', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q77.301', NULL, '先天性多发性骨骺发育不良', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.004+N08.1*', NULL, '多发性骨髓瘤肾损害', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F01.100', NULL, '多发脑梗死性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.000', NULL, '药物性张力失常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.900x001', NULL, '多发性脂肪瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.700', NULL, '多房棘球蚴感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q69.900', NULL, '多指[趾]畸形', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A28.000', NULL, '巴斯德菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x016', NULL, '女阴假性湿疣', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.101', NULL, '房性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.909', NULL, '多灶性运动神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.200x901', NULL, '多睾畸形', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R68.800x001', NULL, '多脏器功能衰竭', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.900', NULL, '基底核变性疾病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.900', NULL, '肌腱端病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O30.900', NULL, '多胎妊娠', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.800x001', NULL, '多重感染的肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.100', NULL, '多骨纤维性结构不良', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.600x001', NULL, '大动脉炎', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.901', NULL, '汗腺恶性肿瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.000', NULL, '大疱性类天疱疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q81.900', NULL, '大疱性表皮松解症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.801', NULL, '网膜囊肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.006', NULL, '大网膜粘连', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.602', NULL, '大网膜继发恶性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.001', NULL, '感染性胃肠炎', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.900', NULL, '结肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.500x003', NULL, '肠脂肪瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.901', NULL, '结肠腺瘤恶变', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.000x004', NULL, '大脑镰脑膜瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.201', NULL, '先天性大脑动静脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.006', NULL, '大脑镰旁脑膜瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.100', NULL, 'B细胞型慢性淋巴细胞白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E77.100x002', NULL, '天冬氨酰葡萄糖胺尿症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.900', NULL, '天疱疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B03.x00', NULL, '天花 ', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D22.100', NULL, '眼睑(包括眦)黑素细胞痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.817', NULL, '失盐综合征', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.000', NULL, '头皮浅表损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L21.002', NULL, '头皮糠疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000x008', NULL, '头皮糜烂脓疱性皮病', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.200', NULL, '基萨那[凯萨努]森林病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A92.000', NULL, '奇昆古尼亚病毒病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.000', NULL, '尿道瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D09.100x001', NULL, '尿道原位癌', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.300', NULL, '性高潮功能障碍', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D07.304', NULL, '女性生殖器官原位癌', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E30.000', NULL, '青春期延迟', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.000', NULL, '膀胱颈梗阻', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.900x004', NULL, '静脉血栓栓塞症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.003', NULL, '妊娠合并再生障碍性贫血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.800x006', NULL, '妊娠合并卵巢肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O10.001', NULL, '妊娠合并原有特发性高血压', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.504', NULL, '妊娠期合并支气管哮喘', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.100x001', NULL, '妊娠合并子宫肌瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.406', NULL, '妊娠合并宫颈肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.800x314', NULL, '妊娠合并尿道结石', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.800x414', NULL, '妊娠合并先天性房间隔缺损', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O23.001', NULL, '妊娠期肾盂肾炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.617', NULL, '妊娠合并胆囊炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.619', NULL, '妊娠合并急性胰腺炎', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O23.101', NULL, '妊娠期膀胱炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.600x001', NULL, '妊娠合并急性阑尾炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.222', NULL, '妊娠合并肾上腺皮质功能减退', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.600x011', NULL, '妊娠合并消化系统疾病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.100x012', NULL, '妊娠合并血液和造血器官疾病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.214', NULL, '妊娠合并甲状旁腺功能减退', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.216', NULL, '妊娠合并甲状腺功能亢进', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.400x011', NULL, '妊娠合并病毒性肝炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.306', NULL, '妊娠合并癫痫', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.809', NULL, '妊娠合并白血病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.224', NULL, '妊娠合并先天性肾上腺皮质增生', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.800x213', NULL, '妊娠合并硬皮病', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.425', NULL, '妊娠合并风湿性关节炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.811', NULL, '妊娠合并系统性红斑狼疮', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.107', NULL, '妊娠合并家族性红细胞增多症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.604', NULL, '妊娠合并肝硬化', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.607', NULL, '妊娠合并肠梗阻', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.506', NULL, '妊娠合并肺部感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.801', NULL, '妊娠合并肾病综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O22.902', NULL, '妊娠期静脉血栓形成', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.102', NULL, '妊娠合并血小板减少性紫癜', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.310', NULL, '妊娠合并重症肌无力', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.408', NULL, '妊娠合并风湿性心脏病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.400x033', NULL, '妊娠合并急性心肌梗死', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.802', NULL, '妊娠合并肾衰竭', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.607', NULL, '妊娠期急性脂肪肝', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.603', NULL, '妊娠合并肝损害', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.400', NULL, '妊娠疱疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.711', NULL, '妊娠合并痒疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.700x012', NULL, '妊娠合并瘙痒性荨麻疹性斑块', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.500', NULL, '舞蹈症，其他的', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O13.x01', NULL, '妊娠期短暂性高血压', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B66.500', NULL, '姜片虫病', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.100', NULL, '局部相关性(局灶性)(部分)症状性癫痫和伴有简单部分发作的癫痫综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F84.301', NULL, '婴儿痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.819', NULL, '婴儿型骨皮质肥厚', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D80.700', NULL, '婴儿期短暂性低丙球蛋白血症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原因不明确和原因不知的死亡', 'R95.900', NULL, '婴儿猝死综合征伴未提及尸体解剖', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.400x001', NULL, '婴儿痉挛症[West综合征]', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L70.400', NULL, '婴儿痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.100', NULL, '肉毒中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L01.006', NULL, '新生儿大疱性脓疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.100x001', NULL, '部分性脂肪营养不良', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.005', NULL, '先天性内斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P92.100x001', NULL, '新生儿胃食管反流', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.500', NULL, '子宫内翻', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.000', NULL, '子宫内膜腺性增生', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.000', NULL, '子宫的子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.111+N74.1*', NULL, '子宫内膜结核', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.300', NULL, '子宫复旧不全', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C55.x00', NULL, '子宫恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D26.100x002', NULL, '子宫腺肌瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.001', NULL, '子宫腺肌病', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D25.000x002', NULL, '子宫颈粘膜下平滑肌瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.200x011', NULL, '孟氏骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B42.900', NULL, '孢子丝菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (12936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.600x002', NULL, '直肠溃疡', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F81.900', NULL, '学习技能发育障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.200', NULL, 'Ⅲ度房室传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.900x013', NULL, '继发性肾损害', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.800x001', NULL, '室性并行心律', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.800x016', NULL, '室性逸搏', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.800x003', NULL, '室间隔膜部瘤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.901', NULL, '子宫积脓', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D06.900', NULL, '宫颈的原位癌', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.803', NULL, '宫颈妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.001', NULL, '家族性地中海热', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.401', NULL, '家族性混合性高脂血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.010', NULL, '家族性渗出性玻璃体视网膜病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.000', NULL, '家族性红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.802', NULL, '良性家族性天疱疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.001', NULL, '家族性高胆固醇血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.301', NULL, '宾斯旺格病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'A78.x00', NULL, 'Q热', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.806', NULL, '遗传性掌跖角化症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.410', NULL, '寻常性狼疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.900x006', NULL, '神经源性射精功能障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x042', NULL, '下丘脑错构瘤病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.113', NULL, '下腔静脉阻塞', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q56.000', NULL, '两性畸形，不可归类在他处者', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.106', NULL, '婴儿低血糖症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '染色体异常,不可归类在他处者', 'Q96.900', NULL, '特纳综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P72.200x001', NULL, '新生儿甲状腺功能减退症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.800x015', NULL, '胎儿肛门闭锁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P53.x00', NULL, '胎儿和新生儿出血性疾病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F93.000', NULL, '童年离别焦虑障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.200', NULL, '抗利尿激素分泌失调综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.901', NULL, '脑干损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.700x001', NULL, '先天性膀胱输尿管反流', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q65.200', NULL, '先天性髋脱位', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q03.900', NULL, '先天性脑积水', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R65.301', NULL, '非感染性多器官功能障碍综合征(MODS)', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F84.000x001', NULL, '儿童孤独症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.500', NULL, '肺动脉闭锁', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.001', NULL, '卡尔曼综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N02.900x001', NULL, '复发性血尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.000x201', NULL, '阿佩尔综合征[Apert综合征]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.203', NULL, '尼曼-皮克病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.101', NULL, '先天性肾盂输尿管连接部梗阻', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E26.802', NULL, '巴特综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.400', NULL, '心内膜弹力纤维增生症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J80.x01', NULL, '急性呼吸窘迫综合征', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J96.000', NULL, '急性呼吸衰竭', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J04.200', NULL, '急性喉气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.100', NULL, '早期发病的小脑性共济失调', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.001', NULL, '急性淋巴细胞性白血病，L1型', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.100', NULL, '急性胃炎，其他的', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A19.001', NULL, '急性血行播散型肺结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.000x003', NULL, '急性非淋巴细胞性白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N03.901', NULL, '慢性肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F95.201', NULL, '抽动秽语综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.202', NULL, '甲-髌综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D65.x00', NULL, '播散性血管内凝血［去纤维蛋白综合征］', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D33.902', NULL, '椎管内良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (12994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J21.900x002', NULL, '急性毛细支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.400', NULL, '气管内异物', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (12996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.101', NULL, '汞中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T75.100x001', NULL, '溺水', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (12998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体多个部位和未特指部位的烧伤和瘸蚀伤', 'T30.100', NULL, '一度烧伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (12999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.900x001', NULL, '甲状腺功能亢进症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.300x013', NULL, '儿童良性癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F80.300', NULL, '伴有癫痫的后天性失语［兰道-克勒夫纳综合征］', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.900', NULL, '白血病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M30.300', NULL, '黏膜皮肤淋巴结综合征[川崎病]', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.001', NULL, '戈尔登哈尔综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.800x004', NULL, '新生儿硬皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F50.000', NULL, '神经性厌食', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.008', NULL, '胎儿神经管缺陷', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神发育迟缓', 'F79.900', NULL, '精神发育迟缓，未提及行为缺陷', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.200x211+N08.3*', NULL, '糖尿病肾病I期', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C94.001', NULL, '红白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.100', NULL, '口炎，其他形式的', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.800x005', NULL, '结膜吸吮线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.100', NULL, '结节性硬化症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D84.800', NULL, '免疫缺陷，其他特指的', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.000', NULL, '核黄素缺乏', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E55.002', NULL, '维生素D缺乏性手足搐搦症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.302', NULL, '良性婴儿肌阵挛性癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P29.301', NULL, '新生儿持续性肺动脉高压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.001', NULL, '肺泡蛋白沉积症', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.808', NULL, '胃结石', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.406', NULL, '脂肪吸收不良', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.206', NULL, '进行性脊髓性肌萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T09.300', NULL, '脊髓损伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.200', NULL, '良性颅内高压', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.200x009', NULL, '中枢神经系统海绵样变性[卡纳万病]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.300x001', NULL, '脑血管畸形', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.000', NULL, '脾损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.919', NULL, '幼儿腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.300', NULL, '色素失调症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.201', NULL, '色素性荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养不良', 'E46.x00', NULL, '蛋白质-能量营养不良', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.600', NULL, '肠梗阻，其他和未特指的', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.205', NULL, '法布里病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A08.000', NULL, '轮状病毒性肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.828', NULL, '输尿管囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.803', NULL, '肾小管酸中毒Ⅰ型', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D80.300', NULL, '免疫球蛋白G［IgG］亚类的选择性缺乏', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E26.900', NULL, '醛固酮过多症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E60.x00', NULL, '饮食性锌缺乏', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.201', NULL, '阵发性室性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q53.902', NULL, '隐睾', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I62.900', NULL, '颅内出血(非创伤性)', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D46.700x007', NULL, '儿童骨髓异常增生综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.601', NULL, '迪宾-约翰逊综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.300', NULL, '黏多糖贮积症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K02.900x001', NULL, '龋病', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.508', NULL, '小汗腺痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x048', NULL, '小汗腺血管错构瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.400', NULL, '小肠损伤', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D01.402', NULL, '小肠原位癌', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.600x001', NULL, '耶尔森菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.201', NULL, '小肠肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x046', NULL, '小肠血管瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.403', NULL, '小肠重复畸形', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.018', NULL, '小脑幕脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A07.800x002', NULL, '肉孢子虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.101', NULL, '肉芽肿性前列腺炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.009', NULL, '唇肉芽肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C84.502', NULL, '皮肤淋巴瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.918', NULL, '肋骨骨髓炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.900x003', NULL, '肌张力障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.813', NULL, '肌疝', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.028+M01.1*', NULL, '肘关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.100', NULL, '肘关节脱位 ', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M21.102', NULL, '后天性肘内翻', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.506+I32.8*', NULL, '尿毒症性心包炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.501', NULL, '肾终末期疾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.200x006', NULL, '尿路软斑症', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.000', NULL, '尿道上裂', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q54.900', NULL, '尿道下裂', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.100', NULL, '尿道憩室', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C68.100', NULL, '尿道旁腺恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N35.900', NULL, '尿道狭窄', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.101', NULL, '泌尿系统结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.302', NULL, '先天性尿道闭锁', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.200', NULL, '尿道肉阜', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.300', NULL, '尿道黏膜脱垂', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E70.203', NULL, '褐黄病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C45.000', NULL, '胸膜间皮瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.300x002', NULL, '屈光参差', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.020', NULL, '斜坡脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A08.402', NULL, '病毒性胃肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F55.x00x703', NULL, '重金属所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.400', NULL, '左前分支传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.500', NULL, '左后分支传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.700', NULL, '左束支传导阻滞', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.000', NULL, '肢端肥大症和垂体性巨人症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P08.000', NULL, '特大婴儿', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.000x005', NULL, '巨大裂孔性视网膜脱离', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.600', NULL, '巨细胞动脉炎，其他的', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.500', NULL, '巨细胞动脉炎伴有风湿性多肌痛', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B25.000+J17.1*', NULL, '巨细胞病毒性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B25.900', NULL, '巨细胞病毒病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q38.200', NULL, '巨舌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.002', NULL, '巨颌症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A44.900', NULL, '巴尔通体病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.000', NULL, '巴德-基亚里综合征', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A48.400', NULL, '巴西紫热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.700', NULL, '巴雷特食管', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.004', NULL, '席恩综合征', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G20.x02+F02.3*', NULL, '帕金森病性痴呆', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.302+H19.2*', NULL, '带状疱疹性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.308+H19.0*', NULL, '带状疱疹性巩膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.402', NULL, '带状角膜病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B74.400x002', NULL, '常现丝虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.005', NULL, '干燥性鼻炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.008+G94.8*', NULL, '干燥综合征性中枢神经损害', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.500', NULL, '先天性平足', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x027', NULL, '平滑肌错构瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.012+M49.0*', NULL, '脊柱结核性截瘫', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M08.100', NULL, '幼年型关节强硬性脊椎炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M08.800x091', NULL, '幼年型特发性关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.102', NULL, '慢性粒细胞白血病t(9:22)(q34；q11)', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.201', NULL, '青少年疱疹样皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M33.000', NULL, '幼年型皮肌炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M08.000', NULL, '幼年型类风湿性关节炎', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.500', NULL, '急性粒-单核细胞白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D76.301', NULL, '黄色肉芽肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.300', NULL, '幼淋巴细胞白血病，B细胞型', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.100x002', NULL, '幽门梗阻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.201', NULL, '广州血管圆线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.800x001', NULL, '库鲁病[新几内亚震颤病]', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.805', NULL, '急性庚型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'A77.100', NULL, '康诺尔立克次体性斑疹热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.200x012', NULL, '真性球麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B81.000', NULL, '异尖线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.300', NULL, '食管穿孔', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.803', NULL, 'Fuchs综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B58.001+H32.0*', NULL, '弓形虫脉络膜视网膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A21.200', NULL, '肺土拉菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.800x003', NULL, '先天性掌跖角化病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.100x091', NULL, '弥漫性特发性骨肥厚[DISH病]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.400', NULL, '弥漫性(嗜酸细胞性)筋膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.600', NULL, '食管憩室', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.500', NULL, '弯曲菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.810', NULL, '弹性纤维假黄瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M45.x03+H22.1*', NULL, '强直性脊柱炎伴虹膜睫状体炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F42.900', NULL, '强迫性障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q13.405', NULL, '彼得异常', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.000x004', NULL, '微小病变性肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.300', NULL, '细小病毒感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.300x002', NULL, '细小病毒B19感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.403', NULL, '微血管病性溶血性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.802', NULL, '心动过速性心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C45.200', NULL, '心包间皮瘤', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.806', NULL, '心室肌致密化不全', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.201', NULL, '心尖肥厚型心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.500x004', NULL, '房内传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A03.000x001', NULL, '痢疾志贺菌痢疾', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q84.101', NULL, '先天性念珠状发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.300', NULL, '念珠状红苔藓', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.900', NULL, '念珠菌病', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.200x002', NULL, '急性出血性坏死性肠炎', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.211', NULL, '化脓性腮腺炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.200x001', NULL, '急性卡他性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.000x006', NULL, '急性右心衰竭', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G36.101', NULL, '急性出血性白质脑炎', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.200x002', NULL, '急性多发性龈脓肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D62.x00', NULL, '急性出血后贫血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.000', NULL, '急性应激反应', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.001', NULL, '急性感染性心内膜炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.001', NULL, '急性播散性脑脊髓炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.400', NULL, '急性早幼粒细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.301', NULL, '急性横贯性脊髓炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I30.000', NULL, '急性非特异性特发性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.500x004', NULL, '急性创伤性硬脑膜下血肿', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.101', NULL, '急性糜烂性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.001', NULL, '急性肠系膜淋巴结炎', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.001', NULL, '急性肺源性心脏病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.000', NULL, '急性血源性骨髓炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.800x005', NULL, '急性视网膜坏死综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H30.800x002', NULL, '急性视网膜色素上皮炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.200x004', NULL, '急性间歇性卟啉病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.800x007', NULL, '急性间质性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.000', NULL, '髌骨脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.000x002', NULL, '急性龈乳头炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N01.900x003', NULL, '急进性肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F66.900', NULL, '性心理发育障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F48.900', NULL, '神经症性障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F40.900', NULL, '恐怖性焦虑障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.000x006+L99.8*', NULL, '恙螨皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痔疮和肛周静脉血栓形成', 'Z85.701', NULL, '恶性淋巴瘤个人史', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.906+D63.0*', NULL, '肿瘤性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.800x004', NULL, '恶性萎缩性丘疹病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养不良', 'E40.x00', NULL, '夸希奥科病［恶性营养不良病］', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.901', NULL, '恶性蓝痣', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.715', NULL, '血管内皮瘤病', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.900x003', NULL, '恶性雀斑样痣', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x02', NULL, '恶性高血压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.004', NULL, '高血压性视网膜病变', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.900', NULL, '皮肤恶性黑色素瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F39.x00', NULL, '心境［情感］障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.802+M14.8*', NULL, '惠普尔病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F24.x00', NULL, '感应性妄想性障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.000x001', NULL, '感染性口角炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.900x007', NULL, '感染性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.600', NULL, '胸腹主动脉瘤，未提及破裂', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.406', NULL, '血小板减少性紫癜', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000x007', NULL, '慢性乳头状溃疡性脓皮病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.903', NULL, '肩区筋膜炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N11.000', NULL, '与反流有关的非梗阻性慢性肾盂肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J96.100', NULL, '慢性呼吸衰竭', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.100', NULL, '嗜酸性粒细胞增多', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.300x005', NULL, '淋巴细胞性甲状腺炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K51.000', NULL, '溃疡性(慢性)全结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D53.901', NULL, '慢性单纯性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.500x002', NULL, '创伤性硬脑膜下血肿', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.401', NULL, '创伤性闭合性硬膜外血肿', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.500x002', NULL, '慢性纤维性甲状腺炎', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.500x001', NULL, '慢性纵隔炎', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.001', NULL, '肥大性鼻炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J86.901', NULL, '化脓性胸膜炎', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.201', NULL, '慢性膀胱炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.100x013', NULL, '自律性增高性房性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.400', NULL, '慢性萎缩性肢端皮炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.500', NULL, '慢性血源性骨髓炎，其他的', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.400x001', NULL, '慢性进行性眼外肌麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.201', NULL, '慢性酒精中毒', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S10.900', NULL, '颈部的浅表损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.205', NULL, '皮肤念珠菌病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.805', NULL, '布鲁咯哒综合征[Brugada综合征]', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.201', NULL, '戈谢病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.500', NULL, '成人T-细胞淋巴瘤/白血病[HTLV-1-相关性]', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N62.x00x001', NULL, '巨乳症', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M06.100', NULL, '成年型斯蒂尔病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.200', NULL, '痒疹，其他的', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M34.802', NULL, '布施克硬肿病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.100', NULL, '成人肥厚性幽门狭窄', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.901', NULL, '腹股沟斜疝', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.300', NULL, '使用酒精引起的戒断状态', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '单胎顺产', 'A79.000', NULL, '战壕热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.200x001', NULL, '结性期前收缩[交界性过早搏动]', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.403', NULL, '结性逸搏', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.100x005', NULL, '房室折返性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.100x004', NULL, '房室结折返性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.300', NULL, '房室传导阻滞，其他和未特指的', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.800x015', NULL, '房性逸搏', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J36.x00', NULL, '扁桃体周脓肿', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C09.900', NULL, '扁桃体恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.900x093', NULL, '狭窄性腱鞘炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K44.900x001', NULL, '膈疝', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S66.300x009', NULL, '手部指伸肌腱损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S65.500', NULL, '手指血管损伤,其他的', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x011', NULL, '扩张孔', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.101', NULL, '扭转痉挛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.501', NULL, '抗活化蛋白C症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.605', NULL, '抗磷脂抗体综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A96.200', NULL, '拉沙热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F63.300', NULL, '拔毛狂', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.100', NULL, '持久性隆起性红斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.002', NULL, '持续性枕后位难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.001', NULL, '持续性枕横位难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.200', NULL, '持续性肢端皮炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.100', NULL, '指节垫', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S63.100x011', NULL, '掌指关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.019+M90.0*', NULL, '掌骨结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.900x073', NULL, '掌跖纤维瘤病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.300', NULL, '掌跖脓疱病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.900', NULL, '接合菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.000x017', NULL, '变应性接触性唇炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.400', NULL, '婴儿丘疹性肢皮炎[詹诺托-克罗斯蒂]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.402', NULL, '黑变病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.800', NULL, '毛囊疾患，其他特指的', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A56.200', NULL, '泌尿生殖道的衣原体感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.006', NULL, '支气管肉芽肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q32.400x002', NULL, '先天性支气管发育不全', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.417', NULL, '支气管源性囊肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.003', NULL, '支气管结石', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.803', NULL, '放射性多神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.900x009', NULL, '放射性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E89.002', NULL, '放射后甲状腺功能减退', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L58.900', NULL, '放射性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.000x001', NULL, '放射性肠炎', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J70.001', NULL, '放射性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.803', NULL, '放射性脊髓病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T66.x02+H47.5*', NULL, '放射性视神经损害', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K10.203', NULL, '颌骨放射性骨髓炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K20.x02', NULL, '放射性食管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A42.900', NULL, '放线菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.900x019', NULL, '散发性脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E70.300', NULL, '白化病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.902', NULL, '斑状皮肤萎缩', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '借助产钳和真空吸引器的单胎分娩', 'A75.900', NULL, '斑疹伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.805', NULL, '斯特奇-卡利舍-韦伯综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B45.100x002+G02.1*', NULL, '新型隐球菌脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.100', NULL, '新生儿中毒性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P96.804', NULL, '新生儿休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P70.400x001', NULL, '新生儿低血糖症', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P71.100x001', NULL, '新生儿低钙血症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P74.201', NULL, '新生儿低钠血症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P71.200', NULL, '新生儿低镁血症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E55.000x006', NULL, '新生儿佝偻病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.201', NULL, '先天性胆总管闭锁', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G00.902', NULL, '新生儿化脓性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P96.900x001', NULL, '新生儿反应低下', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P81.902', NULL, '新生儿发热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P92.000', NULL, '新生儿呕吐', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.200x001', NULL, '新生儿咽下综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P28.801', NULL, '先天性喉喘鸣', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P77.x01', NULL, '新生儿坏死性小肠结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.000', NULL, '新生儿硬化病[硬肿症]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P29.100', NULL, '新生儿心律失常', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P90.x00', NULL, '新生儿惊厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P74.000', NULL, '新生儿晚期代谢性酸中毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.301', NULL, '新生儿水肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P39.300', NULL, '新生儿泌尿道感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.902', NULL, '新生儿生理性黄疸', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.802', NULL, '新生儿皮下脂肪坏疽', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A33.x00', NULL, '新生儿破伤风', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '起源于围生期的其他疾患', 'P91.600', NULL, '新生儿缺氧缺血性脑病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P23.900', NULL, '先天性肺炎', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.800x009', NULL, '新生儿胃穿孔', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P36.901', NULL, '新生儿脓毒症', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.804', NULL, '胆汁淤积性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P70.801', NULL, '新生儿高血糖症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.501', NULL, '新生血管性青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.100x004', NULL, '旋前圆肌综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B75.x00', NULL, '旋毛虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.200x004', NULL, '垂体无功能良性肿瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.401', NULL, '甲状旁腺囊肿', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L74.400', NULL, '无汗症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.600', NULL, '无症状心肌缺血', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.800', NULL, '脑梗死，其他的', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.100x004', NULL, '亚急性非化脓性甲状腺炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.004', NULL, '睾丸缺如', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.200x002', NULL, '无脉络膜症', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.200x001', NULL, '日本血吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q12.800', NULL, '先天性晶状体畸形，其他的', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房恶性肿瘤', 'C50.900', NULL, '乳房恶性肿瘤', '乳腺--肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.406', NULL, '大田原综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.102', NULL, '春季角结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.600x011', NULL, '显微镜下多血管炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O72.202', NULL, '延迟性产后出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H27.100', NULL, '晶状体脱位', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.505', NULL, '晶状体溶解性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.200x001', NULL, '晶状体相关性葡萄膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.504', NULL, '晶状体脱位性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.503', NULL, '晶状体性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.500x008', NULL, '晶状体过敏性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B43.801', NULL, '暗丝孢霉病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D65.x04', NULL, '暴发性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B44.100x003', NULL, '曲霉球', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B44.900', NULL, '曲霉病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.100', NULL, '后天性掌跖角化病[皮肤角化病]', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.100x002', NULL, '月经期支气管哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x007', NULL, '月经疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C96.604', NULL, '朗格汉斯细胞组织细胞增生症 NOS', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.800x015', NULL, '血管瘤病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B39.500', NULL, '杜波依西变种组织胞浆菌病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x008', NULL, '束支折返性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.200', NULL, '条纹状苔藓', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.501', NULL, '松果体肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.100x082', NULL, '寰枕关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.022', NULL, '枕骨大孔区脑膜瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S12.100x002', NULL, '枢椎骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '染色体异常,不可归类在他处者', 'Q99.900', NULL, '染色体异常', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x033', NULL, '染色体异常所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B57.200x003', NULL, '慢性恰加斯病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500x001', NULL, '桡骨远端骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.101', NULL, '柯萨奇病毒感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.802', NULL, '根尖周囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.504', NULL, '格子状角膜营养不良', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F81.201', NULL, '格斯特曼综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.300', NULL, '桡神经损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.101', NULL, '桡骨头骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.300', NULL, '桡骨干骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.400', NULL, '桡骨茎突腱鞘炎[德奎尔万]', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500x002', NULL, '桡骨茎突骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500x003', NULL, '桡骨远端骨骺分离', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.102', NULL, '桡骨颈骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.000', NULL, '麦克尔憩室', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.706+M01.3*', NULL, '梅毒性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.700x015+H58.8*', NULL, '梅毒性眼病', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.005+I52.0*', NULL, '梅毒性心脏病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A51.402+H22.0*', NULL, '二期梅毒性葡萄膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A50.301+H19.2*', NULL, '梅毒性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.700x012+N08.0*', NULL, '梅毒性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.801', NULL, '梗阻性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J66.000', NULL, '棉屑沉着病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S33.700x002', NULL, '棘上韧带损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B60.100x004+H16.9*', NULL, '棘阿米巴性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A84.000x001', NULL, '森林脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.000x004', NULL, '椎动脉栓塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.001+G99.2*', NULL, '椎动脉型颈椎病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.400x013', NULL, '椎管内继发恶性肿瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.802', NULL, '椎间盘钙化', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.900', NULL, '分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E71.000', NULL, '槭糖尿病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.401', NULL, '肩先露难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.801', NULL, '橄榄体脑桥小脑萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.200', NULL, '正中菱形舌炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.103', NULL, '正常眼压性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G91.200', NULL, '正常压力脑积水', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.903', NULL, '残胃恶性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.301', NULL, '新生儿母乳性黄疸', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O36.101', NULL, 'ABO血型不合', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.003', NULL, '毒性弥漫性甲状腺肿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.201', NULL, '毒性结节性甲状腺肿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T63.001', NULL, '毒蛇咬伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T63.500x001', NULL, '接触鱼后中毒', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L44.000', NULL, '毛发红糠疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.803', NULL, '毛囊角化病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L65.200', NULL, '黏蛋白性脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x024', NULL, '毛囊皮脂腺囊性错构瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B81.200', NULL, '毛圆线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.801', NULL, '播散性阿萨希毛孢子菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A59.900', NULL, '滴虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.300', NULL, '毛状白斑', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x025', NULL, '毛盘瘤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.400', NULL, '多毛细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.300x001', NULL, '共济失调性毛细血管扩张症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.702', NULL, '毛细血管扩张性环状紫癜', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.300x001', NULL, '毛舌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.500', NULL, '毛霉病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A48.000', NULL, '气性坏疽', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.800', NULL, '膀胱炎，其他的', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.500', NULL, '支气管内异物', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.800x006', NULL, '气管梗阻', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S10.004', NULL, '气管挫伤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.301', NULL, '氟牙症', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.900x006', NULL, '氨基酸代谢病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.801', NULL, '氨气中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.401', NULL, '氯气中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B01.200+J17.1*', NULL, '水痘肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.300', NULL, '外部水蛭病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q14.003', NULL, '永存原发性玻璃体增生症', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.500x001+N08.0*', NULL, '流行性出血热[肾综合征出血热]', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C96.501', NULL, '汉-许-克病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L25.300', NULL, '化学产品引起的接触性皮炎，其他的', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.803', NULL, '早老症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L25.200', NULL, '染料引起的接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.801', NULL, '脂肪肉芽肿病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A59.000', NULL, '泌尿生殖系滴虫病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x00', NULL, '真菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.000', NULL, '埃及血吸虫引起的血吸虫病[泌尿道血吸虫病]', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.901', NULL, '泌尿系统肿瘤', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I78.803', NULL, '毛细血管扩张症', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F90.000x001', NULL, '注意缺陷与多动障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.300x004', NULL, '泪囊炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D31.502', NULL, '泪囊良性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.000', NULL, '泪腺炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.000x001', NULL, '洛博芽生菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.200', NULL, '流感嗜血杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J14.x00', NULL, '流感嗜血杆菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G00.000x001', NULL, '流感嗜血杆菌脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J10.000x001', NULL, '已知病毒的流感性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B30.301+H13.1*', NULL, '流行性出血性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他助产的单胎分娩', 'A75.001', NULL, '流行性斑疹伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B30.001+H19.2*', NULL, '流行性角膜结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.302', NULL, '浆细胞瘤', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.100', NULL, '浆细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.100x003', NULL, '海绵状淋巴管瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T69.000x002', NULL, '浸泡足', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A42.801', NULL, '涎腺放线菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.600', NULL, '涎腺黏液囊肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.900', NULL, '淀粉样变', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.101+G63.3*', NULL, '淀粉样变性周围神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.417+K93.8*', NULL, '淀粉样变肠道损害', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B74.900x005', NULL, '淋巴丝虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C86.601', NULL, '淋巴瘤样丘疹病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.613', NULL, '淋巴细胞性垂体炎', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A87.200x001+G02.0*', NULL, '淋巴细胞性脉络丛脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.302+H13.1*', NULL, '淋球菌性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.807+K67.1*', NULL, '淋球菌性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.900', NULL, '淋球菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.401+M01.3*', NULL, '淋球菌性关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.200x008', NULL, '淤积性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.202', NULL, '混合型卟啉病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.103', NULL, '高原性红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.802', NULL, '肾小管酸中毒', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.101', NULL, '混合性结缔组织病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L51.802', NULL, '渗出性多形红斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.103', NULL, '温抗体型自身免疫性溶血性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.804', NULL, '游走脾', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.800x001', NULL, '湄公血吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.100x002', NULL, '溃疡分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A69.000', NULL, '坏死性溃疡性口炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.400x013', NULL, '皮肤结核溃疡', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.913+M07.6*', NULL, '肠病性关节炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.400x004', NULL, '消化性溃疡伴出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.501', NULL, '消化性溃疡伴穿孔', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.300', NULL, '溶血-尿毒症综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O01.901', NULL, '妊娠滋养细胞病', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J62.001', NULL, '滑石粉尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q67.600', NULL, '漏斗胸', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.001', NULL, '灰泥角化症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A22.900', NULL, '炭疽', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.101', NULL, '热带痉挛性截瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.403', NULL, '焦油性黑变病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J60.x00', NULL, '煤炭工肺尘埃沉着病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B66.300', NULL, '片吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.300x003', NULL, '牙内吸收', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.200x010', NULL, '牙内陷', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.801', NULL, '牙根纵裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.802', NULL, '牙槽骨骨折', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S03.200', NULL, '牙脱位', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.800x005', NULL, '牙震荡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.100', NULL, '牙髓坏死', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.200x003', NULL, '牙髓钙化', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.003', NULL, '牙龈囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K06.803', NULL, '牙龈瘤', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K06.000', NULL, '牙龈退缩', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B68.100', NULL, '牛肉绦虫的绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.000x001', NULL, '牛痘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L56.401', NULL, '牛痘样水疱', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.010', NULL, '特发性低促性腺激素性性腺功能减退症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.102', NULL, '特发性嗜酸性粒细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.800x004', NULL, '特发性息肉样脉络膜血管病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.600', NULL, '黑色素形成减少的其他疾患', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.800x051', NULL, '股骨头缺血性坏死', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.104+J99.8*', NULL, '肺含铁血黄素沉积症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.104', NULL, '特发性肺间质纤维化', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q67.503', NULL, '先天性姿势性脊柱侧凸', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.000', NULL, '特发性震颤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B68.000', NULL, '猪肉绦虫的绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.801', NULL, '猩红热样红斑', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B04.x00', NULL, '猴痘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q45.100', NULL, '环状胰腺', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D57.100', NULL, '镰状细胞性贫血不伴有危象', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B38.900', NULL, '球孢子菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.400', NULL, '泌尿生殖系部位的念珠菌病，其他的', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.000', NULL, '生脓性肉芽肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L65.800x005', NULL, '生长期脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.900x004+I43.8*', NULL, '甲状腺功能减退性心脏病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x013', NULL, '甲状腺功能亢进所致精神障碍', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.801', NULL, '甲状腺激素抵抗综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.806+E35.0*', NULL, '甲状腺结核', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q56.100', NULL, '男性假两性畸形，不可归类在他处者', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N46.x00', NULL, '男性不育症', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.102', NULL, '生殖系统结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.200x009', NULL, '畸形中央尖', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B52.000', NULL, '三日疟原虫疟疾伴有肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.400x014', NULL, '疣状皮肤结核', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.805', NULL, '疣状肢端角化症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L13.000', NULL, '疱疹样皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.103', NULL, '疱疹样脓疱病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.807', NULL, '痛性眼肌麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A99.x00', NULL, '病毒性出血热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.101', NULL, '痉挛型脑性瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.200x005', NULL, '湿疹样紫癜', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.202', NULL, '疼痛性脂肪过多症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L74.300', NULL, '痱', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.100', NULL, '瘢痕性类天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L66.900', NULL, '瘢痕性脱发', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.800x002', NULL, '瘰疬分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.404', NULL, '瘰疬性皮肤结核', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.202', NULL, '皮肤癣菌疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.801', NULL, '癫痫性精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A97.100', NULL, '登革热伴预警', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A36.802+I41.0*', NULL, '白喉性心肌炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x00x016', NULL, '白大衣高血压', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A93.100', NULL, '白蛉热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.801', NULL, '继发性视网膜病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C84.400', NULL, '周围T细胞淋巴瘤，不可分类在他处', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.001', NULL, '皮克病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.002+F02.0*', NULL, '皮克病性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R61.000', NULL, '局限性多汗症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B40.900', NULL, '芽生菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.801', NULL, '慢性光化性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B55.100', NULL, '皮肤利什曼病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.600', NULL, '皮肤瘢痕的子宫内膜异位症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.402', NULL, '皮肤松弛', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.803', NULL, '皮肤淋巴细胞瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C81.702', NULL, '霍奇金肉芽肿', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A22.000', NULL, '皮肤炭疽', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A36.300', NULL, '皮肤白喉', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.900x001', NULL, '白细胞碎裂性血管炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.700x003', NULL, '皮肤白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L87.000', NULL, '皮肤穿入性毛囊和毛囊周角化病[克尔]', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.900x003', NULL, '皮肤纤毛性囊肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.900x001', NULL, '皮肤脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B87.000x001+L99.8*', NULL, '皮肤蝇蛆病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.700', NULL, '皮肤阿米巴病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.200', NULL, '多发性皮脂腺囊肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x018', NULL, '皮脂缺乏症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.803', NULL, '皮脂腺增生', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.900x001', NULL, '皮脂腺痣', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.803', NULL, '皮角', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.801', NULL, '盆腔炎性肿物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.300x011', NULL, '盖氏骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B73.x00', NULL, '盘尾丝虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L93.000', NULL, '盘状红斑狼疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.200', NULL, '盲袢综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.102', NULL, '直肠套叠', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.501', NULL, '直肠子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.600', NULL, '直肠损伤', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.300', NULL, '直肠脱垂', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.600', NULL, '直肠膨出', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N82.303', NULL, '直肠阴道瘘', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.105', NULL, '相对性红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q11.203', NULL, '真性小眼球', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D45.x00', NULL, '真性红细胞增多症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x19+M01.6*', NULL, '真菌性关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x15', NULL, '真菌性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.800', NULL, '真菌病，其他特指的', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x12', NULL, '真菌性食管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.210', NULL, '眶下间隙感染', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.003', NULL, '眼眶骨髓炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.600x005', NULL, '先天性眼外肌纤维化综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.802', NULL, '眼球后退综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.103', NULL, '眼眶炎性假瘤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.800x003', NULL, '眶内上皮样囊肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.000x002', NULL, '眼眶脓肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.001', NULL, '眶蜂窝织炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.204', NULL, '眶内血肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.700', NULL, '非霍奇金淋巴瘤的其他特指类型', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.100x001', NULL, '眼睑恶性黑色素瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.100', NULL, '着色性干皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B43.900', NULL, '着色真菌病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B43.800', NULL, '着色真菌病，其他形式的', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.100', NULL, '睑外翻', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.201', NULL, '睑球粘连', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.300', NULL, '眼睑皮肤松弛症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.300x001', NULL, '睡眠呼吸暂停低通气综合征', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C69.400', NULL, '睫状体恶性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.500x009', NULL, '恶性青光眼[睫状环阻滞性青光眼]', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.500x001', NULL, '睾丸女性化', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.900x010', NULL, '睾丸损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x012', NULL, '睾丸淋巴瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.007', NULL, '矢状窦旁脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B71.000', NULL, '膜壳绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.001+M90.0*', NULL, '骨结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J61.x01', NULL, '石棉肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J62.803', NULL, '矽肺', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D74.800x003', NULL, '硫化血红蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L92.800', NULL, '皮肤和皮下组织其他肉芽肿性疾患', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.811', NULL, '硬化性骨髓炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.000', NULL, '硬化萎缩性苔藓', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.102', NULL, '硬脊膜下脓肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.103', NULL, '硬脊膜外脓肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.008', NULL, '硬脑膜下脓肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.202', NULL, '先天性硬脑膜动静脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.009', NULL, '硬脑膜外脓肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.802', NULL, '碘原性甲状腺功能亢进症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.800x002', NULL, '磨牙症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.600', NULL, '脂蛋白缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.902', NULL, '社区获得性肺炎，非重症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.400', NULL, '神经元蜡样脂褐质贮积症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.101', NULL, '神经性表皮脱落', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.101', NULL, '神经性肌强直', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.300', NULL, '神经梅毒', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.502', NULL, '神经棘红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.907+G13.0*', NULL, '神经系统副肿瘤综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G60.800', NULL, '遗传性和特发性神经病，其他的', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A69.200x002+G63.0*', NULL, '莱姆病性神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.000', NULL, '感染，其他正痘病毒属的', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.300', NULL, '基质层和深层角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A93.200', NULL, '科罗拉多蜱热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O92.701', NULL, '产褥期积乳囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.900x002', NULL, '移植后淋巴增殖性疾病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T86.001', NULL, '移植物抗宿主反应', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.200', NULL, '先天性脊椎前移症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'T79.000', NULL, '空气栓塞(创伤性)', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.603', NULL, '空泡蝶鞍综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L66.400', NULL, '网状红斑性毛囊炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.800', NULL, '青光眼,其他的', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.800', NULL, '心律失常，其他特指的', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.801', NULL, '窦性心律失常', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D76.303', NULL, '窦性组织细胞增生伴巨大淋巴结病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.100x001', NULL, '窦房折返性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'A79.100', NULL, '螨立克次体性立克次体痘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'A77.000', NULL, '立氏立克次体性斑疹热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F93.900', NULL, '童年情绪障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F94.900', NULL, '童年社会功能障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.501', NULL, '第三腰椎横突综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q27.801', NULL, '先天性脊髓血管畸形', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A07.300', NULL, '等孢球虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J13.x00', NULL, '链球菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A26.900', NULL, '类丹毒', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.000', NULL, '药物性肌病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B78.900', NULL, '类圆线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C80.000', NULL, '恶性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.806', NULL, '类白血病反应', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J90.x00', NULL, '胸腔积液，不可归类在他处者', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.800', NULL, '肺炎，其他的,病原体未特指的', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.800x002', NULL, '脂性乌尔巴赫蛋白沉积症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A24.400', NULL, '类鼻疽', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A24.100x003', NULL, '类鼻疽肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.502', NULL, '粉刺样痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.815', NULL, '精囊囊肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C63.701', NULL, '精囊恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.800x027', NULL, '精囊结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C63.100', NULL, '精索恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x048', NULL, '糖尿病所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.000', NULL, '糖原贮积病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.001', NULL, 'Ⅰ型糖原贮积症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.003', NULL, 'Ⅱ型糖原贮积症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.005', NULL, 'Ⅴ型糖原贮积症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.300x054+H22.1*', NULL, '糖尿病性虹膜炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.600x043', NULL, '糖尿病性低血糖症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.700x022', NULL, '糖尿病性高血压', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.600x032', NULL, '糖尿病性牙周炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.400x370+G99.0*', NULL, '糖尿病性胃轻瘫', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.300x071+H36.0*', NULL, '糖尿病性视网膜病变', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.400x901+G99.0*', NULL, '糖尿病性脊髓病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.001', NULL, '糠秕孢子性毛囊炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.804', NULL, '系统性血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.804', NULL, '红斑性肢痛症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.100', NULL, '红癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.901', NULL, '红皮病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.002', NULL, '红细胞生成性卟啉病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D60.900x001', NULL, '纯红细胞再生障碍性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E24.100', NULL, '纳尔逊综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.505', NULL, '纵隔囊肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.201', NULL, '纵隔气肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.200', NULL, '帕金森型多系统萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.806', NULL, '线粒体DNA缺失', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.301', NULL, '线粒体脑肌病', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.301', NULL, '组织细胞吞噬性脂膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L04.902', NULL, '组织细胞坏死性淋巴结炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B39.900', NULL, '组织胞浆菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I30.102', NULL, '细菌性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.803', NULL, '细菌性角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.507+H19.0*', NULL, '巩膜结核', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.808+I32.0*', NULL, '结核性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A17.001+G01*', NULL, '结核性脑脊髓膜炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.201', NULL, '结肠血管扩张症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.000x001', NULL, '阿米巴肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.812', NULL, '结肠黑变病', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M30.000', NULL, '结节性多动脉炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.100', NULL, '结节性痒疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.410', NULL, '结节性筋膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L67.000', NULL, '结节性脆发病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.900', NULL, '结节病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.803+M63.3*', NULL, '结节病性肌炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.100', NULL, '绝经期和女性更年期状态', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.201', NULL, '绝经后尿道炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.100', NULL, '继发性红细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.017', NULL, '继发性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.803', NULL, '继发性骨髓纤维化', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E50.900', NULL, '维生素A缺乏病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E67.000', NULL, '维生素A过多症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E51.900x001', NULL, '维生素B1缺乏[硫胺素缺乏]', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.900', NULL, '维生素B缺乏病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E54.x00', NULL, '抗坏血酸缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.300x008+M90.8*', NULL, '维生素D依赖性佝偻病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E55.900', NULL, '维生素D缺乏病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E56.100', NULL, '维生素K缺乏病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.300', NULL, '马尔堡病毒病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.814', NULL, '铜绿假单胞菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.100', NULL, '慢性缩窄性心包炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x010', NULL, '多形性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.500', NULL, '缺血性心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.902', NULL, '缺血性肠病', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.004', NULL, '缺血性视神经病变', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D50.100', NULL, '缺铁性吞咽困难', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.000', NULL, '青斑血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.200x003', NULL, '肠系膜扭转', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B74.300', NULL, '罗阿丝虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.800x005', NULL, '羊痘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O41.800x001', NULL, '羊膜带综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O41.100', NULL, '羊膜囊和胎膜的感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.215', NULL, '翼下颌间隙感染', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M95.210', NULL, '翼钩过长', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.900', NULL, '主动脉瘤，未提及破裂', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E15.x00x001', NULL, '低血糖性昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I12.904', NULL, '肾小动脉硬化症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I38.x00x006', NULL, '心内膜炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.000', NULL, '心室颤动和扑动', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.500', NULL, '心脏传导阻滞，其他特指的', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.416+I43.1*', NULL, '淀粉样变心脏损害', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I46.100', NULL, '被描述为心脏性猝死', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.800x863', NULL, '恶性心包积液', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D53.900', NULL, '营养性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.002', NULL, '椎-基底动脉供血不足', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.222', NULL, '环咽肌痉挛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F48.901', NULL, '神经官能症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.900', NULL, '肺源性心脏病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C23.x00', NULL, '胆囊恶性肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C25.900', NULL, '胰恶性肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.400', NULL, '腹主动脉瘤，未提及破裂', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J93.100x001', NULL, '自发性气胸', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I60.900', NULL, '蛛网膜下出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.802', NULL, '医院获得性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.900x010', NULL, '急性肺栓塞', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.500', NULL, '外阴萎缩', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I38.x00x002', NULL, '老年性心脏瓣膜病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.803', NULL, '老年性皮肤萎缩', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.202', NULL, '老年性紫癜', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.500x005', NULL, '老年性舞蹈病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x00x007', NULL, '老年收缩期高血压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.201', NULL, '焦虑性抑郁症', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (13783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F34.102', NULL, '抑郁性人格障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F05.001', NULL, '老年性谵妄', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体外表面烧伤和腐蚀伤,按部位特指者', 'T20.002', NULL, '耳烧伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.902+H62.2*', NULL, '耳真菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M93.800x003', NULL, '耻骨骨软骨炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.800x017', NULL, '耻骨直肠肌肥厚症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.000x003', NULL, '职业性支气管哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L70.803', NULL, '职业性痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M21.001', NULL, '后天性肘外翻', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.202', NULL, '肘管综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.809', NULL, '肝动脉瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.800x016', NULL, '肝动脉闭塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.003', NULL, '肝性红细胞生成性卟啉病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.807', NULL, '肝性脊髓病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.800', NULL, '肝棘球蚴病', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.200', NULL, '肝母细胞瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.400', NULL, '紫癜样肝病', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.814+K77.0*', NULL, '肝结核', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.805', NULL, '肝肺综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.601', NULL, '肝肿瘤', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.810', NULL, '肝炎性假瘤', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.013', NULL, '肝血管瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.300', NULL, '肝血管肉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.001', NULL, '肝豆状核变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.003+F02.8*', NULL, '肝豆状核变性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.911', NULL, '肝错构瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A01.000x009', NULL, '伤寒并发肠穿孔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.200', NULL, '肠侵袭性大肠杆菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.300', NULL, '肠出血性大肠杆菌感染', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.500', NULL, '肠的子宫内膜异位症', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.201', NULL, '肠病性肢端皮炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.200', NULL, '肠瘘', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.800x061', NULL, '肠系膜动脉瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.316+K93.0*', NULL, '肠系膜淋巴结结核', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K46.901', NULL, '肠系膜裂孔疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.010', NULL, '肠系膜静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S75.000', NULL, '股动脉损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.400x110', NULL, '股动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S76.101', NULL, '股四头肌腱断裂', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.100x001', NULL, '股外侧皮神经炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K41.900x001', NULL, '股疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S74.100x001', NULL, '股神经损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.000x081', NULL, '股骨头骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.300', NULL, '股骨干骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.200', NULL, '转子下骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.400x031', NULL, '股骨髁上骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.401', NULL, '股骨髁骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.200x002', NULL, '肥厚型心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.800x091', NULL, '肥大性脊柱炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.200', NULL, '肥大细胞增生病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C94.300', NULL, '肥大细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.600x016', NULL, '肥胖-生殖无能综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.301', NULL, '关节不稳定', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.027+M01.1*', NULL, '肩关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.501', NULL, '肩峰下滑囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.100x021', NULL, '肩峰骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G58.800x006', NULL, '肩胛上卡压综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.100x041', NULL, '肩胛骨颈和肩关节盂骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.100x011', NULL, '肩胛骨体骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S45.100', NULL, '肱动脉损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.400x041', NULL, '肱骨内上髁骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.404', NULL, '肱骨内髁骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.402', NULL, '肱骨外髁骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.200x041', NULL, '肱骨大结节骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.400x093', NULL, '肱骨小头骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.403', NULL, '肱骨髁间骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q33.600', NULL, '肺发育不全和发育异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.404', NULL, '肺假性淋巴瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.702', NULL, '先天性肺动脉发育不全', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.200x012', NULL, '肺动脉高压', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E84.001', NULL, '肺囊性纤维化', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.901', NULL, '肺大疱', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B42.000+J99.8*', NULL, '肺孢子丝菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.100', NULL, '肺念珠菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.412', NULL, '肺损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A42.000', NULL, '肺放线菌病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.904', NULL, '肺棘球蚴病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.002', NULL, '肺泡微结石症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.412+J99.8*', NULL, '淀粉样变肺损害', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A40.300', NULL, '肺炎链球菌性脓毒症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B38.200', NULL, '肺球孢子菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B40.200', NULL, '肺芽生菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B39.200', NULL, '肺荚膜组织胞浆菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I28.800x007', NULL, '肺血管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A43.000', NULL, '肺诺卡菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.400', NULL, '肺铁末沉着病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A20.200', NULL, '肺鼠疫', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.407', NULL, '肾上腺皮质功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.501', NULL, '肾上腺髓质增生', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.812', NULL, '肾下垂', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.101', NULL, '肾动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.200x001', NULL, '肾动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.010', NULL, '肾动静脉瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q60.500', NULL, '肾发育不全', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.839', NULL, '肾周围炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.100x001', NULL, '肾实质性高血压', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.100', NULL, '肾性尿崩症', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.801', NULL, '肾性糖尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.000', NULL, '肾损伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.411+N29.8*', NULL, '淀粉样变肾损害', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N15.900x003', NULL, '肾皮质化脓性感染', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.101', NULL, '肾盂肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.501', NULL, '肾盂输尿管连接处狭窄', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.814', NULL, '肾盏憩室', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.600', NULL, '肾积脓', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.903', NULL, '肾错构瘤', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.900x010', NULL, '肿瘤性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.811', NULL, '胃下垂', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.200', NULL, '胃内异物', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.000', NULL, '急性胃扩张', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.400', NULL, '胃憩室', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.812', NULL, '胃扭转', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.300', NULL, '胃损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.500x001', NULL, '胃溃疡伴穿孔', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.812+K93.8*', NULL, '胃结核', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.500x008', NULL, '胃脂肪瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.816', NULL, '胃黏膜脱垂', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.500', NULL, '胆囊切除术后综合征', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.400', NULL, '胆囊胆固醇沉着症', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.501', NULL, '胆囊良性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.802', NULL, '胆固醇肺炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.803', NULL, '胆汁性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.104', NULL, '慢性胆石性胰腺炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.300', NULL, '胆石性肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q86.000', NULL, '胎儿酒精综合征(畸形的)', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O36.401', NULL, '胎死宫内', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O45.900', NULL, '胎盘早期剥离', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P24.001', NULL, '新生儿胎粪吸入综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.505', NULL, '胎记', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.002', NULL, '鸟-胞内复合分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.206', NULL, '胡桃夹食管', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S84.000x001', NULL, '胫后神经损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.201', NULL, '胫腓骨干骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.100x087', NULL, '胫骨平台骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.300x081', NULL, '胫骨远端骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.810', NULL, '胰瘘', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.300', NULL, '胰腺假囊肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.800x013', NULL, '胰腺囊性纤维性变', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q45.301', NULL, '异位胰腺', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.200x001', NULL, '胰腺损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K85.800x003', NULL, '胰腺脓肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.301', NULL, '胰高血糖素血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.900x002', NULL, '胶样粟丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.412', NULL, '胸壁结核', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.002', NULL, '胸廓出口综合征', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.201', NULL, '胸椎间盘突出', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E32.801', NULL, '胸腺囊肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.200', NULL, '胸锁关节脱位', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.700x201', NULL, '先天性胸骨裂', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S22.200', NULL, '胸骨骨折', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.920', NULL, '胸骨骨髓炎', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L84.x00x002', NULL, '胼胝', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.600x027+L99.8*', NULL, '糖尿病性糖尿病脂性渐进性坏死', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'T79.101', NULL, '脂肪栓塞综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.100x004', NULL, '脂肪营养不良', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.601+G73.6*', NULL, '脂质沉积性肌病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L60.301', NULL, '脆甲症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.302', NULL, '脉络膜出血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.802', NULL, '脉络膜新生血管', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.800x001', NULL, '脉络膜缺血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.400', NULL, '脉络膜脱离', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.000x006', NULL, '脉络膜脱离型视网膜脱离', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x805', NULL, '脉络膜血管瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.409', NULL, '脉络膜继发恶性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.100x001', NULL, '脊膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.900', NULL, '脊髓性肌萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q06.801', NULL, '先天性脊髓栓系综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.103', NULL, '脊髓缺血', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G03.902', NULL, '脊髓蛛网膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.402', NULL, '脐尿管囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.401', NULL, '脐尿管瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O69.001', NULL, '脐带脱垂', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.905', NULL, '脐炎', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.814', NULL, '胎儿脐膨出', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F01.902', NULL, '脑动脉硬化性精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.901+G07*', NULL, '脑型血吸虫病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.010', NULL, '脑室内脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.103', NULL, '脑干肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.900', NULL, '大脑性瘫痪［脑瘫］', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.402', NULL, '大脑动脉栓塞引起脑梗死', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.200x001', NULL, '脑桥中央髓鞘溶解症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.902', NULL, '脑棘球蚴病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A17.801+G07*', NULL, '脑结核瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A39.000+G01*', NULL, '脑膜炎球菌性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A39.400', NULL, '脑膜炎球菌血症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q01.900', NULL, '脑膨出', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q01.900x001', NULL, '脑膜脑膨出', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I66.903', NULL, '脑血栓形成', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.300x007', NULL, '脑静脉畸形', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000x001', NULL, '脓疱性细菌疹', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (13973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L01.000x013', NULL, '脓疱疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L66.200', NULL, '脱发性毛囊炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L21.100', NULL, '婴儿脂溢性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.811', NULL, '脾动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.400', NULL, '脾囊肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.805', NULL, '脾继发恶性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.901', NULL, '脾良性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S84.800x001', NULL, '腓总神经损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G60.003', NULL, '腓骨肌萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.029+M01.1*', NULL, '腕关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S85.000', NULL, '腘动脉损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.405', NULL, '腘动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.130', NULL, '腘血管陷迫综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇裂和腭裂', 'Q35.900', NULL, '腭裂', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.601', NULL, '腮腺囊肿', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C07.x00', NULL, '腮腺恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (13989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K45.807', NULL, '腰疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D21.900x013', NULL, '腱鞘良性肿瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (13991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.300', NULL, '腹主动脉瘤破裂', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (13992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.112', NULL, '腹主动脉狭窄', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.007', NULL, '腹主动脉下腔静脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K46.900x002', NULL, '腹内疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.100', NULL, '腹壁挫伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.800x006', NULL, '腹壁静脉炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.001', NULL, '腹直肌断裂', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.903', NULL, '腹股沟滑动疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (13999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.902', NULL, '腹股沟直疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A58.x00', NULL, '腹股沟肉芽肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.000', NULL, '腹腔妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.800x051', NULL, '腹腔干动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.505', NULL, '原发性腹膜后纤维化', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.702', NULL, '腹膜后脂肪瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.006', NULL, '腹膜后脓肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C45.100', NULL, '腹膜间皮瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.804', NULL, '硬化性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q79.300', NULL, '腹裂', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S35.900x001', NULL, '腹部血管损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.000x007', NULL, '腺性唇炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.809', NULL, '腺性膀胱炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A08.200', NULL, '腺病毒性肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.500', NULL, '膀胱和尿道先天性缺如', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.100', NULL, '膀胱外翻', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.300', NULL, '膀胱憩室', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.200', NULL, '膀胱损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.801', NULL, '膀胱白斑', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.108+N33.0*', NULL, '膀胱结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.401', NULL, '膀胱肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.701', NULL, '膀胱输尿管反流', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.009', NULL, '膈下脓肿', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.601', NULL, '膈肌麻痹', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.301', NULL, '系膜增生性肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.034+M01.1*', NULL, '膝关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.101', NULL, '臀先露难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S14.300', NULL, '臂丛损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.301', NULL, '食管破裂', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.103', NULL, '慢性自身免疫性胰腺炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L75.000', NULL, '臭汗症', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C86.000', NULL, '结外NK/T细胞淋巴瘤，鼻型', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.800x002', NULL, '致心律失常性右室心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.801', NULL, '舌下神经损伤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.212', NULL, '舌下间隙感染', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.004', NULL, '舌乳突炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.803', NULL, '舌咽神经损伤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.101', NULL, '舌咽神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S12.803', NULL, '舌骨断裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900x019', NULL, '舒张性心力衰竭', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L75.100', NULL, '色汗症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.101', NULL, '色素性青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M12.200', NULL, '绒毛结节性滑膜炎(色素沉着的)', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000x009', NULL, '芽生菌病样脓皮病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.000x003', NULL, '苍白球黑质红核色素变性', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.002', NULL, '范科尼综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B39.400', NULL, '荚膜组织胞浆菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.503', NULL, '药物性血小板减少性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.701', NULL, '药物性心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K06.100x002', NULL, '药物性牙龈增生', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M32.000', NULL, '药物性系统性红斑狼疮', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J30.300x001', NULL, '药物性鼻炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.600', NULL, '药物性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.100x012', NULL, '药物性口炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C96.000', NULL, '莱特雷尔-西韦病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D81.901', NULL, '获得性联合免疫缺陷', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.400x002', NULL, '获得性维生素K依赖因子缺乏症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.401', NULL, '萎缩性舌炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.600', NULL, '萎缩纹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x047', NULL, '营养代谢疾病所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.000x001', NULL, '葡萄球菌食物中毒', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.000', NULL, '葡萄球菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.002', NULL, '葡萄糖-6-磷酸酶缺乏', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J67.100', NULL, '蔗尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C84.000', NULL, '蕈样真菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.800x002', NULL, '虫霉病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B85.200', NULL, '虱病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H21.101', NULL, '虹膜新生血管', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.500X 001', NULL, '虹膜角膜内皮综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C69.400x005', NULL, '虹膜恶性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.003', NULL, '蚕蚀性角膜溃疡', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.402', NULL, '蛋白丢失性胃肠病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B77.800', NULL, '蛔虫病伴有其他并发症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B77.000', NULL, '蛔虫病伴有肠道并发症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.415', NULL, '蜂窝肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I78.102', NULL, '蜘蛛痣', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.400', NULL, '食物媒介的蜡样芽孢杆菌食物中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.001', NULL, '蝶骨嵴脑膜瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L83.x01', NULL, '融合性网状乳头瘤病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.001+L99.8*', NULL, '螨性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A25.000', NULL, '螺菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.000x003', NULL, '蠕形螨病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D66.x01', NULL, '血友病A型', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.800x002', NULL, '血影细胞性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.101', NULL, '血栓性血小板减少性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.902', NULL, '血栓性静脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.802', NULL, '血管内大B细胞淋巴瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G21.400', NULL, '血管性帕金森综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.500', NULL, '血管损伤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T78.300', NULL, '血管神经性水肿', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J30.000', NULL, '血管运动性鼻炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.203', NULL, '血红蛋白-E病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.200', NULL, '血胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.101', NULL, '血色病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.103', NULL, '血色病性心肌病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.602', NULL, '行军性血红蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A56.000', NULL, '下泌尿生殖道的衣原体感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A55.x00', NULL, '衣原体(性病性)淋巴肉芽肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.000', NULL, '表皮囊肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.507', NULL, '疣状表皮痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B70.000', NULL, '裂头绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B70.100', NULL, '裂头蚴病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.500', NULL, '裂沟舌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'A77.200', NULL, '西伯利亚立克次体性斑疹热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.300', NULL, '西瓦特皮肤异色病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.101', NULL, '视盘水肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H46.x02', NULL, '视盘炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D33.302', NULL, '视神经良性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.200', NULL, '视神经萎缩', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.204', NULL, '视网膜动脉栓塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.200x002', NULL, '出血性视网膜脱离', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.008', NULL, '视网膜血管炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.002', NULL, '视网膜静脉周围炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.802', NULL, '视网膜静脉阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.801', NULL, '角化棘皮瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.300x005', NULL, '角膜基质炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C69.100', NULL, '角膜恶性肿瘤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F80.900', NULL, '言语和语言发育障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A43.900', NULL, '诺卡菌病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.601', NULL, '食管贲门黏膜撕裂综合征', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M05.000', NULL, '费尔蒂综合征', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A07.100', NULL, '贾第虫病[兰伯鞭毛虫病]', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G90.100', NULL, '家族性自主神经功能异常［赖利-戴］', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.700', NULL, '赖氏综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T82.904', NULL, '起搏器综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.202', NULL, '足舟状骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.500x057', NULL, '足跟瘢痕', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.900x095', NULL, '跖骨关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.100', NULL, '距骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.805+F02.8*', NULL, '路易体痴呆', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.036+M01.1*', NULL, '踝关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S93.400x002', NULL, '踝关节损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.800x082', NULL, '踝关节骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F44.700', NULL, '混合性分离［转换］性障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A57.x00', NULL, '软下疳', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.900x028', NULL, '皮肤软化斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q77.400', NULL, '软骨发育不全', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.802', NULL, '放射性白内障', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.113+N74.1*', NULL, '输卵管结核', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.600', NULL, '输尿管错位', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.100', NULL, '输尿管损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.834', NULL, '输尿管炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q62.300x905', NULL, '输尿管瓣膜', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.106+N29.1*', NULL, '输尿管结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.201', NULL, '输尿管肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.815', NULL, '去皮层状态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B44.101+J99.8*', NULL, '变态反应性支气管肺曲霉病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.000', NULL, '过敏性血管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O48.x00', NULL, '过期妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.200', NULL, '进行性多灶性白质脑病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.101', NULL, '进行性核上性麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.001', NULL, '进行性肌营养不良', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.100x002', NULL, '进行性脂肪营养不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.700', NULL, '着色紫癜性皮肤病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.900x004', NULL, '骨骼发育不良', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.000', NULL, '远视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.800x002', NULL, '创伤性脑内血肿', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D82.100', NULL, '迪格奥尔格综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.804', NULL, '迷走神经损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N14.102', NULL, '造影剂肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.900', NULL, '遗传性共济失调', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D66.x00', NULL, '遗传性因子Ⅷ缺乏', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.100', NULL, '遗传性因子Ⅺ缺乏', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G60.803', NULL, '遗传性压力易感性周围神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F01.102', NULL, '遗传性多发脑梗死性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.000', NULL, '遗传性球形红细胞增多症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.400', NULL, '遗传性痉挛性截瘫', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.203', NULL, '遗传性粪卟啉病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.503', NULL, '遗传性蛋白C缺陷症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.504', NULL, '遗传性蛋白S缺陷症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D84.103', NULL, '遗传性血管水肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.000', NULL, '遗传性铁粒幼细胞贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D74.000x004', NULL, '遗传性高铁血红蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T88.700x003', NULL, '避孕药药物反应', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A98.100', NULL, '鄂木斯克出血热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.200', NULL, '酒精性神经系统变性', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.701', NULL, '酒精中毒性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L71.900', NULL, '酒渣鼻', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.100', NULL, '酒精性肌病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.600', NULL, '酒精性心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.405', NULL, '醛固酮缺乏症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.200x002', NULL, '釉珠', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.404', NULL, '里尔黑变病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.100', NULL, '重叠综合征，其他的', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.702', NULL, '双尿道', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.707', NULL, '双膀胱', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.600x007', NULL, '重复阴茎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N14.300', NULL, '重金属诱发的肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.700x002', NULL, '重链病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.700x025', NULL, '金属引起的口腔黏膜病变', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A27.900x005', NULL, '钩端螺旋体病肾衰竭型', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.000', NULL, '钱币状皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.200', NULL, '铍中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.101', NULL, '铜绿假单胞菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M83.400', NULL, '铝骨病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L23.001', NULL, '铬变应性接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.501+M07.3*', NULL, '银屑病性关节炎', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A25.100', NULL, '链杆菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.804', NULL, '锁骨下动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.801', NULL, '锁骨下动脉盗血综合征', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.500', NULL, '锡沉着病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N14.000', NULL, '镇痛剂肾病', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L23.002', NULL, '镍变应性接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.804', NULL, '长QT间期综合征', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.801', NULL, '门脉高压性胃肠病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.803', NULL, '门静脉海绵样变', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I81.x00', NULL, '门静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.600', NULL, '门静脉高压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.900x002', NULL, '闭塞性动脉硬化', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K45.802', NULL, '闭孔疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J46.x00x006', NULL, '闭锁肺综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.800x002', NULL, '间插血吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.301', NULL, '阑尾肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.202', NULL, '阴囊坏疽', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.900x007', NULL, '阴囊损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C63.200', NULL, '阴囊恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.810', NULL, '阴沟肠杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.802', NULL, '阴茎阴囊转位', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.300', NULL, '阴茎异常勃起', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S38.200x003', NULL, '阴茎离断', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.119+N51.8*', NULL, '阴茎结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B85.300', NULL, '阴虱病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N84.200', NULL, '阴道息肉', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T19.202', NULL, '阴道内异物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.101', NULL, '阴道斜隔', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N94.200', NULL, '阴道痉挛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.400', NULL, '阴道白斑', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.300x003', NULL, '粒细胞肉瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.800x002', NULL, '美丽筒线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.401', NULL, '阴道腺病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C52.x00', NULL, '阴道恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.603', NULL, '阵发性冷性血红蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.500x001', NULL, '阵发性睡眠性血红蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.904', NULL, '阻塞性肺气肿', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.901', NULL, '阿-斯综合征[Stokes-Adams综合征]', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q13.803', NULL, '阿克森费尔德-里格尔综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A96.900', NULL, '沙粒病毒性出血热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L94.600', NULL, '阿洪病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.002', NULL, '阿米巴痢疾', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.001', NULL, '阿米巴结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.400', NULL, '输精管、附睾、精囊和前列腺的其他畸形', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些创伤造成的早期并发症', 'A79.801', NULL, '附红细胞体病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.806', NULL, '胆囊钙化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N03.900x004', NULL, '隐匿型肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A07.200', NULL, '隐孢子虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.000', NULL, '隐性脊柱裂', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.500', NULL, '隐斜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B45.900', NULL, '隐球菌病', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900x017', NULL, '难治性心力衰竭', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.805', NULL, '难治性癫痫', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A66.900', NULL, '雅司病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.708', NULL, '阴道肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.100x008', NULL, '青年上肢远端肌萎缩症[平山病]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E30.000x003', NULL, '性发育迟缓', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R62.801', NULL, '生长发育迟缓', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.100x008', NULL, '青春期龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.400', NULL, '青霉病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A65.x00', NULL, '非性病性梅毒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B56.900', NULL, '非洲锥虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.100', NULL, '非特异性尿道炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.800x003', NULL, '甲状腺功能正常的病态综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.802', NULL, '半侧颜面萎缩症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.015', NULL, '鞍结节脑膜瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N43.300', NULL, '鞘膜积液', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B79.x00', NULL, '鞭虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E51.200+G32.8*', NULL, '韦尼克脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.300', NULL, '韦格纳肉芽肿病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L73.804', NULL, '须疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.002', NULL, '须癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.002', NULL, '颅中窝脑膜瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.110', NULL, '颅内动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.805', NULL, '脑瘤所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.700x009', NULL, '颅内脂肪瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.803', NULL, '颅底凹陷症', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.000', NULL, '颅缝早闭', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.000x081', NULL, '颅骨纤维增殖症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.003', NULL, '颅骨肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.800x006', NULL, '颅骨膜窦', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.601', NULL, '颈动脉体肿瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.500', NULL, '颈肋', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.006', NULL, '颈腰综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S11.900', NULL, '颈部的开放性伤口', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.900x084', NULL, '颈部纤维瘤病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S14.101', NULL, '颈部脊髓损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S15.900x001', NULL, '颈部血管损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.004', NULL, '颈部血管瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.703', NULL, '颈静脉球肿瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.200x003', NULL, '颏下间隙感染', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.100', NULL, '颚口线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.100x007', NULL, '额叶癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q63.000', NULL, '副肾', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.801', NULL, '额颞痴呆', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.211', NULL, '颞下间隙感染', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.600x001', NULL, '颞下颌关节紊乱病', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.200x002', NULL, '颞叶性癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.801', NULL, '食管克罗恩病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.800x024', NULL, '食管型颈椎病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.805', NULL, '食管囊肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.800x905', NULL, '食管异位组织', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.807', NULL, '食管息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.803', NULL, '食管白斑', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.800x014+K23.0*', NULL, '食管结核', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I86.800x014', NULL, '食管胃底静脉曲张破裂出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.801', NULL, '食管重复畸形', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.801', NULL, '食管黏膜擦伤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.401', NULL, '马尔尼菲青霉菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.000x003', NULL, '马拉色菌毛囊炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.400', NULL, '马方综合征', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q63.102', NULL, '马蹄形肾', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x029', NULL, '骨淋巴瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.200', NULL, '骨硬化症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.001', NULL, '骨纤维异样增殖症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.014', NULL, '骨血管瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.116', NULL, '髂总静脉压迫综合征[Cockett综合征]', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S73.000x021', NULL, '髋关节前脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S73.000x011', NULL, '髋关节后脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.031+M01.1*', NULL, '髋关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S76.100x004', NULL, '髌腱断裂', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M22.300x001', NULL, '髌骨不稳定', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G50.801', NULL, '味觉性出汗综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D82.400', NULL, '高免疫球蛋白E［IgE］综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.201', NULL, '高度房室传导阻滞', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.001', NULL, '高眼压症', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E67.100', NULL, '高胡萝卜素血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x011', NULL, '高血压所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.902', NULL, '高血压脑出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.502', NULL, '高钙血症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.402', NULL, '高镁血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L84.x00x001', NULL, '鸡眼', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q67.700', NULL, '鸡胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '由衣原体引起的其他疾病', 'A70.x00', NULL, '鹦鹉热衣原体感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B05.200+J17.1*', NULL, '麻疹并发肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.900', NULL, '麻痹性斜视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A30.900x008', NULL, '麻风性神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.100', NULL, '黄体囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.000x007', NULL, '黄斑裂孔性视网膜脱离', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N11.802', NULL, '黄色肉芽肿性肾盂肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.000', NULL, '黏多糖贮积症，Ⅰ型', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.100', NULL, '黏多糖贮积症，Ⅱ型', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.200', NULL, '黏多糖贮积症，其他的', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.201', NULL, '黏多糖贮积症，Ⅳ型', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.200x010', NULL, '轻度马罗托-拉米综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J00.x00', NULL, '急性鼻咽炎［感冒］', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.800', NULL, '头痛综合征，其他特指的', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.805', NULL, '鼻孔狭窄', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.100', NULL, '黑癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L82.x01', NULL, '黑色丘疹性皮肤病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.409', NULL, '鼻骨良性肿瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A20.900', NULL, '鼠疫', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.813', NULL, '鼻中隔穿孔', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.007', NULL, '鼻中隔脓肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.800x019', NULL, '鼻中隔血肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.108', NULL, '鼻前庭囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A24.000', NULL, '鼻疽', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x10', NULL, '鼻真菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A48.801', NULL, '鼻硬结病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q30.800x008', NULL, '鼻神经胶质瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.800', NULL, '红斑性情况，其他特指的', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.103', NULL, '鼻腭管囊肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B72.x00', NULL, '龙线虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.800x004', NULL, '龟分枝杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R68.101', NULL, '婴儿过度哭闹', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L00.x01', NULL, '新生儿天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.804', NULL, '新生儿消化性溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿受母体因素及妊娠、产程和分娩并发症的影响', 'P00.807', NULL, '母体系统性红斑狼疮新生儿', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P70.200', NULL, '新生儿糖尿病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的感染', 'P38.x01', NULL, '新生儿脐炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.003', NULL, '臂丛神经麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.803', NULL, '新生儿荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.102', NULL, '1型糖尿病性乳酸酸中毒', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.403+G63.2*', NULL, '1型糖尿病性神经炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.301+H36.0*', NULL, '1型糖尿病性视网膜病变', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.100x012', NULL, '1型糖尿病性酮症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.801', NULL, '脱屑性间质性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J09.x02', NULL, '人感染H7N9禽流感', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J09.x00', NULL, '被标明的人畜共患或大流行性流感病毒引起的流感', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.300', NULL, '特发性皮肤萎缩', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.102', NULL, 'Richter综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.603', NULL, '罗托综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.701', NULL, '胰岛细胞瘤', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.700x003', NULL, 'μ重链病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I07.100', NULL, '三尖瓣关闭不全', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.200', NULL, '三房心', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T53.200', NULL, '三氯乙烯的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T53.100x002', NULL, '三氯甲烷中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.300x003', NULL, '三硝基甲苯中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T10.x00', NULL, '上肢骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.104', NULL, '上颌前突', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.000', NULL, '慢性上颌窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.208', NULL, '下肢深静脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T13.300', NULL, '下肢神经的损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.100x018', NULL, '下颌整形', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.800x006', NULL, '丙烯酰胺中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.401', NULL, '丙酮酸羧化酶缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.802', NULL, '中枢性性早熟', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T50.700x001', NULL, '兴奋药中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.904', NULL, '中枢神经系统感染', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A03.904', NULL, '中毒型细菌性痢疾', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K71.900', NULL, '中毒性肝病', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.800x004', NULL, '中毒性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.200x005', NULL, '气压伤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C30.100', NULL, '中耳恶性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H71.x00', NULL, '中耳胆脂瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.805', NULL, '临床孤立综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A26.900x002', NULL, '丹毒丝菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F22.900', NULL, '持久妄想性障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T60.000x004', NULL, '氨基甲酸酯杀虫剂中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.400', NULL, '主动脉肺动脉间隔缺损', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.300', NULL, '主动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I35.200', NULL, '主动脉瓣狭窄伴有关闭不全', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.408', NULL, '主动脉窦动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '除恶性肿瘤外,为其他情况治疗后的随诊检查', 'Z97.000x001', NULL, '义眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G08.x00x005', NULL, '乙状窦血栓性静脉炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.803', NULL, '乳头肌功能不全', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q83.803', NULL, '乳房发育不良', '乳房整形门诊', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.100x002', NULL, '乳房整形', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.900', NULL, '乳突炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.100x002', NULL, '乳房脂肪瘤', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.204', NULL, '乳酸性酸中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.800x006', NULL, '二尖瓣钙化', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A51.400x001', NULL, '二期梅毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.400', NULL, '二硫化碳的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T53.700x001', NULL, '氯酚中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.100x001', NULL, '亚急性肉芽肿性甲状腺炎', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.202', NULL, '交感神经型颈椎病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O46.900', NULL, '产前出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O15.201', NULL, '产后子痫', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.000x031', NULL, '产褥期贫血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.800x003', NULL, '产气杆菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O04.905', NULL, '早期人工流产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.400', NULL, '仰趾外翻足', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S66.200x009', NULL, '手部拇指伸肌腱损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.502', NULL, '伸直型桡骨下端骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D80.101', NULL, '低丙种球蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.301', NULL, '低钾型周期性麻痹', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B85.100', NULL, '体虱引起的虱病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.500x003', NULL, '侧脑室恶性肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.900x006', NULL, '颅底恶性肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.200x001', NULL, '侵蚀性葡萄胎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C94.703', NULL, '侵袭性NK细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q56.300', NULL, '假两性畸形', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.100', NULL, '假单胞菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.901', NULL, '假性动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.803', NULL, '假腱索', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T42.700x001', NULL, '催眠药中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F98.500', NULL, '口吃［结巴］', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F93.200', NULL, '童年社交性焦虑障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M91.100', NULL, '幼年型股骨头骨软骨病[莱格-卡尔韦-佩尔特斯]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F98.001', NULL, '功能性遗尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x009', NULL, '儿茶酚胺敏感性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x029', NULL, '先天性中胚叶肾瘤', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.400', NULL, '先天性主动脉下狭窄', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q23.300', NULL, '先天性二尖瓣关闭不全', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q23.200', NULL, '先天性二尖瓣狭窄', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q23.901', NULL, '先天性二尖瓣畸形', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.100x002', NULL, '先天性仰趾外翻足', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q31.301', NULL, '先天性喉囊肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q31.100', NULL, '先天性声门下狭窄', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q84.201', NULL, '先天性多毛症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q31.200', NULL, '喉发育不全', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.804', NULL, '先天性巨十二指肠', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.700x601', NULL, '先天性巨尿道', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.808', NULL, '先天性心包缺损', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q79.800x006', NULL, '先天性束带畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.400', NULL, '先天性红细胞生成不良性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q18.102', NULL, '先天性耳前瘘管', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.200', NULL, '先天性肌病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.802', NULL, '先天性肩关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.700x006', NULL, '先天性肺动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q72.501', NULL, '先天性胫骨缺如', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q14.301', NULL, '先天性脉络膜缺损', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q67.501', NULL, '先天性脊柱侧凸', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.412', NULL, '先天性脊柱后凸畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q04.604', NULL, '先天性蛛网膜囊肿', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.801', NULL, '先天性足畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.800x008', NULL, '先天性跟距骨桥', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q74.004', NULL, '先天性锁骨假关节', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.800x902', NULL, '先天性颅骨缺损', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q74.105', NULL, '先天性髌骨缺如', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q10.500x003', NULL, '先天性鼻泪管闭锁', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.800x003', NULL, '克罗-深濑综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M34.900', NULL, '全身性硬皮病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.000x002', NULL, '共同性内斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.400', NULL, '共济失调性脑瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.002+M01.1*', NULL, '关节结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '暴露于有生命机械性力量下', 'W59.x00', NULL, '被其他爬行动物咬伤或压伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.200', NULL, '继发于内分泌疾患的高血压', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.900', NULL, '内分泌疾患', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q10.303', NULL, '先天性内眦赘皮', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.000', NULL, '内脏幼虫移行症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L65.100', NULL, '再生期脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.800x005', NULL, '冠状动脉瘘', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T43.600x003', NULL, '冰毒中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.900', NULL, '脑内出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '除恶性肿瘤外,为其他情况治疗后的随诊检查', 'O80.900', NULL, '单胎顺产 ', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.200', NULL, '分娩后泌尿道感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.501', NULL, '创伤性动脉瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S12.100x003', NULL, '枢椎椎弓根骨折[Hangman骨折]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.301', NULL, '肺挫伤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.801', NULL, '创伤性耳聋', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M12.500x021', NULL, '肘关节创伤性关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.900x001', NULL, '刺激性气体中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L24.901', NULL, '刺激性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.902', NULL, '前庭系统病变', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.005', NULL, '前房积脓性角膜溃疡', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.004', NULL, '前斜角肌综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.800x006', NULL, '副溶血弧菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.100', NULL, '功能性腹泻', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q50.502', NULL, '加特纳管囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.902', NULL, '动脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.600', NULL, '动脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.401', NULL, '包涵体肌炎', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I30.101', NULL, '化脓性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.500x092', NULL, '化脓性脊柱炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.901', NULL, '急性化脓性鼻窦炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.202', NULL, '医源性甲状腺功能减退症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.500x003', NULL, '膝关节十字韧带损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.200x002', NULL, '半乳糖激酶缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M23.307', NULL, '半月板变性', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O62.400x005', NULL, '协调性子宫收缩过强', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q51.400', NULL, '单角子宫', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D27.x00', NULL, '卵巢良性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.200x004', NULL, '原发性书写震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.205', NULL, '原发性侧索硬化症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.200', NULL, '原发性闭角型青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O43.001', NULL, '双胎输血综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q10.304', NULL, '先天性双行睫', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F23.901', NULL, '反应性精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.010', NULL, '反流性胆管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F60.201', NULL, '反社会型人格障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J30.400', NULL, '变应性鼻炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O65.001', NULL, '变形骨盆难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.000x909', NULL, '口-面-指综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.500x001', NULL, '口咽良性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.800x034+K93.8*', NULL, '结核性口腔溃疡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x508', NULL, '口腔血管瘤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.100', NULL, '口区发育性(非牙源性)囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.100x004', NULL, '口腔内淋巴管瘤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.217', NULL, '颌面间隙感染', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.000', NULL, '右位心', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.300x083', NULL, '后尿道损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T39.200', NULL, '吡唑啉酮衍生物中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T43.300', NULL, '酚噻嗪抗精神病药和精神安定剂中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S01.300x061', NULL, '听小骨开放性损伤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.600', NULL, '听神经损伤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E00.901', NULL, '呆小病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.809', NULL, '创伤性周围神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.900', NULL, '呼吸道内异物', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C14.001', NULL, '咽喉恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.200x015', NULL, '咽肌麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.214', NULL, '咽角化症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.213', NULL, '咽狭窄', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.806', NULL, '咽部结核', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.004', NULL, '哈特纳普病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.100', NULL, '喉良性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S19.802', NULL, '喉损伤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T81.220', NULL, '喉损伤，操作中', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.801', NULL, '喉气管狭窄', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.400', NULL, '喉水肿', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S11.002', NULL, '开放性喉损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '限于眼和内部器官的烧伤和腐蚀伤', 'T27.000x002', NULL, '喉部烧伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.600', NULL, '喉狭窄', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.711', NULL, '喉硬结病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.705', NULL, '喉囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.001', NULL, '喉肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x507', NULL, '喉部血管瘤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.712', NULL, '喉角化症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q31.000', NULL, '喉蹼', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.700x022', NULL, '喉软骨膜炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H83.302', NULL, '噪音性耳聋', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T53.000', NULL, '四氯化碳的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.300x001', NULL, '地丝菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.301', NULL, '地中海淋巴瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.200', NULL, '恶性外耳炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.900x001', NULL, '坏死性脉管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E24.000', NULL, '垂体依赖性库欣病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.000x008', NULL, '垂体前叶功能减退', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.000', NULL, '垂体功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.607', NULL, '垂体囊肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C75.100', NULL, '垂体恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E22.000x005', NULL, '垂体生长激素瘤', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.200', NULL, '垂直斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G43.102', NULL, '基底动脉型偏头痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.902', NULL, '基底神经节综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R94.801', NULL, '基础代谢率异常', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.501', NULL, '塑型性支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.100', NULL, '增生型天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.400', NULL, '混合性酸碱平衡失调', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.300x002', NULL, '复合性牙周炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.800x002', NULL, '急性外伤后头痛', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.802', NULL, '外耳道外生骨疣', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T16.x00x001', NULL, '耳道异物', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.500x014', NULL, '耵聍腺交界性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D23.201', NULL, '外耳道良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.400x004', NULL, '外耳道胆脂瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D07.100', NULL, '外阴原位癌', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.401', NULL, '外阴干皱症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C51.900', NULL, '外阴恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.811', NULL, '外阴白癜风', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.702', NULL, '外阴肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D28.000', NULL, '外阴良性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.900x002', NULL, '末梢神经病[末梢神经炎]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.800x007', NULL, '创伤性颅内血肿', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q69.900x001', NULL, '多指', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.900', NULL, '多个心瓣膜疾病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.900', NULL, '多神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E31.002', NULL, '自身免疫性多内分泌腺病综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.100', NULL, '大泡性角膜病变', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x015', NULL, '结肠淋巴瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.902', NULL, '脑萎缩', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.800', NULL, '胎位不正和先露异常引起的梗阻性分娩,其他的', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.100x061', NULL, '头状骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体外表面烧伤和腐蚀伤,按部位特指者', 'T20.000x002', NULL, '头部烧伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.901', NULL, '头面颈部皮肤感染', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.500x006', NULL, '头皮瘢痕', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B85.000', NULL, '头虱引起的虱病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A69.100x001', NULL, '奋森咽峡炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T37.200', NULL, '抗疟疾和对其他血液原虫有作用的药中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q56.200', NULL, '女性假两性畸形，不可归类在他处者', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.900', NULL, '女性生殖器先天性畸形', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.000', NULL, '偏执型精神分裂症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.302', NULL, '妊娠合并尖锐湿疣', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.503', NULL, '妊娠合并巨细胞病毒感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.601', NULL, '妊娠合并弓形虫病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.400x008', NULL, '妊娠合并心力衰竭', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.800', NULL, '孕产妇其他的传染病和寄生虫病并发于妊娠、分娩和产褥期', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.101', NULL, '妊娠合并梅毒', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.800x009', NULL, '妊娠合并沙眼衣原体感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.201', NULL, '妊娠合并淋病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O98.300x013', NULL, '妊娠合并生殖道沙眼衣原体感染', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.600x011', NULL, '妊娠合并肝炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.800x011', NULL, '妊娠合并肾病', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.611', NULL, '妊娠合并阑尾炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.420', NULL, '妊娠合并心脏病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.202', NULL, '婴儿肝炎综合征', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L04.901', NULL, '急性化脓性淋巴结炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.812', NULL, '子宫内膜萎缩', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.808', NULL, '子宫壁妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.200', NULL, '子宫起因的女性不孕症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D26.900', NULL, '子宫良性肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.112+N74.0*', NULL, '子宫颈结核', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.001', NULL, '孔源性视网膜脱离', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.600x093', NULL, '孤立性骨囊肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.701+N08.5*', NULL, 'ANCA相关性肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T42.702', NULL, '安眠药中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q20.302', NULL, '完全性大动脉转位', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.809', NULL, '子宫角妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.802', NULL, '宫颈肥大', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.100', NULL, '宫颈陈旧性裂伤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.200x010', NULL, '家族性颞叶癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B89.x00', NULL, '寄生虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.201', NULL, '寒冷性荨麻疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.102', NULL, '寰枢椎半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T39.101', NULL, '对乙酰氨基酚中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.803', NULL, '头部疖', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B05.900x002', NULL, '轻型麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q18.500', NULL, '小口畸形', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x024', NULL, '小肠淋巴瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.900', NULL, '小腿骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A25.000x001', NULL, '小螺菌鼠咬热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.812', NULL, '尺骨撞击综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.505+I68.8*', NULL, '尿毒症性脑血管病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.200x008', NULL, '尿素循环障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x18', NULL, '真菌性泌尿道感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.805', NULL, '尿道梗阻', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C68.000', NULL, '尿道恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.301', NULL, '尿道肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T41.300', NULL, '局部麻醉药中毒', '', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.000', NULL, '局限性淋巴结增大', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S56.200x002', NULL, '前臂屈肌腱损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E77.100x003', NULL, '岩藻糖苷贮积病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L60.000', NULL, '嵌甲', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.300x009', NULL, '左心室室壁瘤', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B25.801+G05.1*', NULL, '巨细胞病毒性脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B25.802+H32.0*', NULL, '巨细胞病毒性视网膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q04.302', NULL, '巨脑回', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.200x003', NULL, '巨膀胱-小结肠-肠蠕动不良综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H15.803', NULL, '巩膜葡萄肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.000x001', NULL, '布-加综合征[budd-chiari综合征]', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q61.200', NULL, '多囊肾，常染色体显性', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.800x005', NULL, '伴有皮层下梗塞和白质脑病的常染色体显性脑动脉病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.802', NULL, '帽状腱膜下脓肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q70.900', NULL, '并指[趾]畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S61.000x001', NULL, '手指开放性损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.700x005', NULL, '开放性颅脑损伤轻型', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B58.200x002+G05.2*', NULL, '弓形虫脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.300x005', NULL, '弥漫性外耳道炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.000', NULL, '弥漫性硬化', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.000x003', NULL, '弥漫性肺泡出血综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.206', NULL, '弥漫性轴索损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.300x003', NULL, '强直型脑性瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.103', NULL, '营养不良性肌强直', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.403', NULL, '微斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E61.900', NULL, '营养元素缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F50.501', NULL, '心因性呕吐', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.712', NULL, '心脏肿瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.402+N51.2*', NULL, '念珠菌性龟头炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.800x084', NULL, '念珠菌性唇炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.700x001', NULL, '念珠菌脓毒症', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.002', NULL, '急性化脓性乳突炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.002', NULL, '急性化脓性腹膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C93.000', NULL, '急性单核细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.200', NULL, '热性中性粒细胞皮肤病[斯威特]', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他螺旋体病', 'A69.100x003', NULL, '急性坏死性溃疡性龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.101', NULL, '急性左心衰竭', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.003', NULL, '急性弥漫性腹膜炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J04.000x004', NULL, '急性感染性喉炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A03.901', NULL, '急性细菌性痢疾', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F05.902', NULL, '急性脑病综合征', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.100x002', NULL, '性厌恶', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F65.000', NULL, '恋物症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C96.200', NULL, '恶性肥大细胞瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F98.800x001', NULL, '儿童情感交叉擦腿综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M00.901', NULL, '感染性关节炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.000x008', NULL, '感染性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.003', NULL, '慢传输型便秘', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.100', NULL, '慢性乳突炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x00x014', NULL, '慢性乳腺炎', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.901', NULL, '慢性化脓性鼻窦炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.000', NULL, '慢性单纯性苔藓', '皮肤过敏性疾病门诊', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.101', NULL, '慢性复发性胰腺炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.500', NULL, '慢性根尖牙周炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J42.x00x001', NULL, '慢性气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K73.200x002', NULL, '慢性活动性肝炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.700x001', NULL, '慢性消化性溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.200', NULL, '慢性筛窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A03.903', NULL, '慢性细菌性痢疾', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H73.102', NULL, '慢性肉芽性鼓膜炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.501', NULL, '慢性胃窦炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.006', NULL, '慢性胆管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.204', NULL, '慢性腮腺炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.908', NULL, '慢性腹泻', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.300', NULL, '慢性蝶窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.100', NULL, '慢性肠阿米巴病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.101', NULL, '慢性颈淋巴结炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.205', NULL, '慢性颌下腺炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.100', NULL, '慢性额窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.608', NULL, '慢性骨髓炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.303', NULL, '戊二酸尿症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.003', NULL, '全垂体功能减退症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.200', NULL, '房室间隔缺损', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.202', NULL, '扁平黄色瘤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.804', NULL, '扁桃体结石', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.400', NULL, '扁桃体良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.302', NULL, '手足徐动型脑性瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T60.101', NULL, '溴氰菊酯中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.203', NULL, '持续性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.701', NULL, '挤压伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.302', NULL, '换气过度综合征', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.100x004', NULL, '掌黑癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.000x001', NULL, '不排卵性不孕', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.600', NULL, '接触性荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.404', NULL, '支气管结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.011', NULL, '支气管囊肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J86.017', NULL, '支气管胸膜瘘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.301', NULL, '支气管良性肿瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.700', NULL, '放射性直肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T66.x00x001', NULL, '放射病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T60.401', NULL, '杀鼠剂中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L41.801', NULL, '斑状副银屑病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S93.000x004', NULL, '距骨脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.600x002', NULL, '跟痛症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S86.000', NULL, '跟腱损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S86.001', NULL, '跟腱断裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F23.902', NULL, '旅途精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.602', NULL, '无β脂蛋白血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.000', NULL, '与不排卵有关的女性不孕症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T57.100x002', NULL, '磷化合物中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M33.104', NULL, '无肌病性皮肌炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q00.000', NULL, '无脑儿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L56.300', NULL, '日光性荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L55.900', NULL, '晒斑[晒伤]', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.602', NULL, '易栓症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T75.300x004', NULL, '晕车病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A50.700', NULL, '晚期先天性梅毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.900', NULL, '晚期梅毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.805', NULL, '晶状体损伤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B44.102+J17.2*', NULL, '曲霉菌性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M13.802', NULL, '更年期关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B65.100x001', NULL, '曼氏血吸虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.900', NULL, '女性不孕症', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A81.801', NULL, '朊蛋白病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.900x091', NULL, '脊柱骨关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J95.800x016', NULL, '手术后脓胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.604', NULL, '机械性肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.009', NULL, '枕叶肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L25.201', NULL, '染发性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.301', NULL, '桡神经麻痹', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.000x003', NULL, '桡骨头半脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.800x006', NULL, '先天性桡骨小头半脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.100x012', NULL, '桡骨头骨骺分离', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.604', NULL, '梅内特里耶病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.705+K77.0*', NULL, '梅毒性肝硬化', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.900', NULL, '梗阻性和反流性尿路病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B60.000x001', NULL, '梨浆虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.500', NULL, '滑囊炎，其他的不可归类在他处者', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.810', NULL, '棘突间韧带综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.003', NULL, '椎-基底动脉盗血综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.001', NULL, '椎动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.800x010', NULL, '椎管内囊肿', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q06.800x005', NULL, '椎管内肠源性囊肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.200', NULL, '椎骨骨髓炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.809', NULL, '间位结肠', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.101', NULL, '正中神经麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T52.800x004', NULL, '正己烷中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.102', NULL, '残窦综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P55.800x002', NULL, '新生儿血型不合溶血病（Duffy系统）', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T63.400x002', NULL, '有毒昆虫咬伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.802', NULL, '气功所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q32.102', NULL, '先天性气管狭窄', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.103', NULL, '气管肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.000x001', NULL, '氮气中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T43.302', NULL, '氯丙嗪中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T53.600x001', NULL, '氯乙烯中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T39.000', NULL, '水杨酸盐类中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B01.100+G05.1*', NULL, '水痘脑炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.804', NULL, '汗管角化症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A02.000', NULL, '沙门菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及认知、知觉、情绪状态和行为的症状和体征', 'R45.300', NULL, '沮丧和情感淡漠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.805', NULL, '法洛三联症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.300', NULL, '法洛[法乐]四联症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B67.700x001', NULL, '泡型棘球蚴病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.700x003', NULL, '流涎症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B33.001', NULL, '流行性胸肌痛', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.801', NULL, '浆细胞增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.002', NULL, '浆细胞性骨髓瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.000x005', NULL, '浆细胞病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D25.200', NULL, '子宫浆膜下层平滑肌瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.500', NULL, '涎石病', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.900', NULL, '涎腺疾病', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.803', NULL, '淋巴细胞减少症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.804', NULL, '淋巴细胞性间质性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C91.901', NULL, '淋巴细胞白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.801', NULL, '淋巴结分枝杆菌感染', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.100', NULL, '淋巴结结节病', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.202+N51.0*', NULL, '淋球菌性前列腺炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.600', NULL, '肛门和直肠的淋球菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.901', NULL, '淤胆型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.802', NULL, '混合型脑性瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.802', NULL, '混合型颈椎病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H90.801', NULL, '混合性耳聋', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K51.200x001', NULL, '溃疡性直肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.100x001', NULL, '消化性溃疡伴急性穿孔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.400', NULL, '灼性神经痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.803', NULL, '炭黑尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q77.300', NULL, '点状软骨发育不良', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T52.000x003', NULL, '煤油中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.800', NULL, '牙根囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.100', NULL, '牙磨损', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.101', NULL, '牙髓坏疽', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K06.805', NULL, '牙龈瘘管', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.905', NULL, '特发性心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.001', NULL, '特发性肺动脉高压[原发性肺动脉高压]', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.500x007', NULL, '特发性高钙尿症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.904', NULL, '特异性心肌病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L93.201', NULL, '狼疮性脂膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.700x013', NULL, '环杓关节炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.202', NULL, '环杓关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.803', NULL, '玻璃体变性', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.903', NULL, '玻璃体损伤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.900', NULL, '玻璃体疾患', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.202', NULL, '瓜氨酸血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E77.100x004', NULL, '甘露糖苷过多症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.800x009', NULL, '甲亢性肝损害', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.002+H06.2*', NULL, '甲状腺功能障碍性突眼', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A01.100', NULL, '副伤寒甲', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E71.100x005', NULL, '甲基丙二酸尿症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x023', NULL, '甲状腺功能减退所致精神障碍', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D34.x00', NULL, '甲状腺良性肿瘤', '甲状腺肿瘤专病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x839', NULL, '甲状腺血管瘤', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.802', NULL, '甲状腺钙化', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.206', NULL, '甲状舌管瘘', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.800x003', NULL, '电焊工尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.800x038', NULL, '男性更年期综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.900', NULL, '男性生殖器官先天性畸形', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.000', NULL, '疱疹性湿疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.507+H19.1*', NULL, '疱疹性角膜结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.801', NULL, '疱疹样天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M84.301', NULL, '疲劳性骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J06.900x001', NULL, '病毒性上呼吸道感染', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J02.801', NULL, '病毒性咽炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I30.103', NULL, '病毒性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.500x011+H03.1*', NULL, '疱疹病毒性睑皮炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F09.x00x004', NULL, '症状性精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G82.100', NULL, '痉挛性截瘫', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.300', NULL, '肾功能损害引起的痛风', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A36.801+H13.1*', NULL, '白喉性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.300x005', NULL, '皮下脂肪瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.500', NULL, '白斑病，不可归类在他处者', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.501', NULL, '皮肤肿瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.800', NULL, '女性不孕症，其他原因的', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.716', NULL, '盆腔肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E65.x12', NULL, '盆腔脂肪增多症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.819', NULL, '肠肉芽肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.805', NULL, '直肠不典型增生', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.502', NULL, '直肠内异物', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.301', NULL, '直肠黏膜脱垂', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.806', NULL, '直肠纤维钙化', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.404', NULL, '直肠重复畸形', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q42.901', NULL, '先天性大肠闭锁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M40.300', NULL, '直背综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x01+G02.1*', NULL, '真菌性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T62.900x002', NULL, '食物中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.900', NULL, '眼眶疾患', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.000x005', NULL, '眼内炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T15.900', NULL, '外眼异物', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原虫性疾病', 'B58.000', NULL, '眼弓形虫病', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.802', NULL, '眼挫伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.002', NULL, '眼球筋膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.801', NULL, '眼眶囊肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.800x002', NULL, '眼眶粘液囊肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.500x002', NULL, '眼眶结核', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些动物源性细菌性疾病', 'A26.000', NULL, '皮肤类丹毒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H01.100x005', NULL, '眼睑湿疹性皮炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H01.900', NULL, '眼睑炎症', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.500', NULL, '眼结核', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.802', NULL, '眼缺血综合征', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.704', NULL, '眼肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.102', NULL, '睑裂斑', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.200', NULL, '睡眠-觉醒节律障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.200x003', NULL, '日节律性睡眠障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q53.901', NULL, '睾丸下降不全', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.601', NULL, '硫化氢中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.300x004', NULL, '硬化性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.201', NULL, '硬膜下脓肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.300', NULL, '碱中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T57.100x001', NULL, '磷中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T57.100x003', NULL, '磷化氢中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.305', NULL, '磷酸酶过少症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.900x001', NULL, '周围神经卡压综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H93.102', NULL, '神经性耳鸣', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F50.200', NULL, '神经性贪食', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.400', NULL, '神经损伤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.105', NULL, '神经根炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R57.803', NULL, '神经源性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.900x022', NULL, '神经皮肤综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T66.x01', NULL, '放射性损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C47.900', NULL, '周围神经和自主神经系统恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.805', NULL, '神经麻痹性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T52.800x002', NULL, '甲醛水溶液中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L20.900', NULL, '特应性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S26.800x082', NULL, '心脏穿透性损伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F65.300', NULL, '窥淫症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肿瘤的特殊筛查', 'A79.900', NULL, '立克次体病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M13.800', NULL, '关节炎，其他特指的', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O63.000', NULL, '第一期(产程)延长', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.003', NULL, '脑室肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C31.100', NULL, '筛窦恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.103', NULL, '筛窦骨折', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D70.x00x008', NULL, '粒细胞缺乏性咽峡炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T38.401', NULL, '棉酚中毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.901', NULL, '代谢障碍', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.500x003', NULL, '粘连性肠梗阻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N44.x02', NULL, '精索扭转', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.100x031', NULL, '糖尿病性乳酸性酸中毒', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.500x042', NULL, '糖尿病性坏疽', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.600x022', NULL, '糖尿病性皮肤病', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.600x002', NULL, '糖皮质激素性青光眼', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.800x021', NULL, '系统性红斑狼疮所致的精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.200', NULL, '紧张型精神分裂症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.400', NULL, '红斑性天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.802', NULL, '红皮病性银屑病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.000x007', NULL, '红色粟粒疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.921', NULL, '纤维瘤病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.704', NULL, '纤维织炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.806', NULL, '宫颈腺囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x013', NULL, '纵隔淋巴瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.503', NULL, '纵隔炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J85.300', NULL, '纵隔脓肿', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E70.800x001', NULL, '组氨酸血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G00.900', NULL, '细菌性脑膜炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.500x001', NULL, '结核性干性胸膜炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.503', NULL, '结核性渗出性胸膜炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.100x026+N74.1*', NULL, '结核性输卵管炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.900x002', NULL, '结核感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C19.x01', NULL, '结肠和直肠恶性肿瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.500', NULL, '结肠损伤', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.204', NULL, '结肠瘘', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.501', NULL, '创伤性结肠破裂', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.401', NULL, '结肠重复畸形', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.610', NULL, '结节性肝硬化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.200', NULL, '绝育', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.201', NULL, '绞窄性肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.300', NULL, '继发性全身性淀粉样变', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.200x015', NULL, '继发性肺结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D64.904', NULL, '继发性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E26.100', NULL, '继发性醛固酮过多症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D51.900', NULL, '维生素B12缺乏性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T45.202', NULL, '维生素D中毒', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '细菌、病毒和其他传染性病原体', 'B96.501', NULL, '绿脓杆菌感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.800x091', NULL, '骨缺血性坏死', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.810', NULL, '缺血性肝病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肿瘤的特殊筛查', 'A75.300', NULL, '恙虫病立克次体引起的斑疹伤寒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (14992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M11.000', NULL, '羟磷灰石沉着病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.800x005', NULL, '羰基镍中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (14994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.103', NULL, '老年性睑外翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (14995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I78.101', NULL, '老年痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.103', NULL, '耳郭假性囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (14997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.905', NULL, '耳郭损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.401', NULL, '耳郭挫伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (14999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G91.801', NULL, '耳源性脑积水', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.000x022', NULL, '耳源性脑脓肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G00.903', NULL, '耳源性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.001', NULL, '外耳疖', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.002', NULL, '外耳痈', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.600', NULL, '耳结核', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.200x001', NULL, '耳部皮肤恶性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T69.100x002', NULL, '耳郭冻疮', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.015+M90.0*', NULL, '耻骨结核', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.300x001', NULL, '聋哑症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.400', NULL, '联体儿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.901', NULL, '风湿性联合瓣膜病', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L70.100', NULL, '聚会性痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E71.304', NULL, '肉毒碱棕榈酰转移酶缺乏症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.800x011', NULL, '肌小管肌病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G80.303', NULL, '肌张力低下型脑性瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.100', NULL, '肌强直性疾患', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.601', NULL, '肌性斜颈', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G70.901', NULL, '肌无力综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M60.900', NULL, '肌炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.900', NULL, '肌病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.703', NULL, '风湿性肌纤维组织炎', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.601', NULL, '肌腱损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.000', NULL, '肌营养不良', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.603', NULL, '肘关节强硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.400', NULL, '擦烂红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.815', NULL, '肛周炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.601', NULL, '肛管溃疡', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.000', NULL, '肛门息肉', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K60.400x003', NULL, '肛门会阴瘘', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.905', NULL, '肛门损伤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.500', NULL, '异位肛门', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K60.500', NULL, '肛门直肠瘘', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K61.200', NULL, '肛门直肠脓肿', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K61.000', NULL, '肛门脓肿', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.100', NULL, '肝内胆管癌', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M81.801', NULL, '肝性骨营养不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.100x001', NULL, '肝损伤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.800x002', NULL, '病毒性肝炎双重感染', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.801', NULL, '肝炎后再生障碍性贫血', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传染病和寄生虫病的后遗症', 'B94.201', NULL, '肝炎后综合征', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.900', NULL, '肠吸收不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.100', NULL, '肠毒性大肠杆菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.000x010', NULL, '肠系膜上静脉血栓形成', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.011', NULL, '肠系膜静脉栓塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.708', NULL, '肠肿瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q27.809', NULL, '先天性小肠血管畸形', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x042', NULL, '肠血管瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.803', NULL, '厌氧菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.400', NULL, '肠重复畸形', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O66.001', NULL, '肩难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O32.201', NULL, '肩先露', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.001', NULL, '肩手综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S44.800x001', NULL, '肩胛上神经损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.100', NULL, '肩胛骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.400x043', NULL, '肱骨远端骨骺分离', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I28.801', NULL, '肺动脉扩张', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I37.100', NULL, '肺动脉瓣关闭不全', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.701', NULL, '肺原发性结核性复征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.405', NULL, '肺炎性假瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.300x001', NULL, '肺良性肿瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.900x003', NULL, '肺血栓栓塞症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x800', NULL, '肺血管瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.901', NULL, '肺错构瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.801', NULL, '肾上腺囊肿', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E25.902', NULL, '肾上腺性征综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.500', NULL, '肾上腺髓质功能亢进', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N17.200x003', NULL, '肾乳头坏死', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.005', NULL, '肾动脉血栓形成', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.003', NULL, '肾动脉闭塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I15.102', NULL, '肾性高血压', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q63.201', NULL, '肾旋转不良', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N15.101', NULL, '肾脓肿', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x811', NULL, '肾血管瘤', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N19.x00', NULL, '肾衰竭', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.300x001', NULL, '肾静脉栓塞', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.301', NULL, '肾静脉血栓形成', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.300', NULL, '肿瘤溶解综合征', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.800x808', NULL, '胃假性淋巴瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.310', NULL, '胃神经官能症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.101', NULL, '胃肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.100', NULL, '胃良性肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.809', NULL, '胃麻痹', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.201', NULL, '胆囊管结石', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.603', NULL, '胆囊肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.807', NULL, '胆囊萎缩', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P59.100', NULL, '胆汁浓缩综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.501', NULL, '胆管囊肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.105', NULL, '胆管狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.300', NULL, '胆管结石伴有胆管炎', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.500x001', NULL, '胆管良性肿瘤', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.019', NULL, '胆道感染', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他疾病和疾患的特殊筛查', 'Z85.000x008', NULL, '胆道恶性肿瘤史', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P76.000', NULL, '胎粪堵塞综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E84.101+P75*', NULL, '囊性纤维化性胎粪性肠梗阻', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.002', NULL, '胎粪性腹膜炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.117', NULL, '左肾静脉压迫综合征[胡桃夹现象]', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S85.100x002', NULL, '胫前动脉损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S85.101', NULL, '胫后动脉损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S84.000x002', NULL, '胫神经损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.105', NULL, '胰岛素自身免疫综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.800x007', NULL, '胰性脑病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.817+K87.1*', NULL, '胰腺结核', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.201', NULL, '胸膜肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L21.901', NULL, '脂溢性湿疹', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x015', NULL, '粟丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J69.101', NULL, '脂质性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.301', NULL, '脉络膜破裂', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.013', NULL, '脊柱肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T08.x00', NULL, '脊柱骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q05.902', NULL, '脊膜脊髓膨出', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q05.900x007', NULL, '脊膜膨出', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.900x004', NULL, '脊髓小脑变性', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传染病和寄生虫病的后遗症', 'B91.x00', NULL, '脊髓灰质炎的后遗症', '康复医学科', '', '', '康复医学科', '', '12', '1', '', '建议注意休息，避免劳累，保持良好心情', NULL);
INSERT INTO `tran_disease_dept` VALUES (15113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.908', NULL, '脊髓炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q06.200', NULL, '脊髓纵裂', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.100x007', NULL, '缺血性脊髓病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.401', NULL, '脊髓肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T09.300x007', NULL, '脊髓血肿', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O69.200', NULL, '产程和分娩并发其他脐带缠绕', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O69.200x007', NULL, '脐带扭转', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I64.x01', NULL, '脑血管意外', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.000x001', NULL, '脑动脉夹层', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q04.303', NULL, '脑发育不全', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B69.001+G94.8*', NULL, '脑囊虫病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.302', NULL, '颅脑外伤性情感障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.500x008', NULL, '脑室出血', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.903', NULL, '脑室炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G09.x00x002', NULL, '脑炎后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.501', NULL, '脑疝', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.400', NULL, '脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.900x007', NULL, '脑肿瘤卒中', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A39.900', NULL, '脑膜炎球菌感染', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.801', NULL, '脑血栓后遗症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F07.200', NULL, '脑震荡后综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.100', NULL, '全身脓疱性银屑病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.000', NULL, '脓皮病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.704', NULL, '脾肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.301', NULL, '腓神经麻痹', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.400x011', NULL, '腓骨近端骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.000x001', NULL, '腕舟骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.800x007', NULL, '腘动脉陷迫综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.709', NULL, '腭咽闭合不全', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.009', NULL, '腰椎峡部裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.303', NULL, '腰椎间盘变性', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G43.802', NULL, '腹型偏头痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.900x003', NULL, '腹股沟淋巴结炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.005', NULL, '腹腔脓肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.102', NULL, '腹膜后血肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.200', NULL, '膀胱瘘，不可归类在他处者', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.502', NULL, '膀胱缺如', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.100', NULL, '膀胱膨出', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.810', NULL, '膀胱软斑病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.900x062', NULL, '膝关节滑膜皱襞综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.405', NULL, '臀肌挛缩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.101', NULL, '自身免疫性溶血性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.400', NULL, '自身免疫性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.600x001', NULL, '舌痛症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.900', NULL, '良性肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J20.700', NULL, '艾柯病毒急性支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.801', NULL, '艾森门格综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T52.101', NULL, '苯中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.007', NULL, '范科尼贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L27.003', NULL, '荨麻疹型药疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.001', NULL, '药物性耳聋', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.102', NULL, '获得性肾囊肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.000', NULL, '获得性鱼鳞癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.100x012', NULL, '萌出性龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.204', NULL, '萎缩性咽炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D52.000x001', NULL, '营养性大细胞性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.200', NULL, '落叶型天疱疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '导致劳动能力丧失的某些伤残和慢性疾病家族史', 'A77.000x001', NULL, '落基山斑点热', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H65.101', NULL, '蓝鼓膜综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H21.301', NULL, '虹膜囊肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.001', NULL, '蛛网膜囊肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G03.904', NULL, '蛛网膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T63.401', NULL, '蜂蜇伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B46.800x001', NULL, '蝇疫霉病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C31.300', NULL, '蝶窦恶性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B83.900', NULL, '蠕虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T80.601', NULL, '血清病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.007', NULL, '血管性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.000x001', NULL, '血管性血友病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R55.x00x009', NULL, '血管抑制性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.200x004', NULL, '血红蛋白病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H15.100', NULL, '巩膜外层炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A83.100', NULL, '西方马脑炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q14.203', NULL, '视盘小凹', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.000x009', NULL, '视神经病', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.202', NULL, '视网膜分支动脉阻塞', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.801', NULL, '视网膜分支静脉阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.400x001', NULL, '视网膜变性', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H30.903', NULL, '视网膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.000', NULL, '背景性视网膜病变和视网膜血管改变', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.803', NULL, '角膜损伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.506+H19.2*', NULL, '角膜结核', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.301', NULL, '角膜裂伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z98.800x313', NULL, '胚胎移植术后', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.301', NULL, '贝克威思-威德曼综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T61.200x003', NULL, '贝类中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.903', NULL, '贫血性心脏病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K20.x00x001', NULL, '贲门炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.400', NULL, '跖痛症', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.300', NULL, '跟骨骨刺', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.916', NULL, '跟骨骨髓炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M99.000', NULL, '节段性和躯体性功能障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C49.900x003', NULL, '软组织恶性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q77.600', NULL, '软骨外胚层发育不良', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.000', NULL, '轻度抑郁发作', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.803', NULL, '肾小球肾病', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.836', NULL, '输入袢综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.905', NULL, '输卵管卵巢脓肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.809', NULL, '输卵管囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.101', NULL, '输卵管妊娠流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.100', NULL, '输卵管起因的女性不孕症', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.706', NULL, '输卵管肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.107', NULL, '输卵管间质部妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.832', NULL, '输尿管疝', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.822', NULL, '输精管梗阻', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.100x002', NULL, '过敏性口炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.202', NULL, '过敏性结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.000', NULL, '变应性荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.800x008', NULL, '还原体肌病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.104', NULL, '成人型进行性脊髓性肌萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M61.100', NULL, '进行性骨化性肌炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F50.900', NULL, '进食障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F94.000', NULL, '选择性缄默症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.101', NULL, '酒精中毒性周围神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.500', NULL, '使用酒精引起的精神性障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K70.100', NULL, '酒精性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.300', NULL, '继发性骨坏死，其他的', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T54.000', NULL, '酚及其同类物的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.000x013', NULL, '重症肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.200', NULL, '钙化性肌腱炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T57.800x003', NULL, '钡中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.801', NULL, '铊中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E61.000', NULL, '铜缺乏', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.800x006', NULL, '铬鼻病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.800x001', NULL, '铸工尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J02.000', NULL, '链球菌性咽炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.500x001', NULL, '锌中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.800x009', NULL, '锑尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.909', NULL, '错构瘤病', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T57.200x001', NULL, '锰中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T42.701', NULL, '镇静催眠药中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T56.300x001', NULL, '镉中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.201', NULL, '闪辉性玻璃体液化', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.208', NULL, '闭塞性周围动脉粥样硬化', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.300', NULL, '间歇性斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.600x003', NULL, '间歇性预激综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C45.900', NULL, '间皮瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.205', NULL, '阴囊炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.907', NULL, '阴囊疝', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.103', NULL, '阴囊血肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C60.900', NULL, '阴茎恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.600', NULL, '阴茎海绵体硬结症', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.204', NULL, '阴茎炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.701', NULL, '阴蒂囊肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.601', NULL, '阴道后壁脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.101', NULL, '阴道前壁脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.803', NULL, '阴道松弛', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.104', NULL, '阴道横膈', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.103', NULL, '阴道纵隔', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.108', NULL, '阵发性房性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.300x037', NULL, '阻塞性睡眠呼吸暂停低通气综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T40.201', NULL, '吗啡中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T40.000', NULL, '阿片类中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.500+J99.8*', NULL, '阿米巴肺脓肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N45.908', NULL, '附睾-睾丸炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.601', NULL, '陈旧性颞下颌关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.807', NULL, '陈旧性髋关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J62.801', NULL, '陶工尘肺', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A53.000x001', NULL, '隐性梅毒', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.800x004', NULL, '隐源性机化性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.700', NULL, '艰难梭状芽孢杆菌性小肠结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.400x001+N37.0*', NULL, '泌尿道念珠菌病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F65.200', NULL, '露阴症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.301', NULL, '青少年肌阵挛癫痫', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.600', NULL, '非器质性性交疼痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.500', NULL, '非器质性阴道痉挛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x007', NULL, '非持续性室性心动过速', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.903', NULL, '非特异性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.000', NULL, '非特异性肠系膜淋巴结炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.900x001', NULL, '非特异性脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.800x005', NULL, '非特异性间质性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.500', NULL, '面神经损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.000x004+L99.8*', NULL, '革螨皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.100x008', NULL, '顶叶癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.011', NULL, '顶叶肿瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.814', NULL, '颅内胆脂瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.012', NULL, '颅后窝脑膜瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.100', NULL, '颅底骨骨折', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.900x002', NULL, '先天性头颅畸形', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.804', NULL, '颅裂畸形', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S15.000', NULL, '颈动脉损伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.006', NULL, '颈动脉动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.101', NULL, '颈椎半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.002', NULL, '颈椎滑脱', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.100', NULL, '颈椎脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.000x004', NULL, '颈肋综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S14.500', NULL, '颈部交感神经损伤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.002', NULL, '颈部恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S10.901', NULL, '颈部挫伤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S14.001', NULL, '颈部脊髓水肿', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S14.002', NULL, '颈部脊髓震荡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.402', NULL, '颈部韧带扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.000x005', NULL, '颌骨发育性牙源性囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.500x005', NULL, '颗粒状角膜基质营养不良', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.007', NULL, '额叶肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.100x008', NULL, '额窦骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.600', NULL, '颞下颌关节疾患', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.013', NULL, '颞叶肿瘤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.102', NULL, '颞骨骨折', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.401', NULL, '颧骨骨折', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I05.100', NULL, '风湿性二尖瓣关闭不全', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '限于眼和内部器官的烧伤和腐蚀伤', 'T28.100', NULL, '食管烧伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.900', NULL, '食管疾病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.000', NULL, '食管良性肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C96.601', NULL, '嗜酸细胞性肉芽肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.900x001', NULL, '骨恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M84.100', NULL, '骨折不连接[假关节]', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.200x001', NULL, '骨筋膜室综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.001', NULL, '骨肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.309', NULL, '骨质增生', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '软骨病', 'M93.900', NULL, '骨软骨病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D75.802', NULL, '骨髓坏死', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.100', NULL, '骶髂关节炎，不可归类在他处者', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.302', NULL, '暂时性髋关节滑膜炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S73.000', NULL, '髋脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q61.500', NULL, '髓部囊性肾', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.200', NULL, '高丙球蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x10', NULL, '高血压急症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.800x003', NULL, '高锰酸钾中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.106', NULL, '鲁登巴赫综合征', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E74.000x011', NULL, '麦卡德尔病', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.101', NULL, '麻痹性睑外翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T44.900x002', NULL, '麻黄碱中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.100x003', NULL, '卵巢黄体血肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E76.200x007', NULL, '粘多糖贮积病VII型', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.500', NULL, '黏液性水肿昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q01.800x301', NULL, '鼻部脑膨出', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '暴露于有生命机械性力量下', 'W53.x00', NULL, '被鼠咬伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.006', NULL, '鼻中隔溃疡', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.900x007', NULL, '鼻窦滴漏综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.105', NULL, '鼻囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B48.100', NULL, '鼻孢子菌病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统先天性畸形', 'Q01.100', NULL, '鼻根部脑膨出', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.106', NULL, '鼻窦囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.300', NULL, '鼻甲肥大', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B34.801', NULL, '鼻病毒感染', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.804', NULL, '鼻石', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C31.900x001', NULL, '鼻窦恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.100x008', NULL, '鼻窦粘液囊肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.804', NULL, '鼻结核', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C39.801', NULL, '鼻腔,鼻窦恶性肿瘤', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.101', NULL, '鼻腔异物', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x503', NULL, '鼻部血管瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.100x010', NULL, '龈乳头炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F51.400', NULL, '睡惊症［夜惊症］', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H73.001', NULL, '大疱性鼓膜炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P24.102', NULL, '新生儿羊水吸入综合征', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.003', NULL, '面部血管瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.900', NULL, '头部的损伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D22.400x002', NULL, '头皮黑色素痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F22.000', NULL, '妄想性障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O24.300x001', NULL, '妊娠合并原有糖尿病', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.813', NULL, '子宫囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.807', NULL, '子宫积水', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.700x002', NULL, '阿拉杰里综合征[Alagille综合征]', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.804', NULL, '皮质纹状体脊髓变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.102', NULL, '弗里德赖希共济失调', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.504', NULL, '多发性结肠息肉', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M31.003+N08.5*', NULL, '肺出血肾炎综合征相关肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.804', NULL, '肾小管酸中毒Ⅱ型', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.401', NULL, '奥利埃病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M02.300', NULL, '赖特尔病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.804', NULL, '神经源性直立性低血压', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D12.602', NULL, '结肠腺瘤样息肉病', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E72.900x002', NULL, '氨基酸尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.201', NULL, '上斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.103', NULL, '上颌后缩', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J22.x00', NULL, '急性下呼吸道感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.000x021', NULL, '下肢淋巴水肿', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.106', NULL, '下颌后缩', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B07.x00x006', NULL, '丝状疣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J16.800x001', NULL, '中东呼吸综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.000x021', NULL, '中心性渗出性脉络膜视网膜病', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.500', NULL, '中暑衰竭', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L51.200', NULL, '中毒性表皮坏死松解症[莱尔]', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视觉障碍和盲', 'H53.802', NULL, '中毒性弱视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.400', NULL, '脑卒中后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O91.102', NULL, '产褥期化脓性乳腺炎', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M11.801', NULL, '焦磷酸盐结晶性关节炎(病)', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O91.201', NULL, '产褥期乳腺炎', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.300', NULL, '皮肤划痕性荨麻疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.803', NULL, '代谢综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O70.900', NULL, '分娩时会阴裂伤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L01.002', NULL, '大疱性脓疱病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.401', NULL, '虹膜睫状体炎继发性青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R57.100', NULL, '血容量不足性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.300x002', NULL, '侏儒症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F22.001', NULL, '偏执性精神病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F93.100', NULL, '童年恐怖性焦虑障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.800x015', NULL, '胰腺功能不全并中性粒细胞减少综合征[Shwachman-Diamond综合征]', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F98.101', NULL, '功能性遗粪症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.200', NULL, '慢性充血性脾大', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q17.200', NULL, '小耳畸形', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L67.104', NULL, '后天性白发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q70.400x001', NULL, '并指和多指', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '染色体异常,不可归类在他处者', 'Q98.400', NULL, '克兰费尔特综合征', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.100x002', NULL, '共同性外斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.416', NULL, '关节习惯性脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.903', NULL, '内分泌功能障碍', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.902+H58.8*', NULL, '甲状腺毒症性眼病', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.500x002', NULL, '内隐斜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I24.800x001', NULL, '冠状动脉供血不足', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F60.301', NULL, '冲动型人格障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.900', NULL, '出血性情况', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.101', NULL, '创伤性口腔黏膜溃疡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N42.900', NULL, '前列腺疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.802', NULL, '前列腺钙化灶', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N75.100', NULL, '前庭大腺脓肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H21.000', NULL, '前房积血', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L27.000x004', NULL, '剥脱性皮炎型药疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.000x002', NULL, '副牛痘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q17.002', NULL, '先天性耳赘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.900x003', NULL, '动脉硬化', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J68.002', NULL, '化学性支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H66.400', NULL, '化脓性中耳炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O91.100x001', NULL, '妊娠期化脓性乳腺炎', '', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.000', NULL, '外耳软骨膜炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.804', NULL, '化脓性角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.609', NULL, '慢性化脓性骨髓炎', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.201', NULL, '升主动脉瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q20.400', NULL, '双入口心室', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q21.206', NULL, '单心房', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.600', NULL, '单纯型精神分裂症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E66.900x001', NULL, '单纯性肥胖', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.903', NULL, '卵巢炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D09.900', NULL, '原位癌', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.402', NULL, '先天性双主动脉弓', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '节肢动物媒介的病毒性发热和病毒性出血热', 'A93.800x001', NULL, '发热伴血小板减少综合征[新型布尼亚病毒感染]', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.106', NULL, '变应性口炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.008', NULL, '变应性血管炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L83.x00', NULL, '黑棘皮病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.806', NULL, '口腔表皮样囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.501', NULL, '口腔浅表损伤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.102', NULL, '视网膜劈裂症', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.200x002', NULL, '后牙锁合', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.305', NULL, '心因性吞气症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T62.800x002', NULL, '亚硝酸盐中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K28.900x001', NULL, '吻合口溃疡', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.100x003', NULL, '慢性葡萄膜炎[慢性色素膜炎]', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J95.802', NULL, '呼吸机相关性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z87.000', NULL, '呼吸系统疾病个人史', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.900', NULL, '呼吸道结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T43.601', NULL, '咖啡因中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A36.000', NULL, '咽白喉', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B30.201+H13.1*', NULL, '咽结膜热', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.101', NULL, '唇单纯疱疹', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.000', NULL, '唇疾病', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.801', NULL, '胎儿唇腭裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.700x001', NULL, '喉室带囊肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.409', NULL, '淀粉样变喉损害', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.001', NULL, '喉麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M60.901', NULL, '嗜酸性肌筋膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E84.900', NULL, '囊性纤维化病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.204', NULL, '阴囊脓肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T46.001', NULL, '地高辛中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K61.300', NULL, '坐骨直肠窝脓肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.005', NULL, '垂体性矮小症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.200x010', NULL, '垂体瘤', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.300', NULL, '处女膜闭锁', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F84.100', NULL, '不典型孤独症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.805', NULL, '外阴皮赘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.500x003', NULL, '外隐斜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.900x003', NULL, '消化道多发息肉综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M33.200', NULL, '多肌炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.400x006', NULL, '先天性多发性骨软骨瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.601', NULL, '多囊肝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L56.400', NULL, '多形性日光疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.503+H58.8*', NULL, '疱疹性眼炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.200', NULL, '角膜结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.101', NULL, '泪液分泌过少', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.001', NULL, '下肢浅表静脉炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.208', NULL, '浸润型肺结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.200x006', NULL, '淋巴结结核', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A54.002', NULL, '淋球菌性尿道炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.902', NULL, '溶血性黄疸', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.310', NULL, '滑膜囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M06.003', NULL, '滑膜炎-痤疮-脓疱疹-骨肥厚-骨炎综合征', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F17.200', NULL, '使用烟草引起的依赖综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.000x001', NULL, '热射病', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K90.100', NULL, '热带口炎性腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.202', NULL, '热性荨麻疹', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.200', NULL, '子宫肥大', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O15.900', NULL, '子痫', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O06.900', NULL, '完全性流产，无并发症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与分类于他处的疾病和死亡原因有关的补充因素', 'Y91.000', NULL, '轻度酒精中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L10.000', NULL, '寻常型天疱疮', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D50.801', NULL, '小细胞低色素性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.900x004', NULL, '急性小肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q15.802', NULL, '先天性小角膜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M42.002', NULL, '幼年椎骨骺骨软骨病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B88.000', NULL, '螨病，其他的', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.201', NULL, '尺神经麻痹', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.100', NULL, '泌尿生殖系统的结核', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q23.400', NULL, '左心发育不全综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q20.200', NULL, '左心室双出口', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K10.302', NULL, '干槽症', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.800x002', NULL, '干酪性鼻窦炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.211', NULL, '开放性脑挫伤', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.210', NULL, '开放性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.100x001', NULL, '开角型青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F60.500', NULL, '强迫型人格障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.600', NULL, '心血管疾病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H66.900x002', NULL, '急性中耳炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.000x003', NULL, '急性粒细胞性白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.004', NULL, '急性非病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N17.900x003', NULL, '急性肾功能不全', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.000x004', NULL, '急性虹膜睫状体炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K10.202', NULL, '颌骨骨髓炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R55.x00x013', NULL, '血管迷走性晕厥', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F65.400', NULL, '恋童症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.804', NULL, '恐缩症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.100x004', NULL, '外斜视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I12.900x008', NULL, '恶性肾小动脉硬化症', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.000', NULL, '惊恐障碍［间歇发作性焦虑］', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.801', NULL, '慢性外耳炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.904', NULL, '慢性心包炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.401', NULL, '慢性泪囊炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.100', NULL, '慢性淋巴结炎，除外肠系膜', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C93.101', NULL, '慢性单核细胞白血病', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J80.x00', NULL, '成人型呼吸窘迫综合征', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M21.400', NULL, '后天性扁平足[平足]', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T69.800x002', NULL, '手部皲裂', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.811', NULL, '开放性手骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S63.701', NULL, '手关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.300x004', NULL, '新生儿消化不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L20.806', NULL, '新生儿皮肤湿疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.205', NULL, '暴露性角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T48.600x002', NULL, '曼陀罗中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.600x002', NULL, '尺骨茎突骨折伴桡骨远端骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.500', NULL, '桡骨下端骨折', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.500x002', NULL, '梅热睑痉挛[Meige综合征]', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F51.300', NULL, '睡行症［夜游症］', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '细菌、病毒和其他传染性病原体', 'B96.801', NULL, '难辨梭状芽胞杆菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.101', NULL, '椎管内肉芽肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿的消化系统疾患', 'P78.300x001', NULL, '新生儿非感染性腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F11.204', NULL, '海洛因药物瘾', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T62.000x002', NULL, '蕈类中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.000', NULL, '航空中耳炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.005', NULL, '支气管狭窄', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.807', NULL, '胃痉挛', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T52.000x004', NULL, '汽油中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A02.201+J17.0*', NULL, '沙门菌肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T61.201', NULL, '河豚中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.000', NULL, '腹主动脉栓塞和血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.400', NULL, '腹腔动脉压迫综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.401', NULL, '腹膜肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.809', NULL, '膀胱囊肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.001', NULL, '膀胱颈挛缩', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O32.101', NULL, '臀先露', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.614', NULL, '自身免疫性肝硬化', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.300', NULL, '致密性骨炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.200', NULL, '中暑痉挛', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.100', NULL, '热性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.601', NULL, '牙石', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K03.800x002', NULL, '牙本质过敏症', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.000', NULL, '寻常性银屑病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.001', NULL, '玻璃体疝', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及皮肤和皮下组织的症状和体征', 'R23.800x002', NULL, '珍珠状阴茎丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H46.x01', NULL, '球后视神经炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J10.101', NULL, '甲型H1N1流行性感冒', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.300', NULL, '甲状旁腺功能亢进症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L60.300', NULL, '甲营养不良', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.200', NULL, '甲醛的毒性效应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N62.x00', NULL, '乳房肥大', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A08.401', NULL, '病毒性肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M84.400', NULL, '病理性骨折，不可归类在他处者', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.900x093', NULL, '痛风石', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.003', NULL, '痢疾', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L74.001', NULL, '痱子', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.000x004', NULL, '瘢痕性睑内翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及认知、知觉、情绪状态和行为的症状和体征', 'R41.300', NULL, '遗忘症，其他的', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N94.803', NULL, '女性盆腔静脉充血综合征', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.500', NULL, '女性盆腔腹膜炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.300x001', NULL, '阿米巴肉芽肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.800x012', NULL, '直肠前突', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x04+H19.2*', NULL, '真菌性角膜溃疡', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.300', NULL, '眶底骨折', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.500x001', NULL, '眼内异物', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.102', NULL, '睑板腺恶性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.500x008', NULL, '睡眠癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.810', NULL, '睾丸囊肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C62.900', NULL, '睾丸恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.404', NULL, '先天性颈椎体融合', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.301', NULL, '矮小症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L94.000', NULL, '局限性硬皮病[硬斑病]', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F40.100', NULL, '社交恐怖', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.800', NULL, '关节病，其他特指的', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.004', NULL, '神经性头痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.400', NULL, '器质性原因的阳痿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.900', NULL, '脑恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J09.x01', NULL, '人感染H5N1禽流感', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.207', NULL, '空洞型肺结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K43.600', NULL, '其他未特指的腹疝，伴有梗阻，不伴坏疽', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K36.x00', NULL, '阑尾炎，其他的', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H74.101', NULL, '粘连性中耳炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L56.900', NULL, '紫外线辐射引起的急性皮肤改变', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.900', NULL, '红斑性情况', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D76.300', NULL, '组织细胞增多综合征，其他的', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.005', NULL, '细菌性心内膜炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A04.900', NULL, '细菌性肠道感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.900', NULL, '细菌性感染', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.100x032', NULL, '结核性盆腔炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.900x001', NULL, '结核病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B68.900', NULL, '绦虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E67.200', NULL, '大剂量维生素B6综合征', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E50.300x001+H19.8*', NULL, '维生素A缺乏伴角膜溃疡和干燥症', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.006', NULL, '细菌性角膜溃疡', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.800x003', NULL, '缺血缺氧性脑病后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F63.801', NULL, '青少年网络成瘾', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.013', NULL, '大网膜坏死', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.905', NULL, '大网膜炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F03.x01', NULL, '老年性痴呆', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.000', NULL, '下肢静脉曲张伴有溃疡', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.000x007', NULL, '乳突脓肿', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G58.800x008', NULL, '耳大神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.511', NULL, '原发性肌肉萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M61.501', NULL, '骨化性肌炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.400x004', NULL, '肛门闭锁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.100x002', NULL, '肝性红细胞生成型卟啉病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K58.901', NULL, '肠痉挛', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.105', NULL, '肠系膜上动脉压迫综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B82.900', NULL, '肠道寄生虫病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B77.000x001+K93.8*', NULL, '肠蛔虫病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.801', NULL, '肢骨纹状肥大', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.105', NULL, '肥大性龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.001', NULL, '肱骨内上髁炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B66.401+J99.8*', NULL, '肺吸虫病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.000', NULL, '肺炎杆菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.400x001', NULL, '肺病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.301', NULL, '肺门淋巴结结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.200x003', NULL, '肾上腺危象', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N19.x03', NULL, '肾功能不全', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N15.102', NULL, '肾周脓肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.900x002', NULL, '肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N25.002+M90.8*', NULL, '肾性骨病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.900x003', NULL, '肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.201', NULL, '胃出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.819', NULL, '胃潴留', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.502', NULL, '胆总管囊肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.500', NULL, '胆汁型肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L50.500', NULL, '胆碱能性荨麻疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.807', NULL, '胆管扩张', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.605', NULL, '胆管肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O36.302', NULL, '慢性胎儿宫内窘迫', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.509', NULL, '脊柱继发恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.102', NULL, '急性脊髓梗死', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.000x002', NULL, '脑囊肿', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.901', NULL, '脑干梗死', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q87.800x301', NULL, '脑肝肾综合征[Bowen-Lee-Zellweger综合征]', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G96.000', NULL, '脑脊液漏', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G96.001', NULL, '脑脊液鼻漏', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.500', NULL, '脾梗死', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.300x005', NULL, '腓总神经损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E80.600x008', NULL, '家族性肝内胆汁淤积症[Byler病]', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L43.902', NULL, '舌扁平苔藓', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.900x003', NULL, '舌的静脉曲张', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视觉障碍和盲', 'H53.501', NULL, '色盲', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.701', NULL, '进行性色素性皮肤病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人类免疫缺陷病毒[HIV]病', 'B23.800x002', NULL, '艾滋病神经综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物、药剂和生物制品中毒', 'T50.900x001', NULL, '药物中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.201', NULL, '肌萎缩侧索硬化症(ALS)', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L00.x00', NULL, '葡萄球菌性烫伤样皮肤综合征', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C69.401', NULL, '葡萄膜恶性肿瘤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T62.200x002', NULL, '蓖麻子中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x004', NULL, '蓝色橡皮大疱性痣综合征', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L05.900', NULL, '藏毛囊肿不伴有脓肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.900x002', NULL, '虹膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T80.603', NULL, '血清反应性荨麻疹', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.506', NULL, '血管痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F60.400', NULL, '表演型人格障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.500x001', NULL, '裂纹舌', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.808', NULL, '视网膜震荡', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.001', NULL, '角膜擦伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.401', NULL, '角膜老年环', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M21.003', NULL, '后天性足外翻', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P05.102', NULL, '足月小样低体重儿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F30.000', NULL, '轻躁狂', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.808', NULL, '躯体疾病所致精神障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C05.100', NULL, '软腭恶性肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.102', NULL, '输卵管妊娠破裂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.100x001', NULL, '输卵管阻塞性不孕', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B19.901', NULL, '输血后肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.104', NULL, '边缘性龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T78.200', NULL, '过敏性休克', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L20.802', NULL, '变应性湿疹', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P08.200', NULL, '过期产儿，不重于胎龄', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.002', NULL, '透明隔囊肿', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N07.900x001', NULL, '遗传性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F04.x00x901', NULL, '器质性遗忘综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.200', NULL, '酸中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B76.000', NULL, '十二指肠钩虫病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J63.001', NULL, '铝尘肺', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N00.901', NULL, '急性链球菌感染后肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F13.000x001', NULL, '镇静剂或催眠剂急性中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G83.500', NULL, '闭锁综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心理发育障碍', 'F84.500', NULL, '阿斯珀格综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O66.901', NULL, '难产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.302+N77.1*', NULL, '念珠菌性外阴阴道炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.100', NULL, '青春型精神分裂症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.901', NULL, '非典型性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.806', NULL, '非酒精性脂肪性肝炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.817', NULL, '非骨化性纤维瘤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.600x003', NULL, '颞下颌关节强直', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S03.000', NULL, '颌关节脱位', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.200', NULL, '岩锥炎', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I09.000', NULL, '风湿性心肌炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.000', NULL, '风湿病', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.205', NULL, '食管狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.100x001', NULL, '迟发型倾倒综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.603', NULL, '骨囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q78.600x002', NULL, '骨干续连症', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.920', NULL, '骨病变', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.700', NULL, '高弓足', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q82.504', NULL, '葡萄酒色痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.500', NULL, '神经痛性肌萎缩', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T64.x00x001', NULL, '黄曲霉毒素中毒', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.902', NULL, '急性黄疸型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.200x006', NULL, '白色角化症', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C30.000', NULL, '鼻腔恶性肿瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.400x306', NULL, '先天性齿状突发育不良', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C60.100', NULL, '阴茎头恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z91.601', NULL, '损伤个人史', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.800', NULL, '上呼吸道疾病，其他特指的', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z00.001', NULL, '健康查体', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.505', NULL, '胆总管残余结石', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F44.900', NULL, '分离［转换］性障碍', '失眠门诊', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z98.800x122', NULL, '直肠术后', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z12.500', NULL, '前列腺肿瘤的特殊筛查', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z35.000', NULL, '具有不孕症史者的妊娠监督', '宫颈疾病门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T17.200', NULL, '咽内异物', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M80.900', NULL, '骨质疏松伴有病理性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.104', NULL, '面部皱纹整容', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.000', NULL, '初发性或维持性睡眠障碍［失眠症］', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.101', NULL, '男性乳腺囊性增生', '乳腺甲状腺肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O60.001', NULL, '先兆早产不伴分娩', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '因其他情况而与保健机构接触的人', 'Z71.900', NULL, '咨询', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.804', NULL, '淋巴细胞增多症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.300', NULL, '原发性胆汁型肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T81.500x001', NULL, '操作后子宫内残留异物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z98.800x308', NULL, '人流术后', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.900', NULL, '消化系统的疾病', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.405', NULL, '肝胆管结石伴胆囊炎', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.901', NULL, '眼损伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.000', NULL, '胆囊结石伴有急性胆囊炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x05', NULL, '真菌性鼻窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.100x001', NULL, '下肢静脉曲张性皮炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.900x001', NULL, '多发性复合性溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.807', NULL, '单核细胞增多症', '发热门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.000', NULL, '粘连性肩关节囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.001', NULL, '毛细管扩张性肉芽肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.203', NULL, '十二指肠肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z42.001', NULL, '颅骨缺损修补', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.101', NULL, '反应性嗜酸性粒细胞增多症', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.400', NULL, '肩撞击综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z09.802', NULL, '人工流产后随诊检查', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.100x002', NULL, '亚急性甲状腺炎[德奎尔万甲状腺炎]', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.901', NULL, '胸腔肿物', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D25.000', NULL, '子宫黏膜下平滑肌瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C92.401', NULL, '急性早幼粒细胞性白血病，完全缓解', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.413+L99.0*', NULL, '淀粉样变皮肤损害', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.002', NULL, '胆囊结石伴急性化脓性胆囊炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.201', NULL, '肱二头肌长头肌腱炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.100', NULL, '二尖瓣脱垂', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M41.901', NULL, '脊柱后侧凸', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.301', NULL, '肾盂积水', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.400x006', NULL, '肾上腺皮质功能不全', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.207', NULL, '腮腺炎性假瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.100', NULL, '阑尾恶性肿瘤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.301', NULL, '甲状旁腺功能亢进危象', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.010+M49.0*', NULL, '脊柱结核性脓肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.900', NULL, '子宫的炎性疾病', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N26.x00', NULL, '肾挛缩', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.800x004', NULL, '症状性癫痫[继发性癫痫]', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.903', NULL, '回盲部炎症', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.100', NULL, '人工授精', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K58.000', NULL, '肠易激综合征伴有腹泻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G61.002', NULL, '吉兰-巴雷综合征轴索型', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.804', NULL, '嗜酸性粒细胞增多性皮病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.900', NULL, '肩损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.000', NULL, '盲肠恶性肿瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.008', NULL, '胰岛素样生长因子1缺乏', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.600', NULL, '关于生育的一般咨询和指导', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.300', NULL, '宫颈功能不全', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.300', NULL, '肌阵挛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J85.100', NULL, '肺脓肿伴有肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.900', NULL, '绝经期和围绝经期的疾患', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.105+G55.1*', NULL, '椎间盘移位性脊髓神经根压迫', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.800', NULL, '前列腺炎性疾病,其他的', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.901', NULL, '阴道肿物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.300x004', NULL, '眼球破裂伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.900', NULL, '性功能障碍，非由器质性障碍或疾病引起的', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.405', NULL, '横结肠肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼和附器的其他疾患', 'H59.800x015', NULL, '手术后眉下垂', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.002', NULL, '病理性醉酒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K43.001', NULL, '梗阻性切口疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.201', NULL, '采取卵子', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.300x006', NULL, '髂动脉瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.200x003', NULL, '解冻胚胎移植', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.900', NULL, '消化道内异物', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C11.101', NULL, '腺样体恶性肿瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.702', NULL, '口腔肿物', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.900', NULL, '心脏病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.900', NULL, '生育问题', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z12.900x001', NULL, '肿瘤的特殊筛查', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.900x093', NULL, '指骨关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.100', NULL, '慢性肾脏病1期', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.101+G55.1*', NULL, '腰椎间盘脱出伴坐骨神经痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.300', NULL, '皮肤结节病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.901', NULL, '肌腱疾患', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.009', NULL, '舌根肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.101', NULL, '肌腱挛缩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N20.200', NULL, '肾结石伴有输尿管结石', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.400', NULL, '继发于眼部炎症的青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.900x003', NULL, '椎管内占位性病变', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.100', NULL, '脊椎前移', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C75.900', NULL, '内分泌腺恶性肿瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.006', NULL, '唇囊肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.105', NULL, '乙状结肠穿孔', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I62.000', NULL, '硬膜下出血(急性)(非创伤性)', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.303', NULL, '混合性睡眠呼吸暂停综合征', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O92.700', NULL, '哺乳的其他和未特指的疾患', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K38.801', NULL, '阑尾黏液囊肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体多个部位和未特指部位的烧伤和瘸蚀伤', 'T31.000', NULL, '累及体表10%以下的烧伤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养不良', 'E46.x01', NULL, '蛋白缺乏', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.619+I98.2*', NULL, '肝硬化伴食管胃底静脉曲张', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.200x001', NULL, '膝半月板撕裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.100x001', NULL, '肝管狭窄', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.204', NULL, '上颌骨囊肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.400x018', NULL, '颅骨良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I24.900x001', NULL, '急性心肌缺血', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.800', NULL, '白细胞的其他特指疾患', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.403', NULL, '胆管结石伴慢性胆囊炎', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.807', NULL, '胆漏', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.308', NULL, '胃肠神经官能症', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.200', NULL, '食管梗阻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.901', NULL, '角膜肿物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.601', NULL, '主动脉炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A63.002', NULL, '外阴尖锐湿疣', '皮肤性病门诊', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.901', NULL, '阴茎肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F42.901', NULL, '强迫性神经症', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.903', NULL, '皮肤痈', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z85.804', NULL, '甲状腺恶性肿瘤个人史', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R77.801', NULL, 'D-二聚体升高', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z85.007', NULL, '直肠恶性肿瘤个人史', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z86.400', NULL, '精神活性物质滥用个人史', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.200', NULL, '胃肠出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x023', NULL, '胃淋巴瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.800x901', NULL, '糖耐量受损', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O21.100', NULL, '妊娠剧吐伴有代谢紊乱', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.202', NULL, '脑白质营养不良', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.903', NULL, '附睾肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.201', NULL, '过敏性腹泻', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.900x001', NULL, '共济失调综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.100', NULL, '慢性阻塞性肺病伴有急性加重', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.103', NULL, '安装子宫内节育器', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O03.400x001', NULL, '不完全自然流产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R94.600', NULL, '甲状腺功能检查的异常结果', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.300', NULL, '慢性肾脏病3期', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.100x003', NULL, '冠状动脉狭窄', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.200', NULL, '下肢静脉曲张伴有溃疡和炎症', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H17.801', NULL, '角膜白斑', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.203', NULL, '腹壁窦道', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.814', NULL, '子宫憩室', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.104', NULL, '上颌窦囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.803', NULL, '视网膜中心性静脉阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及认知、知觉、情绪状态和行为的症状和体征', 'R40.200x002', NULL, '一过性意识丧失', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O04.901', NULL, '中期人工流产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '身体外表面烧伤和腐蚀伤,按部位特指者', 'T23.000x003', NULL, '手部烧伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.204', NULL, '急性冠周炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.804', NULL, '宫内外复合妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.102', NULL, '肺肉芽肿', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G61.801', NULL, '慢性炎症性脱髓鞘性多发性神经病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.100', NULL, '胸部恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R50.800', NULL, '发热，其他特指的', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.200x022', NULL, '重度肺动脉高压', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.202', NULL, '结节性甲状腺肿伴甲状腺功能亢进症', '甲状腺疾病专科门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.802', NULL, '白细胞增多症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.400', NULL, '药物性头痛，不可归类在他处者', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L01.000x011', NULL, '急性泛发性发疹型脓疱病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.828', NULL, '神经节继发恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.502', NULL, '卵巢扭转', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N82.000', NULL, '膀胱阴道瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.203', NULL, '尺神经炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.808', NULL, '眼外直肌麻痹', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S20.803', NULL, '胸壁擦伤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.108', NULL, '机化性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.300', NULL, '为宫颈功能不全给予的孕产妇医疗', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.301', NULL, '下肢动脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.900x002', NULL, '胆囊肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.900', NULL, '甲状腺毒症', '甲状腺疾病专科门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.303', NULL, '肝胆管结石伴胆管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.201', NULL, '上肢动脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.205', NULL, '胆管占位性病变', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N87.101', NULL, '宫颈上皮内肿瘤，Ⅱ级', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.803', NULL, '附睾囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.101', NULL, '膝关节半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I36.800x002', NULL, '三尖瓣脱垂', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.300', NULL, '盆腔恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '限于眼和内部器官的烧伤和腐蚀伤', 'T26.401', NULL, '眼球烧伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.900x001', NULL, '肢体肿物', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B44.800x001', NULL, '上颌窦曲霉菌病', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.903', NULL, '上肢皮肤感染', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q33.800x002', NULL, '先天性肺大泡', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.400', NULL, '慢性肾脏病4期', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M95.001', NULL, '鞍鼻', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.800x001', NULL, '自发性低颅压综合征[原发性低颅压]', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P57.900', NULL, '核黄疸', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G50.004', NULL, '继发性三叉神经痛', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z35.401', NULL, '高龄经产妇妊娠监督', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.500', NULL, '睑痉挛', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.802', NULL, '脑血管病后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O30.100', NULL, '三胎妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.703', NULL, '颈部良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.300x002', NULL, '卵巢功能减退', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D40.000', NULL, '前列腺动态未定或动态未知的肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.403', NULL, '代谢性脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.707', NULL, '心房肥大', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.702', NULL, '肋骨良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.600', NULL, '血小板减少', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.301', NULL, '心室壁瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.302', NULL, '胆总管结石伴胆管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.802', NULL, '淋巴管瘘', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (15935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.201', NULL, '颈内动脉狭窄', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.503', NULL, '颌下腺导管结石', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.800x011', NULL, '贲门息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.904', NULL, '小脑变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.800x063', NULL, '肠系膜动脉夹层', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.009', NULL, '肠系膜动脉栓塞伴肠坏死', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.400x001', NULL, '男方无精性不孕', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I31.900', NULL, '心包疾病', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通常在童年租青少年期发病的行为和情绪障碍', 'F98.800', NULL, '通常在童年和青少年期发病的其他特指的行为和情绪障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (15944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.812', NULL, '骶前囊肿', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.001', NULL, '扩张型心肌病（充血型心肌病）', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D15.100', NULL, '心脏良性肿瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.403', NULL, '肾占位性病变', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.200x010', NULL, '胸壁脓肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E24.300', NULL, '异位促肾上腺皮质激素综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T78.400', NULL, '变态反应', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.100x012', NULL, '糖尿病性酮症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q67.000', NULL, '面不对称', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.200x016', NULL, '鼻咽肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.203', NULL, '鼻咽囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.305', NULL, '盲肠憩室炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z98.800x908', NULL, '脾术后', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.006', NULL, '感染性心内膜炎性赘生物', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.004', NULL, '基底节出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.500', NULL, '肩锁关节扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.819', NULL, '胎儿心脏畸形', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L04.900x002', NULL, '坏死性淋巴结炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M30.100x001', NULL, '嗜酸性肉芽肿性血管炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.000x003', NULL, '眼轮匝肌麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.100', NULL, '老年聋', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.007', NULL, '角膜穿孔', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.902', NULL, '输尿管肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.811', NULL, '肝血肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R63.400', NULL, '异常的体重减轻', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S71.100', NULL, '大腿开放性伤口', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.304', NULL, '结肠憩室炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.001', NULL, '大隐静脉曲张伴有溃疡', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N86.x00x004', NULL, '子宫颈糜烂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H17.901', NULL, '角膜瘢痕', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.901', NULL, '腹膜后肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.200', NULL, '神经痛和神经炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L97.x00', NULL, '下肢溃疡，不可归类在他处者', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'O83.101', NULL, '臀位助产的单胎分娩', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.900x008', NULL, '肺梗死', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z93.300', NULL, '结肠造口状态', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.400x006', NULL, '脑干病变', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.005', NULL, '心肌梗死后心绞痛', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (15982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.300', NULL, '糖尿病伴有眼的并发症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.200x006', NULL, '外阴挫伤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.501', NULL, '膝关节十字韧带劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R55.x00x014', NULL, '迷走神经性晕厥', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.804', NULL, '复发性角膜糜烂', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.201', NULL, '声带炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.000', NULL, '肾上腺良性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (15989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S99.900x001', NULL, '足部损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T80.200x001', NULL, '腹膜透析相关性腹膜炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.500', NULL, '内踝骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.102', NULL, '二度Ⅱ型房室传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.803', NULL, '肺弥漫性间质病变', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.900x001', NULL, '胆囊病变', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.600', NULL, '胸锁关节扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.615+I98.3*', NULL, '肝硬化伴食管静脉曲张破裂出血', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.902', NULL, '肘关节关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (15998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.800', NULL, '肝病，其他特指的', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (15999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.502', NULL, '十二指肠淤积', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.101', NULL, '皮肤裂伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.207', NULL, '慢性紧张型头痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.902', NULL, '功能性肠病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.802', NULL, '玻璃体黄斑牵拉综合征', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D40.001', NULL, '前列腺肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.801', NULL, '呼吸道梗阻', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.900x001', NULL, '大疱性肺气肿', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.001', NULL, '慢性结节性耳轮软骨皮炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T04.300x001', NULL, '下肢多处挤压伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N20.000x001', NULL, '肾盂结石', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.801', NULL, '结膜淋巴管扩张', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.000', NULL, '睑内翻和倒睫', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.301', NULL, '间歇性外斜视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.203', NULL, '牙龈脓肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.100', NULL, '离心性环状红斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.600', NULL, '脊柱良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.002', NULL, '椎动脉闭塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P21.102', NULL, '新生儿轻度出生窒息', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及胎儿和新生儿体被和体温调节的情况', 'P83.500', NULL, '先天性鞘膜积液', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.905', NULL, '踝关节关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.901', NULL, '眼睑肿物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.202', NULL, '轻症痒疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I86.401', NULL, '胃底静脉曲张伴出血', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.901', NULL, '静脉炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.813', NULL, '肝内钙化点', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M22.900', NULL, '髌骨疾患', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O04.601', NULL, '医疗性流产并发播散性血管内凝血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.802', NULL, '激素依赖性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.803', NULL, '肩胛痛', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.105', NULL, '异位妊娠后腹腔内出血', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.400', NULL, '外阴肿脓', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.101', NULL, '子宫内膜非典型增生', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.300', NULL, '全部(外部)眼肌麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.100x005', NULL, '龈炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.901', NULL, '尿道肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G83.400', NULL, '马尾综合征', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.009', NULL, '下颌角肥大伴咬肌肥大', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D89.802', NULL, '木村病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E73.900', NULL, '乳糖不耐受', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.901', NULL, '肩关节关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.900', NULL, '胃肠炎和结肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.200', NULL, '肱骨上端骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.807', NULL, '宫颈赘生物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.100x002', NULL, '臀上皮神经卡压综合征[臀上皮神经炎]', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.100x001', NULL, '眼睑挫伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.200x004+G53.0*', NULL, '拉姆齐-亨特综合征[Ramsy-Hunt综合征]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.900x003', NULL, '末稍神经退行性改变', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.601', NULL, '肢体僵硬', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x03', NULL, '乳腺脓肿', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O14.900', NULL, '子痫前期', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.105', NULL, '输卵管壶腹部妊娠流产', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.803', NULL, '下肢缺血', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x00x007', NULL, '真菌感染', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.002', NULL, '苔藓样皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.200', NULL, '角膜水肿，其他的', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.800x081', NULL, '踝骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T81.600x001', NULL, '操作中残留异物反应', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z45.200', NULL, '血管通路装置的调整和管理', '静脉治疗护理', '', '', '专科护士门诊', '', '193', '1', '', '建议注意休息，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C58.x00x003', NULL, '绒毛膜上皮癌', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T86.102', NULL, '移植肾功能不全', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.000x001', NULL, '背部挫伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.001', NULL, '主动脉夹层动脉瘤破裂', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S31.100', NULL, '腹壁开放性伤口', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.303', NULL, '结肠憩室', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.801', NULL, '胶原性结肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.502', NULL, '急性光化性外耳炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z85.009', NULL, '胰腺恶性肿瘤个人史', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.109', NULL, '阵发性房室性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.302', NULL, '尿道挫伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C75.000', NULL, '甲状旁腺恶性肿瘤', '甲状腺肿瘤专病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.014', NULL, '腹股沟淋巴结肿大', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.202', NULL, '青光眼性白内障', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M34.805', NULL, '肢端硬肿病', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.800', NULL, '色素沉着其他特指的疾患', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.813', NULL, '眼睑新生物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.600', NULL, '足的其他先天性外翻变形', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.200', NULL, '韧带疾患', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.100', NULL, '慢性胰腺炎，其他的', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.200', NULL, '脊柱恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.001', NULL, '腰背部挫伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N94.300', NULL, '经前紧张征', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.300', NULL, '弥漫性大B细胞淋巴瘤', '肿瘤内科', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.103', NULL, '贲门肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.001', NULL, '骨髓瘤病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x07', NULL, '乳房炎性肿物', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C57.000', NULL, '输卵管恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.900', NULL, '面神经疾患', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.801', NULL, '锁骨下动脉闭塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.200', NULL, '疑病障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.300x005', NULL, '泪小管炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z37.100x002', NULL, '单胎死产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C48.201', NULL, '腹膜腔恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.800x006', NULL, '结膜囊狭窄', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z82.300x001', NULL, '中风家族史', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.312', NULL, '嵌顿性腹股沟疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.202', NULL, '慢性咽峡炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.500', NULL, '下颌骨良性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.901', NULL, '肌肉肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.011', NULL, '小颏畸形', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C08.000', NULL, '下颌下腺恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.803', NULL, '肾上腺皮质增生', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.402', NULL, '声带水肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H91.901', NULL, '高频率耳聋', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.902', NULL, '降主动脉瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.000x003', NULL, '流行性肠炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x00', NULL, '乳房炎性疾患', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.100', NULL, '胫骨上端骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O31.201', NULL, '双胎妊娠一胎宫内死亡', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.601', NULL, '胸锁关节扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.004', NULL, '鼻恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '成人人格和行为障碍', 'F60.600', NULL, '焦虑［回避］型人格障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O21.100x002', NULL, '妊娠剧吐伴酸中毒', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.901', NULL, '眼眶肿物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z90.400x003', NULL, '后天性胆囊缺失', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S19.900', NULL, '颈部损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.901', NULL, '脾肿物', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.900', NULL, '使用酒精引起的精神和行为障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.617+I98.3*', NULL, '肝硬化伴食管胃底静脉曲张破裂出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z50.400x001', NULL, '心理治疗', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.401', NULL, '十二指肠球部溃疡伴出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.104+G55.1*', NULL, '椎间盘破裂性神经炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.101', NULL, '脑外伤神经症性反应', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q18.002', NULL, '先天性鳃裂囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T01.903', NULL, '多发性切割伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T84.806', NULL, '髋关节置换术后疼痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.806', NULL, '尿道囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O04.902', NULL, '晚期人工流产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.401', NULL, '胆管结石伴急性胆囊炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q17.000', NULL, '副耳郭', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B45.700', NULL, '播散性隐球菌病', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O03.604', NULL, '自然流产并发延迟出血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.300', NULL, '下肢动脉栓塞和血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S70.901', NULL, '大腿血肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q75.807', NULL, '先天性茎突过长', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.102', NULL, '慢性子宫炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.006', NULL, '低促性腺激素性腺功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.809', NULL, '脑血管病所致精神障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J33.003', NULL, '鼻后孔息肉', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x004', NULL, '肠淋巴瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.906', NULL, '鼻窦肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S63.000', NULL, '腕关节脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.202', NULL, '结肠憩室伴腹膜炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.405', NULL, '膀胱占位性病变', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.802', NULL, '十二指肠乳头炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.719', NULL, '声门狭窄', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.801', NULL, '液气胸', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.108', NULL, '十二指肠憩室炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z01.800x003', NULL, '宫腔镜检查', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.500x011+I79.2*', NULL, '糖尿病性周围血管病', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.702', NULL, '食管肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.102', NULL, '创伤性肝破裂', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.907', NULL, '踝关节滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.100x004', NULL, '眼球挫伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.100x003', NULL, '输卵管狭窄性不孕', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.719', NULL, '下肢动态未定肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间皮组织和软组织恶性肿瘤', 'C48.000', NULL, '腹膜后腔恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.901', NULL, '面部损伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.500x001', NULL, '膝关节十字韧带断裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z09.000x001', NULL, '手术后随诊检查', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.108', NULL, '胆总管梗阻', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.808', NULL, '脊髓囊肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.903', NULL, '腕关节关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.200', NULL, '慢性肾脏病2期', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.500', NULL, '十二指肠梗阻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大脑性瘫痪和其他麻痹[瘫痪] 综合征', 'G83.900x001', NULL, '痉挛性瘫痪[中枢性瘫痪]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.005', NULL, '子宫颈肿瘤', '宫颈疾病门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.301', NULL, '胫腓骨下端骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K71.901', NULL, '药物性肝损害', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.000x001', NULL, '冻结肩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.200x001', NULL, '颈神经根损害', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N40.x01', NULL, '前列腺结节', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E32.001', NULL, '胸腺增生', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.005', NULL, '主动脉夹层壁间血肿', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.901', NULL, '淋巴结反应性增生', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H93.201', NULL, '复听', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J92.901', NULL, '胸膜肥厚', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.900', NULL, '胃和十二指肠疾病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.011', NULL, '化脓性胆管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.604', NULL, '颞颌关节炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.129', NULL, '下肢动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.004', NULL, '真菌性心内膜炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E65.x04', NULL, '脂肪垫', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.401', NULL, '后天性冠状动脉动静脉瘘', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.808', NULL, '尿道旁腺囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.600x004', NULL, '腹膜继发恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R90.800', NULL, '中枢神经系统诊断性影像检查的其他异常所见', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.701', NULL, '头部良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.821', NULL, '足筋膜挛缩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.803', NULL, '甲状腺囊肿出血', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.900x008', NULL, '上颌窦肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.800x014', NULL, '陈旧性角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T11.900', NULL, '上肢损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.701', NULL, '十二指肠息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.002', NULL, '胆管恶性肿瘤', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.000', NULL, '精囊炎性疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q11.200', NULL, '小眼畸形', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.105', NULL, '耳郭肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.102', NULL, '慢性颌下淋巴结炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L85.300', NULL, '皮肤干燥症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.200x002', NULL, '皮层下动脉硬化性脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.100x002', NULL, '下颌下腺良性增生', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.401', NULL, '胸腺肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.801+F00.2*', NULL, '混合型阿尔茨海默病性痴呆伴幻觉妄想状态', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.802', NULL, '肩关节粘连', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.400x004', NULL, '头皮恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.100', NULL, '甲状旁腺良性肿瘤', '甲状腺疾病专科门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹和红斑', 'L53.101', NULL, '风湿性环形红斑', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.917', NULL, '脑炎性病变', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D31.501', NULL, '泪腺良性肿瘤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.506', NULL, '泪小点狭窄', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.305', NULL, '椎间盘变性', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.905', NULL, '髋关节滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P22.101', NULL, '新生儿湿肺', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕虫病', 'B69.000', NULL, '中枢神经系统囊虫病', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.900', NULL, '前臂骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.001', NULL, '皮肤挫伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.008', NULL, '肝周脓肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.401', NULL, '结膜肉芽肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.500', NULL, '下背痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.100x003', NULL, '异位妊娠后出血', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M20.100x001', NULL, '(足母)囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.700', NULL, '外阴囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.402', NULL, '结膜水肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S01.802', NULL, '面部裂伤', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D11.000', NULL, '腮腺良性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.201', NULL, '尿道息肉', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.714', NULL, '会厌溃疡', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z85.402', NULL, '子宫内膜恶性肿瘤个人史', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.302', NULL, '盆腔子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.300x002', NULL, '脾占位性病变', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.905', NULL, '小隐静脉曲张', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.500', NULL, '甲状旁腺的疾患', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.400', NULL, '输尿管积水', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.201', NULL, '念珠菌疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.900x001', NULL, '胸膜病变', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z97.500', NULL, '子宫内具有避孕装置', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z93.100', NULL, '胃造口状态', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.200', NULL, '甲状旁腺动态未定或动态未知的肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I40.900', NULL, '急性心肌炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D12.600', NULL, '结肠良性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.802', NULL, '扁桃体溃疡', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.803', NULL, '扁桃体囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.900', NULL, '非感染性胃肠炎和结肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.900', NULL, '类天疱疮', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统其他和未特指的疾患', 'I95.101', NULL, '体位性低血压', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.900', NULL, '尿道疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.601', NULL, '颅内静脉窦非脓性血栓形成', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.700', NULL, '肝部和肝内胆管继发性恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.601', NULL, '阴唇肥大', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K21.902', NULL, '贲门松弛', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.800', NULL, '角膜炎，其他的', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.101', NULL, '腮腺肥大', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传染病和寄生虫病的后遗症', 'B94.801', NULL, '带状疱疹后遗症', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D01.503', NULL, '法特壶腹原位癌', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.901', NULL, '舌肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.001', NULL, '子宫内膜单纯性增生', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.500x002', NULL, '膝关节十字韧带扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E85.901', NULL, '原发性淀粉样变性', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (16258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.100', NULL, '动脉硬化性心脏病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.400x001', NULL, '肩关节扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.400x001', NULL, '腓骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J95.000x002', NULL, '气管切开术后拔管困难', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x003', NULL, '扁桃体淋巴瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.900', NULL, '色素沉着的疾患', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M95.006', NULL, '驼峰鼻', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C38.300', NULL, '纵隔恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '某些其他疾病个人史', 'Z85.810', NULL, '皮肤恶性肿瘤个人史', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D59.500', NULL, '阵发性夜间血红蛋白尿［马尔基亚法瓦-米凯利］', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O14.100', NULL, '重度先兆子痫', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.001', NULL, '面部恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.601', NULL, '腓骨骨折累及踝关节', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.302', NULL, '肋骨恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.911', NULL, '足软组织感染', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M34.801+J99.1*', NULL, '硬皮病性肺间质纤维化', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.101', NULL, '空肠穿孔', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.304', NULL, '声带囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.101', NULL, '眼眶挫伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.209', NULL, '梨状窝息肉', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O07.402', NULL, '药物流产失败', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K60.303', NULL, '复杂性肛瘘', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.100x009', NULL, '软组织交界性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.300x001', NULL, '早发绝经', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.600', NULL, '处女膜环过紧', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.102', NULL, '额窦囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.202', NULL, '尿道口炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他疾病和情况个人史', 'Z85.809', NULL, '鼻咽恶性肿瘤个人史', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900x008', NULL, '心功能III级(NYHA分级)', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T19.100', NULL, '膀胱内异物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D11.701', NULL, '下颌下腺良性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.600x052', NULL, '坐骨结节囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K35.301', NULL, '急性阑尾炎伴腹膜脓肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.906', NULL, '股骨病变', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.101', NULL, '蝶窦囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q25.100', NULL, '主动脉缩窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.900', NULL, '肌肉疾患', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I60.701', NULL, '颅内动脉瘤破裂伴蛛网膜下隙出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.902', NULL, '凝血障碍', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J86.013', NULL, '胸壁窦道', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.700', NULL, '播散性疱疹病毒病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H74.802', NULL, '慢性化脓性中耳炎骨疡型', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.001', NULL, '肾病综合征伴微小病变性肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D40.702', NULL, '阴茎肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.806', NULL, '多浆膜腔积液', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.801', NULL, '松果体囊肿', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.400x042', NULL, '膝关节内侧副韧带完全断裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他疾病和情况个人史', 'Z86.702', NULL, '脑出血个人史', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.200', NULL, '腹部恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.001', NULL, '回盲部恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.903', NULL, '幽门管溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.901', NULL, '睾丸肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R74.802', NULL, '血淀粉酶增高', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.600x001', NULL, '尺骨远端骨折伴桡骨远端骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I07.900', NULL, '三尖瓣疾病', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.001', NULL, '亚急性虹膜睫状体炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S73.001', NULL, '髋关节半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.403', NULL, '输精管发育不良', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.912', NULL, '乙状结肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.919', NULL, '小脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B09.x01', NULL, '病毒性皮疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.201', NULL, '脑肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.007', NULL, '胸主动脉夹层', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M23.400', NULL, '膝关节游离体', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.100', NULL, '颈部皮肤脓肿、疖和痈', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房恶性肿瘤', 'C50.000x001', NULL, '乳头恶性肿瘤', '乳腺--肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O33.700x004', NULL, '胎儿脊髓脊膜膨出引起胎盆不称', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.807', NULL, '膀胱扩张', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.701', NULL, '尺骨桡骨闭合性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D12.100', NULL, '阑尾良性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及认知、知觉、情绪状态和行为的症状和体征', 'R43.800x002', NULL, '嗅觉与味觉混合障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.302', NULL, '下肢动脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.000', NULL, '支气管疾病，不可归类在他处者', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.104', NULL, '先天性外斜视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T02.900', NULL, '多处骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.000', NULL, '第三［动眼］神经麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.403', NULL, '上肢皮肤脓肿、疖和痈', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R76.800x001', NULL, '高免疫球蛋白血症', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E88.203', NULL, '脂肪堆积', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.201', NULL, '宫颈闭锁', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.000x001', NULL, '肘关节骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.900x001', NULL, '子宫肌炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.800x010', NULL, '直肠穿孔', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.301', NULL, '舌下神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '对药物、药剂和生物制品过敏个人史', 'Z94.000', NULL, '肾移植状态', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.001', NULL, '跟腱挛缩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.801', NULL, '皮肤感染性窦道', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.804', NULL, '肝结节', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.304', NULL, '腹股沟恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q83.100x002', NULL, '副乳腺腺病', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.202', NULL, '阴茎海绵体炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.905', NULL, '亚临床甲状腺功能亢进症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.005', NULL, '颈动脉夹层', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z90.701', NULL, '子宫切除术后状态', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.100', NULL, '阿尔茨海默病伴有晚期发病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.200', NULL, '身体骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.700', NULL, '口腔黏膜其他的损害', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.900x001', NULL, '多发性疖肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.703', NULL, '剩余牙根脓肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.001', NULL, '胆囊结石伴坏疽性胆囊炎', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.507', NULL, '肝管结石', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.000x001', NULL, '糖尿病性高渗性高血糖状态昏迷', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N72.x00x006', NULL, '子宫颈潴留囊肿', '宫颈疾病门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C63.201', NULL, '阴囊皮肤恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H27.102', NULL, '晶状体全脱位', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.111', NULL, '口腔感染', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.600', NULL, '肌腱和肌肉损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.100', NULL, '基底动脉闭塞和狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.102', NULL, '贲门动态未定肿瘤', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.900', NULL, '肾上腺的疾患', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F40.901', NULL, '恐怖状态', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.503', NULL, '乙状结肠息肉', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L91.800', NULL, '皮肤其他的肥厚性疾患', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.802', NULL, '流产后宫颈粘连', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M06.909', NULL, '类风湿性多部位关节炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.600', NULL, '降结肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F06.700', NULL, '轻度认知障碍', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S64.400x001', NULL, '指神经损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D23.400x003', NULL, '头皮良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.000', NULL, '甲状腺动态未定或动态未知的肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C77.002', NULL, '颈部淋巴结继发恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D21.100x002', NULL, '上肢结缔组织良性肿瘤', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.100x001', NULL, '躯干脂肪瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.105', NULL, '支气管肿瘤', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.200', NULL, '垂体良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.400x001', NULL, '颧弓骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C12.x00x002', NULL, '梨状窝恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.201', NULL, '足底筋膜纤维瘤病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.702', NULL, '十二指肠球部息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q32.100', NULL, '气管的其他先天性畸形', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.200', NULL, '皮肤继发性恶性肿瘤', '皮肤外科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N31.202', NULL, '膀胱松弛', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.210', NULL, '咽瘘', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '损伤、中毒和外因的其他后果的后遗症', 'T91.300', NULL, '脊髓损伤后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.006', NULL, '下颌骨骨质增生', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.600', NULL, '上肢(包括肩)恶性黑色素瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M30.101', NULL, '变应性肉芽肿性血管炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q51.203', NULL, '子宫不全纵隔', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的病毒性感染', 'A86.x00', NULL, '病毒性脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.100', NULL, '中度抑郁发作', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N36.807', NULL, '尿道旁管囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.102', NULL, '耳郭瘘', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.000', NULL, '急性胃溃疡伴有出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.900', NULL, '非滤泡（弥漫性）淋巴瘤，未特指', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.504', NULL, '复发性视网膜脱离', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C40.203', NULL, '腓骨恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C21.100', NULL, '肛管恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D01.500x001', NULL, '肝原位癌', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.807', NULL, '子宫瘢痕处妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C15.100x003', NULL, '食管胸中段恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.213', NULL, '下肢动脉粥样硬化伴坏疽', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.907', NULL, '腹部损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.004', NULL, '鼻中隔良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M23.801', NULL, '前十字韧带松弛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.006', NULL, '颌下淋巴结肿大', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.901', NULL, '肛旁肿物', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.304', NULL, '急性泪囊周围炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.805', NULL, '腹膜后囊肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.602', NULL, '特发性门脉高压', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C74.900', NULL, '肾上腺恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.705', NULL, '口腔出血', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q17.803', NULL, '咽鼓管异常', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.200x001', NULL, '肱骨近端骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.201', NULL, '外耳道皮肤恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.700x004', NULL, '颞部良性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C06.000', NULL, '颊黏膜恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.900', NULL, '阴茎疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.802', NULL, '包裹性胸腔积液', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O70.100', NULL, '分娩时Ⅱ度会阴裂伤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.302', NULL, '月经调节', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.809', NULL, '胰管结石', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.203', NULL, '下腔静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F50.502', NULL, '神经性呕吐', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.403', NULL, '骶骨恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.001', NULL, '阴道上皮内肿瘤,Ⅰ级', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G50.900', NULL, '三叉神经疾患', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.204', NULL, '下腔静脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R74.803', NULL, '心肌酶谱异常', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.001', NULL, '掌筋膜挛缩症', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.009', NULL, '胎儿无脑畸形', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.200', NULL, '升结肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.502', NULL, '无晶状体性青光眼', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.907', NULL, '局灶性脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S05.306', NULL, '结膜裂伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S31.402', NULL, '处女膜裂伤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G25.901', NULL, '锥体外系综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.301', NULL, '腮腺脓肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.000x005', NULL, '产后垂体前叶功能减退危象', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.500', NULL, '跗管综合征', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.000x002', NULL, '青光眼临床前期', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.600x005', NULL, '口腔黏膜粘液囊肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N92.400x001', NULL, '更年期月经过多', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N00.900x002', NULL, '急性肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q63.001', NULL, '重复肾', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.102', NULL, '自身免疫性低血糖症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.002', NULL, '子宫内膜复杂性增生', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M50.001+G99.2*', NULL, '颈椎间盘突出伴脊髓病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.300', NULL, '髂骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O44.100', NULL, '前置胎盘伴有出血', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.004', NULL, '腹主动脉夹层', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q70.400', NULL, '多指[趾]和并指[趾]畸形', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.804', NULL, '小肠肿物', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.800x004', NULL, '大气道狭窄', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z34.900x001', NULL, '妊娠监督', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.900', NULL, '胰腺的疾病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.800x096', NULL, '肌腱囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z85.205', NULL, '胸腺恶性肿瘤个人史', '心胸外科', '', '', '胸外科', '', '52A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.002', NULL, '剖宫产后伤口感染', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M76.603', NULL, '跟腱痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N92.400', NULL, '绝经前期出血过多', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.100x001', NULL, '腭骨囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.701', NULL, '左室肥大', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.802', NULL, '阴道前后壁脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.313', NULL, '声带肥厚', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z45.006', NULL, '起搏器安装术后调整', '起搏器门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.200', NULL, '绝经后萎缩性阴道炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.107', NULL, '胆总管狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.902', NULL, '脊柱变性', '脊柱专科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.816', NULL, '腹腔动脉夹层动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.303', NULL, '腓总神经麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.100', NULL, '阴囊瘙痒(症)', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.401', NULL, '腘窝脓肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q51.100', NULL, '双子宫伴有双宫颈和双阴道', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.901', NULL, '回盲部肿物', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C01.x00', NULL, '舌根恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.001', NULL, '视网膜血管病变', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.800x010', NULL, '腹壁子宫内膜异位', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.816', NULL, '盲肠息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.104', NULL, '慢性轻度乙型病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.501', NULL, '升结肠息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C33.x00', NULL, '气管恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.021', NULL, '下肢骨肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.806', NULL, '足肿胀', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.809', NULL, '食管胃吻合口狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.800x004', NULL, '甲状腺激素不敏感综合征[T4抵抗综合征]', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.403', NULL, '功能性腹痛综合征', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z90.001', NULL, '眼球摘除术后状态', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.901', NULL, '结膜肿物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.102', NULL, '锁骨下动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.200', NULL, '脊柱不稳定性疾患', '脊柱专科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.203', NULL, '胫腓骨闭合性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.819', NULL, '肛门囊肿', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.902', NULL, '涎腺肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '损伤、中毒和外因的其他后果的后遗症', 'T90.500', NULL, '颅内损伤后遗症', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.300x002', NULL, '脑继发恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z98.800x108', NULL, '胃术后', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A17.803+G05.0*', NULL, '结核性脑膜脑炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.900x001', NULL, '食管功能不全', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.700x027', NULL, '喉粘膜不典型增生', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900x010', NULL, '心功能IV级(NYHA分级)', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C25.400', NULL, '胰腺内分泌的恶性肿瘤', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.403', NULL, '脐尿管未闭', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.901', NULL, '脑神经炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M50.300', NULL, '颈椎间盘变性，其他的', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.201', NULL, '甲状旁腺肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.902', NULL, '胆总管肿物', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.000', NULL, '既往绝育术后的输卵管或输精管成形术', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.902', NULL, '后天性外耳道闭锁', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.500', NULL, '纵隔疾病，不可归类在他处者', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.200', NULL, '使用酒精引起的依赖综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.312', NULL, '声带肉芽肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.202', NULL, '下肢深静脉瓣膜功能不全', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M05.102+J99.0*', NULL, '类风湿性关节炎伴肺间质纤维化', '', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O44.003', NULL, '完全性前置胎盘', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.203+G53.0*', NULL, '带状疱疹性神经根炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C18.400', NULL, '横结肠恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K00.608', NULL, '乳牙滞留', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.601', NULL, '腹壁瘢痕子宫内膜异位症', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T02.310', NULL, '开放性多发性单下肢骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.901', NULL, '椎管内肿物', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E05.904+G73.5*', NULL, '甲状腺功能亢进性肌病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.200x001', NULL, '残余胆囊结石', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.800x001', NULL, '气管肿物', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J03.900x001', NULL, '扁桃体残根炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.812', NULL, '眼睑囊肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z50.300', NULL, '药物滥用康复', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.803', NULL, '主动脉溃疡', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R90.000x003', NULL, '脑干占位性病变', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S20.801', NULL, '胸壁浅表损伤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.301', NULL, '二尖瓣狭窄关闭不全伴主动脉瓣及三尖瓣关闭不全', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.827', NULL, '输尿管瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.301', NULL, '先天性大脑动静脉畸形', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.801', NULL, '三踝骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.907', NULL, '丘脑梗死', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.104', NULL, '股静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D26.000', NULL, '宫颈良性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.403', NULL, '升结肠肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.805', NULL, '结膜松弛', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.102', NULL, '女性膀胱脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.801', NULL, '椎间盘膨隆', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q28.801', NULL, '肺血管畸形', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K10.901', NULL, '颌骨肿物', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M23.812', NULL, '髌韧带粘连', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G58.000', NULL, '肋间神经病', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.502', NULL, '环杓关节扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.008', NULL, '梗阻性胆管炎', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z87.500x003', NULL, '剖宫产个人史', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S21.200x001', NULL, '背部开放性损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S91.303', NULL, '足裂伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.600x001', NULL, '贲门撕裂症', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.403', NULL, '外阴营养不良', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.000', NULL, '急性龈炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.119', NULL, '下肢静脉阻塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.403', NULL, '心肌炎后遗症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.816', NULL, '肾周积液', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.001', NULL, '弥漫性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.401', NULL, '结膜囊肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.203', NULL, '颈动脉狭窄脑梗死', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.902', NULL, '胃溃疡癌变', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.400', NULL, '四肢动脉栓塞和血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.903', NULL, '脑血肿', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.201', NULL, '视网膜部分性动脉阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.102', NULL, '结肠克罗恩病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.101', NULL, '包皮溃疡', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x09', NULL, '真菌性上颌窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.606', NULL, '混合型肝硬化失代偿期', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D35.200x007', NULL, '垂体微小良性肿瘤', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.201', NULL, '慢性咽喉痛', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S24.300x001', NULL, '肋间神经损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H50.001', NULL, '调节性内斜视', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C70.000', NULL, '脑膜恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.803', NULL, '右室心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O46.801', NULL, '胎盘边缘血窦破裂', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N43.302', NULL, '精索鞘膜积液', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.001', NULL, '二尖瓣反流', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.502', NULL, '脾出血', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.806', NULL, '外阴水肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D51.901+G32.0*', NULL, '维生素B12缺乏性贫血性脊髓后侧索硬化', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C77.400x001', NULL, '腹股沟淋巴结继发恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.604', NULL, '子宫粘连', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.000x001', NULL, '喘息性支气管肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K02.100', NULL, '牙本质龋', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T51.100', NULL, '甲醇的毒性效应', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C82.900', NULL, '滤泡性淋巴瘤', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.304', NULL, '单侧难复性腹股沟斜疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.200', NULL, '皮肤自体致敏', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C10.900', NULL, '口咽恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B07.x00x011', NULL, '掌跖疣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.302', NULL, '背部蜂窝织炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.003', NULL, '胆总管恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.903', NULL, '腕关节滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.800', NULL, 'B族维生素缺乏病，其他特指的', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.701', NULL, '角膜葡萄肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.800x003', NULL, '四肢供血不足', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.902', NULL, '肺大疱破裂', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.106', NULL, '小肠憩室炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z85.203', NULL, '鼻窦恶性肿瘤个人史', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I37.200', NULL, '肺动脉瓣狭窄伴有关闭不全', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.900', NULL, '胆道恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.506', NULL, '膝关节粘连性滑囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.202', NULL, '乳腺纤维囊性增生', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.304', NULL, '腹股沟蜂窝织炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.000', NULL, '贲门弛缓不能', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.206+G53.0*', NULL, '带状疱疹性肋间神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.100', NULL, '胆管梗阻', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.501', NULL, '腮腺导管结石', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N82.102', NULL, '输尿管阴道瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.601', NULL, '黄斑出血', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.502', NULL, '降结肠息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.011', NULL, '肋骨肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.001', NULL, '甲状旁腺增生', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.603', NULL, '肘关节僵硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.806', NULL, '慢性阻塞性支气管炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P22.801', NULL, '新生儿呼吸困难', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.002', NULL, '丘脑恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N02.900x002', NULL, '持续性血尿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M53.900', NULL, '背部病', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.200x021', NULL, '中度肺动脉高压', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.102', NULL, '卵巢黄素化囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.014', NULL, '视网膜静脉炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官后天性缺失,不可归类在他处者', 'Z13.300', NULL, '精神和行为障碍的特殊筛查', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.500', NULL, '耻骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.118', NULL, '下肢静脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S26.800x083', NULL, '创伤性心脏破裂', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.501', NULL, '十二指肠球部溃疡伴穿孔', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.001', NULL, '子宫肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C13.901', NULL, '下咽壁恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.302', NULL, '心房壁瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G91.802', NULL, '硬脑膜下积液', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.613', NULL, '隐源性肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.605', NULL, '肝炎后肝硬化失代偿期', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.311', NULL, '难复性腹股沟疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.900', NULL, '神经系统的变性性疾病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及皮肤和皮下组织的症状和体征', 'R22.000', NULL, '头部的局部肿胀、肿物和肿块', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.003', NULL, '痛风性滑囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.400', NULL, '肘关节扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于围生期的呼吸和心血管疾患', 'P21.101', NULL, '新生儿中度出生窒息', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.400x001', NULL, '外展神经损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.911', NULL, '盲肠炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.502', NULL, '胸椎脓肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.300x005', NULL, '悬雍垂良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.804', NULL, '气管囊肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S31.006', NULL, '臀部异物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.400', NULL, '使用酒精引起的戒断状态伴有谵妄', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.603', NULL, '舌下腺囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F30.900', NULL, '躁狂发作', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.900', NULL, '头部的浅表损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D33.200x001', NULL, '颅内良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.000x002', NULL, '子宫内膜囊性增生', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.402', NULL, '脑白质病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.701', NULL, '垂体肿物', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.202', NULL, '部分性垂体性尿崩症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.100x001', NULL, '肠道慢性缺血性综合征', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.803', NULL, '包皮血肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.202', NULL, '跖筋膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.201', NULL, '动脉硬化性脑病', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.201', NULL, '口腔脓肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.104', NULL, '药物性胃肠炎和结肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.101', NULL, '中毒性胃肠炎', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.010', NULL, '腮腺动态未定肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.900', NULL, '胸廓先天性畸形', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.000', NULL, '阿尔茨海默病伴有早期发病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.902', NULL, '脑神经麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T85.202', NULL, '人工晶体移位', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.002', NULL, '口腔阿弗他溃疡', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K36.x01', NULL, '复发性阑尾炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及认知、知觉、情绪状态和行为的症状和体征', 'R45.700', NULL, '情绪冲动和紧张状态', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.002', NULL, '唇瘢痕', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.103', NULL, '筛窦囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C14.000', NULL, '咽恶性肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N81.203', NULL, '宫颈脱垂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T85.401', NULL, '乳房假体障碍', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.404', NULL, '输尿管占位性病变', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.802', NULL, '皮肤窦道', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.002+J99.1*', NULL, '干燥综合征伴肺间质纤维化', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '危险因素个人史,不可归类在他处者', 'Z90.407', NULL, '胰腺切除术后状态', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S54.001', NULL, '前臂尺神经断裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T16.x00', NULL, '耳内异物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K71.001', NULL, '药物性肝炎伴胆汁淤积', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.310', NULL, '声带瘢痕粘连', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.102', NULL, '贲门溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.900', NULL, '胆道的疾病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.900x010', NULL, '脑干脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.800x003', NULL, '锁骨下盗血综合征伴锁骨下动脉闭塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.600', NULL, '外阴肥大', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z33.x01', NULL, '人工授精妊娠状态', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N42.901', NULL, '前列腺肿物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.402', NULL, '下肢皮肤脓肿、疖和痈', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.001', NULL, '肾梗死', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.101', NULL, '电光性眼炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C74.000', NULL, '肾上腺皮质恶性肿瘤', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G71.002', NULL, '眼咽型肌营养不良症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.300', NULL, '盆腔腹膜的子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.103', NULL, '食管糜烂', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C67.700', NULL, '脐尿管恶性肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.101', NULL, '宫颈阴道粘连', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.305', NULL, '肝内胆管结石伴胆管炎', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900x007', NULL, '心功能Ⅱ级(NYHA分级)', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.903', NULL, '痛风结节', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.208', NULL, '睾丸挫伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.901', NULL, '胃排空障碍', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.502', NULL, '眼球萎缩', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N45.904', NULL, '附睾炎性包块', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q39.200', NULL, '先天性气管食管瘘不伴有闭锁', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.801', NULL, '更年期抑郁症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.300', NULL, '椎间盘感染(脓性)', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E30.002', NULL, '幼稚型子宫', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S31.300x001', NULL, '阴囊开放性损伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.204', NULL, '自体过敏性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.000', NULL, '炎症后色素沉着过度', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H17.803', NULL, '角膜斑翳', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.700x001', NULL, '腭部瘢痕', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T00.900', NULL, '多处浅表损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.808', NULL, '膝关节囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.804', NULL, '外阴假性湿疣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.500', NULL, '胆囊肿', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.103', NULL, '丝状角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.901', NULL, '闭塞性动脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.302', NULL, '下肢血栓性静脉炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M46.302', NULL, '化脓性腰椎间盘感染', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C83.000', NULL, '小B细胞淋巴瘤', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.402', NULL, '肘关节扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P54.500', NULL, '新生儿皮肤出血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼和附器的其他疾患', 'H57.002', NULL, '瞳孔散大', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S59.900', NULL, '前臂损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O31.800x005', NULL, '选择性宫内生长受限', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.201', NULL, '颈椎恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.114', NULL, '腹腔干动脉狭窄', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.203', NULL, '球麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M41.200', NULL, '特发性脊柱侧弯，其他的', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T84.807', NULL, '膝关节置换术后疼痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.800x005', NULL, '肾上腺增生', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.100', NULL, '大肠克罗恩病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.702', NULL, '大腿皮肤恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q38.303', NULL, '无舌症', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (16743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '医疗个人史', 'Z85.002', NULL, '胃恶性肿瘤个人史', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.207', NULL, '回肠肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S86.100x002', NULL, '小腿后部肌群肌肉损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.000x010', NULL, '鼻腔良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.001', NULL, '慢性偏头痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x08', NULL, '真菌性蝶窦炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.900', NULL, '慢性缺血性心脏病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C32.101', NULL, '会厌恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.000', NULL, '阴茎白斑', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.718', NULL, '上肢肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.204', NULL, '颈动脉闭塞脑梗死', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.104', NULL, '腹股沟挫伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.802', NULL, '房室结双径路', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.508', NULL, '鼻泪管狭窄', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.100x051', NULL, '糖尿病性酮症酸中毒和乳酸性酸中毒', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '葡萄糖调节和胰腺内分泌的其他疾患', 'E16.107+G94.8*', NULL, '低血糖昏迷性脑病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '医疗个人史', 'Z86.701', NULL, '病毒性心肌炎个人史', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.300x002', NULL, '耳郭感染', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S10.902', NULL, ' 颈部异物', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S62.101', NULL, '腕骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.803', NULL, '阻塞性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.000x001', NULL, '视神经损伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.301', NULL, '胰腺影像检查异常', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J95.005', NULL, '气管造口术后气道阻塞', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.000', NULL, '睾丸萎缩', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.100x001', NULL, '腹部挫伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.011', NULL, '腹腔淋巴结肿大', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及皮肤和皮下组织的症状和体征', 'R20.202', NULL, '偏身感觉异常', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.806', NULL, '主动脉脓肿', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及神经和肌肉骨骼系统的症状和体征', 'R26.000', NULL, '共济失调步态', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.000', NULL, '急性出血性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C11.200', NULL, '鼻咽侧壁恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S01.000', NULL, '头皮开放性伤口', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.300x001', NULL, '肾病综合征伴膜增值性肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.900x002', NULL, '颅内恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.806', NULL, '脑软化', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N75.900', NULL, '前庭大腺疾病', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.903', NULL, '小脑萎缩', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O64.900', NULL, '胎位不正和先露异常引起的梗阻性分娩', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.200x081', NULL, '胫骨干骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.808', NULL, '肝结节性局灶性增生', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.402', NULL, '肠造口术后功能障碍', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O20.900', NULL, '妊娠早期出血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H05.200', NULL, '突眼性情况', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T83.305', NULL, '子宫内节育器移位', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C00.900', NULL, '唇恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.501', NULL, '髂总动脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.302', NULL, '声带出血', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.000', NULL, '内上髁炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.800x002', NULL, '快动眼睡眠行为障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T85.400', NULL, '乳房假体和植入物的机械性并发症', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.600', NULL, '小脑恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.100', NULL, '血栓闭塞性血管炎［伯格］', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.808', NULL, '黄韧带骨化', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.602', NULL, '肛门周围溃疡', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.809', NULL, '鼻腔粘连', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.400x021+G63.2*', NULL, '糖尿病性多发性神经病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.901', NULL, '内分泌腺肿瘤', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.910', NULL, '股骨骨髓炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M70.501', NULL, '鹅趾滑囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传染病和寄生虫病的后遗症', 'B90.002', NULL, '结核性脑膜炎后遗症', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.904', NULL, '病毒性心肌炎后遗症', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.003', NULL, '鼻前庭良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D25.900x001', NULL, '子宫多发性平滑肌瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.608', NULL, '踝关节强硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.914', NULL, '脑膜脑炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.503', NULL, '直肠乙状结肠交界处肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.102', NULL, '回盲部憩室', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.804', NULL, '胃酸过多', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.810', NULL, '丘脑综合征', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人工造口状态', 'Z86.002', NULL, '肾上腺良性肿瘤个人史', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.903', NULL, '胸骨后结节性甲状腺肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.507', NULL, '肛门恶性黑色素瘤', '皮肤外科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M71.307', NULL, '膝关节滑膜囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.101', NULL, '妊娠合并子宫韧带良性肿瘤', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.004', NULL, '胆总管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.301', NULL, '胃窦恶性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.600', NULL, '肝硬变', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I21.103', NULL, '急性下壁心肌梗死', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q45.002', NULL, '胰腺发育不全', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.606', NULL, '壶腹部动态未定肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.806', NULL, '后纵韧带骨化', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I40.000', NULL, '感染性心肌炎', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P07.100', NULL, '其他低出生体重（1000-2499克）', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N34.205', NULL, '慢性尿道炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.801', NULL, '食管隆起性病变', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.004', NULL, '上颌骨骨质增生', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K57.301', NULL, '盲肠憩室', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.203', NULL, '下肢神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.101', NULL, '贲门糜烂', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.401', NULL, '外耳肉芽肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S54.200x001', NULL, '前臂桡神经损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.103', NULL, '结肠穿孔', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.809', NULL, '肾瘘', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视神经和视路疾患', 'H47.003', NULL, '视神经受压', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (16838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.900x001', NULL, '耳后囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.101', NULL, '二尖瓣狭窄伴三尖瓣关闭不全', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I21.001', NULL, '急性前壁心肌梗死', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.501', NULL, '十二指肠狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.304', NULL, '胆总管结石伴急性胆管炎', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.309', NULL, '腹股沟嵌顿性滑疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P61.401', NULL, '新生儿贫血', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.901', NULL, '泌尿道梗阻', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.901', NULL, '关节肿物', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.203', NULL, '楔状骨骨折(足)', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C71.000', NULL, '大脑(除外脑叶和脑室)恶性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q51.300', NULL, '双角子宫', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.900x006', NULL, '唇部损伤', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.908', NULL, '会阴部软组织感染', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.620+I98.2*', NULL, '肝硬化伴胃底静脉曲张', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z31.500', NULL, '遗传咨询', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O72.101', NULL, '产后即时出血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.206', NULL, '阴茎挫伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.302', NULL, '弥漫性外耳炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T88.700', NULL, '药物和药剂的有害效应', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (16858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他产科情况,不可归类在他处者', 'O99.800x412', NULL, '妊娠合并先天性心脏病', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.300', NULL, '月经引出', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O86.001', NULL, '分娩后会阴切口感染', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C32.001', NULL, '声带恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.303', NULL, '声带固定', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.201', NULL, '寰枢椎关节强硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.801', NULL, '发作性肌张力障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.803', NULL, '宫颈囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.900', NULL, '与妊娠有关的情况', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.800x003', NULL, '疫苗接种角膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.900', NULL, '凝血缺陷', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M50.200x001', NULL, '颈椎间盘脱出', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.402', NULL, '巩膜瘘', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.101', NULL, '枕骨骨折', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.303', NULL, '卵巢功能衰竭', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G36.000', NULL, '视神经脊髓炎［德维克］', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.901', NULL, '肩关节滑膜炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I07.100x001', NULL, '风湿性三尖瓣关闭不全', '心脏瓣膜疾病门诊', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.803', NULL, '面部挫伤', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C43.606', NULL, '手恶性黑色素瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.802', NULL, '慢性喘息性支气管炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.300', NULL, '嗜酸细胞性蜂窝织炎[韦尔斯]', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S06.900', NULL, '颅内损伤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人工造口状态', 'Z85.403', NULL, '宫颈恶性肿瘤个人史', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D73.504', NULL, '脾静脉血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.804', NULL, '手肿胀', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.904', NULL, '肝坏死', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F13.201', NULL, '安眠药物瘾', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (16886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人工造口状态', 'Z90.405', NULL, '结肠部分切除术后状态', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官和组织移植状态', 'Z98.800x318', NULL, '双侧输卵管绝育术后', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.904+J99.1*', NULL, '结缔组织病肺间质纤维化', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.801', NULL, '胸腔占位性病变', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.800x801', NULL, '低张力胃', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.801', NULL, '胰腺坏死', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.408', NULL, '人工肛门狭窄', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S22.500', NULL, '连枷胸', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.300', NULL, '肠溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.702', NULL, '面部良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G11.901', NULL, '小脑共济失调', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.301', NULL, '胆总管结石伴急性化脓性胆管炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.003', NULL, '急性女性盆腔炎', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.900', NULL, '外耳疾患', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B08.500', NULL, '肠病毒性水疱性咽炎', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.606', NULL, '隐匿性阴茎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T19.000', NULL, '尿道内异物', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N39.900', NULL, '泌尿系统疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E66.902+N08.4*', NULL, '肥胖相关性肾病', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.805', NULL, '肾包膜下积液', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z51.002', NULL, '恶性肿瘤术后放射治疗', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.600x006', NULL, '房室结内双径', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.710', NULL, '喉肉芽肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S13.403', NULL, '寰枢关节扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C79.800x819', NULL, '腹主动脉继发恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D12.800', NULL, '直肠良性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.810', NULL, '输卵管旁囊肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.511', NULL, '胸壁异物', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M85.000', NULL, '骨纤维性结构不良(单骨性)', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发于胎儿和新生儿的暂时性内分泌和代谢疾患', 'P70.100', NULL, '糖尿病母亲的婴儿综合征', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.808', NULL, '阴茎瘢痕', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E20.901', NULL, '甲状旁腺性手足搐搦', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G03.903', NULL, '硬脑膜炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.203', NULL, '神经营养性角膜结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.803', NULL, '巨直肠', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.200x001', NULL, '胸椎间盘脱出', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E13.903', NULL, '类固醇性糖尿病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T06.101', NULL, '脊周围神经损伤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H17.802', NULL, '角膜云翳', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E25.900', NULL, '肾上腺性征疾患', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.000', NULL, '关节游离体', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.900x003', NULL, '儿童期脑萎缩', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.900x009', NULL, '筛窦肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及皮肤和皮下组织的症状和体征', 'R22.900', NULL, '局部肿胀、肿物和肿块', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.800', NULL, '皮肤和皮下组织其他特指的局部感染', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O71.601', NULL, '产伤性耻骨联合分离', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.200', NULL, '面部蜂窝织炎', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.400x008', NULL, '肺假性肿瘤', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S69.900', NULL, '腕和手的损伤', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.302', NULL, '室性自搏', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.216', NULL, '咽喉溃疡', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.400', NULL, '胆管结石伴有胆囊炎', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E65.x07', NULL, '颈部脂肪堆积', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '限于眼和内部器官的烧伤和腐蚀伤', 'T26.001', NULL, '眼睑烧伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.501', NULL, '里德尔甲状腺炎', '甲状腺疾病专科门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H73.900', NULL, '鼓膜疾患', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.900', NULL, '静脉栓塞和血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B16.905', NULL, '急性无黄疸型乙型病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.305', NULL, '膝关节病理性脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C11.901', NULL, '鼻咽壁恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E32.900', NULL, '胸腺病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L29.300', NULL, '肛门生殖器瘙痒(症)', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.801', NULL, '外阴炎性肿块', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.411', NULL, '上颌骨良性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.806', NULL, '腹腔动脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K51.200', NULL, '慢性溃疡性直肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '限于眼和内部器官的烧伤和腐蚀伤', 'T26.902', NULL, '眼球碱性烧伤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I24.002', NULL, '冠状动脉闭塞', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I87.805', NULL, '下肢静脉回流障碍', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O34.400', NULL, '为宫颈其他异常给予的孕产妇医疗', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.100x002', NULL, '慢性酒精中毒性神经病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I08.201', NULL, '主动脉瓣及三尖瓣关闭不全', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C03.001', NULL, '上颌软组织恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官和组织移植状态', 'Z85.001', NULL, '食管恶性肿瘤个人史', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.805', NULL, '肝胆管扩张', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.700', NULL, '骨赘', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.100', NULL, '肾盂动态未定或动态未知的肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.400x022', NULL, '膝关节内侧副韧带损伤', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K28.901', NULL, '空肠溃疡', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.203', NULL, '腰椎恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.301+H58.8*', NULL, '带状疱疹性眼炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.201', NULL, '甲状腺肿伴囊性变', '甲状腺疾病专科门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.501', NULL, '乳房硬结', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.909', NULL, '膝关节骨肿物', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.402', NULL, '手部恶性肿瘤', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S33.600', NULL, '骶髂关节扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.009', NULL, '胸骨肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z42.000x002', NULL, '颌面术后整形', '医疗整形美容门诊', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.601', NULL, '阴茎发育不全', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.001', NULL, '急性阔韧带脓肿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.714', NULL, '上肢良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.900x004', NULL, '颌下淋巴结炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.612', NULL, '混合型肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z42.006', NULL, '唇裂术后畸形整形', '医疗整形美容门诊', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T19.201', NULL, '外阴异物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (16981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.001', NULL, '肩关节半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K07.603', NULL, '颞颌关节骨关节病', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器官和组织移植状态', 'K64.402', NULL, '直肠皮赘', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.300', NULL, '舌下神经疾患', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S76.102', NULL, '髌韧带损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.701', NULL, '肩部纤维肌炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J02.903', NULL, '溃疡性咽炎', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G31.202', NULL, '酒精性小脑变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z01.200', NULL, '牙科检查', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.108', NULL, '小肠穿孔', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.902', NULL, '肛管肿物', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q70.201', NULL, '先天性并趾伴骨连接', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.006', NULL, '腹主动脉壁间出血', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (16994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及神经和肌肉骨骼系统的症状和体征', 'R25.200', NULL, '痛性痉挛和痉挛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.900', NULL, '眼睑疾患', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.011', NULL, '上颌骨恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.401', NULL, '膝关节副韧带劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T13.001', NULL, '下肢血肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (16999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.104', NULL, '泪腺萎缩', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I28.100', NULL, '肺动脉的动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.303', NULL, '甲亢性周期性麻痹', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T73.100', NULL, '口渴效应', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.102', NULL, '二尖瓣后叶脱垂', '心胸外科', '', '', '胸外科', '', '52A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.000', NULL, '唇皮肤恶性肿瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.203', NULL, '升主动脉扩张', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.416', NULL, '毁损肺', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.901', NULL, '胆管肿物', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.801', NULL, '泪小管断裂', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.002', NULL, '颈部脂肪瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.801', NULL, '残角子宫妊娠', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F10.401', NULL, '酒精性谵妄', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.211', NULL, '开放性胫骨骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q55.300', NULL, '输精管闭锁', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.300', NULL, '臀部皮肤脓肿、疖和痈', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.806', NULL, '扁桃体角化病', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.901', NULL, '子宫肿物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T84.501', NULL, '髋关节假体植入感染', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K61.100', NULL, '直肠脓肿', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他营养缺乏', 'E53.804', NULL, '维生素B12缺乏症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.600x002', NULL, '椎动脉动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.804 ', NULL, '面部浅表异物', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J37.002', NULL, '慢性会厌炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿受母体因素及妊娠、产程和分娩并发症的影响', 'P00.808', NULL, '母体血小板减少新生儿', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.203', NULL, '过敏性肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.800x003', NULL, '胎儿畸形', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M30.004', NULL, '多脉管炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.830', NULL, '输尿管破裂', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N31.201', NULL, '膀胱逼尿肌无力', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠、分娩和产褥期的水肿、蛋白尿和高血压疾患', 'O14.000x001', NULL, '轻度先兆子痫', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S91.000', NULL, '踝开放性伤口', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.000x002', NULL, '肩胛骨良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.618+I98.3*', NULL, '肝硬化伴胃底静脉曲张破裂出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.809', NULL, '子宫糜烂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O90.100', NULL, '会阴产科的伤口破裂', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.600', NULL, '胰良性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S63.500', NULL, '腕关节扭伤和劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.901', NULL, '卵巢肿物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.203', NULL, '阴囊疖肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.001', NULL, '鼻旁窦良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.401', NULL, '口腔黏膜肉芽肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F34.001', NULL, '环性心境人格', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.303', NULL, '胆囊十二指肠瘘', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.107', NULL, '前交通动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M43.600', NULL, '斜颈', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.200x001', NULL, '子宫粘连性不孕', '不孕不育中心', '', '', '生殖健康与不孕症科', '', '29', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S51.900', NULL, '前臂开放性伤口', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.800x001', NULL, '出血性直肠炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.900', NULL, '中枢神经系统脱髓鞘病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O90.900', NULL, '产褥期并发症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.201', NULL, '疑病症', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S36.202', NULL, '胰腺包膜撕裂', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K66.807', NULL, '腹腔囊肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.800x005', NULL, '髂外静脉栓塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产程和分娩的并发症', 'O70.200', NULL, '分娩时Ⅲ度会阴裂伤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S50.101', NULL, '前臂挫伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.004', NULL, '肠坏死', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I66.000', NULL, '大脑中动脉闭塞和狭窄', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.802', NULL, '皮肤变应性血管炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.302', NULL, '鼻腔继发恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O30.200', NULL, '四胎妊娠', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.911', NULL, '胫骨肿物', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.500', NULL, '关节病型银屑病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q76.602', NULL, '先天性肋骨融合', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.201', NULL, '二尖瓣术后狭窄', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.900', NULL, '角膜疾患', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.812', NULL, '食管空肠吻合口狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.100x022', NULL, '腹壁整形', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.102+G99.2*', NULL, '胸椎关节强硬伴脊髓病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T15.800x001', NULL, '眼球异物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C84.800', NULL, '皮肤T细胞淋巴瘤，未特指', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S89.900', NULL, '小腿损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.400x110+G59.0*', NULL, '糖尿病性单神经病', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S04.100', NULL, '动眼神经损伤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q68.102', NULL, '先天性指畸形', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.800x004', NULL, '心肌炎后心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.300x005', NULL, '肾盂囊肿', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H43.800x003', NULL, '玻璃体脱离', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.308', NULL, '腘动脉闭塞', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.200x001', NULL, '胃溃疡伴出血和急性穿孔', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.508', NULL, '中耳肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M25.604', NULL, '腕关节僵硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.401', NULL, '盆底肌痉挛综合征', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '损伤、中毒和外因的其他后果的后遗症', 'T97.x00x003', NULL, '中毒性脑病后遗症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D43.104', NULL, '小脑动态未定肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.001', NULL, '肱骨头无菌性坏死', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.100x002', NULL, '卵巢黄体破裂', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.400x010', NULL, '下肢动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.000', NULL, '急性消化性溃疡伴有出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C38.100', NULL, '前纵隔恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.501', NULL, '胫骨骨折累及踝关节', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.800x001', NULL, '鼻部感染', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.004', NULL, '甲床炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.401', NULL, '声带任克氏间隙水肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x028', NULL, '颅内血管瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.001', NULL, '食管贲门连接处恶性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K09.205', NULL, '下颌骨囊肿', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.901', NULL, '反应性淋巴结炎', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.200x013', NULL, '弥漫性体部血管角化瘤', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.506', NULL, '腹膜后纤维化伴输尿管狭窄', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统先天性畸形', 'Q24.801', NULL, '布鲁格达综合征', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.202', NULL, '贲门狭窄', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M87.901', NULL, '股骨骨坏死', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A52.103+M14.6*', NULL, '夏科关节病', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '具有心脏和血管植入物和移植物', 'Z92.400', NULL, '大手术个人史，不可归类在他处者', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.205', NULL, '阴囊挫伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.810', NULL, '眼下直肌麻痹', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.100', NULL, '铁代谢紊乱', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.301', NULL, '血栓形成性脑软化', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.013', NULL, '扁桃体肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.918', NULL, '肋骨肿物', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.000', NULL, '先天性无阴道', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C04.900', NULL, '口底恶性肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.710', NULL, '肛门肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.702', NULL, '牙槽脓肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.501', NULL, '上臂肌肉萎缩', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.303', NULL, '前庭周围性眩晕', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.806', NULL, '食管扩张', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及身体多个部位的损伤', 'T02.200x001', NULL, '单上肢多发性骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.106', NULL, '慢性重度乙型病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.001', NULL, '肝管恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.200', NULL, '上肢动脉栓塞和血栓形成', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.900', NULL, '足骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.702', NULL, '多发性脑神经炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '具有其他功能性植入物', 'Z85.404', NULL, '卵巢恶性肿瘤个人史', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.721', NULL, '舌骨大角综合征', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L92.301', NULL, '皮肤硅肉芽肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.200', NULL, '二头肌腱炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.400', NULL, '上肢恶性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.002', NULL, '尺桡关节脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.802', NULL, '气管瘢痕', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.505', NULL, '泪小管阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M95.301', NULL, '颈部畸形', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z43.200', NULL, '回肠造口维护', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.003', NULL, '疱疹样口炎', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (17135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T83.303', NULL, '子宫内节育器嵌顿', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.106', NULL, '异位妊娠后过度出血', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S61.902', NULL, '手套撕脱伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M70.400', NULL, '髌前囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.600', NULL, '口腔黏膜刺激性增生', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.200', NULL, '酒精性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G60.802', NULL, '感觉性周围神经病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.700x001', NULL, '癫痫小发作[典型失神发作]', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.805', NULL, '胸膜粘连', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A02.100', NULL, '沙门菌脓毒症', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.304', NULL, '低磷血症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.301', NULL, '十二指肠异物', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T82.503', NULL, '室间隔缺损手术后残余漏', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.816', NULL, '精索囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.106', NULL, '腹膜后神经良性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S46.101', NULL, '二头肌长头肌腱损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.400', NULL, '肛门痉挛', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.200x001', NULL, '肾病综合征伴膜性肾小球肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I74.100', NULL, '主动脉的栓塞和血栓形成，其他部位', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.602', NULL, '完全性左束支传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.005', NULL, '咽肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.012', NULL, '腹膜后淋巴结肿大', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S39.904', NULL, '阴茎损伤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.104', NULL, '椎动脉假性动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.205', NULL, '髂窝脓肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.402', NULL, '肾动脉走行异常', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕和手损伤', 'S60.000x001', NULL, '手指挫伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.800x012', NULL, '药物性外生殖器发育异常', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S81.900', NULL, '小腿开放性伤口', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.207', NULL, '阴道挫伤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H04.303', NULL, '泪囊脓肿', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N82.103', NULL, '子宫膀胱瘘', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.506', NULL, '纵隔纤维化', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S44.101', NULL, '上臂正中神经断裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.101', NULL, '会厌良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '具有其他装置', 'Z86.501', NULL, '精神病个人史', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O03.903', NULL, '孕晚期自然流产', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.500', NULL, '肛门和直肠出血', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '具有其他装置', 'Z98.800x112', NULL, '胆囊术后', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T12.x00', NULL, '下肢骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.401', NULL, '束支传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.804', NULL, '嗜酸粒细胞性胃肠炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I72.404', NULL, '股动脉假性动脉瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C34.901', NULL, '支气管恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.203', NULL, '视网膜动脉供血不足', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.405', NULL, '结膜血管增生', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.906', NULL, '关节囊炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.000x504', NULL, '鼻咽血管瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.102', NULL, '颌下腺肥大', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统先天性畸形', 'Q33.200', NULL, '肺分离', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '损伤、中毒和外因的其他后果的后遗症', 'T95.202', NULL, '陈旧性手烧伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q17.501', NULL, '招风耳', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.202', NULL, '腹壁脓肿', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎儿和新生儿出血性和血液学疾患', 'P55.101', NULL, '新生儿ABO溶血性黄疸', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.900', NULL, '咽良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.502', NULL, '瘢痕挛缩', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.400', NULL, '放射性膀胱炎', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.700', NULL, '垂体疾患', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S54.100x001', NULL, '前臂正中神经损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.400x008', NULL, '自身免疫相关性脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T86.107', NULL, '肾移植术后少尿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.900x011', NULL, '蝶窦肿物', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N87.001', NULL, '宫颈上皮内肿瘤，Ⅰ级', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.800x006', NULL, '房性心律', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.009', NULL, '支气管阻塞', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '原位肿瘤', 'D02.002', NULL, '声带原位癌', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q44.502', NULL, '先天性胆管畸形', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.112', NULL, '腋下结缔组织肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.900', NULL, '下肢单神经病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T85.703', NULL, '导管相关性感染', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q66.000', NULL, '马蹄内翻足', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.900', NULL, '膀胱疾患', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'T79.700', NULL, '创伤性皮下气肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.802', NULL, '腹主动脉溃疡', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q85.902', NULL, '腹膜后错构瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统和结缔组织的其他疾患', 'M99.900', NULL, '生物力学损害', '疼痛门诊', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z95.501', NULL, '冠状动脉支架植入后状态', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.301', NULL, '眼睑皮赘', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S35.200x001', NULL, '腹腔动脉损伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.901', NULL, '细菌性结膜炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C24.100', NULL, '法特壶腹恶性肿瘤', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.008', NULL, '鼻蜂窝织炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及皮肤和皮下组织的症状和体征', 'R23.000', NULL, '发绀[紫绀]', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I61.802', NULL, '丘脑出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.500x001', NULL, '限制性心肌病', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.701', NULL, '多发性骨盆骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.700', NULL, '根尖周脓肿不伴有窦道', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I60.801', NULL, '脑动静脉畸形破裂伴蛛网膜下腔出血', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D21.900x002', NULL, '结缔组织良性肿瘤', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C88.000x002', NULL, '高粘滞综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.503', NULL, '瘢痕粘连', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S20.000', NULL, '乳房挫伤', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.204', NULL, '饮食性腹泻', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.816', NULL, '胰腺积液', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.214', NULL, '口蜂窝织炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M67.402', NULL, '关节腱鞘囊肿', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C57.801', NULL, '输卵管卵巢恶性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K72.900', NULL, '肝衰竭', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.303', NULL, '腭良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.812', NULL, '鼻翼肥大', '整形外科', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.800x005', NULL, '外耳道瘢痕', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D12.601', NULL, '家族性息肉病', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.607', NULL, '膝关节强硬', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.203', NULL, '陈旧性前壁心肌梗死', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.801', NULL, '继发性甲状腺功能减退症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G54.000x001', NULL, '臂丛神经损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z92.001', NULL, '输卵管绝育史', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'O81.500', NULL, '同时借助产钳和真空吸引器分娩', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.100', NULL, '肾上腺动态未定或动态未知的肿瘤', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z37.100', NULL, '单一死产', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S30.003', NULL, '臀部挫伤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M66.104', NULL, '胸锁关节滑膜破裂', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I46.000', NULL, '心脏停搏复苏成功', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.108', NULL, '结膜色素沉着病', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D13.303', NULL, '回肠良性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.710', NULL, '盆腔良性肿瘤', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.902', NULL, '输卵管肿物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.105', NULL, '隆胸', '乳房整形门诊', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N90.801', NULL, '会阴瘢痕', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.901', NULL, '胸骨后甲状腺肿', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z30.202', NULL, '输卵管绝育', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A15.308', NULL, '浸润型肺结核经证实(+)', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q64.400', NULL, '脐尿管畸形', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.101', NULL, '儿童良性阵发性眩晕', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H00.003', NULL, '眼睑蜂窝织炎', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.804', NULL, '视网膜部分性静脉阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.905', NULL, '湿疹样皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C15.100x004', NULL, '食管胸下段恶性肿瘤', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.003', NULL, '苔藓', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.101', NULL, '阴道上皮内肿瘤,Ⅱ级', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F44.000', NULL, '分离性遗忘', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M45.x01', NULL, '类风湿性脊椎炎', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.900', NULL, '皮肤和皮下组织的毛囊囊肿', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.705', NULL, '背部良性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.810', NULL, '直肠囊肿', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.201', NULL, '贲门梗阻', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900x010', NULL, '腹腔淋巴瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D14.102', NULL, '声带良性肿瘤', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (17273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.200x011', NULL, '舌下腺炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H33.502', NULL, '陈旧性视网膜脱离', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.821', NULL, '肛门炎', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.003', NULL, '口腔肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G23.803', NULL, '皮质基底节变性', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H49.100', NULL, '第四［滑车］神经麻痹', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.401', NULL, '颅咽管肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I60.700x001', NULL, '脑动脉瘤破裂伴蛛网膜下腔出血', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E24.901', NULL, '亚临床库欣综合征', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E75.101', NULL, 'GM3神经节苷脂沉积症', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.302', NULL, '腓神经损害', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200x001', NULL, '尖端扭转型室性心动过速', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H34.900', NULL, '未特指的视网膜血管阻塞', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.300', NULL, '扳机指', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.300', NULL, '面部皮肤恶性肿瘤', '皮肤外科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.400', NULL, '短暂性完全性遗忘', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.802', NULL, '髂动脉闭塞性粥样硬化', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G24.805', NULL, '节段型肌张力障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N89.809', NULL, '阴道赘生物', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.801', NULL, '根尖囊肿', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G72.400', NULL, '炎性肌病，不可归类在他处者', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳的其他疾患', 'H93.900', NULL, '耳疾患', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z41.101', NULL, '重睑', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I35.101', NULL, '心内膜炎伴主动脉瓣关闭不全', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大疱性疾患', 'L12.202', NULL, '线状IgA大疱性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.002', NULL, '回肠克罗恩病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.207+G53.0*', NULL, '疱疹后三叉神经痛', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下呼吸道化脓性和坏死性情况', 'J85.001', NULL, '肺坏死', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.805', NULL, '舌囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.110', NULL, '口底炎性假瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S20.802', NULL, '胸部浅表损伤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P05.001', NULL, '低体重儿', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.901', NULL, '胸膜肿物', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.700', NULL, '大脑动脉炎，不可归类在他处者', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '玻璃体和眼球疾患', 'H44.900', NULL, '眼球疾患', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D51.101', NULL, '巨幼细胞遗传性贫血', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.000x011', NULL, '流产后发热', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M24.906', NULL, '踝关节紊乱', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.900', NULL, '炎性肝脏疾病', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.500', NULL, '阴道溃疡', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.104', NULL, '慢性腮腺淋巴结炎', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.802', NULL, '上肢缺血', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S43.401', NULL, '肩关节劳损', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z85.503', NULL, '膀胱恶性肿瘤个人史', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.501', NULL, '快慢综合征', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.300', NULL, '感染性皮炎', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.600', NULL, '膈疾患', '普内科', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.108', NULL, '大脑中动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M33.201+J99.1*', NULL, '多肌炎伴肺间质纤维化', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.601', NULL, '皮肤异色病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E21.100x001', NULL, '继发性甲状旁腺功能亢进', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.800x001', NULL, '胰腺肿大', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N43.100', NULL, '感染性鞘膜积液', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H17.000', NULL, '粘连性白斑', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.002', NULL, '腹主动脉粥样硬化', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B02.001+G05.1*', NULL, '带状疱疹神经根脊髓炎', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D31.100', NULL, '角膜良性肿瘤', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.002', NULL, '副脾', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.801', NULL, '动脉溃疡', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N44.x01', NULL, '附睾扭转', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I73.902', NULL, '血管痉挛', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N15.901', NULL, '肾感染', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K14.900', NULL, '舌的疾病', '', '', '', '', '', '', '1', '', NULL, NULL);
INSERT INTO `tran_disease_dept` VALUES (17336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.102', NULL, '慢性创伤性胰腺炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.101', NULL, '基底动脉闭塞', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.400x001', NULL, '膝关节副韧带扭伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.500', NULL, '软组织内残留异物', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.008', NULL, '腋下淋巴结肿大', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K08.806', NULL, '牙槽出血', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.400x001', NULL, '多发性溃疡伴出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.400', NULL, '牙周变性', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M89.900', NULL, '骨疾患', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.302', NULL, '雌激素减少', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.900', NULL, '皮肤脓肿、疖和痈', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G06.203', NULL, '硬膜外脓肿', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.811', NULL, '肌肉纤颤', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.605', NULL, '颌下腺囊肿', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I82.801', NULL, '颈内静脉血栓形成', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.000x001', NULL, '胃黏膜下恒径动脉破裂出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.106', NULL, '腹腔淋巴管瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A31.803', NULL, '播散性非结核分枝杆菌病', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.400', NULL, '精神分裂症后抑郁', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.201', NULL, '股骨良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N12.x03', NULL, '肾小管病变', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '使用精神活性物质引起的精神和行为障碍', 'F17.300', NULL, '使用烟草引起的戒断状态', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.800x006', NULL, '心房肿物', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与产褥期有关的并发症', 'O90.201', NULL, '产后会阴伤口血肿', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.100', NULL, '外上髁炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E29.900', NULL, '睾丸功能障碍', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨和关节软骨恶性肿瘤', 'C41.202', NULL, '胸椎恶性肿瘤', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黑色素瘤和其他恶性肿瘤', 'C44.304', NULL, '鼻部皮肤恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H27.000', NULL, '无晶状体', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.001', NULL, '髌骨半脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.300', NULL, '小肠内异物', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.200x013', NULL, '肺动脉高压危象', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C38.001', NULL, '心包恶性肿瘤', '心脏外科', '', '', '心脏外科', '', '528', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.100', NULL, '胃动态未定或动态未知的肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R79.900', NULL, '血液化学的异常所见', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.104', NULL, '膀胱直肠瘘', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.103', NULL, '后交通动脉瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.203', NULL, '十二指肠出血', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D20.000', NULL, '腹膜后腔良性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为特殊操作和卫生保健而与保健机构接触的人', 'Z42.900', NULL, '涉及整形手术的随诊医疗', '医疗整形美容门诊', '', '', '整形外科', '', '60', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.810', NULL, '胆管肥大', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H21.501', NULL, '虹膜离断', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z85.101', NULL, '肺恶性肿瘤个人史', '胸外科', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J90.x02', NULL, '急性渗出性胸膜炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.207', NULL, '陈旧性下壁心肌梗死', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C21.000', NULL, '肛门恶性肿瘤', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.101', NULL, '局灶性肾炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.400x012', NULL, '膝关节外侧副韧带损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼和附器的其他疾患', 'H57.000', NULL, '瞳孔功能异常', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.601', NULL, '特指肝硬化', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O08.800x007', NULL, '流产后失血性贫血', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.100', NULL, '动脉狭窄', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.300', NULL, '胆囊瘘', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I86.802', NULL, '颞静脉瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C26.900', NULL, '消化系统部位不明确的恶性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S53.000', NULL, '桡骨头脱位', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.900x007', NULL, '腮腺肉芽肿性淋巴结炎', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z98.800x411', NULL, '房间隔缺损修补术后', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.801', NULL, '肠系膜动脉炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x06', NULL, '浆细胞性乳腺炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.805', NULL, '扁桃体息肉', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D18.109', NULL, '血管淋巴管瘤', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他骨病', 'M86.913', NULL, '胫骨骨髓炎', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.801', NULL, '脾曲综合征', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.300', NULL, '单侧或未特指的腹股沟疝，伴有梗阻，不伴有坏疽', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.902', NULL, '非感染性腹泻', '肠道门诊', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C76.500', NULL, '下肢恶性肿瘤', '肿瘤外科', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.608', NULL, '药物性胃炎', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.200', NULL, '胆囊穿孔', '肝胆胰脾外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.603', NULL, '肠梗阻伴坏死', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z88.813', NULL, '酒精过敏个人史', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.304', NULL, '腰骶椎间盘变性', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D68.903', NULL, '凝血时间延长', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E25.003', NULL, '21-羟化酶缺乏症', '内分泌科', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.901', NULL, '脂性肾病', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z86.104', NULL, '结核个人史', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F44.402', NULL, '心因性运动障碍', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H31.901', NULL, '脉络膜肿物', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.301', NULL, '下肢静脉炎', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.002', NULL, '硬脊膜动静脉瘘', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N47.x03', NULL, '包皮粘连', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T59.900', NULL, '气体、烟雾和蒸气的毒性效应', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.001', NULL, '慢性乙型丁型病毒性肝炎', '肝病感染内科', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H69.000', NULL, '咽鼓管开放症', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D16.002', NULL, '肱骨良性肿瘤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统的脱髓鞘疾病', 'G37.803', NULL, '脱髓鞘性脑病', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.600', NULL, '胸段背痛', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.000', NULL, '小肠克罗恩病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K12.213', NULL, '咬肌间隙感染', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.811', NULL, '脂肪液化', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.205', NULL, '空肠肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H70.001', NULL, '耳后脓肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不明确、继发和未特指部位的恶性肿瘤', 'C78.601', NULL, '腹膜后继发恶性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他先天性畸形', 'Q43.105', NULL, '先天性巨结肠类源病', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q12.200', NULL, '晶状体缺损', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D10.200', NULL, '口底良性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J82.x01', NULL, '嗜酸细胞性肺炎', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、脑和中枢神经系统其他部位的恶性肿瘤', 'C72.201', NULL, '嗅球恶性肿瘤', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D33.003', NULL, '大脑良性肿瘤', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.212', NULL, '开放性胫腓骨干骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.303', NULL, '子宫直肠凹子宫内膜异位症', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T84.002', NULL, '髋关节假体松动', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N39.405', NULL, '紧迫性尿失禁', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.803', NULL, '小肠息肉', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.901', NULL, '伯克结节病', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N50.821', NULL, '射精管囊肿', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K41.302', NULL, '嵌顿性股疝', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K58.902', NULL, '过敏性结肠', '消化内科', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I36.800x003', NULL, '三尖瓣下移', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.600x001', NULL, '肾盂脓肿', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼、耳、面和颈部先天性畸形', 'Q18.001', NULL, '先天性鳃裂瘘管', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.807', NULL, '纵隔结核', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.221', NULL, '咽旁间隙囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.002', NULL, '脓疱性皮疹', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.900x003', NULL, '输卵管积脓', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O35.101', NULL, '胎儿染色体异常', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.900', NULL, '结膜疾患', '眼科', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.301', NULL, '抑郁性精神病', '精神卫生科', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液检查的异常所见。无诊断者', 'R76.802', NULL, '免疫球蛋白升高', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D80.901', NULL, '免疫球蛋白缺乏', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.107', NULL, '小腿肌痛', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D36.708', NULL, '腹股沟良性肿瘤', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.101', NULL, '闭合性胫骨平台骨折', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T13.100', NULL, '下肢开放性伤口', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.906', NULL, '颈部软组织感染', '头颈外科', '', '', '头颈外科', '', '59', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S00.003', NULL, '头皮异物', '神经外科', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.208', NULL, '梨状窝囊肿', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T11.102', NULL, '上肢撕脱伤', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '因其他情况而与保健机构接触的人', 'Z72.200', NULL, '与用药有关的医疗咨询', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手术和医疗的并发症,不可归类在他处者', 'T81.027', NULL, '拔牙创口出血', '牙科', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G57.600', NULL, '跖神经损害', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L98.800x014', NULL, '贫血痣', '皮肤科', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.600x002', NULL, '心血管意外', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D67.x01', NULL, '血友病B型', '血液内科', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T65.200x002', NULL, '尼古丁中毒', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L92.300', NULL, '皮肤和皮下组织异物性肉芽肿', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H68.101', NULL, '咽鼓管狭窄', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G50.803', NULL, '三叉神经炎', '肾内科', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.800', NULL, '肌肉其他特指的疾患', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C26.901', NULL, '胃肠道恶性肿瘤', '胃肠外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q52.402', NULL, '先天性阴道闭锁', '妇科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.700x003', NULL, '心房扩大', '心内科', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z94.002', NULL, '异体肾移植状态', '泌尿外科', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G40.801', NULL, '反射性癫痫', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S51.901', NULL, '开放性前臂损伤', '骨科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B47.900', NULL, '足菌肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.208', NULL, '上消化道出血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.100', NULL, '亚急性甲状腺炎', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.715', NULL, '会厌囊肿', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环系统其他和未特指的疾患', 'I95.900', NULL, '低血压', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K50.900', NULL, '克罗恩病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹伤寒', 'K64.805', NULL, '内痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.900', NULL, '再生障碍性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F25.900', NULL, '分裂情感性障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.100', NULL, '创伤后应激障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官恶性肿瘤', 'C61.x00', NULL, '前列腺恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.200', NULL, '前庭神经元炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N47.x01', NULL, '包皮过长', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.800', NULL, '十二指肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M23.308', NULL, '半月板损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.200', NULL, '急性外阴炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.301', NULL, '单纯性牙周炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.301', NULL, '卵巢早衰', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.003', NULL, '周围性面神经麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D56.900', NULL, '地中海贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.102', NULL, '增生性牙龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹伤寒', 'K64.809', NULL, '外痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E28.200', NULL, '多囊卵巢综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.803', NULL, '子宫内膜增厚', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D25.900', NULL, '子宫平滑肌瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.300x002', NULL, '室性期前收缩', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N19.x01', NULL, '尿毒症', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K40.314', NULL, '嵌顿性腹股沟斜疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.100x006', NULL, '左心衰竭', '心衰联合门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G20.x00', NULL, '帕金森病', '帕金森病', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.010', NULL, '开放性气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J93.003', NULL, '张力性气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.101+J17.2*', NULL, '念珠菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I21.300x004', NULL, '急性ST段抬高型心肌梗死', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J06.900', NULL, '急性上呼吸道感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x05', NULL, '急性乳腺炎', '产后门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J04.000', NULL, '急性喉炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I21.900', NULL, '急性心肌梗死', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J20.900', NULL, '急性支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.401', NULL, '急性根尖周炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他急性下呼吸道感染', 'J20.902', NULL, '急性气管支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J04.100', NULL, '急性气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.000', NULL, '急性白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.900x003', NULL, '急性肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K85.101', NULL, '急性胆源型胰腺炎，轻症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J03.902', NULL, '急性腺样体炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I21.401', NULL, '急性非ST段抬高型心肌梗死', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.003', NULL, '恶化劳力性心绞痛', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D47.101', NULL, '慢性中性粒细胞白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.100', NULL, '慢性前列腺炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J37.000', NULL, '慢性喉炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J42.x00', NULL, '慢性支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.300', NULL, '慢性牙周炎', '牙周病门诊', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C95.100', NULL, '慢性白血病', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.910', NULL, '慢性结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K36.x02', NULL, '慢性阑尾炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.101', NULL, '慢性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.900', NULL, '慢性阻塞性肺病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.100', NULL, '慢性鼻咽炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I49.400x001', NULL, '期前收缩', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.801', NULL, '桡骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A53.900', NULL, '梅毒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.000', NULL, '椎管狭窄', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹伤寒', 'K64.811', NULL, '混合痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L42.x00', NULL, '玫瑰糠疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.101', NULL, '甲状腺结节', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.801', NULL, '电解质代谢紊乱', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I40.001', NULL, '病毒性心肌炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹伤寒', 'K64.900', NULL, '痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L91.001', NULL, '瘢痕疙瘩', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H26.900', NULL, '白内障', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L72.105', NULL, '皮脂腺囊肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.811', NULL, '直肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H00.001', NULL, '睑腺炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.208', NULL, '神经炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.001', NULL, '精囊炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神分裂症、分裂型障碍和妄想性障碍', 'F20.900', NULL, '精神分裂症', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M34.900x001', NULL, '系统性硬化症', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D38.301', NULL, '纵隔肿瘤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A03.900', NULL, '细菌性痢疾', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A05.900', NULL, '细菌性食物中毒', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A17.000+G01*', NULL, '结核性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.500', NULL, '结肠息肉', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.902', NULL, '结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养性贫血', 'D50.900', NULL, '缺铁性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K60.300', NULL, '肛瘘', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.802', NULL, '肛管炎', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K60.200', NULL, '肛裂', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.807', NULL, '肝囊肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.000', NULL, '肝纤维化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.000', NULL, '肝细胞癌', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.000', NULL, '肝脓肿', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K58.900x003', NULL, '肠易激综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.700', NULL, '肠梗阻', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A18.303+K93.0*', NULL, '肠结核', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I26.900x001', NULL, '肺栓塞', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.200x002', NULL, '肺结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.703', NULL, '胃息肉', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K25.900x001', NULL, '胃溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.901', NULL, '胃肠功能紊乱', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.802', NULL, '胆囊息肉', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L21.900', NULL, '脂溢性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G91.900', NULL, '脑积水', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.011', NULL, '腮腺肿瘤', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.202', NULL, '腰椎间盘突出', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M54.505', NULL, '腰肌劳损', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑膜和肌腱疾患', 'M65.910', NULL, '腱鞘炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K43.902', NULL, '腹壁疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L27.005', NULL, '药物性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J15.200', NULL, '葡萄球菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H20.900', NULL, '虹膜睫状体炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斑疹热[蜱媒介的立克次体病]', 'K64.806', NULL, '血栓性外痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A56.002', NULL, '衣原体性宫颈炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.300', NULL, '跖骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.004', NULL, '过敏性鼻炎伴哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为非药用物质的毒性效应', 'T51.001', NULL, '酒精中毒', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.102', NULL, '阵发性室上性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G47.301', NULL, '阻塞性睡眠呼吸暂停综合征', '鼾症--睡眠呼吸障碍专科门诊', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部损伤', 'S12.900x001', NULL, '颈椎骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I05.000x001', NULL, '风湿性二尖瓣狭窄', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T78.102', NULL, '食物过敏', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疝', 'K44.901', NULL, '食管裂孔疝', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.000', NULL, '髌骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T70.201', NULL, '高原性肺水肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x06', NULL, '高血压危象', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.303', NULL, '黄斑裂孔', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D22.900', NULL, '黑素细胞痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.200', NULL, '鼻中隔偏曲', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.810', NULL, '鼻腔肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.200', NULL, '鼻骨骨折', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.102', NULL, '龟头炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E23.200', NULL, '尿崩症', '垂体肾上腺性腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.000', NULL, '慢性鼻炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M32.101+N08.5*', NULL, '狼疮性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N48.100', NULL, '龟头包皮炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.000', NULL, '急性前列腺炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N42.802', NULL, '前列腺囊肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I20.801', NULL, '稳定型心绞痛', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H02.001', NULL, '先天性倒睫', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M13.900', NULL, '关节炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M19.900', NULL, '关节病', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B15.901', NULL, '急性甲型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E34.902+M82.1*', NULL, '内分泌病性骨质疏松', '骨质疏松', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N40.x00', NULL, '前列腺增生', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝和足损伤', 'S92.000', NULL, '跟骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I77.603', NULL, '血管炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N20.100', NULL, '输尿管结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他病毒性疾病', 'B27.900', NULL, '传染性单核细胞增多症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K55.000x005', NULL, '缺血性结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.200', NULL, '慢性咽炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J44.801', NULL, '慢性支气管炎伴肺气肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.900x001', NULL, '十二指肠溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.501', NULL, '卵巢蒂扭转', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S22.300', NULL, '肋骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S82.202', NULL, '胫骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I33.000x004', NULL, '感染性心内膜炎', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.400', NULL, '慢性萎缩性胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.900', NULL, '角膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J02.900', NULL, '急性咽炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I11.901', NULL, '高血压性心脏病', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K13.013', NULL, '唇炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.000', NULL, '扩张型心肌病', '心肌病心脏影像门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋和大腿损伤', 'S72.900', NULL, '股骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.200', NULL, '声带结节', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S42.301', NULL, '肱骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J93.900', NULL, '气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J81.x00', NULL, '肺水肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N20.900', NULL, '泌尿系结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I12.900x003', NULL, '高血压性肾病', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N04.900', NULL, '肾病综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C64.x00x001', NULL, '肾恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要为性传播模式的感染', 'A59.002+N77.1*', NULL, '滴虫性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H72.900', NULL, '鼓膜穿孔', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.900x001', NULL, '乳房肿物', '乳腺', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S32.000', NULL, '腰椎骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K91.101', NULL, '倾倒综合征', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M48.005', NULL, '腰椎椎管狭窄', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虱病、螨病和其他病虫侵染', 'B86.x00', NULL, '疥疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I80.201', NULL, '下肢深静脉血栓性静脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L81.100', NULL, '黄褐斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉骨骼系统先天性畸形和变形', 'Q79.200', NULL, '脐疝', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I88.900x006', NULL, '淋巴结炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C85.900', NULL, '非霍奇金淋巴瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I48.900x003', NULL, '心房扑动', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B07.x03', NULL, '寻常疣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.200', NULL, '腕关节周围炎', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J33.900', NULL, '鼻息肉', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.001', NULL, '右心衰竭', '心衰联合门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D17.900x002', NULL, '脂肪瘤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.200', NULL, '急性牙周炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统先天性畸形', 'Q61.300', NULL, '多囊肾', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N17.900', NULL, '急性肾衰竭', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E83.503', NULL, '低钙血症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E26.000', NULL, '原发性醛固酮过多症', '垂体肾上腺性腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.600', NULL, '低钾血症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.102', NULL, '低钠血症', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.301', NULL, '声带白斑', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L08.907', NULL, '腹壁软组织感染', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.501', NULL, '胆总管结石', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.900', NULL, '结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L65.903', NULL, '脂溢性脱发', '脱发门诊', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L03.003', NULL, '甲沟炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J03.900', NULL, '急性扁桃体炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.102', NULL, '焦虑性神经症', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.903', NULL, '直肠肿物', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K51.900', NULL, '溃疡性结肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿石病', 'N20.000', NULL, '肾结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E87.500', NULL, '高钾血症', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N84.001', NULL, '子宫内膜息肉', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I89.100', NULL, '淋巴管炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.901', NULL, '肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.500', NULL, '高脂血症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.100', NULL, '汗疱疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B01.900x001', NULL, '水痘', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.100', NULL, '大叶性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J43.900', NULL, '肺气肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S29.900', NULL, '胸部损伤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.900x002', NULL, '复合性溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖症和其他营养过度', 'E66.900', NULL, '肥胖症', '肥胖联合门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与辐射有关的皮肤和皮下组织疾患', 'L57.802', NULL, '日光性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤附件的疾患', 'L63.900', NULL, '斑秃', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B16.904', NULL, '乙型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通过自然腔口进入异物的效应', 'T18.100', NULL, '食管内异物', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J40.x00', NULL, '支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.600', NULL, '股癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C32.900', NULL, '喉恶性肿瘤', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.200', NULL, '手癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H68.100', NULL, '咽鼓管阻塞', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.900x002', NULL, '颅骨骨折', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.401', NULL, '肝血管瘤病', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.101', NULL, '肠道菌群失调', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外部物质引起的肺部疾病', 'J69.001', NULL, '吸入性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N45.903', NULL, '附睾炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K75.901', NULL, '肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.000x001', NULL, '阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A06.400+K77.0*', NULL, '阿米巴肝脓肿', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K21.001', NULL, '反流性食管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K81.100', NULL, '慢性胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.500', NULL, '慢性胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N11.900x001', NULL, '慢性肾盂肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.000x003', NULL, '细菌性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K61.001', NULL, '肛周脓肿', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.904', NULL, '阴囊湿疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.900x002', NULL, '慢性肺源性心脏病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.902', NULL, '肌腱炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J93.100x002', NULL, '闭合性气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.200', NULL, '耵聍栓塞', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.002', NULL, '慢性牙髓炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.300', NULL, '慢性浅表性胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.201', NULL, '老年性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.902', NULL, '单纯疱疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.101', NULL, '慢性子宫内膜炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.102', NULL, '缺氧缺血性脑病', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H66.301', NULL, '慢性化脓性中耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L23.901', NULL, '过敏性皮炎', '皮肤过敏性疾病门诊', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.902', NULL, '女性继发性不育', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H66.900x003', NULL, '慢性中耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N47.x02', NULL, '包皮嵌顿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N49.104', NULL, '输精管炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N42.000', NULL, '前列腺结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C58.x00x002', NULL, '绒毛膜癌', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N76.000', NULL, '急性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K35.800x001', NULL, '急性阑尾炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.000', NULL, '创伤性气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.000', NULL, '急性膀胱炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D46.900', NULL, '骨髓增生异常综合征', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.603', NULL, '糜烂性胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K81.000', NULL, '急性胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.905', NULL, '急性胃肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.201', NULL, '血气胸', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M06.900', NULL, '类风湿性关节炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N17.001', NULL, '急性肾小管坏死', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及循环和呼吸系统的症状和体征', 'R00.100x001', NULL, '窦性心动过缓', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.502', NULL, '窦性停搏', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B17.900', NULL, '急性病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N43.301', NULL, '睾丸鞘膜积液', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N45.906', NULL, '睾丸炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E77.801', NULL, '低蛋白血症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N44.x00', NULL, '睾丸扭转', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B36.000', NULL, '花斑癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑、泪器系和眼眶疾患', 'H00.100', NULL, '睑板腺囊肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.901', NULL, '眩晕综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.001', NULL, '急性子宫内膜炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.300', NULL, '自身免疫性甲状腺炎', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G90.900x001', NULL, '自主神经功能紊乱', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.100', NULL, '直肠息肉', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J06.000', NULL, '急性咽喉炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I05.000', NULL, '二尖瓣狭窄', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N30.900', NULL, '膀胱炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.000', NULL, '二尖瓣关闭不全', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.201', NULL, '乳腺腺病', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H65.000x002', NULL, '急性分泌性中耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.100x003', NULL, '乳腺囊性增生病', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.400', NULL, '乳痛症', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N63.x01', NULL, '乳房结节', '乳腺', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I35.000', NULL, '主动脉瓣狭窄', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I35.100', NULL, '主动脉瓣关闭不全', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B37.301+N77.1*', NULL, '念珠菌性阴道炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的感染', 'L02.902', NULL, '皮肤脓肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性生殖器官疾病', 'N41.900', NULL, '前列腺炎性疾病', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H66.900', NULL, '中耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.104', NULL, '心源性哮喘', '心衰联合门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T67.901', NULL, '中暑', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.203', NULL, '丘疹性荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.300', NULL, '脚癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M45.x00', NULL, '强直性脊柱炎', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.209', NULL, '下消化道出血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B07.x04', NULL, '疣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.900', NULL, '异位妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.913', NULL, '脑炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生理紊乱和躯体因素有关的行为综合征', 'F52.202', NULL, '男性勃起障碍', '男性疾病门诊', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.000', NULL, '脂肪肝', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B35.400', NULL, '体癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.501', NULL, '窦房传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M32.900', NULL, '系统性红斑狼疮', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.900', NULL, '甲状腺功能减退症', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I50.900', NULL, '心力衰竭', '心衰联合门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J00.x00x004', NULL, '急性鼻炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L30.900', NULL, '皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.102', NULL, '2型糖尿病性乳酸酸中毒', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.904', NULL, '输卵管炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.004', NULL, '过敏性紫癜', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N87.901', NULL, '宫颈上皮内肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.101', NULL, '慢性女性盆腔炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N64.900', NULL, '乳房疾患', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O00.100', NULL, '输卵管妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C56.x00', NULL, '卵巢恶性肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M81.800x091', NULL, '老年性骨质疏松', '骨质疏松', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹鳞屑性疾患', 'L40.900', NULL, '银屑病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H15.000', NULL, '巩膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N93.801', NULL, '功能障碍性子宫出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N12.x01', NULL, '间质性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K73.900', NULL, '慢性肝炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K62.816', NULL, '肛乳头肥大', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N03.900x003', NULL, '慢性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.900', NULL, '甲状腺炎', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M60.902', NULL, '肌筋膜炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.001', NULL, '继发性干燥综合征', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L95.901', NULL, '荨麻疹性血管炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G04.909', NULL, '急性脊髓炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J01.900', NULL, '急性鼻窦炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N00.902', NULL, '急性肾小球肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K56.701', NULL, '不完全性肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I34.101', NULL, '二尖瓣脱垂综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G43.900', NULL, '偏头痛', '头痛门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及循环和呼吸系统的症状和体征', 'R00.001', NULL, '窦性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M72.922', NULL, '筋膜炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H16.001', NULL, '角膜溃疡性穿孔', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J84.900', NULL, '间质性肺病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E03.802', NULL, '原发性甲状腺功能减退症', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M75.001', NULL, '肩周炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M77.101', NULL, '肱骨外上髁炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.201', NULL, '卵巢囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.002', NULL, '阿司匹林哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.701', NULL, '残胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.001', NULL, '甲状腺肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.900', NULL, '阿尔茨海默病', '记忆障碍门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N11.901', NULL, '慢性间质性肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.203', NULL, '肝占位性病变', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.100', NULL, '肝硬化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.903', NULL, '重症肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉络膜和视网膜疾患', 'H35.306', NULL, '黄斑前膜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J32.900', NULL, '慢性鼻窦炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I44.303', NULL, '房室传导阻滞', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.100', NULL, '扁桃体肥大', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C17.000', NULL, '十二指肠恶性肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.901', NULL, '扁桃体肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性风湿性心脏病', 'I09.900', NULL, '风湿性心脏病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J31.203', NULL, '肥大性咽炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.102', NULL, '声带息肉', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴、造血和有关组织的恶性肿瘤', 'C90.000', NULL, '多发性骨髓瘤', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E79.001', NULL, '高尿酸血症', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.903', NULL, '大隐静脉曲张', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N39.000', NULL, '泌尿道感染', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N73.902', NULL, '女性盆腔炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K27.901', NULL, '消化性溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N71.902', NULL, '子宫内膜炎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.200', NULL, '室性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溶血性贫血', 'D58.901', NULL, '溶血性贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N84.100', NULL, '宫颈息肉', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部、下背、腰椎和骨盆损伤', 'S37.002', NULL, '肾挫伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O01.900', NULL, '葡萄胎', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N70.103', NULL, '输卵管积水', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G56.000', NULL, '腕管综合征', '手足外科', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J12.900', NULL, '病毒性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.900', NULL, '脑血管病', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢神经系统炎性疾病', 'G03.900', NULL, '脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I64.x00', NULL, '脑卒中', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.102', NULL, '甲状腺囊肿', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L25.900', NULL, '接触性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C34.900x001', NULL, '肺恶性肿瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.102', NULL, '淤积性皮炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N96.x00', NULL, '习惯性流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.203', NULL, '下肢动脉粥样硬化', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.000', NULL, '翼状胬肉', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K08.302', NULL, '残冠', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.001+N16.8*', NULL, '尿酸性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.500x002', NULL, '胆管结石', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K82.803', NULL, '胆囊腺肌症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J34.806', NULL, '鼻前庭炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凝血缺陷、紫癜和其他出血性情况', 'D69.300', NULL, '特发性血小板减少性紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E06.001', NULL, '急性化脓性甲状腺炎', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非感染性小肠炎和结肠炎', 'K52.915', NULL, '肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结核病', 'A16.406', NULL, '喉结核', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.000', NULL, '胆管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E24.900', NULL, '库欣综合征', '垂体肾上腺性腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A46.x00', NULL, '丹毒', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N61.x04', NULL, '乳腺炎', '产后门诊', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.601', NULL, '乳腺肿瘤', '乳腺', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J05.100', NULL, '急性会厌炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.103', NULL, '冠状动脉粥样硬化性心脏病', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I24.901', NULL, '急性冠脉综合征', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L80.x00', NULL, '白癜风', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.101', NULL, '胆管癌', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C67.900', NULL, '膀胱恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.200x003', NULL, '胆囊结石', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.503', NULL, '肝内胆管结石', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.504', NULL, '肝胆管结石', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺源性心脏病和肺循环疾病', 'I27.000', NULL, '原发性肺动脉高压', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.001', NULL, '急性胆管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.900', NULL, '上呼吸道疾病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K85.900', NULL, '急性胰腺炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.900', NULL, '甲状腺疾患', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '为检查和调查而与保健机构接触的人', 'Z01.102', NULL, '听力检查', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.001', NULL, '2型糖尿病性高渗性昏迷', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.801', NULL, '瘢痕子宫', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.201+N08.3*', NULL, '2型糖尿病性肾病', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.503', NULL, '2型糖尿病足病', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.401+G63.2*', NULL, '2型糖尿病性周围神经病', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.301+H36.0*', NULL, '2型糖尿病性视网膜病变', '糖尿病及其并发症', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E14.900x001', NULL, '糖尿病', '糖尿病联合门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜的其他疾病', 'J94.804', NULL, '胸腔积液', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J35.000', NULL, '慢性扁桃体炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.608', NULL, '肝炎后肝硬化', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性上呼吸道感染', 'J03.901', NULL, '急性化脓性扁桃体炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E10.900', NULL, '1型糖尿病', '1型糖尿病门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病', 'E11.900', NULL, '2型糖尿病', '糖尿病联合门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '代谢紊乱', 'E78.200', NULL, '混合性高脂血症', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H71.x01', NULL, '慢性化脓性中耳炎胆脂瘤型', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.900', NULL, '子宫内膜异位症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S01.101', NULL, '眼睑裂伤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.900', NULL, '外耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.301', NULL, '垂体肿瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K20.x00', NULL, '食管炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J45.900x001', NULL, '支气管哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.806', NULL, '颈动脉硬化', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.900x004', NULL, '动脉粥样硬化', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.900', NULL, '青光眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.900', NULL, '焦虑障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.801', NULL, '腔隙性脑梗死', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.102', NULL, '冠状动脉粥样硬化', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涉及免疫机制的某些疾患', 'D86.000', NULL, '肺结节病', '肺结节MDT', '', '', '多学科协作诊治门诊', '', '8041', '1', '', '建议注意休息，避免劳累，定期复查', NULL);
INSERT INTO `tran_disease_dept` VALUES (17933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特征为皮肤和粘膜损害的病毒性感染', 'B00.900', NULL, '疱疹病毒感染', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.308', NULL, '声带肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R91.x03', NULL, '肺占位性病变', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x09', NULL, '原发性高血压', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N39.300', NULL, '压力性尿失禁', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N83.000', NULL, '卵巢滤泡囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌神经接点和肌肉疾病', 'G70.000', NULL, '重症肌无力', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (17940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K70.000', NULL, '酒精性脂肪肝', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K70.900', NULL, '酒精性肝病', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨密度和结构的疾患', 'M81.000', NULL, '绝经后骨质疏松', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缺血性心脏病', 'I25.200', NULL, '陈旧性心肌梗死', '冠心病门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.105', NULL, '结膜结石', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N10.x02', NULL, '急性肾盂肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.004', NULL, '感染性腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响间质的其他呼吸性疾病', 'J81.x00x002', NULL, '急性肺水肿', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F09.x03', NULL, '器质性精神障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (17949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N02.801', NULL, 'IgA肾病', 'IgA肾病', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D32.900x002', NULL, '脑膜瘤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K76.901', NULL, '肝肿物', '肝胆胰外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D70.x00', NULL, '粒细胞缺乏', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I83.101', NULL, '下肢静脉曲张伴静脉炎', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.301', NULL, '面肌痉挛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.801', NULL, '十二指肠球炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G45.004', NULL, '后循环缺血', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.100x001', NULL, '脑出血后遗症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K29.700', NULL, '胃炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.101', NULL, '胆囊结石伴慢性胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.100x001', NULL, '胆囊结石伴胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与妊娠期长短和胎儿生长有关的疾患', 'P07.300x001', NULL, '早产儿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.507', NULL, '纵隔肿物', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要影响中枢神经系统的全身性萎缩', 'G12.200', NULL, '运动神经元病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.300', NULL, '支原体感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K81.900', NULL, '胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.401', NULL, '低颅压综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.600', NULL, '子宫内粘连', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸系统的其他疾病', 'J98.800x002', NULL, '呼吸道感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.607', NULL, '壶腹部肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晶状体疾患', 'H25.900', NULL, '老年性白内障', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉疾患', 'M62.600', NULL, '肌肉劳损', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩和上臂损伤', 'S46.002', NULL, '肩袖损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.305', NULL, '结肠溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.401', NULL, '结肠肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.803', NULL, '面神经炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小球疾病', 'N05.201', NULL, '膜性肾病', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N95.101', NULL, '女性更年期综合征', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G20.x03', NULL, '帕金森综合征', '帕金森病', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '青光眼', 'H40.002', NULL, '前房角狭窄', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.701', NULL, '屈光不正', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.815', NULL, '肾肿物', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.902', NULL, '胃肿物', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M17.900', NULL, '膝关节病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝和小腿损伤', 'S83.600x002', NULL, '膝关节损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化系统的其他疾病', 'K92.210', NULL, '消化道出血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I38.x01', NULL, '心脏瓣膜病', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O41.000', NULL, '羊水过少', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.901', NULL, '胰腺肿物', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K86.200', NULL, '胰腺囊肿', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.602', NULL, '乙型肝炎后肝硬化失代偿期', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L82.x00', NULL, '脂溢性角化病', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.900', NULL, '椎间盘疾患', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.103+G55.1*', NULL, '椎间盘疾患性腰痛伴坐骨神经痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '系统性结缔组织疾患', 'M35.901', NULL, '结缔组织病', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O03.901', NULL, '难免性流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多神经病和周围神经系统的其他疾患', 'G62.901', NULL, '周围神经病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (17997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I71.000x002', NULL, '主动脉夹层', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (17998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z33.x00x001', NULL, '妊娠状态', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (17999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节病', 'M10.900', NULL, '痛风', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.900', NULL, '脑梗死', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I69.300', NULL, '脑梗死后遗症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他细菌性疾病', 'A49.809', NULL, '幽门螺旋杆菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O20.000', NULL, '先兆流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O03.900x002', NULL, '自然流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.600', NULL, '牙周病', '牙周病门诊', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.000', NULL, '牙髓炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K04.001', NULL, '急性牙髓炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O47.900x002', NULL, '先兆临产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾和输尿管的其他疾患', 'N28.101', NULL, '单纯性肾囊肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O30.000', NULL, '双胎妊娠', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与胎儿和羊膜腔及可能的分娩问题有关的孕产妇医疗', 'O42.900', NULL, '胎膜早破', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外因的其他和未特指的效应', 'T78.400x002', NULL, '过敏反应', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉、小动脉和毛细血管疾病', 'I70.204', NULL, '下肢动脉硬化闭塞症', '血管外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I45.600', NULL, '预激综合征', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N80.100x001', NULL, '卵巢巧克力样囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D39.101', NULL, '卵巢肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.100', NULL, '原发性肾上腺皮质功能减退症', '垂体肾上腺性腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C15.900', NULL, '食管恶性肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.701', NULL, '口干燥症', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇、口腔和咽恶性肿瘤', 'C13.900', NULL, '下咽恶性肿瘤', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.600', NULL, '圆锥角膜', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '主要与妊娠有关的其他孕产妇疾患', 'O26.606', NULL, '妊娠期肝内胆汁淤积症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖器官恶性肿瘤', 'C53.900', NULL, '宫颈恶性肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I51.400', NULL, '心肌炎', '心肌病心脏影像门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养不良', 'E41.x00', NULL, '营养性消瘦', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.100', NULL, '广泛性焦虑障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D70.x01', NULL, '急性粒细胞缺乏症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他先天性畸形', 'Q89.202', NULL, '甲状舌管囊肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉、淋巴管和淋巴结疾病,不可归类在他处者', 'I86.101', NULL, '精索静脉曲张', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L93.001', NULL, '红斑狼疮', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.902', NULL, '结节性甲状腺肿', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C22.900', NULL, '肝恶性肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性感冒和肺炎', 'J18.900', NULL, '肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.800x001', NULL, '胆石症', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性(包括症状性)精神障碍', 'F01.900', NULL, '血管性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I42.900', NULL, '心肌病', '心肌病心脏影像门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.400', NULL, '老视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B45.000', NULL, '肺隐球菌病', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸和胸腔内器官恶性肿瘤', 'C37.x00', NULL, '胸腺恶性肿瘤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '累及消化系统和腹部的症状和体征', 'R19.001', NULL, '腹部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.900', NULL, '躯体形式障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.100', NULL, '近视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F43.200', NULL, '适应障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.901+F00.9*', NULL, '阿尔茨海默病性痴呆', '记忆障碍门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I67.400', NULL, '高血压脑病', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L28.201', NULL, '黑布拉痒疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G90.900x002', NULL, '植物神经功能紊乱', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K26.900x002', NULL, '十二指肠球部溃疡', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.100', NULL, '室上性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘和前臂损伤', 'S52.201', NULL, '尺骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G58.801', NULL, '枕大神经痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G52.800x004', NULL, '枕神经痛', '头痛门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.109', NULL, '梗阻性黄疸', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J39.805', NULL, '气管狭窄', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A02.900', NULL, '沙门菌感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺和其他内分泌腺恶性肿瘤', 'C73.x00', NULL, '甲状腺恶性肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤和皮下组织的其他疾患', 'L90.501', NULL, '瘢痕', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N94.807', NULL, '盆腔囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.501', NULL, '直肠肿瘤', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '真菌病', 'B49.x14+J99.8*', NULL, '肺真菌感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S09.904', NULL, '耳损伤', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内耳疾病', 'H81.100', NULL, '良性阵发性眩晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D44.101', NULL, '肾上腺肿瘤', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D41.001', NULL, '肾肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化器官恶性肿瘤', 'C16.900', NULL, '胃恶性肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.706', NULL, '胰腺肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹膜疾病', 'K65.900', NULL, '腹膜炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.400', NULL, '角膜变性', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球外肌、双眼运动、调节和屈光疾患', 'H52.101', NULL, '高度近视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非化脓性中耳炎', 'H65.900x001', NULL, '分泌性中耳炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.900', NULL, '抑郁发作', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮炎和湿疹', 'L27.101', NULL, '固定性药疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H60.901', NULL, '外耳道炎', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器官先天性畸形', 'Q51.202', NULL, '子宫纵隔', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性盆腔器官炎性疾病', 'N72.x00', NULL, '宫颈炎性疾病', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠道传染病', 'A09.901', NULL, '胃肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.904', NULL, '小脑梗死', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N92.300', NULL, '排卵期出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿系统的其他疾病', 'N32.805', NULL, '膀胱过度活动症', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流产结局的妊娠', 'O02.100', NULL, '稽留流产', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阑尾疾病', 'K37.x00', NULL, '阑尾炎', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高血压病', 'I10.x00x002', NULL, '高血压', '高血压门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.303', NULL, '胃占位性病变', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F31.900', NULL, '双相情感障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干、四肢或身体未特指部位的损伤', 'T14.900', NULL, '损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'K64.804', NULL, '直肠静脉曲张破裂', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J47.x03', NULL, '支气管扩张伴感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F41.101', NULL, '焦虑状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K63.900x001', NULL, '结肠肿物', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠的其他疾病', 'K59.900x001', NULL, '肠功能紊乱', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N93.901', NULL, '异常子宫出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'Z85.006', NULL, '结肠恶性肿瘤个人史', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.903', NULL, '颌下腺肿物', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.101', NULL, '慢性活动型乙型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N85.003', NULL, '子宫内膜息肉样增生', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '再生障碍性及其他贫血', 'D61.903', NULL, '全血细胞减少', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H11.300', NULL, '结膜出血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E04.900x001', NULL, '甲状腺肿', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.803', NULL, '角膜干燥症', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '与生殖有关的情况而与保健机构接触的人', 'Z37.000x001', NULL, '单胎活产', '产科', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性下呼吸道疾病', 'J47.x01', NULL, '支气管扩张伴咯血', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发作性和阵发性疾患', 'G44.200', NULL, '紧张型头痛', '头痛门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性肿瘤', 'D15.000', NULL, '胸腺良性肿瘤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疾患', 'N60.200', NULL, '乳房纤维囊性乳腺病', '乳腺疾病门诊', '', '', '肿瘤外科', '', '90', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M51.003+G99.2*', NULL, '腰椎间盘突出伴脊髓病', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.201', NULL, '肾积水伴肾结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N88.808', NULL, '子宫颈鳞状上皮增生', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G93.903', NULL, '鞍区肿物', '垂体肾上腺性腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.204', NULL, '胆囊占位性病变', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶性肿瘤个人史', 'K64.810', NULL, '血栓性痔', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F32.901', NULL, '抑郁状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F34.100', NULL, '恶劣心境', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜疾患', 'H10.103', NULL, '泡性结膜炎', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.500', NULL, '慢性肾脏病5期', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K05.100', NULL, '慢性龈炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.806', NULL, '角膜上皮脱落', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N12.x02', NULL, '肾盂肾炎', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N92.401', NULL, '绝经期出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上呼吸道的其他疾病', 'J38.708', NULL, '喉肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳疾病', 'H61.901', NULL, '外耳道肿物', '耳科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.203', NULL, '胆囊结石嵌顿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性肝炎', 'B18.200', NULL, '慢性丙型病毒性肝炎', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K22.901', NULL, '食管肿物', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他软组织疾患', 'M79.700', NULL, '纤维肌痛', '风湿免疫科', '', '', '风湿免疫门诊', '', '239', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部病', 'M47.804', NULL, '腰椎关节强硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.402', NULL, '胆总管结石伴急性胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲状腺疾患', 'E07.901', NULL, '甲状腺肿物', '甲状腺门诊', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K80.404', NULL, '胆总管结石伴慢性胆囊炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管、胃和十二指肠疾病', 'K31.903', NULL, '十二指肠肿物', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经症性、应激相关的以及躯体形式的障碍', 'F45.000', NULL, '躯体化障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他内分泌腺疾患', 'E27.901', NULL, '肾上腺肿物', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诊断性影像和功能检查的异常所见,无诊断者', 'R93.302', NULL, '胰腺占位性病变', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I63.902', NULL, '大面积脑梗死', '卒中门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔、涎腺和颌疾病', 'K11.901', NULL, '腮腺区肿物', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾小管-间质疾病', 'N13.202', NULL, '肾积水伴输尿管结石', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他疾患', 'G95.900', NULL, '脊髓病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D37.409', NULL, '乙状结肠肿瘤', '消化道肿瘤筛查门诊', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部损伤', 'S27.811', NULL, '食管异物穿孔', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动态未定或动态未知的肿瘤', 'D48.714', NULL, '腹腔肿瘤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K73.801', NULL, '慢性间质性肝炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经、神经根和神经丛疾患', 'G51.000', NULL, '贝尔面瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性生殖道非炎性疾患', 'N97.101', NULL, '后天性输卵管闭锁', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泌尿道恶性肿瘤', 'C66.x00', NULL, '输尿管恶性肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他血液和造血器官疾病', 'D72.900', NULL, '白细胞疾患', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一般症状和体征', 'R59.010', NULL, '纵隔淋巴结肿大', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心境[情感]障碍', 'F33.900', NULL, '复发性抑郁障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑血管病', 'I65.206', NULL, '颈内动脉血栓形成', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝疾病', 'K74.616+I98.2*', NULL, '肝硬化伴食管静脉曲张', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锥体外系和运动疾患', 'G20.x01', NULL, '帕金森叠加综合征', '帕金森病', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊、胆道和胰腺疾患', 'K83.817', NULL, '胆总管扩张', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部损伤', 'S02.801', NULL, '眶骨骨折', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经系统的其他变性性疾病', 'G30.802+F00.2*', NULL, '混合型阿尔茨海默病性痴呆伴抑郁状态', '记忆障碍门诊', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾衰竭', 'N18.503+G63.8*', NULL, '尿毒症性神经病变', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '巩膜、角膜、虹膜和睫状体疾患', 'H18.808', NULL, '角膜内皮失代偿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他类型的心脏病', 'I47.104', NULL, '阵发性房室折返性心动过速', '心律失常门诊', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '其他手术后状态', 'Z86.703', NULL, '脑梗死个人史', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虚弱', 'R53.x00x007', NULL, '神经性虚弱', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低血氧症', 'R09.001', NULL, '低氧血症', '呼吸内科', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门括约肌失禁', 'R15.x01', NULL, '肛门括约肌失禁', '肛肠外科', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部肿胀', 'R22.000x004', NULL, '头部肿胀', '神经内科', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干肿物', 'R22.201', NULL, '躯干局部肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音改变', 'R49.800x002', NULL, '语音改变', '耳鼻咽喉头颈外科', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喂养困难', 'R63.300x002', NULL, '喂养困难', '全科医学', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多部位肿物', 'R22.701', NULL, '多部位局部肿物', '普外科', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发热伴寒颤', 'R50.800x001', NULL, '发热伴寒战', '发热门诊', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情景性晕厥', 'R55.x00x005', NULL, '情景性晕厥', '急诊科', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '新生儿呻吟', 'R68.100x001', NULL, '新生儿呻吟', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易激惹婴儿', 'R68.100x002', NULL, '易激惹婴儿', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '非婴儿哭闹', 'R68.800x003', NULL, '哭闹', '新生儿科', '', '', '新生儿科', '', '3185A', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', 'I型呼吸衰竭', 'J96.900x002', NULL, 'I型呼吸衰竭', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', 'M蛋白血症', 'R77.802', NULL, 'M蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', 'PSA升高', 'R77.800x002', NULL, 'PSA升高', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗳气', 'R14.x00x002', NULL, '嗳气', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白蛋白尿', 'R80.x00x003', NULL, '白蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '半身水肿', 'R60.000', NULL, '局限性水肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部肿物', 'R22.205', NULL, '背部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背痛', 'M54.900', NULL, '背痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '本周蛋白尿', 'R80.x01', NULL, '本周蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻部肿物', 'R22.003', NULL, '鼻部肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻出血', 'R04.000', NULL, '鼻出血', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻泪管阻塞', 'H04.503', NULL, '鼻泪管阻塞', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻咽部出血', 'R04.801', NULL, '鼻咽部出血', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻音过轻', 'R49.202', NULL, '鼻音过轻', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻音过重', 'R49.201', NULL, '鼻音过重', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '闭经', 'N91.200', NULL, '闭经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '便秘', 'K59.000', NULL, '便秘', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '便潜血', 'R19.501', NULL, '便潜血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '便血', 'K92.200x001', NULL, '便血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丙酮尿', 'R82.400', NULL, '丙酮尿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丙酮血症', 'R79.801', NULL, '丙酮血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '病毒性脑膜炎', 'A87.900', NULL, '病毒性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不安', 'R45.100x001', NULL, '不安', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不安和激动', 'R45.100', NULL, '不安和激动', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不适', 'R53.x00x005', NULL, '不适', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不适和疲劳', 'R53.x00', NULL, '不适和疲劳', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不愉快', 'R45.200', NULL, '不愉快', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不自主运动', 'R25.800x001', NULL, '不自主运动', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '部分性葡萄胎', 'O01.101', NULL, '部分性葡萄胎', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '苍白', 'R23.100', NULL, '苍白', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产力异常', 'O62.900', NULL, '产力异常', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颤搐', 'R25.300x002', NULL, '颤搐', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠绞痛', 'R10.401', NULL, '肠绞痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠鸣音亢进', 'R19.100x001', NULL, '肠鸣音亢进', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠鸣音消失', 'R19.100x002', NULL, '肠鸣音消失', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠系膜囊肿', 'K66.802', NULL, '肠系膜囊肿', '', '', '', '胃肠外科', '', '51', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠粘连', 'K66.002', NULL, '肠粘连', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肠胀气', 'R14.x00x007', NULL, '肠胀气', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痴呆', 'F03.x00', NULL, '痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '迟发性皮肤卟啉症', 'E80.100', NULL, '迟发性皮肤卟啉症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '持续性发热', 'R50.803', NULL, '持续性发热', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '持续性异位妊娠', 'O00.901', NULL, '持续性异位妊娠', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '充盈性尿失禁', 'N39.401', NULL, '充盈性尿失禁', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '抽搐状态', 'R56.800x001', NULL, '抽搐状态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '出血', 'R58.x00x006', NULL, '出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '出血斑点', 'R23.300x003', NULL, '出血斑点', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '出血性肠炎', 'A09.904', NULL, '出血性肠炎', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '杵状甲', 'R68.300x002', NULL, '杵状甲', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '杵状指', 'R68.300', NULL, '杵状指', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '传导性失语', 'R47.000x006', NULL, '传导性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喘憋', 'R09.800x095', NULL, '喘憋', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喘鸣', 'R06.100', NULL, '喘鸣', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喘息', 'R06.200', NULL, '喘息', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '垂体柄增粗', 'R90.805', NULL, '垂体柄增粗', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '猝倒发作', 'G47.401', NULL, '猝倒发作', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '猝死', 'R96.000x001', NULL, '猝死', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痤疮', 'L70.900', NULL, '痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痤疮样皮疹', 'R21.x00x003', NULL, '痤疮样皮疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大便失禁', 'R15.x00', NULL, '大便失禁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大肠杆菌性肺炎', 'J15.500', NULL, '大肠杆菌性肺炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆囊积水', 'K82.100', NULL, '胆囊积水', '', '', '', '肝胆胰外科', '', '5118', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胆汁尿', 'R82.200', NULL, '胆汁尿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淡漠', 'R45.300x001', NULL, '淡漠', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '弹响髋', 'R29.400', NULL, '弹响髋', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蛋白尿', 'R80.x02', NULL, '蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蛋白血症', 'R77.901', NULL, '蛋白血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '氮质血症', 'R79.803', NULL, '氮质血症', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '倒睫', 'H02.004', NULL, '倒睫', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '盗汗', 'R61.901', NULL, '盗汗', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低比重尿', 'R82.902', NULL, '低比重尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低补体血症', 'R76.801', NULL, '低补体血症', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低尿酸血症', 'R79.802', NULL, '低尿酸血症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低体温', 'T68.x00', NULL, '低体温', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低血氧症', 'R79.800x003', NULL, '低血氧症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低氧血症', 'R79.800x003', NULL, '低血氧症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '敌视', 'R45.500', NULL, '敌视', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骶尾部肿物', 'R22.206', NULL, '骶尾部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '癫痫', 'G40.900', NULL, '癫痫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '癫痫样发作', 'R56.801', NULL, '癫痫样发作', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淀粉酶异常', 'R74.800x005', NULL, '淀粉酶异常', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '定向障碍', 'R41.000', NULL, '定向障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '动脉性杂音', 'R09.800x081', NULL, '动脉性杂音', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '毒血症', 'R68.801', NULL, '毒血症', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '端坐呼吸', 'R06.000x002', NULL, '端坐呼吸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '短暂性单瘫', 'R29.803', NULL, '短暂性单瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多部位局部肿物', 'R22.700x002', NULL, '多部位肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多部位肿胀', 'R22.700x001', NULL, '多部位肿胀', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多汗症', 'R61.900', NULL, '多汗症', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多尿', 'R35.x00', NULL, '多尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多形性红斑', 'L51.900', NULL, '多形性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多饮', 'R63.100x002', NULL, '多饮', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呃逆', 'R06.600', NULL, '呃逆', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶病质', 'R64.x00', NULL, '恶病质', '', '', '', '肿瘤内科', '', '45', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶心', 'R11.x02', NULL, '恶心', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶心和呕吐', 'R11.x00', NULL, '恶心和呕吐', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳部肿物', 'R22.006', NULL, '耳部肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳出血', 'H92.200', NULL, '耳出血', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳鸣', 'H93.100', NULL, '耳鸣', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳痛', 'H92.000', NULL, '耳痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发红', 'R23.200', NULL, '发红', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发热', 'R50.900', NULL, '发热', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发热伴寒战', 'R50.802', NULL, '发热伴寒颤', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发热伴强直', 'R50.800x002', NULL, '发热伴强直', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发热性惊厥', 'R56.000', NULL, '发热性惊厥', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发声困难', 'R49.000', NULL, '发声困难', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乏力', 'R53.x00x002', NULL, '乏力', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '烦渴', 'R63.100', NULL, '烦渴', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '烦恼', 'R45.200x003', NULL, '烦恼', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反射性发作', 'R25.801', NULL, '反射性发作', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反射性晕厥', 'R55.x00x006', NULL, '反射性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反酸', 'R12.x00x002', NULL, '反酸', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺部感染', 'J98.414', NULL, '肺部感染', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺部阴影', 'R91.x00x001', NULL, '肺部阴影', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺出血', 'R04.802', NULL, '肺出血', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺活量减低', 'R94.204', NULL, '肺活量减低', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺结核瘤', 'A16.201', NULL, '肺结核瘤', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺门增大', 'R91.x00x005', NULL, '肺门增大', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺球形阴影', 'R91.x00x001', NULL, '肺部阴影', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肺外结核', 'A18.800x001', NULL, '肺外结核', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '粉刺', 'L70.001', NULL, '粉刺', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '复极综合征', 'R94.301', NULL, '复极综合征', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '复视', 'H53.200', NULL, '复视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹壁肿物', 'R22.203', NULL, '腹壁肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部肿胀', 'R19.004', NULL, '腹部肿胀', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹股沟肿物', 'R22.204', NULL, '腹股沟肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹腔感染', 'K65.903', NULL, '腹腔感染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹腔积血', 'K66.100', NULL, '腹腔积血', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹腔积液', 'R18.x00x005', NULL, '腹腔积液', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹腔假囊肿', 'R19.000x003', NULL, '腹腔假囊肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹腔内出血', 'R58.x01', NULL, '腹腔内出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹强直', 'R19.300', NULL, '腹强直', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹水', 'R18.x00', NULL, '腹水', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹水异常', 'R85.902', NULL, '腹水异常', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹痛', 'R10.402', NULL, '腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹泻', 'K52.916', NULL, '腹泻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹胀', 'R14.x00x006', NULL, '腹胀', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '钙尿', 'R82.901', NULL, '钙尿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝大', 'R16.000x001', NULL, '肝大', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝钙化灶', 'R93.201', NULL, '肝钙化灶', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝功能不全', 'K76.800x006', NULL, '肝功能不全', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝回声不均', 'R93.202', NULL, '肝回声不均', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝脾大', 'R16.200x001', NULL, '肝脾大', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝萎缩', 'K72.902', NULL, '肝萎缩', '', '', '', '肝病感染科', '', '31', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '感觉过敏', 'R20.300', NULL, '感觉过敏', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '感觉忽略', 'R29.800x507', NULL, '感觉忽略', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '感染性发热', 'B99.x01', NULL, '感染性发热', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '感染性黄疸', 'R17.x01', NULL, '感染性黄疸', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '感染性休克', 'R57.200', NULL, '脓毒性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门括约肌失禁', 'R15.x00', NULL, '大便失禁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门括约肌松弛', 'K62.813', NULL, '肛门括约肌松弛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门痛', 'K62.820', NULL, '肛门痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高黏滞血症', 'R70.101', NULL, '高黏滞血症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高热', 'R50.900x002', NULL, '高热', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高碳酸血症', 'R06.806', NULL, '高碳酸血症', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '高位截瘫', 'G82.204', NULL, '高位截瘫', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睾丸疼痛', 'N50.811', NULL, '睾丸疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睾丸肿瘤', 'D40.101', NULL, '睾丸肿瘤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咯血', 'R04.200', NULL, '咯血', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膈下积液', 'R18.x01', NULL, '膈下积液', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '梗阻性休克', 'R57.801', NULL, '梗阻性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '功能性腹痛', 'R10.400x002', NULL, '功能性腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '宫颈粘连', 'N88.102', NULL, '宫颈粘连', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '宫腔占位', 'R93.800x006', NULL, '宫腔占位', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '宫缩乏力', 'O62.201', NULL, '宫缩乏力', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '共济失调', 'R27.000', NULL, '共济失调', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '钩骨骨折', 'S62.100x071', NULL, '钩骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '构音不全', 'R47.101', NULL, '构音不全', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '构音障碍', 'R47.100x001', NULL, '构音障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '古德帕斯丘综合征', 'M31.001', NULL, '古德帕斯丘综合征', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨盆狭窄', 'O33.101', NULL, '骨盆狭窄', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨痛', 'M89.823', NULL, '骨痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨炎', 'M86.921', NULL, '骨炎', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨质破坏', 'M89.818', NULL, '骨质破坏', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '骨质疏松', 'M81.900', NULL, '骨质疏松', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节积液', 'M25.415', NULL, '关节积液', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节僵硬', 'M25.600x091', NULL, '关节僵硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节松弛', 'M25.201', NULL, '关节松弛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节痛', 'M25.500', NULL, '关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节肿胀', 'M25.416', NULL, '关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '冠状动脉动脉瘤', 'I25.400', NULL, '冠状动脉动脉瘤', '', '', '', '血管外科', '', '5109', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '过度活动', 'R46.300', NULL, '过度活动', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '过敏性皮疹', 'R21.x00x001', NULL, '过敏性皮疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼾症', 'R06.501', NULL, '鼾症', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '行为异常', 'R46.200x002', NULL, '行为异常', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '行走困难', 'R26.200x001', NULL, '行走困难', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黑矇', 'H54.001', NULL, '黑矇', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黑尿', 'R82.900x002', NULL, '黑尿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '红细胞异常', 'R71.x00', NULL, '红细胞异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉痉挛', 'J38.500', NULL, '喉痉挛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸道出血', 'R04.900', NULL, '呼吸道出血', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸肌麻痹', 'R06.803', NULL, '呼吸肌麻痹', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸困难', 'R06.000', NULL, '呼吸困难', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸时胸痛', 'R07.100', NULL, '呼吸时胸痛', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸衰竭', 'J96.900x001', NULL, '呼吸衰竭', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸停止', 'R09.200', NULL, '呼吸停止', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸异常', 'R06.804', NULL, '呼吸异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸暂停', 'R06.805', NULL, '呼吸暂停', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节僵硬', 'M25.608', NULL, '踝关节僵硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节痛', 'M25.507', NULL, '踝关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '幻觉', 'R44.300', NULL, '幻觉', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '幻视', 'R44.100', NULL, '幻视', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '幻听', 'R44.000', NULL, '幻听', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '幻嗅', 'R44.201', NULL, '幻嗅', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄斑囊样水肿', 'H35.804', NULL, '黄斑囊样水肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄疸', 'R17.x00', NULL, '黄疸', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄韧带肥厚', 'M24.204', NULL, '黄韧带肥厚', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴痛', 'R10.201', NULL, '会阴痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '昏迷', 'R40.200', NULL, '昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '混合性失语', 'R47.004', NULL, '混合性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '霍纳综合征', 'G90.200', NULL, '霍纳综合征', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌电图异常', 'R94.104', NULL, '肌电图异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌红蛋白尿', 'R82.100', NULL, '肌红蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌皮神经损伤', 'S44.400', NULL, '肌皮神经损伤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌肉挛缩', 'M62.400', NULL, '肌肉挛缩', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌束震颤', 'R25.300', NULL, '肌束震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌痛', 'M79.100', NULL, '肌痛', '', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌萎缩', 'G71.801', NULL, '肌萎缩', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌无力', 'G70.902', NULL, '肌无力', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肌无力危象', 'G70.007', NULL, '肌无力危象', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '激越状态', 'R45.100x002', NULL, '激越状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急腹症', 'R10.000', NULL, '急腹症', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急性疼痛', 'R52.000', NULL, '急性疼痛', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急躁', 'R45.400x001', NULL, '急躁', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '急躁和愤怒', 'R45.400', NULL, '急躁和愤怒', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊髓出血', 'G95.101', NULL, '脊髓出血', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊髓受压', 'G95.200', NULL, '脊髓受压', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱侧弯', 'M41.900', NULL, '脊柱侧弯', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '计算不能', 'R48.800x001', NULL, '计算不能', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '计算困难', 'R48.800x004', NULL, '计算困难', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '继发性痛经', 'N94.500', NULL, '继发性痛经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '继发性血小板增多症', 'D75.805', NULL, '继发性血小板增多症', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颊部肿物', 'R22.004', NULL, '颊部肿物', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '假性脑膜炎', 'R29.100', NULL, '假性脑膜炎', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '间歇性跛行', 'I73.901', NULL, '间歇性跛行', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩部肿物', 'R22.302', NULL, '肩部肿物', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节僵硬', 'M25.602', NULL, '肩关节僵硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节痛', 'M25.501', NULL, '肩关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩痛', 'M79.600x011', NULL, '肩痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '缄默状态', 'R46.800x001', NULL, '缄默状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睑内翻', 'H02.003', NULL, '睑内翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '角膜混浊', 'H17.902', NULL, '角膜混浊', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '角膜溃疡', 'H16.000', NULL, '角膜溃疡', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '角膜烧伤', 'T26.101', NULL, '角膜烧伤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '角膜异物', 'T15.000', NULL, '角膜异物', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结肠梗阻', 'K56.600x008', NULL, '结肠梗阻', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结节性红斑', 'L52.x00', NULL, '结节性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结晶尿', 'R82.900x003', NULL, '结晶尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜充血', 'H11.403', NULL, '结膜充血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '结膜异物', 'T15.100x001', NULL, '结膜异物', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '截瘫', 'G82.200', NULL, '截瘫', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '金黄色葡萄球菌肠炎', 'A04.800x007', NULL, '金黄色葡萄球菌肠炎', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '紧张状态', 'R45.700x002', NULL, '紧张状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '茎突过长', 'M95.207', NULL, '茎突过长', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '经期延长', 'N92.601', NULL, '经期延长', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '惊厥', 'R56.803', NULL, '惊厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '惊厥发作', 'R56.803', NULL, '惊厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '惊恐发作', 'F41.001', NULL, '惊恐发作', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神性聋', 'R48.800x005', NULL, '精神性聋', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神障碍', 'F99.x00', NULL, '精神障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精子异常', 'R86.901', NULL, '精子异常', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部局部肿物', 'R22.100x001', NULL, '颈部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部扭伤', 'S13.601', NULL, '颈部扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部肿物', 'R22.100x001', NULL, '颈部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部肿胀', 'R22.100x002', NULL, '颈部肿胀', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈痛', 'M54.200', NULL, '颈痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈椎骨质增生', 'M50.300x001', NULL, '颈椎骨质增生', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈椎间盘突出', 'M50.201', NULL, '颈椎间盘突出', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛', 'R25.200x002', NULL, '痉挛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛0级', 'R25.200x004', NULL, '痉挛0级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛1+级', 'R25.200x006', NULL, '痉挛1+级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛1级', 'R25.200x005', NULL, '痉挛1级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛2级', 'R25.200x007', NULL, '痉挛2级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛3级', 'R25.200x008', NULL, '痉挛3级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛4级', 'R25.200x009', NULL, '痉挛4级', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痉挛性步态', 'R26.100x001', NULL, '痉挛性步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '静脉栓塞', 'I82.900x001', NULL, '静脉栓塞', '', '', '', '血管外科', '', '5109', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '局部肿物', 'R22.901', NULL, '局部肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '局限性水肿', 'R60.000', NULL, '局限性水肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '沮丧', 'R45.300x002', NULL, '沮丧', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绝经后出血', 'N95.000', NULL, '绝经后出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳嗽', 'R05.x00', NULL, '咳嗽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '可见性蠕动', 'R19.200', NULL, '可见性蠕动', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '空肠憩室', 'K57.103', NULL, '空肠憩室', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口臭', 'R19.600', NULL, '口臭', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口干', 'R68.200', NULL, '口干', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口呼吸', 'R06.500', NULL, '口呼吸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔黏膜溃疡', 'K12.109', NULL, '口腔黏膜溃疡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔炎', 'K12.112', NULL, '口腔炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口周麻木', 'R20.802', NULL, '口周麻木', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '哭闹', 'R68.800x003', NULL, '非婴儿哭闹', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋部肿物', 'R22.402', NULL, '髋部肿物', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋关节积液', 'M25.409', NULL, '髋关节积液', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋关节痛', 'M25.505', NULL, '髋关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溃疡性口炎', 'K12.107', NULL, '溃疡性口炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '老年性无力', 'R54.x00x002', NULL, '老年性无力', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '老年性虚弱', 'R54.x00x003', NULL, '老年性虚弱', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '老年性震颤', 'R54.x01', NULL, '老年性震颤', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '雷诺现象', 'I73.001', NULL, '雷诺现象', '', '', '', '风湿免疫科', '', '239', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肋间神经痛', 'G58.001', NULL, '肋间神经痛', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肋软骨痛', 'R07.300x002', NULL, '肋软骨痛', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泪道阻塞', 'H04.509', NULL, '泪道阻塞', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '良性惊厥', 'R56.800x005', NULL, '良性惊厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴结病', 'R59.100x002', NULL, '淋巴结病', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淋巴结增大', 'R59.900', NULL, '淋巴结增大', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流行性水肿', 'R60.900x003', NULL, '流行性水肿', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '硫酸二甲酯中毒', 'T52.800x006', NULL, '硫酸二甲酯中毒', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颅内感染', 'G06.006', NULL, '颅内感染', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颅内占位性病变', 'R90.000', NULL, '颅内占位性病变', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '啰音', 'R09.800x091', NULL, '啰音', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '逻辑障碍', 'R41.800x002', NULL, '逻辑障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '麻痹步态', 'R26.100', NULL, '麻痹步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '麻痹性痴呆', 'A52.104+F02.8*', NULL, '麻痹性痴呆', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脉搏弱', 'R09.800x082', NULL, '脉搏弱', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性肾衰竭', 'N18.902', NULL, '慢性肾衰竭', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性胸膜炎', 'R09.100x002', NULL, '慢性胸膜炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慢性虚弱', 'R53.x00x006', NULL, '慢性虚弱', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '梦魇', 'F51.500', NULL, '梦魇', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '弥漫性泛细支气管炎', 'J42.x01', NULL, '弥漫性泛细支气管炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部疼痛', 'R51.x00x003', NULL, '面部疼痛', '', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部肿物', 'R22.005', NULL, '面部肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部肿胀', 'R22.000x003', NULL, '面部肿胀', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面肌抽搐', 'G25.601', NULL, '面肌抽搐', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '命名性失语', 'R47.002', NULL, '命名性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '木僵', 'R40.100', NULL, '木僵', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑电图异常', 'R94.001', NULL, '脑电图异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑沟增宽', 'R90.800x003', NULL, '脑沟增宽', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑脊液异常', 'R83.900x001', NULL, '脑脊液异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑缺血灶', 'R90.803', NULL, '脑缺血灶', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑软化灶', 'R90.804', NULL, '脑软化灶', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑神经损伤', 'S04.900', NULL, '脑神经损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑死亡', 'G93.800x013', NULL, '脑死亡', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脑源性晕厥', 'R55.x00x004', NULL, '脑源性晕厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '内脏出血', 'R58.x00x002', NULL, '内脏出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '逆行性遗忘', 'R41.200', NULL, '逆行性遗忘', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '念珠菌性甲沟炎', 'B37.203', NULL, '念珠菌性甲沟炎', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道排出物', 'R36.x00', NULL, '尿道排出物', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道溢液', 'R36.x01', NULL, '尿道溢液', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿急', 'R30.100x001', NULL, '尿急', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿频', 'R35.x00x001', NULL, '尿频', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿失禁', 'R32.x00', NULL, '尿失禁', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿糖增高', 'R81.x00x001', NULL, '尿糖增高', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿外渗', 'R39.000', NULL, '尿外渗', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿潴留', 'R33.x00', NULL, '尿潴留', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脓疱性痤疮', 'L70.004', NULL, '脓疱性痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脓血便', 'R19.500x003', NULL, '脓血便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '女性原发性不育', 'N97.901', NULL, '女性原发性不育', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呕吐', 'R11.x03', NULL, '呕吐', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呕血', 'K92.000', NULL, '呕血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便困难', 'R19.800x001', NULL, '排便困难', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿踌躇', 'R39.101', NULL, '排尿踌躇', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿困难', 'R30.000', NULL, '排尿困难', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿性晕厥', 'R55.x00x003', NULL, '排尿性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蹒跚性步态', 'R26.000x001', NULL, '蹒跚性步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膀胱憩室炎', 'N32.301', NULL, '膀胱憩室炎', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膀胱乙状结肠瘘', 'N32.103', NULL, '膀胱乙状结肠瘘', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膀胱子宫内膜异位症', 'N80.805', NULL, '膀胱子宫内膜异位症', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疱疹病毒性口炎', 'B00.203', NULL, '疱疹病毒性口炎', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喷嚏', 'R06.700', NULL, '喷嚏', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '盆腔积液', 'N94.806', NULL, '盆腔积液', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '盆腔痛', 'R10.200x001', NULL, '盆腔痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '盆腔肿物', 'R19.002', NULL, '盆腔肿物', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤潮红', 'R23.200x002', NULL, '皮肤潮红', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤改变', 'R23.801', NULL, '皮肤改变', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤感觉异常', 'R20.200', NULL, '皮肤感觉异常', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤麻刺感', 'R20.200x003', NULL, '皮肤麻刺感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤肉芽肿', 'L92.903', NULL, '皮肤肉芽肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤湿冷', 'R23.100x002', NULL, '皮肤湿冷', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤脱落', 'R23.400x001', NULL, '皮肤脱落', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤脱屑', 'R23.400x003', NULL, '皮肤脱屑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤硬结', 'R23.401', NULL, '皮肤硬结', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤针刺感', 'R20.200x002', NULL, '皮肤针刺感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤肿物', 'R22.903', NULL, '皮肤肿物', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮痛', 'R20.200x006', NULL, '皮痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮下出血', 'R23.301', NULL, '皮下出血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮下结节', 'R22.904', NULL, '皮下结节', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮下囊肿', 'L72.900x002', NULL, '皮下囊肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮下血肿', 'T14.003', NULL, '皮下血肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮下肿物', 'R22.902', NULL, '皮下肿物', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮疹', 'R21.x02', NULL, '皮疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疲劳', 'R53.x00x010', NULL, '疲劳', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脾大', 'R16.100x001', NULL, '脾大', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脾功能异常', 'R94.800x001', NULL, '脾功能异常', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '偏盲', 'H53.402', NULL, '偏盲', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '偏瘫', 'G81.900', NULL, '偏瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '屏气', 'R06.801', NULL, '屏气', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐带绕颈', 'O69.101', NULL, '脐带绕颈', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐肿物', 'R19.003', NULL, '脐肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '气胀痛', 'R14.x00x003', NULL, '气胀痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '器质性晕厥', 'R55.x00x007', NULL, '器质性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '前胸壁痛', 'R07.301', NULL, '前胸壁痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '浅昏迷', 'R40.100x003', NULL, '浅昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '强迫状态', 'F42.003', NULL, '强迫状态', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情境性晕厥', 'R55.x00x008', NULL, '情境性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情绪冲动', 'R45.700x001', NULL, '情绪冲动', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘脑性失语', 'R47.000x008', NULL, '丘脑性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '丘疹', 'R23.800x001', NULL, '丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '球蛋白异常', 'R77.100', NULL, '球蛋白异常', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干局部肿物', 'R22.200x002', NULL, '躯干肿物', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躯干肿胀', 'R22.200x001', NULL, '躯干肿胀', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身衰退', 'R53.x00x004', NULL, '全身衰退', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身性水肿', 'R60.100', NULL, '全身性水肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身性疼痛', 'R52.901', NULL, '全身性疼痛', '', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '人格障碍', 'F60.900', NULL, '人格障碍', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠合并贫血', 'O99.008', NULL, '妊娠合并贫血', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠合并肾小球肾炎', 'O26.804', NULL, '妊娠合并肾小球肾炎', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妊娠呕吐', 'O21.900', NULL, '妊娠呕吐', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蠕动过强', 'R19.200x002', NULL, '蠕动过强', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房萎缩', 'N64.200', NULL, '乳房萎缩', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (18578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房肿块', 'N63.x00', NULL, '乳房肿块', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (18579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳糜尿', 'R82.000', NULL, '乳糜尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头凹陷', 'N64.502', NULL, '乳头凹陷', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (18581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头肥大', 'N62.x00x007', NULL, '乳头肥大', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (18582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头溢液', 'N64.504', NULL, '乳头溢液', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (18583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '弱精子症', 'R86.903', NULL, '弱精子症', '', '', '', '生殖健康与不孕症', '', '29', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '弱视', 'H53.001', NULL, '弱视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '三叉神经痛', 'G50.000', NULL, '三叉神经痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '三联律', 'R00.800x001', NULL, '三联律', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '散光', 'H52.200', NULL, '散光', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上腹痛', 'R10.101', NULL, '上腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上睑下垂', 'H02.400', NULL, '上睑下垂', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢局部肿物', 'R22.300x001', NULL, '上肢肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢震颤', 'R25.100x002', NULL, '上肢震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '少尿', 'R34.x01', NULL, '少尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌溃疡', 'K14.003', NULL, '舌溃疡', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌痛', 'K14.600', NULL, '舌痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌炎', 'K14.000', NULL, '舌炎', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '深昏迷', 'R40.200x004', NULL, '深昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经根痛', 'M54.106', NULL, '神经根痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经功能障碍', 'G58.900x002', NULL, '神经功能障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经衰弱', 'F48.000', NULL, '神经衰弱', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经痛', 'M79.207', NULL, '神经痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经性虚弱', 'R53.x00x008', NULL, '虚弱', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神经质', 'R45.000', NULL, '神经质', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '神游症', 'R68.803', NULL, '神游症', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾充盈缺损', 'R93.400x002', NULL, '肾充盈缺损', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾绞痛', 'N23.x00', NULL, '肾绞痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾上腺增粗', 'R93.501', NULL, '肾上腺增粗', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声带麻痹', 'J38.002', NULL, '声带麻痹', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声嘶', 'R49.001', NULL, '声嘶', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音改变', 'R49.800x003', NULL, '声音改变', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失读', 'R48.001', NULL, '失读', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失眠', 'G47.000x001', NULL, '失眠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失认', 'R48.100', NULL, '失认', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失声', 'R49.100', NULL, '失声', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失写', 'R48.800x002', NULL, '失写', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失血性休克', 'R57.101', NULL, '失血性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失用', 'R48.200', NULL, '失用', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失语', 'R47.000x001', NULL, '失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '湿疹', 'L30.902', NULL, '湿疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管反流', 'K21.901', NULL, '食管反流', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管痉挛', 'K22.401', NULL, '食管痉挛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管溃疡', 'K22.100', NULL, '食管溃疡', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食管瘘', 'K22.811', NULL, '食管瘘', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食欲缺乏', 'R63.000', NULL, '食欲缺乏', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视空间忽略', 'R29.800x508', NULL, '视空间忽略', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视网膜出血', 'H35.600', NULL, '视网膜出血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视网膜裂孔', 'H33.304', NULL, '视网膜裂孔', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视物模糊', 'H53.801', NULL, '视物模糊', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视野缺损', 'H53.400', NULL, '视野缺损', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗜眠', 'R40.000', NULL, '嗜眠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗜睡', 'R53.x00x009', NULL, '嗜睡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手汗症', 'R61.001', NULL, '手汗症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手痛', 'M79.601', NULL, '手痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手肿物', 'R22.300x002', NULL, '手肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手足搐搦', 'R29.000', NULL, '手足搐搦', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手足徐动症', 'R25.802', NULL, '手足徐动症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '输卵管粘连', 'N73.603', NULL, '输卵管粘连', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '输尿管梗阻', 'N13.503', NULL, '输尿管梗阻', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '输尿管扩张', 'N28.826', NULL, '输尿管扩张', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '输尿管狭窄', 'N13.504', NULL, '输尿管狭窄', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '衰老', 'R54.x00', NULL, '衰老', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '衰弱状态', 'R68.800x002', NULL, '衰弱状态', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '水肿', 'R60.900', NULL, '水肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡眠呼吸暂停', 'G47.300', NULL, '睡眠呼吸暂停', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡眠障碍', 'G47.900', NULL, '睡眠障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '顺行性遗忘', 'R41.100', NULL, '顺行性遗忘', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '瞬间死亡', 'R96.000', NULL, '瞬间死亡', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '死亡', 'R99.x01', NULL, '死亡', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '四联律', 'R00.800x003', NULL, '四联律', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '四肢瘫痪', 'G82.500', NULL, '四肢瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '诵读困难', 'R48.000x002', NULL, '诵读困难', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '贪食', 'R63.200', NULL, '贪食', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '瘫痪', 'G83.900x002', NULL, '瘫痪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痰标本异常', 'R84.900x004', NULL, '痰标本异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痰异常', 'R09.300', NULL, '痰异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '叹息', 'R06.800x005', NULL, '叹息', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿', 'R81.x00', NULL, '糖尿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '糖尿病前期', 'R73.002', NULL, '糖尿病前期', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '特发性嗜睡', 'R53.x00x011', NULL, '特发性嗜睡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疼痛', 'R52.900', NULL, '疼痛', '', '', '', '疼痛专科', '', '832', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '体液潴留', 'R60.901', NULL, '体液潴留', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '听力减退', 'H91.900x002', NULL, '听力减退', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '通气过度', 'R06.400', NULL, '通气过度', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '酮尿', 'R82.401', NULL, '酮尿', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '瞳孔缩小', 'H57.001', NULL, '瞳孔缩小', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛经', 'N94.600', NULL, '痛经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛性呼吸', 'R07.101', NULL, '痛性呼吸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛性肌痉挛', 'R25.200x001', NULL, '痛性痉挛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛性痉挛', 'R25.200x001', NULL, '痛性痉挛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛性尿淋漓', 'R30.000x002', NULL, '痛性尿淋漓', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痛性排尿', 'R30.900', NULL, '痛性排尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部局部肿物', 'R22.000x005', NULL, '头部肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部震颤', 'R25.100x003', NULL, '头部震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮肿物', 'R22.002', NULL, '头皮肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头痛', 'R51.x00', NULL, '头痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头晕', 'R42.x00x004', NULL, '头晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头晕和眩晕', 'R42.x00', NULL, '头晕和眩晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽困难', 'R13.x00', NULL, '吞咽困难', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部肿物', 'R22.207', NULL, '臀部肿物', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脱发', 'L65.902', NULL, '脱发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脱水', 'E86.x01', NULL, '脱水', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唾液异常', 'R85.901', NULL, '唾液异常', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '完全性失语', 'R47.000x005', NULL, '完全性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节痛', 'M25.503', NULL, '腕关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '网状青斑症', 'R23.101', NULL, '网状青斑症', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '味觉倒错', 'R43.200', NULL, '味觉倒错', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '味觉丧失', 'R43.800x004', NULL, '味觉丧失', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '味觉障碍', 'R43.800x003', NULL, '味觉障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃底静脉曲张', 'I86.400x001', NULL, '胃底静脉曲张', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃食管反流', 'K21.900x003', NULL, '胃食管反流', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃痛', 'R10.102', NULL, '胃痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃胀气', 'R14.x00x001', NULL, '胃胀气', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃灼热', 'R12.x00', NULL, '胃灼热', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '卧床不起', 'R26.301', NULL, '卧床不起', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '无顶冠状静脉窦综合征', 'Q24.510', NULL, '无顶冠状静脉窦综合征', '', '', '', '血管外科', '', '5109', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '无尿', 'R34.x02', NULL, '无尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '无尿和少尿', 'R34.x00', NULL, '无尿和少尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节积液', 'M25.411', NULL, '膝关节积液', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节僵硬', 'M25.607', NULL, '膝关节僵硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节痛', 'M25.506', NULL, '膝关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节肿胀', 'M25.412', NULL, '膝关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下腹痛', 'R10.301', NULL, '下腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢局部肿物', 'R22.400x002', NULL, '下肢肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢水肿', 'R60.001', NULL, '下肢水肿', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢疼痛', 'M79.600x051', NULL, '下肢疼痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢震颤', 'R25.100x001', NULL, '下肢震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢肿胀', 'M79.802', NULL, '下肢肿胀', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夏季热', 'R50.901', NULL, '夏季热', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '先天性髋关节发育不良', 'Q65.801', NULL, '先天性髋关节发育不良', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消瘦', 'R64.x00x002', NULL, '消瘦', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小多角骨骨折', 'S62.100x051', NULL, '小多角骨骨折', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '哮喘', 'J45.900', NULL, '哮喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '协调缺乏', 'R27.801', NULL, '协调缺乏', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '协调障碍', 'R27.800x001', NULL, '协调障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '斜视', 'H50.900', NULL, '斜视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心电图异常', 'R94.303', NULL, '心电图异常', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18716, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心动过缓', 'R00.100', NULL, '心动过缓', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18717, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心动过速', 'R00.000', NULL, '心动过速', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18718, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心功能不全', 'I50.900x002', NULL, '心功能不全', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18719, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心悸', 'R00.200', NULL, '心悸', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18720, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心绞痛', 'I20.900', NULL, '心绞痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18721, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心律失常', 'I49.900', NULL, '心律失常', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18722, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心前区痛', 'R07.200', NULL, '心前区痛', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18723, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心音图异常', 'R94.305', NULL, '心音图异常', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18724, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心源性休克', 'R57.000', NULL, '心源性休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18725, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心源性晕厥', 'R55.x00x002', NULL, '心源性晕厥', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18726, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心脏扩大', 'I51.700x009', NULL, '心脏扩大', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18727, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心脏停搏', 'I46.900', NULL, '心脏停搏', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18728, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心脏杂音', 'R01.100', NULL, '心脏杂音', '', '', '', '心内科', '', '43', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18729, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性交疼痛', 'N94.100', NULL, '性交疼痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18730, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '凶暴', 'R45.600', NULL, '凶暴', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18731, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸壁肿物', 'R22.202', NULL, '胸壁肿物', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18732, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部挫伤', 'S20.200', NULL, '胸部挫伤', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18733, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部肿物', 'R22.200x004', NULL, '胸部肿物', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18734, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸闷', 'R09.801', NULL, '胸闷', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18735, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜钙化', 'J94.806', NULL, '胸膜钙化', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18736, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜摩擦音', 'R09.800x094', NULL, '胸膜摩擦音', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18737, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸膜炎', 'R09.100', NULL, '胸膜炎', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18738, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸腔鼓音', 'R09.800x092', NULL, '胸腔鼓音', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18739, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸水异常', 'R84.904', NULL, '胸水异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18740, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸痛', 'R07.400', NULL, '胸痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18741, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '休克', 'R57.900', NULL, '休克', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18742, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗅觉倒错', 'R43.100', NULL, '嗅觉倒错', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18743, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗅觉丧失', 'R43.000', NULL, '嗅觉丧失', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18744, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗅觉障碍', 'R43.800x001', NULL, '嗅觉障碍', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18745, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虚弱', 'R53.x00x008', NULL, '虚弱', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18746, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虚脱', 'R55.x02', NULL, '虚脱', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18747, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眩晕', 'R42.x00x001', NULL, '眩晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18748, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '学步延迟', 'R62.000x003', NULL, '学步延迟', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18749, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '学语延迟', 'R62.000x002', NULL, '学语延迟', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18750, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血红蛋白尿', 'R82.300', NULL, '血红蛋白尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18751, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血肌酐升高', 'R94.402', NULL, '血肌酐升高', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18752, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血精', 'N50.102', NULL, '血精', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18753, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血锂异常', 'R78.801', NULL, '血锂异常', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18754, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血尿', 'R31.x00', NULL, '血尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18755, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血气异常', 'R79.805', NULL, '血气异常', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18756, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血糖过多', 'R73.900', NULL, '血糖过多', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18757, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血糖升高', 'R73.900x001', NULL, '血糖升高', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18758, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血糖升高', 'R73.900x001', NULL, '血糖升高', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18759, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血性腹水', 'R18.x00x003', NULL, '血性腹水', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18760, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液钴异常', 'R79.000x001', NULL, '血液钴异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18761, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液镁异常', 'R79.000x004', NULL, '血液镁异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18762, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液铁异常', 'R79.000x003', NULL, '血液铁异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18763, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液铜异常', 'R79.000x002', NULL, '血液铜异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18764, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血液锌异常', 'R79.000x006', NULL, '血液锌异常', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18765, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血脂异常', 'R77.800x001', NULL, '血脂异常', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18766, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '荨麻疹', 'L50.900', NULL, '荨麻疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18767, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '循环衰竭', 'R57.901', NULL, '循环衰竭', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18768, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙痛', 'K08.801', NULL, '牙痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18769, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈出血', 'K06.804', NULL, '牙龈出血', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18770, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈溃疡', 'K06.806', NULL, '牙龈溃疡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18771, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈增生', 'K06.100x001', NULL, '牙龈增生', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18772, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈肿物', 'K06.901', NULL, '牙龈肿物', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18773, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙周脓肿', 'K05.201', NULL, '牙周脓肿', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18774, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '亚木僵', 'R40.100x005', NULL, '亚木僵', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18775, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部肿物', 'J39.219', NULL, '咽部肿物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18776, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉出血', 'R04.100', NULL, '咽喉出血', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18777, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉痛', 'J02.905', NULL, '咽喉痛', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18778, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽痛', 'R07.000', NULL, '咽痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18779, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '言语不清', 'R47.801', NULL, '言语不清', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18780, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '言语讷吃', 'R47.100x002', NULL, '言语讷吃', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18781, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '言语障碍', 'R47.802', NULL, '言语障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18782, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼底出血', 'H35.602', NULL, '眼底出血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18783, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼电图异常', 'R94.105', NULL, '眼电图异常', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18784, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑水肿', 'H02.806', NULL, '眼睑水肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18785, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼眶痛', 'H57.100x002', NULL, '眼眶痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18786, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼疲劳', 'H53.100x001', NULL, '眼疲劳', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18787, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球突出', 'H05.201', NULL, '眼球突出', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18788, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球运动障碍', 'H51.801', NULL, '眼球运动障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18789, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球震颤', 'H55.x00x002', NULL, '眼球震颤', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18790, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼痛', 'H57.100', NULL, '眼痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18791, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背痛', 'M54.503', NULL, '腰背痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18792, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰痛', 'M54.502', NULL, '腰痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18793, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰椎间盘退行性病变', 'M51.901', NULL, '腰椎间盘退行性病变', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18794, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物过敏反应', 'T88.701', NULL, '药物过敏反应', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18795, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '药物性发热', 'R50.200', NULL, '药物性发热', '', '', '', '发热门诊', '', '79', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18796, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜尿', 'R35.x00x003', NULL, '夜尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18797, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '遗尿', 'R32.x01', NULL, '遗尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18798, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '遗忘', 'R41.300x001', NULL, '遗忘', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18799, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '蚁走感', 'R20.201', NULL, '蚁走感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18800, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常步态', 'R26.800x001', NULL, '异常步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18801, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常步态和移动', 'R26.800x001', NULL, '异常步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18802, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常肠鸣音', 'R19.100', NULL, '异常肠鸣音', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18803, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常反射', 'R29.200', NULL, '异常反射', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18804, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常姿势', 'R29.300', NULL, '异常姿势', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18805, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '意识错乱', 'R41.001', NULL, '意识错乱', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18806, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '意识模糊', 'R40.200x005', NULL, '意识模糊', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18807, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '意识丧失', 'R40.201', NULL, '意识丧失', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18808, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溢泪', 'H04.200', NULL, '溢泪', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18809, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '癔症样发作', 'R45.800x091', NULL, '癔症样发作', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18810, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道良性肿瘤', 'D28.100', NULL, '阴道良性肿瘤', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18811, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道囊肿', 'N89.806', NULL, '阴道囊肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18812, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎水肿', 'N48.800x009', NULL, '阴茎水肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18813, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊肿大', 'N50.827', NULL, '阴囊肿大', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18814, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊肿物', 'N50.902', NULL, '阴囊肿物', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18815, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '婴儿惊厥', 'R56.802', NULL, '婴儿惊厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18816, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养风险', 'R63.801', NULL, '营养风险', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18817, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养过度', 'R63.200x002', NULL, '营养过度', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18818, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '忧虑', 'R45.200x001', NULL, '忧虑', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18819, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '瘀斑', 'R58.x02', NULL, '瘀斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18820, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '语言困难', 'R47.001', NULL, '语言困难', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18821, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '语音改变', 'R49.800x003', NULL, '声音改变', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18822, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '语音障碍', 'R49.801', NULL, '语音障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18823, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '月经不规则', 'N92.600', NULL, '月经不规则', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18824, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '月经过多', 'N92.000x001', NULL, '月经过多', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18825, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '月经稀少', 'N91.500', NULL, '月经稀少', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18826, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晕厥', 'R55.x00x001', NULL, '晕厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18827, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晕厥和虚脱', 'R55.x00x001', NULL, '晕厥', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18828, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '运动性失语', 'R47.003', NULL, '运动性失语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18829, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '运动障碍', 'G24.902', NULL, '运动障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18830, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '早泄', 'F52.400', NULL, '早泄', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18831, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '粘膜出血', 'R58.x00x004', NULL, '粘膜出血', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18832, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '粘液便', 'R19.500x004', NULL, '粘液便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18833, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '谵妄', 'F05.900', NULL, '谵妄', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18834, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '照管不当', 'R63.300x003', NULL, '照管不当', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18835, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阵发性心动过速', 'I47.900', NULL, '阵发性心动过速', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (18836, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '震颤', 'R25.100', NULL, '震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18837, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢端发绀', 'I73.800x008', NULL, '肢端发绀', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18838, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体麻木', 'R20.803', NULL, '肢体麻木', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18839, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体无力', 'R53.x00x001', NULL, '肢体无力', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18840, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体肿胀', 'M79.800x001', NULL, '肢体肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18841, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '直肠狭窄', 'K62.400x002', NULL, '直肠狭窄', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18842, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '直肠周围脓肿', 'K61.101', NULL, '直肠周围脓肿', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18843, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '窒息', 'R09.000', NULL, '窒息', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18844, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '智力低下', 'F79.901', NULL, '智力低下', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18845, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '智能减退', 'R41.801', NULL, '智能减退', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18846, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中毒性脑病', 'G92.x00', NULL, '中毒性脑病', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18847, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中昏迷', 'R40.100x002', NULL, '中昏迷', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18848, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '中枢性眩晕', 'H81.400', NULL, '中枢性眩晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18849, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肿瘤伴出血', 'R58.x00x007', NULL, '肿瘤伴出血', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18850, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '重度贫血', 'D64.903', NULL, '重度贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18851, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '周期性呼吸', 'R06.300', NULL, '周期性呼吸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18852, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '周期性呕吐', 'R11.x01', NULL, '周期性呕吐', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18853, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '周期性嗜睡', 'R53.x00x012', NULL, '周期性嗜睡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18854, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '周期性眩晕', 'R42.x00x002', NULL, '周期性眩晕', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18855, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节痛', 'M25.502', NULL, '肘关节痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18856, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '转氨酶升高', 'R74.000x001', NULL, '转氨酶升高', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18857, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '子宫不规则出血', 'N92.101', NULL, '子宫不规则出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18858, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '子宫穿孔', 'N85.804', NULL, '子宫穿孔', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18859, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '子宫发育不全', 'Q51.808', NULL, '子宫发育不全', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18860, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '子宫后倾', 'N85.402', NULL, '子宫后倾', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18861, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '紫癜', 'D69.203', NULL, '紫癜', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18862, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自发性瘀斑', 'R23.300', NULL, '自发性瘀斑', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18863, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自杀倾向', 'R45.801', NULL, '自杀倾向', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18864, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自我忽视', 'R46.801', NULL, '自我忽视', '', '', '', '精神卫生科', '', '38', '1', '', '建议保持良好心态，放松心情、自我调节', NULL);
INSERT INTO `tran_disease_dept` VALUES (18865, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '纵隔疝', 'J98.504', NULL, '纵隔疝', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18866, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '纵隔移位', 'R93.804', NULL, '纵隔移位', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18867, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '纵隔阴影', 'R93.805', NULL, '纵隔阴影', '', '', '', '胸外科', '', '529', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18868, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '走路不稳', 'R26.802', NULL, '走路不稳', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18869, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '足痛', 'M79.604', NULL, '足痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18870, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '足肿物', 'R22.400x003', NULL, '足肿物', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (18871, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '左侧忽略', 'R29.800x505', NULL, '左侧忽略', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18872, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '坐骨神经痛', 'M54.300', NULL, '坐骨神经痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18873, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胡言乱语', NULL, NULL, '胡言乱语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18874, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情绪激动', NULL, NULL, '情绪激动', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18875, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情绪不稳', NULL, NULL, '情绪不稳', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18876, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '异常兴奋', NULL, NULL, '异常兴奋', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18877, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '烦躁易怒', NULL, NULL, '烦躁易怒', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18878, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '猜疑', NULL, NULL, '猜疑', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18879, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '躁狂', NULL, NULL, '躁狂', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18880, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '悲观厌世', NULL, NULL, '悲观厌世', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18881, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自言自语', NULL, NULL, '自言自语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18882, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '情绪低落', NULL, NULL, '情绪低落', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18883, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '烦躁', NULL, NULL, '烦躁', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18884, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '紧张不安', NULL, NULL, '紧张不安', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18885, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多疑', NULL, NULL, '多疑', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18886, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多虑', NULL, NULL, '多虑', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18887, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心烦', NULL, NULL, '心烦', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18888, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恐惧', NULL, NULL, '恐惧', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18889, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易激动', NULL, NULL, '易激动', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18890, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易紧张', NULL, NULL, '易紧张', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18891, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '焦虑', NULL, NULL, '焦虑', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18892, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绝经失眠', NULL, NULL, '绝经失眠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18893, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胡思乱想', NULL, NULL, '胡思乱想', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18894, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自卑', NULL, NULL, '自卑', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18895, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自我评价过低', NULL, NULL, '自我评价过低', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18896, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '自杀行为', NULL, NULL, '自杀行为', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18897, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易兴奋', NULL, NULL, '易兴奋', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18898, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '兴奋话多', NULL, NULL, '兴奋话多', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18899, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '压抑心理', NULL, NULL, '压抑心理', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18900, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反复惊恐状态', NULL, NULL, '反复惊恐状态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18901, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吵闹', NULL, NULL, '吵闹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18902, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多语', NULL, NULL, '多语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18903, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '妄想', NULL, NULL, '妄想', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18904, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尖叫', NULL, NULL, '尖叫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18905, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜间恐惧', NULL, NULL, '夜间恐惧', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18906, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '强迫症', NULL, NULL, '强迫症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18907, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '懒言少语', NULL, NULL, '懒言少语', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18908, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '抑郁情绪', NULL, NULL, '抑郁情绪', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18909, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易激惹', NULL, NULL, '易激惹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18910, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神异常', NULL, NULL, '精神异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18911, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神不佳', NULL, NULL, '精神不佳', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18912, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神倦怠', NULL, NULL, '精神倦怠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18913, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神呆滞', NULL, NULL, '精神呆滞', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18914, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神恍惚', NULL, NULL, '精神恍惚', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18915, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神萎靡', NULL, NULL, '精神萎靡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18916, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神软', NULL, NULL, '精神软', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18917, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '精神错乱', NULL, NULL, '精神错乱', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18918, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮痛', NULL, NULL, '头皮痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18919, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮痒', NULL, NULL, '头皮痒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18920, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头发稀少', NULL, NULL, '头发稀少', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18921, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白发', NULL, NULL, '白发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18922, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮发麻', NULL, NULL, '头皮发麻', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18923, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮干燥', NULL, NULL, '头皮干燥', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18924, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反应迟钝', NULL, NULL, '反应迟钝', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18925, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '昏睡', NULL, NULL, '昏睡', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18926, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晨起头痛', NULL, NULL, '晨起头痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18927, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头昏', NULL, NULL, '头昏', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18928, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '枕部疼痛', NULL, NULL, '枕部疼痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18929, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部胀痛', NULL, NULL, '头部胀痛', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18930, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部重压感', NULL, NULL, '头部重压感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18931, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '断发', NULL, NULL, '断发', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18932, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视物旋转', NULL, NULL, '视物旋转', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18933, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部紧束感', NULL, NULL, '头部紧束感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18934, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头重脚轻感', NULL, NULL, '头重脚轻感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18935, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '注意力不集中', NULL, NULL, '注意力不集中', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18936, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '记忆力下降', NULL, NULL, '记忆力下降', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18937, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '健忘', NULL, NULL, '健忘', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18938, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '意识不清', NULL, NULL, '意识不清', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (18939, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部多汗', NULL, NULL, '头部多汗', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18940, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部外伤', NULL, NULL, '头部外伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18941, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮出血', NULL, NULL, '头皮出血', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18942, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头部肿块', NULL, NULL, '头部肿块', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18943, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮红斑', NULL, NULL, '头皮红斑', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18944, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮斑块', NULL, NULL, '头皮斑块', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18945, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮肿胀', NULL, NULL, '头皮肿胀', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18946, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮损伤', NULL, NULL, '头皮损伤', '', '', '', '神经外科', '', '50', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18947, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮屑增多', NULL, NULL, '头皮屑增多', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18948, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮脓疱', NULL, NULL, '头皮脓疱', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18949, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮黄痂', NULL, NULL, '头皮黄痂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18950, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '头皮臭味', NULL, NULL, '头皮臭味', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (18951, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡觉抽搐', NULL, NULL, '睡觉抽搐', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18952, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡眠时间倒错', NULL, NULL, '睡眠时间倒错', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18953, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '入睡困难', NULL, NULL, '入睡困难', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18954, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '续睡困难', NULL, NULL, '续睡困难', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18955, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜游症', NULL, NULL, '夜游症', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18956, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡眠浅', NULL, NULL, '睡眠浅', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18957, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '梦呓', NULL, NULL, '梦呓', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18958, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '交流障碍', NULL, NULL, '交流障碍', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18959, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '早醒', NULL, NULL, '早醒', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18960, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多梦', NULL, NULL, '多梦', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18961, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多醒', NULL, NULL, '多醒', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18962, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易惊醒', NULL, NULL, '易惊醒', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18963, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失眠', NULL, NULL, '失眠', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18964, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睡眠不安', NULL, NULL, '睡眠不安', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18965, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼痛', NULL, NULL, '眼痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18966, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼痒', NULL, NULL, '眼痒', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18967, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼胀', NULL, NULL, '眼胀', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18968, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼干', NULL, NULL, '眼干', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18969, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼部异物感', NULL, NULL, '眼部异物感', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18970, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视力下降', NULL, NULL, '视力下降', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18971, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼眶疼痛', NULL, NULL, '眼眶疼痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18972, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑浮肿', NULL, NULL, '眼睑浮肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18973, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球发红', NULL, NULL, '眼球发红', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18974, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球发黄', NULL, NULL, '眼球发黄', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18975, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视物变形', NULL, NULL, '视物变形', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18976, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑下垂', NULL, NULL, '眼睑下垂', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18977, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睁眼无力', NULL, NULL, '睁眼无力', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18978, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '双眼凝视', NULL, NULL, '双眼凝视', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18979, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视物重影', NULL, NULL, '视物重影', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18980, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '畏光', NULL, NULL, '畏光', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18981, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼部抽搐', NULL, NULL, '眼部抽搐', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18982, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼部分泌物多', NULL, NULL, '眼部分泌物多', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18983, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼部烧灼感', NULL, NULL, '眼部烧灼感', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18984, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不断眨眼', NULL, NULL, '不断眨眼', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18985, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '视物闪光', NULL, NULL, '视物闪光', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18986, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '畏光流泪', NULL, NULL, '畏光流泪', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18987, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼部充血', NULL, NULL, '眼部充血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18988, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '突发失明', NULL, NULL, '突发失明', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18989, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '迎风流泪', NULL, NULL, '迎风流泪', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18990, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眨眼疼痛', NULL, NULL, '眨眼疼痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18991, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼花', NULL, NULL, '眼花', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18992, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼皮沉重感', NULL, NULL, '眼皮沉重感', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18993, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑内翻', NULL, NULL, '眼睑内翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18994, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑外翻', NULL, NULL, '眼睑外翻', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18995, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑瘙痒', NULL, NULL, '眼睑瘙痒', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18996, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑充血', NULL, NULL, '眼睑充血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18997, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑出血', NULL, NULL, '眼睑出血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18998, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑疼痛', NULL, NULL, '眼睑疼痛', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (18999, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼睑发热', NULL, NULL, '眼睑发热', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19000, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球内陷', NULL, NULL, '眼球内陷', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19001, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '闭眼困难', NULL, NULL, '闭眼困难', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19002, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼前黑影飘动', NULL, NULL, '眼前黑影飘动', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19003, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼球上移', NULL, NULL, '眼球上移', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19004, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼结膜充血', NULL, NULL, '眼结膜充血', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19005, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '眼结膜水肿', NULL, NULL, '眼结膜水肿', '', '', '', '眼科', '', '34', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19006, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻塞', NULL, NULL, '鼻塞', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19007, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻腔疼痛', NULL, NULL, '鼻腔疼痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19008, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻痒', NULL, NULL, '鼻痒', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19009, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '流涕', NULL, NULL, '流涕', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19010, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '打喷嚏', NULL, NULL, '打喷嚏', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19011, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '涕中带血', NULL, NULL, '涕中带血', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19012, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '回吸血涕', NULL, NULL, '回吸血涕', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19013, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻外伤', NULL, NULL, '鼻外伤', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19014, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻音', NULL, NULL, '鼻音', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19015, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻腔干燥', NULL, NULL, '鼻腔干燥', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19016, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻腔不适', NULL, NULL, '鼻腔不适', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19017, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗅觉过敏', NULL, NULL, '嗅觉过敏', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19018, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嗅觉减退', NULL, NULL, '嗅觉减退', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19019, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻畸形', NULL, NULL, '鼻畸形', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19020, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻部红肿', NULL, NULL, '鼻部红肿', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19021, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻部麻木感', NULL, NULL, '鼻部麻木感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19022, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻异物感', NULL, NULL, '鼻异物感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19023, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻尖多汗', NULL, NULL, '鼻尖多汗', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19024, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻腔分泌物增多', NULL, NULL, '鼻腔分泌物增多', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19025, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鼻根部酸胀', NULL, NULL, '鼻根部酸胀', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19026, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口渴', NULL, NULL, '口渴', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19027, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口苦', NULL, NULL, '口苦', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19028, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔异味', NULL, NULL, '口腔异味', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19029, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口淡无味', NULL, NULL, '口淡无味', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19030, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔痛', NULL, NULL, '口腔痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19031, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嘴角流口水', NULL, NULL, '嘴角流口水', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19032, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口干舌燥', NULL, NULL, '口干舌燥', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19033, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇干燥', NULL, NULL, '口唇干燥', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19034, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇干裂', NULL, NULL, '口唇干裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19035, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇发绀', NULL, NULL, '口唇发绀', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19036, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔溃疡', NULL, NULL, '口腔溃疡', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19037, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔疱疹', NULL, NULL, '口腔疱疹', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19038, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇疱疹', NULL, NULL, '口唇疱疹', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19039, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙齿松动', NULL, NULL, '牙齿松动', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19040, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈不适', NULL, NULL, '牙龈不适', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19041, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈疼痛', NULL, NULL, '牙龈疼痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19042, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈萎缩', NULL, NULL, '牙龈萎缩', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19043, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙龈肿痛', NULL, NULL, '牙龈肿痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19044, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙隐痛', NULL, NULL, '牙隐痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19045, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙齿摩擦声', NULL, NULL, '牙齿摩擦声', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19046, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '刷牙出血', NULL, NULL, '刷牙出血', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19047, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咬合无力', NULL, NULL, '咬合无力', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19048, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咀嚼无力', NULL, NULL, '咀嚼无力', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19049, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '张口困难', NULL, NULL, '张口困难', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19050, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇裂', NULL, NULL, '唇裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19051, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇畸形', NULL, NULL, '口唇畸形', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19052, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇肿痛', NULL, NULL, '口唇肿痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19053, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '嘴角干裂', NULL, NULL, '嘴角干裂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19054, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口角溃烂', NULL, NULL, '口角溃烂', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19055, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口腔粘膜白斑', NULL, NULL, '口腔粘膜白斑', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19056, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口吐白沫', NULL, NULL, '口吐白沫', '', '', '', '急诊科', '', '80', '1', '', '建议及时就诊', NULL);
INSERT INTO `tran_disease_dept` VALUES (19057, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口唇麻木', NULL, NULL, '口唇麻木', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19058, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌出血', NULL, NULL, '舌出血', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19059, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌麻', NULL, NULL, '舌麻', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19060, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌瘫', NULL, NULL, '舌瘫', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19061, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌痛', NULL, NULL, '舌痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19062, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌质红', NULL, NULL, '舌质红', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19063, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '舌肿胀', NULL, NULL, '舌肿胀', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19064, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '味觉异常', NULL, NULL, '味觉异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19065, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇部疼痛', NULL, NULL, '唇部疼痛', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19066, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇部肿胀', NULL, NULL, '唇部肿胀', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19067, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '唇部脱屑', NULL, NULL, '唇部脱屑', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19068, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '牙齿缺损', NULL, NULL, '牙齿缺损', '', '', '', '牙科', '', '32', '1', '', '建议注意休息，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19069, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '口角麻木', NULL, NULL, '口角麻木', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19070, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部浮肿', NULL, NULL, '面部浮肿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19071, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下颌痛', NULL, NULL, '下颌痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19072, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部麻木', NULL, NULL, '面部麻木', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19073, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面神经麻痹', NULL, NULL, '面神经麻痹', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19074, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部偏瘫', NULL, NULL, '面部偏瘫', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19075, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腮部肿胀', NULL, NULL, '腮部肿胀', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19076, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腮腺疼痛', NULL, NULL, '腮腺疼痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19077, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部痤疮', NULL, NULL, '面部痤疮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19078, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部红斑', NULL, NULL, '面部红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19079, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部色斑', NULL, NULL, '面部色斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19080, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '面部黄褐色斑', NULL, NULL, '面部黄褐色斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19081, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳痒', NULL, NULL, '耳痒', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19082, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳异物感', NULL, NULL, '耳异物感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19083, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳屎多', NULL, NULL, '耳屎多', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19084, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳闷', NULL, NULL, '耳闷', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19085, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳道堵塞', NULL, NULL, '耳道堵塞', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19086, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳道流液', NULL, NULL, '耳道流液', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19087, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳流脓', NULL, NULL, '耳流脓', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19088, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳道肿胀', NULL, NULL, '耳道肿胀', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19089, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓水肿', NULL, NULL, '耳廓水肿', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19090, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳聋', NULL, NULL, '耳聋', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19091, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '单侧耳聋', NULL, NULL, '单侧耳聋', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19092, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '老年性耳聋', NULL, NULL, '老年性耳聋', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19093, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内流水感', NULL, NULL, '耳内流水感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19094, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳深部疼痛', NULL, NULL, '耳深部疼痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19095, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳搏动性跳痛', NULL, NULL, '耳搏动性跳痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19096, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳后疼痛', NULL, NULL, '耳后疼痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19097, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内灼热感', NULL, NULL, '耳内灼热感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19098, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内胀痛', NULL, NULL, '耳内胀痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19099, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内闭塞感', NULL, NULL, '耳内闭塞感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19100, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内不适', NULL, NULL, '耳内不适', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19101, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳内潮湿', NULL, NULL, '耳内潮湿', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19102, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '突发性耳聋', NULL, NULL, '突发性耳聋', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19103, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳垂下疼痛', NULL, NULL, '耳垂下疼痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19104, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳闷涨感', NULL, NULL, '耳闷涨感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19105, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳部不适', NULL, NULL, '耳部不适', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19106, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '听觉过敏', NULL, NULL, '听觉过敏', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19107, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '听力下降', NULL, NULL, '听力下降', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19108, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳周皮疹', NULL, NULL, '耳周皮疹', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19109, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳垂苍白', NULL, NULL, '耳垂苍白', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19110, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓潮红', NULL, NULL, '耳廓潮红', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19111, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓红斑', NULL, NULL, '耳廓红斑', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19112, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓糜烂', NULL, NULL, '耳廓糜烂', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19113, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓皮疹', NULL, NULL, '耳廓皮疹', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19114, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓灼热感', NULL, NULL, '耳廓灼热感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19115, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓渗液', NULL, NULL, '耳廓渗液', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19116, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓水疱', NULL, NULL, '耳廓水疱', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19117, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓丘疹', NULL, NULL, '耳廓丘疹', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19118, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耳廓鳞屑', NULL, NULL, '耳廓鳞屑', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19119, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳道糜烂', NULL, NULL, '外耳道糜烂', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19120, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳道瘙痒', NULL, NULL, '外耳道瘙痒', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19121, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳道潮湿', NULL, NULL, '外耳道潮湿', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19122, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外耳鳞屑', NULL, NULL, '外耳鳞屑', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19123, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '颈部丘疹', NULL, NULL, '颈部丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19124, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽痒', NULL, NULL, '咽痒', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19125, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉痛', NULL, NULL, '喉痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19126, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽干', NULL, NULL, '咽干', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19127, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉部刺痒', NULL, NULL, '咽喉部刺痒', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19128, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '打鼾', NULL, NULL, '打鼾', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19129, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉喘鸣', NULL, NULL, '喉喘鸣', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19130, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '清嗓', NULL, NULL, '清嗓', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19131, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音低沉', NULL, NULL, '声音低沉', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19132, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音低调', NULL, NULL, '声音低调', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19133, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音嘶哑', NULL, NULL, '声音嘶哑', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19134, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '声音变粗', NULL, NULL, '声音变粗', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19135, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发音无力', NULL, NULL, '发音无力', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19136, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发音易疲倦', NULL, NULL, '发音易疲倦', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19137, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部异物', NULL, NULL, '咽部异物', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19138, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部鱼刺', NULL, NULL, '咽部鱼刺', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19139, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部灼热疼痛', NULL, NULL, '咽部灼热疼痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19140, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉烧灼感', NULL, NULL, '咽喉烧灼感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19141, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉分泌物增多', NULL, NULL, '咽喉分泌物增多', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19142, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉部不适', NULL, NULL, '咽喉部不适', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19143, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉中痰鸣', NULL, NULL, '喉中痰鸣', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19144, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉咙发紧', NULL, NULL, '喉咙发紧', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19145, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部分泌物不易咳出', NULL, NULL, '咽部分泌物不易咳出', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19146, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '频繁吞咽', NULL, NULL, '频繁吞咽', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19147, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痰鸣音', NULL, NULL, '痰鸣音', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19148, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽哽噎感', NULL, NULL, '吞咽哽噎感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19149, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽不畅', NULL, NULL, '吞咽不畅', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19150, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽痛', NULL, NULL, '吞咽痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19151, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽异物感', NULL, NULL, '吞咽异物感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19152, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽不适', NULL, NULL, '吞咽不适', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19153, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽部僵硬感', NULL, NULL, '咽部僵硬感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19154, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽胀痛', NULL, NULL, '咽胀痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19155, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '失音', NULL, NULL, '失音', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19156, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉异物感', NULL, NULL, '咽喉异物感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19157, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咽喉部刺痛', NULL, NULL, '咽喉部刺痛', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19158, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽后恶心', NULL, NULL, '吞咽后恶心', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19159, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '吞咽后呕吐', NULL, NULL, '吞咽后呕吐', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19160, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喉部梗阻感', NULL, NULL, '喉部梗阻感', '', '', '', '耳鼻咽喉头颈外科', '', '33', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19161, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸骨疼痛', NULL, NULL, '胸骨疼痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19162, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸痛频发', NULL, NULL, '胸痛频发', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19163, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸部不适感', NULL, NULL, '胸部不适感', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19164, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸痛硝酸甘油不能缓解', NULL, NULL, '胸痛硝酸甘油不能缓解', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19165, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心绞痛', NULL, NULL, '心绞痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19166, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心前区疼痛', NULL, NULL, '心前区疼痛', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19167, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心前区灼热感', NULL, NULL, '心前区灼热感', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19168, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '心脏停跳感', NULL, NULL, '心脏停跳感', '', '', '', '心血管内科', '', '43', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19169, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '气短', NULL, NULL, '气短', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19170, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '气喘', NULL, NULL, '气喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19171, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸急促', NULL, NULL, '呼吸急促', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19172, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呼吸不畅', NULL, NULL, '呼吸不畅', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19173, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易憋醒', NULL, NULL, '易憋醒', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19174, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜间憋醒', NULL, NULL, '夜间憋醒', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19175, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '张口呼吸', NULL, NULL, '张口呼吸', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19176, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸胀', NULL, NULL, '胸胀', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19177, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晨起咳嗽', NULL, NULL, '晨起咳嗽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19178, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '犬吠样咳嗽', NULL, NULL, '犬吠样咳嗽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19179, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '干咳', NULL, NULL, '干咳', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19180, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呛咳', NULL, NULL, '呛咳', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19181, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳嗽无力', NULL, NULL, '咳嗽无力', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19182, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜间咳嗽', NULL, NULL, '夜间咳嗽', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19183, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳喘', NULL, NULL, '咳喘', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19184, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳痰', NULL, NULL, '咳痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19185, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳痰困难', NULL, NULL, '咳痰困难', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19186, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白痰', NULL, NULL, '白痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19187, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泡沫痰', NULL, NULL, '泡沫痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19188, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄色脓性痰', NULL, NULL, '黄色脓性痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19189, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绿色痰', NULL, NULL, '绿色痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19190, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '灰色痰', NULL, NULL, '灰色痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19191, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '血丝痰', NULL, NULL, '血丝痰', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19192, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '痰中带血', NULL, NULL, '痰中带血', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19193, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胸廓畸形', NULL, NULL, '胸廓畸形', '', '', '', '呼吸内科', '', '48', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19194, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房不对称', NULL, NULL, '乳房不对称', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19195, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房不适', NULL, NULL, '乳房不适', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19196, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '男性乳房发育', NULL, NULL, '男性乳房发育', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19197, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房橘皮样变', NULL, NULL, '乳房橘皮样变', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19198, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房皮肤溃疡', NULL, NULL, '乳房皮肤溃疡', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19199, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房疼痛', NULL, NULL, '乳房疼痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19200, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房周期性疼痛', NULL, NULL, '乳房周期性疼痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19201, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房下垂', NULL, NULL, '乳房下垂', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19202, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房隐痛', NULL, NULL, '乳房隐痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19203, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房胀痛', NULL, NULL, '乳房胀痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19204, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房肿胀', NULL, NULL, '乳房肿胀', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19205, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房坠痛', NULL, NULL, '乳房坠痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19206, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头糜烂', NULL, NULL, '乳头糜烂', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19207, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头内陷', NULL, NULL, '乳头内陷', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19208, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头湿疹', NULL, NULL, '乳头湿疹', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19209, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头痛', NULL, NULL, '乳头痛', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19210, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头烧灼感', NULL, NULL, '乳头烧灼感', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19211, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头瘙痒', NULL, NULL, '乳头瘙痒', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19212, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳头溢血', NULL, NULL, '乳头溢血', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19213, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳腺结节', NULL, NULL, '乳腺结节', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19214, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳腺异常泌乳', NULL, NULL, '乳腺异常泌乳', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19215, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '溢乳', NULL, NULL, '溢乳', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19216, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳腺肿块', NULL, NULL, '乳腺肿块', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19217, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳晕包块', NULL, NULL, '乳晕包块', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19218, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房无痛性肿块', NULL, NULL, '乳房无痛性肿块', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19219, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳汁淤积', NULL, NULL, '乳汁淤积', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19220, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房肿块经前变大', NULL, NULL, '乳房肿块经前变大', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19221, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '乳房肿块经前变硬', NULL, NULL, '乳房肿块经前变硬', '', '', '', '乳腺疾病门诊', '', '901', '1', '', '注意休息，定期检查乳腺或及时就诊，饮食要以清淡、营养为主。', NULL);
INSERT INTO `tran_disease_dept` VALUES (19222, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手指冻伤', NULL, NULL, '手指冻伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19223, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手麻', NULL, NULL, '手麻', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19224, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手外伤', NULL, NULL, '手外伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19225, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手震颤', NULL, NULL, '手震颤', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19226, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '抓握无力', NULL, NULL, '抓握无力', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19227, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '持物无力', NULL, NULL, '持物无力', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19228, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '持物不稳', NULL, NULL, '持物不稳', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19229, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '掌指关节肿痛', NULL, NULL, '掌指关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19230, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '耸肩无力', NULL, NULL, '耸肩无力', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19231, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节疼痛', NULL, NULL, '肩关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19232, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节脱位', NULL, NULL, '肩关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19233, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节肿胀', NULL, NULL, '肩关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19234, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩畏寒', NULL, NULL, '肩畏寒', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19235, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '双手震颤', NULL, NULL, '双手震颤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19236, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '双手肿胀', NULL, NULL, '双手肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19237, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手部搓丸样动作', NULL, NULL, '手部搓丸样动作', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19238, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手指感觉异常', NULL, NULL, '手指感觉异常', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19239, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节活动疼痛', NULL, NULL, '腕关节活动疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19240, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节畸形', NULL, NULL, '腕关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19241, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节扭伤', NULL, NULL, '腕关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19242, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节疼痛', NULL, NULL, '腕关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19243, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节肿胀', NULL, NULL, '腕关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19244, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢肿胀', NULL, NULL, '上肢肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19245, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢无力', NULL, NULL, '上肢无力', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19246, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢麻木', NULL, NULL, '上肢麻木', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19247, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手关节肿痛', NULL, NULL, '手关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19248, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '垂腕畸形', NULL, NULL, '垂腕畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19249, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手部活动困难', NULL, NULL, '手部活动困难', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19250, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手指功能障碍', NULL, NULL, '手指功能障碍', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19251, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手部皮肤瘙痒', NULL, NULL, '手部皮肤瘙痒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19252, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手部皮肤裂口', NULL, NULL, '手部皮肤裂口', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19253, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节挫伤', NULL, NULL, '肩关节挫伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19254, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节活动疼痛', NULL, NULL, '肩关节活动疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19255, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节畸形', NULL, NULL, '肩关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19256, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肩关节酸痛', NULL, NULL, '肩关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19257, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢畸形', NULL, NULL, '上肢畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19258, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢疼痛', NULL, NULL, '上肢疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19259, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上肢缩短', NULL, NULL, '上肢缩短', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19260, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节畸形', NULL, NULL, '肘关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19261, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节疼痛', NULL, NULL, '肘关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19262, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节肿胀', NULL, NULL, '肘关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19263, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节酸痛', NULL, NULL, '肘关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19264, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肘关节弹响', NULL, NULL, '肘关节弹响', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19265, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腋窝多汗', NULL, NULL, '腋窝多汗', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19266, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节活动不适', NULL, NULL, '腕关节活动不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19267, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节肿痛', NULL, NULL, '腕关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19268, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕关节酸痛', NULL, NULL, '腕关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19269, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕部疼痛', NULL, NULL, '腕部疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19270, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腕部肿胀', NULL, NULL, '腕部肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19271, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锁骨疼痛', NULL, NULL, '锁骨疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19272, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锁骨畸形', NULL, NULL, '锁骨畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19273, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '锁骨肿胀', NULL, NULL, '锁骨肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19274, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '双足内翻', NULL, NULL, '双足内翻', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19275, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腿外伤', NULL, NULL, '腿外伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19276, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节疼痛', NULL, NULL, '踝关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19277, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节肿痛', NULL, NULL, '踝关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19278, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节挫伤', NULL, NULL, '膝关节挫伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19279, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节扭伤', NULL, NULL, '膝关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19280, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节强直', NULL, NULL, '膝关节强直', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19281, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节水肿', NULL, NULL, '膝关节水肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19282, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节酸痛', NULL, NULL, '膝关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19283, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节疼痛', NULL, NULL, '膝关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19284, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节脱位', NULL, NULL, '膝关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19285, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节肿痛', NULL, NULL, '膝关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19286, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节肿胀', NULL, NULL, '膝关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19287, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢畸形', NULL, NULL, '下肢畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19288, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢缩短', NULL, NULL, '下肢缩短', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19289, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '足疼痛', NULL, NULL, '足疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19290, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '足部畸形', NULL, NULL, '足部畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19291, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '行走不稳', NULL, NULL, '行走不稳', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19292, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '慌张步态', NULL, NULL, '慌张步态', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19293, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '扶物行走', NULL, NULL, '扶物行走', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19294, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '跟腱疼痛', NULL, NULL, '跟腱疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19295, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '跟腱肿胀', NULL, NULL, '跟腱肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19296, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节酸痛', NULL, NULL, '踝关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19297, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝部皮下淤血', NULL, NULL, '踝部皮下淤血', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19298, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节扭伤', NULL, NULL, '踝关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19299, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节畸形', NULL, NULL, '踝关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19300, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节瘀血', NULL, NULL, '踝关节瘀血', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19301, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节弹响', NULL, NULL, '踝关节弹响', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19302, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节水肿', NULL, NULL, '踝关节水肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19303, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '踝关节脱位', NULL, NULL, '踝关节脱位', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19304, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节弹响', NULL, NULL, '膝关节弹响', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19305, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节不适', NULL, NULL, '膝关节不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19306, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节屈伸活动受限', NULL, NULL, '膝关节屈伸活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19307, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节畸形', NULL, NULL, '膝关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19308, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膝关节酸胀', NULL, NULL, '膝关节酸胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19309, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下肢静脉曲张', NULL, NULL, '下肢静脉曲张', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19310, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小腿静脉曲张', NULL, NULL, '小腿静脉曲张', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19311, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小腿畸形', NULL, NULL, '小腿畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19312, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋关节活动不适', NULL, NULL, '髋关节活动不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19313, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '左髋部活动受限', NULL, NULL, '左髋部活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19314, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋关节肿胀', NULL, NULL, '髋关节肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19315, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '髋部不适', NULL, NULL, '髋部不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19316, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '甲癣', NULL, NULL, '甲癣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19317, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '四肢抽搐', NULL, NULL, '四肢抽搐', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19318, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体外伤', NULL, NULL, '肢体外伤', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19319, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '手脚无力', NULL, NULL, '手脚无力', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19320, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体畸形', NULL, NULL, '肢体畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19321, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体灼热感', NULL, NULL, '肢体灼热感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19322, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体蚁走感', NULL, NULL, '肢体蚁走感', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19323, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肢体对称性感觉异常', NULL, NULL, '肢体对称性感觉异常', '', '', '', '神经内科', '', '42', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19324, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐周疼痛', NULL, NULL, '脐周疼痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19325, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '剑突下疼痛', NULL, NULL, '剑突下疼痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19326, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部饱胀感', NULL, NULL, '腹部饱胀感', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19327, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胃胀', NULL, NULL, '胃胀', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19328, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黑便', NULL, NULL, '黑便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19329, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '右下腹痛', NULL, NULL, '右下腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19330, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '打嗝', NULL, NULL, '打嗝', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19331, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多食', NULL, NULL, '多食', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19332, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '厌食', NULL, NULL, '厌食', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19333, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '厌油', NULL, NULL, '厌油', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19334, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食欲减退', NULL, NULL, '食欲减退', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19335, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排气增多', NULL, NULL, '排气增多', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19336, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '停止排气排便', NULL, NULL, '停止排气排便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19337, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹鸣', NULL, NULL, '腹鸣', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19338, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下腹坠痛', NULL, NULL, '下腹坠痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19339, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹部包块', NULL, NULL, '腹部包块', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19340, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '恶心干呕', NULL, NULL, '恶心干呕', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19341, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便次数增多', NULL, NULL, '排便次数增多', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19342, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便不尽感', NULL, NULL, '排便不尽感', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19343, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大便变细', NULL, NULL, '大便变细', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19344, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大小便失禁', NULL, NULL, '大小便失禁', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19345, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排气排便减少', NULL, NULL, '排气排便减少', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19346, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大便带血', NULL, NULL, '大便带血', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19347, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大便干燥', NULL, NULL, '大便干燥', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19348, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大便异常', NULL, NULL, '大便异常', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19349, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '大小便频繁', NULL, NULL, '大小便频繁', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19350, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便费力', NULL, NULL, '排便费力', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19351, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便次数减少', NULL, NULL, '排便次数减少', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19352, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食欲不振', NULL, NULL, '食欲不振', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19353, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '消化不良', NULL, NULL, '消化不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19354, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '食欲亢进', NULL, NULL, '食欲亢进', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19355, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '胎动过频', NULL, NULL, '胎动过频', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19356, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呕吐咖啡色液体', NULL, NULL, '呕吐咖啡色液体', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19357, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '呕吐宿食', NULL, NULL, '呕吐宿食', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19358, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晨起呕吐', NULL, NULL, '晨起呕吐', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19359, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '烧心', NULL, NULL, '烧心', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19360, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '辅助排便', NULL, NULL, '辅助排便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19361, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便急迫感', NULL, NULL, '排便急迫感', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19362, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '上腹部饥饿痛', NULL, NULL, '上腹部饥饿痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19363, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '右上腹痛', NULL, NULL, '右上腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19364, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下腹隐痛', NULL, NULL, '下腹隐痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19365, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下腹坠胀', NULL, NULL, '下腹坠胀', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19366, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '产后下腹坠痛', NULL, NULL, '产后下腹坠痛', '', '', '', '产科', '', '61', '1', '', '', NULL);
INSERT INTO `tran_disease_dept` VALUES (19367, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '柏油样便', NULL, NULL, '柏油样便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19368, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绿色稀便', NULL, NULL, '绿色稀便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19369, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '水样便', NULL, NULL, '水样便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19370, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄色稀便', NULL, NULL, '黄色稀便', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19371, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便阻塞感', NULL, NULL, '排便阻塞感', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19372, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹股沟包块', NULL, NULL, '腹股沟包块', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19373, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肝区痛', NULL, NULL, '肝区痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19374, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肾区疼痛', NULL, NULL, '肾区疼痛', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19375, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐部包块', NULL, NULL, '脐部包块', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19376, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐部肿物突出', NULL, NULL, '脐部肿物突出', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19377, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脐部流脓', NULL, NULL, '脐部流脓', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19378, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹壁水肿', NULL, NULL, '腹壁水肿', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19379, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹壁疼痛', NULL, NULL, '腹壁疼痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19380, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腹壁肿块', NULL, NULL, '腹壁肿块', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19381, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '经前腹痛', NULL, NULL, '经前腹痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19382, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '左下腹痛', NULL, NULL, '左下腹痛', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19383, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '月经失调', NULL, NULL, '月经失调', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19384, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白带异常', NULL, NULL, '白带异常', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19385, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白带异味', NULL, NULL, '白带异味', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19386, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道干涩', NULL, NULL, '阴道干涩', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19387, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '停经', NULL, NULL, '停经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19388, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道出血', NULL, NULL, '阴道出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19389, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道流液', NULL, NULL, '阴道流液', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19390, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道疼痛', NULL, NULL, '阴道疼痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19391, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白带带血', NULL, NULL, '白带带血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19392, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道血性分泌物', NULL, NULL, '阴道血性分泌物', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19393, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '豆腐渣样白带', NULL, NULL, '豆腐渣样白带', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19394, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白带发黄', NULL, NULL, '白带发黄', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19395, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '见红', NULL, NULL, '见红', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19396, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '经期缩短', NULL, NULL, '经期缩短', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19397, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '经期推迟', NULL, NULL, '经期推迟', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19398, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '月经提前', NULL, NULL, '月经提前', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19399, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绝经', NULL, NULL, '绝经', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19400, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '绝经后阴道出血', NULL, NULL, '绝经后阴道出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19401, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脓性白带', NULL, NULL, '脓性白带', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19402, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '水样白带', NULL, NULL, '水样白带', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19403, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '接触性阴道出血', NULL, NULL, '接触性阴道出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19404, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道脱垂', NULL, NULL, '阴道脱垂', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19405, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道肿物脱出', NULL, NULL, '阴道肿物脱出', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19406, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白带增多', NULL, NULL, '白带增多', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19407, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道瘙痒', NULL, NULL, '阴道瘙痒', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19408, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴白斑', NULL, NULL, '外阴白斑', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19409, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴肿块', NULL, NULL, '外阴肿块', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19410, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴发红', NULL, NULL, '外阴发红', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19411, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴红肿', NULL, NULL, '外阴红肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19412, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴溃烂', NULL, NULL, '外阴溃烂', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19413, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴溃疡', NULL, NULL, '外阴溃疡', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19414, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴皮疹', NULL, NULL, '外阴皮疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19415, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴瘙痒', NULL, NULL, '外阴瘙痒', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19416, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴疼痛', NULL, NULL, '外阴疼痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19417, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴肿物', NULL, NULL, '外阴肿物', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19418, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴肿胀', NULL, NULL, '外阴肿胀', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19419, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴道点滴状出血', NULL, NULL, '阴道点滴状出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19420, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '不规则阴道出血', NULL, NULL, '不规则阴道出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19421, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴烧灼感', NULL, NULL, '外阴烧灼感', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19422, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外阴出血', NULL, NULL, '外阴出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19423, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小阴唇疱疹', NULL, NULL, '小阴唇疱疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19424, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '勃起功能障碍', NULL, NULL, '勃起功能障碍', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19425, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '射精疼痛', NULL, NULL, '射精疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19426, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阳痿', NULL, NULL, '阳痿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19427, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '遗精', NULL, NULL, '遗精', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19428, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头红肿', NULL, NULL, '龟头红肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19429, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头皮疹', NULL, NULL, '龟头皮疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19430, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头破损', NULL, NULL, '龟头破损', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19431, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头丘疹', NULL, NULL, '龟头丘疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19432, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '包皮红肿', NULL, NULL, '包皮红肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19433, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎痛', NULL, NULL, '阴茎痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19434, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎肿胀', NULL, NULL, '阴茎肿胀', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19435, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睾丸痛', NULL, NULL, '睾丸痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19436, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '睾丸肿大', NULL, NULL, '睾丸肿大', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19437, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊潮湿', NULL, NULL, '阴囊潮湿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19438, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊瘙痒', NULL, NULL, '阴囊瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19439, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊痛', NULL, NULL, '阴囊痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19440, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊肿块', NULL, NULL, '阴囊肿块', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19441, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊坠痛', NULL, NULL, '阴囊坠痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19442, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊坠胀感', NULL, NULL, '阴囊坠胀感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19443, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '射精困难', NULL, NULL, '射精困难', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19444, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '频繁遗精', NULL, NULL, '频繁遗精', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19445, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头瘙痒', NULL, NULL, '龟头瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19446, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头疼痛', NULL, NULL, '龟头疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19447, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头不能外露', NULL, NULL, '龟头不能外露', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19448, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头水疱', NULL, NULL, '龟头水疱', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19449, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头疱疹', NULL, NULL, '龟头疱疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19450, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头烧灼感', NULL, NULL, '龟头烧灼感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19451, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '龟头脓性渗出物', NULL, NULL, '龟头脓性渗出物', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19452, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '包皮疼痛', NULL, NULL, '包皮疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19453, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '包皮瘙痒', NULL, NULL, '包皮瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19454, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎烧灼感', NULL, NULL, '阴茎烧灼感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19455, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎疱疹', NULL, NULL, '阴茎疱疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19456, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴茎瘙痒', NULL, NULL, '阴茎瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19457, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊胀痛', NULL, NULL, '阴囊胀痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19458, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊无痛性肿大', NULL, NULL, '阴囊无痛性肿大', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19459, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊渗出', NULL, NULL, '阴囊渗出', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19460, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊牵拉感', NULL, NULL, '阴囊牵拉感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19461, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊疱疹', NULL, NULL, '阴囊疱疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19462, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊皮肤干燥', NULL, NULL, '阴囊皮肤干燥', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19463, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊皮肤糜烂', NULL, NULL, '阴囊皮肤糜烂', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19464, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '阴囊皮肤鳞屑', NULL, NULL, '阴囊皮肤鳞屑', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19465, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿痛', NULL, NULL, '尿痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19466, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿红', NULL, NULL, '尿红', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19467, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿黄', NULL, NULL, '尿黄', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19468, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿等待', NULL, NULL, '尿等待', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19469, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿液混浊', NULL, NULL, '尿液混浊', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19470, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿不适', NULL, NULL, '排尿不适', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19471, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '泡沫尿', NULL, NULL, '泡沫尿', '', '', '', '肾内科', '', '47', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19472, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿流变细', NULL, NULL, '尿流变细', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19473, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道口瘙痒', NULL, NULL, '尿道口瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19474, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿不尽', NULL, NULL, '尿不尽', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19475, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道出血', NULL, NULL, '尿道出血', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19476, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道分泌物增多', NULL, NULL, '尿道分泌物增多', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19477, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道溢脓', NULL, NULL, '尿道溢脓', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19478, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '咳嗽后有尿液流出', NULL, NULL, '咳嗽后有尿液流出', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19479, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道损伤', NULL, NULL, '尿道损伤', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19480, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道口红肿', NULL, NULL, '尿道口红肿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19481, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小便灼热感', NULL, NULL, '小便灼热感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19482, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道口滴血', NULL, NULL, '尿道口滴血', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19483, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿流中断', NULL, NULL, '尿流中断', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19484, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿无力', NULL, NULL, '尿无力', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19485, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿色深', NULL, NULL, '尿色深', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19486, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '洗肉水样尿', NULL, NULL, '洗肉水样尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19487, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '淘米水样尿', NULL, NULL, '淘米水样尿', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19488, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿不畅', NULL, NULL, '排尿不畅', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19489, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿不出', NULL, NULL, '尿不出', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19490, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小便刺痛', NULL, NULL, '小便刺痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19491, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小便淋漓', NULL, NULL, '小便淋漓', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19492, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小便异常', NULL, NULL, '小便异常', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19493, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '小便隐痛', NULL, NULL, '小便隐痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19494, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜尿增多', NULL, NULL, '夜尿增多', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19495, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道刺痛', NULL, NULL, '尿道刺痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19496, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道抽痛', NULL, NULL, '尿道抽痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19497, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道溢出白色分泌物', NULL, NULL, '尿道溢出白色分泌物', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19498, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '尿道疼痛', NULL, NULL, '尿道疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19499, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排尿终末下腹部疼痛', NULL, NULL, '排尿终末下腹部疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19500, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膀胱区疼痛', NULL, NULL, '膀胱区疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19501, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '膀胱区胀痛', NULL, NULL, '膀胱区胀痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19502, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部发红', NULL, NULL, '会阴部发红', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19503, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴红肿', NULL, NULL, '会阴红肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19504, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴痒', NULL, NULL, '会阴痒', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19505, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部麻木', NULL, NULL, '会阴部麻木', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19506, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部刺痛', NULL, NULL, '会阴部刺痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19507, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部隐痛', NULL, NULL, '会阴部隐痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19508, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部坠胀痛', NULL, NULL, '会阴部坠胀痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19509, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部坠胀感', NULL, NULL, '会阴部坠胀感', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19510, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴水肿', NULL, NULL, '会阴水肿', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19511, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴疱疹', NULL, NULL, '会阴疱疹', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19512, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部不适', NULL, NULL, '会阴部不适', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19513, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '会阴部溃疡', NULL, NULL, '会阴部溃疡', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19514, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性交出血', NULL, NULL, '性交出血', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19515, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性交疼痛', NULL, NULL, '性交疼痛', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19516, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性交后加重', NULL, NULL, '性交后加重', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19517, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性欲减退', NULL, NULL, '性欲减退', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19518, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性欲低下', NULL, NULL, '性欲低下', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19519, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外生殖器出血', NULL, NULL, '外生殖器出血', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19520, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '外生殖器瘙痒', NULL, NULL, '外生殖器瘙痒', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19521, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器丘疱疹', NULL, NULL, '生殖器丘疱疹', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19522, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器小水疱', NULL, NULL, '生殖器小水疱', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19523, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器烧灼感', NULL, NULL, '生殖器烧灼感', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19524, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器疼痛', NULL, NULL, '生殖器疼痛', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19525, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '生殖器红斑', NULL, NULL, '生殖器红斑', '', '', '', '泌尿外科', '', '62', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19526, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '性交困难', NULL, NULL, '性交困难', '', '', '', '妇科', '', '61', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19527, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背僵硬', NULL, NULL, '腰背僵硬', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19528, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部烧灼样疼痛', NULL, NULL, '腰背部烧灼样疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19529, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部压迫感', NULL, NULL, '腰背部压迫感', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19530, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部后凸畸形', NULL, NULL, '腰背部后凸畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19531, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部沉重', NULL, NULL, '腰背部沉重', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19532, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部活动受限', NULL, NULL, '腰背部活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19533, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部畸形', NULL, NULL, '腰背部畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19534, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部胀痛', NULL, NULL, '腰背部胀痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19535, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部酸痛', NULL, NULL, '腰背部酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19536, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部酸胀', NULL, NULL, '腰背部酸胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19537, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部麻木', NULL, NULL, '腰背部麻木', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19538, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰背部麻痛', NULL, NULL, '腰背部麻痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19539, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '驼背', NULL, NULL, '驼背', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19540, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部不适', NULL, NULL, '背部不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19541, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部肿胀', NULL, NULL, '背部肿胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19542, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '背部酸痛', NULL, NULL, '背部酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19543, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱侧凸', NULL, NULL, '脊柱侧凸', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19544, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱后凸', NULL, NULL, '脊柱后凸', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19545, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱活动受限', NULL, NULL, '脊柱活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19546, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱畸形', NULL, NULL, '脊柱畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19547, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脊柱疼痛', NULL, NULL, '脊柱疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19548, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '晨起脊柱关节僵直', NULL, NULL, '晨起脊柱关节僵直', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19549, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部隐痛', NULL, NULL, '腰部隐痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19550, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部麻木', NULL, NULL, '腰部麻木', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19551, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部僵直感', NULL, NULL, '腰部僵直感', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19552, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部叩击痛', NULL, NULL, '腰部叩击痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19553, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '下腰部疼痛', NULL, NULL, '下腰部疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19554, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰骶部疼痛', NULL, NULL, '腰骶部疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19555, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰骶部酸胀', NULL, NULL, '腰骶部酸胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19556, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰胯疼痛', NULL, NULL, '腰胯疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19557, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '反复腰痛', NULL, NULL, '反复腰痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19558, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部酸胀', NULL, NULL, '腰部酸胀', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19559, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '弯腰受限', NULL, NULL, '弯腰受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19560, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部活动受限', NULL, NULL, '腰部活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19561, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部不适', NULL, NULL, '腰部不适', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19562, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部坠胀感', NULL, NULL, '腰部坠胀感', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19563, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰部肿块', NULL, NULL, '腰部肿块', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19564, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰腿痛', NULL, NULL, '腰腿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19565, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '腰腿酸痛', NULL, NULL, '腰腿酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19566, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部疼痛', NULL, NULL, '臀部疼痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19567, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部斑丘疹', NULL, NULL, '臀部斑丘疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19568, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部疱疹', NULL, NULL, '臀部疱疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19569, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部淤斑', NULL, NULL, '臀部淤斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19570, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部瘀点', NULL, NULL, '臀部瘀点', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19571, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部皮损', NULL, NULL, '臀部皮损', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19572, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '臀部红斑', NULL, NULL, '臀部红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19573, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '一侧臀部疼痛', NULL, NULL, '一侧臀部疼痛', '', '', '', '普外科', '', '51', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19574, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门瘙痒', NULL, NULL, '肛门瘙痒', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19575, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门疼痛', NULL, NULL, '肛门疼痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19576, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门肿痛', NULL, NULL, '肛门肿痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19577, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周红肿', NULL, NULL, '肛周红肿', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19578, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '脱肛', NULL, NULL, '脱肛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19579, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便肛门疼痛', NULL, NULL, '排便肛门疼痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19580, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '便后烧灼样痛', NULL, NULL, '便后烧灼样痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19581, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门出血', NULL, NULL, '肛门出血', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19582, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '排便后滴血', NULL, NULL, '排便后滴血', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19583, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '便后出血', NULL, NULL, '便后出血', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19584, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门失禁', NULL, NULL, '肛门失禁', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19585, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门灼痛', NULL, NULL, '肛门灼痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19586, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门肿胀', NULL, NULL, '肛门肿胀', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19587, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门阻塞感', NULL, NULL, '肛门阻塞感', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19588, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门坠胀感', NULL, NULL, '肛门坠胀感', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19589, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门坠胀痛', NULL, NULL, '肛门坠胀痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19590, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门潮湿', NULL, NULL, '肛门潮湿', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19591, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周肿块', NULL, NULL, '肛周肿块', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19592, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周湿疹', NULL, NULL, '肛周湿疹', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19593, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周流脓', NULL, NULL, '肛周流脓', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19594, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门异物感', NULL, NULL, '肛门异物感', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19595, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门肿物脱出', NULL, NULL, '肛门肿物脱出', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19596, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门胀痛', NULL, NULL, '肛门胀痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19597, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门跳痛', NULL, NULL, '肛门跳痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19598, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛门不适感', NULL, NULL, '肛门不适感', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19599, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周流液', NULL, NULL, '肛周流液', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19600, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周溃疡', NULL, NULL, '肛周溃疡', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19601, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周疼痛', NULL, NULL, '肛周疼痛', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19602, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周脱皮', NULL, NULL, '肛周脱皮', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19603, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肛周赘生物', NULL, NULL, '肛周赘生物', '', '', '', '肛肠外科', '', '86', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19604, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤发红', NULL, NULL, '皮肤发红', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19605, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤干燥', NULL, NULL, '皮肤干燥', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19606, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤瘙痒', NULL, NULL, '皮肤瘙痒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19607, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '白斑', NULL, NULL, '白斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19608, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤黏膜出血', NULL, NULL, '皮肤黏膜出血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19609, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤粗糙', NULL, NULL, '皮肤粗糙', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19610, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '瘢痕瘙痒', NULL, NULL, '瘢痕瘙痒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19611, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤过敏', NULL, NULL, '皮肤过敏', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19612, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤红肿', NULL, NULL, '皮肤红肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19613, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤结节', NULL, NULL, '皮肤结节', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19614, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤水肿', NULL, NULL, '皮肤水肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19615, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤疼痛', NULL, NULL, '皮肤疼痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19616, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤发热', NULL, NULL, '皮肤发热', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19617, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤擦伤', NULL, NULL, '皮肤擦伤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19618, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤多毛', NULL, NULL, '皮肤多毛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19619, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤发白', NULL, NULL, '皮肤发白', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19620, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤脱皮', NULL, NULL, '皮肤脱皮', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19621, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤萎缩', NULL, NULL, '皮肤萎缩', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19622, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤异常', NULL, NULL, '皮肤异常', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤变薄', NULL, NULL, '皮肤变薄', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤硬化', NULL, NULL, '皮肤硬化', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19625, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤油腻', NULL, NULL, '皮肤油腻', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19626, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤花斑', NULL, NULL, '皮肤花斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19627, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤皲裂', NULL, NULL, '皮肤皲裂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19628, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤疱疹', NULL, NULL, '皮肤疱疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19629, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮疹瘙痒', NULL, NULL, '皮疹瘙痒', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19630, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '红色皮疹', NULL, NULL, '红色皮疹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19631, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤青紫', NULL, NULL, '皮肤青紫', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19632, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤色素沉着', NULL, NULL, '皮肤色素沉着', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19633, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤烧灼痛', NULL, NULL, '皮肤烧灼痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19634, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤少毛', NULL, NULL, '皮肤少毛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19635, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤烫伤', NULL, NULL, '皮肤烫伤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19636, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤烧灼感', NULL, NULL, '皮肤烧灼感', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19637, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '日晒伤', NULL, NULL, '日晒伤', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19638, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '黄褐色斑', NULL, NULL, '黄褐色斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19639, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '鳞屑', NULL, NULL, '鳞屑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19640, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤瘀斑', NULL, NULL, '皮肤瘀斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19641, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤瘀点', NULL, NULL, '皮肤瘀点', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19642, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤遗留棕色斑', NULL, NULL, '皮肤遗留棕色斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19643, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮损疼痛', NULL, NULL, '皮损疼痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19644, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤出血斑', NULL, NULL, '皮肤出血斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19645, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤发紧', NULL, NULL, '皮肤发紧', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19646, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤发黄', NULL, NULL, '皮肤发黄', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19647, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤麻木', NULL, NULL, '皮肤麻木', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19648, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤囊肿', NULL, NULL, '皮肤囊肿', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19649, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤坏死', NULL, NULL, '皮肤坏死', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19650, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤坚硬', NULL, NULL, '皮肤坚硬', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19651, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤增厚', NULL, NULL, '皮肤增厚', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19652, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤抓痕', NULL, NULL, '皮肤抓痕', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19653, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤损害', NULL, NULL, '皮肤损害', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19654, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤无弹性', NULL, NULL, '皮肤无弹性', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19655, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤水痘', NULL, NULL, '皮肤水痘', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19656, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤溃烂', NULL, NULL, '皮肤溃烂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19657, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤溃疡', NULL, NULL, '皮肤溃疡', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19658, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤灰暗', NULL, NULL, '皮肤灰暗', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19659, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤痣', NULL, NULL, '皮肤痣', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19660, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤瘢痕', NULL, NULL, '皮肤瘢痕', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19661, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '充血性红斑', NULL, NULL, '充血性红斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19662, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤皱褶', NULL, NULL, '皮肤皱褶', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19663, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤破损', NULL, NULL, '皮肤破损', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19664, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤糜烂', NULL, NULL, '皮肤糜烂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19665, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤紫斑', NULL, NULL, '皮肤紫斑', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19666, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤紫纹', NULL, NULL, '皮肤紫纹', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19667, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤紫黑色', NULL, NULL, '皮肤紫黑色', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19668, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤病变', NULL, NULL, '皮肤病变', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19669, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤红线', NULL, NULL, '皮肤红线', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19670, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤结痂', NULL, NULL, '皮肤结痂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19671, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤肿块', NULL, NULL, '皮肤肿块', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19672, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤血痂', NULL, NULL, '皮肤血痂', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19673, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤蚁爬感', NULL, NULL, '皮肤蚁爬感', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19674, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤角化', NULL, NULL, '皮肤角化', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19675, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤触痛', NULL, NULL, '皮肤触痛', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19676, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤赘生物', NULL, NULL, '皮肤赘生物', '', '', '', '皮肤科', '', '23', '1', '', '建议注意休息', NULL);
INSERT INTO `tran_disease_dept` VALUES (19677, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '低热', NULL, NULL, '低热', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19678, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '午后低热', NULL, NULL, '午后低热', '', '', '', '肝病感染内科', '', '31', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19679, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身乏力', NULL, NULL, '全身乏力', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19680, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '肥胖', NULL, NULL, '肥胖', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19681, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '寒颤', NULL, NULL, '寒颤', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19682, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身酸痛', NULL, NULL, '全身酸痛', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19683, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '畏寒', NULL, NULL, '畏寒', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19684, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多汗', NULL, NULL, '多汗', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19685, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '濒死感', NULL, NULL, '濒死感', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19686, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '怕热', NULL, NULL, '怕热', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19687, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '发冷', NULL, NULL, '发冷', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19688, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '虚汗', NULL, NULL, '虚汗', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19689, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '潮热', NULL, NULL, '潮热', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19690, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易疲劳', NULL, NULL, '易疲劳', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19691, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身酸胀', NULL, NULL, '全身酸胀', '', '', '', '普内科', '', '49', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19692, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '体重减轻', NULL, NULL, '体重减轻', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19693, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '喜冷怕热', NULL, NULL, '喜冷怕热', '', '', '', '内分泌科', '', '44', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19694, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '营养不良', NULL, NULL, '营养不良', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19695, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多关节肿痛', NULL, NULL, '多关节肿痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19696, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '贫血', NULL, NULL, '贫血', '', '', '', '血液内科', '', '41', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19697, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '疲乏', NULL, NULL, '疲乏', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19698, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '皮肤巩膜黄染', NULL, NULL, '皮肤巩膜黄染', '', '', '', '消化内科', '', '46', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19699, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '全身大汗淋漓', NULL, NULL, '全身大汗淋漓', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19700, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '出汗减少', NULL, NULL, '出汗减少', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19701, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '出汗异常', NULL, NULL, '出汗异常', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19702, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '夜间盗汗', NULL, NULL, '夜间盗汗', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19703, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '易疲乏', NULL, NULL, '易疲乏', '', '', '', '全科医学', '', '58', '1', '', '建议注意休息，避免劳累，清淡饮食，避免烟酒', NULL);
INSERT INTO `tran_disease_dept` VALUES (19704, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '滑囊疼痛', NULL, NULL, '滑囊疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19705, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节发热', NULL, NULL, '关节发热', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19706, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节弹响', NULL, NULL, '关节弹响', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19707, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节扭伤', NULL, NULL, '关节扭伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19708, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节损伤', NULL, NULL, '关节损伤', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19709, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节水肿', NULL, NULL, '关节水肿', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19710, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节活动不灵活', NULL, NULL, '关节活动不灵活', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19711, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节活动受限', NULL, NULL, '关节活动受限', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19712, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节畸形', NULL, NULL, '关节畸形', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19713, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节疼痛', NULL, NULL, '关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19714, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '多发性关节疼痛', NULL, NULL, '多发性关节疼痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);
INSERT INTO `tran_disease_dept` VALUES (19715, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '邵逸夫医院', '关节酸痛', NULL, NULL, '关节酸痛', '', '', '', '骨科', '', '54', '1', '', '建议注意休息，避免劳累', NULL);

SET FOREIGN_KEY_CHECKS = 1;
