drop database if exists `sys-triage`;

drop database if exists `sys-icss`;
CREATE DATABASE  `sys-icss` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-icss`;

/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50723
Source Host           : 192.168.2.236:3306
Source Database       : sys-icss

Target Server Type    : MYSQL
Target Server Version : 50723
File Encoding         : 65001

Date: 2019-06-21 16:38:49
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for icss_buried_some_statistical
-- ----------------------------
DROP TABLE IF EXISTS `icss_buried_some_statistical`;
CREATE TABLE `icss_buried_some_statistical` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '病人id',
  `inquiry_code` varchar(255) DEFAULT NULL COMMENT '就诊号',
  `label_id` int(10) DEFAULT NULL COMMENT '标签ID',
  `label_name` varchar(100) DEFAULT NULL COMMENT '标签名',
  `operation_type` varchar(100) DEFAULT NULL COMMENT '操作类型',
  `operation_num` int(5) DEFAULT NULL COMMENT '操作次数',
  `status` int(5) DEFAULT '0' COMMENT '是否存在标签库（0:默认有，1：无）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='数据埋点统计表';

-- ----------------------------
-- Records of icss_buried_some_statistical
-- ----------------------------

-- ----------------------------
-- Table structure for icss_dept_vital
-- ----------------------------
DROP TABLE IF EXISTS `icss_dept_vital`;
CREATE TABLE `icss_dept_vital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `dept_id` bigint(20) NOT NULL COMMENT '科室id',
  `vital_id` bigint(20) NOT NULL COMMENT '查体id(question_id)',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1064 DEFAULT CHARSET=utf8 COMMENT='科室查体对应表';

-- ----------------------------
-- Records of icss_dept_vital
-- ----------------------------
INSERT INTO `icss_dept_vital` VALUES ('727', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '40', '1', '五官科-体温');
INSERT INTO `icss_dept_vital` VALUES ('728', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '278', '2', '五官科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('729', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '279', '3', '五官科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('730', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '28', '4', '五官科-血压');
INSERT INTO `icss_dept_vital` VALUES ('731', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '430', '5', '五官科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('732', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '436', '6', '五官科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('733', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '437', '7', '五官科-头颅五官无畸形');
INSERT INTO `icss_dept_vital` VALUES ('734', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '440', '8', '五官科-耳廓无畸形，外耳道无溢液');
INSERT INTO `icss_dept_vital` VALUES ('735', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '441', '9', '五官科-外鼻无畸形');
INSERT INTO `icss_dept_vital` VALUES ('736', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '41304', '10', '五官科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('737', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '41285', '11', '五官科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('738', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '450', '12', '五官科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('739', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '451', '13', '五官科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('740', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '41310', '14', '五官科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('741', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '454', '15', '五官科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('742', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '456', '16', '五官科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('743', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '463', '17', '五官科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('744', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '465', '18', '五官科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('745', 'N', '2019-05-09 16:52:43', '2019-05-09 16:52:43', '108', '108', '420670', '466', '19', '五官科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('746', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '40', '1', '血液科-体温');
INSERT INTO `icss_dept_vital` VALUES ('747', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '278', '2', '血液科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('748', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '279', '3', '血液科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('749', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '28', '4', '血液科-血压');
INSERT INTO `icss_dept_vital` VALUES ('750', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '430', '5', '血液科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('751', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '435', '6', '血液科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('752', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '436', '7', '血液科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('753', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '41304', '8', '血液科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('754', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '453', '9', '血液科-心率（##）次/分，律齐');
INSERT INTO `icss_dept_vital` VALUES ('755', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '447', '10', '血液科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('756', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '450', '11', '血液科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('757', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '451', '12', '血液科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('758', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '41310', '13', '血液科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('759', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '454', '14', '血液科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('760', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '456', '15', '血液科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('761', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '457', '16', '血液科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('762', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '458', '17', '血液科-双肾区无叩痛');
INSERT INTO `icss_dept_vital` VALUES ('763', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '460', '18', '血液科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('764', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '463', '19', '血液科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('765', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '465', '20', '血液科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('766', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '461', '21', '血液科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('767', 'N', '2019-05-09 16:58:24', '2019-05-09 16:58:24', '108', '108', '420638', '466', '22', '血液科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('768', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '40', '1', '全科-体温');
INSERT INTO `icss_dept_vital` VALUES ('769', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '278', '2', '全科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('770', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '279', '3', '全科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('771', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '28', '4', '全科-血压');
INSERT INTO `icss_dept_vital` VALUES ('772', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '428', '5', '全科-发育正常');
INSERT INTO `icss_dept_vital` VALUES ('773', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '429', '6', '全科-营养中等');
INSERT INTO `icss_dept_vital` VALUES ('774', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '430', '7', '全科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('775', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41290', '8', '全科-面容面色');
INSERT INTO `icss_dept_vital` VALUES ('776', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '435', '9', '全科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('777', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '436', '10', '全科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('778', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '437', '11', '全科-头颅五官无畸形');
INSERT INTO `icss_dept_vital` VALUES ('779', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41301', '12', '全科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('780', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41293', '13', '全科-瞳孔查体');
INSERT INTO `icss_dept_vital` VALUES ('781', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '440', '14', '全科-耳廓无畸形，外耳道无溢液');
INSERT INTO `icss_dept_vital` VALUES ('782', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '441', '15', '全科-外鼻无畸形');
INSERT INTO `icss_dept_vital` VALUES ('783', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41304', '16', '全科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('784', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41285', '17', '全科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('785', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '445', '18', '全科-甲状腺无肿大');
INSERT INTO `icss_dept_vital` VALUES ('786', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '446', '19', '全科-胸廓对称无畸形');
INSERT INTO `icss_dept_vital` VALUES ('787', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '447', '20', '全科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('788', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41286', '21', '全科-肺部触诊');
INSERT INTO `icss_dept_vital` VALUES ('789', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '449', '22', '全科-叩呈清音');
INSERT INTO `icss_dept_vital` VALUES ('790', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '450', '23', '全科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('791', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '451', '24', '全科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('792', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41287', '25', '全科-心脏触诊');
INSERT INTO `icss_dept_vital` VALUES ('793', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41310', '26', '全科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('794', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41107', '27', '全科-心音及额外心音');
INSERT INTO `icss_dept_vital` VALUES ('795', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '454', '28', '全科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('796', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41099', '29', '全科-周围血管征');
INSERT INTO `icss_dept_vital` VALUES ('797', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '41288', '30', '全科-腹部视诊');
INSERT INTO `icss_dept_vital` VALUES ('798', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '456', '31', '全科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('799', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '457', '32', '全科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('800', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '458', '33', '全科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('801', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '460', '34', '全科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('802', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '461', '35', '全科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('803', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '462', '36', '全科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('804', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '463', '37', '全科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('805', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '465', '38', '全科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('806', 'N', '2019-05-09 16:59:08', '2019-05-09 16:59:08', '108', '108', '420671', '466', '39', '全科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('807', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '40', '1', '肾内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('808', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '278', '2', '肾内科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('809', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '279', '3', '肾内科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('810', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '28', '4', '肾内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('811', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '430', '5', '肾内科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('812', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '435', '6', '肾内科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('813', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '436', '7', '肾内科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('814', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '41304', '8', '肾内科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('815', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '41285', '9', '肾内科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('816', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '445', '10', '肾内科-甲状腺无肿大');
INSERT INTO `icss_dept_vital` VALUES ('817', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '447', '11', '肾内科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('818', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '450', '12', '肾内科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('819', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '451', '13', '肾内科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('820', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '41310', '14', '肾内科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('821', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '454', '15', '肾内科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('822', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '456', '16', '肾内科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('823', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '457', '17', '肾内科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('824', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '458', '18', '肾内科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('825', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '390', '19', '肾内科-颈静脉无怒张，肝颈静脉回流征阴性');
INSERT INTO `icss_dept_vital` VALUES ('826', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '460', '20', '肾内科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('827', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '461', '21', '肾内科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('828', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '463', '22', '肾内科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('829', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '465', '23', '肾内科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('830', 'N', '2019-05-09 17:01:51', '2019-05-09 17:01:51', '108', '108', '420629', '466', '24', '肾内科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('831', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '40', '1', '内分泌科-体温');
INSERT INTO `icss_dept_vital` VALUES ('832', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '278', '2', '内分泌科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('833', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '279', '3', '内分泌科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('834', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '28', '4', '内分泌科-血压');
INSERT INTO `icss_dept_vital` VALUES ('835', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '428', '5', '内分泌科-发育正常');
INSERT INTO `icss_dept_vital` VALUES ('836', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '429', '6', '内分泌科-营养中等');
INSERT INTO `icss_dept_vital` VALUES ('837', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '430', '7', '内分泌科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('838', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '435', '8', '内分泌科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('839', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '436', '9', '内分泌科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('840', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '41304', '10', '内分泌科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('841', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '445', '11', '内分泌科-甲状腺无肿大');
INSERT INTO `icss_dept_vital` VALUES ('842', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '450', '12', '内分泌科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('843', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '451', '13', '内分泌科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('844', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '41310', '14', '内分泌科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('845', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '454', '15', '内分泌科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('846', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '456', '16', '内分泌科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('847', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '457', '17', '内分泌科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('848', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '458', '18', '内分泌科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('849', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '460', '19', '内分泌科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('850', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '461', '20', '内分泌科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('851', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '463', '21', '内分泌科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('852', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '465', '22', '内分泌科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('853', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '447', '23', '内分泌科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('854', 'N', '2019-05-09 17:05:15', '2019-05-09 17:05:15', '108', '108', '420662', '466', '24', '内分泌科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('855', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '40', '1', '感染科-体温');
INSERT INTO `icss_dept_vital` VALUES ('856', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '278', '2', '感染科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('857', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '279', '3', '感染科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('858', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '28', '4', '感染科-血压');
INSERT INTO `icss_dept_vital` VALUES ('859', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '430', '5', '感染科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('860', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '435', '6', '感染科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('861', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '436', '7', '感染科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('862', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '437', '8', '感染科-头颅五官无畸形');
INSERT INTO `icss_dept_vital` VALUES ('863', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '41301', '9', '感染科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('864', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '41293', '10', '感染科-瞳孔查体');
INSERT INTO `icss_dept_vital` VALUES ('865', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '41304', '11', '感染科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('866', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '447', '12', '感染科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('867', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '450', '13', '感染科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('868', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '453', '14', '感染科-心率（##）次/分，律齐');
INSERT INTO `icss_dept_vital` VALUES ('869', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '451', '15', '感染科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('870', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '41310', '16', '感染科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('871', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '454', '17', '感染科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('872', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '456', '18', '感染科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('873', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '457', '19', '感染科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('874', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '458', '20', '感染科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('875', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '460', '21', '感染科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('876', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '461', '22', '感染科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('877', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '463', '23', '感染科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('878', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '465', '24', '感染科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('879', 'N', '2019-05-09 17:12:29', '2019-05-09 17:12:29', '108', '108', '420626', '466', '25', '感染科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('880', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '40', '1', '消化内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('881', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '278', '2', '消化内科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('882', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '279', '3', '消化内科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('883', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '28', '4', '消化内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('884', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '430', '5', '消化内科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('885', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '428', '6', '消化内科-发育正常');
INSERT INTO `icss_dept_vital` VALUES ('886', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '429', '7', '消化内科-营养中等');
INSERT INTO `icss_dept_vital` VALUES ('887', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '435', '8', '消化内科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('888', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '436', '9', '消化内科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('889', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '437', '10', '消化内科-头颅五官无畸形');
INSERT INTO `icss_dept_vital` VALUES ('890', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41301', '11', '消化内科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('891', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41293', '12', '消化内科-瞳孔查体');
INSERT INTO `icss_dept_vital` VALUES ('892', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41304', '13', '消化内科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('893', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41285', '14', '消化内科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('894', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '445', '15', '消化内科-甲状腺无肿大');
INSERT INTO `icss_dept_vital` VALUES ('895', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '446', '16', '消化内科-胸廓对称无畸形');
INSERT INTO `icss_dept_vital` VALUES ('896', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '447', '17', '消化内科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('897', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '449', '18', '消化内科-叩呈清音');
INSERT INTO `icss_dept_vital` VALUES ('898', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '450', '19', '消化内科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('899', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '451', '20', '消化内科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('900', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41310', '21', '消化内科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('901', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '454', '22', '消化内科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('902', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '41288', '23', '消化内科-腹部视诊');
INSERT INTO `icss_dept_vital` VALUES ('903', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '456', '24', '消化内科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('904', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '457', '25', '消化内科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('905', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '458', '26', '消化内科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('906', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '460', '27', '消化内科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('907', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '461', '28', '消化内科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('908', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '462', '29', '消化内科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('909', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '463', '30', '消化内科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('910', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '465', '31', '消化内科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('911', 'N', '2019-05-09 17:17:40', '2019-05-09 17:17:40', '108', '108', '420661', '466', '32', '消化内科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('912', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '40', '1', '急诊科-体温');
INSERT INTO `icss_dept_vital` VALUES ('913', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '278', '2', '急诊科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('914', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '279', '3', '急诊科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('915', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '28', '4', '急诊科-血压');
INSERT INTO `icss_dept_vital` VALUES ('916', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '430', '5', '急诊科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('917', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '435', '6', '急诊科-皮肤粘膜无黄染');
INSERT INTO `icss_dept_vital` VALUES ('918', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '436', '7', '急诊科-全身浅表淋巴结未触及');
INSERT INTO `icss_dept_vital` VALUES ('919', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '437', '8', '急诊科-头颅五官无畸形');
INSERT INTO `icss_dept_vital` VALUES ('920', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '41301', '9', '急诊科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('921', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '41293', '10', '急诊科-瞳孔检查');
INSERT INTO `icss_dept_vital` VALUES ('922', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '41304', '11', '急诊科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('923', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '447', '12', '急诊科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('924', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '450', '13', '急诊科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('925', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '451', '14', '急诊科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('926', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '41310', '15', '急诊科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('927', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '454', '16', '急诊科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('928', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '456', '17', '急诊科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('929', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '457', '18', '急诊科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('930', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '458', '19', '急诊科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('931', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '460', '20', '急诊科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('932', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '461', '21', '急诊科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('933', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '462', '22', '急诊科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('934', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '463', '23', '急诊科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('935', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '466', '24', '急诊科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('936', 'N', '2019-05-09 17:20:13', '2019-05-09 17:20:13', '108', '108', '420643', '465', '25', '急诊科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('937', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '40', '1', '神经内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('938', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '278', '2', '神经内科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('939', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '279', '3', '神经内科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('940', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '28', '4', '神经内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('941', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '430', '5', '神经内科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('942', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '435', '6', '神经内科-皮肤粘膜情况');
INSERT INTO `icss_dept_vital` VALUES ('943', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '436', '7', '神经内科-淋巴结检查');
INSERT INTO `icss_dept_vital` VALUES ('944', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '437', '8', '神经内科-头颅查体');
INSERT INTO `icss_dept_vital` VALUES ('945', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '41301', '9', '神经内科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('946', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '41293', '10', '神经内科-瞳孔检查');
INSERT INTO `icss_dept_vital` VALUES ('947', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '41304', '11', '神经内科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('948', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '447', '12', '神经内科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('949', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '450', '13', '神经内科-未闻及明显干湿啰音');
INSERT INTO `icss_dept_vital` VALUES ('950', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '451', '14', '神经内科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('951', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '41310', '15', '神经内科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('952', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '454', '16', '神经内科-各瓣膜听诊区未闻及明显心脏杂音');
INSERT INTO `icss_dept_vital` VALUES ('953', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '456', '17', '神经内科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('954', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '457', '18', '神经内科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('955', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '458', '19', '神经内科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('956', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '460', '20', '神经内科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('957', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '461', '21', '神经内科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('958', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '462', '22', '神经内科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('959', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '463', '23', '神经内科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('960', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '465', '24', '神经内科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('961', 'N', '2019-05-09 17:24:42', '2019-05-09 17:24:42', '108', '108', '420636', '466', '25', '神经内科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('962', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '40', '1', '泌尿外科-体温');
INSERT INTO `icss_dept_vital` VALUES ('963', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '278', '2', '泌尿外科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('964', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '279', '3', '泌尿外科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('965', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '28', '4', '泌尿外科-血压');
INSERT INTO `icss_dept_vital` VALUES ('966', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '430', '5', '泌尿外科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('967', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '435', '6', '泌尿外科-皮肤粘膜情况');
INSERT INTO `icss_dept_vital` VALUES ('968', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '436', '7', '泌尿外科-淋巴结检查');
INSERT INTO `icss_dept_vital` VALUES ('969', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '447', '8', '泌尿外科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('970', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '450', '9', '泌尿外科-肺部听诊');
INSERT INTO `icss_dept_vital` VALUES ('971', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '451', '10', '泌尿外科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('972', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '41310', '11', '泌尿外科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('973', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '454', '12', '泌尿外科-心脏听诊-杂音');
INSERT INTO `icss_dept_vital` VALUES ('974', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '456', '13', '泌尿外科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('975', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '457', '14', '泌尿外科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('976', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '458', '15', '泌尿外科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('977', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '460', '16', '泌尿外科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('978', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '461', '17', '泌尿外科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('979', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '463', '18', '泌尿外科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('980', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '465', '19', '泌尿外科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('981', 'N', '2019-05-09 17:25:37', '2019-05-09 17:25:37', '108', '108', '420658', '466', '20', '泌尿外科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('982', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '40', '1', '呼吸内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('983', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '278', '2', '呼吸内科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('984', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '279', '3', '呼吸内科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('985', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '28', '4', '呼吸内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('986', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '430', '5', '呼吸内科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('987', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '435', '6', '呼吸内科-皮肤粘膜情况');
INSERT INTO `icss_dept_vital` VALUES ('988', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '436', '7', '呼吸内科-淋巴结检查');
INSERT INTO `icss_dept_vital` VALUES ('989', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '437', '8', '呼吸内科-头颅查体');
INSERT INTO `icss_dept_vital` VALUES ('990', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '41301', '9', '呼吸内科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('991', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '41304', '10', '呼吸内科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('992', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '41285', '11', '呼吸内科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('993', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '446', '12', '呼吸内科-胸部视诊');
INSERT INTO `icss_dept_vital` VALUES ('994', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '447', '13', '呼吸内科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('995', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '41286', '14', '呼吸内科-肺部触诊');
INSERT INTO `icss_dept_vital` VALUES ('996', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '449', '15', '呼吸内科-肺部叩诊');
INSERT INTO `icss_dept_vital` VALUES ('997', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '450', '16', '呼吸内科-肺部听诊');
INSERT INTO `icss_dept_vital` VALUES ('998', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '451', '17', '呼吸内科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('999', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '41310', '18', '呼吸内科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('1000', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '454', '19', '呼吸内科-心脏听诊-杂音');
INSERT INTO `icss_dept_vital` VALUES ('1001', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '456', '20', '呼吸内科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('1002', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '457', '21', '呼吸内科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('1003', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '458', '22', '呼吸内科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('1004', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '460', '23', '呼吸内科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('1005', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '461', '24', '呼吸内科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('1006', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '462', '25', '呼吸内科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('1007', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '463', '26', '呼吸内科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('1008', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '465', '27', '呼吸内科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('1009', 'N', '2019-05-09 17:28:49', '2019-05-09 17:28:49', '108', '108', '420627', '466', '28', '呼吸内科-神经反射检查');
INSERT INTO `icss_dept_vital` VALUES ('1037', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '40', '1', '心血管内科-体温');
INSERT INTO `icss_dept_vital` VALUES ('1038', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '278', '2', '心血管内科-脉搏');
INSERT INTO `icss_dept_vital` VALUES ('1039', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '279', '3', '心血管内科-呼吸');
INSERT INTO `icss_dept_vital` VALUES ('1040', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '28', '4', '心血管内科-血压');
INSERT INTO `icss_dept_vital` VALUES ('1041', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '430', '5', '心血管内科-神志清');
INSERT INTO `icss_dept_vital` VALUES ('1042', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '435', '6', '心血管内科-皮肤粘膜情况');
INSERT INTO `icss_dept_vital` VALUES ('1043', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '436', '7', '心血管内科-淋巴结检查');
INSERT INTO `icss_dept_vital` VALUES ('1044', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '437', '8', '心血管内科-头颅查体');
INSERT INTO `icss_dept_vital` VALUES ('1045', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '41301', '9', '心血管内科-眼部检查');
INSERT INTO `icss_dept_vital` VALUES ('1046', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '41304', '10', '心血管内科-口腔查体');
INSERT INTO `icss_dept_vital` VALUES ('1047', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '41285', '11', '心血管内科-颈部查体');
INSERT INTO `icss_dept_vital` VALUES ('1048', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '446', '12', '心血管内科-胸部视诊');
INSERT INTO `icss_dept_vital` VALUES ('1049', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '447', '13', '心血管内科-肺部视诊');
INSERT INTO `icss_dept_vital` VALUES ('1050', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '450', '14', '心血管内科-肺部听诊');
INSERT INTO `icss_dept_vital` VALUES ('1051', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '451', '15', '心血管内科-心脏视诊');
INSERT INTO `icss_dept_vital` VALUES ('1052', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '41310', '16', '心血管内科-心脏听诊-心率');
INSERT INTO `icss_dept_vital` VALUES ('1053', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '41107', '17', '心血管内科-心音及额外心音');
INSERT INTO `icss_dept_vital` VALUES ('1054', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '454', '18', '心血管内科-心脏听诊-杂音');
INSERT INTO `icss_dept_vital` VALUES ('1055', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '456', '19', '心血管内科-腹部触诊');
INSERT INTO `icss_dept_vital` VALUES ('1056', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '457', '20', '心血管内科-肝胆脾查体');
INSERT INTO `icss_dept_vital` VALUES ('1057', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '458', '21', '心血管内科-肾脏查体');
INSERT INTO `icss_dept_vital` VALUES ('1058', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '460', '22', '心血管内科-肠鸣音正常');
INSERT INTO `icss_dept_vital` VALUES ('1059', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '461', '23', '心血管内科-肛门及外生殖器未查');
INSERT INTO `icss_dept_vital` VALUES ('1060', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '462', '24', '心血管内科-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_dept_vital` VALUES ('1061', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '463', '25', '心血管内科-四肢视触诊');
INSERT INTO `icss_dept_vital` VALUES ('1062', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '465', '26', '心血管内科-肌力肌张力检查');
INSERT INTO `icss_dept_vital` VALUES ('1063', 'N', '2019-05-09 17:31:47', '2019-05-09 17:31:47', '108', '108', '420656', '466', '27', '心血管内科-神经反射检查');

-- ----------------------------
-- Table structure for icss_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_dictionary_info`;
CREATE TABLE `icss_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：icss界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=107 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='icss字典表';

-- ----------------------------
-- Records of icss_dictionary_info
-- ----------------------------
INSERT INTO `icss_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '主诉现病史', '1', '1', '10', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '其他史', '3', '1', '20', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '查体', '4', '1', '30', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '化验', '5', '1', '40', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多列多选标签（杂音/初为）', '2', '1', '10', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多项统一横铺标签（血压）', '3', '1', '20', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '症状详细（症状尾巴）', '4', '1', '30', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('12', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '单选含自由填写项', '5', '1', '40', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '组合项标签（既往史）', '6', '1', '50', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '化验组合', '7', '1', '60', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('15', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '诊断/药品/辅检标签', '9', '1', '70', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '症状推送类型（添加症状）', '11', '1', '80', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '主诉模板', '1', '1', '10', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史模板', '2', '1', '20', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '其他史模板', '3', '1', '30', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '查体模板', '4', '1', '40', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '化验模板', '5', '1', '50', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '辅检模板', '6', '1', '60', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '从左到右，从上到下', '1', '1', '10', '成文顺序');
INSERT INTO `icss_dictionary_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '按点击顺序成文', '0', '1', '20', '成文顺序');
INSERT INTO `icss_dictionary_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '默认值', '0', '1', '10', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '单选', '1', '1', '20', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '多选', '2', '1', '30', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '数字键盘带单位', '5', '1', '40', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '输入框', '6', '1', '50', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '数字键盘', '7', '1', '60', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '联合推送', '99', '1', '80', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '单选含自由填写项', '11', '1', '70', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史空模板', '22', '1', '80', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史空模板子模板', '322', '1', '90', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '主诉子模板', '31', '1', '100', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史子模板', '32', '1', '110', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '症状', '1', '1', '1', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '时间', '2', '1', '2', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '部位', '3', '1', '3', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '性质', '4', '1', '4', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '诱因', '5', '1', '5', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '程度', '6', '1', '6', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '阴性', '7', '1', '7', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '阳性', '8', '1', '8', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '单位', '9', '1', '9', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '药品', '10', '1', '10', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '治疗', '11', '1', '11', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '化验套餐', '12', '1', '12', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '化验明细', '13', '1', '13', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '化验结果', '14', '1', '14', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '辅检套餐', '15', '1', '15', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '辅检项目', '16', '1', '16', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '辅检结果', '17', '1', '17', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '诊断', '18', '1', '18', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '连接词', '19', '1', '19', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '方位', '20', '1', '20', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '亲属', '21', '1', '21', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '婚姻', '22', '1', '22', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '食品', '23', '1', '23', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '历史', '24', '1', '24', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '手术', '25', '1', '25', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '症状表现', '26', '1', '26', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '数字量词', '27', '1', '27', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '数字', '28', '1', '28', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '药品大类', '29', '1', '29', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '药品小类', '30', '1', '30', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '辅检大类', '31', '1', '31', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '辅检小类', '32', '1', '32', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '体征指标', '33', '1', '33', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '体征指标值', '34', '1', '34', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '体征结果', '35', '1', '35', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '地点', '36', '1', '36', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '职业', '37', '1', '37', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '个人史', '38', '1', '38', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '个人史描述', '39', '1', '39', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '时间描述', '40', '1', '40', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '症状指标', '41', '1', '41', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '医用耗材 ', '42', '1', '42', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '程度量词', '43', '1', '43', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '其他', '44', '1', '44', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '删除', '45', '1', '45', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '化验公表项', '46', '1', '46', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '科室', '47', '1', '47', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '量表', '48', '1', '48', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '不良反应', '49', '1', '49', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '核心指标', '50', '1', '50', '术语库词性');
INSERT INTO `icss_dictionary_info` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '疾病类型(慢病|急诊)', '51', '1', '51', '术语库词性');

-- ----------------------------
-- Table structure for icss_doctor_page_mode
-- ----------------------------
DROP TABLE IF EXISTS `icss_doctor_page_mode`;
CREATE TABLE `icss_doctor_page_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `mode_classify` int(11) DEFAULT NULL COMMENT '模式分类',
  `mode_value` int(10) DEFAULT NULL COMMENT '模式值',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='医生页面结构模式';

-- ----------------------------
-- Records of icss_doctor_page_mode
-- ----------------------------

-- ----------------------------
-- Table structure for icss_inquiry_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_detail`;
CREATE TABLE `icss_inquiry_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `type` int(1) DEFAULT NULL COMMENT '类型（1:主诉，2现病史，3其他史，4查体，5化验，6辅检，7诊断，8医嘱，9二次诊断）',
  `content` text COMMENT '内容字符串',
  `content_value` text COMMENT '内容字符串纯文本',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录明细表';

-- ----------------------------
-- Records of icss_inquiry_detail
-- ----------------------------

-- ----------------------------
-- Table structure for icss_inquiry_drug
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_drug`;
CREATE TABLE `icss_inquiry_drug` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `concept_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '药品概念id',
  `concept_name` varchar(200) NOT NULL DEFAULT '' COMMENT '药品概念名称',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录处方用药明细表';

-- ----------------------------
-- Records of icss_inquiry_drug
-- ----------------------------

-- ----------------------------
-- Table structure for icss_inquiry_evaluation
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_evaluation`;
CREATE TABLE `icss_inquiry_evaluation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `html_content` longtext COMMENT '评估页面html内容',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录评估结果表';

-- ----------------------------
-- Records of icss_inquiry_evaluation
-- ----------------------------

-- ----------------------------
-- Table structure for icss_inquiry_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_info`;
CREATE TABLE `icss_inquiry_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '科室id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) NOT NULL COMMENT '就诊序列号',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT '就诊状态（0待接诊，1接诊中，2完成接诊）',
  `type` int(1) DEFAULT NULL COMMENT '分类(1:门诊,2:住院)',
  `diagnose` varchar(50) DEFAULT NULL COMMENT '诊断',
  `sign` int(1) DEFAULT NULL COMMENT '类型：0：结构化 1：文本模式',
  `data_json` longtext COMMENT '内容JSON字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录表';

-- ----------------------------
-- Records of icss_inquiry_info
-- ----------------------------

-- ----------------------------
-- Table structure for icss_inquiry_scale
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_scale`;
CREATE TABLE `icss_inquiry_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `inquiry_evaluation_id` bigint(20) NOT NULL COMMENT '问诊记录评估结果表id',
  `concept_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '量表概念id',
  `concept_name` varchar(200) NOT NULL COMMENT '量表概念名称',
  `html_content` longtext COMMENT '量表页面html内容',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录评估结果量表明细表';

-- ----------------------------
-- Records of icss_inquiry_scale
-- ----------------------------

-- ----------------------------
-- Table structure for icss_lis_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_lis_mapping`;
CREATE TABLE `icss_lis_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6440 DEFAULT CHARSET=utf8 COMMENT='化验项目公表映射';

-- ----------------------------
-- Records of icss_lis_mapping
-- ----------------------------
INSERT INTO `icss_lis_mapping` VALUES ('4254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1h尿沉渣计数', '红细胞计数(RBC)', '1h尿沉渣计数--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('4255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1h尿沉渣计数', '白细胞计数(WBC)', '1h尿沉渣计数--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('4256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1h尿沉渣计数', '管型', '1h尿沉渣计数--管型');
INSERT INTO `icss_lis_mapping` VALUES ('4257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24小时IgG鞘内合成率测定', '24小时IgG鞘内合成率', '24小时IgG鞘内合成率--24小时IgG鞘内合成率');
INSERT INTO `icss_lis_mapping` VALUES ('4258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24小时尿比重渗透压试验', '24小时尿比重渗透压', '24小时尿比重渗透压试验--24小时尿比重渗透压');
INSERT INTO `icss_lis_mapping` VALUES ('4259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3小时口服葡萄糖C肽释放试验', '30minC肽(C-P)', '3小时口服葡萄糖C肽释放试验--30minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3小时口服葡萄糖C肽释放试验', '60minC肽(C-P)', '3小时口服葡萄糖C肽释放试验--60minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3小时口服葡萄糖C肽释放试验', '120minC肽(C-P)', '3小时口服葡萄糖C肽释放试验--120minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3小时口服葡萄糖C肽释放试验', '180minC肽(C-P)', '3小时口服葡萄糖C肽释放试验--180minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5′核苷酸酶测定', '5′核苷酸酶(5′NT)', '5′核苷酸酶测定--5′核苷酸酶(5′NT)');
INSERT INTO `icss_lis_mapping` VALUES ('4264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5-羟色胺测定', '5-羟色胺(5-HT)', '5-羟色胺--5-羟色胺(5-HT)');
INSERT INTO `icss_lis_mapping` VALUES ('4265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5小时口服葡萄糖C肽释放试验', '50minC肽(C-P)', '5小时口服葡萄糖C肽释放试验--50minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5小时口服葡萄糖C肽释放试验', '60minC肽(C-P)', '5小时口服葡萄糖C肽释放试验--60minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5小时口服葡萄糖C肽释放试验', '120minC肽(C-P)', '5小时口服葡萄糖C肽释放试验--120minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5小时口服葡萄糖C肽释放试验', '240minC肽(C-P)', '5小时口服葡萄糖C肽释放试验--240minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5小时口服葡萄糖C肽释放试验', '300minC肽(C-P)', '5小时口服葡萄糖C肽释放试验--300minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅰ型胶原氨基端肽测定', 'Ⅰ型胶原氨基端肽(NTx)', 'Ⅰ型胶原氨基端肽测定--Ⅰ型胶原氨基端肽(NTx)');
INSERT INTO `icss_lis_mapping` VALUES ('4271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅰ型胶原吡啶交联终肽测定', 'Ⅰ型胶原吡啶交联终肽(ICTP)', 'Ⅰ型胶原吡啶交联终肽测定--Ⅰ型胶原吡啶交联终肽(ICTP)');
INSERT INTO `icss_lis_mapping` VALUES ('4272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅰ型胶原羧基端前肽测定', 'Ⅰ型胶原羧基端前肽(PICP)', 'Ⅰ型胶原羧基端前肽测定--Ⅰ型胶原羧基端前肽(PICP)');
INSERT INTO `icss_lis_mapping` VALUES ('4273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅰ型胶原羧基端肽测定', 'Ⅰ型胶原羧基端肽(CTx)', 'Ⅰ型胶原羧基端肽测定--Ⅰ型胶原羧基端肽(CTx)');
INSERT INTO `icss_lis_mapping` VALUES ('4274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅱ型胶原抗体测定', 'Ⅱ型胶原抗体', 'Ⅱ型胶原抗体测定--Ⅱ型胶原抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅲ型胶原测定', 'Ⅲ型胶原(CGⅢ)', 'Ⅲ型胶原测定--Ⅲ型胶原(CGⅢ)');
INSERT INTO `icss_lis_mapping` VALUES ('4276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅲ型前胶原肽测定', 'Ⅲ型前胶原肽(PⅢP)', 'Ⅲ型前胶原肽测定--Ⅲ型前胶原肽(PⅢP)');
INSERT INTO `icss_lis_mapping` VALUES ('4277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ⅳ型胶原测定', 'Ⅳ型胶原(CGⅣ)', 'Ⅳ型胶原测定--Ⅳ型胶原(CGⅣ)');
INSERT INTO `icss_lis_mapping` VALUES ('4278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ABO血型鉴定', 'ABO血型', 'ABO血型鉴定--ABO血型');
INSERT INTO `icss_lis_mapping` VALUES ('4279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ABO血型系统抗体致新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测--ABO血型系统抗体致新生儿溶血病检测');
INSERT INTO `icss_lis_mapping` VALUES ('4280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A型钠尿肽测定', 'A型钠尿肽(ANP)', 'A型钠尿肽测定--A型钠尿肽(ANP)');
INSERT INTO `icss_lis_mapping` VALUES ('4281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'B细胞膜表面免疫球蛋白测定', 'B细胞膜表面免疫球蛋白', 'B细胞膜表面免疫球蛋白测定--B细胞膜表面免疫球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'B型钠尿肽测定', 'B型钠尿肽(BNP)', 'B型钠尿肽测定--B型钠尿肽(BNP)');
INSERT INTO `icss_lis_mapping` VALUES ('4283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'B因子测定', 'B因子', 'B因子测定--B因子');
INSERT INTO `icss_lis_mapping` VALUES ('4284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C3a测定', 'C3a', 'C3a测定--C3a');
INSERT INTO `icss_lis_mapping` VALUES ('4285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C3d测定', 'C3d', 'C3d测定--C3d');
INSERT INTO `icss_lis_mapping` VALUES ('4286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C3裂解产物测定', 'C3裂解产物(C3SP)', 'C3裂解产物测定--C3裂解产物(C3SP)');
INSERT INTO `icss_lis_mapping` VALUES ('4287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Colton血型抗原鉴定', 'Colton血型抗原', 'Colton血型抗原鉴定--Colton血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C-反应蛋白测定', 'C-反应蛋白(CRP)', 'C-反应蛋白测定--C-反应蛋白(CRP)');
INSERT INTO `icss_lis_mapping` VALUES ('4289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽释放试验', '30minC肽(C-P)', 'C肽释放试验--30minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽释放试验', '60minC肽(C-P)', 'C肽释放试验--60minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽释放试验', '120minC肽(C-P)', 'C肽释放试验--120minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'C肽释放试验', '180minC肽(C-P)', 'C肽释放试验--180minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Diego血型抗原鉴定', 'Diego血型抗原', 'Diego血型抗原鉴定--Diego血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'DNA酶活性测定', 'DNA酶活性(DnaseI)', 'DNA酶活性测定--DNA酶活性(DnaseI)');
INSERT INTO `icss_lis_mapping` VALUES ('4295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Dombrock血型抗原鉴定', 'Dombrock血型抗原', 'Dombrock血型抗原鉴定--Dombrock血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Duffy血型抗原鉴定', 'Duffy血型抗原', 'Duffy血型抗原鉴定--Duffy血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒DNA酶抗体测定', 'EB病毒DNA酶抗体', 'EB病毒DNA酶抗体测定--EB病毒DNA酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒核抗原抗体IgG测定', 'EB病毒核抗原抗体IgG(抗EBNAIgG)', 'EB病毒核抗原抗体IgG--EB病毒核抗原抗体IgG(抗EBNAIgG)');
INSERT INTO `icss_lis_mapping` VALUES ('4299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒壳膜抗体测定', 'EB病毒壳膜抗体(抗VCA)', 'EB病毒壳膜抗体--EB病毒壳膜抗体(抗VCA)');
INSERT INTO `icss_lis_mapping` VALUES ('4300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒壳膜抗原抗体测定', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', 'EB病毒壳膜抗原抗体测定--EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('4301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒壳膜抗原抗体测定', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', 'EB病毒壳膜抗原抗体测定--EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('4302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'EB病毒早期抗体IgG测定', 'EB病毒早期抗体IgG(抗EAIgG)', 'EB病毒早期抗体IgG--EB病毒早期抗体IgG(抗EAIgG)');
INSERT INTO `icss_lis_mapping` VALUES ('4303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗Jo-1抗体', 'ENA抗体谱六项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗nRNP抗体', 'ENA抗体谱六项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗Scl-70抗体', 'ENA抗体谱六项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗Sm抗体', 'ENA抗体谱六项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗SSA抗体', 'ENA抗体谱六项--抗SSA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ENA抗体谱六项测定', '抗SSB抗体', 'ENA抗体谱六项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ER/PR免疫组化测定', 'ER/PR免疫组化测定', 'ER/PR免疫组化测定--ER/PR免疫组化测定');
INSERT INTO `icss_lis_mapping` VALUES ('4310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'E-选择素测定', 'E-选择素', 'E-选择素测定--E-选择素');
INSERT INTO `icss_lis_mapping` VALUES ('4311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'FK506血清药物浓度测定', 'FK506血清药物浓度', 'FK506血清药物浓度测定--FK506血清药物浓度');
INSERT INTO `icss_lis_mapping` VALUES ('4312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Gerbich血型抗原鉴定', 'Gerbich血型抗原', 'Gerbich血型抗原鉴定--Gerbich血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'GM试验', 'GM试验', 'GM试验--GM试验');
INSERT INTO `icss_lis_mapping` VALUES ('4314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'G试验', 'G试验', 'G试验--G试验');
INSERT INTO `icss_lis_mapping` VALUES ('4315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'HLA抗体特异性测定', 'HLA抗体', 'HLA抗体特异性测定--HLA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'IgA免疫复合物测定', 'IgA免疫复合物', 'IgA免疫复合物--IgA免疫复合物');
INSERT INTO `icss_lis_mapping` VALUES ('4317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'IgG免疫复合物测定', 'IgG免疫复合物', 'IgG免疫复合物--IgG免疫复合物');
INSERT INTO `icss_lis_mapping` VALUES ('4318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'IgM免疫复合物测定', 'IgM免疫复合物', 'IgM免疫复合物--IgM免疫复合物');
INSERT INTO `icss_lis_mapping` VALUES ('4319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Ii血型抗原鉴定', 'Ii血型抗原', 'Ii血型抗原鉴定--Ii血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Kell血型抗原鉴定', 'Kell血型抗原', 'Kell血型抗原鉴定--Kell血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Kidd血型抗原鉴定', 'Kidd血型抗原', 'Kidd血型抗原鉴定--Kidd血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Lewis血型抗原鉴定', 'Lewis血型抗原', 'Lewis血型抗原鉴定--Lewis血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Lutheran血型抗原鉴定', 'Lutheran血型抗原', 'Lutheran血型抗原鉴定--Lutheran血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'MNSs血型抗原鉴定', 'MNSs血型抗原', 'MNSs血型抗原鉴定--MNSs血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'M蛋白测定', 'M蛋白', 'M蛋白测定--M蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'N15-尿氨排泄试验', 'N15-尿氨排泄试验', 'N15-尿氨排泄试验--N15-尿氨排泄试验');
INSERT INTO `icss_lis_mapping` VALUES ('4327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'N端-B型钠尿肽前体测定', 'N端-B型钠尿肽前体(NT-ProBNP)', 'N端-B型钠尿肽前体测定--N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `icss_lis_mapping` VALUES ('4328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'O-129试验', 'O-129试验', 'O-129试验--O-129试验');
INSERT INTO `icss_lis_mapping` VALUES ('4329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'p-选择素测定', 'p-选择素', 'p-选择素测定--p-选择素');
INSERT INTO `icss_lis_mapping` VALUES ('4330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'P血型抗原鉴定', 'P血型抗原', 'P血型抗原鉴定--P血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'RhD血型鉴定', 'RhD血型', 'RhD血型鉴定--RhD血型');
INSERT INTO `icss_lis_mapping` VALUES ('4332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Rh弱D血型鉴定', 'Rh弱D血型鉴定', 'Rh弱D血型鉴定--Rh弱D血型鉴定');
INSERT INTO `icss_lis_mapping` VALUES ('4333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'RH血型鉴定', 'RH血型', 'RH血型鉴定--RH血型');
INSERT INTO `icss_lis_mapping` VALUES ('4334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Rh血型系统抗体致新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测', 'Rh血型系统抗体致新生儿溶血病检测--ABO血型系统抗体致新生儿溶血病检测');
INSERT INTO `icss_lis_mapping` VALUES ('4335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'ROS1蛋白免疫组化筛查', 'ROS1蛋白免疫组化筛查', 'ROS1蛋白免疫组化筛查--ROS1蛋白免疫组化筛查');
INSERT INTO `icss_lis_mapping` VALUES ('4336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'r-精浆蛋白测定', 'r-精浆蛋白(r-sm)', 'r-精浆蛋白测定--r-精浆蛋白(r-sm)');
INSERT INTO `icss_lis_mapping` VALUES ('4337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Scianna血型抗原鉴定', 'Scianna血型抗原', 'Scianna血型抗原鉴定--Scianna血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'TT病毒抗体测定', 'TT病毒抗体', 'TT病毒抗体测定--TT病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞花环试验', 'EtRFC', 'T淋巴细胞花环试验--EtRFC');
INSERT INTO `icss_lis_mapping` VALUES ('4340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞花环试验', 'EaRFC', 'T淋巴细胞花环试验--EaRFC');
INSERT INTO `icss_lis_mapping` VALUES ('4341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞花环试验', 'EsRFC', 'T淋巴细胞花环试验--EsRFC');
INSERT INTO `icss_lis_mapping` VALUES ('4342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'T淋巴细胞转化试验', 'T淋巴细胞转化率', 'T淋巴细胞转化试验--T淋巴细胞转化率');
INSERT INTO `icss_lis_mapping` VALUES ('4343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Xg血型抗原鉴定', 'Xg血型抗原', 'Xg血型抗原鉴定--Xg血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'Yt血型抗原鉴定', 'Yt血型抗原', 'Yt血型抗原鉴定--Yt血型抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'α1抗胰蛋白酶测定', 'α1抗胰蛋白酶(α1-AT)', 'α1抗胰蛋白酶测定--α1抗胰蛋白酶(α1-AT)');
INSERT INTO `icss_lis_mapping` VALUES ('4346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'α-L-岩藻糖苷酶测定', 'α-L-岩藻糖苷酶(AFU)', 'α-L-岩藻糖苷酶测定--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `icss_lis_mapping` VALUES ('4347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'α羟基丁酸脱氢酶测定', 'α羟基丁酸脱氢酶(α-HBD)', 'α羟基丁酸脱氢酶测定--α羟基丁酸脱氢酶(α-HBD)');
INSERT INTO `icss_lis_mapping` VALUES ('4348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-N-乙酰氨基己糖苷酶同工酶测定', 'β-N-乙酰氨基己糖苷酶同工酶', 'β-N-乙酰氨基己糖苷酶同工酶测定--β-N-乙酰氨基己糖苷酶同工酶');
INSERT INTO `icss_lis_mapping` VALUES ('4349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-胶原降解产物测定', 'β-胶原降解产物(β-CTX)', 'β-胶原降解产物测定--β-胶原降解产物(β-CTX)');
INSERT INTO `icss_lis_mapping` VALUES ('4350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-胶原特殊系列测定', 'β-胶原特殊系列(β-Crosslaps)', 'β-胶原特殊系列测定--β-胶原特殊系列(β-Crosslaps)');
INSERT INTO `icss_lis_mapping` VALUES ('4351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-内啡肽测定', 'β-内啡肽', 'β-内啡肽测定--β-内啡肽');
INSERT INTO `icss_lis_mapping` VALUES ('4352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-内酰胺类抗生素耐药测定', 'β-内酰胺类抗生素耐药测定', 'β-内酰胺类抗生素耐药测定--β-内酰胺类抗生素耐药测定');
INSERT INTO `icss_lis_mapping` VALUES ('4353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β—内酰胺酶试验', 'β—内酰胺酶试验', 'β—内酰胺酶试验--β—内酰胺酶试验');
INSERT INTO `icss_lis_mapping` VALUES ('4354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β-羟丁酸测定', 'β-羟丁酸(β-HB)', 'β-羟丁酸测定--β-羟丁酸(β-HB)');
INSERT INTO `icss_lis_mapping` VALUES ('4355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'β人游离绒毛膜促性腺激素测定', 'β人游离绒毛膜促性腺激素(freeβ-HCG)', 'β人游离绒毛膜促性腺激素测定--β人游离绒毛膜促性腺激素(freeβ-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('4356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'γ-谷氨酰基转移酶测定', 'γ-谷氨酰基转移酶(GGT)', 'γ-谷氨酰基转移酶测定--γ-谷氨酰基转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('4357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'δ-胆红素测定', 'δ-胆红素', 'δ-胆红素测定--δ-胆红素');
INSERT INTO `icss_lis_mapping` VALUES ('4358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阿米巴抗体测定', '阿米巴抗体', '阿米巴抗体测定--阿米巴抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阿司匹林耐量试验', '阿司匹林耐量试验', '阿司匹林耐量试验--阿司匹林耐量试验');
INSERT INTO `icss_lis_mapping` VALUES ('4360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '埃可病毒抗体测定', '埃可病毒抗体IgG', '埃可病毒抗体测定--埃可病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '埃可病毒抗体测定', '埃可病毒抗体IgM', '埃可病毒抗体测定--埃可病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '癌胚抗原测定', '癌胚抗原(CEA)', '癌胚抗原测定--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('4363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '艾滋病联合试验', '艾滋病联合试验', '艾滋病联合试验--艾滋病联合试验');
INSERT INTO `icss_lis_mapping` VALUES ('4364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '安体舒通试验', '安体舒通试验', '安体舒通试验--安体舒通试验');
INSERT INTO `icss_lis_mapping` VALUES ('4365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氨基己糖酶同工酶测定', '氨基己糖酶同工酶A', '氨基己糖酶同工酶测定--氨基己糖酶同工酶A');
INSERT INTO `icss_lis_mapping` VALUES ('4366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氨基己糖酶同工酶测定', '氨基己糖酶同工酶B', '氨基己糖酶同工酶测定--氨基己糖酶同工酶B');
INSERT INTO `icss_lis_mapping` VALUES ('4367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胺试验', '胺试验', '胺试验--胺试验');
INSERT INTO `icss_lis_mapping` VALUES ('4368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '螯合剂驱铅试验', '螯合剂驱铅试验', '螯合剂驱铅试验--螯合剂驱铅试验');
INSERT INTO `icss_lis_mapping` VALUES ('4369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白蛋白测定', '白蛋白(Alb)', '白蛋白测定--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('4370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白三烯B4测定', '白三烯B4', '白三烯B4测定--白三烯B4');
INSERT INTO `icss_lis_mapping` VALUES ('4371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白陶土部分凝血活酶时间测定', '白陶土部分凝血活酶时间(KPTT)', '白陶土部分凝血活酶时间测定--白陶土部分凝血活酶时间(KPTT)');
INSERT INTO `icss_lis_mapping` VALUES ('4372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-10测定', '白细胞介素-10(IL-10)', '白细胞介素-10测定--白细胞介素-10(IL-10)');
INSERT INTO `icss_lis_mapping` VALUES ('4373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-12p测定', '白细胞介素-12p(IL-12p)', '白细胞介素-12p测定--白细胞介素-12p(IL-12p)');
INSERT INTO `icss_lis_mapping` VALUES ('4374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-12测定', '白细胞介素-12(IL-12)', '白细胞介素-12测定--白细胞介素-12(IL-12)');
INSERT INTO `icss_lis_mapping` VALUES ('4375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-18测定', '白细胞介素-18(IL-18)', '白细胞介素-18测定--白细胞介素-18(IL-18)');
INSERT INTO `icss_lis_mapping` VALUES ('4376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-1β测定', '白细胞介素-1β(IL-1β)', '白细胞介素-1β测定--白细胞介素-1β(IL-1β)');
INSERT INTO `icss_lis_mapping` VALUES ('4377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-1测定', '白细胞介素-1(IL-1)', '白细胞介素-1测定--白细胞介素-1(IL-1)');
INSERT INTO `icss_lis_mapping` VALUES ('4378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-2测定', '白细胞介素-2(IL-2)', '白细胞介素-2测定--白细胞介素-2(IL-2)');
INSERT INTO `icss_lis_mapping` VALUES ('4379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-4测定', '白细胞介素-4(IL-4)', '白细胞介素-4测定--白细胞介素-4(IL-4)');
INSERT INTO `icss_lis_mapping` VALUES ('4380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-5测定', '白细胞介素-5(IL-5)', '白细胞介素-5测定--白细胞介素-5(IL-5)');
INSERT INTO `icss_lis_mapping` VALUES ('4381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-6测定', '白细胞介素-6(IL-6)', '白细胞介素-6测定--白细胞介素-6(IL-6)');
INSERT INTO `icss_lis_mapping` VALUES ('4382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素-8测定', '白细胞介素-8(IL-8)', '白细胞介素-8测定--白细胞介素-8(IL-8)');
INSERT INTO `icss_lis_mapping` VALUES ('4383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素受体测定', '白细胞介素受体2', '白细胞介素受体测定--白细胞介素受体2');
INSERT INTO `icss_lis_mapping` VALUES ('4384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素受体测定', '白细胞介素受体4', '白细胞介素受体测定--白细胞介素受体4');
INSERT INTO `icss_lis_mapping` VALUES ('4385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素受体测定', '白细胞介素受体6', '白细胞介素受体测定--白细胞介素受体6');
INSERT INTO `icss_lis_mapping` VALUES ('4386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞介素受体测定', '白细胞介素受体7', '白细胞介素受体测定--白细胞介素受体7');
INSERT INTO `icss_lis_mapping` VALUES ('4387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞黏附抑制试验', '白细胞黏附抑制试验', '白细胞黏附抑制试验--白细胞黏附抑制试验');
INSERT INTO `icss_lis_mapping` VALUES ('4388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞杀菌功能试验', '白细胞杀菌功能试验', '白细胞杀菌功能试验--白细胞杀菌功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('4389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞杀伤功能试验', '白细胞杀伤功能试验', '白细胞杀伤功能试验--白细胞杀伤功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('4390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞特异性和组织相关融性抗体测定', '组织相容性(HLA)抗体', '白细胞特异性和组织相关融性抗体测定--组织相容性(HLA)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞特异性和组织相关融性抗体测定', 'HLA抗体', '白细胞特异性和组织相关融性抗体测定--HLA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞吞噬功能试验', '白细胞吞噬功能试验', '白细胞吞噬功能试验--白细胞吞噬功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('4393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白细胞粘附抑制试验', '白细胞粘附抑制试验', '白细胞粘附抑制试验--白细胞粘附抑制试验');
INSERT INTO `icss_lis_mapping` VALUES ('4394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '百日咳杆菌抗体测定', '百日咳杆菌抗体', '百日咳杆菌抗体--百日咳杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斑疹伤寒抗体测定', '斑疹伤寒抗体', '斑疹伤寒抗体--斑疹伤寒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '孢子丝菌免疫学试验', '孢子丝菌免疫学试验', '孢子丝菌免疫学试验--孢子丝菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('4397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻咽癌EB病毒抗体2项', 'EB病毒早期抗原(EA-IgA)', '鼻咽癌EB病毒抗体2项--EB病毒早期抗原(EA-IgA)');
INSERT INTO `icss_lis_mapping` VALUES ('4398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻咽癌EB病毒抗体2项', 'EB病毒壳抗原(VCA-IgA)', '鼻咽癌EB病毒抗体2项--EB病毒壳抗原(VCA-IgA)');
INSERT INTO `icss_lis_mapping` VALUES ('4399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吡啶酚测定', '吡啶酚(PYD)', '吡啶酚测定--吡啶酚(PYD)');
INSERT INTO `icss_lis_mapping` VALUES ('4400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变性珠蛋白小体测定', '变性珠蛋白小体(Heinz小体)', '变性珠蛋白小体测定--变性珠蛋白小体(Heinz小体)');
INSERT INTO `icss_lis_mapping` VALUES ('4401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '变应原特异性IgE', '变应原特异性IgE测定--变应原特异性IgE');
INSERT INTO `icss_lis_mapping` VALUES ('4402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：矮豚草', '变应原特异性IgE测定--过敏原：矮豚草');
INSERT INTO `icss_lis_mapping` VALUES ('4403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：点青霉', '变应原特异性IgE测定--过敏原：点青霉');
INSERT INTO `icss_lis_mapping` VALUES ('4404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：烟曲霉', '变应原特异性IgE测定--过敏原：烟曲霉');
INSERT INTO `icss_lis_mapping` VALUES ('4405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：狗毛皮屑', '变应原特异性IgE测定--过敏原：狗毛皮屑');
INSERT INTO `icss_lis_mapping` VALUES ('4406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：鸡蛋白', '变应原特异性IgE测定--过敏原：鸡蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：芒果', '变应原特异性IgE测定--过敏原：芒果');
INSERT INTO `icss_lis_mapping` VALUES ('4408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：猫毛皮屑', '变应原特异性IgE测定--过敏原：猫毛皮屑');
INSERT INTO `icss_lis_mapping` VALUES ('4409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：牛奶', '变应原特异性IgE测定--过敏原：牛奶');
INSERT INTO `icss_lis_mapping` VALUES ('4410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：牛肉', '变应原特异性IgE测定--过敏原：牛肉');
INSERT INTO `icss_lis_mapping` VALUES ('4411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：青贝', '变应原特异性IgE测定--过敏原：青贝');
INSERT INTO `icss_lis_mapping` VALUES ('4412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：沙尘螨', '变应原特异性IgE测定--过敏原：沙尘螨');
INSERT INTO `icss_lis_mapping` VALUES ('4413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：屋尘螨', '变应原特异性IgE测定--过敏原：屋尘螨');
INSERT INTO `icss_lis_mapping` VALUES ('4414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：梧/桐/杨/柳/榆树', '变应原特异性IgE测定--过敏原：梧/桐/杨/柳/榆树');
INSERT INTO `icss_lis_mapping` VALUES ('4415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：西瓜', '变应原特异性IgE测定--过敏原：西瓜');
INSERT INTO `icss_lis_mapping` VALUES ('4416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：虾', '变应原特异性IgE测定--过敏原：虾');
INSERT INTO `icss_lis_mapping` VALUES ('4417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：蟹', '变应原特异性IgE测定--过敏原：蟹');
INSERT INTO `icss_lis_mapping` VALUES ('4418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：羊肉', '变应原特异性IgE测定--过敏原：羊肉');
INSERT INTO `icss_lis_mapping` VALUES ('4419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：腰果', '变应原特异性IgE测定--过敏原：腰果');
INSERT INTO `icss_lis_mapping` VALUES ('4420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：鱼', '变应原特异性IgE测定--过敏原：鱼');
INSERT INTO `icss_lis_mapping` VALUES ('4421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：蟑螂', '变应原特异性IgE测定--过敏原：蟑螂');
INSERT INTO `icss_lis_mapping` VALUES ('4422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '变应原特异性IgE测定', '过敏原：自定义', '变应原特异性IgE测定--过敏原：自定义');
INSERT INTO `icss_lis_mapping` VALUES ('4423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙氨酸氨基转移酶测定', '丙氨酸氨基转移酶(ALT)', '丙氨酸氨基转移酶测定--丙氨酸氨基转移酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('4424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝RNA定量', '丙肝RNA定量', '丙肝RNA定量--丙肝RNA定量');
INSERT INTO `icss_lis_mapping` VALUES ('4425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝RNA定性', '丙肝RNA定性', '丙肝RNA定性--丙肝RNA定性');
INSERT INTO `icss_lis_mapping` VALUES ('4426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝核心抗原测定', '丙肝核心抗原(HCVCAg)', '丙肝核心抗原测定--丙肝核心抗原(HCVCAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙型肝炎核心抗原测定', '丙型肝炎核心抗原', '丙型肝炎核心抗原测定--丙型肝炎核心抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙型肝炎抗体测定', '丙型肝炎抗体', '丙型肝炎抗体测定--丙型肝炎抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体1抑制因子测定', '补体1抑制因子', '补体1抑制因子测定--补体1抑制因子');
INSERT INTO `icss_lis_mapping` VALUES ('4430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C1q测定', '补体C1q', '补体C1q测定--补体C1q');
INSERT INTO `icss_lis_mapping` VALUES ('4431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C1r测定', '补体C1r', '补体C1r测定--补体C1r');
INSERT INTO `icss_lis_mapping` VALUES ('4432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C1s测定', '补体C1s', '补体C1s测定--补体C1s');
INSERT INTO `icss_lis_mapping` VALUES ('4433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C2测定', '补体C2', '补体C2测定--补体C2');
INSERT INTO `icss_lis_mapping` VALUES ('4434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C3b受体花环试验', '补体C3b受体花环试验', '补体C3b受体花环试验--补体C3b受体花环试验');
INSERT INTO `icss_lis_mapping` VALUES ('4435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C3测定', '补体C3', '补体C3测定--补体C3');
INSERT INTO `icss_lis_mapping` VALUES ('4436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C4测定', '补体C4', '补体C4测定--补体C4');
INSERT INTO `icss_lis_mapping` VALUES ('4437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C5测定', '补体C5', '补体C5测定--补体C5');
INSERT INTO `icss_lis_mapping` VALUES ('4438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C6测定', '补体C6', '补体C6测定--补体C6');
INSERT INTO `icss_lis_mapping` VALUES ('4439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C7测定', '补体C7', '补体C7测定--补体C7');
INSERT INTO `icss_lis_mapping` VALUES ('4440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C8测定', '补体C8', '补体C8测定--补体C8');
INSERT INTO `icss_lis_mapping` VALUES ('4441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体C9测定', '补体C9', '补体C9测定--补体C9');
INSERT INTO `icss_lis_mapping` VALUES ('4442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '补体旁路B因子测定', '补体旁路B因子', '补体旁路B因子测定--补体旁路B因子');
INSERT INTO `icss_lis_mapping` VALUES ('4443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不加热血清反应素试验', '不加热血清反应素试验(USR)', '不加热血清反应素试验--不加热血清反应素试验(USR)');
INSERT INTO `icss_lis_mapping` VALUES ('4444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育4项', '抗子宫内膜抗体(EMAb)', '不孕不育4项--抗子宫内膜抗体(EMAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育4项', '抗卵巢抗体(AoAb)', '不孕不育4项--抗卵巢抗体(AoAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育4项', '抗心磷脂抗体(ACA)', '不孕不育4项--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('4447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育4项', '抗精子抗体(AsAb)', '不孕不育4项--抗精子抗体(AsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗子宫内膜抗体(EMAb)', '不孕不育7项--抗子宫内膜抗体(EMAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗卵巢抗体(AoAb)', '不孕不育7项--抗卵巢抗体(AoAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗心磷脂抗体(ACA)', '不孕不育7项--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('4451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗精子抗体(AsAb)', '不孕不育7项--抗精子抗体(AsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗人绒毛膜促性腺激素抗体(HCGAb)', '不孕不育7项--抗人绒毛膜促性腺激素抗体(HCGAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗滋养层细胞膜抗体(TA-IgG)', '不孕不育7项--抗滋养层细胞膜抗体(TA-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('4454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不孕不育7项', '抗透明带抗体(AZPAb)', '不孕不育7项--抗透明带抗体(AZPAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '布氏杆菌凝集试验', '凝集效价', '布氏杆菌凝集试验--布氏杆菌凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('4456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后1h葡萄糖测定', '葡萄糖(GLU)', '餐后1h葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('4457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后2h葡萄糖测定', '葡萄糖(GLU)', '餐后2h葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('4458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后胰岛素测定', '胰岛素(Ins)', '餐后胰岛素测定--胰岛素(Ins)');
INSERT INTO `icss_lis_mapping` VALUES ('4459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '层粘连蛋白测定', '层粘连蛋白(LN)', '层粘连蛋白测定--层粘连蛋白(LN)');
INSERT INTO `icss_lis_mapping` VALUES ('4460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠道病毒71型IgM抗体测定', '肠道病毒71型IgM抗体', '肠道病毒71型IgM抗体测定--肠道病毒71型IgM抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠毒素测定', '肠毒素', '肠毒素测定--肠毒素');
INSERT INTO `icss_lis_mapping` VALUES ('4462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超敏C反应蛋白测定', '超敏C反应蛋白(hs-CRP)', '超敏C反应蛋白测定--超敏C反应蛋白(hs-CRP)');
INSERT INTO `icss_lis_mapping` VALUES ('4463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超敏肌钙蛋白测定', '超敏肌钙蛋白', '超敏肌钙蛋白测定--超敏肌钙蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超氧化物歧化酶测定', '超氧化物歧化酶(SOD)', '超氧化物歧化酶测定--超氧化物歧化酶(SOD)');
INSERT INTO `icss_lis_mapping` VALUES ('4465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血时间测定', '出血时间(BT)', '出血时间测定--出血时间(BT)');
INSERT INTO `icss_lis_mapping` VALUES ('4466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '触珠蛋白测定', '触珠蛋白', '触珠蛋白测定--触珠蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '肠杆菌科细菌', '创面分泌物培养-肠杆菌科细菌');
INSERT INTO `icss_lis_mapping` VALUES ('4468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '创面分泌物培养', '创面分泌物培养-创面分泌物培养');
INSERT INTO `icss_lis_mapping` VALUES ('4469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '化脓性链球菌', '创面分泌物培养-化脓性链球菌');
INSERT INTO `icss_lis_mapping` VALUES ('4470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '金黄色葡萄球菌', '创面分泌物培养-金黄色葡萄球菌');
INSERT INTO `icss_lis_mapping` VALUES ('4471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '诺卡菌', '创面分泌物培养-诺卡菌');
INSERT INTO `icss_lis_mapping` VALUES ('4472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '铜绿假单胞菌', '创面分泌物培养-铜绿假单胞菌');
INSERT INTO `icss_lis_mapping` VALUES ('4473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '厌氧菌', '创面分泌物培养-厌氧菌');
INSERT INTO `icss_lis_mapping` VALUES ('4474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '创面分泌物培养', '自定义', '创面分泌物培养-自定义');
INSERT INTO `icss_lis_mapping` VALUES ('4475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌二醇测定', '雌二醇(E2)', '雌二醇测定--雌二醇(E2)');
INSERT INTO `icss_lis_mapping` VALUES ('4476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌三醇测定', '雌三醇(E3)', '雌三醇测定--雌三醇(E3)');
INSERT INTO `icss_lis_mapping` VALUES ('4477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雌酮测定', '雌酮(E1)', '雌酮测定--雌酮(E1)');
INSERT INTO `icss_lis_mapping` VALUES ('4478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促红细胞生成素测定', '促红细胞生成素(EPO)', '促红细胞生成素测定--促红细胞生成素(EPO)');
INSERT INTO `icss_lis_mapping` VALUES ('4479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促黄体生成素测定', '促黄体生成素(LH)', '促黄体生成素测定--促黄体生成素(LH)');
INSERT INTO `icss_lis_mapping` VALUES ('4480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素测定', '促甲状腺激素(TSH)', '促甲状腺激素--促甲状腺激素(TSH)');
INSERT INTO `icss_lis_mapping` VALUES ('4481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素兴奋试验', '0minTSH', '促甲状腺激素释放激素兴奋试验--0minTSH');
INSERT INTO `icss_lis_mapping` VALUES ('4482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素兴奋试验', '15minTSH', '促甲状腺激素释放激素兴奋试验--15minTSH');
INSERT INTO `icss_lis_mapping` VALUES ('4483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素兴奋试验', '30minTSH', '促甲状腺激素释放激素兴奋试验--30minTSH');
INSERT INTO `icss_lis_mapping` VALUES ('4484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素兴奋试验', '60minTSH', '促甲状腺激素释放激素兴奋试验--60minTSH');
INSERT INTO `icss_lis_mapping` VALUES ('4485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺激素释放激素兴奋试验', '120minTSH', '促甲状腺激素释放激素兴奋试验--120minTSH');
INSERT INTO `icss_lis_mapping` VALUES ('4486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促甲状腺素受体抗体测定', '促甲状腺素受体抗体(TRAb)', '促甲状腺素受体抗体测定--促甲状腺素受体抗体(TRAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素测定', '促肾上腺皮质激素(ACTH)', '促肾上腺皮质激素测定--促肾上腺皮质激素(ACTH)');
INSERT INTO `icss_lis_mapping` VALUES ('4488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '-15min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验---15min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '0min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--0min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '15min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--15min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '30min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--30min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '60min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--60min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '90min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--90min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '120min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--120min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '150min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--150min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素释放激素兴奋试验', '180min促肾上腺皮质激素', '促肾上腺皮质激素释放激素兴奋试验--180min促肾上腺皮质激素');
INSERT INTO `icss_lis_mapping` VALUES ('4497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿17—羟皮质类固醇(17-OH-CS)', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `icss_lis_mapping` VALUES ('4498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿17—酮皮质类固醇(17-KS)', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `icss_lis_mapping` VALUES ('4499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿游离皮质醇', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿17—羟皮质类固醇(17-OH-CS)', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `icss_lis_mapping` VALUES ('4501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿17—酮皮质类固醇(17-KS)', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `icss_lis_mapping` VALUES ('4502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿游离皮质醇', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿17—羟皮质类固醇(17-OH-CS)', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `icss_lis_mapping` VALUES ('4504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿17—酮皮质类固醇(17-KS)', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `icss_lis_mapping` VALUES ('4505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿游离皮质醇', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿17—羟皮质类固醇(17-OH-CS)', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `icss_lis_mapping` VALUES ('4507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿17—酮皮质类固醇(17-KS)', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `icss_lis_mapping` VALUES ('4508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿游离皮质醇', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(快速法)', '注射前60分钟血皮质醇', '促肾上腺皮质激素兴奋试验(快速法)--注射前60分钟血皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(快速法)', '注射前20分钟血皮质醇', '促肾上腺皮质激素兴奋试验(快速法)--注射前20分钟血皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(快速法)', '注射后20分钟血皮质醇', '促肾上腺皮质激素兴奋试验(快速法)--注射后20分钟血皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促肾上腺皮质激素兴奋试验(快速法)', '注射后60分钟血皮质醇', '促肾上腺皮质激素兴奋试验(快速法)--注射后60分钟血皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促性腺激素释放激素兴奋试验', '促性腺激素释放激素(GnRH)兴奋试验', '促性腺激素释放激素兴奋试验--促性腺激素释放激素(GnRH)兴奋试验');
INSERT INTO `icss_lis_mapping` VALUES ('4514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '促胰液素测定', '促胰液素(secretin)', '促胰液素测定--促胰液素(secretin)');
INSERT INTO `icss_lis_mapping` VALUES ('4515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醋酸去氨加压素试验', '醋酸去氨加压素试验', '醋酸去氨加压素试验--醋酸去氨加压素试验');
INSERT INTO `icss_lis_mapping` VALUES ('4516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '催产素激惹试验', '催产素激惹试验(OCT)', '催产素激惹试验--催产素激惹试验(OCT)');
INSERT INTO `icss_lis_mapping` VALUES ('4517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大环内酯类抗生素耐药测定', '大环内酯类抗生素耐药测定', '大环内酯类抗生素耐药测定--大环内酯类抗生素耐药测定');
INSERT INTO `icss_lis_mapping` VALUES ('4518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '带状疱疹病毒抗体测定', '带状疱疹病毒抗体', '带状疱疹病毒抗体测定--带状疱疹病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单胺氧化酶测定', '单胺氧化酶(MAO)', '单胺氧化酶测定--单胺氧化酶(MAO)');
INSERT INTO `icss_lis_mapping` VALUES ('4520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单胺氧化酶同工酶测定', '单胺氧化酶同工酶', '单胺氧化酶同工酶测定--单胺氧化酶同工酶');
INSERT INTO `icss_lis_mapping` VALUES ('4521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒II型抗体测定', '单纯疱疹病毒II型抗体IgG', '单纯疱疹病毒II型抗体测定--单纯疱疹病毒II型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒II型抗体测定', '单纯疱疹病毒II型抗体IgM', '单纯疱疹病毒II型抗体测定--单纯疱疹病毒II型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒I型抗体测定', '单纯疱疹病毒I型抗体IgG', '单纯疱疹病毒Ⅰ型抗体测定--单纯疱疹病毒I型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒I型抗体测定', '单纯疱疹病毒I型抗体IgM', '单纯疱疹病毒Ⅰ型抗体测定--单纯疱疹病毒I型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒抗体测定', '单纯疱疹病毒II型抗体IgG', '单纯疱疹病毒抗体测定--单纯疱疹病毒II型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒抗体测定', '单纯疱疹病毒II型抗体IgM', '单纯疱疹病毒抗体测定--单纯疱疹病毒II型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒抗体测定', '单纯疱疹病毒I型抗体IgG', '单纯疱疹病毒抗体测定--单纯疱疹病毒I型抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒抗体测定', '单纯疱疹病毒I型抗体IgM', '单纯疱疹病毒抗体测定--单纯疱疹病毒I型抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单纯疱疹病毒抗原测定', '单纯疱疹病毒抗原', '单纯疱疹病毒抗原测定--单纯疱疹病毒抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单核细胞增多性李斯特菌抗体测定', '单核细胞增多性李斯特菌抗体', '单核细胞增多性李斯特菌抗体--单核细胞增多性李斯特菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆碱脂酶测定', '胆碱脂酶(ChE)', '胆碱脂酶测定--胆碱脂酶(ChE)');
INSERT INTO `icss_lis_mapping` VALUES ('4532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆囊收缩素测定', '胆囊收缩素(CCK)', '胆囊收缩素测定--胆囊收缩素(CCK)');
INSERT INTO `icss_lis_mapping` VALUES ('4533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胆酸测定', '胆酸(BA)', '胆酸测定--胆酸(BA)');
INSERT INTO `icss_lis_mapping` VALUES ('4534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '等克分子前列腺特异抗原测定', '等克分子前列腺特异抗原', '等克分子前列腺特异抗原测定--等克分子前列腺特异抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '低分子肝素测定', '低分子肝素(LMWH)', '低分子肝素测定--低分子肝素(LMWH)');
INSERT INTO `icss_lis_mapping` VALUES ('4536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '低密度脂蛋白胆固醇测定', '低密度脂蛋白胆固醇(LDL-C)', '低密度脂蛋白胆固醇测定--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('4537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碘测定', '碘(I)', '碘测定--碘(I)');
INSERT INTO `icss_lis_mapping` VALUES ('4538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淀粉样蛋白测定', '淀粉样蛋白(SAA)', '淀粉样蛋白测定--淀粉样蛋白(SAA)');
INSERT INTO `icss_lis_mapping` VALUES ('4539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丁型肝炎抗体测定', '丁肝病毒抗体(HDVAb)', '丁型肝炎抗体测定--丁型肝炎抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丁型肝炎抗原测定', '丁肝病毒抗原(HDVAg)', '丁型肝炎抗原测定--丁肝病毒抗原(HDVAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '血红蛋白浓度(HGB)', '动脉血气分析--血红蛋白(Hb)');
INSERT INTO `icss_lis_mapping` VALUES ('4542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '吸氧浓度(FIO2)', '动脉血气分析--吸氧浓度(FIO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '酸碱度(PH)', '动脉血气分析--酸碱度(PH)');
INSERT INTO `icss_lis_mapping` VALUES ('4544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '二氧化碳分压(PCO2)', '动脉血气分析--二氧化碳分压(PCO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '氧分压(PaO2)', '动脉血气分析--氧分压(PaO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '总二氧化碳(TCO2)', '动脉血气分析--总二氧化碳(TCO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '碳酸氢根(HCO3)', '动脉血气分析--碳酸氢根(HCO3)');
INSERT INTO `icss_lis_mapping` VALUES ('4548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '剩余碱(BE)', '动脉血气分析--剩余碱(BE)');
INSERT INTO `icss_lis_mapping` VALUES ('4549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '细胞外剩余碱(Beecf)', '动脉血气分析--细胞外剩余碱(Beecf)');
INSERT INTO `icss_lis_mapping` VALUES ('4550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '标准碳酸氢盐(SB)', '动脉血气分析--标准碳酸氢盐(SB)');
INSERT INTO `icss_lis_mapping` VALUES ('4551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '氧饱和度(O2sat)', '动脉血气分析--氧饱和度(O2sat)');
INSERT INTO `icss_lis_mapping` VALUES ('4552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '肺泡-静脉氧分压差(A-aDO2)', '动脉血气分析--肺泡-静脉氧分压差(A-aDO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动脉血气分析', '呼吸度(RI)', '动脉血气分析--呼吸度(RI)');
INSERT INTO `icss_lis_mapping` VALUES ('4554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动物性过敏原测定', '动物性过敏原', '动物性过敏原测定--动物性过敏原');
INSERT INTO `icss_lis_mapping` VALUES ('4555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动物性过敏原特异性IgE测定', '动物性过敏原特异性IgE', '动物性过敏原特异性IgE测定--动物性过敏原特异性IgE');
INSERT INTO `icss_lis_mapping` VALUES ('4556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '端粒酶活性测定', '端粒酶活性', '端粒酶活性测定--端粒酶活性');
INSERT INTO `icss_lis_mapping` VALUES ('4557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶性肿瘤特异生长因子测定', '恶性肿瘤特异生长因子(TSGF)', '恶性肿瘤特异生长因子测定--恶性肿瘤特异生长因子(TSGF)');
INSERT INTO `icss_lis_mapping` VALUES ('4558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二氧化碳结合力测定', '二氧化碳结合力(CO2CP)', '二氧化碳结合力测定--二氧化碳结合力(CO2CP)');
INSERT INTO `icss_lis_mapping` VALUES ('4559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反T3测定', '反T3', '反T3测定--反T3');
INSERT INTO `icss_lis_mapping` VALUES ('4560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '非结合型雌三醇测定', '非结合型雌三醇(UE3)', '非结合型雌三醇测定--非结合型雌三醇(UE3)');
INSERT INTO `icss_lis_mapping` VALUES ('4561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥达氏反应', 'PA', '肥达氏反应--PA');
INSERT INTO `icss_lis_mapping` VALUES ('4562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥达氏反应', 'PB', '肥达氏反应--PB');
INSERT INTO `icss_lis_mapping` VALUES ('4563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥达氏反应', 'PC', '肥达氏反应--PC');
INSERT INTO `icss_lis_mapping` VALUES ('4564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥达氏反应', 'TH', '肥达氏反应--TH');
INSERT INTO `icss_lis_mapping` VALUES ('4565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥达氏反应', 'TO', '肥达氏反应--TO');
INSERT INTO `icss_lis_mapping` VALUES ('4566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥大细胞脱颗粒试验', '肥大细胞脱颗粒试验', '肥大细胞脱颗粒试验--肥大细胞脱颗粒试验');
INSERT INTO `icss_lis_mapping` VALUES ('4567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺癌标志物5项', '癌胚抗原(CEA)', '肺癌标志物5项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('4568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺癌标志物5项', '神经元特异性烯醇化酶(NSE)', '肺癌标志物5项--神经元特异性烯醇化酶(NSE)');
INSERT INTO `icss_lis_mapping` VALUES ('4569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺癌标志物5项', '鳞状细胞癌相关抗原(SCC)', '肺癌标志物5项--鳞状细胞癌相关抗原(SCC)');
INSERT INTO `icss_lis_mapping` VALUES ('4570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺癌标志物5项', '糖类抗原CA-125', '肺癌标志物5项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('4571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺癌标志物5项', '细胞角蛋白19片段(CYFRA21-1)', '肺癌标志物5项--细胞角蛋白19片段(CYFRA21-1)');
INSERT INTO `icss_lis_mapping` VALUES ('4572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺吸虫抗原和抗体测定', '肺吸虫抗原', '肺吸虫抗原和抗体测定--肺吸虫抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺吸虫抗原和抗体测定', '肺吸虫抗体', '肺吸虫抗原和抗体测定--肺吸虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎克雷伯杆菌抗体测定', '肺炎克雷伯杆菌抗体', '肺炎克雷伯杆菌抗体测定--肺炎克雷伯杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎链球菌测定', '肺炎链球菌', '肺炎链球菌测定--肺炎链球菌');
INSERT INTO `icss_lis_mapping` VALUES ('4576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎衣原体抗体测定', '肺炎衣原体抗体(CP)', '肺炎衣原体抗体测定--肺炎衣原体抗体(CP)');
INSERT INTO `icss_lis_mapping` VALUES ('4577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎支原体补体结合试验', '肺炎支原体补体结合试验', '肺炎支原体补体结合试验--肺炎支原体补体结合试验');
INSERT INTO `icss_lis_mapping` VALUES ('4578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎支原体抗原测定', '肺炎支原体抗原', '肺炎支原体抗原测定--肺炎支原体抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎支原体免疫学试验', '肺炎支原体免疫学试验', '肺炎支原体免疫学试验--肺炎支原体免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('4580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分泌型免疫球蛋白A测定', '分泌型免疫球蛋白A', '分泌型免疫球蛋白A测定--分泌型免疫球蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('4581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酚妥拉明试验', '酚妥拉明试验', '酚妥拉明试验--酚妥拉明试验');
INSERT INTO `icss_lis_mapping` VALUES ('4582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '颜色', '粪便常规--颜色');
INSERT INTO `icss_lis_mapping` VALUES ('4583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '性状', '粪便常规--性状');
INSERT INTO `icss_lis_mapping` VALUES ('4584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '寄生虫虫体', '粪便常规--寄生虫虫体');
INSERT INTO `icss_lis_mapping` VALUES ('4585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '红细胞计数(RBC)', '粪便常规--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('4586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '脓细胞计数', '粪便常规--脓细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '未消化食物', '粪便常规--未消化食物');
INSERT INTO `icss_lis_mapping` VALUES ('4588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '粪脂肪球', '粪便常规--粪脂肪球');
INSERT INTO `icss_lis_mapping` VALUES ('4589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '粪便粘液', '粪便常规--粪便粘液');
INSERT INTO `icss_lis_mapping` VALUES ('4590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '粪便寄生虫卵', '粪便常规--粪便寄生虫卵');
INSERT INTO `icss_lis_mapping` VALUES ('4591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规', '其他', '粪便常规--其他');
INSERT INTO `icss_lis_mapping` VALUES ('4592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '颜色', '粪便常规+隐血--颜色');
INSERT INTO `icss_lis_mapping` VALUES ('4593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '性状', '粪便常规+隐血--性状');
INSERT INTO `icss_lis_mapping` VALUES ('4594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '寄生虫虫体', '粪便常规+隐血--寄生虫虫体');
INSERT INTO `icss_lis_mapping` VALUES ('4595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '红细胞计数(RBC)', '粪便常规+隐血--红细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '脓细胞计数', '粪便常规+隐血--脓细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '未消化食物', '粪便常规+隐血--未消化食物');
INSERT INTO `icss_lis_mapping` VALUES ('4598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '粪脂肪球', '粪便常规+隐血--粪脂肪球');
INSERT INTO `icss_lis_mapping` VALUES ('4599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '粪便粘液', '粪便常规+隐血--粪便粘液');
INSERT INTO `icss_lis_mapping` VALUES ('4600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '粪便寄生虫卵', '粪便常规+隐血--粪便寄生虫卵');
INSERT INTO `icss_lis_mapping` VALUES ('4601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '隐血', '粪便常规+隐血--隐血');
INSERT INTO `icss_lis_mapping` VALUES ('4602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便常规+隐血', '其他', '粪便常规+隐血--其他');
INSERT INTO `icss_lis_mapping` VALUES ('4603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便蛋白质定量', '蛋白质', '粪便蛋白质定量--蛋白质');
INSERT INTO `icss_lis_mapping` VALUES ('4604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便空肠弯曲菌抗原测定', '粪便空肠弯曲菌抗原', '粪便空肠弯曲菌抗原测定--粪便空肠弯曲菌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便轮状病毒抗原测定', '轮状病毒抗原', '粪便轮状病毒抗原--轮状病毒抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便乳糖不耐受测定', '粪便乳糖不耐受', '粪便乳糖不耐受测定--粪便乳糖不耐受');
INSERT INTO `icss_lis_mapping` VALUES ('4607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便隐血试验', '粪便隐血', '粪便隐血试验--粪便隐血');
INSERT INTO `icss_lis_mapping` VALUES ('4608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便幽门螺杆菌抗原测定', '幽门螺杆菌抗原', '粪便幽门螺杆菌抗原测定--幽门螺杆菌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便脂肪定量测定', '粪便脂肪定量', '粪便脂肪定量测定--粪便脂肪定量');
INSERT INTO `icss_lis_mapping` VALUES ('4610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪胆色素检查', '胆红素(BIL)', '粪胆色素检查--胆红素(BIL)');
INSERT INTO `icss_lis_mapping` VALUES ('4611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪胆色素检查', '粪胆原', '粪胆色素检查--粪胆原');
INSERT INTO `icss_lis_mapping` VALUES ('4612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪胆色素检查', '粪胆素', '粪胆色素检查--粪胆素');
INSERT INTO `icss_lis_mapping` VALUES ('4613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪苏丹Ⅲ染色检查', '粪便苏丹Ⅲ染色', '粪苏丹Ⅲ染色检查--粪便苏丹Ⅲ染色');
INSERT INTO `icss_lis_mapping` VALUES ('4614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿3项', 'C反应蛋白(CRP)', '风湿3项--C反应蛋白(CRP)');
INSERT INTO `icss_lis_mapping` VALUES ('4615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿3项', '抗链球菌溶血素O(ASO)', '风湿3项--抗链球菌溶血素O(ASO)');
INSERT INTO `icss_lis_mapping` VALUES ('4616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿3项', '类风湿因子(RF)', '风湿3项--类风湿因子(RF)');
INSERT INTO `icss_lis_mapping` VALUES ('4617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿4项', 'C反应蛋白(CRP)', '风湿4项--C反应蛋白(CRP)');
INSERT INTO `icss_lis_mapping` VALUES ('4618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿4项', '抗链球菌溶血素O(ASO)', '风湿4项--抗链球菌溶血素O(ASO)');
INSERT INTO `icss_lis_mapping` VALUES ('4619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿4项', '类风湿因子(RF)', '风湿4项--类风湿因子(RF)');
INSERT INTO `icss_lis_mapping` VALUES ('4620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风湿4项', '红细胞沉降率(ESR)', '风湿4项--红细胞沉降率(ESR)');
INSERT INTO `icss_lis_mapping` VALUES ('4621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风疹病毒抗体测定', '风疹病毒抗体IgG', '风疹病毒抗体--风疹病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风疹病毒抗体测定', '风疹病毒抗体IgM', '风疹病毒抗体--风疹病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氟喹诺酮类抗生素耐药测定', '氟喹诺酮类抗生素耐药测定', '氟喹诺酮类抗生素耐药测定--氟喹诺酮类抗生素耐药测定');
INSERT INTO `icss_lis_mapping` VALUES ('4624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复钙交叉时间测定', '复钙交叉时间(CRT)', '复钙交叉时间测定--复钙交叉时间');
INSERT INTO `icss_lis_mapping` VALUES ('4625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复钙时间及其纠正试验', '复钙时间及其纠正试验', '复钙时间及其纠正试验--复钙时间及其纠正试验');
INSERT INTO `icss_lis_mapping` VALUES ('4626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复合前列腺特异性抗原测定', '复合前列腺特异性抗原(CPSA)', '复合前列腺特异性抗原测定--复合前列腺特异性抗原(CPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('4627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '副百日咳杆菌抗体测定', '副百日咳杆菌抗体', '副百日咳杆菌抗体--副百日咳杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '副蛋白免疫学检查', '副蛋白免疫学检查', '副蛋白免疫学检查--副蛋白免疫学检查');
INSERT INTO `icss_lis_mapping` VALUES ('4629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '副流感病毒抗体测定', '副流感病毒抗体', '副流感病毒抗体测定--副流感病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '白蛋白', '腹膜透析液常规--白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '肌酐(Cr)', '腹膜透析液常规--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('4632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '尿素(Urea)', '腹膜透析液常规--尿素(Urea)');
INSERT INTO `icss_lis_mapping` VALUES ('4633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '葡萄糖(GLU)', '腹膜透析液常规--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('4634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '钙(Ca)', '腹膜透析液常规--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('4635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '钾(K)', '腹膜透析液常规--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('4636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '氯(Cl)', '腹膜透析液常规--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('4637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹膜透析液常规', '钠(Na)', '腹膜透析液常规--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('4638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液白蛋白测定', '白蛋白(Alb)', '腹腔积液白蛋白--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('4639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '外观', '腹腔积液常规--外观');
INSERT INTO `icss_lis_mapping` VALUES ('4640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '透明度', '腹腔积液常规--透明度');
INSERT INTO `icss_lis_mapping` VALUES ('4641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '细胞计数', '腹腔积液常规--细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '总蛋白定量', '腹腔积液常规--总蛋白定量');
INSERT INTO `icss_lis_mapping` VALUES ('4643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '白蛋白定量', '腹腔积液常规--白蛋白定量');
INSERT INTO `icss_lis_mapping` VALUES ('4644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '黏蛋白定性', '腹腔积液常规--黏蛋白定性');
INSERT INTO `icss_lis_mapping` VALUES ('4645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '氯化物定量', '腹腔积液常规--氯化物定量');
INSERT INTO `icss_lis_mapping` VALUES ('4646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '葡萄糖(GLU)', '腹腔积液常规--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('4647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '淀粉酶(AMY)', '腹腔积液常规--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('4648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '乳酸脱氢酶(LD)', '腹腔积液常规--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('4649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液常规', '甘油三酯(TG)', '腹腔积液常规--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('4650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液淀粉酶测定', '淀粉酶(AMY)', '腹腔积液淀粉酶--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('4651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹腔积液乳糜试验', '腹腔积液乳糜试验', '腹腔积液乳糜试验--腹腔积液乳糜试验');
INSERT INTO `icss_lis_mapping` VALUES ('4652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甘胆酸测定', '甘胆酸(CG)', '甘胆酸测定--甘胆酸(CG)');
INSERT INTO `icss_lis_mapping` VALUES ('4653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甘油测定', '甘油', '甘油测定--甘油');
INSERT INTO `icss_lis_mapping` VALUES ('4654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甘油三酯测定', '甘油三酯(TG)', '甘油三酯--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('4655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '白蛋白(Alb)', '肝功能12项--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('4656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '总蛋白(TP)', '肝功能12项--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('4657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '球蛋白(GLB)', '肝功能12项--球蛋白(GLB)');
INSERT INTO `icss_lis_mapping` VALUES ('4658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '白/球蛋白比', '肝功能12项--白/球蛋白比');
INSERT INTO `icss_lis_mapping` VALUES ('4659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '总胆红素(T-Bil)', '肝功能12项--总胆红素(T-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '直接胆红素(D-Bil)', '肝功能12项--直接胆红素(D-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '间接胆红素(I-Bil)', '肝功能12项--间接胆红素(I-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '谷丙转氨酶(ALT)', '肝功能12项--谷丙转氨酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('4663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '谷草转氨酶(AST)', '肝功能12项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('4664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', 'AST/ALT', '肝功能12项--AST/ALT');
INSERT INTO `icss_lis_mapping` VALUES ('4665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '谷氨酰基转移酶(GGT)', '肝功能12项--谷氨酰基转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('4666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能12项', '碱性磷酸酶(ALP)', '肝功能12项--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('4667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '白蛋白(Alb)', '肝功能15项--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('4668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '总蛋白(TP)', '肝功能15项--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('4669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '球蛋白(GLB)', '肝功能15项--球蛋白(GLB)');
INSERT INTO `icss_lis_mapping` VALUES ('4670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '白/球蛋白比', '肝功能15项--白/球蛋白比');
INSERT INTO `icss_lis_mapping` VALUES ('4671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '总胆红素(T-Bil)', '肝功能15项--总胆红素(T-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '直接胆红素(D-Bil)', '肝功能15项--直接胆红素(D-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '间接胆红素(I-Bil)', '肝功能15项--间接胆红素(I-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('4674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '谷丙转氨酶(ALT)', '肝功能15项--谷丙转氨酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('4675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '谷草转氨酶(AST)', '肝功能15项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('4676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', 'AST/ALT', '肝功能15项--AST/ALT');
INSERT INTO `icss_lis_mapping` VALUES ('4677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '谷氨酰基转移酶(GGT)', '肝功能15项--谷氨酰基转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('4678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '碱性磷酸酶(ALP)', '肝功能15项--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('4679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '总胆汁酸(TBA)', '肝功能15项--总胆汁酸(TBA)');
INSERT INTO `icss_lis_mapping` VALUES ('4680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', '甘氨酰脯氨酸二肽氨基酞酶', '肝功能15项--甘氨酰脯氨酸二肽氨基酞酶');
INSERT INTO `icss_lis_mapping` VALUES ('4681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝功能15项', 'α-L-岩藻糖苷酶(AFU)', '肝功能15项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `icss_lis_mapping` VALUES ('4682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝素辅因子Ⅱ活性测定', '肝素辅因子Ⅱ活性', '肝素辅因子Ⅱ活性测定--肝素辅因子Ⅱ活性');
INSERT INTO `icss_lis_mapping` VALUES ('4683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝素结合蛋白测定', '肝素结合蛋白(HBP)', '肝素结合蛋白测定--肝素结合蛋白(HBP)');
INSERT INTO `icss_lis_mapping` VALUES ('4684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝细胞膜特异性脂蛋白测定', '肝细胞膜特异性脂蛋白', '肝细胞膜特异性脂蛋白测定--肝细胞膜特异性脂蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化4项', 'Ⅳ型胶原(CG-Ⅳ)', '肝纤维化4项--Ⅳ型胶原(CG-Ⅳ)');
INSERT INTO `icss_lis_mapping` VALUES ('4686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化4项', 'Ⅲ型前胶原肽(PC-Ⅲ)', '肝纤维化4项--Ⅲ型前胶原肽(PC-Ⅲ)');
INSERT INTO `icss_lis_mapping` VALUES ('4687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化4项', '透明质酸(HA)', '肝纤维化4项--透明质酸(HA)');
INSERT INTO `icss_lis_mapping` VALUES ('4688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化4项', '层粘连蛋白(LN)', '肝纤维化4项--层粘连蛋白(LN)');
INSERT INTO `icss_lis_mapping` VALUES ('4689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化5项', 'Ⅳ型胶原(CG-Ⅳ)', '肝纤维化5项--Ⅳ型胶原(CG-Ⅳ)');
INSERT INTO `icss_lis_mapping` VALUES ('4690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化5项', 'Ⅲ型前胶原肽(PC-Ⅲ)', '肝纤维化5项--Ⅲ型前胶原肽(PC-Ⅲ)');
INSERT INTO `icss_lis_mapping` VALUES ('4691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化5项', '透明质酸(HA)', '肝纤维化5项--透明质酸(HA)');
INSERT INTO `icss_lis_mapping` VALUES ('4692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化5项', '层粘连蛋白(LN)', '肝纤维化5项--层粘连蛋白(LN)');
INSERT INTO `icss_lis_mapping` VALUES ('4693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝纤维化5项', '单胺氧化酶(MAO)', '肝纤维化5项--单胺氧化酶(MAO)');
INSERT INTO `icss_lis_mapping` VALUES ('4694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '甲肝病毒抗体IgM(HAV-IgM)', '肝炎全套13项--甲肝病毒抗体IgM(HAV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('4695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝表面抗原定性(HBsAg)', '肝炎全套13项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝表面抗体定性(HBsAb)', '肝炎全套13项--乙肝表面抗体定性(HBsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝e抗原定性(HBeAg)', '肝炎全套13项--乙肝e抗原定性(HBeAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝e抗体定性(HBeAb)', '肝炎全套13项--乙肝e抗体定性(HBeAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝核心抗体定性(HBcAb)', '肝炎全套13项--乙肝核心抗体定性(HBcAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '乙肝核心抗体IgM定性(HBc-IgM)', '肝炎全套13项--乙肝核心抗体IgM定性(HBc-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('4701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '丙肝病毒抗体(HCVAb)', '肝炎全套13项--丙肝病毒抗体(HCVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '丁肝病毒抗原(HDVAg)', '肝炎全套13项--丁肝病毒抗原(HDVAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '丁肝病毒抗体(HDVAb)', '肝炎全套13项--丁肝病毒抗体(HDVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '戊型肝炎病毒抗体(Anti-HEV)IgG', '肝炎全套13项--戊型肝炎病毒抗体(Anti-HEV)IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '戊型肝炎病毒抗体(Anti-HEV)IgM', '肝炎全套13项--戊型肝炎病毒抗体(Anti-HEV)IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎全套13项', '庚肝病毒抗体IgG(HGV-IgG)', '肝炎全套13项--庚肝病毒抗体IgG(HGV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('4707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物4项', '甲胎蛋白(AFP)', '肝脏肿瘤标志物4项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('4708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物4项', '癌胚抗原(CEA)', '肝脏肿瘤标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('4709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物4项', '糖类抗原CA-199', '肝脏肿瘤标志物4项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('4710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脏肿瘤标志物4项', '铁蛋白(Fer)', '肝脏肿瘤标志物4项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('4711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干扰素-α抗体测定', '干扰素-α抗体', '干扰素-α抗体测定--干扰素-α抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干扰素测定', '干扰素(IFN)', '干扰素测定--干扰素(IFN)');
INSERT INTO `icss_lis_mapping` VALUES ('4713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高尔基体蛋白73测定', '高尔基体蛋白73(GP73)', '高尔基体蛋白73测定--高尔基体蛋白73(GP73)');
INSERT INTO `icss_lis_mapping` VALUES ('4714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高密度脂蛋白胆固醇测定', '高密度脂蛋白胆固醇(HDL-C)', '高密度脂蛋白胆固醇测定--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('4715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高渗盐水试验静脉法', '高渗盐水试验静脉法', '高渗盐水试验静脉法--高渗盐水试验静脉法');
INSERT INTO `icss_lis_mapping` VALUES ('4716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高渗盐水试验口服法', '高渗盐水试验口服法', '高渗盐水试验口服法--高渗盐水试验口服法');
INSERT INTO `icss_lis_mapping` VALUES ('4717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高铁血红蛋白测定', '高铁血红蛋白(MetHb)', '高铁血红蛋白测定--高铁血红蛋白(MetHb)');
INSERT INTO `icss_lis_mapping` VALUES ('4718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高铁血红蛋白还原试验', '高铁血红蛋白还原试验', '高铁血红蛋白还原试验--高铁血红蛋白还原试验');
INSERT INTO `icss_lis_mapping` VALUES ('4719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高铁血红素白蛋白过筛试验', '高铁血红素白蛋白过筛试验', '高铁血红素白蛋白过筛试验--高铁血红素白蛋白过筛试验');
INSERT INTO `icss_lis_mapping` VALUES ('4720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压3项', '肾素', '高血压3项--肾素');
INSERT INTO `icss_lis_mapping` VALUES ('4721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压3项', '血管紧张素Ⅰ(AngⅠ)', '高血压3项--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `icss_lis_mapping` VALUES ('4722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压3项', '血管紧张素Ⅱ(AngⅡ)', '高血压3项--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `icss_lis_mapping` VALUES ('4723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压4项', '肾素', '高血压4项--肾素');
INSERT INTO `icss_lis_mapping` VALUES ('4724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压4项', '醛固酮(ALD)', '高血压4项--醛固酮(ALD)');
INSERT INTO `icss_lis_mapping` VALUES ('4725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压4项', '血管紧张素Ⅰ(AngⅠ)', '高血压4项--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `icss_lis_mapping` VALUES ('4726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高血压4项', '血管紧张素Ⅱ(AngⅡ)', '高血压4项--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `icss_lis_mapping` VALUES ('4727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾酮测定', '睾酮(T)', '睾酮测定--睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('4728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弓形虫检查', '弓形虫', '弓形虫检查--弓形虫');
INSERT INTO `icss_lis_mapping` VALUES ('4729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弓形虫抗体测定', '弓形虫抗体', '弓形虫抗体测定--弓形虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈碘试验', '宫颈碘试验', '宫颈碘试验--宫颈碘试验');
INSERT INTO `icss_lis_mapping` VALUES ('4731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钩虫检查', '钩虫', '钩虫检查--钩虫');
INSERT INTO `icss_lis_mapping` VALUES ('4732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钩端螺旋体病免疫学测定', '钩端螺旋体病血清学试验', '钩端螺旋体病免疫学试验--钩端螺旋体病血清学试验');
INSERT INTO `icss_lis_mapping` VALUES ('4733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '谷氨酸脱氢酶测定', '谷氨酸脱氢酶(GDH)', '谷氨酸脱氢酶测定--谷氨酸脱氢酶(GDH)');
INSERT INTO `icss_lis_mapping` VALUES ('4734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '谷胱甘肽还原酶测定', '谷胱甘肽还原酶(GR)', '谷胱甘肽还原酶测定--谷胱甘肽还原酶(GR)');
INSERT INTO `icss_lis_mapping` VALUES ('4735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢3项', '总Ⅰ型胶原氨基端延长肽(Total-PINP)', '骨代谢3项--总Ⅰ型胶原氨基端延长肽(Total-PINP)');
INSERT INTO `icss_lis_mapping` VALUES ('4736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢3项', '骨钙素N端中分子片段(N-MID)', '骨代谢3项--骨钙素N端中分子片段(N-MID)');
INSERT INTO `icss_lis_mapping` VALUES ('4737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢3项', 'β-胶原降解产物(β-CTX)', '骨代谢3项--β-胶原降解产物(β-CTX)');
INSERT INTO `icss_lis_mapping` VALUES ('4738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢相关激素测定', '甲状旁腺激素(PTH)', '骨代谢相关激素--甲状旁腺激素(PTH)');
INSERT INTO `icss_lis_mapping` VALUES ('4739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢相关激素测定', 'PTH相关蛋白(PTHrP)', '骨代谢相关激素--PTH相关蛋白(PTHrP)');
INSERT INTO `icss_lis_mapping` VALUES ('4740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢相关激素测定', '维生素D(Vit-D)', '骨代谢相关激素--维生素D(Vit-D)');
INSERT INTO `icss_lis_mapping` VALUES ('4741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨代谢相关激素测定', '骨钙素(CT)', '骨代谢相关激素--骨钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('4742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨钙素N端中分子片段测定', '骨钙素N端中分子片段(N-MID)', '骨钙素N端中分子片段测定--骨钙素N端中分子片段(N-MID)');
INSERT INTO `icss_lis_mapping` VALUES ('4743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨钙素测定', '骨钙素(OC)', '骨钙素测定--骨钙素(OC)');
INSERT INTO `icss_lis_mapping` VALUES ('4744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨胶素测定', '骨胶素(CY211)', '骨胶素测定--骨胶素(CY211)');
INSERT INTO `icss_lis_mapping` VALUES ('4745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨密度测定', '骨密度(BMD)', '骨密度测定--骨密度(BMD)');
INSERT INTO `icss_lis_mapping` VALUES ('4746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨髓苏丹染色检查', '骨髓苏丹染色', '骨髓苏丹染色检查--骨髓苏丹染色');
INSERT INTO `icss_lis_mapping` VALUES ('4747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨髓铁染色检查', '骨髓铁染色检查', '骨髓铁染色检查--骨髓铁染色检查');
INSERT INTO `icss_lis_mapping` VALUES ('4748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨髓涂片细胞学检查', '骨髓有核细胞计数', '骨髓涂片细胞学检查--骨髓有核细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨髓涂片细胞学检查', '骨髓巨核细胞计数', '骨髓涂片细胞学检查--骨髓巨核细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨髓涂片细胞学检查', '造血干细胞计数', '骨髓涂片细胞学检查--造血干细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨型碱性磷酸酶质量测定', '骨型碱性磷酸酶(NBAP)', '骨型碱性磷酸酶质量测定--骨型碱性磷酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('4752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胱抑素(Cys-C)测定', '胱抑素(Cys-C)', '胱抑素(Cys-C)--胱抑素(Cys-C)');
INSERT INTO `icss_lis_mapping` VALUES ('4753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '果糖测定', '果糖', '果糖测定--果糖');
INSERT INTO `icss_lis_mapping` VALUES ('4754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原测定', '过敏原', '过敏原测定--过敏原');
INSERT INTO `icss_lis_mapping` VALUES ('4755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过敏原特异IgE测定', '过敏原特异IgE', '过敏原特异IgE测定--过敏原特异IgE');
INSERT INTO `icss_lis_mapping` VALUES ('4756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药前17α-羟孕酮(17α-OHP)', '过夜地塞米松抑制试验--服药前17α-羟孕酮(17α-OHP)');
INSERT INTO `icss_lis_mapping` VALUES ('4757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药前促肾上腺皮质激素(ACTH)', '过夜地塞米松抑制试验--服药前促肾上腺皮质激素(ACTH)');
INSERT INTO `icss_lis_mapping` VALUES ('4758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药前睾酮(T)', '过夜地塞米松抑制试验--服药前睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('4759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药前硫酸去氢表雄酮', '过夜地塞米松抑制试验--服药前硫酸去氢表雄酮');
INSERT INTO `icss_lis_mapping` VALUES ('4760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药前皮质醇', '过夜地塞米松抑制试验--服药前皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药后17α-羟孕酮(17α-OHP)', '过夜地塞米松抑制试验--服药后17α-羟孕酮(17α-OHP)');
INSERT INTO `icss_lis_mapping` VALUES ('4762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药后促肾上腺皮质激素(ACTH)', '过夜地塞米松抑制试验--服药后促肾上腺皮质激素(ACTH)');
INSERT INTO `icss_lis_mapping` VALUES ('4763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药后睾酮(T)', '过夜地塞米松抑制试验--服药后睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('4764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药后硫酸去氢表雄酮', '过夜地塞米松抑制试验--服药后硫酸去氢表雄酮');
INSERT INTO `icss_lis_mapping` VALUES ('4765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '过夜地塞米松抑制试验', '服药后皮质醇', '过夜地塞米松抑制试验--服药后皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('4766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞包涵体测定', '红细胞包涵体', '红细胞包涵体测定--红细胞包涵体');
INSERT INTO `icss_lis_mapping` VALUES ('4767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞变形能力测定', '红细胞变形能力', '红细胞变形能力测定--红细胞变形能力');
INSERT INTO `icss_lis_mapping` VALUES ('4768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞丙酮酸激酶测定', '红细胞丙酮酸激酶(PK)', '红细胞丙酮酸激酶--红细胞丙酮酸激酶(PK)');
INSERT INTO `icss_lis_mapping` VALUES ('4769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞沉降率测定', '红细胞沉降率(ESR)', '红细胞沉降率--红细胞沉降率(ESR)');
INSERT INTO `icss_lis_mapping` VALUES ('4770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞孵育渗透脆性试验', '红细胞孵育渗透脆性试验', '红细胞孵育渗透脆性试验--红细胞孵育渗透脆性试验');
INSERT INTO `icss_lis_mapping` VALUES ('4771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞谷胱甘肽含量测定', '红细胞谷胱甘肽(GSH)', '红细胞谷胱甘肽含量测定--红细胞谷胱甘肽(GSH)');
INSERT INTO `icss_lis_mapping` VALUES ('4772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞滚动试验', '滚动红细胞百分比', '红细胞滚动试验--滚动红细胞百分比');
INSERT INTO `icss_lis_mapping` VALUES ('4773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞花环试验', 'EA-RFC', '红细胞花环试验--EA-RFC');
INSERT INTO `icss_lis_mapping` VALUES ('4774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞花环试验', 'EAC-RFC', '红细胞花环试验--EAC-RFC');
INSERT INTO `icss_lis_mapping` VALUES ('4775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞花环试验', 'M-RFC', '红细胞花环试验--M-RFC');
INSERT INTO `icss_lis_mapping` VALUES ('4776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞镰变试验', '红细胞镰变试验', '红细胞镰变试验--红细胞镰变试验');
INSERT INTO `icss_lis_mapping` VALUES ('4777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞流变特性检测', '红细胞压积(%)', '红细胞流变特性检测--红细胞压积(%)');
INSERT INTO `icss_lis_mapping` VALUES ('4778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞流变特性检测', '红细胞聚集指数', '红细胞流变特性检测--红细胞聚集指数');
INSERT INTO `icss_lis_mapping` VALUES ('4779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞流变特性检测', '红细胞刚性指数', '红细胞流变特性检测--红细胞刚性指数');
INSERT INTO `icss_lis_mapping` VALUES ('4780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞流变特性检测', '红细胞变形指数', '红细胞流变特性检测--红细胞变形指数');
INSERT INTO `icss_lis_mapping` VALUES ('4781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞流变特性检测', '红细胞电泳指数', '红细胞流变特性检测--红细胞电泳指数');
INSERT INTO `icss_lis_mapping` VALUES ('4782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞膜蛋白测定', '红细胞膜蛋白', '红细胞膜蛋白测定--红细胞膜蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞渗透脆性试验', '开始溶血', '红细胞渗透脆性试验--开始溶血');
INSERT INTO `icss_lis_mapping` VALUES ('4784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞渗透脆性试验', '完全溶血', '红细胞渗透脆性试验--完全溶血');
INSERT INTO `icss_lis_mapping` VALUES ('4785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞叶酸测定', '红细胞叶酸', '红细胞叶酸测定--红细胞叶酸');
INSERT INTO `icss_lis_mapping` VALUES ('4786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞游离原卟啉测定', '红细胞游离原卟啉', '红细胞游离原卟啉测定--红细胞游离原卟啉');
INSERT INTO `icss_lis_mapping` VALUES ('4787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞自身溶血过筛试验', '红细胞自身溶血过筛试验', '红细胞自身溶血过筛试验--红细胞自身溶血过筛试验');
INSERT INTO `icss_lis_mapping` VALUES ('4788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红细胞自身溶血试验及纠正试验', '红细胞自身溶血试验及纠正试验', '红细胞自身溶血试验及纠正试验--红细胞自身溶血试验及纠正试验');
INSERT INTO `icss_lis_mapping` VALUES ('4789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸道病毒抗体全套', '副流感病毒抗体IgM', '呼吸道病毒抗体全套--副流感病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸道病毒抗体全套', '抗腺病毒抗体IgM', '呼吸道病毒抗体全套--抗腺病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸道病毒抗体全套', '呼吸道合胞病毒抗体IgM', '呼吸道病毒抗体全套--呼吸道合胞病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸道合胞病毒抗体测定', '呼吸道合胞病毒抗体', '呼吸道合胞病毒抗体--呼吸道合胞病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸道合胞病毒抗原测定', '呼吸道合胞病毒抗原', '呼吸道合胞病毒抗原--呼吸道合胞病毒抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '外观', '滑膜液常规--外观');
INSERT INTO `icss_lis_mapping` VALUES ('4795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '透明度', '滑膜液常规--透明度');
INSERT INTO `icss_lis_mapping` VALUES ('4796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '量', '滑膜液常规--量');
INSERT INTO `icss_lis_mapping` VALUES ('4797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '黏稠性', '滑膜液常规--黏稠性');
INSERT INTO `icss_lis_mapping` VALUES ('4798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '白细胞计数(WBC)', '滑膜液常规--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('4799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '中性粒细胞计数', '滑膜液常规--中性粒细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('4800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '滑膜液常规', '镜检晶体', '滑膜液常规--镜检晶体');
INSERT INTO `icss_lis_mapping` VALUES ('4801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '环卵沉淀试验', '环卵沉淀试验', '环卵沉淀试验--环卵沉淀试验');
INSERT INTO `icss_lis_mapping` VALUES ('4802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '磺胺类药物耐药测定', '磺胺类药物耐药测定', '磺胺类药物耐药测定--磺胺类药物耐药测定');
INSERT INTO `icss_lis_mapping` VALUES ('4803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活化部分凝血活酶时间测定', '活化部分凝血活酶时间(APTT)', '活化部分凝血活酶时间测定--活化部分凝血活酶时间(APTT)');
INSERT INTO `icss_lis_mapping` VALUES ('4804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活化蛋白C抵抗试验', 'APCR比值', '活化蛋白C抵抗试验--APCR比值');
INSERT INTO `icss_lis_mapping` VALUES ('4805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饥饿试验', '饥饿试验', '饥饿试验--饥饿试验');
INSERT INTO `icss_lis_mapping` VALUES ('4806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌钙蛋白I测定', '肌钙蛋白I(cTnI)', '肌钙蛋白I--肌钙蛋白I(cTnI)');
INSERT INTO `icss_lis_mapping` VALUES ('4807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌钙蛋白T测定', '肌钙蛋白T(cTnT)', '肌钙蛋白T--肌钙蛋白T(cTnT)');
INSERT INTO `icss_lis_mapping` VALUES ('4808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌酸激酶同工酶测定', 'CK-MM', '肌酸激酶同工酶测定--CK-MM');
INSERT INTO `icss_lis_mapping` VALUES ('4809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌酸激酶同工酶测定', 'CK-MB', '肌酸激酶同工酶测定--CK-MB');
INSERT INTO `icss_lis_mapping` VALUES ('4810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌酸激酶同工酶测定', 'CK-BB', '肌酸激酶同工酶测定--CK-BB');
INSERT INTO `icss_lis_mapping` VALUES ('4811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌酸激酶同工酶活性测定', '肌酸激酶同工酶活性(CK-MB)', '肌酸激酶同工酶活性测定--肌酸激酶同工酶活性(CK-MB)');
INSERT INTO `icss_lis_mapping` VALUES ('4812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌酸激酶同工酶质量测定', '肌酸激酶同工酶质量(CK-MBmass)', '肌酸激酶同工酶质量测定--肌酸激酶同工酶质量(CK-MBmass)');
INSERT INTO `icss_lis_mapping` VALUES ('4813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊髓灰质炎病毒抗体测定', '脊髓灰质炎病毒抗体IgG', '脊髓灰质炎病毒抗体--脊髓灰质炎病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊髓灰质炎病毒抗体测定', '脊髓灰质炎病毒抗体IgM', '脊髓灰质炎病毒抗体--脊髓灰质炎病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲苯胺红不加热血清试验', '甲苯胺红不加热血清试验', '甲苯胺红不加热血清试验--甲苯胺红不加热血清试验');
INSERT INTO `icss_lis_mapping` VALUES ('4816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲苯胺蓝纠正试验', '甲苯胺蓝纠正试验', '甲苯胺蓝纠正试验--甲苯胺蓝纠正试验');
INSERT INTO `icss_lis_mapping` VALUES ('4817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲胎蛋白测定', '甲胎蛋白(AFP)', '甲胎蛋白测定--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('4818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲胎蛋白异质体测定', '甲胎蛋白异质体(AFP-L3)', '甲胎蛋白异质体测定--甲胎蛋白异质体(AFP-L3)');
INSERT INTO `icss_lis_mapping` VALUES ('4819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲型肝炎抗体测定', '甲型肝炎抗体(Anti-HAV)', '甲型肝炎抗体测定--甲型肝炎抗体(Anti-HAV)');
INSERT INTO `icss_lis_mapping` VALUES ('4820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲型肝炎抗原测定', '甲型肝炎抗原(HAVAg)', '甲型肝炎抗原测定--甲型肝炎抗原(HAVAg)');
INSERT INTO `icss_lis_mapping` VALUES ('4821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲型流感病毒抗体测定', '甲型流感病毒抗体', '甲型流感病毒抗体测定--甲型流感病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲型流感病毒抗原检测', '甲型流感病毒抗原', '甲型流感病毒抗原检测--甲型流感病毒抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲氧氯普胺兴奋催乳素动态试验', '甲氧氯普胺兴奋催乳素(PRL)动态试验', '甲氧氯普胺兴奋催乳素动态试验--甲氧氯普胺兴奋催乳素(PRL)动态试验');
INSERT INTO `icss_lis_mapping` VALUES ('4824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状旁腺激素测定', '甲状旁腺激素(PTH)', '甲状旁腺激素测定--甲状旁腺激素(PTH)');
INSERT INTO `icss_lis_mapping` VALUES ('4825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能5项', '三碘甲状原氨酸(T3)', '甲状腺功能7项--三碘甲状原氨酸(T3)');
INSERT INTO `icss_lis_mapping` VALUES ('4826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能5项', '甲状腺素(T4)', '甲状腺功能7项--甲状腺素(T4)');
INSERT INTO `icss_lis_mapping` VALUES ('4827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能5项', '游离三碘甲状原氨酸(FT3)', '甲状腺功能7项--游离三碘甲状原氨酸(FT3)');
INSERT INTO `icss_lis_mapping` VALUES ('4828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能5项', '游离甲状腺素(FT4)', '甲状腺功能7项--游离甲状腺素(FT4)');
INSERT INTO `icss_lis_mapping` VALUES ('4829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能5项', '促甲状腺激素(TSH)', '甲状腺功能7项--促甲状腺激素(TSH)');
INSERT INTO `icss_lis_mapping` VALUES ('4830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '三碘甲状原氨酸(T3)', '甲状腺功能7项--三碘甲状原氨酸(T3)');
INSERT INTO `icss_lis_mapping` VALUES ('4831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '甲状腺素(T4)', '甲状腺功能7项--甲状腺素(T4)');
INSERT INTO `icss_lis_mapping` VALUES ('4832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '游离三碘甲状原氨酸(FT3)', '甲状腺功能7项--游离三碘甲状原氨酸(FT3)');
INSERT INTO `icss_lis_mapping` VALUES ('4833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '游离甲状腺素(FT4)', '甲状腺功能7项--游离甲状腺素(FT4)');
INSERT INTO `icss_lis_mapping` VALUES ('4834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '促甲状腺激素(TSH)', '甲状腺功能7项--促甲状腺激素(TSH)');
INSERT INTO `icss_lis_mapping` VALUES ('4835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '抗甲状腺球蛋白抗体(TGAb)', '甲状腺功能7项--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺功能7项', '抗甲状腺过氧化物酶抗体(TPOAb)', '甲状腺功能7项--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺过氧化物酶测定', '甲状腺过氧化物酶(TPO)', '甲状腺过氧化物酶测定--甲状腺过氧化物酶(TPO)');
INSERT INTO `icss_lis_mapping` VALUES ('4838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺结合球蛋白测定', '甲状腺结合球蛋白(TBG)', '甲状腺结合球蛋白测定--甲状腺结合球蛋白(TBG)');
INSERT INTO `icss_lis_mapping` VALUES ('4839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺球蛋白测定', '甲状腺球蛋白(TG)', '甲状腺球蛋白--甲状腺球蛋白(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('4840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺摄碘试验', '24h摄取率', '甲状腺摄碘试验--24h摄取率');
INSERT INTO `icss_lis_mapping` VALUES ('4841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺摄碘试验', '3h摄取率', '甲状腺摄碘试验--3h摄取率');
INSERT INTO `icss_lis_mapping` VALUES ('4842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺素测定', '甲状腺素(T4)', '甲状腺素--甲状腺素(T4)');
INSERT INTO `icss_lis_mapping` VALUES ('4843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体3项', '促甲状腺素受体抗体(TRAb)', '甲状腺自身抗体3项--促甲状腺素受体抗体(TRAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体3项', '抗甲状腺过氧化物酶抗体(TPOAb)', '甲状腺自身抗体3项--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺自身抗体3项', '抗甲状腺球蛋白抗体(TGAb)', '甲状腺自身抗体3项--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钾测定', '钾(K)', '钾测定--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('4847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '间接抗人球蛋白试验', '间接抗人球蛋白试验', '间接抗人球蛋白试验--间接抗人球蛋白试验');
INSERT INTO `icss_lis_mapping` VALUES ('4848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '艰难梭菌测定', '艰难梭菌', '艰难梭菌测定--艰难梭菌');
INSERT INTO `icss_lis_mapping` VALUES ('4849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '艰难梭菌毒素测定', '艰难梭菌毒素', '艰难梭菌毒素测定--艰难梭菌毒素');
INSERT INTO `icss_lis_mapping` VALUES ('4850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '简易凝血活酶生成试验', '简易凝血活酶生成试验', '简易凝血活酶生成试验--简易凝血活酶生成试验');
INSERT INTO `icss_lis_mapping` VALUES ('4851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碱负荷试验', '碱负荷试验', '碱负荷试验--碱负荷试验');
INSERT INTO `icss_lis_mapping` VALUES ('4852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碱性磷酸酶测定', '碱性磷酸酶(ALP)', '碱性磷酸酶测定--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('4853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碱性髓鞘蛋白测定', '碱性髓鞘蛋白', '碱性髓鞘蛋白测定--碱性髓鞘蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碱性胎儿蛋白测定', '碱性胎儿蛋白(BFP)', '碱性胎儿蛋白测定--碱性胎儿蛋白(BFP)');
INSERT INTO `icss_lis_mapping` VALUES ('4855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '降钙素测定', '降钙素(CT)', '降钙素测定--降钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('4856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠癌标志物4项', '癌胚抗原(CEA)', '结肠癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('4857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠癌标志物4项', '糖类抗原CA-50', '结肠癌标志物4项--糖类抗原CA-50');
INSERT INTO `icss_lis_mapping` VALUES ('4858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠癌标志物4项', '糖类抗原CA-199', '结肠癌标志物4项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('4859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠癌标志物4项', '糖类抗原CA-242', '结肠癌标志物4项--糖类抗原CA-242');
INSERT INTO `icss_lis_mapping` VALUES ('4860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结肠弯曲菌抗体测定', '结肠弯曲菌抗体', '结肠弯曲菌抗体--结肠弯曲菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核分枝杆菌抗体测定', '结核分枝杆菌抗体', '结核分枝杆菌抗体--结核分枝杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核分枝杆菌抗原测定', '结核分枝杆菌抗原', '结核分枝杆菌抗原--结核分枝杆菌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核杆菌抗体测定', '结核杆菌抗体', '结核杆菌抗体--结核杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核感染T细胞斑点试验', '结核感染T细胞斑点试验', '结核感染T细胞斑点试验--结核感染T细胞斑点试验');
INSERT INTO `icss_lis_mapping` VALUES ('4865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核感染干扰素测定', '结核感染干扰素', '结核感染干扰素测定--结核感染干扰素');
INSERT INTO `icss_lis_mapping` VALUES ('4866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核菌素试验', '结核菌素试验', '结核菌素试验--结核菌素试验');
INSERT INTO `icss_lis_mapping` VALUES ('4867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '解脲脲原体抗体测定', '解脲脲原体抗体', '解脲脲原体抗体测定--解脲脲原体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '解脲支原体核酸测定', '解脲支原体核酸(UU-DNA)', '解脲支原体核酸测定--解脲支原体核酸(UU-DNA)');
INSERT INTO `icss_lis_mapping` VALUES ('4869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '禁水加压素试验', '禁水加压素试验', '禁水加压素试验--禁水加压素试验');
INSERT INTO `icss_lis_mapping` VALUES ('4870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '禁水试验', '禁水试验', '禁水试验--禁水试验');
INSERT INTO `icss_lis_mapping` VALUES ('4871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精氨酸兴奋试验', '精氨酸兴奋试验', '精氨酸兴奋试验--精氨酸兴奋试验');
INSERT INTO `icss_lis_mapping` VALUES ('4872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浆果糖定性试验', '精浆果糖定性试验', '精浆果糖定性试验--精浆果糖定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('4873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浆柠檬酸测定', '柠檬酸', '精浆柠檬酸测定--柠檬酸');
INSERT INTO `icss_lis_mapping` VALUES ('4874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浆乳酸脱氢酶X同工酶定量测定', '精浆乳酸脱氢酶X同工酶', '精浆乳酸脱氢酶X同工酶定量测定--精浆乳酸脱氢酶X同工酶');
INSERT INTO `icss_lis_mapping` VALUES ('4875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浆锌测定', '锌(Zn)', '精浆锌测定--锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('4876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浆中性α-葡萄糖苷酶测定', '中性α-葡萄糖苷酶', '精浆中性α-葡萄糖苷酶测定--中性α-葡萄糖苷酶');
INSERT INTO `icss_lis_mapping` VALUES ('4877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精液颜色', '精液常规--精液颜色');
INSERT INTO `icss_lis_mapping` VALUES ('4878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精液量', '精液常规--精液量');
INSERT INTO `icss_lis_mapping` VALUES ('4879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', 'pH', '精液常规--pH');
INSERT INTO `icss_lis_mapping` VALUES ('4880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精液液化时间', '精液常规--精液液化时间');
INSERT INTO `icss_lis_mapping` VALUES ('4881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子活动力', '精液常规--精子活动力');
INSERT INTO `icss_lis_mapping` VALUES ('4882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子存活率', '精液常规--精子存活率');
INSERT INTO `icss_lis_mapping` VALUES ('4883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子形态', '精液常规--精子形态');
INSERT INTO `icss_lis_mapping` VALUES ('4884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液常规', '精子计数', '精液常规--精子计数');
INSERT INTO `icss_lis_mapping` VALUES ('4885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液果糖定量试验', '果糖', '精液果糖定量试验--果糖');
INSERT INTO `icss_lis_mapping` VALUES ('4886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液渗透压测定', '精液渗透压(POP)', '精液渗透压测定--精液渗透压(POP)');
INSERT INTO `icss_lis_mapping` VALUES ('4887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '蛋白质', '精液生化-蛋白质');
INSERT INTO `icss_lis_mapping` VALUES ('4888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '果糖', '精液生化-果糖');
INSERT INTO `icss_lis_mapping` VALUES ('4889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '柠檬酸', '精液生化-柠檬酸');
INSERT INTO `icss_lis_mapping` VALUES ('4890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '酸性磷酸酶(ACP)', '精液生化-酸性磷酸酶(ACP)');
INSERT INTO `icss_lis_mapping` VALUES ('4891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '铁(Fe)', '精液生化-铁(Fe)');
INSERT INTO `icss_lis_mapping` VALUES ('4892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '铜(Cu)', '精液生化-铜(Cu)');
INSERT INTO `icss_lis_mapping` VALUES ('4893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液生化', '锌(Zn)', '精液生化-锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('4894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精液酸性磷酸酶测定', '酸性磷酸酶', '精液酸性磷酸酶--酸性磷酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('4895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精子低渗肿胀试验', '精子低渗肿胀试验', '精子低渗肿胀试验--精子低渗肿胀试验');
INSERT INTO `icss_lis_mapping` VALUES ('4896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精子混合抗球蛋白反应试验', '精子混合抗球蛋白反应试验', '精子混合抗球蛋白反应试验--精子混合抗球蛋白反应试验');
INSERT INTO `icss_lis_mapping` VALUES ('4897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精子凝集试验', '精子凝集试验', '精子凝集试验--精子凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('4898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '0minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--0minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '2minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--2minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '3minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--3minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '4minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--4minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '5minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--5minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '8minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--8minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验', '10minC肽(C-P)', '静脉推注葡萄糖C肽释放试验--10minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '1minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--1minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '2minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--2minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '3minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--3minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '10minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--10minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '30minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--30minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '60minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--60minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '120minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--120minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖C肽释放试验延长法', '180minC肽(C-P)', '静脉推注葡萄糖C肽释放试验延长法--180minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('4913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '0min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--0min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '2min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--2min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '3min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--3min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '4min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--4min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '5min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--5min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '8min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--8min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验', '10min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验--10min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '1min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--1min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '2min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--2min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '3min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--3min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '10min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--10min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '30min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--30min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '60min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--60min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '120min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--120min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉推注葡萄糖胰岛素释放试验延长法', '180min胰岛素(INS)', '静脉推注葡萄糖胰岛素释放试验延长法--180min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('4928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '血红蛋白浓度(HGB)', '静脉血气分析--血红蛋白(Hb)');
INSERT INTO `icss_lis_mapping` VALUES ('4929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '吸氧浓度(FIO2)', '静脉血气分析--吸氧浓度(FIO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '酸碱度(PH)', '静脉血气分析--酸碱度(PH)');
INSERT INTO `icss_lis_mapping` VALUES ('4931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '二氧化碳分压(PCO2)', '静脉血气分析--二氧化碳分压(PCO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '氧分压(PaO2)', '静脉血气分析--氧分压(PaO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '总二氧化碳(TCO2)', '静脉血气分析--总二氧化碳(TCO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '碳酸氢根(HCO3)', '静脉血气分析--碳酸氢根(HCO3)');
INSERT INTO `icss_lis_mapping` VALUES ('4935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '剩余碱(BE)', '静脉血气分析--剩余碱(BE)');
INSERT INTO `icss_lis_mapping` VALUES ('4936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '细胞外剩余碱(Beecf)', '静脉血气分析--细胞外剩余碱(Beecf)');
INSERT INTO `icss_lis_mapping` VALUES ('4937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '标准碳酸氢盐(SB)', '静脉血气分析--标准碳酸氢盐(SB)');
INSERT INTO `icss_lis_mapping` VALUES ('4938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '氧饱和度(O2sat)', '静脉血气分析--氧饱和度(O2sat)');
INSERT INTO `icss_lis_mapping` VALUES ('4939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '肺泡-静脉氧分压差(A-aDO2)', '静脉血气分析--肺泡-静脉氧分压差(A-aDO2)');
INSERT INTO `icss_lis_mapping` VALUES ('4940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '静脉血气分析', '呼吸度(RI)', '静脉血气分析--呼吸度(RI)');
INSERT INTO `icss_lis_mapping` VALUES ('4941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酒石酸抑制酸性磷酸酶测定', '酒石酸抑制酸性磷酸酶', '酒石酸抑制酸性磷酸酶测定--酒石酸抑制酸性磷酸酶');
INSERT INTO `icss_lis_mapping` VALUES ('4942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨噬细胞趋化功能试验', '巨噬细胞趋化功能试验', '巨噬细胞趋化功能试验--巨噬细胞趋化功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('4943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨噬细胞吞噬功能试验', '巨噬细胞吞噬功能试验', '巨噬细胞吞噬功能试验--巨噬细胞吞噬功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('4944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨细胞病毒抗体测定', '巨细胞病毒抗体IgG', '巨细胞病毒抗体--巨细胞病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('4945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨细胞病毒抗体测定', '巨细胞病毒抗体IgM', '巨细胞病毒抗体--巨细胞病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('4946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨细胞病毒抗原测定', '巨细胞病毒抗原', '巨细胞病毒抗原测定--巨细胞病毒抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巨细胞病毒抗原血症测定', '巨细胞病毒抗原血症(CMVPP65)', '巨细胞病毒抗原血症测定--巨细胞病毒抗原血症(CMVPP65)');
INSERT INTO `icss_lis_mapping` VALUES ('4948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '军团菌抗体测定', '军团菌抗体', '军团菌抗体--军团菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '军团菌抗原测定', '军团菌抗原', '军团菌抗原--军团菌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('4950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗BB抗体蛋白测定', '抗BB抗体蛋白', '抗BB抗体蛋白测定--抗BB抗体蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('4951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗BP180抗体测定', '抗BP180抗体', '抗BP180抗体测定--抗BP180抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗C1q抗体测定', '抗C1q抗体', '抗C1q抗体测定--抗C1q抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗DNP抗体测定', '抗DNP抗体', '抗DNP抗体--抗DNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗gp210抗体测定', '抗gp210抗体', '抗gp210抗体--抗gp210抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Jo-1抗体测定', '抗Jo-1抗体', '抗Jo-1抗体--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Ku抗体测定', '抗Ku抗体', '抗Ku抗体测定--抗Ku抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Mi-2抗体测定', '抗Mi-2抗体', '抗Mi-2抗体测定--抗Mi-2抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗nRNP/Sm抗体测定', '抗nRNP/Sm抗体', '抗nRNP/Sm抗体--抗nRNP/Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗PL-12抗体测定', '抗PL-12抗体', '抗PL-12抗体测定--抗PL-12抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗PL-7抗体测定', '抗PL-7抗体', '抗PL-7抗体测定--抗PL-7抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗PM-Scl抗体测定', '抗PM-Scl抗体', '抗PM-Scl抗体测定--抗PM-Scl抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗RA33抗体测定', '抗RA33抗体', '抗RA33抗体测定--抗RA33抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗RNP抗体测定', '抗RNP抗体', '抗RNP抗体测定--抗RNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Sa抗体测定', '抗Sa抗体', '抗Sa抗体测定--抗Sa抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Scl-70抗体测定', '抗Scl-70抗体', '抗Scl-70抗体测定--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗Sm抗体测定', '抗Sm抗体', '抗Sm抗体测定--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗sp100抗体测定', '抗sp100抗体', '抗sp100抗体测定--抗sp100抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗SSA52抗体测定', '抗SSA52抗体', '抗SSA52抗体测定--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗SSA60抗体测定', '抗SSA60抗体', '抗SSA60抗体测定--抗SSA60抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗SSA抗体测定', '抗SSA抗体', '抗SSA抗体测定--抗SSA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗SS-B抗体测定', '抗SSB抗体', '抗SS-B抗体测定--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗α胞衬蛋白抗体测定', '抗α胞衬蛋白抗体', '抗α胞衬蛋白抗体测定--抗α胞衬蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗β2-糖蛋白1抗体测定', '抗β2-糖蛋白1抗体', '抗β2-糖蛋白1抗体测定--抗β2-糖蛋白1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗白蛋白抗体测定', '抗白蛋白抗体', '抗白蛋白抗体--抗白蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗变异上皮抗体测定', '抗变异上皮抗体', '抗变异上皮抗体测定--抗变异上皮抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗表皮基底膜抗体测定', '抗表皮基底膜抗体', '抗表皮基底膜抗体测定--抗表皮基底膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗表皮棘细胞桥粒连接抗体测定', '抗表皮棘细胞桥粒连接抗体', '抗表皮棘细胞桥粒连接抗体测定--抗表皮棘细胞桥粒连接抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗表皮细胞基底膜抗体测定', '抗表皮细胞基底膜抗体(类天疱疮抗体)', '抗表皮细胞基底膜抗体测定--抗表皮细胞基底膜抗体(类天疱疮抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('4979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗补体抗体测定', '抗补体抗体', '抗补体抗体测定--抗补体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肠杯状细胞抗体测定', '抗肠杯状细胞抗体', '抗肠杯状细胞抗体测定--抗肠杯状细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗促甲状腺激素刺激激素受体抗体测定', '抗促甲状腺激素刺激激素(TSH)受体抗体', '抗促甲状腺激素刺激激素受体抗体测定--抗促甲状腺激素刺激激素(TSH)受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗促甲状腺素抗体测定', '抗促甲状腺素抗体', '抗促甲状腺素抗体测定--抗促甲状腺素抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗促甲状腺素受体抗体测定', '抗促甲状腺素受体抗体', '抗促甲状腺素受体抗体测定--抗促甲状腺素受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗单链DNA测定', '抗单链DNA', '抗单链DNA测定--抗单链DNA');
INSERT INTO `icss_lis_mapping` VALUES ('4985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肺泡基底膜抗体测定', '抗肺泡基底膜抗体', '抗肺泡基底膜抗体测定--抗肺泡基底膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肺炎支原体抗体测定', '抗肺炎支原体抗体(MP)', '肺炎支原体抗体测定--抗肺炎支原体抗体(MP)');
INSERT INTO `icss_lis_mapping` VALUES ('4987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗钙通道抗体测定', '抗钙通道抗体', '抗钙通道抗体测定--抗钙通道抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝/肾微粒体1型抗体测定', '抗肝/肾微粒体1型抗体(抗LKM-1抗体)', '抗肝/肾微粒体1型抗体测定--抗肝/肾微粒体1型抗体(抗LKM-1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('4989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝肾微粒体抗体测定', '抗肝肾微粒体抗体(LKM)', '抗肝肾微粒体抗体测定--抗肝肾微粒体抗体(LKM)');
INSERT INTO `icss_lis_mapping` VALUES ('4990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝细胞胞浆抗原1型抗体测定', '抗肝细胞胞浆抗原1型抗体(抗LC1抗体)', '抗肝细胞胞浆抗原1型抗体测定--抗肝细胞胞浆抗原1型抗体(抗LC1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('4991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝细胞抗体测定', '抗肝细胞抗体', '抗肝细胞抗体测定--抗肝细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝细胞膜抗体测定', '抗肝细胞膜抗体', '抗肝细胞膜抗体测定--抗肝细胞膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝细胞溶质抗原Ⅰ型抗体测定', '抗肝细胞溶质抗原Ⅰ型抗体(LC-1)', '抗肝细胞溶质抗原Ⅰ型抗体测定--抗肝细胞溶质抗原Ⅰ型抗体(LC-1)');
INSERT INTO `icss_lis_mapping` VALUES ('4994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肝细胞特异性脂蛋白抗体测定', '抗肝细胞特异性脂蛋白抗体', '抗肝细胞特异性脂蛋白抗体--抗肝细胞特异性脂蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗睾丸间质细胞抗体测定', '抗睾丸间质细胞抗体', '抗睾丸间质细胞抗体测定--抗睾丸间质细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('4996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗谷氨酸脱羧酶抗体测定', '抗谷氨酸脱羧酶抗体(GADAb)', '抗谷氨酸脱羧酶抗体--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `icss_lis_mapping` VALUES ('4997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗骨骼肌抗体测定', '抗骨骼肌抗体(ASA)', '抗骨骼肌抗体(ASA)测定--抗骨骼肌抗体(ASA)');
INSERT INTO `icss_lis_mapping` VALUES ('4998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗核抗体(ANA)', '抗核抗体10项--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('4999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗双链DNA抗体(抗dsDNA)', '抗核抗体10项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗SSA52抗体', '抗核抗体10项--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗SSB抗体', '抗核抗体10项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗Jo-1抗体', '抗核抗体10项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗Sm抗体', '抗核抗体10项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗nRNP抗体', '抗核抗体10项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗Scl-70抗体', '抗核抗体10项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗着丝点抗体', '抗核抗体10项--抗着丝点抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体10项', '抗心磷脂抗体(ACA)', '抗核抗体10项--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('5008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗核抗体(ANA)', '抗核抗体20项--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('5009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗双链DNA抗体(抗dsDNA)', '抗核抗体20项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗SSA52抗体', '抗核抗体20项--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗SSB抗体', '抗核抗体20项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗Jo-1抗体', '抗核抗体20项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗Sm抗体', '抗核抗体20项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗nRNP抗体', '抗核抗体20项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗Scl-70抗体', '抗核抗体20项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗着丝点抗体', '抗核抗体20项--抗着丝点抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗心磷脂抗体(ACA)', '抗核抗体20项--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('5018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗线粒体亚型抗体M2(AMA-M2)', '抗核抗体20项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `icss_lis_mapping` VALUES ('5019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗组蛋白抗体(AHA)', '抗核抗体20项--抗组蛋白抗体(AHA)');
INSERT INTO `icss_lis_mapping` VALUES ('5020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗肌动蛋白抗体', '抗核抗体20项--抗肌动蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗核糖体P蛋白抗体(rRNP)', '抗核抗体20项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗波形蛋白抗体', '抗核抗体20项--抗波形蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗PM-Scl抗体(抗PM-1抗体)', '抗核抗体20项--抗PM-Scl抗体(抗PM-1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('5024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗增殖细胞核抗原抗体(抗PCNA)', '抗核抗体20项--抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗核小体抗体(AnuA)', '抗核抗体20项--抗核小体抗体(AnuA)');
INSERT INTO `icss_lis_mapping` VALUES ('5026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗纺锤体抗体', '抗核抗体20项--抗纺锤体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体20项', '抗高尔基抗体', '抗核抗体20项--抗高尔基抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗核抗体(ANA)', '抗核抗体22项--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('5029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗双链DNA抗体(抗dsDNA)', '抗核抗体22项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗SSA52抗体', '抗核抗体22项--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗SSB抗体', '抗核抗体22项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗Jo-1抗体', '抗核抗体22项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗Sm抗体', '抗核抗体22项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗nRNP抗体', '抗核抗体22项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗Scl-70抗体', '抗核抗体22项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗着丝点抗体', '抗核抗体22项--抗着丝点抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗心磷脂抗体(ACA)', '抗核抗体22项--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('5038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗线粒体亚型抗体M2(AMA-M2)', '抗核抗体22项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `icss_lis_mapping` VALUES ('5039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗中性粒细胞胞浆抗体(cANCA)', '抗核抗体22项--抗中性粒细胞胞浆抗体(cANCA)');
INSERT INTO `icss_lis_mapping` VALUES ('5040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗中性粒细胞核周抗体(pANCA)', '抗核抗体22项--抗中性粒细胞核周抗体(pANCA)');
INSERT INTO `icss_lis_mapping` VALUES ('5041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗组蛋白抗体(AHA)', '抗核抗体22项--抗组蛋白抗体(AHA)');
INSERT INTO `icss_lis_mapping` VALUES ('5042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗肌动蛋白抗体', '抗核抗体22项--抗肌动蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗高尔基抗体', '抗核抗体22项--抗高尔基抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗核小体抗体(AnuA)', '抗核抗体22项--抗核小体抗体(AnuA)');
INSERT INTO `icss_lis_mapping` VALUES ('5045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗核糖体P蛋白抗体(rRNP)', '抗核抗体22项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗波形蛋白抗体', '抗核抗体22项--抗波形蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗纺锤体抗体', '抗核抗体22项--抗纺锤体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗增殖细胞核抗原抗体(抗PCNA)', '抗核抗体22项--抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体22项', '抗PM-Scl抗体(抗PM-1抗体)', '抗核抗体22项--抗PM-Scl抗体(抗PM-1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('5050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体2项', '抗核抗体(ANA)', '抗核抗体2项--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('5051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体2项', '抗双链DNA抗体(抗dsDNA)', '抗核抗体2项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗核抗体(ANA)', '抗核抗体8项--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('5053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗双链DNA抗体(抗dsDNA)', '抗核抗体8项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗SSA52抗体', '抗核抗体8项--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗SSB抗体', '抗核抗体8项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗Jo-1抗体', '抗核抗体8项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗Sm抗体', '抗核抗体8项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗nRNP抗体', '抗核抗体8项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体8项', '抗Scl-70抗体', '抗核抗体8项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体测定', '抗核抗体(ANA)', '抗核抗体测定--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('5061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗SSA52抗体', '抗核抗体谱八项--抗SSA52抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗SSA60抗体', '抗核抗体谱八项--抗SSA60抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗SSB抗体', '抗核抗体谱八项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗Jo-1抗体', '抗核抗体谱八项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗Sm抗体', '抗核抗体谱八项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗Scl-70抗体', '抗核抗体谱八项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗着丝点抗体', '抗核抗体谱八项--抗着丝点抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核抗体谱八项', '抗RNP抗体', '抗核抗体谱八项--抗RNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核糖体P蛋白抗体测定', '抗核糖体P蛋白抗体(rRNP)', '抗核糖体P蛋白抗体测定--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗SSA抗体', '抗核提取物抗体七项--抗SSA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗SSB抗体', '抗核提取物抗体七项--抗SSB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗Jo-1抗体', '抗核提取物抗体七项--抗Jo-1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗Sm抗体', '抗核提取物抗体七项--抗Sm抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗nRNP抗体', '抗核提取物抗体七项--抗nRNP抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗Scl-70抗体', '抗核提取物抗体七项--抗Scl-70抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核提取物抗体七项', '抗核糖体P蛋白抗体(rRNP)', '抗核提取物抗体七项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核小体抗体测定', '抗核小体抗体(AnuA)', '抗核小体抗体测定--抗核小体抗体(AnuA)');
INSERT INTO `icss_lis_mapping` VALUES ('5078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗核周因子抗体测定', '抗核周因子抗体(APF)', '抗核周因子抗体测定--抗核周因子抗体(APF)');
INSERT INTO `icss_lis_mapping` VALUES ('5079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗滑膜抗体测定', '抗滑膜抗体', '抗滑膜抗体测定--抗滑膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肌内膜抗体测定', '抗肌内膜抗体(EMA)', '抗肌内膜抗体测定--抗肌内膜抗体(EMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗甲状旁腺抗体测定', '抗甲状旁腺抗体', '抗甲状旁腺抗体测定--抗甲状旁腺抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗甲状腺过氧化物酶抗体测定', '抗甲状腺过氧化物酶抗体(TPOAb)', '抗甲状腺过氧化物酶抗体测定--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗甲状腺球蛋白抗体测定', '抗甲状腺球蛋白抗体(TGAb)', '抗甲状腺球蛋白抗体测定--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗甲状腺微粒体抗体测定', '抗甲状腺微粒体抗体(TMAb)', '抗甲状腺微粒体抗体测定--抗甲状腺微粒体抗体(TMAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗碱血红蛋白测定', '抗碱血红蛋白(HbF)', '抗碱血红蛋白测定--抗碱血红蛋白(HbF)');
INSERT INTO `icss_lis_mapping` VALUES ('5086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胶原I-VI抗体测定', '抗胶原I-VI抗体', '抗胶原I-VI抗体测定--抗胶原I-VI抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗角蛋白抗体测定', '抗角蛋白抗体(AKA)', '抗角蛋白抗体测定--抗角蛋白抗体(AKA)');
INSERT INTO `icss_lis_mapping` VALUES ('5088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗角蛋白丝聚集素抗体测定', '抗角蛋白丝聚集素抗体测定', '抗角蛋白丝聚集素抗体测定--抗角蛋白丝聚集素抗体测定');
INSERT INTO `icss_lis_mapping` VALUES ('5089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗结核抗体测定', '抗结核抗体', '抗结核抗体测定--抗结核抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗精子抗体混合凝集试验', '抗精子抗体混合凝集试验', '抗精子抗体混合凝集试验--抗精子抗体混合凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('5091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗聚角蛋白微丝蛋白抗体测定', '抗聚角蛋白微丝蛋白抗体(AFA)', '抗聚角蛋白微丝蛋白抗体测定--抗聚角蛋白微丝蛋白抗体(AFA)');
INSERT INTO `icss_lis_mapping` VALUES ('5092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗酪氨酸磷酸酶抗体测定', '抗酪氨酸磷酸酶抗体(IA2)', '抗酪氨酸磷酸酶抗体测定--抗酪氨酸磷酸酶抗体(IA2)');
INSERT INTO `icss_lis_mapping` VALUES ('5093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗泪腺外分泌腺排出道和腺泡抗体测定', '抗泪腺外分泌腺排出道和腺泡抗体', '抗泪腺外分泌腺排出道和腺泡抗体测定--抗泪腺外分泌腺排出道和腺泡抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗类风湿关节炎核抗原抗体测定', '抗类风湿关节炎核抗原抗体', '抗类风湿关节炎核抗原抗体测定--抗类风湿关节炎核抗原抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗利尿激素测定', '抗利尿激素(ADH)', '抗利尿激素测定--抗利尿激素(ADH)');
INSERT INTO `icss_lis_mapping` VALUES ('5096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗粒细胞特异性抗核抗体测定', '抗粒细胞特异性抗核抗体', '抗粒细胞特异性抗核抗体测定--抗粒细胞特异性抗核抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌激酶抗体测定', '抗链球菌激酶抗体', '抗链球菌激酶抗体测定--抗链球菌激酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌溶血素O测定', '抗链球菌溶血素O(ASO)', '抗链球菌溶血素O测定--抗链球菌溶血素O(ASO)');
INSERT INTO `icss_lis_mapping` VALUES ('5099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌溶血素O定量', '抗链球菌溶血素O定量', '抗链球菌溶血素O定量--抗链球菌溶血素O定量');
INSERT INTO `icss_lis_mapping` VALUES ('5100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌溶血素O定性', '抗链球菌溶血素O定性', '抗链球菌溶血素O定性--抗链球菌溶血素O定性');
INSERT INTO `icss_lis_mapping` VALUES ('5101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗链球菌透明质酸酶试验', '抗链球菌透明质酸酶试验', '抗链球菌透明质酸酶试验--抗链球菌透明质酸酶试验');
INSERT INTO `icss_lis_mapping` VALUES ('5102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗磷壁酸抗体测定', '抗磷壁酸抗体', '抗磷壁酸抗体测定--抗磷壁酸抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗磷脂酰丝氨酸抗体测定', '抗磷脂酰丝氨酸抗体', '抗磷脂酰丝氨酸抗体测定--抗磷脂酰丝氨酸抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗卵巢抗体测定', '抗卵巢抗体', '抗卵巢抗体测定--抗卵巢抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗麦胶蛋白抗体测定', '抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)', '抗麦胶蛋白抗体测定--抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)');
INSERT INTO `icss_lis_mapping` VALUES ('5106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗苗勒氏管激素测定', '抗苗勒氏管激素(AMH)', '抗苗勒氏管激素测定--抗苗勒氏管激素(AMH)');
INSERT INTO `icss_lis_mapping` VALUES ('5107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗脑垂体抗体测定', '抗脑垂体抗体', '抗脑垂体抗体测定--抗脑垂体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗脑组织抗体测定', '抗脑组织抗体', '抗脑组织抗体测定--抗脑组织抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗内皮细胞抗体测定', '抗内皮细胞抗体(AECA)', '抗内皮细胞抗体测定--抗内皮细胞抗体(AECA)');
INSERT INTO `icss_lis_mapping` VALUES ('5110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗内因子抗体测定', '抗内因子抗体(IFA)', '抗内因子抗体测定--抗内因子抗体(IFA)');
INSERT INTO `icss_lis_mapping` VALUES ('5111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗酿酒酵母抗体测定', '抗酿酒酵母抗体(ASCA)', '抗酿酒酵母抗体测定--抗酿酒酵母(ASCA)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血酶Ⅲ复合物测定', '抗凝血酶Ⅲ复合物(TAT)', '抗凝血酶Ⅲ复合物测定--抗凝血酶Ⅲ复合物(TAT)');
INSERT INTO `icss_lis_mapping` VALUES ('5113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗凝血酶原抗体测定', '抗凝血酶原抗体', '抗凝血酶原抗体测定--抗凝血酶原抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗平滑肌抗体测定', '抗平滑肌抗体(SMA)', '抗平滑肌抗体测定--抗平滑肌抗体(SMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗桥粒芯糖蛋白-1抗体测定', '抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)', '抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)测定--抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('5116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗鞘磷脂抗体测定', '抗鞘磷脂抗体', '抗鞘磷脂抗体测定--抗鞘磷脂抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗去非唾液糖蛋白受体测定', '抗去非唾液糖蛋白受体', '抗去非唾液糖蛋白受体(抗ASGPR抗体)测定--抗去非唾液糖蛋白受体');
INSERT INTO `icss_lis_mapping` VALUES ('5118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗染色体抗体测定', '抗染色体抗体', '抗染色体抗体测定--抗染色体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗人绒毛膜促性腺激素抗体测定', '抗人绒毛膜促性腺激素抗体(AHCGAb)', '抗人绒毛膜促性腺激素抗体测定--抗人绒毛膜促性腺激素抗体(AHCGAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗人乳头瘤病毒抗体测定', '抗人乳头瘤病毒抗体(HPV-Ab)', '抗人乳头瘤病毒抗体(HPV-Ab)测定--抗人乳头瘤病毒抗体(HPV-Ab)');
INSERT INTO `icss_lis_mapping` VALUES ('5121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗软骨抗体测定', '抗软骨抗体', '抗软骨抗体测定--抗软骨抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗腮腺管抗体测定', '抗腮腺管抗体', '抗腮腺管抗体测定--抗腮腺管抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗腮腺外分泌腺排出道和腺泡抗体测定', '抗腮腺外分泌腺排出道和腺泡抗体', '抗腮腺外分泌腺排出道和腺泡抗体测定--抗腮腺外分泌腺排出道和腺泡抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗杀菌通透性增高蛋白抗体测定', '抗杀菌通透性增高蛋白(BPI)抗体', '抗杀菌通透性增高蛋白抗体测定--抗杀菌通透性增高蛋白(BPI)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗神经节苷脂抗体测定', '抗神经节苷脂抗体IgG', '抗神经节苷脂抗体测定--抗神经节苷脂抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗神经节苷脂抗体测定', '抗神经节苷脂抗体IgM', '抗神经节苷脂抗体测定--抗神经节苷脂抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗神经抗原抗体测定', '抗神经抗原抗体', '抗神经抗原抗体测定--抗神经抗原抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肾上腺皮质抗体测定', '抗肾上腺皮质抗体', '抗肾上腺皮质抗体测定--抗肾上腺皮质抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肾上腺细胞抗体测定', '抗肾上腺细胞抗体(AAA)', '抗肾上腺细胞抗体测定--抗肾上腺细胞抗体(AAA)');
INSERT INTO `icss_lis_mapping` VALUES ('5130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗肾小球基底膜抗体测定', '抗肾小球基底膜抗体', '抗肾小球基底膜抗体测定--抗肾小球基底膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗生长激素抗体测定', '抗生长激素抗体', '抗生长激素抗体测定--抗生长激素抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗双链DNA测定', '抗双链DNA(抗dsDNA)', '抗双链DNA测定--抗双链DNA(抗dsDNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗髓鞘相关糖蛋白抗体测定', '抗髓鞘相关糖蛋白抗体', '抗髓鞘相关糖蛋白抗体测定--抗髓鞘相关糖蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胎盘合体滋养层细胞抗体测定', '抗胎盘合体滋养层细胞抗体', '抗胎盘合体滋养层细胞抗体测定--抗胎盘合体滋养层细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胎盘抗原抗体测定', '抗胎盘抗原抗体', '抗胎盘抗原抗体测定--抗胎盘抗原抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗体依赖性细胞毒性试验', '抗体依赖性细胞毒性试验', '抗体依赖性细胞毒性试验--抗体依赖性细胞毒性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗透明带抗体测定', '抗透明带抗体', '抗透明带抗体测定--抗透明带抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗突变型瓜氨酸波型蛋白抗体测定', '抗突变型瓜氨酸波型蛋白(MCV)抗体', '抗突变型瓜氨酸波型蛋白抗体测定--抗突变型瓜氨酸波型蛋白(MCV)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗脱氧核糖核酸酶抗体测定', '抗脱氧核糖核酸酶抗体', '抗脱氧核糖核酸酶抗体--抗脱氧核糖核酸酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗网硬蛋白抗体测定', '抗网硬蛋白抗体', '抗网硬蛋白抗体测定--抗网硬蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胃G细胞抗体测定', '抗胃G细胞抗体', '抗胃G细胞抗体测定--抗胃G细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胃壁细胞抗体测定', '抗胃壁细胞抗体(PCA)', '抗胃壁细胞抗体测定--抗胃壁细胞抗体(PCA)');
INSERT INTO `icss_lis_mapping` VALUES ('5143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗无髓神经纤维抗体测定', '抗无髓神经纤维抗体', '抗无髓神经纤维抗体测定--抗无髓神经纤维抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗细胞浆抗体测定', '抗细胞浆抗体', '抗细胞浆抗体测定--抗细胞浆抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗下丘脑抗体测定', '抗下丘脑抗体', '抗下丘脑抗体测定--抗下丘脑抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗涎/腮腺导管抗体测定', '抗涎/腮腺导管抗体', '抗涎/腮腺导管抗体测定--抗涎/腮腺导管抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗线粒体M2亚型抗体测定', '抗线粒体M2亚型抗体(AMA-M2)', '抗线粒体M2亚型抗体测定--抗线粒体M2亚型抗体(AMA-M2)');
INSERT INTO `icss_lis_mapping` VALUES ('5148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗线粒体抗体测定', '抗线粒体抗体(AMA)', '抗线粒体抗体测定--抗线粒体抗体(AMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗小肠杯状细胞抗体测定', '抗小肠杯状细胞抗体', '抗小肠杯状细胞抗体测定--抗小肠杯状细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗心肌抗体测定', '抗心肌抗体(AHA)', '抗心肌抗体测定--抗心肌抗体(AHA)');
INSERT INTO `icss_lis_mapping` VALUES ('5151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗心磷脂抗体测定', '抗心磷脂抗体(ACA)', '抗心磷脂抗体--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('5152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPIb)', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPIb)');
INSERT INTO `icss_lis_mapping` VALUES ('5153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPⅡb)', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPⅡb)');
INSERT INTO `icss_lis_mapping` VALUES ('5154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPⅢa)', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPⅢa)');
INSERT INTO `icss_lis_mapping` VALUES ('5155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPIX)', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPIX)');
INSERT INTO `icss_lis_mapping` VALUES ('5156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗血液细胞抗体测定', '抗血液细胞抗体', '抗血液细胞抗体测定--抗血液细胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗眼部结构抗体测定', '抗眼部结构抗体', '抗眼部结构抗体测定--抗眼部结构抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗眼肌抗体测定', '抗眼肌抗体', '抗眼肌抗体测定--抗眼肌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胰岛素抗体测定', '抗胰岛素抗体(IAA)', '抗胰岛素抗体测定--抗胰岛素抗体(IAA)');
INSERT INTO `icss_lis_mapping` VALUES ('5160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胰岛素受体抗体测定', '抗胰岛素受体抗体', '抗胰岛素受体抗体测定--抗胰岛素受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胰外分泌腺排出道和腺泡抗体测定', '抗胰外分泌腺排出道和腺泡抗体', '抗胰外分泌腺排出道和腺泡抗体测定--抗胰外分泌腺排出道和腺泡抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗胰腺腺胞抗体测定', '抗胰腺腺胞抗体', '抗胰腺腺胞抗体测定--抗胰腺腺胞抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗乙酰胆碱受体抗体测定', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体测定--抗乙酰胆碱受体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗有髓神经纤维抗体测定', '抗有髓神经纤维抗体', '抗有髓神经纤维抗体测定--抗有髓神经纤维抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗载脂蛋白抗体测定', '抗载脂蛋白抗体', '抗载脂蛋白抗体测定--抗载脂蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗着丝点抗体测定', '抗着丝点抗体', '抗着丝点抗体测定--抗着丝点抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗中心粒抗体测定', '抗中心粒抗体', '抗中心粒抗体测定--抗中心粒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗中性粒细胞胞浆抗体测定', '抗中性粒细胞胞浆抗体(cANCA)', '抗中性粒细胞胞浆抗体测定--抗中性粒细胞胞浆抗体(cANCA)');
INSERT INTO `icss_lis_mapping` VALUES ('5169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗中性粒细胞溶菌酶抗体测定', '抗中性粒细胞溶菌酶抗体', '抗中性粒细胞溶菌酶抗体测定--抗中性粒细胞溶菌酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗中性粒细胞乳铁蛋白抗体测定', '抗中性粒细胞乳铁蛋白抗体', '抗中性粒细胞乳铁蛋白抗体测定--抗中性粒细胞乳铁蛋白抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗中性粒细胞组织蛋白酶G抗体测定', '抗中性粒细胞组织蛋白酶G抗体', '抗中性粒细胞组织蛋白酶G抗体测定--抗中性粒细胞组织蛋白酶G抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗主动脉抗体测定', '抗主动脉抗体', '抗主动脉抗体测定--抗主动脉抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗滋养膜抗体测定', '抗滋养膜抗体', '抗滋养膜抗体测定--抗滋养膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗组蛋白抗体测定', '抗组蛋白抗体(AHA)', '抗组蛋白抗体测定--抗组蛋白抗体(AHA)');
INSERT INTO `icss_lis_mapping` VALUES ('5175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柯萨奇B型病毒抗体测定', '柯萨奇B型病毒抗体(CBVAb)', '柯萨奇B型病毒抗体测定--柯萨奇B型病毒抗体(CBVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柯萨奇病毒抗体测定', '柯萨奇病毒抗体IgG', '柯萨奇病毒抗体测定--柯萨奇病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柯萨奇病毒抗体测定', '柯萨奇病毒抗体IgM', '柯萨奇病毒抗体测定--柯萨奇病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '可乐宁试验', '可乐宁试验', '可乐宁试验--可乐宁试验');
INSERT INTO `icss_lis_mapping` VALUES ('5179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '可溶性细胞间粘附因子-1测定', '可溶性细胞间黏附分子-1(sICAM-1)', '可溶性细胞间黏附分子-1测定--可溶性细胞间黏附分子-1(sICAM-1)');
INSERT INTO `icss_lis_mapping` VALUES ('5180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '可溶性血小板膜α颗粒膜蛋白140测定', '可溶性血小板膜α颗粒膜蛋白140(GMP-140)', '可溶性血小板膜α颗粒膜蛋白140测定--可溶性血小板膜α颗粒膜蛋白140(GMP-140)');
INSERT INTO `icss_lis_mapping` VALUES ('5181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '可溶性转铁蛋白受体测定', '可溶性转铁蛋白受体(sTfR)', '可溶性转铁蛋白受体测定--可溶性转铁蛋白受体(sTfR)');
INSERT INTO `icss_lis_mapping` VALUES ('5182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空肠弯曲菌抗体测定', '空肠弯曲菌抗体', '空肠弯曲菌抗体测定--空肠弯曲菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹葡萄糖测定', '葡萄糖(GLU)', '空腹葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹胃液量测定', '空腹胃液量', '空腹胃液量--空腹胃液量');
INSERT INTO `icss_lis_mapping` VALUES ('5185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹胰岛素测定', '胰岛素(Ins)', '空腹胰岛素--胰岛素(Ins)');
INSERT INTO `icss_lis_mapping` VALUES ('5186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '30min葡萄糖(GLU)', '口服葡萄糖耐量试验--30min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '60min葡萄糖(GLU)', '口服葡萄糖耐量试验--60min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '120min葡萄糖(GLU)', '口服葡萄糖耐量试验--120min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '180min葡萄糖(GLU)', '口服葡萄糖耐量试验--180min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '240min葡萄糖(GLU)', '口服葡萄糖耐量试验--240min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖耐量试验', '300min葡萄糖(GLU)', '口服葡萄糖耐量试验--300min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验3小时法', '30min胰岛素(INS)', '口服葡萄糖胰岛素释放试验3小时法--30min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验3小时法', '60min胰岛素(INS)', '口服葡萄糖胰岛素释放试验3小时法--60min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验3小时法', '120min胰岛素(INS)', '口服葡萄糖胰岛素释放试验3小时法--120min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验3小时法', '180min胰岛素(INS)', '口服葡萄糖胰岛素释放试验3小时法--180min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '30min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--30min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '60min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--60min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '120min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--120min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '180min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--180min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '240min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--240min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口服葡萄糖胰岛素释放试验5小时法', '300min胰岛素(INS)', '口服葡萄糖胰岛素释放试验5小时法--300min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('5202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速尿素酶试验', '快速尿素酶试验', '快速尿素酶试验--快速尿素酶试验');
INSERT INTO `icss_lis_mapping` VALUES ('5203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速血浆反应素试验', '快速血浆反应素试验', '快速血浆反应素试验--快速血浆反应素试验');
INSERT INTO `icss_lis_mapping` VALUES ('5204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '狂犬病毒抗体测定', '狂犬病毒抗体', '狂犬病毒抗体测定--狂犬病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '莱姆氏螺旋体抗体测定', '莱姆氏螺旋体抗体', '莱姆氏螺旋体抗体测定--莱姆氏螺旋体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '狼疮抗凝物质测定', '狼疮抗凝物质(LAC)', '狼疮抗凝物质测定--狼疮抗凝物质测定');
INSERT INTO `icss_lis_mapping` VALUES ('5207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酪胺激发试验', '酪胺激发试验', '酪胺激发试验--酪胺激发试验');
INSERT INTO `icss_lis_mapping` VALUES ('5208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿性关节炎自身抗体测定', '类风湿因子(RF)', '类风湿性关节炎自身抗体--类风湿因子(RF)');
INSERT INTO `icss_lis_mapping` VALUES ('5209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿性关节炎自身抗体测定', '抗环瓜氨酸肽抗体(CCP)', '类风湿性关节炎自身抗体--抗环瓜氨酸肽抗体(CCP)');
INSERT INTO `icss_lis_mapping` VALUES ('5210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿性关节炎自身抗体测定', '抗RA33抗体', '类风湿性关节炎自身抗体--抗RA33抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿性关节炎自身抗体测定', '抗角蛋白抗体(AKA)', '类风湿性关节炎自身抗体--抗角蛋白抗体(AKA)');
INSERT INTO `icss_lis_mapping` VALUES ('5212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类风湿性关节炎自身抗体测定', '抗核周因子抗体(APF)', '类风湿性关节炎自身抗体--抗核周因子抗体(APF)');
INSERT INTO `icss_lis_mapping` VALUES ('5213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类胰岛素样生长因子测定', '类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)', '类胰岛素样生长因子测定--类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)');
INSERT INTO `icss_lis_mapping` VALUES ('5214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类胰岛素样生长因子测定', '类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)', '类胰岛素样生长因子测定--类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)');
INSERT INTO `icss_lis_mapping` VALUES ('5215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '类胰岛素样生长因子结合蛋白-3测定', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '类胰岛素样生长因子结合蛋白-3测定--类胰岛素样生长因子结合蛋白-3(IGF-BP3)');
INSERT INTO `icss_lis_mapping` VALUES ('5216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冷凝集试验', '冷凝集试验', '冷凝集试验--冷凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('5217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冷溶血试验', '冷溶血试验', '冷溶血试验--冷溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('5218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '立克次体免疫学试验', '立克次体免疫学试验', '立克次体免疫学试验--立克次体免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粒细胞集落刺激因子测定', '粒细胞集落刺激因子', '粒细胞集落刺激因子--粒细胞集落刺激因子');
INSERT INTO `icss_lis_mapping` VALUES ('5220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '连续血浆鱼精蛋白稀释试验', '连续血浆鱼精蛋白稀释试验', '连续血浆鱼精蛋白稀释试验--连续血浆鱼精蛋白稀释试验');
INSERT INTO `icss_lis_mapping` VALUES ('5221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞毒试验', '淋巴细胞毒试验', '淋巴细胞毒试验--淋巴细胞毒试验');
INSERT INTO `icss_lis_mapping` VALUES ('5222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞亚类测定', '淋巴细胞亚类测定', '淋巴细胞亚类测定--淋巴细胞亚类测定');
INSERT INTO `icss_lis_mapping` VALUES ('5223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞亚群计数', 'CD3+', '淋巴细胞亚群计数--CD3+');
INSERT INTO `icss_lis_mapping` VALUES ('5224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞亚群计数', 'CD4+', '淋巴细胞亚群计数--CD4+');
INSERT INTO `icss_lis_mapping` VALUES ('5225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞亚群计数', 'CD4+/CD8+', '淋巴细胞亚群计数--CD4+/CD8+');
INSERT INTO `icss_lis_mapping` VALUES ('5226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞亚群计数', 'CD8+', '淋巴细胞亚群计数--CD8+');
INSERT INTO `icss_lis_mapping` VALUES ('5227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴细胞转化试验', '淋巴细胞转化试验', '淋巴细胞转化试验--淋巴细胞转化试验');
INSERT INTO `icss_lis_mapping` VALUES ('5228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋病奈瑟菌药敏试验', '淋病奈瑟菌药敏试验', '淋病奈瑟菌药敏试验--淋病奈瑟菌药敏试验');
INSERT INTO `icss_lis_mapping` VALUES ('5229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '磷测定', '磷(P)', '磷测定--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '磷酸葡萄糖变位酶测定', '磷酸葡萄糖变位酶(PGM)', '磷酸葡萄糖变位酶测定--磷酸葡萄糖变位酶(PGM)');
INSERT INTO `icss_lis_mapping` VALUES ('5231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '磷酸葡萄糖异构酶测定', '磷酸葡萄糖异构酶(GPI)', '磷酸葡萄糖异构酶测定--磷酸葡萄糖异构酶(GPI)');
INSERT INTO `icss_lis_mapping` VALUES ('5232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鳞状细胞癌相关抗原测定', '鳞状细胞癌相关抗原(SCC)', '鳞状细胞癌相关抗原测定--鳞状细胞癌相关抗原(SCC)');
INSERT INTO `icss_lis_mapping` VALUES ('5233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流感嗜血杆菌抗体测定', '流感嗜血杆菌抗体', '流感嗜血杆菌抗体测定--流感嗜血杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热病毒抗体测定', '流行性出血热病毒抗体IgG', '流行性出血热病毒抗体--流行性出血热病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性出血热病毒抗体测定', '流行性出血热病毒抗体IgM', '流行性出血热病毒抗体--流行性出血热病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性腮腺炎病毒抗体测定', '流行性腮腺炎病毒抗体IgG', '流行性腮腺炎病毒抗体--流行性腮腺炎病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性腮腺炎病毒抗体测定', '流行性腮腺炎病毒抗体IgM', '流行性腮腺炎病毒抗体--流行性腮腺炎病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性乙型脑炎病毒抗体测定', '流行性乙型脑炎病毒抗体IgG', '流行性乙型脑炎病毒抗体--流行性乙型脑炎病毒抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流行性乙型脑炎病毒抗体测定', '流行性乙型脑炎病毒抗体IgM', '流行性乙型脑炎病毒抗体--流行性乙型脑炎病毒抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '硫化血红蛋白测定', '硫化血红蛋白(SulfHb)', '硫化血红蛋白测定--硫化血红蛋白(SulfHb)');
INSERT INTO `icss_lis_mapping` VALUES ('5241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '硫酸去氢表雄酮测定', '硫酸去氢表雄酮(DHEAS)', '硫酸去氢表雄酮测定--硫酸去氢表雄酮(DHEAS)');
INSERT INTO `icss_lis_mapping` VALUES ('5242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物5项', '甲胎蛋白(AFP)', '卵巢肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物5项', '癌胚抗原(CEA)', '卵巢肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物5项', '糖类抗原CA-199', '卵巢肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物5项', '糖类抗原CA-125', '卵巢肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵巢肿瘤标志物5项', 'β人绒毛膜促性腺激素(β-HCG)', '卵巢肿瘤标志物5项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卵泡刺激素测定', '卵泡刺激素(FSH)', '卵泡刺激素测定--卵泡刺激素(FSH)');
INSERT INTO `icss_lis_mapping` VALUES ('5248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轮状病毒抗体测定', '轮状病毒抗体', '轮状病毒抗体测定--轮状病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氯测定', '氯(Cl)', '氯测定--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐C肽释放试验', '50minC肽(C-P)', '馒头餐C肽释放试验--50minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐C肽释放试验', '60minC肽(C-P)', '馒头餐C肽释放试验--60minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐C肽释放试验', '120minC肽(C-P)', '馒头餐C肽释放试验--120minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐C肽释放试验', '240minC肽(C-P)', '馒头餐C肽释放试验--240minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐C肽释放试验', '300minC肽(C-P)', '馒头餐C肽释放试验--300minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '馒头餐胰岛功能相关激素释放试验', '馒头餐胰岛功能相关激素释放试验', '馒头餐胰岛功能相关激素释放试验--馒头餐胰岛功能相关激素释放试验');
INSERT INTO `icss_lis_mapping` VALUES ('5256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛细血管脆性试验', '毛细血管脆性试验', '毛细血管脆性试验--毛细血管脆性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒螺旋体抗体测定', '梅毒螺旋体抗体(TP-Ab)', '梅毒螺旋体抗体测定--梅毒螺旋体抗体(TP-Ab)');
INSERT INTO `icss_lis_mapping` VALUES ('5258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒螺旋体抗原血清试验', '梅毒螺旋体抗原血清试验', '梅毒螺旋体抗原血清试验--梅毒螺旋体抗原血清试验');
INSERT INTO `icss_lis_mapping` VALUES ('5259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒螺旋体血细胞凝集试验', '梅毒螺旋体血细胞凝集试验', '梅毒螺旋体血细胞凝集试验--梅毒螺旋体血细胞凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('5260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒特异性抗体测定', '梅毒特异性抗体', '梅毒特异性抗体测定--梅毒特异性抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '镁测定', '镁(Mg)', '镁测定--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泌乳素测定', '泌乳素(PRL)', '泌乳素测定--泌乳素(PRL)');
INSERT INTO `icss_lis_mapping` VALUES ('5263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '密螺旋体颗粒凝集试验', '密螺旋体颗粒凝集(TPPA)试验', '密螺旋体颗粒凝集试验--密螺旋体颗粒凝集(TPPA)试验');
INSERT INTO `icss_lis_mapping` VALUES ('5264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白A定量', '免疫球蛋白A(IgA)', '免疫球蛋白A定量--免疫球蛋白A(IgA)');
INSERT INTO `icss_lis_mapping` VALUES ('5265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白D定量', '免疫球蛋白D(IgD)', '免疫球蛋白D定量--免疫球蛋白D(IgD)');
INSERT INTO `icss_lis_mapping` VALUES ('5266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白E定量', '免疫球蛋白E(IgE)', '免疫球蛋白E定量--免疫球蛋白E(IgE)');
INSERT INTO `icss_lis_mapping` VALUES ('5267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白G定量', '免疫球蛋白G(IgG)', '免疫球蛋白G定量--免疫球蛋白G(IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白M定量', '免疫球蛋白M(IgM)', '免疫球蛋白M定量--免疫球蛋白M(IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('5269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白轻链测定', '免疫球蛋白轻链测定', '免疫球蛋白轻链测定--免疫球蛋白轻链测定');
INSERT INTO `icss_lis_mapping` VALUES ('5270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgA1', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgA1');
INSERT INTO `icss_lis_mapping` VALUES ('5271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgA2', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgA2');
INSERT INTO `icss_lis_mapping` VALUES ('5272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG1', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG1');
INSERT INTO `icss_lis_mapping` VALUES ('5273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG2', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG2');
INSERT INTO `icss_lis_mapping` VALUES ('5274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG3', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG3');
INSERT INTO `icss_lis_mapping` VALUES ('5275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG4', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG4');
INSERT INTO `icss_lis_mapping` VALUES ('5276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '免疫球蛋白游离轻链测定', '免疫球蛋白游离轻链测定', '免疫球蛋白游离轻链测定--免疫球蛋白游离轻链测定');
INSERT INTO `icss_lis_mapping` VALUES ('5277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '木糖测定', '木糖', '木糖测定--木糖');
INSERT INTO `icss_lis_mapping` VALUES ('5278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钠测定', '钠(Na)', '钠测定--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耐甲氧西林葡萄球菌测定', '耐甲氧西林葡萄球菌', '耐甲氧西林葡萄球菌测定--耐甲氧西林葡萄球菌');
INSERT INTO `icss_lis_mapping` VALUES ('5280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耐甲氧西林葡萄球菌药敏定量试验', '耐甲氧西林葡萄球菌药敏定量试验', '耐甲氧西林葡萄球菌药敏定量试验--耐甲氧西林葡萄球菌药敏定量试验');
INSERT INTO `icss_lis_mapping` VALUES ('5281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耐甲氧西林葡萄球菌药敏定性试验', '耐甲氧西林葡萄球菌药敏定性试验', '耐甲氧西林葡萄球菌药敏定性试验--耐甲氧西林葡萄球菌药敏定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物5项', '甲胎蛋白(AFP)', '男性肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物5项', '癌胚抗原(CEA)', '男性肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物5项', '糖类抗原CA-199', '男性肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物5项', '糖类抗原CA-125', '男性肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物5项', '总前列腺特异性抗原(TPSA)', '男性肿瘤标志物5项--总前列腺特异性抗原(TPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '甲胎蛋白(AFP)', '男性肿瘤标志物6项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '癌胚抗原(CEA)', '男性肿瘤标志物6项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '糖类抗原CA-199', '男性肿瘤标志物6项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '糖类抗原CA-125', '男性肿瘤标志物6项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '总前列腺特异性抗原(TPSA)', '男性肿瘤标志物6项--总前列腺特异性抗原(TPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物6项', '铁蛋白(Fer)', '男性肿瘤标志物6项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '甲胎蛋白(AFP)', '男性肿瘤标志物7项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '癌胚抗原(CEA)', '男性肿瘤标志物7项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '糖类抗原CA-199', '男性肿瘤标志物7项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '糖类抗原CA-125', '男性肿瘤标志物7项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '总前列腺特异性抗原(TPSA)', '男性肿瘤标志物7项--总前列腺特异性抗原(TPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '铁蛋白(Fer)', '男性肿瘤标志物7项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性肿瘤标志物7项', '游离前列腺特异性抗原(FPSA)', '男性肿瘤标志物7项--游离前列腺特异性抗原(FPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '囊虫病补体结合试验', '囊虫病补体结合试验', '囊虫病补体结合试验--囊虫病补体结合试验');
INSERT INTO `icss_lis_mapping` VALUES ('5301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液β-内啡肽测定', 'β-内啡肽', '脑脊液β-内啡肽测定--β-内啡肽');
INSERT INTO `icss_lis_mapping` VALUES ('5302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '颜色', '脑脊液常规+生化--颜色');
INSERT INTO `icss_lis_mapping` VALUES ('5303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '透明度', '脑脊液常规+生化--透明度');
INSERT INTO `icss_lis_mapping` VALUES ('5304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '比重(SG)', '脑脊液常规+生化--比重(SG)');
INSERT INTO `icss_lis_mapping` VALUES ('5305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '酸碱度(PH)', '脑脊液常规+生化--酸碱度(PH)');
INSERT INTO `icss_lis_mapping` VALUES ('5306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '压力', '脑脊液常规+生化--压力');
INSERT INTO `icss_lis_mapping` VALUES ('5307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '葡萄糖(GLU)', '脑脊液常规+生化--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '白蛋白', '脑脊液常规+生化--白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '蛋白质定量', '脑脊液常规+生化--蛋白质定量');
INSERT INTO `icss_lis_mapping` VALUES ('5310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '氯化物定量', '脑脊液常规+生化--氯化物定量');
INSERT INTO `icss_lis_mapping` VALUES ('5311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '乳酸', '脑脊液常规+生化--乳酸');
INSERT INTO `icss_lis_mapping` VALUES ('5312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '腺苷脱氨酶(ADA)', '脑脊液常规+生化--腺苷脱氨酶(ADA)');
INSERT INTO `icss_lis_mapping` VALUES ('5313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '白细胞计数(WBC)', '脑脊液常规+生化--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '单核细胞百分比(MONO%)', '脑脊液常规+生化--单核细胞百分比(MONO%)');
INSERT INTO `icss_lis_mapping` VALUES ('5315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '红细胞计数(RBC)', '脑脊液常规+生化--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '淋巴细胞百分比(LYM%)', '脑脊液常规+生化--淋巴细胞百分比(LYM%)');
INSERT INTO `icss_lis_mapping` VALUES ('5317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '中性粒细胞百分比(NEUT%)', '脑脊液常规+生化--中性粒细胞百分比(NEUT%)');
INSERT INTO `icss_lis_mapping` VALUES ('5318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '革兰染色', '脑脊液常规+生化--革兰染色');
INSERT INTO `icss_lis_mapping` VALUES ('5319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液常规+生化', '抗酸染色', '脑脊液常规+生化--抗酸染色');
INSERT INTO `icss_lis_mapping` VALUES ('5320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液促甲状腺素测定', '促甲状腺激素(TSH)', '脑脊液促甲状腺素--促甲状腺激素(TSH)');
INSERT INTO `icss_lis_mapping` VALUES ('5321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液免疫球蛋白测定', 'β2-巨球蛋白(β2-MG)', '脑脊液免疫球蛋白--β2-巨球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液免疫球蛋白测定', '免疫球蛋白A', '脑脊液免疫球蛋白--免疫球蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('5323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液免疫球蛋白测定', '免疫球蛋白G', '脑脊液免疫球蛋白--免疫球蛋白G');
INSERT INTO `icss_lis_mapping` VALUES ('5324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液免疫球蛋白测定', '免疫球蛋白M', '脑脊液免疫球蛋白--免疫球蛋白M');
INSERT INTO `icss_lis_mapping` VALUES ('5325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液免疫球蛋白测定', '髓鞘碱性蛋白', '脑脊液免疫球蛋白--髓鞘碱性蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液溶菌酶测定', '溶菌酶(LYSO)', '脑脊液溶菌酶--溶菌酶');
INSERT INTO `icss_lis_mapping` VALUES ('5327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑脊液乳酸测定', '乳酸(LA)', '脑脊液乳酸--乳酸(LA)');
INSERT INTO `icss_lis_mapping` VALUES ('5328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑膜炎奈瑟菌抗体测定', '脑膜炎奈瑟菌抗体', '脑膜炎奈瑟菌抗体--脑膜炎奈瑟菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内毒素鲎定量试验', '内毒素鲎定量试验', '内毒素鲎定量试验--内毒素鲎定量试验');
INSERT INTO `icss_lis_mapping` VALUES ('5330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内毒素鲎定性试验', '内毒素鲎定性试验', '内毒素鲎定性试验--内毒素鲎定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内皮生长因子测定', '内皮生长因子', '内皮生长因子测定--内皮生长因子');
INSERT INTO `icss_lis_mapping` VALUES ('5332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内生肌酐清除率测定', '肌酐清除率(CCr)', '内生肌酐清除率测定--肌酐清除率(CCr)');
INSERT INTO `icss_lis_mapping` VALUES ('5333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '念珠菌病免疫学试验', '念珠菌病免疫学试验', '念珠菌病免疫学试验--念珠菌病免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿17-羟皮质类固醇测定', '尿17-羟皮质类固醇(17-OHCS)', '尿17-羟皮质类固醇测定--17-羟皮质类固醇(17-OHCS)');
INSERT INTO `icss_lis_mapping` VALUES ('5335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿17-酮皮质类固醇测定', '尿17-酮皮质类固醇(17-KS)', '尿17-酮皮质类固醇测定--尿17-酮皮质类固醇(17-KS)');
INSERT INTO `icss_lis_mapping` VALUES ('5336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿C肽定量(24h)', 'C肽(C-P)', '尿C肽定量(24h)--C肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿N-乙酰-β-D-葡萄糖苷酶测定', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '尿N-乙酰-β-D-葡萄糖苷酶测定--尿N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `icss_lis_mapping` VALUES ('5338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿T-H糖蛋白定量(24h)', '尿T-H糖蛋白', '尿T-H糖蛋白定量(24h)--尿T-H糖蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿α1微量球蛋白测定', 'α1微量球蛋白', '尿α1微量球蛋白测定--α1微量球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿α1微量球蛋白定量(24h)', 'α1微量球蛋白', '尿α1微量球蛋白定量(24h)--α1微量球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿α1微球蛋白测定', 'α1微球蛋白(α1-MG)', '尿α1微球蛋白测定--α1微球蛋白(α1-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '尿β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿β2微球蛋白定量(24h)', 'β2微球蛋白(β2-MG)', '尿β2微球蛋白定量(24h)--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿β-D-半乳糖苷酶测定', 'β-D-半乳糖苷酶(GAL)', '尿β-D-半乳糖苷酶测定--β-D-半乳糖苷酶(GAL)');
INSERT INTO `icss_lis_mapping` VALUES ('5345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿人绒毛膜促性腺激素定量', '尿人绒毛膜促性腺激素(HCG)', '尿人绒毛膜促性腺激素定量--尿人绒毛膜促性腺激素(HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿β人绒毛膜促性腺激素定量', '尿β人绒毛膜促性腺激素(β-HCG)', '尿β人绒毛膜促性腺激素定量--尿β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿人绒毛膜促性腺激素定性', '尿人绒毛膜促性腺激素定性(HCG)', '尿人绒毛膜促性腺激素定性--尿人绒毛膜促性腺激素定性(HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿β人绒毛膜促性腺激素定性', '尿β人绒毛膜促性腺激素定性(β-HCG)', '尿β人绒毛膜促性腺激素定性--尿β人绒毛膜促性腺激素定性(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿γ-谷氨酰转移酶测定', '尿γ-谷氨酰转移酶(GGT)', '尿γ-谷氨酰转移酶测定--尿γ-谷氨酰转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('5350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白蛋白排泄率测定', '尿白蛋白排泄率(UAE)', '尿白蛋白排泄率测定--尿白蛋白排泄率');
INSERT INTO `icss_lis_mapping` VALUES ('5351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿半乳糖定量(24h)', '半乳糖', '尿半乳糖测定--半乳糖');
INSERT INTO `icss_lis_mapping` VALUES ('5352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿半乳糖定性', '尿半乳糖定性', '尿半乳糖定性--尿半乳糖定性');
INSERT INTO `icss_lis_mapping` VALUES ('5353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿包涵体测定', '包涵体', '尿包涵体测定--包涵体');
INSERT INTO `icss_lis_mapping` VALUES ('5354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿本周氏蛋白定性试验', '尿本周氏蛋白定性试验', '尿本周氏蛋白定性试验--尿本周氏蛋白定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿苯丙酮酸定量(24h)', '苯丙酮酸(PKU)', '尿苯丙酮酸定量(24h)--苯丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('5356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿苯丙酮酸测定', '苯丙酮酸(PKU)', '尿苯丙酮酸测定--苯丙酮酸(PKU)');
INSERT INTO `icss_lis_mapping` VALUES ('5357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿苯丙酮酸定性', '尿苯丙酮酸定性', '尿苯丙酮酸定性--尿苯丙酮酸定性');
INSERT INTO `icss_lis_mapping` VALUES ('5358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿比重3h试验', '尿比重3h试验', '尿比重3h试验--尿比重3h试验');
INSERT INTO `icss_lis_mapping` VALUES ('5359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿比重测定', '比重(SG)', '尿比重测定--比重(SG)');
INSERT INTO `icss_lis_mapping` VALUES ('5360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿吡啶酚测定', '吡啶酚(Pyr)', '尿吡啶酚测定--吡啶酚(Pyr)');
INSERT INTO `icss_lis_mapping` VALUES ('5361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿丙氨酸氨基肽酶测定', '丙氨酸氨基肽酶', '尿丙氨酸氨基肽酶测定--尿丙氨酸氨基肽酶');
INSERT INTO `icss_lis_mapping` VALUES ('5362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿卟啉定量(24h)', '尿卟啉', '尿卟啉定量(24h)--尿卟啉');
INSERT INTO `icss_lis_mapping` VALUES ('5363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿卟啉定性', '尿卟啉定性', '尿卟啉定性--尿卟啉定性');
INSERT INTO `icss_lis_mapping` VALUES ('5364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿补体C3定量(24h)', '补体C3', '尿补体C3定量(24h)--补体C3');
INSERT INTO `icss_lis_mapping` VALUES ('5365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿草酸盐定量(24h)', '尿草酸盐', '尿草酸盐定量(24h)--尿草酸盐');
INSERT INTO `icss_lis_mapping` VALUES ('5366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '葡萄糖(GLU)', '尿常规11联-葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '胆红素(BIL)', '尿常规11联-胆红素(BIL)');
INSERT INTO `icss_lis_mapping` VALUES ('5368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '尿酮体(KET)', '尿常规11联-尿酮体(KET)');
INSERT INTO `icss_lis_mapping` VALUES ('5369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '比重(SG)', '尿常规11联-比重(SG)');
INSERT INTO `icss_lis_mapping` VALUES ('5370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '酸碱度(PH)', '尿常规11联-酸碱度(PH)');
INSERT INTO `icss_lis_mapping` VALUES ('5371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '尿蛋白(PRO-U)', '尿常规11联-尿蛋白(PRO)');
INSERT INTO `icss_lis_mapping` VALUES ('5372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '尿胆原(URO-U)', '尿常规11联-尿胆原(URO)');
INSERT INTO `icss_lis_mapping` VALUES ('5373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '亚硝酸盐(NIT)', '尿常规11联-亚硝酸盐(NIT)');
INSERT INTO `icss_lis_mapping` VALUES ('5374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '隐血(BLD)', '尿常规11联-隐血(BLD)');
INSERT INTO `icss_lis_mapping` VALUES ('5375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '白细胞脂酶(LEU)', '尿常规11联-白细胞脂酶(LEU)');
INSERT INTO `icss_lis_mapping` VALUES ('5376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿常规11联', '维生素C(VC)', '尿常规11联-维生素C(VC)');
INSERT INTO `icss_lis_mapping` VALUES ('5377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣检查', '红细胞计数(RBC)', '尿沉渣检查--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣检查', '白细胞计数(WBC)', '尿沉渣检查--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣检查', '上皮细胞计数', '尿沉渣检查--上皮细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('5380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣检查', '管型', '尿沉渣检查--管型');
INSERT INTO `icss_lis_mapping` VALUES ('5381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿沉渣检查', '细菌', '尿沉渣检查--细菌');
INSERT INTO `icss_lis_mapping` VALUES ('5382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胆红素定性试验', '尿胆红素定性试验', '尿胆红素定性试验--尿胆红素定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胆素定性试验', '尿胆素定性试验', '尿胆素定性试验--尿胆素定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胆原定性试验', '尿胆原定性试验', '尿胆原定性试验--尿胆原定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '纤维蛋白降解产物(FDP)', '尿蛋白电泳分析--纤维蛋白降解产物(FDP)');
INSERT INTO `icss_lis_mapping` VALUES ('5386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '尿蛋白电泳分析--N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `icss_lis_mapping` VALUES ('5387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '视黄醇结合蛋白(RBP)', '尿蛋白电泳分析--视黄醇结合蛋白(RBP)');
INSERT INTO `icss_lis_mapping` VALUES ('5388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', 'α1微量球蛋白', '尿蛋白电泳分析--α1微量球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', 'α2巨球蛋白(α2-MG)', '尿蛋白电泳分析--α2巨球蛋白(α2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', 'β2微球蛋白(β2-MG)', '尿蛋白电泳分析--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', 'β3微球蛋白', '尿蛋白电泳分析--β3微球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '免疫球蛋白IgG', '尿蛋白电泳分析--免疫球蛋白IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '轻链KAPPA', '尿蛋白电泳分析--轻链KAPPA');
INSERT INTO `icss_lis_mapping` VALUES ('5394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '轻链LAMBDA', '尿蛋白电泳分析--轻链LAMBDA');
INSERT INTO `icss_lis_mapping` VALUES ('5395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '微量白蛋白', '尿蛋白电泳分析--微量白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '中分子带', '尿蛋白电泳分析--中分子带');
INSERT INTO `icss_lis_mapping` VALUES ('5397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白电泳分析', '转铁蛋白(TRF)', '尿蛋白电泳分析--转铁蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量(24h)', '尿蛋白', '尿蛋白定量(24h)--尿蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', '总蛋白(TP)', '尿蛋白定量分析--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('5400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', '微量白蛋白(mALB)', '尿蛋白定量分析--微量白蛋白(mALB)');
INSERT INTO `icss_lis_mapping` VALUES ('5401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', '尿转铁蛋白(TRF)', '尿蛋白定量分析--转铁蛋白(TRFU)');
INSERT INTO `icss_lis_mapping` VALUES ('5402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', '免疫球蛋白G(IgG)', '尿蛋白定量分析--免疫球蛋白G(IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', 'α1微球蛋白(α1-MG)', '尿蛋白定量分析--α1微球蛋白(α1-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', 'β2微球蛋白(β2-MG)', '尿蛋白定量分析--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', '视黄醇结合蛋白(RBP)', '尿蛋白定量分析--视黄醇结合蛋白(RBP)');
INSERT INTO `icss_lis_mapping` VALUES ('5406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', 'λ型游离轻链', '尿蛋白定量分析--λ型游离轻链');
INSERT INTO `icss_lis_mapping` VALUES ('5407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', 'k型游离轻链', '尿蛋白定量分析--k型游离轻链');
INSERT INTO `icss_lis_mapping` VALUES ('5408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定量分析', 'α2巨球蛋白(α2-MG)', '尿蛋白定量分析--α2巨球蛋白(α2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿蛋白定性', '尿蛋白定性', '尿蛋白定性--尿蛋白定性');
INSERT INTO `icss_lis_mapping` VALUES ('5410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '二氧化碳(CO2)', '尿电解质--二氧化碳(CO2)');
INSERT INTO `icss_lis_mapping` VALUES ('5411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '钾(K)', '尿电解质--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '离子钙(Ca2+)', '尿电解质--离子钙(Ca2+)');
INSERT INTO `icss_lis_mapping` VALUES ('5413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '磷(P)', '尿电解质--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '氯(Cl)', '尿电解质--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '镁(Mg)', '尿电解质--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '钠(Na)', '尿电解质--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '总钙(Ca)', '尿电解质--总钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质测定', '阴离子隙(AG)', '尿电解质--阴离子隙(AG)');
INSERT INTO `icss_lis_mapping` VALUES ('5419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质定量(24h)', '钠(Na)', '尿电解质定量(24h)--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质定量(24h)', '钾(K)', '尿电解质定量(24h)--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质定量(24h)', '氯(Cl)', '尿电解质定量(24h)--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿电解质定量(24h)', '酸氢根(HCO3-)', '尿电解质定量(24h)--酸氢根(HCO3-)');
INSERT INTO `icss_lis_mapping` VALUES ('5423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿淀粉酶测定', '淀粉酶(AMY)', '尿淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('5424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿多巴胺定量(24h)', '多巴胺', '尿多巴胺24h定量--多巴胺');
INSERT INTO `icss_lis_mapping` VALUES ('5425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿儿茶酚胺定量(24h)', '儿茶酚胺', '尿儿茶酚胺定量(24h)--儿茶酚胺');
INSERT INTO `icss_lis_mapping` VALUES ('5426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿儿茶酚胺定量(24h)', '去甲肾上腺素(NE)', '尿儿茶酚胺定量(24h)--去甲肾上腺素(NE)');
INSERT INTO `icss_lis_mapping` VALUES ('5427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿儿茶酚胺定量(24h)', '肾上腺素(AD)', '尿儿茶酚胺定量(24h)--肾上腺素(AD)');
INSERT INTO `icss_lis_mapping` VALUES ('5428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿儿茶酚胺定量(24h)', '多巴胺', '尿儿茶酚胺定量(24h)--多巴胺');
INSERT INTO `icss_lis_mapping` VALUES ('5429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿二胆检查', '胆红素(BIL)', '尿二胆检查--胆红素(BIL)');
INSERT INTO `icss_lis_mapping` VALUES ('5430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酚红排泄试验', '15min', '尿酚红排泄试验--15min');
INSERT INTO `icss_lis_mapping` VALUES ('5431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酚红排泄试验', '30min', '尿酚红排泄试验--30min');
INSERT INTO `icss_lis_mapping` VALUES ('5432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酚红排泄试验', '60min', '尿酚红排泄试验--60min');
INSERT INTO `icss_lis_mapping` VALUES ('5433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酚红排泄试验', '120min', '尿酚红排泄试验--120min');
INSERT INTO `icss_lis_mapping` VALUES ('5434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酚红排泄试验', '120min总量', '尿酚红排泄试验--120min总量');
INSERT INTO `icss_lis_mapping` VALUES ('5435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿氟测定', '尿氟', '尿氟测定--尿氟');
INSERT INTO `icss_lis_mapping` VALUES ('5436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿氟定量(24h)', '尿氟', '尿氟定量(24h)--尿氟');
INSERT INTO `icss_lis_mapping` VALUES ('5437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钙测定', '钙(Ca)', '尿钙测定--尿钙');
INSERT INTO `icss_lis_mapping` VALUES ('5438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钙定量(24h)', '钙(Ca)', '尿钙定量(24h)--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿铬定量(24h)', '铬(Cr)', '尿铬定量(24h)--铬(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('5440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿汞定量(24h)', '汞(Hg)', '尿汞定量(24h)--汞(Hg)');
INSERT INTO `icss_lis_mapping` VALUES ('5441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿谷草转氨酶测定', '尿谷草转氨酶(AST)', '尿谷草转氨酶测定--尿谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('5442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胱氨酸定量(24h)', '尿胱氨酸', '尿胱氨酸定量(24h)--尿胱氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('5443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胱氨酸定性试验', '尿胱氨酸定性试验', '尿胱氨酸定性试验--尿胱氨酸定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿含铁血黄素定性', '尿含铁血黄素定性', '尿含铁血黄素定性--尿含铁血黄素定性');
INSERT INTO `icss_lis_mapping` VALUES ('5445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿核基质蛋白测定', '尿核基质蛋白(NMP22)', '尿核基质蛋白测定--尿核基质蛋白(NMP22)');
INSERT INTO `icss_lis_mapping` VALUES ('5446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿黑色素试验', '尿黑色素试验', '尿黑色素试验--尿黑色素试验');
INSERT INTO `icss_lis_mapping` VALUES ('5447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '尿液外观', '尿红细胞位相--尿液外观');
INSERT INTO `icss_lis_mapping` VALUES ('5448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '尿液颜色', '尿红细胞位相--尿液颜色');
INSERT INTO `icss_lis_mapping` VALUES ('5449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '尿液酸碱度', '尿红细胞位相--尿液酸碱度');
INSERT INTO `icss_lis_mapping` VALUES ('5450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '红细胞计数(RBC)', '尿红细胞位相--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '畸形红细胞', '尿红细胞位相--畸形红细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', '正形红细胞', '尿红细胞位相--正形红细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红细胞位相', 'G1细胞', '尿红细胞位相--G1细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿环磷酸腺苷测定', '环磷酸腺苷(cAMP)', '尿环磷酸腺苷测定--环磷酸腺苷(cAMP)');
INSERT INTO `icss_lis_mapping` VALUES ('5455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿肌酐测定', '肌酐(Cr)', '尿肌酐测定--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('5456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿肌酐定量(24h)', '肌酐(Cr)', '尿肌酐定量(24h)--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('5457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿肌红蛋白测定', '肌红蛋白(Mb)', '尿肌红蛋白测定--肌红蛋白(Mb)');
INSERT INTO `icss_lis_mapping` VALUES ('5458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿肌红蛋白定性试验', '尿肌红蛋白定性试验', '尿肌红蛋白定性试验--尿肌红蛋白定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钾测定', '钾(K)', '尿钾测定--尿钾');
INSERT INTO `icss_lis_mapping` VALUES ('5460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钾定量(24h)', '钾(K)', '尿钾定量(24h)--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿可的松定量(24h)', '可的松', '尿可的松定量(24h)--可的松');
INSERT INTO `icss_lis_mapping` VALUES ('5462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿可滴定酸测定', '尿可滴定酸', '尿可滴定酸测定--尿可滴定酸');
INSERT INTO `icss_lis_mapping` VALUES ('5463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿亮氨酰氨基肽酶测定', '尿亮氨酰氨基肽酶', '尿亮氨酰氨基肽酶测定--尿亮氨酰氨基肽酶');
INSERT INTO `icss_lis_mapping` VALUES ('5464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿磷测定', '磷(P)', '尿磷测定--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿磷定量(24h)', '磷(P)', '尿磷定量(24h)--磷(U)');
INSERT INTO `icss_lis_mapping` VALUES ('5466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿磷酸盐定量(24h)', '磷酸盐', '尿磷酸盐定量(24h)--磷酸盐');
INSERT INTO `icss_lis_mapping` VALUES ('5467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿氯定量(24h)', '氯(Cl)', '尿氯定量(24h)--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿苯丙氨酸测定', '苯丙氨酸(PHE)', '尿苯丙氨酸测定--苯丙氨酸(PKU)');
INSERT INTO `icss_lis_mapping` VALUES ('5469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿苯丙氨酸定量(24h)', '苯丙氨酸(PHE)', '尿苯丙氨酸定量(24h)--苯丙氨酸(PKU)');
INSERT INTO `icss_lis_mapping` VALUES ('5470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿镁测定', '镁(Mg)', '尿镁测定--尿镁');
INSERT INTO `icss_lis_mapping` VALUES ('5471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿镁定量(24h)', '镁(Mg)', '尿镁定量(24h)--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', '尿微量白蛋白(mAlb)', '尿敏感肾功能9项--尿微量白蛋白(mAlb)');
INSERT INTO `icss_lis_mapping` VALUES ('5473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', 'β2微球蛋白(β2-MG)', '尿敏感肾功能9项--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', '尿转铁蛋白(TRF)', '尿敏感肾功能9项--尿转铁蛋白(TF)');
INSERT INTO `icss_lis_mapping` VALUES ('5475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', '尿免疫球蛋白IgG', '尿敏感肾功能9项--尿免疫球蛋白IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', '视黄醇结合蛋白(RBP)', '尿敏感肾功能9项--视黄醇结合蛋白(RBP)');
INSERT INTO `icss_lis_mapping` VALUES ('5477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '尿敏感肾功能9项--N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `icss_lis_mapping` VALUES ('5478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', '肌酐(Cr)', '尿敏感肾功能9项--尿肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('5479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', 'NAG/Cr', '尿敏感肾功能9项--NAG/Cr');
INSERT INTO `icss_lis_mapping` VALUES ('5480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿敏感肾功能9项', 'mALB/Cr', '尿敏感肾功能9项--mALB/Cr');
INSERT INTO `icss_lis_mapping` VALUES ('5481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钠测定', '钠(Na)', '尿钠测定--尿钠');
INSERT INTO `icss_lis_mapping` VALUES ('5482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿钠定量(24h)', '钠(Na)', '尿钠定量(24h)--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿尿素氮测定', '尿素氮(BUN)', '尿尿素氮测定--尿素氮(BUN)');
INSERT INTO `icss_lis_mapping` VALUES ('5484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿尿素氮定量(24h)', '尿素氮(BUN)', '尿尿素氮定量(24h)--尿素氮(BUN)');
INSERT INTO `icss_lis_mapping` VALUES ('5485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿尿酸测定', '尿酸(UA)', '尿尿酸测定--尿尿酸');
INSERT INTO `icss_lis_mapping` VALUES ('5486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿尿酸定量(24h)', '尿酸(UA)', '尿尿酸定量(24h)--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('5487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿镍定量(24h)', '镍(Ni)', '尿镍定量(24h)--镍(Ni)');
INSERT INTO `icss_lis_mapping` VALUES ('5488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿浓缩稀释试验', '尿浓缩稀释试验', '尿浓缩稀释试验--尿浓缩稀释试验');
INSERT INTO `icss_lis_mapping` VALUES ('5489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿葡萄糖定量(24h)', '葡萄糖(GLU)', '尿葡萄糖定量(24h)--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿葡萄糖定性', '葡萄糖(GLU)', '尿葡萄糖定性--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿葡萄糖二酸测定', '葡萄糖二酸(UGA)', '尿葡萄糖二酸测定--葡萄糖二酸(UGA)');
INSERT INTO `icss_lis_mapping` VALUES ('5492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿铅定量(24h)', '铅(Pb)', '尿铅定量(24h)--铅(Pb)');
INSERT INTO `icss_lis_mapping` VALUES ('5493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿前列腺素定量(24h)', '前列腺素E(PGE)', '尿前列腺素定量(24h)--前列腺素E(PGE)');
INSERT INTO `icss_lis_mapping` VALUES ('5494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿前列腺素定量(24h)', '前列腺素F(PGF)', '尿前列腺素定量(24h)--前列腺素F(PGF)');
INSERT INTO `icss_lis_mapping` VALUES ('5495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿羟脯氨酸定量(24h)', '羟脯氨酸(Hyp)', '尿羟脯氨酸定量(24h)--羟脯氨酸(Hyp)');
INSERT INTO `icss_lis_mapping` VALUES ('5496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿去甲肾上腺素测定', '去甲肾上腺素(NE)', '尿去甲肾上腺素测定--去甲肾上腺素(NE)');
INSERT INTO `icss_lis_mapping` VALUES ('5497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿去甲肾上腺素定量(24h)', '去甲肾上腺素(NE)', '尿去甲肾上腺素定量(24h)--去甲肾上腺素(NE)');
INSERT INTO `icss_lis_mapping` VALUES ('5498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿醛固酮定量(24h)', '醛固酮(ALD)', '尿醛固酮定量(24h)--醛固酮(ALD)');
INSERT INTO `icss_lis_mapping` VALUES ('5499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿妊娠胶乳凝集抑制试验', '尿妊娠胶乳凝集抑制试验', '尿妊娠胶乳凝集抑制试验--尿妊娠胶乳凝集抑制试验');
INSERT INTO `icss_lis_mapping` VALUES ('5500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿妊娠试验', '尿妊娠试验', '尿妊娠试验--尿妊娠试验');
INSERT INTO `icss_lis_mapping` VALUES ('5501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿绒毛膜促性腺激素测定', '尿绒毛膜促性腺激素(HCG)', '尿绒毛膜促性腺激素测定--尿绒毛膜促性腺激素(HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿溶菌酶测定', '溶菌酶(LYSO)', '尿溶菌酶--溶菌酶');
INSERT INTO `icss_lis_mapping` VALUES ('5503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿乳糜试验', '乳糜试验', '尿乳糜试验--乳糜试验');
INSERT INTO `icss_lis_mapping` VALUES ('5504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿三杯试验', '尿三杯试验', '尿三杯试验--尿三杯试验');
INSERT INTO `icss_lis_mapping` VALUES ('5505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿三胆检查', '胆红素(BIL)', '尿三胆检查--胆红素(BIL)');
INSERT INTO `icss_lis_mapping` VALUES ('5506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿三胆检查', '尿胆原', '尿三胆检查--尿胆原');
INSERT INTO `icss_lis_mapping` VALUES ('5507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿三胆检查', '尿胆素', '尿三胆检查--尿胆素');
INSERT INTO `icss_lis_mapping` VALUES ('5508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿三氯化铁试验', '尿三氯化铁试验', '尿三氯化铁试验--尿三氯化铁试验');
INSERT INTO `icss_lis_mapping` VALUES ('5509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿肾上腺素定量(24h)', '肾上腺素(AD)', '尿肾上腺素定量(24h)--肾上腺素(AD)');
INSERT INTO `icss_lis_mapping` VALUES ('5510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿渗透压测定', '尿渗透压', '尿渗透压测定--尿渗透压');
INSERT INTO `icss_lis_mapping` VALUES ('5511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿生化', '尿生化', '尿生化--尿生化');
INSERT INTO `icss_lis_mapping` VALUES ('5512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿素测定', '尿素', '尿素测定--尿素');
INSERT INTO `icss_lis_mapping` VALUES ('5513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酸化功能测定', '尿酸化功能', '尿酸化功能测定--尿酸化功能');
INSERT INTO `icss_lis_mapping` VALUES ('5514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿碳酸氢根定量(24h)', '酸氢根(HCO3-)', '尿碳酸氢根定量(24h)--酸氢根(HCO3-)');
INSERT INTO `icss_lis_mapping` VALUES ('5515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿铁定量(24h)', '铁(Fe)', '尿铁定量(24h)--铁(Fe)');
INSERT INTO `icss_lis_mapping` VALUES ('5516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿铜定量(24h)', '铜(Cu)', '尿铜定量(24h)--铜(Cu)');
INSERT INTO `icss_lis_mapping` VALUES ('5517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿酮体定性试验', '尿酮体定性试验', '尿酮体定性试验--尿酮体定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿脱氧吡啶酚测定', '脱氧吡啶酚(D-Pyr)', '尿脱氧吡啶酚测定--脱氧吡啶酚(D-Pyr)');
INSERT INTO `icss_lis_mapping` VALUES ('5519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿微量蛋白4项', '尿微量白蛋白(mAlb)', '尿微量蛋白4项--尿微量白蛋白(mAlb)');
INSERT INTO `icss_lis_mapping` VALUES ('5520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿微量蛋白4项', 'β2微球蛋白(β2-MG)', '尿微量蛋白4项--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿微量蛋白4项', '尿免疫球蛋白IgG', '尿微量蛋白4项--尿免疫球蛋白IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿微量蛋白4项', '视黄醇结合蛋白(RBP)', '尿微量蛋白4项--视黄醇结合蛋白(RBP)');
INSERT INTO `icss_lis_mapping` VALUES ('5523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿香草苦杏仁酸测定', '香草苦杏仁酸(VMA)', '尿香草苦杏仁酸测定--香草苦杏仁酸(VMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿锌定量(24h)', '锌(Zn)', '尿锌定量(24h)--锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('5525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿血红蛋白定性试验', '尿血红蛋白定性试验', '尿血红蛋白定性试验--尿血红蛋白定性试验');
INSERT INTO `icss_lis_mapping` VALUES ('5526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液人类免疫缺陷病毒Ⅰ型抗体测定', '尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体', '尿液人类免疫缺陷病毒Ⅰ型抗体测定--尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液酸性磷酸酶测定', '酸性磷酸酶(ACP)', '尿液酸性磷酸酶测定--酸性磷酸酶(ACP)');
INSERT INTO `icss_lis_mapping` VALUES ('5528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胰蛋白酶原-2测定', '胰蛋白酶原-2', '尿胰蛋白酶原-2测定--胰蛋白酶原-2');
INSERT INTO `icss_lis_mapping` VALUES ('5529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿胰淀粉酶测定', '胰淀粉酶', '尿胰淀粉酶测定--胰淀粉酶');
INSERT INTO `icss_lis_mapping` VALUES ('5530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿隐血', '隐血', '尿隐血--尿隐血');
INSERT INTO `icss_lis_mapping` VALUES ('5531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿游离皮质醇定量(24h)', '尿游离皮质醇', '尿游离皮质醇定量(24h)--尿游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('5532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿早孕试验', '尿早孕试验', '尿早孕试验--尿早孕试验');
INSERT INTO `icss_lis_mapping` VALUES ('5533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血4项', '凝血酶原时间(PT)', '凝血4项--凝血酶原时间(PT)');
INSERT INTO `icss_lis_mapping` VALUES ('5534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血4项', '活化部分凝血活酶时间(APTT)', '凝血4项--部分活化凝血活酶时间(APTT)');
INSERT INTO `icss_lis_mapping` VALUES ('5535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血4项', '凝血酶时间(TT)', '凝血4项--凝血酶时间(TT)');
INSERT INTO `icss_lis_mapping` VALUES ('5536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血4项', '纤维蛋白原(FG)', '凝血4项--纤维蛋白原(FG)');
INSERT INTO `icss_lis_mapping` VALUES ('5537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血酶抗凝血酶复合物测定', '凝血酶抗凝血酶复合物(TAT)', '凝血酶抗凝血酶复合物--凝血酶抗凝血酶复合物(TAT)');
INSERT INTO `icss_lis_mapping` VALUES ('5538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血酶原时间纠正试验', '凝血酶原时间纠正试验', '凝血酶原时间纠正试验--凝血酶原时间纠正试验');
INSERT INTO `icss_lis_mapping` VALUES ('5539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血酶原消耗及纠正试验', '凝血酶原消耗及纠正试验', '凝血酶原消耗及纠正试验--凝血酶原消耗及纠正试验');
INSERT INTO `icss_lis_mapping` VALUES ('5540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血时间测定', '凝血时间(CT)', '凝血时间测定--凝血时间(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('5541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅷ(FⅧ:C)', '凝血因子活性--凝血因子Ⅷ(FⅧ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅸ(FⅨ:C)', '凝血因子活性--凝血因子Ⅸ(FⅨ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅺ(FⅪ:C)', '凝血因子活性--凝血因子Ⅺ(FⅪ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅻ(FⅫ:C)', '凝血因子活性--凝血因子Ⅻ(FⅫ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅱ(FⅡ:C)', '凝血因子活性--凝血因子Ⅱ(FⅡ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅴ(FⅤ:C)', '凝血因子活性--凝血因子Ⅴ(FⅤ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅶ(FⅦ:C)', '凝血因子活性--凝血因子Ⅶ(FⅦ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '凝血因子活性测定', '凝血因子Ⅹ(FⅩ:C)', '凝血因子活性--凝血因子Ⅹ(FⅩ:C)');
INSERT INTO `icss_lis_mapping` VALUES ('5549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疟原虫抗原和抗体测定', '疟原虫抗体', '疟原虫抗原和抗体--疟原虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疟原虫抗原和抗体测定', '疟原虫抗原', '疟原虫抗原和抗体--疟原虫抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物5项', '甲胎蛋白(AFP)', '女性肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物5项', '癌胚抗原(CEA)', '女性肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物5项', '糖类抗原CA-199', '女性肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物5项', '糖类抗原CA-125', '女性肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物5项', '糖类抗原CA-153', '女性肿瘤标志物5项--糖类抗原CA-153');
INSERT INTO `icss_lis_mapping` VALUES ('5556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '甲胎蛋白(AFP)', '女性肿瘤标志物6项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '癌胚抗原(CEA)', '女性肿瘤标志物6项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '糖类抗原CA-199', '女性肿瘤标志物6项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '糖类抗原CA-125', '女性肿瘤标志物6项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '糖类抗原CA-153', '女性肿瘤标志物6项--糖类抗原CA-153');
INSERT INTO `icss_lis_mapping` VALUES ('5561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物6项', '铁蛋白(Fer)', '女性肿瘤标志物6项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '甲胎蛋白(AFP)', '女性肿瘤标志物7项--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '癌胚抗原(CEA)', '女性肿瘤标志物7项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '糖类抗原CA-199', '女性肿瘤标志物7项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '糖类抗原CA-125', '女性肿瘤标志物7项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '糖类抗原CA-153', '女性肿瘤标志物7项--糖类抗原CA-153');
INSERT INTO `icss_lis_mapping` VALUES ('5567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', '铁蛋白(Fer)', '女性肿瘤标志物7项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性肿瘤标志物7项', 'β人绒毛膜促性腺激素(β-HCG)', '女性肿瘤标志物7项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '潘氏试验', '潘氏试验(Pandy)', '潘氏试验--潘氏试验(Pandy)');
INSERT INTO `icss_lis_mapping` VALUES ('5570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮内试验', '皮内试验', '皮内试验--皮内试验');
INSERT INTO `icss_lis_mapping` VALUES ('5571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮质素水试验', '皮质素水试验', '皮质素水试验--皮质素水试验');
INSERT INTO `icss_lis_mapping` VALUES ('5572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贫血四项', '叶酸(FA)', '贫血四项--叶酸(FA)');
INSERT INTO `icss_lis_mapping` VALUES ('5573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贫血四项', '维生素B12(VitB12)', '贫血四项--维生素B12(VitB12)');
INSERT INTO `icss_lis_mapping` VALUES ('5574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贫血四项', '转铁蛋白(TRF)', '贫血四项--转铁蛋白(TF)');
INSERT INTO `icss_lis_mapping` VALUES ('5575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贫血四项', '铁蛋白(Fer)', '贫血四项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '破伤风杆菌抗体测定', '破伤风杆菌抗体', '破伤风杆菌抗体--破伤风杆菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '葡萄糖6-磷酸脱氢酶活性测定', '葡萄糖6-磷酸脱氢酶活性', '葡萄糖6-磷酸脱氢酶活性--葡萄糖6-磷酸脱氢酶活性');
INSERT INTO `icss_lis_mapping` VALUES ('5578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '葡萄糖6-磷酸脱氢酶荧光斑点试验', '葡萄糖6-磷酸脱氢酶荧光斑点试验', '葡萄糖6-磷酸脱氢酶荧光斑点试验--葡萄糖6-磷酸脱氢酶荧光斑点试验');
INSERT INTO `icss_lis_mapping` VALUES ('5579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '葡萄糖6-磷酸异构酶抗原测定', '葡萄糖6-磷酸异构酶(GPI)抗原', '葡萄糖-6-磷酸异构酶抗原测定--葡萄糖-6-磷酸异构酶(GPI)抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '葡萄糖抑制生长激素试验', '葡萄糖抑制生长激素(GH)试验', '葡萄糖抑制生长激素试验--葡萄糖抑制生长激素(GH)试验');
INSERT INTO `icss_lis_mapping` VALUES ('5581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前白蛋白测定', '前白蛋白(PA)', '前白蛋白测定--前白蛋白(PA)');
INSERT INTO `icss_lis_mapping` VALUES ('5582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺素测定', '前列腺素(PG)', '前列腺素测定--前列腺素(PG)');
INSERT INTO `icss_lis_mapping` VALUES ('5583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺酸性磷酸酶测定', '前列腺酸性磷酸酶(PAP)', '前列腺酸性磷酸酶测定--前列腺酸性磷酸酶(PAP)');
INSERT INTO `icss_lis_mapping` VALUES ('5584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '白细胞计数(WBC)', '前列腺液常规检查--白细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('5585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '淀粉样体', '前列腺液常规检查--淀粉样体');
INSERT INTO `icss_lis_mapping` VALUES ('5586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '红细胞计数(RBC)', '前列腺液常规检查--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '卵磷脂小体', '前列腺液常规检查--卵磷脂小体');
INSERT INTO `icss_lis_mapping` VALUES ('5588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)', '前列腺液常规检查--其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)');
INSERT INTO `icss_lis_mapping` VALUES ('5589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺液常规检查', '粘液', '前列腺液常规检查--粘液');
INSERT INTO `icss_lis_mapping` VALUES ('5590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺肿瘤标志物2项', '游离前列腺特异性抗原(FPSA)', '前列腺肿瘤标志物2项--游离前列腺特异性抗原(FPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前列腺肿瘤标志物2项', '总前列腺特异性抗原(TPSA)', '前列腺肿瘤标志物2项--总前列腺特异性抗原(TPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('5592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '桥粒芯糖蛋白-3抗体测定', '桥粒芯糖蛋白-3抗体(抗Dsg-3抗体)', '桥粒芯糖蛋白-3抗体测定--桥粒芯糖蛋白-3抗体(抗Dsg-3抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('5593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '禽型流感病毒抗体测定', '禽型流感病毒抗体', '禽型流感病毒抗体测定--禽型流感病毒抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '青霉素抗体测定', '青霉素抗体', '青霉素抗体测定--青霉素抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '球孢子菌免疫学试验', '球孢子菌免疫学试验', '球孢子菌免疫学试验--球孢子菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '曲霉菌免疫学试验', '曲霉菌免疫学试验', '曲霉菌免疫学试验--曲霉菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '去氨加压素治疗试验', '去氨加压素(DDAVP)治疗试验', '去氨加压素治疗试验--去氨加压素(DDAVP)治疗试验');
INSERT INTO `icss_lis_mapping` VALUES ('5598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '去甲肾上腺素测定', '去甲肾上腺素(NE)', '去甲肾上腺素测定--去甲肾上腺素(NE)');
INSERT INTO `icss_lis_mapping` VALUES ('5599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全血粘度测定(低切)', '全血粘度', '全血粘度(低切)--全血粘度');
INSERT INTO `icss_lis_mapping` VALUES ('5600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全血粘度测定(高切)', '全血粘度', '全血粘度(高切)--全血粘度');
INSERT INTO `icss_lis_mapping` VALUES ('5601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全血粘度测定(中切)', '全血粘度', '全血粘度(中切)--全血粘度');
INSERT INTO `icss_lis_mapping` VALUES ('5602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醛缩酶测定', '醛缩酶(ALD)', '醛缩酶测定--醛缩酶(ALD)');
INSERT INTO `icss_lis_mapping` VALUES ('5603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '缺血修饰白蛋白测定', '缺血修饰白蛋白(IMA)', '缺血修饰白蛋白测定--缺血修饰白蛋白(IMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '群体反应抗体确定试验', '群体反应抗体确定试验', '群体反应抗体确定试验--群体反应抗体确定试验');
INSERT INTO `icss_lis_mapping` VALUES ('5605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '群体反应抗体筛查试验', '群体反应抗体筛查试验', '群体反应抗体筛查试验--群体反应抗体筛查试验');
INSERT INTO `icss_lis_mapping` VALUES ('5606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '热不稳定试验', '热不稳定试验', '热不稳定试验--热不稳定试验');
INSERT INTO `icss_lis_mapping` VALUES ('5607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '热溶血试验', '热溶血试验', '热溶血试验--热溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('5608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '热盐水试验', '热盐水试验', '热盐水试验--热盐水试验');
INSERT INTO `icss_lis_mapping` VALUES ('5609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人附睾分泌蛋白测定', '人附睾分泌蛋白(HE4)', '人附睾分泌蛋白测定--人附睾分泌蛋白(HE4)');
INSERT INTO `icss_lis_mapping` VALUES ('5610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人类白细胞抗原测定', '人类白细胞抗原(HLA)', '人类白细胞抗原测定--人类白细胞抗原(HLA)');
INSERT INTO `icss_lis_mapping` VALUES ('5611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人类免疫缺陷病毒抗体测定', '人类免疫缺陷病毒抗体(HIV-Ab)', '人类免疫缺陷病毒抗体测定--人类免疫缺陷病毒抗体(HIV-Ab)');
INSERT INTO `icss_lis_mapping` VALUES ('5612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人免疫缺陷病毒P24抗原测定', '人类免疫缺陷病毒P24抗原', '人类免疫缺陷病毒P24抗原检测--人类免疫缺陷病毒P24抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人免疫缺陷病毒抗体确认试验', '人免疫缺陷病毒抗体确认试验', '人免疫缺陷病毒抗体确认试验--人免疫缺陷病毒抗体确认试验');
INSERT INTO `icss_lis_mapping` VALUES ('5614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人绒毛膜促性腺激素兴奋试验', '-15min睾酮(T)', '人绒毛膜促性腺激素兴奋试验---15min睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人绒毛膜促性腺激素兴奋试验', '0min睾酮(T)', '人绒毛膜促性腺激素兴奋试验--0min睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人绒毛膜促性腺激素兴奋试验', '24min睾酮(T)', '人绒毛膜促性腺激素兴奋试验--24min睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人绒毛膜促性腺激素兴奋试验', '48min睾酮(T)', '人绒毛膜促性腺激素兴奋试验--48min睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人绒毛膜促性腺激素兴奋试验', '72min睾酮(T)', '人绒毛膜促性腺激素兴奋试验--72min睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人型支原体抗体测定', '人型支原体抗体', '人型支原体抗体测定--人型支原体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人组织相容性抗原II类分型(低分辨率)', '人组织相容性抗原II类分型', '人组织相容性抗原II类分型(低分辨率)--人组织相容性抗原II类分型');
INSERT INTO `icss_lis_mapping` VALUES ('5621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人组织相容性抗原II类分型(高分辨率)', '人组织相容性抗原II类分型', '人组织相容性抗原II类分型(高分辨率)--人组织相容性抗原II类分型');
INSERT INTO `icss_lis_mapping` VALUES ('5622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人组织相容性抗原I类分型(低分辨率)', '人组织相容性抗原I类分型', '人组织相容性抗原I类分型(低分辨率)--人组织相容性抗原I类分型');
INSERT INTO `icss_lis_mapping` VALUES ('5623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '人组织相容性抗原I类分型(高分辨率)', '人组织相容性抗原I类分型', '人组织相容性抗原I类分型(高分辨率)--人组织相容性抗原I类分型');
INSERT INTO `icss_lis_mapping` VALUES ('5624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妊娠相关蛋白A测定', '妊娠相关蛋白A(PAPP)', '妊娠相关蛋白A测定--妊娠相关蛋白A(PAPP)');
INSERT INTO `icss_lis_mapping` VALUES ('5625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶测定', '乳酸脱氢酶(LD)', '乳酸脱氢酶测定--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('5626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶同工酶测定', 'LDH1', '乳酸脱氢酶同工酶测定--LDH1');
INSERT INTO `icss_lis_mapping` VALUES ('5627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶同工酶测定', 'LDH2', '乳酸脱氢酶同工酶测定--LDH2');
INSERT INTO `icss_lis_mapping` VALUES ('5628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶同工酶测定', 'LDH3', '乳酸脱氢酶同工酶测定--LDH3');
INSERT INTO `icss_lis_mapping` VALUES ('5629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶同工酶测定', 'LDH4', '乳酸脱氢酶同工酶测定--LDH4');
INSERT INTO `icss_lis_mapping` VALUES ('5630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳酸脱氢酶同工酶测定', 'LDH5', '乳酸脱氢酶同工酶测定--LDH5');
INSERT INTO `icss_lis_mapping` VALUES ('5631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳腺癌标志物4项', '癌胚抗原(CEA)', '乳腺癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳腺癌标志物4项', '糖类抗原CA-153', '乳腺癌标志物4项--糖类抗原CA-153');
INSERT INTO `icss_lis_mapping` VALUES ('5633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳腺癌标志物4项', '铁蛋白(Fer)', '乳腺癌标志物4项--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳腺癌标志物4项', 'β人绒毛膜促性腺激素(β-HCG)', '乳腺癌标志物4项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瑞斯托霉素辅因子测定', '瑞斯托霉素辅因子(VWF:ROOF)', '瑞斯托霉素辅因子测定--瑞斯托霉素辅因子(VWF:ROOF)');
INSERT INTO `icss_lis_mapping` VALUES ('5636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瑞斯托霉素诱导血小板试验', '瑞斯托霉素诱导血小板试验', '瑞斯托霉素诱导血小板试验--瑞斯托霉素诱导血小板试验');
INSERT INTO `icss_lis_mapping` VALUES ('5637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '三碘甲状原氨酸测定', '三碘甲状原氨酸(T3)', '三碘甲状原氨酸测定--三碘甲状原氨酸(T3)');
INSERT INTO `icss_lis_mapping` VALUES ('5638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体核酸测定', '沙眼衣原体核酸(CT-DNA)', '沙眼衣原体核酸测定--沙眼衣原体核酸(CT-DNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体抗体测定', '沙眼衣原体抗体', '沙眼衣原体抗体--沙眼衣原体抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体免疫学试验', '沙眼衣原体免疫学试验', '沙眼衣原体免疫学试验--沙眼衣原体免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沙眼衣原体脱氧核糖核酸扩增测定', '沙眼衣原体脱氧核糖核酸扩增测定', '沙眼衣原体脱氧核糖核酸扩增测定--沙眼衣原体脱氧核糖核酸扩增测定');
INSERT INTO `icss_lis_mapping` VALUES ('5642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上呼吸道感染EB病毒抗体4项', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', '上呼吸道感染EB病毒抗体4项--EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上呼吸道感染EB病毒抗体4项', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', '上呼吸道感染EB病毒抗体4项--EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('5644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上呼吸道感染EB病毒抗体4项', 'EB病毒核抗原抗体IgG(EBV-NA-IgG)', '上呼吸道感染EB病毒抗体4项--EB病毒核抗原抗体IgG(EBV-NA-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上呼吸道感染EB病毒抗体4项', 'EB病毒早期抗原抗体IgG(EBV-EA-IgG)', '上呼吸道感染EB病毒抗体4项--EB病毒早期抗原抗体IgG(EBV-EA-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蛇毒因子溶血试验', '蛇毒因子溶血试验', '蛇毒因子溶血试验--蛇毒因子溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('5647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神经元特异性烯醇化酶测定', '神经元特异性烯醇化酶(NSE)', '神经元特异性烯醇化酶测定--神经元特异性烯醇化酶(NSE)');
INSERT INTO `icss_lis_mapping` VALUES ('5648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾动态显像肾小球滤过率测定', '肾动态显像肾小球滤过率(GFR)', '肾动态显像肾小球滤过率测定--肾动态显像肾小球滤过率(GFR)');
INSERT INTO `icss_lis_mapping` VALUES ('5649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能常规3项', '尿酸(UA)', '肾功能常规3项--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('5650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能常规3项', '肌酐(Cr)', '肾功能常规3项--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('5651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾功能常规3项', '尿素(Urea)', '肾功能常规3项--尿素(Urea)');
INSERT INTO `icss_lis_mapping` VALUES ('5652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素测定', '肾素', '肾素--肾素');
INSERT INTO `icss_lis_mapping` VALUES ('5653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '醛固酮(ALD)(立位)', '肾素卧立位试验--醛固酮(ALD)(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('5654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '醛固酮(ALD)(卧位)', '肾素卧立位试验--醛固酮(ALD)(卧位)');
INSERT INTO `icss_lis_mapping` VALUES ('5655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '肾素(立位)', '肾素卧立位试验--肾素(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('5656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '肾素(卧位)', '肾素卧立位试验--肾素(卧位)');
INSERT INTO `icss_lis_mapping` VALUES ('5657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '血管紧张素(立位)', '肾素卧立位试验--血管紧张素(立位)');
INSERT INTO `icss_lis_mapping` VALUES ('5658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾素卧立位试验', '血管紧张素(卧位)', '肾素卧立位试验--血管紧张素(卧位)');
INSERT INTO `icss_lis_mapping` VALUES ('5659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾血流量测定', '肾血流量(RPF)', '肾血流量测定--肾血流量(RPF)');
INSERT INTO `icss_lis_mapping` VALUES ('5660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '蛋白C抵抗(APCR)', '生理抗凝因子测定--蛋白C抵抗(APCR)');
INSERT INTO `icss_lis_mapping` VALUES ('5661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '蛋白C活性(PC)', '生理抗凝因子测定--蛋白C活性(PC)');
INSERT INTO `icss_lis_mapping` VALUES ('5662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '蛋白C抗原(PC:Ag)', '生理抗凝因子测定--蛋白C抗原(PC:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '蛋白S含量(PS:Ag)', '生理抗凝因子测定--蛋白S含量(PS:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '抗凝血酶复合物(TAT)', '生理抗凝因子测定--抗凝血酶复合物(TAT)');
INSERT INTO `icss_lis_mapping` VALUES ('5665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '抗凝血酶活性(AT:A)', '生理抗凝因子测定--抗凝血酶活性(AT:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理抗凝因子测定', '抗凝血酶抗原(AT:Ag)', '生理抗凝因子测定--抗凝血酶抗原(AT:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿生长激素测定', '生长激素(GH)', '尿生长激素测定--生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('5668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血生长激素测定', '生长激素(GH)', '血生长激素测定--生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('5669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生长激素释放激素兴奋试验', '生长激素释放激素(GRH)兴奋试验', '生长激素释放激素兴奋试验--生长激素释放激素(GRH)兴奋试验');
INSERT INTO `icss_lis_mapping` VALUES ('5670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生长抑素测定', '生长抑素(SS)', '生长抑素测定--生长抑素(SS)');
INSERT INTO `icss_lis_mapping` VALUES ('5671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食入物变应原测定', '食入物变应原', '食入物变应原测定--食入物变应原');
INSERT INTO `icss_lis_mapping` VALUES ('5672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗜异性凝集试验', '嗜异性凝集试验', '嗜异性凝集试验--嗜异性凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('5673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘦素测定', '瘦素(LP)', '瘦素测定--瘦素(LP)');
INSERT INTO `icss_lis_mapping` VALUES ('5674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血前4项', '乙肝表面抗原定性(HBsAg)', '输血前4项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('5675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血前4项', '丙肝病毒抗体(HCVAb)', '输血前4项--丙肝病毒抗体(HCVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血前4项', '人免疫缺陷病毒抗体(HIVAb)', '输血前4项--人免疫缺陷病毒抗体(HIVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '输血前4项', '甲苯胺红不加热血清试验(TRUST)', '输血前4项--甲苯胺红不加热血清试验(TRUST)');
INSERT INTO `icss_lis_mapping` VALUES ('5678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼠疫免疫学试验', '鼠疫免疫学试验', '鼠疫免疫学试验--鼠疫免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('5679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术前4项', '乙肝表面抗原定性(HBsAg)', '术前4项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('5680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术前4项', '丙肝病毒抗体(HCVAb)', '术前4项--丙肝病毒抗体(HCVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术前4项', '人免疫缺陷病毒抗体(HIVAb)', '术前4项--人免疫缺陷病毒抗体(HIVAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '术前4项', '甲苯胺红不加热血清试验(TRUST)', '术前4项--甲苯胺红不加热血清试验(TRUST)');
INSERT INTO `icss_lis_mapping` VALUES ('5683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双氢睾酮测定', '双氢睾酮(DHT)', '双氢睾酮测定--双氢睾酮(DHT)');
INSERT INTO `icss_lis_mapping` VALUES ('5684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水负荷试验', '水负荷试验', '水负荷试验--水负荷试验');
INSERT INTO `icss_lis_mapping` VALUES ('5685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水利尿试验', '水利尿试验', '水利尿试验--水利尿试验');
INSERT INTO `icss_lis_mapping` VALUES ('5686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸负荷试验', '酸负荷试验', '酸负荷试验--酸负荷试验');
INSERT INTO `icss_lis_mapping` VALUES ('5687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸化甘油溶血试验', '酸化甘油溶血试验', '酸化甘油溶血试验--酸化甘油溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('5688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸性糖蛋白测定', '酸性糖蛋白', '酸性糖蛋白测定--酸性糖蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸性铁蛋白测定', '酸性铁蛋白(AIF)', '酸性铁蛋白测定--酸性铁蛋白(AIF)');
INSERT INTO `icss_lis_mapping` VALUES ('5690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '随机葡萄糖测定', '葡萄糖(GLU)', '随机葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胎儿血红蛋白酸洗脱试验', '胎儿血红蛋白(HbF)酸洗脱试验', '胎儿血红蛋白酸洗脱试验--胎儿血红蛋白(HbF)酸洗脱试验');
INSERT INTO `icss_lis_mapping` VALUES ('5692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肽链裂解试验', '肽链裂解试验', '肽链裂解试验--肽链裂解试验');
INSERT INTO `icss_lis_mapping` VALUES ('5693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '颜色', '痰液常规--颜色');
INSERT INTO `icss_lis_mapping` VALUES ('5694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '性状', '痰液常规--性状');
INSERT INTO `icss_lis_mapping` VALUES ('5695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '痰液量', '痰液常规--痰液量');
INSERT INTO `icss_lis_mapping` VALUES ('5696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '气味', '痰液常规--气味');
INSERT INTO `icss_lis_mapping` VALUES ('5697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '结晶', '痰液常规--结晶');
INSERT INTO `icss_lis_mapping` VALUES ('5698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '弹力纤维', '痰液常规--弹力纤维');
INSERT INTO `icss_lis_mapping` VALUES ('5699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '革兰染色', '痰液常规--革兰染色');
INSERT INTO `icss_lis_mapping` VALUES ('5700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '抗酸染色', '痰液常规--抗酸染色');
INSERT INTO `icss_lis_mapping` VALUES ('5701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '隐血', '痰液常规--隐血');
INSERT INTO `icss_lis_mapping` VALUES ('5702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '细胞', '痰液常规--细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '寄生虫', '痰液常规--寄生虫');
INSERT INTO `icss_lis_mapping` VALUES ('5704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰液常规', '其他', '痰液常规--其他');
INSERT INTO `icss_lis_mapping` VALUES ('5705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碳青霉烯类抗生素耐药测定', '碳青霉烯类抗生素耐药测定', '碳青霉烯类抗生素耐药测定--碳青霉烯类抗生素耐药测定');
INSERT INTO `icss_lis_mapping` VALUES ('5706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '碳氧血红蛋白测定', '碳氧血红蛋白(COHb)', '碳氧血红蛋白测定--碳氧血红蛋白(COHb)');
INSERT INTO `icss_lis_mapping` VALUES ('5707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唐氏综合征二联筛查', '甲胎蛋白(AFP)', '唐氏综合征二联筛查--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唐氏综合征二联筛查', 'β人绒毛膜促性腺激素(β-HCG)', '唐氏综合征二联筛查--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唐氏综合征三联筛查', '甲胎蛋白(AFP)', '唐氏综合征三联筛查--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('5710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唐氏综合征三联筛查', 'β人绒毛膜促性腺激素(β-HCG)', '唐氏综合征三联筛查--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唐氏综合征三联筛查', '非结合型雌三醇(UE3)', '唐氏综合征三联筛查--非结合型雌三醇(UE3)');
INSERT INTO `icss_lis_mapping` VALUES ('5712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖化白蛋白测定', '糖化白蛋白(GA)', '糖化白蛋白--糖化白蛋白(GA)');
INSERT INTO `icss_lis_mapping` VALUES ('5713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖化血红蛋白测定', '糖化血红蛋白(HbA1c)', '糖化血红蛋白--糖化血红蛋白(HbA1c)');
INSERT INTO `icss_lis_mapping` VALUES ('5714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖化血清蛋白测定', '糖化血清蛋白(GSP)', '糖化血清蛋白--糖化血清蛋白(GSP)');
INSERT INTO `icss_lis_mapping` VALUES ('5715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-125测定', '糖类抗原CA-125', '糖类抗原CA-125--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('5716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-130测定', '糖类抗原CA-130', '糖类抗原CA-130--糖类抗原CA-130');
INSERT INTO `icss_lis_mapping` VALUES ('5717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-153测定', '糖类抗原CA-153', '糖类抗原CA-153--糖类抗原CA-153');
INSERT INTO `icss_lis_mapping` VALUES ('5718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-199测定', '糖类抗原CA-199', '糖类抗原CA-199--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-242测定', '糖类抗原CA-242', '糖类抗原CA-242--糖类抗原CA-242');
INSERT INTO `icss_lis_mapping` VALUES ('5720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-27测定', '糖类抗原CA-27', '糖类抗原CA-27--糖类抗原CA-27');
INSERT INTO `icss_lis_mapping` VALUES ('5721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-29测定', '糖类抗原CA-29', '糖类抗原CA-29--糖类抗原CA-29');
INSERT INTO `icss_lis_mapping` VALUES ('5722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-50测定', '糖类抗原CA-50', '糖类抗原CA-50--糖类抗原CA-50');
INSERT INTO `icss_lis_mapping` VALUES ('5723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-549测定', '糖类抗原CA-549', '糖类抗原CA-549--糖类抗原CA-549');
INSERT INTO `icss_lis_mapping` VALUES ('5724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖类抗原CA-724测定', '糖类抗原CA-724', '糖类抗原CA-724--糖类抗原CA-724');
INSERT INTO `icss_lis_mapping` VALUES ('5725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体2项', '抗谷氨酸脱羧酶抗体(GADAb)', '糖尿病自身抗体2项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体2项', '抗胰岛细胞抗体(ICA)', '糖尿病自身抗体2项--抗胰岛细胞抗体(ICA)');
INSERT INTO `icss_lis_mapping` VALUES ('5727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体3项', '抗谷氨酸脱羧酶抗体(GADAb)', '糖尿病自身抗体3项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体3项', '抗胰岛细胞抗体(ICA)', '糖尿病自身抗体3项--抗胰岛细胞抗体(ICA)');
INSERT INTO `icss_lis_mapping` VALUES ('5729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体3项', '抗胰岛素抗体(IAA)', '糖尿病自身抗体3项--抗胰岛素抗体(IAA)');
INSERT INTO `icss_lis_mapping` VALUES ('5730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体4项', '抗谷氨酸脱羧酶抗体(GADAb)', '糖尿病自身抗体4项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `icss_lis_mapping` VALUES ('5731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体4项', '抗酪氨酸磷酸酶抗体(IA2)', '糖尿病自身抗体4项--抗酪氨酸磷酸酶抗体(IA2)');
INSERT INTO `icss_lis_mapping` VALUES ('5732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体4项', '抗胰岛细胞抗体(ICA)', '糖尿病自身抗体4项--抗胰岛细胞抗体(ICA)');
INSERT INTO `icss_lis_mapping` VALUES ('5733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病自身抗体4项', '抗胰岛素抗体(IAA)', '糖尿病自身抗体4项--抗胰岛素抗体(IAA)');
INSERT INTO `icss_lis_mapping` VALUES ('5734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖缺失性转铁蛋白测定', '糖缺失性转铁蛋白(CDT)', '糖缺失性转铁蛋白测定--糖缺失性转铁蛋白(CDT)');
INSERT INTO `icss_lis_mapping` VALUES ('5735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '特殊变应原测定', '特殊变应原', '特殊变应原测定--特殊变应原');
INSERT INTO `icss_lis_mapping` VALUES ('5736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体外血栓形成试验', '长度', '体外血栓形成试验--长度');
INSERT INTO `icss_lis_mapping` VALUES ('5737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体外血栓形成试验', '湿度', '体外血栓形成试验--湿度');
INSERT INTO `icss_lis_mapping` VALUES ('5738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体外血栓形成试验', '干重', '体外血栓形成试验--干重');
INSERT INTO `icss_lis_mapping` VALUES ('5739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体液淀粉酶测定', '淀粉酶(AMY)', '体液淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('5740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体液乳糜试验', '乳糜试验', '体液乳糜试验--乳糜试验');
INSERT INTO `icss_lis_mapping` VALUES ('5741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '天门冬氨酸氨基转移酶测定', '天门冬氨酸氨基转移酶(AST)', '天门冬氨酸氨基转移酶测定--天门冬氨酸氨基转移酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('5742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '天疱疮抗体测定', '天疱疮抗体', '天疱疮抗体测定--天疱疮抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铁测定', '铁(Fe)', '铁测定--铁(Fe)');
INSERT INTO `icss_lis_mapping` VALUES ('5744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铁蛋白测定', '铁蛋白(Fer)', '铁蛋白测定--铁蛋白(Fer)');
INSERT INTO `icss_lis_mapping` VALUES ('5745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '同型半胱氨酸测定', '同型半胱氨酸(Hcy)', '同型半胱氨酸测定--同型半胱氨酸(Hcy)');
INSERT INTO `icss_lis_mapping` VALUES ('5746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铜蓝蛋白测定', '铜蓝蛋白(CER)', '铜蓝蛋白测定--铜蓝蛋白(CER)');
INSERT INTO `icss_lis_mapping` VALUES ('5747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '透明质酸测定', '透明质酸(HA)', '透明质酸测定--透明质酸(HA)');
INSERT INTO `icss_lis_mapping` VALUES ('5748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '土拉伦斯杆菌凝集试验', '土拉伦斯杆菌凝集试验', '土拉伦斯杆菌凝集试验--土拉伦斯杆菌凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('5749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱敏免疫球蛋白IgG4测定', '脱敏免疫球蛋白IgG4', '脱敏免疫球蛋白IgG4--脱敏免疫球蛋白IgG4');
INSERT INTO `icss_lis_mapping` VALUES ('5750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱敏免疫球蛋白IgG测定', '脱敏免疫球蛋白IgG', '脱敏免疫球蛋白IgG--脱敏免疫球蛋白IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱氧吡啶酚测定', '脱氧吡啶酚(DPD)', '脱氧吡啶酚--脱氧吡啶酚(DPD)');
INSERT INTO `icss_lis_mapping` VALUES ('5752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唾液溶菌酶测定', '溶菌酶(LYSO)', '唾液溶菌酶--溶菌酶');
INSERT INTO `icss_lis_mapping` VALUES ('5753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唾液酸测定', '唾液酸', '唾液酸--唾液酸');
INSERT INTO `icss_lis_mapping` VALUES ('5754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外斐氏反应', '外斐氏反应', '外斐氏反应--外斐氏反应');
INSERT INTO `icss_lis_mapping` VALUES ('5755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿微量白蛋白测定', '微量白蛋白(mAlb)', '微量白蛋白测定--微量白蛋白(mAlb)');
INSERT INTO `icss_lis_mapping` VALUES ('5756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素5项', '铜(Cu)', '微量元素5项--铜(Cu)');
INSERT INTO `icss_lis_mapping` VALUES ('5757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素5项', '锌(Zn)', '微量元素5项--锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('5758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素5项', '钙(Ca)', '微量元素5项--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素5项', '镁(Mg)', '微量元素5项--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素5项', '铁(Fe)', '微量元素5项--铁(Fe)');
INSERT INTO `icss_lis_mapping` VALUES ('5761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '铜(Cu)', '微量元素6项--铜(Cu)');
INSERT INTO `icss_lis_mapping` VALUES ('5762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '锌(Zn)', '微量元素6项--锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('5763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '钙(Ca)', '微量元素6项--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '镁(Mg)', '微量元素6项--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '铁(Fe)', '微量元素6项--铁(Fe)');
INSERT INTO `icss_lis_mapping` VALUES ('5766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量元素6项', '铅(Pb)', '微量元素6项--铅(Pb)');
INSERT INTO `icss_lis_mapping` VALUES ('5767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微量总蛋白测定', '微量总蛋白(mTP)', '微量总蛋白测定--微量总蛋白(mTP)');
INSERT INTO `icss_lis_mapping` VALUES ('5768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '微丝蚴检查', '微丝蚴', '微丝蚴检查--微丝蚴');
INSERT INTO `icss_lis_mapping` VALUES ('5769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃癌标志物4项', '癌胚抗原(CEA)', '胃癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃癌标志物4项', '糖类抗原CA-199', '胃癌标志物4项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('5771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃癌标志物4项', '糖类抗原CA-242', '胃癌标志物4项--糖类抗原CA-242');
INSERT INTO `icss_lis_mapping` VALUES ('5772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃癌标志物4项', '糖类抗原CA-724', '胃癌标志物4项--糖类抗原CA-724');
INSERT INTO `icss_lis_mapping` VALUES ('5773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原测定', '胃蛋白酶原I', '胃蛋白酶原--胃蛋白酶原I');
INSERT INTO `icss_lis_mapping` VALUES ('5774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原测定', '胃蛋白酶原II', '胃蛋白酶原--胃蛋白酶原II');
INSERT INTO `icss_lis_mapping` VALUES ('5775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃蛋白酶原测定', '胃蛋白酶原PGI/II比值', '胃蛋白酶原--胃蛋白酶原PGI/II比值');
INSERT INTO `icss_lis_mapping` VALUES ('5776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃泌素测定', '胃泌素', '胃泌素测定--胃泌素');
INSERT INTO `icss_lis_mapping` VALUES ('5777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃泌素释放肽前体测定', '胃泌素释放肽前体(ProGRP)', '胃泌素释放肽前体测定--胃泌素释放肽前体(ProGRP)');
INSERT INTO `icss_lis_mapping` VALUES ('5778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃酸分泌试验', '高峰泌酸量(PAO)', '胃酸分泌试验--高峰泌酸量(PAO)');
INSERT INTO `icss_lis_mapping` VALUES ('5779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃酸分泌试验', '基础泌酸量(BAO)', '胃酸分泌试验--基础泌酸量(BAO)');
INSERT INTO `icss_lis_mapping` VALUES ('5780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃酸分泌试验', '最大泌酸量(MAO)', '胃酸分泌试验--最大泌酸量(MAO)');
INSERT INTO `icss_lis_mapping` VALUES ('5781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃酸分泌试验', 'BAO/MAO', '胃酸分泌试验--BAO/MAO');
INSERT INTO `icss_lis_mapping` VALUES ('5782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃酸分泌试验', 'BAO/PAO', '胃酸分泌试验--BAO/PAO');
INSERT INTO `icss_lis_mapping` VALUES ('5783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃液乳酸测定', '乳酸(LA)', '胃液乳酸--乳酸(LA)');
INSERT INTO `icss_lis_mapping` VALUES ('5784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五肽胃泌素激发试验', '3min降钙素(CT)', '五肽胃泌素激发试验--3min降钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('5785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五肽胃泌素激发试验', '5min降钙素(CT)', '五肽胃泌素激发试验--5min降钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('5786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五肽胃泌素激发试验', '10min降钙素(CT)', '五肽胃泌素激发试验--10min降钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('5787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五肽胃泌素激发试验', '15min降钙素(CT)', '五肽胃泌素激发试验--15min降钙素(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('5788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊型肝炎DNA定量', '戊型肝炎DNA定量', '戊型肝炎DNA定量--戊型肝炎DNA定量');
INSERT INTO `icss_lis_mapping` VALUES ('5789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊型肝炎DNA定性', '戊型肝炎DNA定性', '戊型肝炎DNA定性--戊型肝炎DNA定性');
INSERT INTO `icss_lis_mapping` VALUES ('5790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊型肝炎抗体测定', '戊型肝炎病毒抗体(Anti-HEV)IgG', '戊型肝炎抗体测定--戊型肝炎病毒抗体(Anti-HEV)IgG');
INSERT INTO `icss_lis_mapping` VALUES ('5791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '戊型肝炎抗体测定', '戊型肝炎病毒抗体(Anti-HEV)IgM', '戊型肝炎抗体测定--戊型肝炎病毒抗体(Anti-HEV)IgM');
INSERT INTO `icss_lis_mapping` VALUES ('5792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸入物变应原测定', '吸入物变应原', '吸入物变应原测定--吸入物变应原');
INSERT INTO `icss_lis_mapping` VALUES ('5793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸收放散试验', '吸收放散试验', '吸收放散试验--吸收放散试验');
INSERT INTO `icss_lis_mapping` VALUES ('5794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '系统性红斑狼疮因子试验', '系统性红斑狼疮因子(LEF)试验', '系统性红斑狼疮因子试验--系统性红斑狼疮因子(LEF)试验');
INSERT INTO `icss_lis_mapping` VALUES ('5795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细胞胞浆抗原测定', '细胞胞浆抗原', '细胞胞浆抗原测定--细胞胞浆抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细胞角蛋白18片段测定', '细胞角蛋白18片段', '细胞角蛋白18片段测定--细胞角蛋白18片段');
INSERT INTO `icss_lis_mapping` VALUES ('5797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细胞角蛋白19片段测定', '细胞角蛋白19片段(CYFRA21-1)', '细胞角蛋白19片段测定--细胞角蛋白19片段(CYFRA21-1)');
INSERT INTO `icss_lis_mapping` VALUES ('5798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细胞内粘附分子测定', '细胞内粘附分子', '细胞内粘附分子测定--细胞内粘附分子');
INSERT INTO `icss_lis_mapping` VALUES ('5799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌毒素测定', '细菌毒素', '细菌毒素测定--细菌毒素');
INSERT INTO `icss_lis_mapping` VALUES ('5800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌抗体测定测定', '细菌抗体', '细菌抗体测定--细菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌抗原测定', '细菌抗原', '细菌抗原测定--细菌抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌内毒素定量测定', '细菌内毒素定量', '细菌内毒素定量测定--细菌内毒素定量');
INSERT INTO `icss_lis_mapping` VALUES ('5803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '细菌性阴道炎快速检测', '细菌性阴道炎快速检测', '细菌性阴道炎快速检测--细菌性阴道炎快速检测');
INSERT INTO `icss_lis_mapping` VALUES ('5804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纤维蛋白降解产物测定', '纤维蛋白降解产物(FDP)', '纤维蛋白降解产物测定--纤维蛋白降解产物(FDP)');
INSERT INTO `icss_lis_mapping` VALUES ('5805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纤维蛋白溶解试验', '纤维蛋白溶解试验', '纤维蛋白溶解试验--纤维蛋白溶解试验');
INSERT INTO `icss_lis_mapping` VALUES ('5806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纤维连接蛋白测定', '纤维连接蛋白(FN)', '纤维连接蛋白测定--纤维连接蛋白(FN)');
INSERT INTO `icss_lis_mapping` VALUES ('5807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '显形胶质蛋白测定', '显形胶质蛋白(AP)', '显形胶质蛋白测定--显形胶质蛋白(AP)');
INSERT INTO `icss_lis_mapping` VALUES ('5808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '线粒体抗体3项', '抗线粒体亚型抗体M2(AMA-M2)', '线粒体抗体3项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `icss_lis_mapping` VALUES ('5809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '线粒体抗体3项', '抗线粒体亚型抗体M4(AMA-M4)', '线粒体抗体3项--抗线粒体亚型抗体M4(AMA-M4)');
INSERT INTO `icss_lis_mapping` VALUES ('5810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '线粒体抗体3项', '抗线粒体亚型抗体M9(AMA-M9)', '线粒体抗体3项--抗线粒体亚型抗体M9(AMA-M9)');
INSERT INTO `icss_lis_mapping` VALUES ('5811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腺病毒抗体测定', '抗腺病毒抗体IgG(ADV-IgG)', '腺病毒抗体测定--抗腺病毒抗体IgG(ADV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('5812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腺病毒抗体测定', '抗腺病毒抗体IgM(ADV-IgM)', '腺病毒抗体测定--抗腺病毒抗体IgM(ADV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('5813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '硝基四氮唑蓝还原试验', '硝基四氮唑蓝还原试验', '硝基四氮唑蓝还原试验--硝基四氮唑蓝还原试验');
INSERT INTO `icss_lis_mapping` VALUES ('5814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小肠结肠炎耶尔森氏菌抗体测定', '小肠结肠炎耶尔森氏菌抗体', '小肠结肠炎耶尔森氏菌抗体测定--小肠结肠炎耶尔森氏菌抗体');
INSERT INTO `icss_lis_mapping` VALUES ('5815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小而密低密度脂蛋白测定', '小而密低密度脂蛋白(sdLDL)', '小而密低密度脂蛋白测定--小而密低密度脂蛋白(sdLDL)');
INSERT INTO `icss_lis_mapping` VALUES ('5816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '白细胞计数(WBC)', '心包积液常规-白细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '比重(SG)', '心包积液常规-比重(SG)');
INSERT INTO `icss_lis_mapping` VALUES ('5818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '葡萄糖(GLU)', '心包积液常规-葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('5819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '乳酸脱氢酶(LD)', '心包积液常规-乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('5820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '酸碱度(PH)', '心包积液常规-酸碱度(PH)');
INSERT INTO `icss_lis_mapping` VALUES ('5821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心包积液常规', '透明度', '心包积液常规-透明度');
INSERT INTO `icss_lis_mapping` VALUES ('5822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死标志物测定', '肌钙蛋白I(cTnI)', '心肌梗死标志物--肌钙蛋白I(cTnI)');
INSERT INTO `icss_lis_mapping` VALUES ('5823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死标志物测定', '肌酸激酶同工酶(CK-MB)', '心肌梗死标志物--肌酸激酶同工酶(CK-MB)');
INSERT INTO `icss_lis_mapping` VALUES ('5824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死标志物测定', '肌红蛋白(Mb)', '心肌梗死标志物--肌红蛋白(Mb)');
INSERT INTO `icss_lis_mapping` VALUES ('5825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死标志物测定', '心脏脂肪酸结核蛋白(H-FABP)', '心肌梗死标志物--心脏脂肪酸结核蛋白(H-FABP)');
INSERT INTO `icss_lis_mapping` VALUES ('5826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱4项', '肌酸激酶(CK)', '心肌酶谱4项--肌酸激酶(CK)');
INSERT INTO `icss_lis_mapping` VALUES ('5827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱4项', '谷草转氨酶(AST)', '心肌酶谱4项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('5828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱4项', '乳酸脱氢酶(LD)', '心肌酶谱4项--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('5829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱4项', '肌酸激酶同工酶(CK-MB)', '心肌酶谱4项--肌酸激酶同工酶(CK-MB)');
INSERT INTO `icss_lis_mapping` VALUES ('5830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱5项', '肌酸激酶(CK)', '心肌酶谱5项--肌酸激酶(CK)');
INSERT INTO `icss_lis_mapping` VALUES ('5831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱5项', '谷草转氨酶(AST)', '心肌酶谱5项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('5832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱5项', '乳酸脱氢酶(LD)', '心肌酶谱5项--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('5833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱5项', '肌酸激酶同工酶(CK-MB)', '心肌酶谱5项--肌酸激酶同工酶(CK-MB)');
INSERT INTO `icss_lis_mapping` VALUES ('5834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌酶谱5项', 'α羟基丁酸脱氢酶(α-HBD)', '心肌酶谱5项--α羟基丁酸脱氢酶(α-HBD)');
INSERT INTO `icss_lis_mapping` VALUES ('5835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌缺血标志物测定', '缺血修饰白蛋白(IMA)', '心肌缺血标志物--缺血修饰白蛋白(IMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌损伤早期标志物测定', '肌红蛋白(Mb)', '心肌损伤早期标志物--肌红蛋白(Mb)');
INSERT INTO `icss_lis_mapping` VALUES ('5837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌损伤早期标志物测定', '心脏脂肪酸结核蛋白(H-FABP)', '心肌损伤早期标志物--心脏脂肪酸结核蛋白(H-FABP)');
INSERT INTO `icss_lis_mapping` VALUES ('5838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心力衰竭标志物测定', 'B型钠尿肽(BNP)', '心力衰竭标志物--B型钠尿肽(BNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心力衰竭标志物测定', 'N端-B型钠尿肽前体(NT-ProBNP)', '心力衰竭标志物--N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `icss_lis_mapping` VALUES ('5840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新斯的明试验', '新斯的明试验', '新斯的明试验--新斯的明试验');
INSERT INTO `icss_lis_mapping` VALUES ('5841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新型隐球菌荚膜抗原测定', '新型隐球菌荚膜抗原', '新型隐球菌荚膜抗原测定--新型隐球菌荚膜抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新型隐球菌墨汁染色镜检', '新型隐球菌墨汁染色镜检', '新型隐球菌墨汁染色镜检--新型隐球菌墨汁染色镜检');
INSERT INTO `icss_lis_mapping` VALUES ('5843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性病混合感染3项', '沙眼衣原体核酸(CT-DNA)', '性病混合感染3项--沙眼衣原体核酸(CT-DNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性病混合感染3项', '淋球菌核酸(NG-DNA)', '性病混合感染3项--淋球菌核酸(NG-DNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性病混合感染3项', '解脲脲原体核酸(UU-DNA)', '性病混合感染3项--解脲脲原体核酸(UU-DNA)');
INSERT INTO `icss_lis_mapping` VALUES ('5846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '雌二醇(E2)', '性激素6项--雌二醇(E2)');
INSERT INTO `icss_lis_mapping` VALUES ('5847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '促黄体生成素(LH)', '性激素6项--促黄体生成素(LH)');
INSERT INTO `icss_lis_mapping` VALUES ('5848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '睾酮(T)', '性激素6项--睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '卵泡刺激素(FSH)', '性激素6项--卵泡刺激素(FSH)');
INSERT INTO `icss_lis_mapping` VALUES ('5850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '泌乳素(PRL)', '性激素6项--泌乳素(PRL)');
INSERT INTO `icss_lis_mapping` VALUES ('5851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', '孕酮(P)', '性激素6项--孕酮(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素6项', 'LH/FSH', '性激素6项--LH/FSH');
INSERT INTO `icss_lis_mapping` VALUES ('5853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性激素结合球蛋白测定', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白--性激素结合球蛋白(SHBG)');
INSERT INTO `icss_lis_mapping` VALUES ('5854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸腔积液淀粉酶测定', '淀粉酶(AMY)', '胸腔积液淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('5855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸腔积液乳糜试验', '胸腔积液乳糜试验', '胸腔积液乳糜试验--胸腔积液乳糜试验');
INSERT INTO `icss_lis_mapping` VALUES ('5856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄烯二酮测定', '雄烯二酮(A2)', '雄烯二酮测定--雄烯二酮(A2)');
INSERT INTO `icss_lis_mapping` VALUES ('5857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄性激素测定', '睾酮(T)', '雄性激素测定--睾酮(T)');
INSERT INTO `icss_lis_mapping` VALUES ('5858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄性激素测定', '双氢睾酮(DHT)', '雄性激素测定--双氢睾酮(DHT)');
INSERT INTO `icss_lis_mapping` VALUES ('5859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄性激素测定', '去氢表雄酮(DHEA)', '雄性激素测定--去氢表雄酮(DHEA)');
INSERT INTO `icss_lis_mapping` VALUES ('5860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雄性激素测定', '硫酸去氢表雄酮(DHEAS)', '雄性激素测定--硫酸去氢表雄酮(DHEAS)');
INSERT INTO `icss_lis_mapping` VALUES ('5861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溴隐停抑制催乳素试验', '溴隐停抑制催乳素(PRL)试验', '溴隐停抑制催乳素试验--溴隐停抑制催乳素(PRL)试验');
INSERT INTO `icss_lis_mapping` VALUES ('5862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血1-25双羟维生素D测定', '1,25双羟维生素D(1,25(OH)2D)', '血1-25双羟维生素D测定--1,25双羟维生素D(1,25(OH)2D)');
INSERT INTO `icss_lis_mapping` VALUES ('5863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血25羟基维生素D3测定', '25羟基维生素D3(25(OH)D3)', '血25羟基维生素D3测定--25羟基维生素D3(25(OH)D3)');
INSERT INTO `icss_lis_mapping` VALUES ('5864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血25羟基维生素D测定', '25羟基维生素D(25(OH)D)', '血25羟基维生素D测定--25羟基维生素D(25(OH)D)');
INSERT INTO `icss_lis_mapping` VALUES ('5865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血α1微球蛋白测定', 'α1微球蛋白(α1-MG)', '血α1微球蛋白测定--α1微球蛋白(α1-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血α2巨球蛋白测定', 'α2巨球蛋白(α2-MG)', '血α2巨球蛋白--α2巨球蛋白(α2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血β人绒毛膜促性腺激素测定', '血β人绒毛膜促性腺激素(β-HCG)', '血β人绒毛膜促性腺激素测定--血β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('5868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血氨测定', '血氨', '血氨测定--血氨');
INSERT INTO `icss_lis_mapping` VALUES ('5869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血半乳糖测定', '半乳糖', '血半乳糖测定--半乳糖');
INSERT INTO `icss_lis_mapping` VALUES ('5870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血苯丙氨酸测定', '苯丙氨酸(PHE)', '血苯丙氨酸测定--苯丙氨酸(PKU)');
INSERT INTO `icss_lis_mapping` VALUES ('5871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血苯丙酮酸测定', '苯丙酮酸(PKU)', '血苯丙酮酸测定--血苯丙酮酸');
INSERT INTO `icss_lis_mapping` VALUES ('5872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血丙酮酸测定', '丙酮酸(PA)', '血丙酮酸测定--血丙酮酸(PA)');
INSERT INTO `icss_lis_mapping` VALUES ('5873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '白细胞计数(WBC)', '血常规--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞计数(RBC)', '血常规--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('5875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血红蛋白浓度(HGB)', '血常规--血红蛋白浓度(HGB)');
INSERT INTO `icss_lis_mapping` VALUES ('5876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞压积(HCT)', '血常规--红细胞压积(HCT)');
INSERT INTO `icss_lis_mapping` VALUES ('5877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '平均红细胞体积(MCV)', '血常规--平均红细胞体积(MCV)');
INSERT INTO `icss_lis_mapping` VALUES ('5878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '平均血红蛋白含量(MCH)', '血常规--平均血红蛋白含量(MCH)');
INSERT INTO `icss_lis_mapping` VALUES ('5879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '平均血红蛋白浓度(MCHC)', '血常规--平均血红蛋白浓度(MCHC)');
INSERT INTO `icss_lis_mapping` VALUES ('5880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板计数(PLT)', '血常规--血小板计数(PLT)');
INSERT INTO `icss_lis_mapping` VALUES ('5881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '淋巴细胞百分比(LYM%)', '血常规--淋巴细胞百分比(LYM%)');
INSERT INTO `icss_lis_mapping` VALUES ('5882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '单核细胞百分比(MONO%)', '血常规--单核细胞百分比(MONO%)');
INSERT INTO `icss_lis_mapping` VALUES ('5883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '中性粒细胞百分比(NEUT%)', '血常规--中性粒细胞百分比(NEUT%)');
INSERT INTO `icss_lis_mapping` VALUES ('5884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜酸性粒细胞百分比(EO%)', '血常规--嗜酸性粒细胞百分比(EO%)');
INSERT INTO `icss_lis_mapping` VALUES ('5885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜碱性粒细胞百分比(BA%)', '血常规--嗜碱性粒细胞百分比(BA%)');
INSERT INTO `icss_lis_mapping` VALUES ('5886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '淋巴细胞绝对计数(LYM)', '血常规--淋巴细胞绝对计数(LYM)');
INSERT INTO `icss_lis_mapping` VALUES ('5887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '单核细胞绝对计数(MONO)', '血常规--单核细胞绝对计数(MONO)');
INSERT INTO `icss_lis_mapping` VALUES ('5888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '中性粒细胞绝对计数(NEUT)', '血常规--中性粒细胞绝对计数(NEUT)');
INSERT INTO `icss_lis_mapping` VALUES ('5889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜酸性粒细胞绝对计数(EO)', '血常规--嗜酸性粒细胞绝对计数(EO)');
INSERT INTO `icss_lis_mapping` VALUES ('5890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '嗜碱性粒细胞绝对计数(BA)', '血常规--嗜碱性粒细胞绝对计数(BA)');
INSERT INTO `icss_lis_mapping` VALUES ('5891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞体积分布宽度(RDW-SD)', '血常规--红细胞体积分布宽度(RDW-SD)');
INSERT INTO `icss_lis_mapping` VALUES ('5892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '红细胞分布宽度(RDW)', '血常规--红细胞分布宽度(RDW)');
INSERT INTO `icss_lis_mapping` VALUES ('5893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板体积分布宽度(PDW)', '血常规--血小板体积分布宽度(PDW)');
INSERT INTO `icss_lis_mapping` VALUES ('5894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '大型血小板比例(P-LCR)', '血常规--大型血小板比例(P-LCR)');
INSERT INTO `icss_lis_mapping` VALUES ('5895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '平均血小板体积(MPV)', '血常规--平均血小板体积(MPV)');
INSERT INTO `icss_lis_mapping` VALUES ('5896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '血小板压积(PCT)', '血常规--血小板压积(PCT)');
INSERT INTO `icss_lis_mapping` VALUES ('5897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质3项', '钾(K)', '血电解质3项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质3项', '钠(Na)', '血电解质3项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质3项', '氯(Cl)', '血电解质3项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质4项', '钾(K)', '血电解质4项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质4项', '钠(Na)', '血电解质4项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质4项', '氯(Cl)', '血电解质4项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质4项', '钙(Ca)', '血电解质4项--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '钾(K)', '血电解质6项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '钠(Na)', '血电解质6项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '氯(Cl)', '血电解质6项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '钙(Ca)', '血电解质6项--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '镁(Mg)', '血电解质6项--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质6项', '磷(P)', '血电解质6项--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '二氧化碳(CO2)', '血电解质测定--二氧化碳(CO2)');
INSERT INTO `icss_lis_mapping` VALUES ('5911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '钾(K)', '血电解质测定--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('5912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '离子钙(Ca2+)', '血电解质测定--离子钙(Ca2+)');
INSERT INTO `icss_lis_mapping` VALUES ('5913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '磷(P)', '血电解质测定--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('5914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '氯(Cl)', '血电解质测定--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('5915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '镁(Mg)', '血电解质测定--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('5916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '钠(Na)', '血电解质测定--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('5917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '总钙(Ca)', '血电解质测定--总钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('5918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血电解质测定', '阴离子隙(AG)', '血电解质测定--阴离子隙(AG)');
INSERT INTO `icss_lis_mapping` VALUES ('5919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血淀粉酶同工酶测定', '淀粉酶同工酶', '淀粉酶同工酶测定--淀粉酶同工酶');
INSERT INTO `icss_lis_mapping` VALUES ('5920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素Ⅰ测定', '血管紧张素Ⅰ(AngⅠ)', '血管紧张素Ⅰ--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `icss_lis_mapping` VALUES ('5921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素Ⅱ测定', '血管紧张素Ⅱ(AngⅡ)', '血管紧张素Ⅱ--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `icss_lis_mapping` VALUES ('5922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管紧张素转化酶测定', '血管紧张素转化酶(ACE)', '血管紧张素转化酶测定--血管紧张素转化酶(ACE)');
INSERT INTO `icss_lis_mapping` VALUES ('5923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管性血友病因子活性测定', '血管性血友病因子(VWF)活性', '血管性血友病因子活性--血管性血友病因子(VWF)活性');
INSERT INTO `icss_lis_mapping` VALUES ('5924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管性血友病因子抗原测定', '血管性血友病因子(VWF)抗原', '血管性血友病因子抗原--血管性血友病因子(VWF)抗原');
INSERT INTO `icss_lis_mapping` VALUES ('5925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白C试验', '血红蛋白C试验', '血红蛋白C试验--血红蛋白C试验');
INSERT INTO `icss_lis_mapping` VALUES ('5926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白F包涵体生成试验', '血红蛋白F包涵体生成试验', '血红蛋白F包涵体生成试验--血红蛋白F包涵体生成试验');
INSERT INTO `icss_lis_mapping` VALUES ('5927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白F包涵体生成试验', '含HbF包涵体的红细胞', '血红蛋白F包涵体生成试验--含HbF包涵体的红细胞');
INSERT INTO `icss_lis_mapping` VALUES ('5928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白F酸洗脱试验', '血红蛋白F(HbF)酸洗脱试验', '血红蛋白F酸洗脱试验--血红蛋白F(HbF)酸洗脱试验');
INSERT INTO `icss_lis_mapping` VALUES ('5929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白H包涵体试验', '血红蛋白H(HbH)包涵体阳性红细胞的百分率', '血红蛋白H包涵体试验--血红蛋白H(HbH)包涵体阳性红细胞的百分率');
INSERT INTO `icss_lis_mapping` VALUES ('5930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白S溶解度试验', '血红蛋白S溶解度试验', '血红蛋白S溶解度试验--血红蛋白S溶解度试验');
INSERT INTO `icss_lis_mapping` VALUES ('5931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆17α羟孕酮测定', '17α羟孕酮(17α-OHP)', '血浆17α羟孕酮测定--17α羟孕酮(17α-OHP)');
INSERT INTO `icss_lis_mapping` VALUES ('5932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆6-酮前列腺素F1α测定', '6-酮前列腺素F1α', '血浆6-酮前列腺素F1α测定--6-酮前列腺素F1α');
INSERT INTO `icss_lis_mapping` VALUES ('5933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆D-二聚体测定', 'D-二聚体(D-Dimer)', '血浆D-二聚体测定--D-二聚体(D-Dimer)');
INSERT INTO `icss_lis_mapping` VALUES ('5934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆α2纤溶酶抑制物活性测定', '血浆α2纤溶酶抑制物活性(α2-PI:A)', '血浆α2纤溶酶抑制物活性--血浆α2纤溶酶抑制物活性(α2-PI:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆α2纤溶酶抑制物抗原测定', '血浆α2纤溶酶抑制物抗原(α2-PI:Ag)', '血浆α2纤溶酶抑制物抗原--血浆α2纤溶酶抑制物抗原(α2-PI:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '血浆β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆β-血小板球蛋白测定', 'β-血小板球蛋白', '血浆β-血小板球蛋白--β-血小板球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆蛋白C活性测定', '血浆蛋白C活性(PC)', '血浆蛋白C活性测定--血浆蛋白C活性(PC)');
INSERT INTO `icss_lis_mapping` VALUES ('5939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆蛋白C抗原测定', '血浆蛋白C抗原(PC:Ag)', '血浆蛋白C抗原测定--血浆蛋白C抗原(PC:Ag)测定');
INSERT INTO `icss_lis_mapping` VALUES ('5940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆蛋白S含量测定', '血浆蛋白S含量(PS:Ag)', '血浆蛋白S含量测定--血浆蛋白S含量(PS:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆肝素含量测定', '肝素', '血浆肝素含量测定--肝素');
INSERT INTO `icss_lis_mapping` VALUES ('5942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆激肽释放酶原测定', '血浆激肽释放酶原', '血浆激肽释放酶原测定--血浆激肽释放酶原');
INSERT INTO `icss_lis_mapping` VALUES ('5943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆抗凝血酶活性测定', '血浆抗凝血酶活性(AT:A)', '血浆抗凝血酶活性测定--血浆抗凝血酶活性(AT:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆抗凝血酶抗原测定', '血浆抗凝血酶抗原(AT:Ag)', '血浆抗凝血酶抗原测定--血浆抗凝血酶抗原(AT:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆蝰蛇毒磷脂时间测定', '血浆蝰蛇毒磷脂时间', '血浆蝰蛇毒磷脂时间测定--血浆蝰蛇毒磷脂时间');
INSERT INTO `icss_lis_mapping` VALUES ('5946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆蝰蛇毒时间测定', '血浆蝰蛇毒时间', '血浆蝰蛇毒时间测定--血浆蝰蛇毒时间');
INSERT INTO `icss_lis_mapping` VALUES ('5947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆内皮素测定', '内皮素(ET)', '血浆内皮素测定--内皮素(ET)');
INSERT INTO `icss_lis_mapping` VALUES ('5948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆凝血酶调节蛋白活性测定', '血浆凝血酶调节蛋白活性(TMA)', '血浆凝血酶调节蛋白活性测定--血浆凝血酶调节蛋白活性(TMA)');
INSERT INTO `icss_lis_mapping` VALUES ('5949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆凝血酶调节蛋白活性测定', '血浆凝血酶调节蛋白活性(TM:A)', '血浆凝血酶调节蛋白活性测定--血浆凝血酶调节蛋白活性(TM:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆凝血酶调节蛋白抗原测定', '血浆凝血酶调节蛋白抗原(TMAg)', '血浆凝血酶调节蛋白抗原测定--血浆凝血酶调节蛋白抗原(TMAg)');
INSERT INTO `icss_lis_mapping` VALUES ('5951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆凝血酶调节蛋白抗原测定', '血浆凝血酶调节蛋白抗原(TM:Ag)', '血浆凝血酶调节蛋白抗原测定--血浆凝血酶调节蛋白抗原(TM:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆凝血酶原片段(F1+2)测定', '血浆凝血酶原片段(F1+2)', '血浆凝血酶原片段(F1+2)测定--血浆凝血酶原片段(F1+2)');
INSERT INTO `icss_lis_mapping` VALUES ('5953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆渗透压测定', '血浆渗透压(POP)', '血浆渗透压测定--血浆渗透压(POP)');
INSERT INTO `icss_lis_mapping` VALUES ('5954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤溶酶-抗纤溶酶复合物测定', '抗纤溶酶复合物(PAP)', '血浆纤溶酶-抗纤溶酶复合物测定--抗纤溶酶复合物(PAP)');
INSERT INTO `icss_lis_mapping` VALUES ('5955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤溶酶原活性测定', '血浆纤溶酶原活性(PLG:A)', '血浆纤溶酶原活性测定--血浆纤溶酶原活性(PLG:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤溶酶原抗原测定', '血浆纤溶酶原抗原(PLG:Ag)', '血浆纤溶酶原抗原测定--血浆纤溶酶原抗原(PLG:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤维蛋白肽A测定', '纤维蛋白肽A', '血浆纤维蛋白肽A测定--纤维蛋白肽A');
INSERT INTO `icss_lis_mapping` VALUES ('5958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤维蛋白肽B测定', '纤维蛋白肽BP15-42', '血浆纤维蛋白肽B测定--纤维蛋白肽BP15-42');
INSERT INTO `icss_lis_mapping` VALUES ('5959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤维蛋白肽B测定', '纤维蛋白肽Bβ1-42', '血浆纤维蛋白肽B测定--纤维蛋白肽Bβ1-42');
INSERT INTO `icss_lis_mapping` VALUES ('5960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆纤维蛋白原测定', '纤维蛋白原(FG)', '血浆纤维蛋白原测定--血浆纤维蛋白原');
INSERT INTO `icss_lis_mapping` VALUES ('5961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆血栓烷B2测定', '血浆血栓烷B2(TXB2)', '血浆血栓烷B2测定--血浆血栓烷B2(TXB2)');
INSERT INTO `icss_lis_mapping` VALUES ('5962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆因子Ⅷ抑制物定量测定', '血浆因子Ⅷ抑制物定量', '血浆因子Ⅷ抑制物定量测定--血浆因子Ⅷ抑制物定量');
INSERT INTO `icss_lis_mapping` VALUES ('5963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆因子Ⅷ抑制物定性测定', '血浆因子Ⅷ抑制物定性', '血浆因子Ⅷ抑制物定性测定--血浆因子Ⅷ抑制物定性');
INSERT INTO `icss_lis_mapping` VALUES ('5964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆因子XIII缺乏筛选试验', '血浆因子XIII缺乏筛选试验', '血浆因子XIII缺乏筛选试验--血浆因子XIII缺乏筛选试验');
INSERT INTO `icss_lis_mapping` VALUES ('5965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆游离皮质醇测定', '游离皮质醇', '血浆游离皮质醇测定--游离皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('5966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆游离血红蛋白测定', '游离血红蛋白', '血浆游离血红蛋白测定--游离血红蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆鱼精蛋白副凝试验', '血浆鱼精蛋白副凝试验', '血浆鱼精蛋白副凝试验--血浆鱼精蛋白副凝试验');
INSERT INTO `icss_lis_mapping` VALUES ('5968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆粘度测定', '血浆粘度', '血浆粘度测定--血浆粘度');
INSERT INTO `icss_lis_mapping` VALUES ('5969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆组织纤溶酶原活化物活性测定', '血浆组织纤溶酶原活化物活性(t-PA:A)', '血浆组织纤溶酶原活化物活性测定--血浆组织纤溶酶原活化物活性(t-PA:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆组织纤溶酶原活化物抗原测定', '血浆组织纤溶酶原活化物抗原(t-PA:Ag', '血浆组织纤溶酶原活化物抗原测定--血浆组织纤溶酶原活化物抗原(t-PA:Ag');
INSERT INTO `icss_lis_mapping` VALUES ('5971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆组织纤溶酶原活化物抑制物活性测定', '血浆组织纤溶酶原活化物抑制物活性(PAI:A)', '血浆组织纤溶酶原活化物抑制物活性测定--血浆组织纤溶酶原活化物抑制物活性(PAI:A)');
INSERT INTO `icss_lis_mapping` VALUES ('5972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血浆组织纤溶酶原活化物抑制物抗原测定', '血浆组织纤溶酶原活化物抑制物抗原(PAI:Ag)', '血浆组织纤溶酶原活化物抑制物抗原测定--血浆组织纤溶酶原活化物抑制物抗原(PAI:Ag)');
INSERT INTO `icss_lis_mapping` VALUES ('5973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血块收缩时间测定', '血块收缩时间', '血块收缩时间测定--血块收缩时间');
INSERT INTO `icss_lis_mapping` VALUES ('5974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血亮氨酰氨基肽酶测定', '亮氨酰氨基肽酶(LAP)', '血亮氨酰氨基肽酶测定--亮氨酰氨基肽酶(LAP)');
INSERT INTO `icss_lis_mapping` VALUES ('5975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '细菌名', '血培养+鉴定+药敏--细菌名');
INSERT INTO `icss_lis_mapping` VALUES ('5976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '氨苄西林', '血培养+鉴定+药敏--氨苄西林');
INSERT INTO `icss_lis_mapping` VALUES ('5977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '阿米卡星', '血培养+鉴定+药敏--阿米卡星');
INSERT INTO `icss_lis_mapping` VALUES ('5978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '环丙沙星', '血培养+鉴定+药敏--环丙沙星');
INSERT INTO `icss_lis_mapping` VALUES ('5979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢曲松', '血培养+鉴定+药敏--头孢曲松');
INSERT INTO `icss_lis_mapping` VALUES ('5980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '庆大霉素', '血培养+鉴定+药敏--庆大霉素');
INSERT INTO `icss_lis_mapping` VALUES ('5981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '左氧氟沙星', '血培养+鉴定+药敏--左氧氟沙星');
INSERT INTO `icss_lis_mapping` VALUES ('5982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢他啶', '血培养+鉴定+药敏--头孢他啶');
INSERT INTO `icss_lis_mapping` VALUES ('5983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢吡肟', '血培养+鉴定+药敏--头孢吡肟');
INSERT INTO `icss_lis_mapping` VALUES ('5984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '替加环素', '血培养+鉴定+药敏--替加环素');
INSERT INTO `icss_lis_mapping` VALUES ('5985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '厄他培南', '血培养+鉴定+药敏--厄他培南');
INSERT INTO `icss_lis_mapping` VALUES ('5986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '氨曲南', '血培养+鉴定+药敏--氨曲南');
INSERT INTO `icss_lis_mapping` VALUES ('5987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢替坦', '血培养+鉴定+药敏--头孢替坦');
INSERT INTO `icss_lis_mapping` VALUES ('5988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢唑林', '血培养+鉴定+药敏--头孢唑林');
INSERT INTO `icss_lis_mapping` VALUES ('5989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '呋喃妥因', '血培养+鉴定+药敏--呋喃妥因');
INSERT INTO `icss_lis_mapping` VALUES ('5990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '亚胺培南', '血培养+鉴定+药敏--亚胺培南');
INSERT INTO `icss_lis_mapping` VALUES ('5991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '复方新诺明', '血培养+鉴定+药敏--复方新诺明');
INSERT INTO `icss_lis_mapping` VALUES ('5992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '帕拉西林', '血培养+鉴定+药敏--帕拉西林');
INSERT INTO `icss_lis_mapping` VALUES ('5993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血培养+鉴定+药敏', '头孢哌酮', '血培养+鉴定+药敏--头孢哌酮');
INSERT INTO `icss_lis_mapping` VALUES ('5994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血皮质醇测定', '皮质醇', '血皮质醇测定--皮质醇');
INSERT INTO `icss_lis_mapping` VALUES ('5995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹C肽测定', 'C肽(C-P)', '空腹C肽测定--C肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清C肽测定', 'C肽(C-P)', '血清C肽测定--C肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('5997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '血清β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `icss_lis_mapping` VALUES ('5998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清蛋白电泳分析', '白蛋白', '血清蛋白电泳分析--白蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('5999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清蛋白电泳分析', 'α1-球蛋白', '血清蛋白电泳分析--α1-球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清蛋白电泳分析', 'α2-球蛋白', '血清蛋白电泳分析--α2-球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清蛋白电泳分析', 'β-球蛋白', '血清蛋白电泳分析--β-球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清蛋白电泳分析', 'γ-球蛋白', '血清蛋白电泳分析--γ-球蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清淀粉酶测定', '淀粉酶(AMY)', '血清淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('6004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清淀粉样蛋白A测定', '淀粉样蛋白A', '血清淀粉样蛋白A测定--血清淀粉样蛋白A');
INSERT INTO `icss_lis_mapping` VALUES ('6005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清环磷酸鸟苷测定', '环磷酸鸟苷(cGMP)', '环磷酸鸟苷测定--环磷酸鸟苷(cGMP)');
INSERT INTO `icss_lis_mapping` VALUES ('6006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清肌红蛋白测定', '肌红蛋白(Mb)', '血清肌红蛋白测定--肌红蛋白(Mb)');
INSERT INTO `icss_lis_mapping` VALUES ('6007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清肌酸激酶测定', '肌酸激酶(CK)', '血清肌酸激酶测定--肌酸激酶(CK)');
INSERT INTO `icss_lis_mapping` VALUES ('6008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清结合珠蛋白测定', '结合珠蛋白(HP)', '血清结合珠蛋白测定--结合珠蛋白(HP)');
INSERT INTO `icss_lis_mapping` VALUES ('6009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清可溶性血小板膜糖蛋白测定', '血清可溶性血小板膜糖蛋白', '血清可溶性血小板膜糖蛋白测定--血清可溶性血小板膜糖蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清磷脂测定', '磷脂', '血清磷脂测定--磷脂');
INSERT INTO `icss_lis_mapping` VALUES ('6011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清尿酸测定', '尿酸(UA)', '血清尿酸--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('6012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清溶菌酶测定', '溶菌酶(LYSO)', '血清溶菌酶测定--血清溶菌酶(ULYSO)');
INSERT INTO `icss_lis_mapping` VALUES ('6013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清肾上腺素测定', '肾上腺素(AD)', '血清肾上腺素--肾上腺素(AD)');
INSERT INTO `icss_lis_mapping` VALUES ('6014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清视黄醇结合蛋白测定', '视黄醇结合蛋白(RBP)', '血清视黄醇结合蛋白测定--视黄醇结合蛋白(RBP)');
INSERT INTO `icss_lis_mapping` VALUES ('6015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酸化溶血试验', '血清酸化溶血试验', '血清酸化溶血试验--血清酸化溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('6016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清酸性磷酸酶测定', '酸性磷酸酶(ACP)', '血清酸性磷酸酶测定--酸性磷酸酶(ACP)');
INSERT INTO `icss_lis_mapping` VALUES ('6017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清药物浓度测定', '地高辛', '血清药物浓度--地高辛');
INSERT INTO `icss_lis_mapping` VALUES ('6018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清药物浓度测定', '环胞霉素', '血清药物浓度--环胞霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清药物浓度测定', '卡马西平', '血清药物浓度--卡马西平');
INSERT INTO `icss_lis_mapping` VALUES ('6020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清药物浓度测定', '可的松', '血清药物浓度--可的松');
INSERT INTO `icss_lis_mapping` VALUES ('6021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清药物浓度测定', '丙戊酸钠', '血清药物浓度--丙戊酸钠');
INSERT INTO `icss_lis_mapping` VALUES ('6022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血清总铁结合力测定', '总铁结合力(TIBC)', '血清总铁结合力测定--总铁结合力(TIBC)');
INSERT INTO `icss_lis_mapping` VALUES ('6023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血醛固酮测定', '醛固酮(ALD)', '血醛固酮--醛固酮(ALD)');
INSERT INTO `icss_lis_mapping` VALUES ('6024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血人绒毛膜促性腺激素测定', '血人绒毛膜促性腺激素(HCG)', '血人绒毛膜促性腺激素--人绒毛膜促性腺激素(HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('6025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血绒毛膜促性腺激素测定', '血绒毛膜促性腺激素(HCG)', '血绒毛膜促性腺激素--血绒毛膜促性腺激素(HCG)');
INSERT INTO `icss_lis_mapping` VALUES ('6026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血乳酸测定', '乳酸(LA)', '血乳酸测定--乳酸(LA)');
INSERT INTO `icss_lis_mapping` VALUES ('6027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血栓弹力图试验', '血栓弹力图试验', '血栓弹力图试验--血栓弹力图试验');
INSERT INTO `icss_lis_mapping` VALUES ('6028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血酮体测定', '血酮体(KET)', '血酮体测定--血酮体(KET)');
INSERT INTO `icss_lis_mapping` VALUES ('6029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素A测定', '维生素A(VitA)', '血维生素A测定--维生素A(VitA)');
INSERT INTO `icss_lis_mapping` VALUES ('6030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B12测定', '维生素B12(VitB12)', '血维生素B12测定--维生素B12(VitB12)');
INSERT INTO `icss_lis_mapping` VALUES ('6031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B1测定', '维生素B1(VitB)', '血维生素B1测定--维生素B1(VitB)');
INSERT INTO `icss_lis_mapping` VALUES ('6032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B2测定', '维生素B2(VitB)', '血维生素B2测定--维生素B2(VitB)');
INSERT INTO `icss_lis_mapping` VALUES ('6033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B3测定', '维生素B3(VitB)', '血维生素B3测定--维生素B3(VitB)');
INSERT INTO `icss_lis_mapping` VALUES ('6034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B6测定', '维生素B6(VitB)', '血维生素B6测定--维生素B6(VitB)');
INSERT INTO `icss_lis_mapping` VALUES ('6035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素B9测定', '维生素B9(VitB9)', '血维生素B9测定--维生素B9(VitB9)');
INSERT INTO `icss_lis_mapping` VALUES ('6036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素C测定', '维生素C(VitC)', '血维生素C测定--维生素C(VitC)');
INSERT INTO `icss_lis_mapping` VALUES ('6037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素D2测定', '血维生素D2(VitD2)', '血维生素D2测定--血维生素D2(VitD2)');
INSERT INTO `icss_lis_mapping` VALUES ('6038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素E测定', '维生素E(VitE)', '血维生素E测定--维生素E(VitE)');
INSERT INTO `icss_lis_mapping` VALUES ('6039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血维生素K测定', '维生素K(VitK)', '血维生素K测定--维生素K(VitK)');
INSERT INTO `icss_lis_mapping` VALUES ('6040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血吸虫检查', '血吸虫抗体', '血吸虫检查--血吸虫抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血细胞簇分化抗原系列测定', 'CD4/CD8', '血细胞簇分化抗原系列测定--CD4/CD8');
INSERT INTO `icss_lis_mapping` VALUES ('6042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血细胞簇分化抗原系列测定', 'CD3+', '血细胞簇分化抗原系列测定--CD3');
INSERT INTO `icss_lis_mapping` VALUES ('6043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血细胞簇分化抗原系列测定', 'CD8+', '血细胞簇分化抗原系列测定--CD8');
INSERT INTO `icss_lis_mapping` VALUES ('6044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血细胞簇分化抗原系列测定', 'CD4', '血细胞簇分化抗原系列测定--CD4');
INSERT INTO `icss_lis_mapping` VALUES ('6045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血腺苷脱氨酶测定', '腺苷脱氨酶(ADA)', '血腺苷脱氨酶测定--腺苷脱氨酶(ADA)');
INSERT INTO `icss_lis_mapping` VALUES ('6046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板ATP释放试验', '血小板ATP释放试验', '血小板ATP释放试验--血小板ATP释放试验');
INSERT INTO `icss_lis_mapping` VALUES ('6047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板第3因子测定', '血小板第3因子(PF3)', '血小板第3因子测定--血小板第3因子有效性(PF3)');
INSERT INTO `icss_lis_mapping` VALUES ('6048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板第4因子测定', '血小板第4因子(PF4)', '血小板第4因子测定--血小板第4因子(PF4)');
INSERT INTO `icss_lis_mapping` VALUES ('6049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板钙流测定', '血小板钙流测定', '血小板钙流--血小板钙流测定');
INSERT INTO `icss_lis_mapping` VALUES ('6050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板功能测定', '血小板聚集试验', '血小板功能--血小板聚集试验');
INSERT INTO `icss_lis_mapping` VALUES ('6051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板功能测定', '血小板黏附试验', '血小板功能--血小板黏附试验');
INSERT INTO `icss_lis_mapping` VALUES ('6052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板功能测定', '血块收缩时间', '血小板功能--血块收缩时间');
INSERT INTO `icss_lis_mapping` VALUES ('6053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板功能测定', '血栓烷B2(TXB2)', '血小板功能--血栓烷B2(TXB2)');
INSERT INTO `icss_lis_mapping` VALUES ('6054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板功能测定', 'β-血小板球蛋白(β-TG)', '血小板功能--β-血小板球蛋白(β-TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板聚集试验', '血小板聚集率', '血小板聚集试验--血小板聚集率');
INSERT INTO `icss_lis_mapping` VALUES ('6056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板表面抗体IgG', '血小板抗体测定--血小板表面抗体IgG');
INSERT INTO `icss_lis_mapping` VALUES ('6057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板表面抗体IgM', '血小板抗体测定--血小板表面抗体IgM');
INSERT INTO `icss_lis_mapping` VALUES ('6058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板表面抗体IgA', '血小板抗体测定--血小板表面抗体IgA');
INSERT INTO `icss_lis_mapping` VALUES ('6059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '补体C3', '血小板抗体测定--补体C3');
INSERT INTO `icss_lis_mapping` VALUES ('6060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板膜糖蛋白Ⅰb(GPⅠb)', '血小板抗体测定--血小板膜糖蛋白Ⅰb(GPⅠb)');
INSERT INTO `icss_lis_mapping` VALUES ('6061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板膜糖蛋白Ⅱb(GPⅡb)', '血小板抗体测定--血小板膜糖蛋白Ⅱb(GPⅡb)');
INSERT INTO `icss_lis_mapping` VALUES ('6062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板膜糖蛋白Ⅲa(GpⅢa)', '血小板抗体测定--血小板膜糖蛋白Ⅲa(GpⅢa)');
INSERT INTO `icss_lis_mapping` VALUES ('6063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '血小板膜糖蛋白IX(GPIX)', '血小板抗体测定--血小板膜糖蛋白IX(GPIX)');
INSERT INTO `icss_lis_mapping` VALUES ('6064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板抗体测定', '抗心磷脂抗体(ACA)', '血小板抗体测定--抗心磷脂抗体(ACA)');
INSERT INTO `icss_lis_mapping` VALUES ('6065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板膜α颗粒膜蛋白140测定', '血小板膜α颗粒膜蛋白140(GMP-140)', '血小板膜α颗粒膜蛋白140测定--血小板膜α颗粒膜蛋白140(GMP-140)');
INSERT INTO `icss_lis_mapping` VALUES ('6066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板膜糖蛋白测定', '血小板膜糖蛋白', '血小板膜糖蛋白测定--血小板膜糖蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板寿命测定', '血小板寿命', '血小板寿命测定--血小板寿命');
INSERT INTO `icss_lis_mapping` VALUES ('6068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板相关补体C3测定', '血小板相关补体C3(PAC3)', '血小板相关补体C3测定--血小板相关补体C3(PAC3)');
INSERT INTO `icss_lis_mapping` VALUES ('6069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgA)', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgA)');
INSERT INTO `icss_lis_mapping` VALUES ('6070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgG)', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgM)', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血小板粘附试验', '血小板粘附(PAdT)试验', '血小板粘附试验--血小板粘附(PAdT)试验');
INSERT INTO `icss_lis_mapping` VALUES ('6073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血叶酸测定', '叶酸(FA)', '血叶酸测定--叶酸(FA)');
INSERT INTO `icss_lis_mapping` VALUES ('6074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液病相关基因定量测定', '血液病相关基因定量', '血液病相关基因定量--血液病相关基因定量');
INSERT INTO `icss_lis_mapping` VALUES ('6075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液病相关基因定性测定', '血液病相关基因定性', '血液病相关基因定性--血液病相关基因定性');
INSERT INTO `icss_lis_mapping` VALUES ('6076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液黑热病利-杜氏体测定', '血液黑热病利-杜氏体', '血液黑热病利-杜氏体--血液黑热病利-杜氏体');
INSERT INTO `icss_lis_mapping` VALUES ('6077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液回归热螺旋体测定', '血液回归热螺旋体', '血液回归热螺旋体--血液回归热螺旋体');
INSERT INTO `icss_lis_mapping` VALUES ('6078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液疟原虫检查', '血液疟原虫检查', '血液疟原虫检查--血液疟原虫检查');
INSERT INTO `icss_lis_mapping` VALUES ('6079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '总胆红素(T-Bil)', '血液生化18项--总胆红素(T-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '直接胆红素(D-Bil)', '血液生化18项--直接胆红素(D-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '间接胆红素(I-Bil)', '血液生化18项--间接胆红素(I-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '总蛋白(TP)', '血液生化18项--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('6083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '白蛋白(Alb)', '血液生化18项--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('6084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '球蛋白(GLB)', '血液生化18项--球蛋白(GLB)');
INSERT INTO `icss_lis_mapping` VALUES ('6085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', 'ALB/GLB', '血液生化18项--ALB/GLB');
INSERT INTO `icss_lis_mapping` VALUES ('6086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '谷丙转氨酶(ALT)', '血液生化18项--谷丙转氨酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('6087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '葡萄糖(GLU)', '血液生化18项--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '尿酸(UA)', '血液生化18项--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('6089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '肌酐(Cr)', '血液生化18项--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('6090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '尿素(Urea)', '血液生化18项--尿素(Urea)');
INSERT INTO `icss_lis_mapping` VALUES ('6091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '钾(K)', '血液生化18项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('6092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '钠(Na)', '血液生化18项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('6093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '氯(Cl)', '血液生化18项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('6094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '甘油三酯(TG)', '血液生化18项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '总胆固醇(TC)', '血液生化18项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化18项测定', '高密度脂蛋白胆固醇(HDL-C)', '血液生化18项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '总胆汁酸(TBA)', '血液生化29项--总胆汁酸(TBA)');
INSERT INTO `icss_lis_mapping` VALUES ('6098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '总胆红素(T-Bil)', '血液生化29项--总胆红素(T-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '直接胆红素(D-Bil)', '血液生化29项--直接胆红素(D-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '间接胆红素(I-Bil)', '血液生化29项--间接胆红素(I-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '总蛋白(TP)', '血液生化29项--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('6102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '白蛋白(Alb)', '血液生化29项--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('6103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '球蛋白(GLB)', '血液生化29项--球蛋白(GLB)');
INSERT INTO `icss_lis_mapping` VALUES ('6104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', 'ALB/GLB', '血液生化29项--ALB/GLB');
INSERT INTO `icss_lis_mapping` VALUES ('6105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '谷丙转氨酶(ALT)', '血液生化29项--谷丙转氨酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('6106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '谷草转氨酶(AST)', '血液生化29项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('6107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', 'AST/ALT', '血液生化29项--AST/ALT');
INSERT INTO `icss_lis_mapping` VALUES ('6108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '谷氨酰基转移酶(GGT)', '血液生化29项--谷氨酰基转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('6109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '碱性磷酸酶(ALP)', '血液生化29项--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('6110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '乳酸脱氢酶(LD)', '血液生化29项--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('6111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '肌酸激酶(CK)', '血液生化29项--肌酸激酶(CK)');
INSERT INTO `icss_lis_mapping` VALUES ('6112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', 'α-L-岩藻糖苷酶(AFU)', '血液生化29项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `icss_lis_mapping` VALUES ('6113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '甘氨酸脯氨酸二肽氨基肽', '血液生化29项--甘氨酸脯氨酸二肽氨基肽');
INSERT INTO `icss_lis_mapping` VALUES ('6114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '淀粉酶(AMY)', '血液生化29项--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('6115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '葡萄糖(GLU)', '血液生化29项--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '尿酸(UA)', '血液生化29项--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('6117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '肌酐(Cr)', '血液生化29项--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('6118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '尿素(Urea)', '血液生化29项--尿素(Urea)');
INSERT INTO `icss_lis_mapping` VALUES ('6119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '钾(K)', '血液生化29项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('6120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '钠(Na)', '血液生化29项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('6121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '氯(Cl)', '血液生化29项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('6122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '甘油三酯(TG)', '血液生化29项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '总胆固醇(TC)', '血液生化29项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '高密度脂蛋白胆固醇(HDL-C)', '血液生化29项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化29项测定', '低密度脂蛋白胆固醇(LDL-C)', '血液生化29项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '总胆汁酸(TBA)', '血液生化36项--总胆汁酸(TBA)');
INSERT INTO `icss_lis_mapping` VALUES ('6127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '总胆红素(T-Bil)', '血液生化36项--总胆红素(T-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '直接胆红素(D-Bil)', '血液生化36项--直接胆红素(D-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '间接胆红素(I-Bil)', '血液生化36项--间接胆红素(I-Bil)');
INSERT INTO `icss_lis_mapping` VALUES ('6130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '总蛋白(TP)', '血液生化36项--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('6131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '白蛋白(Alb)', '血液生化36项--白蛋白(Alb)');
INSERT INTO `icss_lis_mapping` VALUES ('6132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '球蛋白(GLB)', '血液生化36项--球蛋白(GLB)');
INSERT INTO `icss_lis_mapping` VALUES ('6133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', 'ALB/GLB', '血液生化36项--ALB/GLB');
INSERT INTO `icss_lis_mapping` VALUES ('6134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '谷丙转氨酶(ALT)', '血液生化36项--谷丙转氨酶(ALT)');
INSERT INTO `icss_lis_mapping` VALUES ('6135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '谷草转氨酶(AST)', '血液生化36项--谷草转氨酶(AST)');
INSERT INTO `icss_lis_mapping` VALUES ('6136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', 'AST/ALT', '血液生化36项--AST/ALT');
INSERT INTO `icss_lis_mapping` VALUES ('6137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '谷氨酰基转移酶(GGT)', '血液生化36项--谷氨酰基转移酶(GGT)');
INSERT INTO `icss_lis_mapping` VALUES ('6138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '碱性磷酸酶(ALP)', '血液生化36项--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('6139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '乳酸脱氢酶(LD)', '血液生化36项--乳酸脱氢酶(LD)');
INSERT INTO `icss_lis_mapping` VALUES ('6140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '肌酸激酶(CK)', '血液生化36项--肌酸激酶(CK)');
INSERT INTO `icss_lis_mapping` VALUES ('6141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', 'α-L-岩藻糖苷酶(AFU)', '血液生化36项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `icss_lis_mapping` VALUES ('6142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '腺苷脱氨酶(ADA)', '血液生化36项--腺苷脱氨酶(ADA)');
INSERT INTO `icss_lis_mapping` VALUES ('6143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '甘氨酸脯氨酸二肽氨基肽', '血液生化36项--甘氨酸脯氨酸二肽氨基肽');
INSERT INTO `icss_lis_mapping` VALUES ('6144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '淀粉酶(AMY)', '血液生化36项--淀粉酶(AMY)');
INSERT INTO `icss_lis_mapping` VALUES ('6145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '超敏C反应蛋白(hs-CRP)', '血液生化36项--超敏C反应蛋白(hs-CRP)');
INSERT INTO `icss_lis_mapping` VALUES ('6146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '葡萄糖(GLU)', '血液生化36项--葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '尿酸(UA)', '血液生化36项--尿酸(UA)');
INSERT INTO `icss_lis_mapping` VALUES ('6148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '肌酐(Cr)', '血液生化36项--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('6149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '尿素(Urea)', '血液生化36项--尿素(Urea)');
INSERT INTO `icss_lis_mapping` VALUES ('6150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '钾(K)', '血液生化36项--钾(K)');
INSERT INTO `icss_lis_mapping` VALUES ('6151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '钠(Na)', '血液生化36项--钠(Na)');
INSERT INTO `icss_lis_mapping` VALUES ('6152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '氯(Cl)', '血液生化36项--氯(Cl)');
INSERT INTO `icss_lis_mapping` VALUES ('6153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '钙(Ca)', '血液生化36项--钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('6154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '镁(Mg)', '血液生化36项--镁(Mg)');
INSERT INTO `icss_lis_mapping` VALUES ('6155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '磷(P)', '血液生化36项--磷(P)');
INSERT INTO `icss_lis_mapping` VALUES ('6156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '甘油三酯(TG)', '血液生化36项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '总胆固醇(TC)', '血液生化36项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '高密度脂蛋白胆固醇(HDL-C)', '血液生化36项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '低密度脂蛋白胆固醇(LDL-C)', '血液生化36项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '载脂蛋白A1(apoA1)', '血液生化36项--载脂蛋白A1(apoA1)');
INSERT INTO `icss_lis_mapping` VALUES ('6161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液生化36项测定', '载脂蛋白B(apoB)', '血液生化36项--载脂蛋白B(apoB)');
INSERT INTO `icss_lis_mapping` VALUES ('6162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液苏丹染色检查', '血液苏丹染色', '血液苏丹染色检查--血液苏丹染色');
INSERT INTO `icss_lis_mapping` VALUES ('6163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液铁染色检查', '血液铁染色检查', '血液铁染色检查--血液铁染色检查');
INSERT INTO `icss_lis_mapping` VALUES ('6164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血液锌原卟啉测定', '血液锌原卟啉测定', '血液锌原卟啉测定--血液锌原卟啉测定');
INSERT INTO `icss_lis_mapping` VALUES ('6165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血胰淀粉酶测定', '胰淀粉酶(AMS)', '血胰淀粉酶测定--胰淀粉酶(AMS)');
INSERT INTO `icss_lis_mapping` VALUES ('6166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血游离脂肪酸测定', '游离脂肪酸(FFA)', '血游离脂肪酸测定--游离脂肪酸(FFA)');
INSERT INTO `icss_lis_mapping` VALUES ('6167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血有机酸测定', '血有机酸', '血有机酸测定--血有机酸');
INSERT INTO `icss_lis_mapping` VALUES ('6168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血粘蛋白测定', '粘蛋白', '血粘蛋白测定--粘蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂4项', '总胆固醇(TC)', '血脂4项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂4项', '甘油三酯(TG)', '血脂4项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂4项', '高密度脂蛋白胆固醇(HDL-C)', '血脂4项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂4项', '低密度脂蛋白胆固醇(LDL-C)', '血脂4项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '总胆固醇(TC)', '血脂6项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '甘油三酯(TG)', '血脂6项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '高密度脂蛋白胆固醇(HDL-C)', '血脂6项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '低密度脂蛋白胆固醇(LDL-C)', '血脂6项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '载脂蛋白A1(apoA1)', '血脂6项--载脂蛋白A1(apoA1)');
INSERT INTO `icss_lis_mapping` VALUES ('6178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂6项', '载脂蛋白B(apoB)', '血脂6项--载脂蛋白B(apoB)');
INSERT INTO `icss_lis_mapping` VALUES ('6179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '总胆固醇(TC)', '血脂7项--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '甘油三酯(TG)', '血脂7项--甘油三酯(TG)');
INSERT INTO `icss_lis_mapping` VALUES ('6181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '高密度脂蛋白胆固醇(HDL-C)', '血脂7项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '低密度脂蛋白胆固醇(LDL-C)', '血脂7项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `icss_lis_mapping` VALUES ('6183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '载脂蛋白A1(apoA1)', '血脂7项--载脂蛋白A1(apoA1)');
INSERT INTO `icss_lis_mapping` VALUES ('6184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '载脂蛋白B(apoB)', '血脂7项--载脂蛋白B(apoB)');
INSERT INTO `icss_lis_mapping` VALUES ('6185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血脂7项', '脂蛋白a(LPa)', '血脂7项--脂蛋白a(LPa)');
INSERT INTO `icss_lis_mapping` VALUES ('6186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '循环免疫复合物测定', '循环免疫复合物(CIC)', '循环免疫复合物测定--循环免疫复合物(CIC)');
INSERT INTO `icss_lis_mapping` VALUES ('6187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '芽生菌补体结合试验', '芽生菌补体结合试验', '芽生菌补体结合试验--芽生菌补体结合试验');
INSERT INTO `icss_lis_mapping` VALUES ('6188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '芽生菌免疫学试验', '芽生菌免疫学试验', '芽生菌免疫学试验--芽生菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '芽生菌血清学试验', '芽生菌血清学试验', '芽生菌血清学试验--芽生菌血清学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '盐水输注试验', '盐水输注试验', '盐水输注试验--盐水输注试验');
INSERT INTO `icss_lis_mapping` VALUES ('6191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '氧合血红蛋白测定', '氧合血红蛋白(FO2Hb)', '氧合血红蛋白测定--氧合血红蛋白(FO2Hb)');
INSERT INTO `icss_lis_mapping` VALUES ('6192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药物兴奋催乳素动态试验', '药物兴奋催乳素(PRL)动态试验', '药物兴奋催乳素动态试验--药物兴奋催乳素(PRL)动态试验');
INSERT INTO `icss_lis_mapping` VALUES ('6193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耶尔森氏菌免疫学试验', '耶尔森氏菌免疫学试验', '耶尔森氏菌免疫学试验--耶尔森氏菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '野兔热免疫学试验', '野兔热免疫学试验', '野兔热免疫学试验--野兔热免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '一氧化氮分析', '一氧化氮', '一氧化氮分析--一氧化氮');
INSERT INTO `icss_lis_mapping` VALUES ('6196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '一氧化碳测定', '一氧化碳', '一氧化碳测定--一氧化碳');
INSERT INTO `icss_lis_mapping` VALUES ('6197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '依酚氯胺试验', '依酚氯胺试验', '依酚氯胺试验--依酚氯胺试验');
INSERT INTO `icss_lis_mapping` VALUES ('6198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰癌胚抗原测定', '胰癌胚抗原(POA)', '胰癌胚抗原--胰癌胚抗原(POA)');
INSERT INTO `icss_lis_mapping` VALUES ('6199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛功能测定', '胰岛素(INS)', '胰岛功能测定--胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛功能测定', 'C肽(C-P)', '胰岛功能测定--C肽(CP)');
INSERT INTO `icss_lis_mapping` VALUES ('6201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛功能测定', '胰岛素原', '胰岛功能测定--胰岛素原');
INSERT INTO `icss_lis_mapping` VALUES ('6202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素测定', '胰岛素(Ins)', '胰岛素--胰岛素(Ins)');
INSERT INTO `icss_lis_mapping` VALUES ('6203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '0min葡萄糖(GLU)', '胰岛素低血糖兴奋试验--0min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '0min生长激素(GH)', '胰岛素低血糖兴奋试验--0min生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('6205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '30min葡萄糖(GLU)', '胰岛素低血糖兴奋试验--30min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '30min生长激素(GH)', '胰岛素低血糖兴奋试验--30min生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('6207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '60min葡萄糖(GLU)', '胰岛素低血糖兴奋试验--60min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '60min生长激素(GH)', '胰岛素低血糖兴奋试验--60min生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('6209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '90min葡萄糖(GLU)', '胰岛素低血糖兴奋试验--90min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '90min生长激素(GH)', '胰岛素低血糖兴奋试验--90min生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('6211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '120min葡萄糖(GLU)', '胰岛素低血糖兴奋试验--120min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素低血糖兴奋试验', '120min生长激素(GH)', '胰岛素低血糖兴奋试验--120min生长激素(GH)');
INSERT INTO `icss_lis_mapping` VALUES ('6213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素钳夹试验', '胰岛素钳夹试验', '胰岛素钳夹试验--胰岛素钳夹试验');
INSERT INTO `icss_lis_mapping` VALUES ('6214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰岛素原测定', '胰岛素原', '胰岛素原测定--胰岛素原');
INSERT INTO `icss_lis_mapping` VALUES ('6215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高糖素儿茶酚胺激发试验', '胰高糖素儿茶酚胺激发试验', '胰高糖素儿茶酚胺激发试验--胰高糖素儿茶酚胺激发试验');
INSERT INTO `icss_lis_mapping` VALUES ('6216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '0min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--0min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '0min胰岛素(INS)', '胰高血糖素C肽刺激试验--0min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '0minC肽(C-P)', '胰高血糖素C肽刺激试验--0minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '2min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--2min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '2min胰岛素(INS)', '胰高血糖素C肽刺激试验--2min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '2minC肽(C-P)', '胰高血糖素C肽刺激试验--2minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '3min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--3min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '3min胰岛素(INS)', '胰高血糖素C肽刺激试验--3min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '3minC肽(C-P)', '胰高血糖素C肽刺激试验--3minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '4min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--4min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '4min胰岛素(INS)', '胰高血糖素C肽刺激试验--4min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '4minC肽(C-P)', '胰高血糖素C肽刺激试验--4minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '5min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--5min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '5min胰岛素(INS)', '胰高血糖素C肽刺激试验--5min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '5minC肽(C-P)', '胰高血糖素C肽刺激试验--5minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '8min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--8min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '8min胰岛素(INS)', '胰高血糖素C肽刺激试验--8min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '8minC肽(C-P)', '胰高血糖素C肽刺激试验--8minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '10min葡萄糖(GLU)', '胰高血糖素C肽刺激试验--10min葡萄糖(GLU)');
INSERT INTO `icss_lis_mapping` VALUES ('6235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '10min胰岛素(INS)', '胰高血糖素C肽刺激试验--10min胰岛素(INS)');
INSERT INTO `icss_lis_mapping` VALUES ('6236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素C肽刺激试验', '10minC肽(C-P)', '胰高血糖素C肽刺激试验--10minC肽(C-P)');
INSERT INTO `icss_lis_mapping` VALUES ('6237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰高血糖素测定', '胰高血糖素', '胰高血糖素--胰高血糖素');
INSERT INTO `icss_lis_mapping` VALUES ('6238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺癌标志物4项', '癌胚抗原(CEA)', '胰腺癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('6239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺癌标志物4项', '糖类抗原CA-50', '胰腺癌标志物4项--糖类抗原CA-50');
INSERT INTO `icss_lis_mapping` VALUES ('6240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺癌标志物4项', '糖类抗原CA-125', '胰腺癌标志物4项--糖类抗原CA-125');
INSERT INTO `icss_lis_mapping` VALUES ('6241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺癌标志物4项', '糖类抗原CA-199', '胰腺癌标志物4项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('6242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胰腺特异性抗原测定', '胰腺特异性抗原', '胰腺特异性抗原--胰腺特异性抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙醇胶试验', '乙醇胶试验', '乙醇胶试验--乙醇胶试验');
INSERT INTO `icss_lis_mapping` VALUES ('6244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝二对半', '乙肝表面抗原定性(HBsAg)', '乙肝二对半--乙肝表面抗原定性(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝二对半', '乙肝表面抗体定性(HBsAb)', '乙肝二对半--乙肝表面抗体定性(HBsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝二对半', '乙肝e抗原定性(HBeAg)', '乙肝二对半--乙肝e抗原定性(HBeAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝二对半', '乙肝e抗体定性(HBeAb)', '乙肝二对半--乙肝e抗体定性(HBeAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝二对半', '乙肝核心抗体定性(HBcAb)', '乙肝二对半--乙肝核心抗体定性(HBcAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝表面抗原定量(HBsAg)', '乙肝三系定量--乙肝表面抗原定量(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝表面抗体定量(HBsAb)', '乙肝三系定量--乙肝表面抗体定量(HBsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝e抗原定量(HBeAg)', '乙肝三系定量--乙肝e抗原定量(HBeAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝e抗体定量(HBeAb)', '乙肝三系定量--乙肝e抗体定量(HBeAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝核心抗体定量(HBcAb)', '乙肝三系定量--乙肝核心抗体定量(HBcAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定量', '乙肝核心抗体IgM定量(HBc-IgM)', '乙肝三系定量--乙肝核心抗体IgM定量(HBc-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝表面抗原定性(HBsAg)', '乙肝三系定性--乙肝表面抗原定性(HBsAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝表面抗体定性(HBsAb)', '乙肝三系定性--乙肝表面抗体定性(HBsAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝e抗原定性(HBeAg)', '乙肝三系定性--乙肝e抗原定性(HBeAg)');
INSERT INTO `icss_lis_mapping` VALUES ('6258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝e抗体定性(HBeAb)', '乙肝三系定性--乙肝e抗体定性(HBeAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝核心抗体定性(HBcAb)', '乙肝三系定性--乙肝核心抗体定性(HBcAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝三系定性', '乙肝核心抗体IgM定性(HBc-IgM)', '乙肝三系定性--乙肝核心抗体IgM定性(HBc-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙酰胆碱酯酶测定', '乙酰胆碱酯酶', '乙酰胆碱酯酶测定--乙酰胆碱酯酶');
INSERT INTO `icss_lis_mapping` VALUES ('6262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型肝炎病毒外膜大蛋白抗原测定', '乙型肝炎病毒外膜大蛋白抗原', '乙型肝炎病毒外膜大蛋白抗原测定--乙型肝炎病毒外膜大蛋白抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型肝炎病毒外膜蛋白前S1抗体测定', '乙型肝炎病毒外膜蛋白前S1抗体', '乙型肝炎病毒外膜蛋白前S1抗体--乙型肝炎病毒外膜蛋白前S1抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型肝炎病毒外膜蛋白前S1抗原测定', '乙型肝炎病毒外膜蛋白前S1抗原', '乙型肝炎病毒外膜蛋白前S1抗原--乙型肝炎病毒外膜蛋白前S1抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型肝炎病毒外膜蛋白前S2抗体测定', '乙型肝炎病毒外膜蛋白前S2抗体', '乙型肝炎病毒外膜蛋白前S2抗体--乙型肝炎病毒外膜蛋白前S2抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型肝炎病毒外膜蛋白前S2抗原测定', '乙型肝炎病毒外膜蛋白前S2抗原', '乙型肝炎病毒外膜蛋白前S2抗原--乙型肝炎病毒外膜蛋白前S2抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙型流感病毒抗体测定', '乙型流感病毒抗体测定', '乙型流感病毒抗体测定--乙型流感病毒抗体测定');
INSERT INTO `icss_lis_mapping` VALUES ('6268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异丙醇试验', '异丙醇试验', '异丙醇试验--异丙醇试验');
INSERT INTO `icss_lis_mapping` VALUES ('6269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '白细胞酯酶', '阴道分泌物常规--白细胞酯酶');
INSERT INTO `icss_lis_mapping` VALUES ('6270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '清洁度', '阴道分泌物常规--清洁度');
INSERT INTO `icss_lis_mapping` VALUES ('6271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '滴虫', '阴道分泌物常规--滴虫');
INSERT INTO `icss_lis_mapping` VALUES ('6272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '霉菌', '阴道分泌物常规--霉菌');
INSERT INTO `icss_lis_mapping` VALUES ('6273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '白细胞计数(WBC)', '阴道分泌物常规--白细胞计数(WBC)');
INSERT INTO `icss_lis_mapping` VALUES ('6274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '红细胞计数(RBC)', '阴道分泌物常规--红细胞计数(RBC)');
INSERT INTO `icss_lis_mapping` VALUES ('6275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '线索细胞', '阴道分泌物常规--线索细胞');
INSERT INTO `icss_lis_mapping` VALUES ('6276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', 'pH', '阴道分泌物常规--pH');
INSERT INTO `icss_lis_mapping` VALUES ('6277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物常规', '胺试验', '阴道分泌物常规--胺试验');
INSERT INTO `icss_lis_mapping` VALUES ('6278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物涂片检查', '清洁度', '阴道分泌物涂片检查--清洁度');
INSERT INTO `icss_lis_mapping` VALUES ('6279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物涂片检查', '杆菌', '阴道分泌物涂片检查--杆菌');
INSERT INTO `icss_lis_mapping` VALUES ('6280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物涂片检查', '球菌', '阴道分泌物涂片检查--球菌');
INSERT INTO `icss_lis_mapping` VALUES ('6281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物涂片检查', '上皮细胞', '阴道分泌物涂片检查--上皮细胞');
INSERT INTO `icss_lis_mapping` VALUES ('6282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道分泌物涂片检查', '脓细胞或白细胞', '阴道分泌物涂片检查--脓细胞或白细胞');
INSERT INTO `icss_lis_mapping` VALUES ('6283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '隐球菌病补体结合试验', '隐球菌病补体结合试验', '隐球菌病补体结合试验--隐球菌病补体结合试验');
INSERT INTO `icss_lis_mapping` VALUES ('6284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '隐球菌病胶乳凝集试验', '隐球菌病胶乳凝集试验', '隐球菌病胶乳凝集试验--隐球菌病胶乳凝集试验');
INSERT INTO `icss_lis_mapping` VALUES ('6285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鹦鹉热衣原体测定', '鹦鹉热衣原体', '鹦鹉热衣原体测定--鹦鹉热衣原体');
INSERT INTO `icss_lis_mapping` VALUES ('6286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优球蛋白溶解时间测定', '优球蛋白溶解时间(ELT)', '优球蛋白溶解时间--优球蛋白溶解时间(ELT)');
INSERT INTO `icss_lis_mapping` VALUES ('6287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '巨细胞病毒抗体IgM(CMV-IgM)', '优生优育10项--巨细胞病毒抗体IgM(CMV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '巨细胞病毒抗体IgG(CMV-IgG)', '优生优育10项--巨细胞病毒抗体IgG(CMV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '优生优育10项--单纯疱疹病毒I型抗体IgM(HSV-I-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '单纯疱疹病毒I型抗体IgG(HSV-I-IgG)', '优生优育10项--单纯疱疹病毒I型抗体IgG(HSV-I-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)', '优生优育10项--单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)', '优生优育10项--单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '风疹病毒抗体IgM(RV-IgM)', '优生优育10项--风疹病毒抗体IgM(RV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '风疹病毒抗体IgG(RV-IgG)', '优生优育10项--风疹病毒抗体IgG(RV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '弓形虫抗体IgM(TOXO-IgM)', '优生优育10项--弓形虫抗体IgM(TOXO-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育10项', '弓形虫抗体IgG(TOXO-IgG)', '优生优育10项--弓形虫抗体IgG(TOXO-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '巨细胞病毒抗体IgM(CMV-IgM)', '优生优育8项--巨细胞病毒抗体IgM(CMV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '巨细胞病毒抗体IgG(CMV-IgG)', '优生优育8项--巨细胞病毒抗体IgG(CMV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '优生优育8项--单纯疱疹病毒I型抗体IgM(HSV-I-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)', '优生优育8项--单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '风疹病毒抗体IgM(RV-IgM)', '优生优育8项--风疹病毒抗体IgM(RV-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '风疹病毒抗体IgG(RV-IgG)', '优生优育8项--风疹病毒抗体IgG(RV-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '弓形虫抗体IgM(TOXO-IgM)', '优生优育8项--弓形虫抗体IgM(TOXO-IgM)');
INSERT INTO `icss_lis_mapping` VALUES ('6304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '优生优育8项', '弓形虫抗体IgG(TOXO-IgG)', '优生优育8项--弓形虫抗体IgG(TOXO-IgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌粪便抗原测定', '幽门螺杆菌粪便抗原', '幽门螺杆菌粪便抗原测定--幽门螺杆菌粪便抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌尿素酶试验', '幽门螺杆菌尿素酶试验', '幽门螺杆菌尿素酶试验--幽门螺杆菌尿素酶试验');
INSERT INTO `icss_lis_mapping` VALUES ('6307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '游离甲状腺素测定', '游离甲状腺素(FT4)', '游离甲状腺素测定--游离甲状腺素(FT4)');
INSERT INTO `icss_lis_mapping` VALUES ('6308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '游离前列腺特异性抗原测定', '游离前列腺特异性抗原(FPSA)', '游离前列腺特异性抗原测定--游离前列腺特异性抗原(FPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('6309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '游离三碘甲状原氨酸测定', '游离三碘甲状原氨酸(FT3)', '游离三碘甲状原氨酸测定--游离三碘甲状原氨酸(FT3)');
INSERT INTO `icss_lis_mapping` VALUES ('6310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有核红细胞计数', '有核红细胞计数', '有核红细胞计数--有核红细胞计数');
INSERT INTO `icss_lis_mapping` VALUES ('6311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '孕激素试验', '孕激素试验', '孕激素试验--孕激素试验');
INSERT INTO `icss_lis_mapping` VALUES ('6312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '孕酮测定', '孕酮(P)', '孕酮测定--孕酮(P)');
INSERT INTO `icss_lis_mapping` VALUES ('6313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甾体激素受体测定', '甾体激素受体', '甾体激素受体测定--甾体激素受体');
INSERT INTO `icss_lis_mapping` VALUES ('6314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白A1测定', '载脂蛋白A1(apoA1)', '载脂蛋白A1测定--载脂蛋白A1(apoA1)');
INSERT INTO `icss_lis_mapping` VALUES ('6315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白AⅡ测定', '载脂蛋白AⅡ(apoAⅡ)', '载脂蛋白AⅡ测定--载脂蛋白AⅡ(apoAⅡ)');
INSERT INTO `icss_lis_mapping` VALUES ('6316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白a测定', '载脂蛋白a(apoa)', '载脂蛋白a测定--载脂蛋白a(apoa)');
INSERT INTO `icss_lis_mapping` VALUES ('6317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白B测定', '载脂蛋白B(apoB)', '载脂蛋白B测定--载脂蛋白B(apoB)');
INSERT INTO `icss_lis_mapping` VALUES ('6318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白CⅡ测定', '载脂蛋白CⅡ(apoCⅡ)', '载脂蛋白CⅡ测定--载脂蛋白CⅡ(apoCⅡ)');
INSERT INTO `icss_lis_mapping` VALUES ('6319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白CⅢ测定', '载脂蛋白CⅢ(apoCⅢ)', '载脂蛋白CⅢ测定--载脂蛋白CⅢ(apoCⅢ)');
INSERT INTO `icss_lis_mapping` VALUES ('6320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '载脂蛋白E测定', '载脂蛋白E(apoE)', '载脂蛋白E测定--载脂蛋白E(apoE)');
INSERT INTO `icss_lis_mapping` VALUES ('6321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '造血干细胞计数', '造血干细胞', '造血干细胞计数--造血干细胞');
INSERT INTO `icss_lis_mapping` VALUES ('6322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蔗糖溶血试验', '蔗糖溶血试验', '蔗糖溶血试验--蔗糖溶血试验');
INSERT INTO `icss_lis_mapping` VALUES ('6323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '阿奇霉素', '支原体药敏试验--阿奇霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '红霉素', '支原体药敏试验--红霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '环丙沙星', '支原体药敏试验--环丙沙星');
INSERT INTO `icss_lis_mapping` VALUES ('6326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '交沙霉素', '支原体药敏试验--交沙霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '克拉霉素', '支原体药敏试验--克拉霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '罗红霉素', '支原体药敏试验--罗红霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '米诺环素', '支原体药敏试验--米诺环素');
INSERT INTO `icss_lis_mapping` VALUES ('6330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '强力霉素', '支原体药敏试验--强力霉素');
INSERT INTO `icss_lis_mapping` VALUES ('6331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '司巴沙星', '支原体药敏试验--司巴沙星');
INSERT INTO `icss_lis_mapping` VALUES ('6332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '四环素', '支原体药敏试验--四环素');
INSERT INTO `icss_lis_mapping` VALUES ('6333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '氧氟沙星', '支原体药敏试验--氧氟沙星');
INSERT INTO `icss_lis_mapping` VALUES ('6334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '支原体药敏试验', '左氧沙星', '支原体药敏试验--左氧沙星');
INSERT INTO `icss_lis_mapping` VALUES ('6335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脂蛋白a测定', '脂蛋白a(LPa)', '脂蛋白a测定--脂蛋白a(LPa)');
INSERT INTO `icss_lis_mapping` VALUES ('6336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脂多糖结合蛋白测定', '脂多糖结合蛋白', '脂多糖结合蛋白测定--脂多糖结合蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脂肪酶测定', '脂肪酶(LPS)', '脂肪酶测定--脂肪酶(LPS)');
INSERT INTO `icss_lis_mapping` VALUES ('6338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直肠癌标志物4项', '癌胚抗原(CEA)', '直肠癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('6339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直肠癌标志物4项', '糖类抗原CA-50', '直肠癌标志物4项--糖类抗原CA-50');
INSERT INTO `icss_lis_mapping` VALUES ('6340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直肠癌标志物4项', '糖类抗原CA-199', '直肠癌标志物4项--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('6341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直肠癌标志物4项', '糖类抗原CA-242', '直肠癌标志物4项--糖类抗原CA-242');
INSERT INTO `icss_lis_mapping` VALUES ('6342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直接抗人球蛋白试验', '直接抗人球蛋白试验', '直接抗人球蛋白试验--直接抗人球蛋白试验');
INSERT INTO `icss_lis_mapping` VALUES ('6343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直接涂片抗酸染色镜检', '直接涂片抗酸染色镜检', '直接涂片抗酸染色镜检--直接涂片抗酸染色镜检');
INSERT INTO `icss_lis_mapping` VALUES ('6344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '指甲肌酐测定', '肌酐(Cr)', '指甲肌酐测定--肌酐(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('6345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酯酶染色检查', '酯酶染色检查', '酯酶染色检查--酯酶染色检查');
INSERT INTO `icss_lis_mapping` VALUES ('6346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中枢神经特异蛋白测定', '中枢神经特异蛋白(S100β)', '中枢神经特异蛋白测定--中枢神经特异蛋白(S100β)');
INSERT INTO `icss_lis_mapping` VALUES ('6347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中性粒细胞趋化功能试验', '中性粒细胞趋化功能试验', '中性粒细胞趋化功能试验--中性粒细胞趋化功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('6348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末补体复合物测定', '终末补体复合物', '终末补体复合物--终末补体复合物');
INSERT INTO `icss_lis_mapping` VALUES ('6349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤坏死因子α测定', '肿瘤坏死因子α(TNF-α)', '肿瘤坏死因子α测定--肿瘤坏死因子α(TNF-α)');
INSERT INTO `icss_lis_mapping` VALUES ('6350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤坏死因子测定', '肿瘤坏死因子(TNF)', '肿瘤坏死因子测定--肿瘤坏死因子(TNF)');
INSERT INTO `icss_lis_mapping` VALUES ('6351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤坏死因子受体测定', '肿瘤坏死因子受体', '肿瘤坏死因子受体测定--肿瘤坏死因子受体');
INSERT INTO `icss_lis_mapping` VALUES ('6352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤相关抗原测定', '肿瘤相关抗原(MG-Ags)', '肿瘤相关抗原测定--肿瘤相关抗原(MG-Ags)');
INSERT INTO `icss_lis_mapping` VALUES ('6353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肿瘤相关抗原测定', '肿瘤相关抗原(TA-2)', '肿瘤相关抗原测定--肿瘤相关抗原(TA-2)');
INSERT INTO `icss_lis_mapping` VALUES ('6354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昼夜尿比重试验', '昼夜尿比重试验', '昼夜尿比重试验--昼夜尿比重试验');
INSERT INTO `icss_lis_mapping` VALUES ('6355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '猪囊尾蚴抗原和抗体测定', '猪囊尾蚴抗原', '猪囊尾蚴抗原和抗体测定--猪囊尾蚴抗原');
INSERT INTO `icss_lis_mapping` VALUES ('6356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '猪囊尾蚴抗原和抗体测定', '猪囊尾蚴抗体', '猪囊尾蚴抗原和抗体测定--猪囊尾蚴抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '专项变应原测定', '专项变应原', '专项变应原测定--专项变应原');
INSERT INTO `icss_lis_mapping` VALUES ('6358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '转铁蛋白测定', '转铁蛋白(TRF)', '转铁蛋白测定--转铁蛋白(TF)');
INSERT INTO `icss_lis_mapping` VALUES ('6359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自然杀伤淋巴细胞功能试验', '自然杀伤淋巴细胞功能试验', '自然杀伤淋巴细胞功能试验--自然杀伤淋巴细胞功能试验');
INSERT INTO `icss_lis_mapping` VALUES ('6360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自然杀伤细胞抗肿瘤活性测定', '自然杀伤(NK)细胞抗肿瘤活性测定', '自然杀伤(NK)细胞抗肿瘤活性测定--自然杀伤(NK)细胞抗肿瘤活性测定');
INSERT INTO `icss_lis_mapping` VALUES ('6361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗线粒体M2亚型抗体(AMA-M2)', '自身免疫性肝病抗体--抗线粒体M2亚型抗体(AMA-M2)');
INSERT INTO `icss_lis_mapping` VALUES ('6362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗肝肾微粒体抗体(LKM)', '自身免疫性肝病抗体--抗肝肾微粒体抗体(LKM)');
INSERT INTO `icss_lis_mapping` VALUES ('6363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗可溶性肝抗原/肝-胰抗原抗体(SLA/LP)', '自身免疫性肝病抗体--抗可溶性肝抗原/肝-胰抗原抗体(SLA/LP)');
INSERT INTO `icss_lis_mapping` VALUES ('6364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗平滑肌抗体(SMA)', '自身免疫性肝病抗体--抗平滑肌抗体(SMA)');
INSERT INTO `icss_lis_mapping` VALUES ('6365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗核抗体(ANA)', '自身免疫性肝病抗体--抗核抗体(ANA)');
INSERT INTO `icss_lis_mapping` VALUES ('6366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗线粒体抗体(AMA)', '自身免疫性肝病抗体--抗线粒体抗体(AMA)');
INSERT INTO `icss_lis_mapping` VALUES ('6367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性肝病抗体测定', '抗肝细胞胞浆抗原1型抗体(抗LC1抗体)', '自身免疫性肝病抗体--抗肝细胞胞浆抗原1型抗体(抗LC1抗体)');
INSERT INTO `icss_lis_mapping` VALUES ('6368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性血管炎抗体3项', '抗中性粒细胞组织蛋白酶G抗体', '自身免疫性血管炎抗体3项--抗中性粒细胞组织蛋白酶G抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性血管炎抗体3项', '抗髓过氧化物酶抗体', '自身免疫性血管炎抗体3项--抗髓过氧化物酶抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自身免疫性血管炎抗体3项', '抗肾小球基底膜抗体', '自身免疫性血管炎抗体3项--抗肾小球基底膜抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总Ⅰ型胶原氨基端延长肽测定', '总Ⅰ型胶原氨基端延长肽(Total-P1NP)', '总Ⅰ型胶原氨基端延长肽测定--总Ⅰ型胶原氨基端延长肽(Total-P1NP)');
INSERT INTO `icss_lis_mapping` VALUES ('6372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总IgE测定', '总IgE', '总IgE--总IgE');
INSERT INTO `icss_lis_mapping` VALUES ('6373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总补体测定', '总补体(CH50)', '总补体测定--总补体(CH50)');
INSERT INTO `icss_lis_mapping` VALUES ('6374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总胆固醇测定', '总胆固醇(TC)', '总胆固醇测定--总胆固醇(TC)');
INSERT INTO `icss_lis_mapping` VALUES ('6375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总胆汁酸测定', '总胆汁酸(TBA)', '总胆汁酸测定--总胆汁酸(TBA)');
INSERT INTO `icss_lis_mapping` VALUES ('6376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总蛋白测定', '总蛋白(TP)', '总蛋白测定--总蛋白(TP)');
INSERT INTO `icss_lis_mapping` VALUES ('6377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总二氧化碳测定', '总二氧化碳(TCO2)', '总二氧化碳测定--总二氧化碳(TCO2)');
INSERT INTO `icss_lis_mapping` VALUES ('6378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总钙测定', '总钙(Ca)', '总钙测定--总钙(Ca)');
INSERT INTO `icss_lis_mapping` VALUES ('6379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '总前列腺特异性抗原测定', '总前列腺特异性抗原(TPSA)', '总前列腺特异性抗原测定--总前列腺特异性抗原(TPSA)');
INSERT INTO `icss_lis_mapping` VALUES ('6380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组织胺测定', '组织胺(Histamine)', '组织胺测定--组织胺(Histamine)');
INSERT INTO `icss_lis_mapping` VALUES ('6381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组织胞浆菌免疫学试验', '组织胞浆菌免疫学试验', '组织胞浆菌免疫学试验--组织胞浆菌免疫学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组织胞浆菌血清学试验', '组织胞浆菌血清学试验', '组织胞浆菌血清学试验--组织胞浆菌血清学试验');
INSERT INTO `icss_lis_mapping` VALUES ('6383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组织多肽特异抗原测定', '组织多肽特异抗原(TPS)', '组织多肽特异抗原测定--组织多肽特异抗原(TPS)');
INSERT INTO `icss_lis_mapping` VALUES ('6384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '组织相容性抗体测定', '组织相容性(HLA)抗体', '组织相容性(HLA)抗体--组织相容性(HLA)抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左旋多巴抑制催乳素试验', '左旋多巴抑制催乳素(PRL)试验', '左旋多巴抑制催乳素试验--左旋多巴抑制催乳素(PRL)试验');
INSERT INTO `icss_lis_mapping` VALUES ('6386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '锌测定', '锌(Zn)', '锌测定--锌(Zn)');
INSERT INTO `icss_lis_mapping` VALUES ('6387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铜测定', '铜(Cu)', '铜测定--铜(Cu)');
INSERT INTO `icss_lis_mapping` VALUES ('6388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '硒测定', '硒(Se)', '硒测定--硒(Se)');
INSERT INTO `icss_lis_mapping` VALUES ('6389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '锶测定', '锶(Si)', '锶测定--锶(Si)');
INSERT INTO `icss_lis_mapping` VALUES ('6390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '镉测定', '镉(Cd)', '镉测定--镉(Cd)');
INSERT INTO `icss_lis_mapping` VALUES ('6391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '汞测定', '汞(Hg)', '汞测定--汞(Hg)');
INSERT INTO `icss_lis_mapping` VALUES ('6392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铝测定', '铝(Al)', '铝测定--铝(Al)');
INSERT INTO `icss_lis_mapping` VALUES ('6393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '锰测定', '锰(Mn)', '锰测定--锰(Mn)');
INSERT INTO `icss_lis_mapping` VALUES ('6394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钼测定', '钼(Mo)', '钼测定--钼(Mo)');
INSERT INTO `icss_lis_mapping` VALUES ('6395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '锂测定', '锂(Li)', '锂测定--锂(Li)');
INSERT INTO `icss_lis_mapping` VALUES ('6396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '砷测定', '砷(As)', '砷测定--砷(As)');
INSERT INTO `icss_lis_mapping` VALUES ('6397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铬测定', '铬(Cr)', '铬测定--铬(Cr)');
INSERT INTO `icss_lis_mapping` VALUES ('6398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '铅测定', '铅(Pb)', '铅测定--铅(Pb)');
INSERT INTO `icss_lis_mapping` VALUES ('6399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钙离子测定', '钙离子(Ca2+)', '钙离子测定--钙(Ca2+)');
INSERT INTO `icss_lis_mapping` VALUES ('6400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '亮氨酰氨基肽酶测定', '亮氨酰氨基肽酶(LAP)', '亮氨酰氨基肽酶测定--亮氨酰氨基肽酶(LAP)');
INSERT INTO `icss_lis_mapping` VALUES ('6401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '羟脯氨酸测定', '羟脯氨酸', '羟脯氨酸测定--羟脯氨酸');
INSERT INTO `icss_lis_mapping` VALUES ('6402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '降钙素原测定', '降钙素原(PCT)', '降钙素原测定--降钙素原(PCT)');
INSERT INTO `icss_lis_mapping` VALUES ('6403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '庚肝病毒抗体测定', '庚肝病毒抗体(Anti-HGVIgG)', '庚肝病毒抗体测定--庚肝病毒抗体(Anti-HGVIgG)');
INSERT INTO `icss_lis_mapping` VALUES ('6404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '宫颈癌相关抗原测定', '宫颈癌相关抗原(TA-4)', '宫颈癌相关抗原测定--宫颈癌相关抗原(TA-4)');
INSERT INTO `icss_lis_mapping` VALUES ('6405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '缓冲碱测定', '缓冲碱(BB)', '缓冲碱测定--缓冲碱(BB)');
INSERT INTO `icss_lis_mapping` VALUES ('6406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D-葡聚糖测定', 'D-葡聚糖', 'D-葡聚糖测定--D-葡聚糖');
INSERT INTO `icss_lis_mapping` VALUES ('6407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿甲氧基去甲肾上腺素测定', '甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素测定--甲氧基去甲肾上腺素(NMN)');
INSERT INTO `icss_lis_mapping` VALUES ('6408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿甲氧基去甲肾上腺素定量(24h)', '甲氧基去甲肾上腺素(NMN)', '尿甲氧基去甲肾上腺素定量(24h)--甲氧基去甲肾上腺素(NMN)');
INSERT INTO `icss_lis_mapping` VALUES ('6409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿碱性磷酸酶测定', '碱性磷酸酶(ALP)', '尿碱性磷酸酶测定--碱性磷酸酶(ALP)');
INSERT INTO `icss_lis_mapping` VALUES ('6410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌抗体测定', '幽门螺杆菌CAgA抗体', '幽门螺杆菌抗体测定--幽门螺杆菌CAgA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌抗体测定', '幽门螺杆菌UreA抗体', '幽门螺杆菌抗体测定--幽门螺杆菌UreA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌抗体测定', '幽门螺杆菌UreB抗体', '幽门螺杆菌抗体测定--幽门螺杆菌UreB抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幽门螺杆菌抗体测定', '幽门螺杆菌VacA抗体', '幽门螺杆菌抗体测定--幽门螺杆菌VacA抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异常糖链糖蛋白测定', '异常糖链糖蛋白', '异常糖链糖蛋白测定--异常糖链糖蛋白');
INSERT INTO `icss_lis_mapping` VALUES ('6415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙醇测定', '乙醇', '乙醇测定--乙醇');
INSERT INTO `icss_lis_mapping` VALUES ('6416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '极低密度脂蛋白胆固醇测定', '极低密度脂蛋白胆固醇', '极低密度脂蛋白胆固醇测定--极低密度脂蛋白胆固醇');
INSERT INTO `icss_lis_mapping` VALUES ('6417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血红蛋白A2测定', '血红蛋白A2', '血红蛋白A2测定--血红蛋白A2');
INSERT INTO `icss_lis_mapping` VALUES ('6418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心梗三联', '肌钙蛋白I(cTnI)', '心梗三联--肌钙蛋白I(cTnI)');
INSERT INTO `icss_lis_mapping` VALUES ('6419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心梗三联', '肌红蛋白(Mb)', '心梗三联--肌红蛋白(Mb)');
INSERT INTO `icss_lis_mapping` VALUES ('6420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心梗三联', '肌酸激酶同工酶质量(CK-MBmass)', '心梗三联--肌酸激酶同工酶质量(CK-MBmass)');
INSERT INTO `icss_lis_mapping` VALUES ('6421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物5项测定', '癌胚抗原(CEA)', '消化道肿瘤标志物5项测定--癌胚抗原(CEA)');
INSERT INTO `icss_lis_mapping` VALUES ('6422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物5项测定', '甲胎蛋白(AFP)', '消化道肿瘤标志物5项测定--甲胎蛋白(AFP)');
INSERT INTO `icss_lis_mapping` VALUES ('6423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物5项测定', '糖类抗原CA-199', '消化道肿瘤标志物5项测定--糖类抗原CA-199');
INSERT INTO `icss_lis_mapping` VALUES ('6424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物5项测定', '糖类抗原CA-242', '消化道肿瘤标志物5项测定--糖类抗原CA-242');
INSERT INTO `icss_lis_mapping` VALUES ('6425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化道肿瘤标志物5项测定', '糖类抗原CA-724', '消化道肿瘤标志物5项测定--糖类抗原CA-724');
INSERT INTO `icss_lis_mapping` VALUES ('6426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溶脲脲原体测定', '溶脲脲原体', '溶脲脲原体测定--溶脲脲原体');
INSERT INTO `icss_lis_mapping` VALUES ('6427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溶脲支原体测定', '溶脲支原体', '溶脲支原体测定--溶脲支原体');
INSERT INTO `icss_lis_mapping` VALUES ('6428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'SRAS病毒检测', 'SRAS病毒', 'SRAS病毒检测--SRAS病毒');
INSERT INTO `icss_lis_mapping` VALUES ('6429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '网织红细胞血红蛋白含量测定', '网织红细胞血红蛋白含量', '网织红细胞血红蛋白含量测定--网织红细胞血红蛋白含量');
INSERT INTO `icss_lis_mapping` VALUES ('6430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卡托普利试验', '卡托普利试验', '卡托普利试验--卡托普利试验');
INSERT INTO `icss_lis_mapping` VALUES ('6431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗子宫内膜抗体测定', '抗子宫内膜抗体(EMAb)', '抗子宫内膜抗体测定--抗子宫内膜抗体(EMAb)');
INSERT INTO `icss_lis_mapping` VALUES ('6432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内因子阻断抗体测定', '内因子阻断抗体', '内因子阻断抗体测定--内因子阻断抗体');
INSERT INTO `icss_lis_mapping` VALUES ('6433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抗环瓜氨酸肽抗体测定', '抗环瓜氨酸肽抗体(抗CCP)', '抗环瓜氨酸肽抗体测定--抗环瓜氨酸肽抗体(抗CCP)');
INSERT INTO `icss_lis_mapping` VALUES ('6434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轮状病毒抗原测定', '轮状病毒抗原(RV)', '轮状病毒抗原测定--轮状病毒抗原(RV)');
INSERT INTO `icss_lis_mapping` VALUES ('6435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出凝血时间测定', '出血时间(BT)', '出凝血时间测定--出血时间(BT)');
INSERT INTO `icss_lis_mapping` VALUES ('6436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出凝血时间测定', '凝血时间(CT)', '出凝血时间测定--凝血时间(CT)');
INSERT INTO `icss_lis_mapping` VALUES ('6437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃抗体测定', '抗胃壁细胞抗体(PCA)', '胃抗体测定--抗胃壁细胞抗体(PCA)');
INSERT INTO `icss_lis_mapping` VALUES ('6438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃抗体测定', '抗内因子抗体(IFA)', '胃抗体测定--抗内因子抗体(IFA)');
INSERT INTO `icss_lis_mapping` VALUES ('6439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃抗体测定', '胃泌素分泌细胞抗体(GCA)', '胃抗体测定--胃泌素分泌细胞抗体(GCA)');

-- ----------------------------
-- Table structure for icss_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_detail`;
CREATE TABLE `icss_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '名称',
  `flag` varchar(255) NOT NULL DEFAULT '' COMMENT '特殊标识(1：插入选择症状 2：现病史整体模板截取末尾标识,处理主诉多个病情变化复制功能 3：打开模板(病程变化) 4：插入主诉的主|伴症状业务 5：从主诉-现病史的症状起始位置)',
  `prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '模板前缀内容',
  `suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '模型后置内容',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'questionId',
  `relation_module` bigint(20) DEFAULT NULL COMMENT '关联模板',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=735 DEFAULT CHARSET=utf8 COMMENT='模型明细表';

-- ----------------------------
-- Records of icss_module_detail
-- ----------------------------
INSERT INTO `icss_module_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '7', null, '2', '主诉通用特征描述');
INSERT INTO `icss_module_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '1', '', '', '8', null, '4', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '210', null, '6', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '3', '', '', null, '6', '8', '添加病情变化');
INSERT INTO `icss_module_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '210', null, '3', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '57', null, '7', '诱因');
INSERT INTO `icss_module_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '4', '', '', '21', null, '13', '添加其他症状');
INSERT INTO `icss_module_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '2', '', '', '402', null, '15', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '3', '', '', null, '3', '17', '病程变化');
INSERT INTO `icss_module_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '32', null, '25', '精神状态');
INSERT INTO `icss_module_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '60', null, '23', '意识情况');
INSERT INTO `icss_module_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '61', null, '27', '食欲');
INSERT INTO `icss_module_detail` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '62', null, '29', '睡眠');
INSERT INTO `icss_module_detail` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '63', null, '31', '二便情况');
INSERT INTO `icss_module_detail` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '64', null, '33', '体重情况');
INSERT INTO `icss_module_detail` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '210', null, '1', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '57', null, '3', '诱因');
INSERT INTO `icss_module_detail` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '66', null, '6', '上诉');
INSERT INTO `icss_module_detail` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '21', null, '8', '添加其他症状');
INSERT INTO `icss_module_detail` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '402', null, '10', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '210', null, '3', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '57', null, '7', '诱因');
INSERT INTO `icss_module_detail` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '8', null, '13', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '402', null, '15', '有无治疗');
INSERT INTO `icss_module_detail` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '3', '', '', null, '3', '17', '病程变化');
INSERT INTO `icss_module_detail` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '', '', '', '119', null, '7', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '123', null, '1', '患者');
INSERT INTO `icss_module_detail` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '124', null, '5', '前');
INSERT INTO `icss_module_detail` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '125', null, '9', '出现');
INSERT INTO `icss_module_detail` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '126', null, '19', '遂来就诊');
INSERT INTO `icss_module_detail` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '127', null, '21', '自病以来');
INSERT INTO `icss_module_detail` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '128', null, '20', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '24', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '26', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '28', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '30', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '32', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '124', null, '2', '前_文字');
INSERT INTO `icss_module_detail` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '125', null, '5', '出现_文字');
INSERT INTO `icss_module_detail` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '119', null, '9', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '123', null, '1', '患者');
INSERT INTO `icss_module_detail` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '124', null, '5', '前');
INSERT INTO `icss_module_detail` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '125', null, '11', '出现');
INSERT INTO `icss_module_detail` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '7', null, '10', '主诉通用特征描述');
INSERT INTO `icss_module_detail` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '1', '', '', '8', null, '20', '添加症状');
INSERT INTO `icss_module_detail` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '210', null, '40', '主诉时间');
INSERT INTO `icss_module_detail` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '', '', '', '119', null, '50', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('146', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '80', '80', '24', '', '', '', '119', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '', '119', null, '11', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '128', null, '16', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '', '', '', '128', null, '20', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '119', null, '14', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '119', null, '14', '，_文字');
INSERT INTO `icss_module_detail` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '', '', '', '128', null, '16', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '', '', '', '128', null, '50', '。_文字');
INSERT INTO `icss_module_detail` VALUES ('228', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '45', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('229', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41272', null, '2', null);
INSERT INTO `icss_module_detail` VALUES ('230', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '53', null, '3', null);
INSERT INTO `icss_module_detail` VALUES ('231', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41272', null, '4', null);
INSERT INTO `icss_module_detail` VALUES ('232', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '75', null, '5', null);
INSERT INTO `icss_module_detail` VALUES ('233', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41272', null, '6', null);
INSERT INTO `icss_module_detail` VALUES ('234', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41235', null, '7', null);
INSERT INTO `icss_module_detail` VALUES ('235', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '79', null, '8', null);
INSERT INTO `icss_module_detail` VALUES ('236', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41272', null, '9', null);
INSERT INTO `icss_module_detail` VALUES ('237', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41257', null, '10', null);
INSERT INTO `icss_module_detail` VALUES ('238', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '40175', null, '12', null);
INSERT INTO `icss_module_detail` VALUES ('239', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41272', null, '13', null);
INSERT INTO `icss_module_detail` VALUES ('240', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '40350', null, '14', null);
INSERT INTO `icss_module_detail` VALUES ('241', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '4', '', '', '', '41273', null, '15', null);
INSERT INTO `icss_module_detail` VALUES ('543', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '40', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('544', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '28', null, '2', null);
INSERT INTO `icss_module_detail` VALUES ('545', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '278', null, '3', null);
INSERT INTO `icss_module_detail` VALUES ('546', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '279', null, '4', null);
INSERT INTO `icss_module_detail` VALUES ('547', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41151', null, '5', null);
INSERT INTO `icss_module_detail` VALUES ('548', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41364', null, '6', null);
INSERT INTO `icss_module_detail` VALUES ('549', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '431', null, '7', null);
INSERT INTO `icss_module_detail` VALUES ('550', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '432', null, '8', null);
INSERT INTO `icss_module_detail` VALUES ('551', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '430', null, '9', null);
INSERT INTO `icss_module_detail` VALUES ('552', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41365', null, '10', null);
INSERT INTO `icss_module_detail` VALUES ('553', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41366', null, '11', null);
INSERT INTO `icss_module_detail` VALUES ('554', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '435', null, '12', null);
INSERT INTO `icss_module_detail` VALUES ('555', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41372', null, '13', null);
INSERT INTO `icss_module_detail` VALUES ('556', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41377', null, '14', null);
INSERT INTO `icss_module_detail` VALUES ('557', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41386', null, '15', null);
INSERT INTO `icss_module_detail` VALUES ('558', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '436', null, '16', null);
INSERT INTO `icss_module_detail` VALUES ('559', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '437', null, '17', null);
INSERT INTO `icss_module_detail` VALUES ('560', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41301', null, '18', null);
INSERT INTO `icss_module_detail` VALUES ('561', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41293', null, '19', null);
INSERT INTO `icss_module_detail` VALUES ('562', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '440', null, '20', null);
INSERT INTO `icss_module_detail` VALUES ('563', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '441', null, '21', null);
INSERT INTO `icss_module_detail` VALUES ('564', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41304', null, '22', null);
INSERT INTO `icss_module_detail` VALUES ('565', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41285', null, '23', null);
INSERT INTO `icss_module_detail` VALUES ('566', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '445', null, '24', null);
INSERT INTO `icss_module_detail` VALUES ('567', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '446', null, '25', null);
INSERT INTO `icss_module_detail` VALUES ('568', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '447', null, '26', null);
INSERT INTO `icss_module_detail` VALUES ('569', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41286', null, '27', null);
INSERT INTO `icss_module_detail` VALUES ('570', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '449', null, '28', null);
INSERT INTO `icss_module_detail` VALUES ('571', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '450', null, '29', null);
INSERT INTO `icss_module_detail` VALUES ('572', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '451', null, '30', null);
INSERT INTO `icss_module_detail` VALUES ('573', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41287', null, '31', null);
INSERT INTO `icss_module_detail` VALUES ('574', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41310', null, '32', null);
INSERT INTO `icss_module_detail` VALUES ('575', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '454', null, '33', null);
INSERT INTO `icss_module_detail` VALUES ('576', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41107', null, '34', null);
INSERT INTO `icss_module_detail` VALUES ('577', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41099', null, '35', null);
INSERT INTO `icss_module_detail` VALUES ('578', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41288', null, '36', null);
INSERT INTO `icss_module_detail` VALUES ('579', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '456', null, '37', null);
INSERT INTO `icss_module_detail` VALUES ('580', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '457', null, '38', null);
INSERT INTO `icss_module_detail` VALUES ('581', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '458', null, '39', null);
INSERT INTO `icss_module_detail` VALUES ('582', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '460', null, '40', null);
INSERT INTO `icss_module_detail` VALUES ('583', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '461', null, '41', null);
INSERT INTO `icss_module_detail` VALUES ('584', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '462', null, '42', null);
INSERT INTO `icss_module_detail` VALUES ('585', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '463', null, '43', null);
INSERT INTO `icss_module_detail` VALUES ('586', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '465', null, '44', null);
INSERT INTO `icss_module_detail` VALUES ('587', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41394', null, '45', null);
INSERT INTO `icss_module_detail` VALUES ('588', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '41401', null, '46', null);
INSERT INTO `icss_module_detail` VALUES ('589', 'N', '2019-05-28 13:43:03', '2019-05-28 13:43:03', '108', '108', '27', '', '', '', '466', null, '47', null);
INSERT INTO `icss_module_detail` VALUES ('668', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '45', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('669', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41411', null, '2', null);
INSERT INTO `icss_module_detail` VALUES ('670', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '53', null, '3', null);
INSERT INTO `icss_module_detail` VALUES ('671', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41411', null, '4', null);
INSERT INTO `icss_module_detail` VALUES ('672', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '75', null, '5', null);
INSERT INTO `icss_module_detail` VALUES ('673', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41411', null, '6', null);
INSERT INTO `icss_module_detail` VALUES ('674', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41235', null, '7', null);
INSERT INTO `icss_module_detail` VALUES ('675', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '79', null, '8', null);
INSERT INTO `icss_module_detail` VALUES ('676', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41411', null, '9', null);
INSERT INTO `icss_module_detail` VALUES ('677', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41257', null, '10', null);
INSERT INTO `icss_module_detail` VALUES ('678', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '40175', null, '11', null);
INSERT INTO `icss_module_detail` VALUES ('679', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41411', null, '12', null);
INSERT INTO `icss_module_detail` VALUES ('680', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '40350', null, '13', null);
INSERT INTO `icss_module_detail` VALUES ('681', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '34', '', '', '', '41412', null, '14', null);
INSERT INTO `icss_module_detail` VALUES ('708', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41418', null, '1', null);
INSERT INTO `icss_module_detail` VALUES ('709', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41126', null, '2', null);
INSERT INTO `icss_module_detail` VALUES ('710', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '210', null, '3', null);
INSERT INTO `icss_module_detail` VALUES ('711', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41419', null, '4', null);
INSERT INTO `icss_module_detail` VALUES ('712', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41350', null, '5', null);
INSERT INTO `icss_module_detail` VALUES ('713', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '6', null);
INSERT INTO `icss_module_detail` VALUES ('714', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41351', null, '7', null);
INSERT INTO `icss_module_detail` VALUES ('715', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '8', null);
INSERT INTO `icss_module_detail` VALUES ('716', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41352', null, '9', null);
INSERT INTO `icss_module_detail` VALUES ('717', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '10', null);
INSERT INTO `icss_module_detail` VALUES ('718', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41130', null, '11', null);
INSERT INTO `icss_module_detail` VALUES ('719', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '12', null);
INSERT INTO `icss_module_detail` VALUES ('720', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41131', null, '13', null);
INSERT INTO `icss_module_detail` VALUES ('721', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '14', null);
INSERT INTO `icss_module_detail` VALUES ('722', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41132', null, '15', null);
INSERT INTO `icss_module_detail` VALUES ('723', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '16', null);
INSERT INTO `icss_module_detail` VALUES ('724', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41133', null, '17', null);
INSERT INTO `icss_module_detail` VALUES ('725', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '18', null);
INSERT INTO `icss_module_detail` VALUES ('726', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41383', null, '19', null);
INSERT INTO `icss_module_detail` VALUES ('727', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41419', null, '20', null);
INSERT INTO `icss_module_detail` VALUES ('728', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41421', null, '21', null);
INSERT INTO `icss_module_detail` VALUES ('729', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41355', null, '22', null);
INSERT INTO `icss_module_detail` VALUES ('730', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41420', null, '23', null);
INSERT INTO `icss_module_detail` VALUES ('731', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41136', null, '24', null);
INSERT INTO `icss_module_detail` VALUES ('732', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41419', null, '25', null);
INSERT INTO `icss_module_detail` VALUES ('733', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41135', null, '26', null);
INSERT INTO `icss_module_detail` VALUES ('734', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '26', '', '', '', '41419', null, '27', null);

-- ----------------------------
-- Table structure for icss_module_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_info`;
CREATE TABLE `icss_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(120) DEFAULT NULL,
  `type` varchar(20) NOT NULL DEFAULT '0' COMMENT '类型(1.主诉 2.现病史 3.其他史 4.查体 5.化验 6.辅检 7.诊断 8.医嘱 22.现病史空模板 31.主诉子模板 32.现病史子模板 322.现病史空模板子模板)',
  `module_type` bigint(20) DEFAULT NULL COMMENT '(0.通用 1.根据科室划分 2.慢病)',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  `relation_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '关联id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 COMMENT='模型表';

-- ----------------------------
-- Records of icss_module_info
-- ----------------------------
INSERT INTO `icss_module_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '主诉模板', '1', '0', null, '0');
INSERT INTO `icss_module_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '现病史模板', '2', '0', null, '0');
INSERT INTO `icss_module_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '病程变化', '32', '0', '现病史-病程变化', '0');
INSERT INTO `icss_module_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '2019-04-23 19:55:56', '1', '108', '其他史模板', '3', '0', null, '0');
INSERT INTO `icss_module_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '1', '1', '现病史空模板', '22', '0', null, '0');
INSERT INTO `icss_module_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '2018-12-05 14:23:33', '1', '1', '添加病情变化', '31', '0', '主诉-添加病情变化', '0');
INSERT INTO `icss_module_info` VALUES ('26', 'N', '2019-05-27 17:14:47', '2019-05-29 09:15:48', '106', '106', '现病史模板', '2', '2', null, '130715');
INSERT INTO `icss_module_info` VALUES ('27', 'N', '2019-05-28 10:04:36', '2019-05-28 13:43:03', '108', '108', '糖尿病', '4', '2', null, '130715');
INSERT INTO `icss_module_info` VALUES ('34', 'N', '2019-05-28 14:41:21', '2019-05-28 15:23:04', '106', '106', '糖尿病-其他史', '3', '2', null, '130715');

-- ----------------------------
-- Table structure for icss_print_record
-- ----------------------------
DROP TABLE IF EXISTS `icss_print_record`;
CREATE TABLE `icss_print_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(300) DEFAULT NULL COMMENT '名称',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT '就诊号',
  `content` longtext COMMENT '文本内容',
  `data_json` longtext COMMENT '内容JSON字符串(打印页面展示)',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='打印记录表';

-- ----------------------------
-- Records of icss_print_record
-- ----------------------------

-- ----------------------------
-- Table structure for icss_question_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_detail`;
CREATE TABLE `icss_question_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'question_id',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `default_select` char(1) NOT NULL DEFAULT '0' COMMENT '是否默认被选中（0：不选中，1：选中）',
  `code` int(11) DEFAULT '0' COMMENT '特殊编码(0：默认，1：伴，2：无)',
  `abnormal` int(11) DEFAULT '0' COMMENT '是否异常（0：正常，1：异常）',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=49285 DEFAULT CHARSET=utf8 COMMENT='标签明细表';

-- ----------------------------
-- Records of icss_question_detail
-- ----------------------------
INSERT INTO `icss_question_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度较轻', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度较重', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '程度剧烈', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '240', '不易咳出', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '240', '咳出费力', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '伴', '1', '0', '1', '0', null);
INSERT INTO `icss_question_detail` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '上', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '中', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '下', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '前', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '伴', '1', '0', '1', '0', null);
INSERT INTO `icss_question_detail` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '无', '2', '0', '2', '0', null);
INSERT INTO `icss_question_detail` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神可', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神一般', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '2/6', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '3/6', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '4/6', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '5/6', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '6/6', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '收缩期', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '舒张期', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '全期', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '吹风样杂音', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '隆隆样杂音', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '喷射样杂音', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '叹气样杂音', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '机器样杂音', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '各瓣膜听诊区未闻及明显心脏杂音', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '年', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '月', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '日', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未经治疗', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未进行正规治疗', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '自服药物治疗', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情控制尚可', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情控制不欠佳', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '目前未觉有相关不适表现', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '病情时轻时重，控制不佳', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '无', '1', '0', '2', '0', null);
INSERT INTO `icss_question_detail` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '既往史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '过敏史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"青霉素\"过敏史', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"磺胺类\"过敏史', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"蚕豆\"过敏史', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"( )\"过敏史', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '天', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '小时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '月', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '年', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '胃纳可', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '睡眠一般', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '体重无明显减轻', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '病情加重', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '未经诊疗', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无烟酒嗜好', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无饮酒嗜好', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '无吸烟嗜好', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '有饮酒习惯', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '有吸烟习惯', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '饮酒，每天约( )ml，已饮( )年', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '吸烟，每天约( )支，已吸( )年', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '月经规律', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '月经不规律', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量正常', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量偏多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '经量偏少', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '无痛经', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '偶有痛经习惯', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '有痛经', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带量不多', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带量偏多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '白带颜色和形状异常', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '无异味', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '有异常气味', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '108', '初为', '1', '0', '3', '0', null);
INSERT INTO `icss_question_detail` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '108', '，后为', '2', '0', '4', '0', null);
INSERT INTO `icss_question_detail` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '白色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '绿色', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '黄色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '红色', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '铁锈色', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '粘痰', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '脓痰', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '泡沫痰', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '浆液痰', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '脓臭痰', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '胶冻样痰', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '阴性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '阳性', '2', '0', '0', '1', null);
INSERT INTO `icss_question_detail` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '117', '阴性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '117', '阳性', '2', '0', '0', '1', null);
INSERT INTO `icss_question_detail` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '76', '个人史无殊', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '干咳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '带痰', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '227', '为', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '227', '呈', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '刺激性', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '阵发性', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '持续性', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '慢性', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '，夜间咳嗽为主', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '231', '干咳', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '231', '咳', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '231', '呛咳', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '231', '湿性咳嗽', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '粉红色', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '233', '痰量少11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '234', '痰量中等222', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '236', '痰量多', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '240', '难以咳出', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '240', '能自行咳出', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '239', '痰液粘稠', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '阵发性', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '持续性', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '间断性', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '发作性', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '突发性', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '反复', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '一过性', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '程度较轻', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '疼痛不剧可忍', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '程度较重', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '疼痛剧烈', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '疼痛时难以忍受', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '可自行缓解', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '休息后可自行缓解', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '疼痛难以自行缓解', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '疼痛持续较长时间后，仍难以缓解', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '服用硝酸甘油后可缓解', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '服用硝酸甘油后不能缓解', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '呼吸时加重', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '活动后加重', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '254', '呈持续性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '254', '呈间歇性', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '254', '呈不规则波动', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '255', '以低热为主', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '255', '为中度热', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '255', '为高热', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '255', '为急性高热', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '上', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '下', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '左', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '右', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '中', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '全', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '剑突下', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '脐周', '80', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '腹部', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '腹', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '266', '程度较轻', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '266', '疼痛不剧可忍', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '266', '程度较重', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '266', '疼痛剧烈', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '274', '为', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '274', '呈', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '274', '有', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '274', '无', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '284', '水肿', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '284', '无水肿', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '苍白', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '无苍白', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '可见滤泡', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '无滤泡', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '结膜无充血', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '无充血', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '有充血', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '295', '扁桃体表面有白色分泌物', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '295', '扁桃体表面有黄色分泌物', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '296', '有假膜', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '296', '有脓点', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '297', '扁桃体无肿大', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '结膜有充血', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '385', '等大等圆', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '385', '散大', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '385', '呈针尖样', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '388', '对光反射灵敏', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '388', '对光反射迟钝', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '388', '对光反射消失', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '391', '颈静脉无怒张，肝颈静脉回流征阴性', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '392', '颈静脉轻度充盈', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '392', '颈静脉怒张', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '393', '肝颈静脉回流征阴性', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '393', '肝颈静脉回流征阳性', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '394', '颈动脉无异常搏动', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '394', '颈动脉异常搏动', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神欠佳', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神差', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '胃纳差', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '食欲欠佳', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '食欲较好', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '食欲亢进', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '拒食', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '睡眠可', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '睡眠质量欠佳', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '失眠', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '白天嗜睡', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '精神亢奋', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '厌食', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '二便无殊', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '大便无殊', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '大便不规律', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '大便稀', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '大便硬', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '大便干结', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '肥胖', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '偏瘦', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '体重增加', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '营养不良', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '恶病质', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '痰量少', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '痰量中等', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '痰量多', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '痰量多，一次可达( )ml', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '一次可咳出大量( )痰', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '症状加重', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '上述症状加重', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '未予重视，不规律服药治疗', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '自服( )治疗', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '使用( )治疗', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '473', '呈', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '一天【】次、每次约【】ml', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '上腹胀', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '中腹胀', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '下腹胀', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '全腹胀', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '呈全腹胀痛', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '为主', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '以', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '为', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '饥饿时', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '餐后', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '运动后', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '精神紧张时', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '劳累后', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '情绪不佳时', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '481', '明显', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '481', '加重', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '481', '进行性加重', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '呈', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '481', '缓解', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '口唇无发绀', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '口唇发绀', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '口周无疱疹', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '口周可见疱疹', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '皮肤无皲裂', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '表面可见皲裂', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '皮肤无溃疡', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '表面可见溃疡', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40407', '叩诊呈清音', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40407', '叩诊呈过清音', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40407', '叩诊呈浊音', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40407', '叩诊呈实音', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '未闻及明显干湿啰音', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '呼吸音粗，未闻及明显干湿啰音', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '可闻及湿啰音', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '可闻及干性啰音', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '498', '全腹软，无压痛、反跳痛及肌紧张', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '无压痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '有压痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '502', '无肌紧张', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '502', '有肌紧张', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '肝脾肋下未及', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '质软', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '质硬', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '质韧', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '光滑', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '有结节', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '无压痛', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '有压痛', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '515', '肠鸣音正常', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '516', '肠鸣音( )次/分', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '自主体位', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '卧位', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '强迫体位', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '被动体位', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '端坐位', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '433', '表情安静', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '433', '神情忧虑', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '433', '神情烦躁', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '434', '查体合作', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '434', '查体不合作', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29627', '全身浅表淋巴结未触及', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29628', '( )可触及肿大淋巴结', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29629', '质硬', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29629', '质软', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29631', '可活动', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29631', '不可活动', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29632', '有粘连', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29632', '无粘连', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29633', '头颅五官无畸形', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29634', '尖颅畸形', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29634', '巨颅畸形', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29634', '方颅畸形', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29636', '角膜透明', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29637', '角膜', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '溃疡', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '瘢痕', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '色素沉着', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '云翳', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '白斑', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '浑浊', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29638', '透明', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29639', '耳廓无畸形，外耳道无溢液', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29641', '耳廓无畸形', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29641', '耳廓畸形', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29642', '外耳道无溢液', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29642', '外耳道溢液', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29642', '溢淡黄色液体', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29643', '无牵拉痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29643', '有牵拉痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29644', '乳突区无压痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29644', '乳突区压痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '有', '2', '0', '1', '0', null);
INSERT INTO `icss_question_detail` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29647', '外鼻无畸形', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '水肿', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '局部', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '局限性', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '全身性', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '轻度', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29653', '重度', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29654', '水肿', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29654', '，以', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29654', '，初为', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29654', '，后为', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29654', '，后发展至', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '颜面部', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '眼睑', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '上肢', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '下肢', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '四肢', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '胸部', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '腹部', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29655', '全身', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '为主', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '，发展迅速', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '，渐进性加重', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '，为凹陷性水肿', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '448', '未触及胸膜摩擦感', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '，为非凹陷性水肿', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '448', '可触及胸膜摩擦感', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29656', '，为粘液性水肿', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29657', '甲状腺无肿大', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29658', '甲状腺轻度肿大', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29658', '甲状腺肿大', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29659', '质硬', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29659', '质软', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29660', '有压痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29660', '无压痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29661', '有震颤', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29661', '无震颤', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29662', '有血管杂音', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29662', '无血管杂音', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '否认', '3', '0', '2', '0', null);
INSERT INTO `icss_question_detail` VALUES ('574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29663', '痰中带血', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29663', '咯血量少', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29663', '咯血量中等', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29663', '大咯血', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29663', '24小时咯血量约为()ml', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29665', '胸廓对称无畸形', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29666', '胸廓对称', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29666', '胸廓不对称', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29667', '呈鸡胸', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29667', '呈漏斗胸', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29667', '呈桶状胸', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29667', '呈扁平胸', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29668', '可见局部隆起', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29668', '可见局部塌陷', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29669', '有皮下气肿', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29669', '无皮下气肿', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29670', '胸骨有压痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29670', '胸骨无压痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29677', '心界无扩大', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29680', '呈普大型', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29680', '呈靴型', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29680', '呈梨型', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '发绀', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '局部', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '周围性', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '中心性', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '全身性', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '混合性', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '轻度发绀', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '重度发绀', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29682', '中度发绀', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29683', '发绀', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29683', '，以', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29683', '，为', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29683', '，可累积', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29684', '发绀', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29684', '口唇', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29684', '指甲', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29684', '四肢末梢', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29684', '全身皮肤', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '发绀', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '为主', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '，程度较轻', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '，程度较重', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '，发绀处皮温偏高', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29685', '，发绀处皮温偏低', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29686', '双侧呼吸动度一致', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29687', '呼吸节律规整', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29687', '呼吸节律不规整', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29688', '右侧', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29688', '左侧', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29688', '双侧', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29689', '呼吸增强', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29689', '呼吸减弱', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29690', '心前区无异常隆起', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29691', '未见心尖异常搏动', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29691', '心尖搏动强度和范围异常偏大', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29692', '心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29692', '心尖搏动位于左第5肋间，左锁骨中线内侧 cm', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29693', '无震颤', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29693', '可扪及震颤', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29704', '少', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29704', '多', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29709', '量', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29710', '少', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29710', '多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29711', '约【】ml', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29712', '【】次/天', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29714', '颜色呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29717', '血块', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29717', '凝血块', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '病理性', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29719', '肾区', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29721', '有叩痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29722', '无压痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29723', '肛门及外生殖器未查', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29724', '肛门未见异常', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29724', '无肿块', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29724', '无肛裂、肛瘘', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29724', '肛门未查', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29725', '外生殖器无畸形', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29725', '无溃疡', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29725', '无局部肿胀', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29725', '外生殖器未查', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '( )控制可', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29727', '脊柱', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29728', '前凸', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29728', '后凸', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29728', '侧凸', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29730', '有叩击痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29730', '无叩击痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29731', '活动受限', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29731', '活动自如', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29731', '僵硬', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29732', '腹部平坦', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29733', '腹部', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29734', '膨隆', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29734', '呈舟状腹', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29735', '可见局部凹陷', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29736', '双下肢无水肿', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '四肢', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '双上肢', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '双下肢', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '左上肢', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '右上肢', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '左下肢', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29737', '右下肢', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29738', '凹陷性', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29738', '非凹陷性', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29738', '粘液性', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29739', '水肿', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29744', '四肢肌力肌张力正常', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29745', '肌张力减退', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29745', '肌张力增高', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力Ⅰ级', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力Ⅱ级', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力Ⅲ级', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力Ⅳ级', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力Ⅴ级', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29747', '生理反射存在，病理反射未引出', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29748', '生理反射存在', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29748', '生理反射减弱', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '杂音', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29764', '既往体质一般', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29765', '既往体健', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29766', '既往体质较差', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29763', '既往体质一般', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29763', '既往体键', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29763', '既往体质较差', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29735', '可见局部隆起', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29767', '按国家规定接种疫苗', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29767', '预防接种不详', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29767', '尚未接种疫苗', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29767', '仅完成部分疫苗的接种', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29768', '未见胃肠型和蠕动波', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29769', '无重大手术及外伤史', '10', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29769', '()曾行()术，术后恢复可', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29769', '()年前曾行()术，术后恢复可', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29721', '无叩痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29722', '有压痛', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力0级', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29770', '否认输血史', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29770', '有输血史', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29770', '曾输()', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29746', '肌力减退', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"牛奶\"过敏史', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '有\"海鲜\"过敏史', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29775', '全身皮肤', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29775', '四肢皮肤', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29775', '黏膜', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29775', '巩膜', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29777', '黄染', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29778', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '柠檬色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '浅黄色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '金黄色', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '黄绿色', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '深绿色', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29779', '褐色', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29793', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '放射性疼痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '牵拉性疼痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '酸痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '咳嗽痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '挤压痛', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '顽固性疼痛', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '隐痛', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '剧痛', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29794', '钝痛', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29799', '【】小时', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29799', '【】天', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29800', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29804', '有', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29804', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29805', '颗粒', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29805', '絮状物', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29805', '结石', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29805', '结晶体', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29806', '呈阵发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29806', '呈一过性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29806', '呈反复性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29806', '呈突发性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29806', '呈持续性发作', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '膝关节', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '踝关节', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '肘关节', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '髋关节', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '肩关节', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '指关节', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '趾关节', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29809', '腕关节', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29811', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29817', '尿痛发生在', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29818', '排尿开始时', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29818', '排尿终末时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29818', '排尿突然中断时', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29819', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29820', '刺痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29820', '烧灼感痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29820', '刀割样痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29820', '灼痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24042', '出生于原籍', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24042', '出生于()', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '农民', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '工人', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '教师', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '干部', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '退休', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24046', '()', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24043', '无疫区居留史', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24043', '有疫区居留史', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24043', '近期到过()疫区', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24048', '无冶游史', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24048', '有冶游史', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24047', '无长期工业粉尘、毒物及放射性物质接触史', '1', '1', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24047', '有反射性接触史', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40110', '无食物及药物过敏史', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40113', '轻度', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40113', '中度', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40113', '重度', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '脑力活动后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '体力活动后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '睡眠后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '按摩后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '冷敷后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '热敷后', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '睡眠后', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '四处活动后', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40115', '分散注意力后', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40119', '结核', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40119', '肝炎', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40119', '性病', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40119', '艾滋病', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40120', '疼痛发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '父亲', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '母亲', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '哥哥', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '姐姐', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '弟弟', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '妹妹', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24055', '直系亲属中', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40123', '【直系亲属】患有【家族相关传染病】', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40129', '发作时感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '旋转', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '浮动', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '双下肢发软', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '站立不稳', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '摇晃', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40130', '倾斜', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40131', '能', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40131', '不能', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40132', '直立行走', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '角弓反张', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '牙关紧闭', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '全身痉挛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '眼球上翻', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '尿失禁', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40142', '神经错乱', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '血友病', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '遗传性多囊肾', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '先天性聋哑', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '21三体综合征 ', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '苯丙酮尿症', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '地中海贫血', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '先天性心脏病', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '糖尿病', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('41810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40158', '原发性高血压', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40242', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '突发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '一过性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '父母', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '父母兄弟姐妹', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '父亲', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '母亲', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '哥哥', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '姐姐', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '弟弟', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '妹妹', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '直系亲属中', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40201', '体健', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40201', '均体健', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40206', '有', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40206', '无', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '有家族遗传病及特殊疾病史', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '有同样疾病', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '糖尿病', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '血友病', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '遗传性多囊肾', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '先天性聋哑', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '21三体综合征', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '苯丙酮尿症', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '地中海贫血', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '先天性心脏病', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '糖尿病', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40208', '原发性高血压', '0', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40244', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40244', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29690', '心前区异常隆起', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29691', '可见心尖异常搏动', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '看近清楚', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '看远清楚', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '看远看近都不清楚', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '有重影', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '暗视能力减弱', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40249', '视觉疲劳', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40251', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40253', '加重', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29733', '全腹', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29734', '平坦', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29768', '可见胃肠型和蠕动波', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40258', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '突发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '一过性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '持续性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '反复性发作', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40259', '突发突止', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40260', '运动后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40260', '饱食后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40260', '受惊后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40260', '劳累后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40260', '饥饿后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40262', '休息后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40262', '饱食后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40263', '缓解', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40264', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40264', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40269', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40269', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40270', '上肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40270', '下肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40270', '手', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40270', '足', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '拇指', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '食指', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '无名指', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '中指', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '小指', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '大拇趾', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '第二趾', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '第三趾', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '第四趾', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '次趾', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '第五趾', '11', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40271', '末趾', '12', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40272', '近端', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40272', '远端', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40273', '麻木', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40274', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40274', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40279', '右侧肢体', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40279', '左侧肢体', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40280', '急性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40280', '突发性', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40280', '一过性', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '偏瘫', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '轻瘫', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '全瘫', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '半身不遂', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '意识障碍性偏瘫', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '弛缓性偏瘫', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40281', '痉挛性偏瘫', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40282', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40282', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40284', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40284', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40285', '上肢肌张力', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40285', '下肢肌张力', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40285', '上肢肌力', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40285', '下肢肌力', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '0级', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '1级', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '2级', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '3级', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '4级', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40286', '5级', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40292', '表现为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40294', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40295', '端坐呼吸', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40295', '平卧呼吸', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40295', '张口呼吸', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40296', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40296', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40298', '呼吸加深', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40298', '呼吸变浅', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40298', '呼吸浅而快', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40298', '深大呼吸', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40298', '呼吸浅而慢', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40206', '患有', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '无家族遗传病及特殊疾病史', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '无同样疾病', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40300', '约()次/分', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40303', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40303', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40206', '家族有', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40306', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '突发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '一过性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '持续性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '反复性发作', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40307', '进行性发作', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40308', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40308', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '排尿延迟', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '射程短', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿线变细', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿流滴沥', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿潴留', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '排不尽感', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿频', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿急', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40309', '尿痛', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40312', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '干痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '刺痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '钝痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '烧灼痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '隐痛', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '胀痛', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40313', '跳痛', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40314', '阵发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40314', '持续性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40314', '反复性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '否认族遗传病及特殊疾病史', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40315', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40207', '否认样疾病', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40315', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40206', '否认', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40319', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40320', '右侧', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40320', '左侧', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40320', '双侧', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40321', '阵发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40321', '交替性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40321', '持续性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40321', '季节性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40321', '进行性加重', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40322', '春季多发', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40322', '夏季多发', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40322', '秋季多发', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40322', '冬季多发', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40323', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40323', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '头昏', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '头痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '头晕', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '记忆力下降', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '气喘', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40325', '发热', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40327', '鼻涕呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '白色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '黄色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '红色', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '黑色', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '灰白色', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '清水样', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40328', '黄水样', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40329', '涕中带血', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40329', '涕中未见血性分泌物', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40330', '量多', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40330', '量少', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40330', '中量', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40336', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40338', '局部', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40340', '疹间皮肤正常', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40341', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40341', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40345', '双耳', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40345', '右耳', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40345', '左耳', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40346', '持续性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40346', '间歇性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40346', '突发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40346', '一过性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40347', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '铃声', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '嗡嗡声', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '哨声', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '汽笛声', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '海涛声', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '丝丝生', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '吼声', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40348', '耳鸣声无法形容', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40349', '音调高', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40349', '音调低', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40349', '音调高低不等', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '家族中', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40351', '否认家族性传染病史', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40352', '结核', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40352', '肝炎', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40352', '性病', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40352', '艾滋病', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40356', '痛苦面容', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40356', '正常面容', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40356', '紧张面容', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40357', '对疼痛刺激有反应\r\n对疼痛刺激无反应\r\n', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40357', '对疼痛刺激有反应\r\n对疼痛刺激无反应\r\n', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40358', '呼吸节律紊乱', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40358', '呼吸不规则', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40358', '呼吸均匀', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40359', '血压下降', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40359', '血压升高', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40361', '虹膜无黄染', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40361', '虹膜黄染', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40362', '瞳孔缩小', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40362', '瞳孔放大', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40362', '瞳孔大小不等', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40364', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40364', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40365', '大小便失禁', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40365', '全身肌肉松弛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40365', '去大脑强直', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40365', '口角流涎', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40368', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40372', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40372', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40376', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '突发性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '一过性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '持续性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '反复性发作', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40377', '进行性发作', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40378', '表现为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40379', '普食', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40379', '软食', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40379', '流质饮食', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40379', '喝水', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40380', '吞咽困难', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40381', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40381', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '反酸', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '胃部不适', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '胃部灼热感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '胸口灼热感', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '胃痛', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40382', '吞咽疼痛', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40385', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40387', '表现为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40389', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40389', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40394', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40396', '表现为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40398', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40398', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '饱食后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '运动后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '劳累后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '思考时', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '体位改变时', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '嘈杂环境中', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40402', '休息后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40403', '症状缓解', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40403', '症状无改善', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40408', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40409', '持续性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40409', '进行性加重', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40409', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40409', '突发性', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '双肺', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '左肺', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '左上肺', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '左下肺', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '右肺', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '右上肺', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40409', '一过性', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '右中肺', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '右下肺', '80', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40406', '肺底', '90', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '遇冷空气后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '饮食辛辣后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '冷饮后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '热饮后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '烟酒后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '运动后', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '劳累后', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '夜间', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '清晨', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40410', '午后', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40411', '咳嗽加剧', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40412', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40412', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '胸痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '咽痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '声音嘶哑', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '恶心', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '呕吐', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '咽干', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40413', '口干', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '双肺', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '左肺', '20', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '左上肺', '30', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '左下肺', '40', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '右肺', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '右上肺', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '右中肺', '70', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '右下肺', '80', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40414', '肺底', '90', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40418', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40419', '持续性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40419', '反复性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40419', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40419', '突发性', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40419', '一过性', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40420', '餐后加剧', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40420', '闻异味加剧', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40420', '晨起尤甚', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40420', '夜间频发', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40421', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40421', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '呕吐', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '反酸', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '头晕', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '腹痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '吐酸水', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '呕血', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '便血', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '嗳气', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40422', '胸闷', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40425', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40426', '反复发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40426', '持续性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40426', '渐行性加重', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40426', '阵发性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40427', '夜间尤甚', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40427', '饱餐后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40427', '饥饿后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40427', '饮食生冷后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40427', '饮食辛辣后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40428', '加重', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40428', '缓解', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40429', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40429', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40434', '大便', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40439', '肝门有排气', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40439', '肝门无排气', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40440', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40440', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40444', '包块约()cm*()cm', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40449', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40449', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40454', '皮肤发黄', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40455', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40455', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40460', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40460', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '上肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '下肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '四肢', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '足', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '手', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '足背', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '手背', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '胸部', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '背部', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '全身', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '腹股沟', '11', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '大腿内侧', '12', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '手臂', '13', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '腹部', '14', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '脸部', '15', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '额头', '16', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40461', '颈部', '17', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40462', '出现皮下瘀斑', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40465', '压之褪色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40465', '压之不褪色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40466', '有', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40466', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40467', '痛感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40467', '瘙痒感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40467', '灼热感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40468', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40468', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40469', '牙龈出血', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40469', '发热', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('43999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40469', '月经过多', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40469', '食欲下降', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40469', '厌食', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40473', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40473', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '上肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '下肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '四肢', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '足', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '手', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '足背', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '手背', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '胸部', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '背部', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '全身', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '腹股沟', '11', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '大腿内侧', '12', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '手臂', '13', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '腹部', '14', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '脸部', '15', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '额头', '16', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40474', '颈部', '17', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40475', '出现皮下瘀点', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40478', '压之褪色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40478', '压之不褪色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40479', '有', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40479', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40480', '痛感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40480', '瘙痒感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40480', '灼热感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40481', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40481', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40486', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40486', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '上肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '下肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '四肢', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '足', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '手', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '足背', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '手背', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '胸部', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '背部', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '全身', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '腹股沟', '11', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '大腿内侧', '12', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '手臂', '13', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '腹部', '14', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '脸部', '15', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '额头', '16', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40487', '颈部', '17', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40488', '出现皮下紫癜', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40491', '压之褪色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40491', '压之不褪色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40492', '有', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40492', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40493', '痛感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40493', '瘙痒感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40493', '灼热感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40494', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40494', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40495', '牙龈出血', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40495', '发热', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40495', '月经过多', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40495', '食欲下降', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40495', '厌食', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40500', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40501', '持续性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40501', '渐行性加重', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40501', '反复性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40501', '突发性', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40501', '一过性', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40502', '发作时', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40504', '约()min自动恢复', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '午后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '餐后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '晨起时', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '体位改变后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '劳累后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '咳嗽时', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '饥饿时', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '动怒时', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '情绪激动时', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40505', '受惊时', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40507', '平卧位', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40507', '蹲位', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40507', '坐位', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40508', '能加快恢复', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40509', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40509', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '左上', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '右上', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '右下', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '左下', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '左', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '右', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '上', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40514', '下', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40517', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40517', '为', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '撕裂样痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '钝痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '绞痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '酸痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '挤压痛', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '咳嗽痛', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '放射性疼痛', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '牵拉样痛', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '痉挛性疼痛', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40518', '胀痛', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40521', '拒按', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40521', '拒压', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40522', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40522', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40523', '咳嗽', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40523', '胸闷', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40523', '胸痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40523', '呼吸困难', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '持续性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '反复性发作', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40243', '突发突止', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40526', '双', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40526', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40526', '左', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40527', '四肢', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40527', '上肢', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40527', '下肢', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40528', '乏力', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40529', '感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40529', '未感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40530', '精神疲乏', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40530', '精神不振', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40530', '极易疲劳', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40531', '能', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40531', '不能', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40532', '进行正常活动', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40532', '进行轻体力劳动', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40533', '休息时也感疲乏', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40533', '休息后好转', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40533', '休息前后无明显变化', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40536', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40536', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '口腔溃疡', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '嘴唇干裂', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '咳嗽', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '痰多', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '少痰', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '无痰', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '口苦', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '咽干', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '烦躁', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '心慌', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '尿频', '11', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40537', '发热', '12', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40538', '喜', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40539', '冷饮', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40539', '热饮', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40539', '甜饮', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '午后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '餐后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '晨起时', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '上午', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '下午', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40540', '夜间', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40541', '口干感更甚', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40542', '多饮后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40542', '饮水后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40543', '无明显变化', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40543', '好转', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40547', '缓解', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40549', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40549', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40550', '口腔溃疡', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40550', '嘴唇干裂', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40550', '口苦', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40550', '咽干', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40551', '喜', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40552', '冷饮', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40552', '热饮', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40552', '甜饮', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40552', '酸饮', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40554', '一天()次，()ml/次', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40556', '等传染病史', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40556', '等病史', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40556', '病史', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40555', '夜间尿多', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40555', '白天尿多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40564', '()月前体重()kg，现体重()kg', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40565', '平素营养一般', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40565', '平素营养良好', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40565', '平素营养差', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40566', '喜素食', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40566', '喜荤食', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '饮食不规律', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '饮食规律', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '不吃早餐', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '经常暴饮暴食', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '经常酗酒', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40567', '长期喝酒', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40573', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '夜间尤甚', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '白天尤甚', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '活动后尤甚', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '情绪激动时尤甚', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '紧张时尤甚', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '餐后尤甚', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40575', '运动后尤甚', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40576', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40579', '味觉无变化', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40579', '味觉转变', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40580', '嗜酸', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40580', '嗜辛辣', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40580', '嗜甜', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40580', '嗜咸', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40583', '双手掌', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40583', '双足底', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40583', '全身', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40583', '面部', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40585', '分布均匀', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40585', '呈对称分布', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40585', '分布不均', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40589', '色淡', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40589', '色浓', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40597', '第一腰椎', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40597', '第二腰椎', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40597', '第三腰椎', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40597', '第四腰椎', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40597', '第五腰椎', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40598', '左()cm', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40598', '右()cm', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '弯腰时', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '上楼时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '下楼时', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '挑东西时', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '转身时', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40600', '走路时', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40601', '疼痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40602', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40603', '持续性', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40603', '反复发作性', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40603', '阵发性发作', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40605', '可放射至', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40606', '双侧', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40606', '左侧', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40606', '右侧', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '热敷后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '冷敷后', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '蹲下后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '按摩后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '平躺后', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '体位改变后', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40608', '咳嗽时', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40610', '拒按', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40610', '喜按', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40612', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40615', '排尿中断时有时伴阴茎头部剧烈疼痛', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40616', '排尿需要屏气用力', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40616', '排尿费力', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40618', '约()次/天', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40622', '无排尿不适感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40622', '排尿时伴尿道口灼热感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40622', '伴排不尽感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40625', '咳嗽时', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40625', '跑步时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40625', '打喷嚏时', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40625', '上楼时', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40627', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '黄色', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '淡红色', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '浓茶色', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '无色', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '淡白色', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '乳白色', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40628', '深黄色', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40629', '无', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40629', '可见', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40630', '晶体', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40630', '絮状物', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40635', '量多', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40635', '量少', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40639', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40639', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40643', '出血量量少', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40643', '出血量量多', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40645', '易发', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40646', '晨起第一口痰', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40647', '痰中带血', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40647', '痰中无血', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40648', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40648', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40652', '右侧', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40652', '左侧', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40652', '双侧', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40655', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40661', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40662', '反复性发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40662', '持续性发作', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40662', '渐行性加重', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40662', '间歇性发作', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40663', '呼吸深快', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40663', '呼吸浅快', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40664', '约()次/分', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '劳累后', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '未休息好时', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '活动后', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '饱餐后', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '饥饿时', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '感冒后', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '休息后', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '激动时', '8', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '受惊后', '9', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40665', '夜间', '10', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40666', '易发', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40666', '缓解', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40667', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40667', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40668', '口周麻木', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40668', '肢端麻木', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40668', '手足搐搦', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40668', '呼吸暂停', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40671', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40673', '为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40675', '晨起时发作', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40676', '伴', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40676', '无', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40679', '呼之不应', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40679', '呼之能应', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40680', '时有谵语', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40680', '语无伦次', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40681', '对答切题', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40681', '对答不切题', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40683', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40683', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40683', '双侧', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '膝', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '踝', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '腕', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '髁', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '颈', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '肩', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40684', '肘', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40686', '当即伤处肿痛', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40687', '无法活动', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40690', '枕部', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40690', '颞部', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40690', '额部', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40690', '顶部', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40693', '无皮肤缺损', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40693', '有皮肤缺损', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40696', '左', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40696', '右', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40698', '烫伤', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40707', '乏力', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40707', '头晕', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40707', '头痛', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40707', '腰痛', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40707', '腹痛', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40709', '为', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40710', '肛门直肠部', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40710', '前阴', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40710', '骶尾部', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40710', '肛管前后位', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40710', '肛门两侧', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40718', '经按摩热敷后能消退', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40718', '经按摩热敷后不能消退', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40720', '渐行性加重', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40721', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '蚁走感', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '电击感', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '麻胀感', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '热感', '4', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '凉感', '5', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '针刺感', '6', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40722', '电击感', '7', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40724', '呈', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40726', '外耳道未见', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40726', '外耳道可见', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40727', '脓性分泌物', '1', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40727', '异常分泌物', '2', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40727', '疖肿', '3', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '可闻及哮鸣音', '50', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40415', '可闻及干湿性罗音', '60', '0', '0', '0', null);
INSERT INTO `icss_question_detail` VALUES ('44643', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '反复', '1', '0', '0', '0', '单选项-反复');
INSERT INTO `icss_question_detail` VALUES ('44644', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '突发', '2', '0', '0', '0', '单选项-突发');
INSERT INTO `icss_question_detail` VALUES ('44645', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '持续', '3', '0', '0', '0', '单选项-持续');
INSERT INTO `icss_question_detail` VALUES ('44646', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '间断', '4', '0', '0', '0', '单选项-间断');
INSERT INTO `icss_question_detail` VALUES ('44647', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '阵发性', '5', '0', '0', '0', '单选项-阵发性');
INSERT INTO `icss_question_detail` VALUES ('44648', 'N', '2019-03-25 16:34:51', '2019-03-25 16:34:51', '108', '108', '18', '转移性', '6', '0', '0', '0', '单选项-转移性');
INSERT INTO `icss_question_detail` VALUES ('44697', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '胸部', '1', '0', '0', '0', '单选项-胸部');
INSERT INTO `icss_question_detail` VALUES ('44698', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '心前区', '2', '0', '0', '0', '单选项-心前区');
INSERT INTO `icss_question_detail` VALUES ('44699', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '胸骨后', '3', '0', '0', '0', '单选项-胸骨后');
INSERT INTO `icss_question_detail` VALUES ('44700', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '剑突下', '4', '0', '0', '0', '单选项-剑突下');
INSERT INTO `icss_question_detail` VALUES ('44701', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '左前胸', '5', '0', '0', '0', '单选项-左前胸');
INSERT INTO `icss_question_detail` VALUES ('44702', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '右前胸', '6', '0', '0', '0', '单选项-右前胸');
INSERT INTO `icss_question_detail` VALUES ('44703', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '左胁肋部', '7', '0', '0', '0', '单选项-左胁肋部');
INSERT INTO `icss_question_detail` VALUES ('44704', 'N', '2019-03-25 19:10:00', '2019-03-25 19:10:00', '108', '108', '242', '右胁肋部', '8', '0', '0', '0', '单选项-右胁肋部');
INSERT INTO `icss_question_detail` VALUES ('44705', 'N', '2019-03-25 19:11:29', '2019-03-25 19:11:29', '108', '108', '40887', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('44706', 'N', '2019-03-25 19:11:29', '2019-03-25 19:11:29', '108', '108', '40887', '为', '2', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('44707', 'N', '2019-03-25 19:11:29', '2019-03-25 19:11:29', '108', '108', '40887', '以', '3', '0', '0', '0', '单选项-以');
INSERT INTO `icss_question_detail` VALUES ('44708', 'N', '2019-03-25 19:11:29', '2019-03-25 19:11:29', '108', '108', '40887', '为主', '4', '0', '0', '0', '单选项-为主');
INSERT INTO `icss_question_detail` VALUES ('44709', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '小便无殊', '1', '0', '0', '0', '单选项-小便无殊');
INSERT INTO `icss_question_detail` VALUES ('44710', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '小便黄', '2', '0', '0', '0', '单选项-小便黄');
INSERT INTO `icss_question_detail` VALUES ('44711', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '小便困难', '3', '0', '0', '0', '单选项-小便困难');
INSERT INTO `icss_question_detail` VALUES ('44712', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '遗尿', '4', '0', '0', '0', '单选项-遗尿');
INSERT INTO `icss_question_detail` VALUES ('44713', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '小便带血', '5', '0', '0', '0', '单选项-小便带血');
INSERT INTO `icss_question_detail` VALUES ('44714', 'N', '2019-03-25 19:22:48', '2019-03-25 19:22:48', '108', '108', '401', '小便偏少', '6', '0', '0', '0', '单选项-小便偏少');
INSERT INTO `icss_question_detail` VALUES ('44726', 'N', '2019-03-25 20:14:42', '2019-03-25 20:14:42', '108', '108', '29720', '右肾区', '1', '0', '0', '0', '单选项-右肾区');
INSERT INTO `icss_question_detail` VALUES ('44727', 'N', '2019-03-25 20:14:42', '2019-03-25 20:14:42', '108', '108', '29720', '左肾区', '2', '0', '0', '0', '单选项-左肾区');
INSERT INTO `icss_question_detail` VALUES ('44728', 'N', '2019-03-25 20:14:42', '2019-03-25 20:14:42', '108', '108', '29720', '双肾区', '3', '0', '0', '0', '单选项-双肾区');
INSERT INTO `icss_question_detail` VALUES ('44729', 'N', '2019-03-25 20:21:55', '2019-03-25 20:21:55', '108', '108', '40888', '左侧', '1', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('44730', 'N', '2019-03-25 20:21:55', '2019-03-25 20:21:55', '108', '108', '40888', '右侧', '2', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('44734', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '病理反射未引出', '1', '0', '0', '0', '单选项-病理反射未引出');
INSERT INTO `icss_question_detail` VALUES ('44735', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '巴彬斯基征阳性', '2', '0', '0', '0', '单选项-巴彬斯基征阳性');
INSERT INTO `icss_question_detail` VALUES ('44736', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '奥本海默征阳性', '3', '0', '0', '0', '单选项-奥本海默征阳性');
INSERT INTO `icss_question_detail` VALUES ('44737', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '戈登征阳性', '4', '0', '0', '0', '单选项-戈登征阳性');
INSERT INTO `icss_question_detail` VALUES ('44738', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '查多克征阳性', '5', '0', '0', '0', '单选项-查多克征阳性');
INSERT INTO `icss_question_detail` VALUES ('44739', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '霍夫曼征阳性', '6', '0', '0', '0', '单选项-霍夫曼征阳性');
INSERT INTO `icss_question_detail` VALUES ('44740', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '其他病理反射未引出', '7', '0', '0', '0', '单选项-其他病理反射未引出');
INSERT INTO `icss_question_detail` VALUES ('44741', 'N', '2019-03-26 14:13:39', '2019-03-26 14:13:39', '108', '108', '29749', '克氏征阳性', '8', '0', '0', '0', '单选项-克氏征阳性');
INSERT INTO `icss_question_detail` VALUES ('44745', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '左', '1', '0', '0', '0', '单选项-左');
INSERT INTO `icss_question_detail` VALUES ('44746', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '右', '2', '0', '0', '0', '单选项-右');
INSERT INTO `icss_question_detail` VALUES ('44747', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '双', '3', '0', '0', '0', '单选项-双');
INSERT INTO `icss_question_detail` VALUES ('44748', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '前', '4', '0', '0', '0', '单选项-前');
INSERT INTO `icss_question_detail` VALUES ('44749', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '后', '5', '0', '0', '0', '单选项-后');
INSERT INTO `icss_question_detail` VALUES ('44750', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '内侧', '6', '0', '0', '0', '单选项-内侧');
INSERT INTO `icss_question_detail` VALUES ('44751', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '外侧', '7', '0', '0', '0', '单选项-外侧');
INSERT INTO `icss_question_detail` VALUES ('44752', 'N', '2019-03-26 15:09:58', '2019-03-26 15:09:58', '108', '108', '29808', '全关节', '8', '0', '0', '0', '单选项-全关节');
INSERT INTO `icss_question_detail` VALUES ('44753', 'N', '2019-03-26 15:18:15', '2019-03-26 15:18:15', '108', '108', '29810', '阵发性', '1', '0', '0', '0', '单选项-阵发性');
INSERT INTO `icss_question_detail` VALUES ('44754', 'N', '2019-03-26 15:18:15', '2019-03-26 15:18:15', '108', '108', '29810', '游走性', '2', '0', '0', '0', '单选项-游走性');
INSERT INTO `icss_question_detail` VALUES ('44755', 'N', '2019-03-26 15:18:15', '2019-03-26 15:18:15', '108', '108', '29810', '持续性', '3', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('44756', 'N', '2019-03-26 15:18:15', '2019-03-26 15:18:15', '108', '108', '29810', '间歇性', '4', '0', '0', '0', '单选项-间歇性');
INSERT INTO `icss_question_detail` VALUES ('44757', 'N', '2019-03-26 15:18:15', '2019-03-26 15:18:15', '108', '108', '29810', '发作性', '5', '0', '0', '0', '单选项-发作性');
INSERT INTO `icss_question_detail` VALUES ('44758', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '钝痛', '1', '0', '0', '0', '单选项-钝痛');
INSERT INTO `icss_question_detail` VALUES ('44759', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '刺痛', '2', '0', '0', '0', '单选项-刺痛');
INSERT INTO `icss_question_detail` VALUES ('44760', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '休息痛', '3', '0', '0', '0', '单选项-休息痛');
INSERT INTO `icss_question_detail` VALUES ('44761', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '运动痛', '4', '0', '0', '0', '单选项-运动痛');
INSERT INTO `icss_question_detail` VALUES ('44762', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '夜间痛', '5', '0', '0', '0', '单选项-夜间痛');
INSERT INTO `icss_question_detail` VALUES ('44763', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '间歇痛', '6', '0', '0', '0', '单选项-间歇痛');
INSERT INTO `icss_question_detail` VALUES ('44764', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '痛无定处', '7', '0', '0', '0', '单选项-痛无定处');
INSERT INTO `icss_question_detail` VALUES ('44765', 'N', '2019-03-26 15:21:10', '2019-03-26 15:21:10', '108', '108', '29812', '疼痛', '8', '0', '0', '0', '单选项-疼痛');
INSERT INTO `icss_question_detail` VALUES ('44766', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '40890', '拇', '1', '0', '0', '0', '单选项-拇');
INSERT INTO `icss_question_detail` VALUES ('44767', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '40890', '食', '2', '0', '0', '0', '单选项-食');
INSERT INTO `icss_question_detail` VALUES ('44768', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '40890', '中', '3', '0', '0', '0', '单选项-中');
INSERT INTO `icss_question_detail` VALUES ('44769', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '40890', '无名', '4', '0', '0', '0', '单选项-无名');
INSERT INTO `icss_question_detail` VALUES ('44770', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '40890', '小', '5', '0', '0', '0', '单选项-小');
INSERT INTO `icss_question_detail` VALUES ('44771', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节红肿', '1', '0', '0', '0', '单选项-伴关节红肿');
INSERT INTO `icss_question_detail` VALUES ('44772', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节肿胀', '2', '0', '0', '0', '单选项-伴关节肿胀');
INSERT INTO `icss_question_detail` VALUES ('44773', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节局部发热', '3', '0', '0', '0', '单选项-伴关节局部发热');
INSERT INTO `icss_question_detail` VALUES ('44774', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节晨僵', '4', '0', '0', '0', '单选项-伴关节晨僵');
INSERT INTO `icss_question_detail` VALUES ('44775', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节积液', '5', '0', '0', '0', '单选项-伴关节积液');
INSERT INTO `icss_question_detail` VALUES ('44776', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节处肌肉萎缩', '6', '0', '0', '0', '单选项-伴关节处肌肉萎缩');
INSERT INTO `icss_question_detail` VALUES ('44777', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节畸形', '7', '0', '0', '0', '单选项-伴关节畸形');
INSERT INTO `icss_question_detail` VALUES ('44778', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节强直', '8', '0', '0', '0', '单选项-伴关节强直');
INSERT INTO `icss_question_detail` VALUES ('44779', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '40891', '伴关节处皮肤瘀斑', '9', '0', '0', '0', '单选项-伴关节处皮肤瘀斑');
INSERT INTO `icss_question_detail` VALUES ('44788', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '左', '1', '0', '0', '0', '单选项-左');
INSERT INTO `icss_question_detail` VALUES ('44789', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '右', '2', '0', '0', '0', '单选项-右');
INSERT INTO `icss_question_detail` VALUES ('44790', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '双', '3', '0', '0', '0', '单选项-双');
INSERT INTO `icss_question_detail` VALUES ('44791', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '前', '4', '0', '0', '0', '单选项-前');
INSERT INTO `icss_question_detail` VALUES ('44792', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '后', '5', '0', '0', '0', '单选项-后');
INSERT INTO `icss_question_detail` VALUES ('44793', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '内侧', '6', '0', '0', '0', '单选项-内侧');
INSERT INTO `icss_question_detail` VALUES ('44794', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '外侧', '7', '0', '0', '0', '单选项-外侧');
INSERT INTO `icss_question_detail` VALUES ('44795', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '40893', '全关节', '8', '0', '0', '0', '单选项-全关节');
INSERT INTO `icss_question_detail` VALUES ('44801', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '钝痛', '1', '0', '0', '0', '单选项-钝痛');
INSERT INTO `icss_question_detail` VALUES ('44802', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '刺痛', '2', '0', '0', '0', '单选项-刺痛');
INSERT INTO `icss_question_detail` VALUES ('44803', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '休息痛', '3', '0', '0', '0', '单选项-休息痛');
INSERT INTO `icss_question_detail` VALUES ('44804', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '运动痛', '4', '0', '0', '0', '单选项-运动痛');
INSERT INTO `icss_question_detail` VALUES ('44805', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '夜间痛', '5', '0', '0', '0', '单选项-夜间痛');
INSERT INTO `icss_question_detail` VALUES ('44806', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '间歇痛', '6', '0', '0', '0', '单选项-间歇痛');
INSERT INTO `icss_question_detail` VALUES ('44807', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '痛无定处', '7', '0', '0', '0', '单选项-痛无定处');
INSERT INTO `icss_question_detail` VALUES ('44808', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '40895', '疼痛', '8', '0', '0', '0', '单选项-疼痛');
INSERT INTO `icss_question_detail` VALUES ('44833', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '热敷后', '1', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('44834', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '冷敷后', '2', '0', '0', '0', '单选项-冷敷后');
INSERT INTO `icss_question_detail` VALUES ('44835', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '负重时', '3', '0', '0', '0', '单选项-负重时');
INSERT INTO `icss_question_detail` VALUES ('44836', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '食用海鲜后', '4', '0', '0', '0', '单选项-食用海鲜后');
INSERT INTO `icss_question_detail` VALUES ('44837', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '饮酒后', '5', '0', '0', '0', '单选项-饮酒后');
INSERT INTO `icss_question_detail` VALUES ('44838', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '极度伸直时', '6', '0', '0', '0', '单选项-极度伸直时');
INSERT INTO `icss_question_detail` VALUES ('44839', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '极度屈伸时', '7', '0', '0', '0', '单选项-极度屈伸时');
INSERT INTO `icss_question_detail` VALUES ('44840', 'N', '2019-03-27 09:49:26', '2019-03-27 09:49:26', '108', '108', '40729', '服用止痛药后', '8', '0', '0', '0', '单选项-服用止痛药后');
INSERT INTO `icss_question_detail` VALUES ('44841', 'N', '2019-03-27 09:50:12', '2019-03-27 09:50:12', '108', '108', '40730', '疼痛缓解', '1', '0', '0', '0', '单选项-疼痛缓解');
INSERT INTO `icss_question_detail` VALUES ('44842', 'N', '2019-03-27 09:50:12', '2019-03-27 09:50:12', '108', '108', '40730', '疼痛加重', '2', '0', '0', '0', '单选项-疼痛加重');
INSERT INTO `icss_question_detail` VALUES ('44843', 'N', '2019-03-27 09:50:12', '2019-03-27 09:50:12', '108', '108', '40730', '疼痛无缓解', '3', '0', '0', '0', '单选项-疼痛无缓解');
INSERT INTO `icss_question_detail` VALUES ('44844', 'N', '2019-03-27 09:50:12', '2019-03-27 09:50:12', '108', '108', '40730', '诱发疼痛', '4', '0', '0', '0', '单选项-诱发疼痛');
INSERT INTO `icss_question_detail` VALUES ('44853', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '热敷后', '1', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('44854', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '冷敷后', '2', '0', '0', '0', '单选项-冷敷后');
INSERT INTO `icss_question_detail` VALUES ('44855', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '负重时', '3', '0', '0', '0', '单选项-负重时');
INSERT INTO `icss_question_detail` VALUES ('44856', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '食用海鲜后', '4', '0', '0', '0', '单选项-食用海鲜后');
INSERT INTO `icss_question_detail` VALUES ('44857', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '饮酒后', '5', '0', '0', '0', '单选项-饮酒后');
INSERT INTO `icss_question_detail` VALUES ('44858', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '极度伸直时', '6', '0', '0', '0', '单选项-极度伸直时');
INSERT INTO `icss_question_detail` VALUES ('44859', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '极度屈伸时', '7', '0', '0', '0', '单选项-极度屈伸时');
INSERT INTO `icss_question_detail` VALUES ('44860', 'N', '2019-03-27 09:57:14', '2019-03-27 09:57:14', '108', '108', '40900', '服用止痛药后', '8', '0', '0', '0', '单选项-服用止痛药后');
INSERT INTO `icss_question_detail` VALUES ('44861', 'N', '2019-03-27 09:58:56', '2019-03-27 09:58:56', '108', '108', '40901', '诱发疼痛', '1', '0', '0', '0', '单选项-诱发疼痛');
INSERT INTO `icss_question_detail` VALUES ('44862', 'N', '2019-03-27 09:58:56', '2019-03-27 09:58:56', '108', '108', '40901', '疼痛加重', '2', '0', '0', '0', '单选项-疼痛加重');
INSERT INTO `icss_question_detail` VALUES ('44863', 'N', '2019-03-27 09:58:56', '2019-03-27 09:58:56', '108', '108', '40901', '疼痛缓解', '3', '0', '0', '0', '单选项-疼痛缓解');
INSERT INTO `icss_question_detail` VALUES ('44864', 'N', '2019-03-27 09:58:56', '2019-03-27 09:58:56', '108', '108', '40901', '疼痛无缓解', '4', '0', '0', '0', '单选项-疼痛无缓解');
INSERT INTO `icss_question_detail` VALUES ('44865', 'N', '2019-03-27 10:04:20', '2019-03-27 10:04:20', '108', '108', '40902', '因疼痛不得不停止活动', '1', '0', '0', '0', '单选项-因疼痛不得不停止活动');
INSERT INTO `icss_question_detail` VALUES ('44866', 'N', '2019-03-27 10:04:20', '2019-03-27 10:04:20', '108', '108', '40902', '服用止痛药物无效', '2', '0', '0', '0', '单选项-服用止痛药物无效');
INSERT INTO `icss_question_detail` VALUES ('44867', 'N', '2019-03-27 10:06:19', '2019-03-27 10:06:19', '108', '108', '40903', '晨轻幕重', '1', '0', '0', '0', '单选项-晨轻幕重');
INSERT INTO `icss_question_detail` VALUES ('44869', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '红肿', '1', '0', '0', '0', '单选项-红肿');
INSERT INTO `icss_question_detail` VALUES ('44870', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '肿胀', '2', '0', '0', '0', '单选项-肿胀');
INSERT INTO `icss_question_detail` VALUES ('44871', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '局部发热', '3', '0', '0', '0', '单选项-局部发热');
INSERT INTO `icss_question_detail` VALUES ('44872', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '晨僵', '4', '0', '0', '0', '单选项-晨僵');
INSERT INTO `icss_question_detail` VALUES ('44873', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '积液', '5', '0', '0', '0', '单选项-积液');
INSERT INTO `icss_question_detail` VALUES ('44874', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '肌肉萎缩', '6', '0', '0', '0', '单选项-肌肉萎缩');
INSERT INTO `icss_question_detail` VALUES ('44875', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '畸形', '7', '0', '0', '0', '单选项-畸形');
INSERT INTO `icss_question_detail` VALUES ('44876', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '强直', '8', '0', '0', '0', '单选项-强直');
INSERT INTO `icss_question_detail` VALUES ('44877', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '瘀斑', '9', '0', '0', '0', '单选项-瘀斑');
INSERT INTO `icss_question_detail` VALUES ('44878', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '40904', '皮温升高', '10', '0', '0', '0', '单选项-皮温升高');
INSERT INTO `icss_question_detail` VALUES ('44879', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '40905', '活动受限', '1', '0', '0', '0', '单选项-活动受限');
INSERT INTO `icss_question_detail` VALUES ('44880', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '40905', '走路跛行', '2', '0', '0', '0', '单选项-走路跛行');
INSERT INTO `icss_question_detail` VALUES ('44881', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '40905', '活动时有弹响', '3', '0', '0', '0', '单选项-活动时有弹响');
INSERT INTO `icss_question_detail` VALUES ('44882', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '40905', '骨摩擦感', '4', '0', '0', '0', '单选项-骨摩擦感');
INSERT INTO `icss_question_detail` VALUES ('44883', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '40905', '活动时有交锁感', '5', '0', '0', '0', '单选项-活动时有交锁感');
INSERT INTO `icss_question_detail` VALUES ('44884', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '40906', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('44885', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '40906', '周围性发绀，', '2', '0', '0', '0', '单选项-周围性发绀，');
INSERT INTO `icss_question_detail` VALUES ('44886', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '40906', '中心性发绀，', '3', '0', '0', '0', '单选项-中心性发绀，');
INSERT INTO `icss_question_detail` VALUES ('44887', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '40906', '混合性发绀，', '4', '0', '0', '0', '单选项-混合性发绀，');
INSERT INTO `icss_question_detail` VALUES ('44888', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '40906', '全身性发绀，', '5', '0', '0', '0', '单选项-全身性发绀，');
INSERT INTO `icss_question_detail` VALUES ('44889', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '以', '1', '0', '0', '0', '单选项-以');
INSERT INTO `icss_question_detail` VALUES ('44890', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '口唇', '2', '0', '0', '0', '单选项-口唇');
INSERT INTO `icss_question_detail` VALUES ('44891', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '指甲', '3', '0', '0', '0', '单选项-指甲');
INSERT INTO `icss_question_detail` VALUES ('44892', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '四肢末梢', '4', '0', '0', '0', '单选项-四肢末梢');
INSERT INTO `icss_question_detail` VALUES ('44893', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '肢体下垂部位', '5', '0', '0', '0', '单选项-肢体下垂部位');
INSERT INTO `icss_question_detail` VALUES ('44894', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '鼻尖', '6', '0', '0', '0', '单选项-鼻尖');
INSERT INTO `icss_question_detail` VALUES ('44895', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '40907', '面颊部', '7', '0', '0', '0', '单选项-面颊部');
INSERT INTO `icss_question_detail` VALUES ('44897', 'N', '2019-03-27 13:30:11', '2019-03-27 13:30:11', '108', '108', '40909', '发绀处皮温偏高', '1', '0', '0', '0', '单选项-发绀处皮温偏高');
INSERT INTO `icss_question_detail` VALUES ('44898', 'N', '2019-03-27 13:30:11', '2019-03-27 13:30:11', '108', '108', '40909', '发绀处皮温偏低', '2', '0', '0', '0', '单选项-发绀处皮温偏低');
INSERT INTO `icss_question_detail` VALUES ('44899', 'N', '2019-03-27 13:30:11', '2019-03-27 13:30:11', '108', '108', '40909', '经按摩热敷后能消退', '3', '0', '0', '0', '单选项-经按摩热敷后能消退');
INSERT INTO `icss_question_detail` VALUES ('44900', 'N', '2019-03-27 13:30:11', '2019-03-27 13:30:11', '108', '108', '40909', '经按摩热敷后不能消退', '4', '0', '0', '0', '单选项-经按摩热敷后不能消退');
INSERT INTO `icss_question_detail` VALUES ('44906', 'N', '2019-03-27 13:32:00', '2019-03-27 13:32:00', '108', '108', '40908', '发绀为主，', '1', '0', '0', '0', '单选项-发绀为主，');
INSERT INTO `icss_question_detail` VALUES ('44907', 'N', '2019-03-27 13:32:00', '2019-03-27 13:32:00', '108', '108', '40908', '程度较轻，', '2', '0', '0', '0', '单选项-程度较轻，');
INSERT INTO `icss_question_detail` VALUES ('44908', 'N', '2019-03-27 13:32:00', '2019-03-27 13:32:00', '108', '108', '40908', '轻度发绀，', '3', '0', '0', '0', '单选项-轻度发绀，');
INSERT INTO `icss_question_detail` VALUES ('44909', 'N', '2019-03-27 13:32:00', '2019-03-27 13:32:00', '108', '108', '40908', '程度较重，', '4', '0', '0', '0', '单选项-程度较重，');
INSERT INTO `icss_question_detail` VALUES ('44910', 'N', '2019-03-27 13:32:00', '2019-03-27 13:32:00', '108', '108', '40908', '重度发绀，', '5', '0', '0', '0', '单选项-重度发绀，');
INSERT INTO `icss_question_detail` VALUES ('44934', 'N', '2019-03-27 14:18:31', '2019-03-27 14:18:31', '108', '108', '40716', '渐行性加重，', '1', '0', '0', '0', '单选项-渐行性加重，');
INSERT INTO `icss_question_detail` VALUES ('44943', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '类似症状反复发作，', '1', '0', '0', '0', '单选项-类似症状反复发作，');
INSERT INTO `icss_question_detail` VALUES ('44944', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '发作间隙意识不清，', '2', '0', '0', '0', '单选项-发作间隙意识不清，');
INSERT INTO `icss_question_detail` VALUES ('44945', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '发作间歇期正常，', '3', '0', '0', '0', '单选项-发作间歇期正常，');
INSERT INTO `icss_question_detail` VALUES ('44946', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '两次发作期间意识清醒，', '4', '0', '0', '0', '单选项-两次发作期间意识清醒，');
INSERT INTO `icss_question_detail` VALUES ('44947', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '事后无记忆，', '5', '0', '0', '0', '单选项-事后无记忆，');
INSERT INTO `icss_question_detail` VALUES ('44948', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '清醒后感乏力，', '6', '0', '0', '0', '单选项-清醒后感乏力，');
INSERT INTO `icss_question_detail` VALUES ('44949', 'N', '2019-03-27 14:20:53', '2019-03-27 14:20:53', '108', '108', '40910', '自行清醒，', '7', '0', '0', '0', '单选项-自行清醒，');
INSERT INTO `icss_question_detail` VALUES ('45013', 'N', '2019-03-27 15:27:01', '2019-03-27 15:27:01', '99', '99', '40912', '意识丧失', '1', '0', '0', '0', '单选项-意识丧失');
INSERT INTO `icss_question_detail` VALUES ('45014', 'N', '2019-03-27 15:27:01', '2019-03-27 15:27:01', '99', '99', '40912', '面色青紫', '2', '0', '0', '0', '单选项-面色青紫');
INSERT INTO `icss_question_detail` VALUES ('45015', 'N', '2019-03-27 15:27:01', '2019-03-27 15:27:01', '99', '99', '40912', '双眼球上窜', '3', '0', '0', '0', '单选项-双眼球上窜');
INSERT INTO `icss_question_detail` VALUES ('45016', 'N', '2019-03-27 15:27:01', '2019-03-27 15:27:01', '99', '99', '40912', '大便失禁', '4', '0', '0', '0', '单选项-大便失禁');
INSERT INTO `icss_question_detail` VALUES ('45017', 'N', '2019-03-27 15:27:01', '2019-03-27 15:27:01', '99', '99', '40912', '小便失禁', '5', '0', '0', '0', '单选项-小便失禁');
INSERT INTO `icss_question_detail` VALUES ('45018', 'N', '2019-03-27 15:44:33', '2019-03-27 15:44:33', '108', '108', '40725', '渐行性加重，', '1', '0', '0', '0', '单选项-渐行性加重，');
INSERT INTO `icss_question_detail` VALUES ('45019', 'N', '2019-03-27 16:09:52', '2019-03-27 16:09:52', '108', '108', '40915', '右侧肢体抽搐为主，', '1', '0', '0', '0', '单选项-右侧肢体抽搐为主，');
INSERT INTO `icss_question_detail` VALUES ('45020', 'N', '2019-03-27 16:09:52', '2019-03-27 16:09:52', '108', '108', '40915', '左侧肢体抽搐为主，', '2', '0', '0', '0', '单选项-左侧肢体抽搐为主，');
INSERT INTO `icss_question_detail` VALUES ('45021', 'N', '2019-03-27 16:09:52', '2019-03-27 16:09:52', '108', '108', '40915', '双上肢抽搐为主，', '3', '0', '0', '0', '单选项-双上肢抽搐为主，');
INSERT INTO `icss_question_detail` VALUES ('45022', 'N', '2019-03-27 16:09:52', '2019-03-27 16:09:52', '108', '108', '40915', '双下肢抽搐为主，', '4', '0', '0', '0', '单选项-双下肢抽搐为主，');
INSERT INTO `icss_question_detail` VALUES ('45023', 'N', '2019-03-27 16:10:20', '2019-03-27 16:10:20', '108', '108', '40714', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('45024', 'N', '2019-03-27 16:10:20', '2019-03-27 16:10:20', '108', '108', '40714', '以', '2', '0', '0', '0', '单选项-以');
INSERT INTO `icss_question_detail` VALUES ('45031', 'N', '2019-03-27 16:17:41', '2019-03-27 16:17:41', '108', '108', '40717', '发作持续数秒，', '1', '0', '0', '0', '单选项-发作持续数秒，');
INSERT INTO `icss_question_detail` VALUES ('45032', 'N', '2019-03-27 16:17:41', '2019-03-27 16:17:41', '108', '108', '40717', '发作持续2分钟，', '2', '0', '0', '0', '单选项-发作持续2分钟，');
INSERT INTO `icss_question_detail` VALUES ('45033', 'N', '2019-03-27 16:17:41', '2019-03-27 16:17:41', '108', '108', '40717', '发作持续超过30分钟，', '3', '0', '0', '0', '单选项-发作持续超过30分钟，');
INSERT INTO `icss_question_detail` VALUES ('45034', 'N', '2019-03-27 16:17:41', '2019-03-27 16:17:41', '108', '108', '40717', '发作持续2--10分钟，', '4', '0', '0', '0', '单选项-发作持续2--10分钟，');
INSERT INTO `icss_question_detail` VALUES ('45062', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '无明显诱因下', '1', '0', '0', '0', '单选项-无明显诱因下');
INSERT INTO `icss_question_detail` VALUES ('45063', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '因淋雨后', '2', '0', '0', '0', '单选项-因淋雨后');
INSERT INTO `icss_question_detail` VALUES ('45064', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '因受凉后', '3', '0', '0', '0', '单选项-因受凉后');
INSERT INTO `icss_question_detail` VALUES ('45065', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '吸入花粉后', '4', '0', '0', '0', '单选项-吸入花粉后');
INSERT INTO `icss_question_detail` VALUES ('45066', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '接触刺激性气体后', '5', '0', '0', '0', '单选项-接触刺激性气体后');
INSERT INTO `icss_question_detail` VALUES ('45067', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '运动劳累后', '6', '0', '0', '0', '单选项-运动劳累后');
INSERT INTO `icss_question_detail` VALUES ('45068', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '不洁饮食后', '7', '0', '0', '0', '单选项-不洁饮食后');
INSERT INTO `icss_question_detail` VALUES ('45069', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '暴饮暴食后', '8', '0', '0', '0', '单选项-暴饮暴食后');
INSERT INTO `icss_question_detail` VALUES ('45070', 'N', '2019-03-27 17:06:46', '2019-03-27 17:06:46', '108', '108', '57', '酗酒后', '9', '0', '0', '0', '单选项-酗酒后');
INSERT INTO `icss_question_detail` VALUES ('45071', 'N', '2019-03-27 17:31:59', '2019-03-27 17:31:59', '108', '108', '40913', '发作时', '1', '0', '0', '0', '单选项-发作时');
INSERT INTO `icss_question_detail` VALUES ('45072', 'N', '2019-03-27 17:31:59', '2019-03-27 17:31:59', '108', '108', '40913', '伴', '2', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45073', 'N', '2019-03-27 17:31:59', '2019-03-27 17:31:59', '108', '108', '40913', '无', '3', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45074', 'N', '2019-03-27 17:40:22', '2019-03-27 17:40:22', '108', '108', '40712', '疼痛可忍', '1', '0', '0', '0', '单选项-疼痛可忍');
INSERT INTO `icss_question_detail` VALUES ('45075', 'N', '2019-03-27 17:40:22', '2019-03-27 17:40:22', '108', '108', '40712', '疼痛剧烈', '2', '0', '0', '0', '单选项-疼痛剧烈');
INSERT INTO `icss_question_detail` VALUES ('45076', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '刺痛', '1', '0', '0', '0', '单选项-刺痛');
INSERT INTO `icss_question_detail` VALUES ('45077', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '胀痛', '2', '0', '0', '0', '单选项-胀痛');
INSERT INTO `icss_question_detail` VALUES ('45078', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '灼痛', '3', '0', '0', '0', '单选项-灼痛');
INSERT INTO `icss_question_detail` VALUES ('45079', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '坠痛', '4', '0', '0', '0', '单选项-坠痛');
INSERT INTO `icss_question_detail` VALUES ('45080', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '跳痛', '5', '0', '0', '0', '单选项-跳痛');
INSERT INTO `icss_question_detail` VALUES ('45081', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '抽掣样痛', '6', '0', '0', '0', '单选项-抽掣样痛');
INSERT INTO `icss_question_detail` VALUES ('45082', 'N', '2019-03-27 17:52:10', '2019-03-27 17:52:10', '108', '108', '40711', '刀割痛', '7', '0', '0', '0', '单选项-刀割痛');
INSERT INTO `icss_question_detail` VALUES ('45094', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '肛周潮湿', '1', '0', '0', '0', '单选项-肛周潮湿');
INSERT INTO `icss_question_detail` VALUES ('45095', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '肛周瘙痒', '2', '0', '0', '0', '单选项-肛周瘙痒');
INSERT INTO `icss_question_detail` VALUES ('45096', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '大便次数改变', '3', '0', '0', '0', '单选项-大便次数改变');
INSERT INTO `icss_question_detail` VALUES ('45097', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '大便性状改变', '4', '0', '0', '0', '单选项-大便性状改变');
INSERT INTO `icss_question_detail` VALUES ('45098', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '大便后肛门滴血', '5', '0', '0', '0', '单选项-大便后肛门滴血');
INSERT INTO `icss_question_detail` VALUES ('45099', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '40922', '便后擦拭带血', '6', '0', '0', '0', '单选项-便后擦拭带血');
INSERT INTO `icss_question_detail` VALUES ('45100', 'N', '2019-03-27 18:38:57', '2019-03-27 18:38:57', '108', '108', '40920', '排便时', '1', '0', '0', '0', '单选项-排便时');
INSERT INTO `icss_question_detail` VALUES ('45101', 'N', '2019-03-27 18:38:57', '2019-03-27 18:38:57', '108', '108', '40920', '排便后', '2', '0', '0', '0', '单选项-排便后');
INSERT INTO `icss_question_detail` VALUES ('45102', 'N', '2019-03-27 18:38:57', '2019-03-27 18:38:57', '108', '108', '40920', '持续性', '3', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('45103', 'N', '2019-03-27 18:38:57', '2019-03-27 18:38:57', '108', '108', '40920', '间歇性', '4', '0', '0', '0', '单选项-间歇性');
INSERT INTO `icss_question_detail` VALUES ('45104', 'N', '2019-03-27 18:39:10', '2019-03-27 18:39:10', '108', '108', '40921', '周期性排便痛', '1', '0', '0', '0', '单选项-周期性排便痛');
INSERT INTO `icss_question_detail` VALUES ('45105', 'N', '2019-03-27 18:39:10', '2019-03-27 18:39:10', '108', '108', '40921', '行走不便', '2', '0', '0', '0', '单选项-行走不便');
INSERT INTO `icss_question_detail` VALUES ('45106', 'N', '2019-03-27 18:39:10', '2019-03-27 18:39:10', '108', '108', '40921', '端坐受限', '3', '0', '0', '0', '单选项-端坐受限');
INSERT INTO `icss_question_detail` VALUES ('45107', 'N', '2019-03-27 18:39:10', '2019-03-27 18:39:10', '108', '108', '40921', '大便习惯改变', '4', '0', '0', '0', '单选项-大便习惯改变');
INSERT INTO `icss_question_detail` VALUES ('45108', 'N', '2019-03-27 18:39:10', '2019-03-27 18:39:10', '108', '108', '40921', '坐卧不安', '5', '0', '0', '0', '单选项-坐卧不安');
INSERT INTO `icss_question_detail` VALUES ('45109', 'N', '2019-03-27 18:39:23', '2019-03-27 18:39:23', '108', '108', '40919', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45110', 'N', '2019-03-27 18:39:23', '2019-03-27 18:39:23', '108', '108', '40919', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45111', 'N', '2019-03-27 18:56:42', '2019-03-27 18:56:42', '108', '108', '40923', '肛周皮肤正常', '1', '0', '0', '0', '单选项-肛周皮肤正常');
INSERT INTO `icss_question_detail` VALUES ('45112', 'N', '2019-03-27 18:56:42', '2019-03-27 18:56:42', '108', '108', '40923', '肛周皮肤红肿', '2', '0', '0', '0', '单选项-肛周皮肤红肿');
INSERT INTO `icss_question_detail` VALUES ('45113', 'N', '2019-03-27 18:56:42', '2019-03-27 18:56:42', '108', '108', '40923', '肛周皮肤糜烂', '3', '0', '0', '0', '单选项-肛周皮肤糜烂');
INSERT INTO `icss_question_detail` VALUES ('45115', 'N', '2019-03-27 19:52:57', '2019-03-27 19:52:57', '108', '108', '40704', '月经周期()天', '1', '0', '0', '0', '单选项-月经周期()天');
INSERT INTO `icss_question_detail` VALUES ('45116', 'N', '2019-03-27 19:54:04', '2019-03-27 19:54:04', '108', '108', '40705', '经期()天', '1', '0', '0', '0', '单选项-经期()天');
INSERT INTO `icss_question_detail` VALUES ('45117', 'N', '2019-03-27 19:59:12', '2019-03-27 19:59:12', '108', '108', '40706', '绝经()天', '1', '0', '0', '0', '单选项-绝经()天');
INSERT INTO `icss_question_detail` VALUES ('45118', 'N', '2019-03-27 20:02:34', '2019-03-27 20:02:34', '108', '108', '40925', '月经量中等', '1', '0', '0', '0', '单选项-月经量中等');
INSERT INTO `icss_question_detail` VALUES ('45119', 'N', '2019-03-27 20:02:34', '2019-03-27 20:02:34', '108', '108', '40925', '月经量少', '2', '0', '0', '0', '单选项-月经量少');
INSERT INTO `icss_question_detail` VALUES ('45120', 'N', '2019-03-27 20:02:34', '2019-03-27 20:02:34', '108', '108', '40925', '月经量多', '3', '0', '0', '0', '单选项-月经量多');
INSERT INTO `icss_question_detail` VALUES ('45141', 'N', '2019-03-27 20:35:15', '2019-03-27 20:35:15', '108', '108', '40928', '轻度痛经，', '1', '0', '0', '0', '单选项-轻度痛经，');
INSERT INTO `icss_question_detail` VALUES ('45142', 'N', '2019-03-27 20:35:15', '2019-03-27 20:35:15', '108', '108', '40928', '有痛经，', '2', '0', '0', '0', '单选项-有痛经，');
INSERT INTO `icss_question_detail` VALUES ('45143', 'N', '2019-03-27 20:35:15', '2019-03-27 20:35:15', '108', '108', '40928', '重度痛经，', '3', '0', '0', '0', '单选项-重度痛经，');
INSERT INTO `icss_question_detail` VALUES ('45144', 'N', '2019-03-27 20:35:15', '2019-03-27 20:35:15', '108', '108', '40928', '需要服用止痛药，', '4', '0', '0', '0', '单选项-需要服用止痛药，');
INSERT INTO `icss_question_detail` VALUES ('45157', 'N', '2019-03-28 09:59:04', '2019-03-28 09:59:04', '108', '108', '40699', '烫伤面积10%以下，', '1', '0', '0', '0', '单选项-烫伤面积10%以下，');
INSERT INTO `icss_question_detail` VALUES ('45158', 'N', '2019-03-28 09:59:04', '2019-03-28 09:59:04', '108', '108', '40699', '烫伤面积11%-30%，', '2', '0', '0', '0', '单选项-烫伤面积11%-30%，');
INSERT INTO `icss_question_detail` VALUES ('45159', 'N', '2019-03-28 09:59:04', '2019-03-28 09:59:04', '108', '108', '40699', '烫伤面积30%-49%，', '3', '0', '0', '0', '单选项-烫伤面积30%-49%，');
INSERT INTO `icss_question_detail` VALUES ('45160', 'N', '2019-03-28 09:59:04', '2019-03-28 09:59:04', '108', '108', '40699', '烫伤面积50%以上，', '4', '0', '0', '0', '单选项-烫伤面积50%以上，');
INSERT INTO `icss_question_detail` VALUES ('45161', 'N', '2019-03-28 10:00:41', '2019-03-28 10:00:41', '108', '108', '40700', '患处', '1', '0', '0', '0', '单选项-患处');
INSERT INTO `icss_question_detail` VALUES ('45172', 'N', '2019-03-28 10:05:38', '2019-03-28 10:05:38', '108', '108', '40702', '感觉过敏', '1', '0', '0', '0', '单选项-感觉过敏');
INSERT INTO `icss_question_detail` VALUES ('45173', 'N', '2019-03-28 10:05:38', '2019-03-28 10:05:38', '108', '108', '40702', '痛觉迟钝', '2', '0', '0', '0', '单选项-痛觉迟钝');
INSERT INTO `icss_question_detail` VALUES ('45174', 'N', '2019-03-28 10:05:38', '2019-03-28 10:05:38', '108', '108', '40702', '感觉消失', '3', '0', '0', '0', '单选项-感觉消失');
INSERT INTO `icss_question_detail` VALUES ('45175', 'N', '2019-03-28 10:05:38', '2019-03-28 10:05:38', '108', '108', '40702', '有色素沉着', '4', '0', '0', '0', '单选项-有色素沉着');
INSERT INTO `icss_question_detail` VALUES ('45176', 'N', '2019-03-28 10:05:38', '2019-03-28 10:05:38', '108', '108', '40702', '遗留瘢痕', '5', '0', '0', '0', '单选项-遗留瘢痕');
INSERT INTO `icss_question_detail` VALUES ('45188', 'N', '2019-03-28 10:17:52', '2019-03-28 10:17:52', '108', '108', '40932', '受伤后', '1', '0', '0', '0', '单选项-受伤后');
INSERT INTO `icss_question_detail` VALUES ('45189', 'N', '2019-03-28 10:17:52', '2019-03-28 10:17:52', '108', '108', '40932', '伴', '2', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45190', 'N', '2019-03-28 10:17:52', '2019-03-28 10:17:52', '108', '108', '40932', '无', '3', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45191', 'N', '2019-03-28 10:17:52', '2019-03-28 10:17:52', '108', '108', '40932', '出现', '4', '0', '0', '0', '单选项-出现');
INSERT INTO `icss_question_detail` VALUES ('45192', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '恶心呕吐', '1', '0', '0', '0', '单选项-恶心呕吐');
INSERT INTO `icss_question_detail` VALUES ('45193', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '视力模糊', '2', '0', '0', '0', '单选项-视力模糊');
INSERT INTO `icss_question_detail` VALUES ('45194', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '头晕', '3', '0', '0', '0', '单选项-头晕');
INSERT INTO `icss_question_detail` VALUES ('45195', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '言语模糊或不连贯', '4', '0', '0', '0', '单选项-言语模糊或不连贯');
INSERT INTO `icss_question_detail` VALUES ('45196', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '迷惑', '5', '0', '0', '0', '单选项-迷惑');
INSERT INTO `icss_question_detail` VALUES ('45197', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '嗜睡', '6', '0', '0', '0', '单选项-嗜睡');
INSERT INTO `icss_question_detail` VALUES ('45198', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '40934', '烦燥', '7', '0', '0', '0', '单选项-烦燥');
INSERT INTO `icss_question_detail` VALUES ('45199', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '意识丧失，', '1', '0', '0', '0', '单选项-意识丧失，');
INSERT INTO `icss_question_detail` VALUES ('45200', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '约()分钟后自行清醒，', '2', '0', '0', '0', '单选项-约()分钟后自行清醒，');
INSERT INTO `icss_question_detail` VALUES ('45201', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '近事遗忘，', '3', '0', '0', '0', '单选项-近事遗忘，');
INSERT INTO `icss_question_detail` VALUES ('45202', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '站立不稳，', '4', '0', '0', '0', '单选项-站立不稳，');
INSERT INTO `icss_question_detail` VALUES ('45203', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '鼻子或耳朵有渗出液体和血水，', '5', '0', '0', '0', '单选项-鼻子或耳朵有渗出液体和血水，');
INSERT INTO `icss_question_detail` VALUES ('45204', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '一过性意识丧失，', '6', '0', '0', '0', '单选项-一过性意识丧失，');
INSERT INTO `icss_question_detail` VALUES ('45205', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '逆行性遗忘，', '7', '0', '0', '0', '单选项-逆行性遗忘，');
INSERT INTO `icss_question_detail` VALUES ('45206', 'N', '2019-03-28 10:19:33', '2019-03-28 10:19:33', '108', '108', '40933', '持续性头部胀痛，', '8', '0', '0', '0', '单选项-持续性头部胀痛，');
INSERT INTO `icss_question_detail` VALUES ('45208', 'N', '2019-03-28 10:25:55', '2019-03-28 10:25:55', '108', '108', '40692', '边缘整齐，', '1', '0', '0', '0', '单选项-边缘整齐，');
INSERT INTO `icss_question_detail` VALUES ('45209', 'N', '2019-03-28 10:25:55', '2019-03-28 10:25:55', '108', '108', '40692', '边缘不齐，', '2', '0', '0', '0', '单选项-边缘不齐，');
INSERT INTO `icss_question_detail` VALUES ('45210', 'N', '2019-03-28 10:29:50', '2019-03-28 10:29:50', '108', '108', '40936', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45211', 'N', '2019-03-28 10:29:50', '2019-03-28 10:29:50', '108', '108', '40936', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45220', 'N', '2019-03-28 10:33:15', '2019-03-28 10:33:15', '108', '108', '40685', '关节扭伤，', '1', '0', '0', '0', '单选项-关节扭伤，');
INSERT INTO `icss_question_detail` VALUES ('45221', 'N', '2019-03-28 10:33:24', '2019-03-28 10:33:24', '108', '108', '40937', '关节周围肿胀，', '1', '0', '0', '0', '单选项-关节周围肿胀，');
INSERT INTO `icss_question_detail` VALUES ('45222', 'N', '2019-03-28 10:33:24', '2019-03-28 10:33:24', '108', '108', '40937', '关节处皮肤青紫，', '2', '0', '0', '0', '单选项-关节处皮肤青紫，');
INSERT INTO `icss_question_detail` VALUES ('45223', 'N', '2019-03-28 10:33:24', '2019-03-28 10:33:24', '108', '108', '40937', '关节活动受限，', '3', '0', '0', '0', '单选项-关节活动受限，');
INSERT INTO `icss_question_detail` VALUES ('45224', 'N', '2019-03-28 10:33:24', '2019-03-28 10:33:24', '108', '108', '40937', '关节弹响，', '4', '0', '0', '0', '单选项-关节弹响，');
INSERT INTO `icss_question_detail` VALUES ('45225', 'N', '2019-03-28 10:33:24', '2019-03-28 10:33:24', '108', '108', '40937', '皮肤破损，', '5', '0', '0', '0', '单选项-皮肤破损，');
INSERT INTO `icss_question_detail` VALUES ('45226', 'N', '2019-03-28 10:33:31', '2019-03-28 10:33:31', '108', '108', '40938', '肢体麻木，', '1', '0', '0', '0', '单选项-肢体麻木，');
INSERT INTO `icss_question_detail` VALUES ('45227', 'N', '2019-03-28 10:33:31', '2019-03-28 10:33:31', '108', '108', '40938', '行走困难，', '2', '0', '0', '0', '单选项-行走困难，');
INSERT INTO `icss_question_detail` VALUES ('45228', 'N', '2019-03-28 10:33:31', '2019-03-28 10:33:31', '108', '108', '40938', '关节畸形，', '3', '0', '0', '0', '单选项-关节畸形，');
INSERT INTO `icss_question_detail` VALUES ('45235', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '40939', '肌肉疼痛或酸痛，', '1', '0', '0', '0', '单选项-肌肉疼痛或酸痛，');
INSERT INTO `icss_question_detail` VALUES ('45236', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '40939', '麻木不仁，', '2', '0', '0', '0', '单选项-麻木不仁，');
INSERT INTO `icss_question_detail` VALUES ('45237', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '40939', '曲伸不利，', '3', '0', '0', '0', '单选项-曲伸不利，');
INSERT INTO `icss_question_detail` VALUES ('45238', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '40939', '疼痛游走不适，', '4', '0', '0', '0', '单选项-疼痛游走不适，');
INSERT INTO `icss_question_detail` VALUES ('45239', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '40939', '肌肉萎缩，', '5', '0', '0', '0', '单选项-肌肉萎缩，');
INSERT INTO `icss_question_detail` VALUES ('45240', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '40940', '关节剧痛，', '1', '0', '0', '0', '单选项-关节剧痛，');
INSERT INTO `icss_question_detail` VALUES ('45241', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '40940', '关节肿大，', '2', '0', '0', '0', '单选项-关节肿大，');
INSERT INTO `icss_question_detail` VALUES ('45242', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '40940', '关节变形，', '3', '0', '0', '0', '单选项-关节变形，');
INSERT INTO `icss_question_detail` VALUES ('45243', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '40940', '关节强硬，', '4', '0', '0', '0', '单选项-关节强硬，');
INSERT INTO `icss_question_detail` VALUES ('45244', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '40940', '关节僵直，', '5', '0', '0', '0', '单选项-关节僵直，');
INSERT INTO `icss_question_detail` VALUES ('45248', 'N', '2019-03-28 10:41:34', '2019-03-28 10:41:34', '108', '108', '40672', '反复发作，', '1', '0', '0', '0', '单选项-反复发作，');
INSERT INTO `icss_question_detail` VALUES ('45249', 'N', '2019-03-28 10:41:34', '2019-03-28 10:41:34', '108', '108', '40672', '渐行性加重，', '2', '0', '0', '0', '单选项-渐行性加重，');
INSERT INTO `icss_question_detail` VALUES ('45250', 'N', '2019-03-28 10:41:34', '2019-03-28 10:41:34', '108', '108', '40672', '持续性发作，', '3', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('45251', 'N', '2019-03-28 10:41:34', '2019-03-28 10:41:34', '108', '108', '40672', '一过性，', '4', '0', '0', '0', '单选项-一过性，');
INSERT INTO `icss_question_detail` VALUES ('45252', 'N', '2019-03-28 10:50:41', '2019-03-28 10:50:41', '108', '108', '40653', '第()', '1', '0', '0', '0', '单选项-第()');
INSERT INTO `icss_question_detail` VALUES ('45253', 'N', '2019-03-28 10:50:41', '2019-03-28 10:50:41', '108', '108', '40653', '第()胸椎', '2', '0', '0', '0', '单选项-第()胸椎');
INSERT INTO `icss_question_detail` VALUES ('45254', 'N', '2019-03-28 10:50:41', '2019-03-28 10:50:41', '108', '108', '40653', '第()腰椎', '3', '0', '0', '0', '单选项-第()腰椎');
INSERT INTO `icss_question_detail` VALUES ('45288', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '剧痛', '1', '0', '0', '0', '单选项-剧痛');
INSERT INTO `icss_question_detail` VALUES ('45289', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '隐痛', '2', '0', '0', '0', '单选项-隐痛');
INSERT INTO `icss_question_detail` VALUES ('45290', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '游走性疼痛', '3', '0', '0', '0', '单选项-游走性疼痛');
INSERT INTO `icss_question_detail` VALUES ('45291', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '钝痛', '4', '0', '0', '0', '单选项-钝痛');
INSERT INTO `icss_question_detail` VALUES ('45292', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '酸痛', '5', '0', '0', '0', '单选项-酸痛');
INSERT INTO `icss_question_detail` VALUES ('45293', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '刺痛', '6', '0', '0', '0', '单选项-刺痛');
INSERT INTO `icss_question_detail` VALUES ('45294', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '压痛', '7', '0', '0', '0', '单选项-压痛');
INSERT INTO `icss_question_detail` VALUES ('45295', 'N', '2019-03-28 10:55:49', '2019-03-28 10:55:49', '108', '108', '40656', '叩击痛', '8', '0', '0', '0', '单选项-叩击痛');
INSERT INTO `icss_question_detail` VALUES ('45296', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '劳累时', '1', '0', '0', '0', '单选项-劳累时');
INSERT INTO `icss_question_detail` VALUES ('45297', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '活动时', '2', '0', '0', '0', '单选项-活动时');
INSERT INTO `icss_question_detail` VALUES ('45298', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '咳嗽时', '3', '0', '0', '0', '单选项-咳嗽时');
INSERT INTO `icss_question_detail` VALUES ('45299', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '热敷', '4', '0', '0', '0', '单选项-热敷');
INSERT INTO `icss_question_detail` VALUES ('45300', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '冷敷', '5', '0', '0', '0', '单选项-冷敷');
INSERT INTO `icss_question_detail` VALUES ('45301', 'N', '2019-03-28 10:57:37', '2019-03-28 10:57:37', '108', '108', '40657', '休息后', '6', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('45305', 'N', '2019-03-28 11:25:14', '2019-03-28 11:25:14', '108', '108', '40942', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45306', 'N', '2019-03-28 11:25:14', '2019-03-28 11:25:14', '108', '108', '40942', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45313', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '肌肉痉挛，', '1', '0', '0', '0', '单选项-肌肉痉挛，');
INSERT INTO `icss_question_detail` VALUES ('45314', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '反射性腿痛，', '2', '0', '0', '0', '单选项-反射性腿痛，');
INSERT INTO `icss_question_detail` VALUES ('45315', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '久坐、久立时疼痛加剧，', '3', '0', '0', '0', '单选项-久坐、久立时疼痛加剧，');
INSERT INTO `icss_question_detail` VALUES ('45316', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '四肢麻木，', '4', '0', '0', '0', '单选项-四肢麻木，');
INSERT INTO `icss_question_detail` VALUES ('45317', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '四肢放射痛，', '5', '0', '0', '0', '单选项-四肢放射痛，');
INSERT INTO `icss_question_detail` VALUES ('45318', 'N', '2019-03-28 11:37:13', '2019-03-28 11:37:13', '108', '108', '40943', '两膝酸软无力，', '6', '0', '0', '0', '单选项-两膝酸软无力，');
INSERT INTO `icss_question_detail` VALUES ('45319', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '肋骨疼痛，', '1', '0', '0', '0', '单选项-肋骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45320', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '腓骨疼痛，', '2', '0', '0', '0', '单选项-腓骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45321', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '胫骨疼痛，', '3', '0', '0', '0', '单选项-胫骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45322', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '尺骨疼痛，', '4', '0', '0', '0', '单选项-尺骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45323', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '桡骨疼痛，', '5', '0', '0', '0', '单选项-桡骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45324', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '髋骨疼痛，', '6', '0', '0', '0', '单选项-髋骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45325', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '跟骨疼痛，', '7', '0', '0', '0', '单选项-跟骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45326', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '掌骨疼痛，', '8', '0', '0', '0', '单选项-掌骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45327', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '胸骨疼痛，', '9', '0', '0', '0', '单选项-胸骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45328', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '肩胛骨疼痛，', '10', '0', '0', '0', '单选项-肩胛骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45329', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '指骨疼痛，', '11', '0', '0', '0', '单选项-指骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45330', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '趾骨疼痛，', '12', '0', '0', '0', '单选项-趾骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45331', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '跖骨疼痛，', '13', '0', '0', '0', '单选项-跖骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45332', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '股骨疼痛，', '14', '0', '0', '0', '单选项-股骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45333', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '肱骨疼痛，', '15', '0', '0', '0', '单选项-肱骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45334', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '棘突疼痛，', '16', '0', '0', '0', '单选项-棘突疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45335', 'N', '2019-03-28 11:37:42', '2019-03-28 11:37:42', '108', '108', '40654', '耻骨疼痛，', '17', '0', '0', '0', '单选项-耻骨疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45336', 'N', '2019-03-28 11:39:10', '2019-03-28 11:39:10', '108', '108', '40658', '疼痛加重，', '1', '0', '0', '0', '单选项-疼痛加重，');
INSERT INTO `icss_question_detail` VALUES ('45337', 'N', '2019-03-28 11:39:10', '2019-03-28 11:39:10', '108', '108', '40658', '疼痛缓解，', '2', '0', '0', '0', '单选项-疼痛缓解，');
INSERT INTO `icss_question_detail` VALUES ('45338', 'N', '2019-03-28 11:39:10', '2019-03-28 11:39:10', '108', '108', '40658', '疼痛无缓解，', '3', '0', '0', '0', '单选项-疼痛无缓解，');
INSERT INTO `icss_question_detail` VALUES ('45339', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '进食时', '1', '0', '0', '0', '单选项-进食时');
INSERT INTO `icss_question_detail` VALUES ('45340', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '说话时', '2', '0', '0', '0', '单选项-说话时');
INSERT INTO `icss_question_detail` VALUES ('45341', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '口腔肌肉活动时', '3', '0', '0', '0', '单选项-口腔肌肉活动时');
INSERT INTO `icss_question_detail` VALUES ('45342', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '刷牙时出血', '4', '0', '0', '0', '单选项-刷牙时出血');
INSERT INTO `icss_question_detail` VALUES ('45343', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '进食硬物时出血', '5', '0', '0', '0', '单选项-进食硬物时出血');
INSERT INTO `icss_question_detail` VALUES ('45344', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '自发出血', '6', '0', '0', '0', '单选项-自发出血');
INSERT INTO `icss_question_detail` VALUES ('45345', 'N', '2019-03-28 13:10:41', '2019-03-28 13:10:41', '108', '108', '40644', '吸吮时', '7', '0', '0', '0', '单选项-吸吮时');
INSERT INTO `icss_question_detail` VALUES ('45346', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '40944', '牙龈增生，', '1', '0', '0', '0', '单选项-牙龈增生，');
INSERT INTO `icss_question_detail` VALUES ('45347', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '40944', '脸色发黄，', '2', '0', '0', '0', '单选项-脸色发黄，');
INSERT INTO `icss_question_detail` VALUES ('45348', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '40944', '全身无力，', '3', '0', '0', '0', '单选项-全身无力，');
INSERT INTO `icss_question_detail` VALUES ('45349', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '40944', '牙龈红肿，', '4', '0', '0', '0', '单选项-牙龈红肿，');
INSERT INTO `icss_question_detail` VALUES ('45350', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '40944', '牙龈溃疡，', '5', '0', '0', '0', '单选项-牙龈溃疡，');
INSERT INTO `icss_question_detail` VALUES ('45351', 'N', '2019-03-28 13:13:29', '2019-03-28 13:13:29', '108', '108', '40649', '口臭，', '1', '0', '0', '0', '单选项-口臭，');
INSERT INTO `icss_question_detail` VALUES ('45352', 'N', '2019-03-28 13:13:29', '2019-03-28 13:13:29', '108', '108', '40649', '身上碰撞后青紫难消，', '2', '0', '0', '0', '单选项-身上碰撞后青紫难消，');
INSERT INTO `icss_question_detail` VALUES ('45353', 'N', '2019-03-28 13:13:29', '2019-03-28 13:13:29', '108', '108', '40649', '月经量增多，', '3', '0', '0', '0', '单选项-月经量增多，');
INSERT INTO `icss_question_detail` VALUES ('45354', 'N', '2019-03-28 13:13:29', '2019-03-28 13:13:29', '108', '108', '40649', '经期延长，', '4', '0', '0', '0', '单选项-经期延长，');
INSERT INTO `icss_question_detail` VALUES ('45355', 'N', '2019-03-28 13:16:25', '2019-03-28 13:16:25', '108', '108', '40633', '左侧鼻腔出血，', '1', '0', '0', '0', '单选项-左侧鼻腔出血，');
INSERT INTO `icss_question_detail` VALUES ('45356', 'N', '2019-03-28 13:16:25', '2019-03-28 13:16:25', '108', '108', '40633', '右侧鼻腔出血，', '2', '0', '0', '0', '单选项-右侧鼻腔出血，');
INSERT INTO `icss_question_detail` VALUES ('45357', 'N', '2019-03-28 13:16:25', '2019-03-28 13:16:25', '108', '108', '40633', '双侧鼻腔出血，', '3', '0', '0', '0', '单选项-双侧鼻腔出血，');
INSERT INTO `icss_question_detail` VALUES ('45358', 'N', '2019-03-28 13:16:42', '2019-03-28 13:16:42', '108', '108', '40634', '色鲜红，', '1', '0', '0', '0', '单选项-色鲜红，');
INSERT INTO `icss_question_detail` VALUES ('45359', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '40945', '量多，', '1', '0', '0', '0', '单选项-量多，');
INSERT INTO `icss_question_detail` VALUES ('45360', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '40945', '量少，', '2', '0', '0', '0', '单选项-量少，');
INSERT INTO `icss_question_detail` VALUES ('45361', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '40945', '涕中带血，', '3', '0', '0', '0', '单选项-涕中带血，');
INSERT INTO `icss_question_detail` VALUES ('45362', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '40945', '呈间歇反复出血，', '4', '0', '0', '0', '单选项-呈间歇反复出血，');
INSERT INTO `icss_question_detail` VALUES ('45363', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '40945', '呈持续性出血，', '5', '0', '0', '0', '单选项-呈持续性出血，');
INSERT INTO `icss_question_detail` VALUES ('45364', 'N', '2019-03-28 13:20:39', '2019-03-28 13:20:39', '108', '108', '40640', '嗅觉减退，', '1', '0', '0', '0', '单选项-嗅觉减退，');
INSERT INTO `icss_question_detail` VALUES ('45365', 'N', '2019-03-28 13:20:39', '2019-03-28 13:20:39', '108', '108', '40640', '鼻黏膜充血，', '2', '0', '0', '0', '单选项-鼻黏膜充血，');
INSERT INTO `icss_question_detail` VALUES ('45366', 'N', '2019-03-28 13:20:39', '2019-03-28 13:20:39', '108', '108', '40640', '鼻黏膜肿胀及干燥，', '3', '0', '0', '0', '单选项-鼻黏膜肿胀及干燥，');
INSERT INTO `icss_question_detail` VALUES ('45367', 'N', '2019-03-28 13:20:39', '2019-03-28 13:20:39', '108', '108', '40640', '头昏，', '4', '0', '0', '0', '单选项-头昏，');
INSERT INTO `icss_question_detail` VALUES ('45368', 'N', '2019-03-28 13:20:39', '2019-03-28 13:20:39', '108', '108', '40640', '乏力，', '5', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('45369', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '40946', '面色苍白，', '1', '0', '0', '0', '单选项-面色苍白，');
INSERT INTO `icss_question_detail` VALUES ('45370', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '40946', '口渴，', '2', '0', '0', '0', '单选项-口渴，');
INSERT INTO `icss_question_detail` VALUES ('45371', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '40946', '出汗，', '3', '0', '0', '0', '单选项-出汗，');
INSERT INTO `icss_question_detail` VALUES ('45372', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '40946', '血压下降，', '4', '0', '0', '0', '单选项-血压下降，');
INSERT INTO `icss_question_detail` VALUES ('45373', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '40946', '脉速，', '5', '0', '0', '0', '单选项-脉速，');
INSERT INTO `icss_question_detail` VALUES ('45374', 'N', '2019-03-28 13:25:34', '2019-03-28 13:25:34', '108', '108', '40947', '可见', '1', '0', '0', '0', '单选项-可见');
INSERT INTO `icss_question_detail` VALUES ('45375', 'N', '2019-03-28 13:25:34', '2019-03-28 13:25:34', '108', '108', '40947', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45390', 'N', '2019-03-28 13:30:10', '2019-03-28 13:30:10', '108', '108', '40631', '泡沫多', '1', '0', '0', '0', '单选项-泡沫多');
INSERT INTO `icss_question_detail` VALUES ('45391', 'N', '2019-03-28 13:30:10', '2019-03-28 13:30:10', '108', '108', '40631', '无泡沫', '2', '0', '0', '0', '单选项-无泡沫');
INSERT INTO `icss_question_detail` VALUES ('45392', 'N', '2019-03-28 13:31:48', '2019-03-28 13:31:48', '108', '108', '40951', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45393', 'N', '2019-03-28 13:31:48', '2019-03-28 13:31:48', '108', '108', '40951', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45406', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '黄色，', '1', '0', '0', '0', '单选项-黄色，');
INSERT INTO `icss_question_detail` VALUES ('45407', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '淡红色，', '2', '0', '0', '0', '单选项-淡红色，');
INSERT INTO `icss_question_detail` VALUES ('45408', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '浓茶色，', '3', '0', '0', '0', '单选项-浓茶色，');
INSERT INTO `icss_question_detail` VALUES ('45409', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '无色，', '4', '0', '0', '0', '单选项-无色，');
INSERT INTO `icss_question_detail` VALUES ('45410', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '淡白色，', '5', '0', '0', '0', '单选项-淡白色，');
INSERT INTO `icss_question_detail` VALUES ('45411', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '乳白色，', '6', '0', '0', '0', '单选项-乳白色，');
INSERT INTO `icss_question_detail` VALUES ('45412', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '深黄色，', '7', '0', '0', '0', '单选项-深黄色，');
INSERT INTO `icss_question_detail` VALUES ('45413', 'N', '2019-03-28 13:34:52', '2019-03-28 13:34:52', '108', '108', '40949', '黑色，', '8', '0', '0', '0', '单选项-黑色，');
INSERT INTO `icss_question_detail` VALUES ('45414', 'N', '2019-03-28 13:35:13', '2019-03-28 13:35:13', '108', '108', '40948', '晶体，', '1', '0', '0', '0', '单选项-晶体，');
INSERT INTO `icss_question_detail` VALUES ('45415', 'N', '2019-03-28 13:35:13', '2019-03-28 13:35:13', '108', '108', '40948', '絮状物，', '2', '0', '0', '0', '单选项-絮状物，');
INSERT INTO `icss_question_detail` VALUES ('45416', 'N', '2019-03-28 13:35:13', '2019-03-28 13:35:13', '108', '108', '40948', '尿白现象，', '3', '0', '0', '0', '单选项-尿白现象，');
INSERT INTO `icss_question_detail` VALUES ('45417', 'N', '2019-03-28 13:35:13', '2019-03-28 13:35:13', '108', '108', '40948', '稠厚胶样物，', '4', '0', '0', '0', '单选项-稠厚胶样物，');
INSERT INTO `icss_question_detail` VALUES ('45418', 'N', '2019-03-28 13:38:09', '2019-03-28 13:38:09', '108', '108', '40953', '食欲不振，', '1', '0', '0', '0', '单选项-食欲不振，');
INSERT INTO `icss_question_detail` VALUES ('45419', 'N', '2019-03-28 13:38:09', '2019-03-28 13:38:09', '108', '108', '40953', '腰酸痛，', '2', '0', '0', '0', '单选项-腰酸痛，');
INSERT INTO `icss_question_detail` VALUES ('45420', 'N', '2019-03-28 13:38:09', '2019-03-28 13:38:09', '108', '108', '40953', '发热，', '3', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('45421', 'N', '2019-03-28 13:38:09', '2019-03-28 13:38:09', '108', '108', '40953', '尿不尽，', '4', '0', '0', '0', '单选项-尿不尽，');
INSERT INTO `icss_question_detail` VALUES ('45422', 'N', '2019-03-28 13:38:09', '2019-03-28 13:38:09', '108', '108', '40953', '尿滴沥，', '5', '0', '0', '0', '单选项-尿滴沥，');
INSERT INTO `icss_question_detail` VALUES ('45423', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '血尿，', '1', '0', '0', '0', '单选项-血尿，');
INSERT INTO `icss_question_detail` VALUES ('45424', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '尿频，', '2', '0', '0', '0', '单选项-尿频，');
INSERT INTO `icss_question_detail` VALUES ('45425', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '夜尿增多，', '3', '0', '0', '0', '单选项-夜尿增多，');
INSERT INTO `icss_question_detail` VALUES ('45426', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '多尿，', '4', '0', '0', '0', '单选项-多尿，');
INSERT INTO `icss_question_detail` VALUES ('45427', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '排尿异物堵塞感，', '5', '0', '0', '0', '单选项-排尿异物堵塞感，');
INSERT INTO `icss_question_detail` VALUES ('45428', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '尿痛，', '6', '0', '0', '0', '单选项-尿痛，');
INSERT INTO `icss_question_detail` VALUES ('45429', 'N', '2019-03-28 13:38:17', '2019-03-28 13:38:17', '108', '108', '40952', '排尿困难，', '7', '0', '0', '0', '单选项-排尿困难，');
INSERT INTO `icss_question_detail` VALUES ('45431', 'N', '2019-03-28 14:17:16', '2019-03-28 14:17:16', '108', '108', '40955', '可闻及', '1', '0', '0', '0', '单选项-可闻及');
INSERT INTO `icss_question_detail` VALUES ('45432', 'N', '2019-03-28 14:17:16', '2019-03-28 14:17:16', '108', '108', '40955', '未闻及', '2', '0', '0', '0', '单选项-未闻及');
INSERT INTO `icss_question_detail` VALUES ('45433', 'N', '2019-03-28 14:21:39', '2019-03-28 14:21:39', '108', '108', '40956', '可闻及', '1', '0', '0', '0', '单选项-可闻及');
INSERT INTO `icss_question_detail` VALUES ('45434', 'N', '2019-03-28 14:21:39', '2019-03-28 14:21:39', '108', '108', '40956', '未闻及', '2', '0', '0', '0', '单选项-未闻及');
INSERT INTO `icss_question_detail` VALUES ('45450', 'N', '2019-03-28 14:27:25', '2019-03-28 14:27:25', '97', '97', '17', '再发', '1', '0', '0', '0', '单选项-再发');
INSERT INTO `icss_question_detail` VALUES ('45451', 'N', '2019-03-28 14:27:25', '2019-03-28 14:27:25', '97', '97', '17', '加重', '2', '0', '0', '0', '单选项-加重');
INSERT INTO `icss_question_detail` VALUES ('45452', 'N', '2019-03-28 14:28:09', '2019-03-28 14:28:09', '108', '108', '40898', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45453', 'N', '2019-03-28 14:28:09', '2019-03-28 14:28:09', '108', '108', '40898', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45454', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '膝关节', '1', '0', '0', '0', '单选项-膝关节');
INSERT INTO `icss_question_detail` VALUES ('45455', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '踝关节', '2', '0', '0', '0', '单选项-踝关节');
INSERT INTO `icss_question_detail` VALUES ('45456', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '肘关节', '3', '0', '0', '0', '单选项-肘关节');
INSERT INTO `icss_question_detail` VALUES ('45457', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '髋关节', '4', '0', '0', '0', '单选项-髋关节');
INSERT INTO `icss_question_detail` VALUES ('45458', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '肩关节', '5', '0', '0', '0', '单选项-肩关节');
INSERT INTO `icss_question_detail` VALUES ('45459', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '指关节', '6', '0', '0', '0', '单选项-指关节');
INSERT INTO `icss_question_detail` VALUES ('45460', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '趾关节', '7', '0', '0', '0', '单选项-趾关节');
INSERT INTO `icss_question_detail` VALUES ('45461', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '腕关节', '8', '0', '0', '0', '单选项-腕关节');
INSERT INTO `icss_question_detail` VALUES ('45462', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '跗间关节', '9', '0', '0', '0', '单选项-跗间关节');
INSERT INTO `icss_question_detail` VALUES ('45463', 'N', '2019-03-28 14:29:39', '2019-03-28 14:29:39', '108', '108', '40892', '跖趾关节', '10', '0', '0', '0', '单选项-跖趾关节');
INSERT INTO `icss_question_detail` VALUES ('45464', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '刀割样痛', '1', '0', '0', '0', '单选项-刀割样痛');
INSERT INTO `icss_question_detail` VALUES ('45465', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '烧灼样痛', '2', '0', '0', '0', '单选项-烧灼样痛');
INSERT INTO `icss_question_detail` VALUES ('45466', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '撕裂样痛', '3', '0', '0', '0', '单选项-撕裂样痛');
INSERT INTO `icss_question_detail` VALUES ('45467', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '压榨样痛', '4', '0', '0', '0', '单选项-压榨样痛');
INSERT INTO `icss_question_detail` VALUES ('45468', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '隐痛', '5', '0', '0', '0', '单选项-隐痛');
INSERT INTO `icss_question_detail` VALUES ('45469', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '绞痛', '6', '0', '0', '0', '单选项-绞痛');
INSERT INTO `icss_question_detail` VALUES ('45470', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '钝痛', '7', '0', '0', '0', '单选项-钝痛');
INSERT INTO `icss_question_detail` VALUES ('45471', 'N', '2019-03-28 14:32:36', '2019-03-28 14:32:36', '108', '108', '246', '刺痛', '8', '0', '0', '0', '单选项-刺痛');
INSERT INTO `icss_question_detail` VALUES ('45499', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '突然倒地，', '1', '0', '0', '0', '单选项-突然倒地，');
INSERT INTO `icss_question_detail` VALUES ('45500', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '双眼球上窜，', '2', '0', '0', '0', '单选项-双眼球上窜，');
INSERT INTO `icss_question_detail` VALUES ('45501', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '面色青紫，', '3', '0', '0', '0', '单选项-面色青紫，');
INSERT INTO `icss_question_detail` VALUES ('45502', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '肌肉痉挛，', '4', '0', '0', '0', '单选项-肌肉痉挛，');
INSERT INTO `icss_question_detail` VALUES ('45503', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '口吐白沫，', '5', '0', '0', '0', '单选项-口吐白沫，');
INSERT INTO `icss_question_detail` VALUES ('45504', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '张口受限，', '6', '0', '0', '0', '单选项-张口受限，');
INSERT INTO `icss_question_detail` VALUES ('45505', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '颈项强直，', '7', '0', '0', '0', '单选项-颈项强直，');
INSERT INTO `icss_question_detail` VALUES ('45506', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '四肢发麻，', '8', '0', '0', '0', '单选项-四肢发麻，');
INSERT INTO `icss_question_detail` VALUES ('45507', 'N', '2019-03-28 14:37:28', '2019-03-28 14:37:28', '108', '108', '40914', '口周麻木感，', '9', '0', '0', '0', '单选项-口周麻木感，');
INSERT INTO `icss_question_detail` VALUES ('45516', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '偏瘫，', '1', '0', '0', '0', '单选项-偏瘫，');
INSERT INTO `icss_question_detail` VALUES ('45517', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '角弓反张，', '2', '0', '0', '0', '单选项-角弓反张，');
INSERT INTO `icss_question_detail` VALUES ('45518', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '苦笑面容，', '3', '0', '0', '0', '单选项-苦笑面容，');
INSERT INTO `icss_question_detail` VALUES ('45519', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '喉喘鸣，', '4', '0', '0', '0', '单选项-喉喘鸣，');
INSERT INTO `icss_question_detail` VALUES ('45520', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '双下肢伸直，', '5', '0', '0', '0', '单选项-双下肢伸直，');
INSERT INTO `icss_question_detail` VALUES ('45521', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '偏盲，', '6', '0', '0', '0', '单选项-偏盲，');
INSERT INTO `icss_question_detail` VALUES ('45522', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '失语，', '7', '0', '0', '0', '单选项-失语，');
INSERT INTO `icss_question_detail` VALUES ('45523', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '呼吸暂停，', '8', '0', '0', '0', '单选项-呼吸暂停，');
INSERT INTO `icss_question_detail` VALUES ('45524', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '大便失禁', '9', '0', '0', '0', '单选项-大便失禁');
INSERT INTO `icss_question_detail` VALUES ('45525', 'N', '2019-03-28 14:39:26', '2019-03-28 14:39:26', '108', '108', '40917', '小便失禁', '10', '0', '0', '0', '单选项-小便失禁');
INSERT INTO `icss_question_detail` VALUES ('45534', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '全身多处', '1', '0', '0', '0', '单选项-全身多处');
INSERT INTO `icss_question_detail` VALUES ('45535', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '上肢', '2', '0', '0', '0', '单选项-上肢');
INSERT INTO `icss_question_detail` VALUES ('45536', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '下肢', '3', '0', '0', '0', '单选项-下肢');
INSERT INTO `icss_question_detail` VALUES ('45537', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '腹部', '4', '0', '0', '0', '单选项-腹部');
INSERT INTO `icss_question_detail` VALUES ('45538', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '背部', '5', '0', '0', '0', '单选项-背部');
INSERT INTO `icss_question_detail` VALUES ('45539', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '阴部', '6', '0', '0', '0', '单选项-阴部');
INSERT INTO `icss_question_detail` VALUES ('45540', 'N', '2019-03-28 15:23:07', '2019-03-28 15:23:07', '108', '108', '40697', '臀部', '7', '0', '0', '0', '单选项-臀部');
INSERT INTO `icss_question_detail` VALUES ('45541', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '头部', '1', '0', '0', '0', '单选项-头部');
INSERT INTO `icss_question_detail` VALUES ('45542', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '颈部', '2', '0', '0', '0', '单选项-颈部');
INSERT INTO `icss_question_detail` VALUES ('45543', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '脸', '3', '0', '0', '0', '单选项-脸');
INSERT INTO `icss_question_detail` VALUES ('45544', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '手', '4', '0', '0', '0', '单选项-手');
INSERT INTO `icss_question_detail` VALUES ('45545', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '足', '5', '0', '0', '0', '单选项-足');
INSERT INTO `icss_question_detail` VALUES ('45546', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '大腿', '6', '0', '0', '0', '单选项-大腿');
INSERT INTO `icss_question_detail` VALUES ('45547', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '40960', '小腿', '7', '0', '0', '0', '单选项-小腿');
INSERT INTO `icss_question_detail` VALUES ('45548', 'N', '2019-03-28 15:27:49', '2019-03-28 15:27:49', '108', '108', '29', '(左上肢)', '1', '0', '0', '0', '单选项-(左上肢)');
INSERT INTO `icss_question_detail` VALUES ('45549', 'N', '2019-03-28 15:27:49', '2019-03-28 15:27:49', '108', '108', '29', '(右上肢)', '2', '0', '0', '0', '单选项-(右上肢)');
INSERT INTO `icss_question_detail` VALUES ('45550', 'N', '2019-03-28 15:30:29', '2019-03-28 15:30:29', '108', '108', '40930', 'I度烫伤', '1', '0', '0', '0', '单选项-I度烫伤');
INSERT INTO `icss_question_detail` VALUES ('45551', 'N', '2019-03-28 15:30:29', '2019-03-28 15:30:29', '108', '108', '40930', '浅II度烫伤', '2', '0', '0', '0', '单选项-浅II度烫伤');
INSERT INTO `icss_question_detail` VALUES ('45552', 'N', '2019-03-28 15:30:29', '2019-03-28 15:30:29', '108', '108', '40930', '深II度烫伤', '3', '0', '0', '0', '单选项-深II度烫伤');
INSERT INTO `icss_question_detail` VALUES ('45553', 'N', '2019-03-28 15:30:29', '2019-03-28 15:30:29', '108', '108', '40930', 'III度烫伤', '4', '0', '0', '0', '单选项-III度烫伤');
INSERT INTO `icss_question_detail` VALUES ('45554', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '局部肿胀，', '1', '0', '0', '0', '单选项-局部肿胀，');
INSERT INTO `icss_question_detail` VALUES ('45555', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '局部红斑，', '2', '0', '0', '0', '单选项-局部红斑，');
INSERT INTO `icss_question_detail` VALUES ('45556', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '可见水疱，', '3', '0', '0', '0', '单选项-可见水疱，');
INSERT INTO `icss_question_detail` VALUES ('45557', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '外观焦痂，', '4', '0', '0', '0', '单选项-外观焦痂，');
INSERT INTO `icss_question_detail` VALUES ('45558', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '可见渗出，', '5', '0', '0', '0', '单选项-可见渗出，');
INSERT INTO `icss_question_detail` VALUES ('45559', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '局部灼痛，', '6', '0', '0', '0', '单选项-局部灼痛，');
INSERT INTO `icss_question_detail` VALUES ('45560', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '局部苍白，', '7', '0', '0', '0', '单选项-局部苍白，');
INSERT INTO `icss_question_detail` VALUES ('45561', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '外观皮革样，', '8', '0', '0', '0', '单选项-外观皮革样，');
INSERT INTO `icss_question_detail` VALUES ('45562', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '外观蜡白，', '9', '0', '0', '0', '单选项-外观蜡白，');
INSERT INTO `icss_question_detail` VALUES ('45563', 'N', '2019-03-28 15:31:51', '2019-03-28 15:31:51', '108', '108', '40701', '外观焦炭化，', '10', '0', '0', '0', '单选项-外观焦炭化，');
INSERT INTO `icss_question_detail` VALUES ('45564', 'N', '2019-03-28 15:56:34', '2019-03-28 15:56:34', '108', '108', '40962', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('45565', 'N', '2019-03-28 15:56:34', '2019-03-28 15:56:34', '108', '108', '40962', '间歇性发作，', '2', '0', '0', '0', '单选项-间歇性发作，');
INSERT INTO `icss_question_detail` VALUES ('45566', 'N', '2019-03-28 15:56:34', '2019-03-28 15:56:34', '108', '108', '40962', '持续性发作，', '3', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('45567', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '40963', '咳嗽时', '1', '0', '0', '0', '单选项-咳嗽时');
INSERT INTO `icss_question_detail` VALUES ('45568', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '40963', '跑步时', '2', '0', '0', '0', '单选项-跑步时');
INSERT INTO `icss_question_detail` VALUES ('45569', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '40963', '打喷嚏时', '3', '0', '0', '0', '单选项-打喷嚏时');
INSERT INTO `icss_question_detail` VALUES ('45570', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '40963', '上楼时', '4', '0', '0', '0', '单选项-上楼时');
INSERT INTO `icss_question_detail` VALUES ('45571', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '40963', '大笑时', '5', '0', '0', '0', '单选项-大笑时');
INSERT INTO `icss_question_detail` VALUES ('45572', 'N', '2019-03-28 15:59:36', '2019-03-28 15:59:36', '108', '108', '40964', '滴状持续流出，', '1', '0', '0', '0', '单选项-滴状持续流出，');
INSERT INTO `icss_question_detail` VALUES ('45573', 'N', '2019-03-28 15:59:36', '2019-03-28 15:59:36', '108', '108', '40964', '尿液不自觉喷出，', '2', '0', '0', '0', '单选项-尿液不自觉喷出，');
INSERT INTO `icss_question_detail` VALUES ('45574', 'N', '2019-03-28 15:59:36', '2019-03-28 15:59:36', '108', '108', '40964', '尿量较多，', '3', '0', '0', '0', '单选项-尿量较多，');
INSERT INTO `icss_question_detail` VALUES ('45575', 'N', '2019-03-28 15:59:36', '2019-03-28 15:59:36', '108', '108', '40964', '尿量较少，', '4', '0', '0', '0', '单选项-尿量较少，');
INSERT INTO `icss_question_detail` VALUES ('45576', 'N', '2019-03-28 16:01:02', '2019-03-28 16:01:02', '108', '108', '40965', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45577', 'N', '2019-03-28 16:01:02', '2019-03-28 16:01:02', '108', '108', '40965', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45583', 'N', '2019-03-28 16:03:20', '2019-03-28 16:03:20', '108', '108', '40966', '排尿急迫感，', '1', '0', '0', '0', '单选项-排尿急迫感，');
INSERT INTO `icss_question_detail` VALUES ('45584', 'N', '2019-03-28 16:03:20', '2019-03-28 16:03:20', '108', '108', '40966', '尿意感强烈，', '2', '0', '0', '0', '单选项-尿意感强烈，');
INSERT INTO `icss_question_detail` VALUES ('45585', 'N', '2019-03-28 16:03:20', '2019-03-28 16:03:20', '108', '108', '40966', '尿急，', '3', '0', '0', '0', '单选项-尿急，');
INSERT INTO `icss_question_detail` VALUES ('45586', 'N', '2019-03-28 16:03:20', '2019-03-28 16:03:20', '108', '108', '40966', '尿频，', '4', '0', '0', '0', '单选项-尿频，');
INSERT INTO `icss_question_detail` VALUES ('45587', 'N', '2019-03-28 16:03:20', '2019-03-28 16:03:20', '108', '108', '40966', '尿瘘，', '5', '0', '0', '0', '单选项-尿瘘，');
INSERT INTO `icss_question_detail` VALUES ('45588', 'N', '2019-03-28 16:10:41', '2019-03-28 16:10:41', '108', '108', '40968', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45589', 'N', '2019-03-28 16:10:41', '2019-03-28 16:10:41', '108', '108', '40968', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45602', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '排尿不适感，', '1', '0', '0', '0', '单选项-排尿不适感，');
INSERT INTO `icss_question_detail` VALUES ('45603', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '排尿时伴尿道口灼热感，', '2', '0', '0', '0', '单选项-排尿时伴尿道口灼热感，');
INSERT INTO `icss_question_detail` VALUES ('45604', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '排不尽感，', '3', '0', '0', '0', '单选项-排不尽感，');
INSERT INTO `icss_question_detail` VALUES ('45605', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '下腹坠胀，', '4', '0', '0', '0', '单选项-下腹坠胀，');
INSERT INTO `icss_question_detail` VALUES ('45606', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '尿频，', '5', '0', '0', '0', '单选项-尿频，');
INSERT INTO `icss_question_detail` VALUES ('45607', 'N', '2019-03-28 16:24:59', '2019-03-28 16:24:59', '108', '108', '40969', '尿后滴白，', '6', '0', '0', '0', '单选项-尿后滴白，');
INSERT INTO `icss_question_detail` VALUES ('45608', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '尿意不尽，', '1', '0', '0', '0', '单选项-尿意不尽，');
INSERT INTO `icss_question_detail` VALUES ('45609', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '血尿，', '2', '0', '0', '0', '单选项-血尿，');
INSERT INTO `icss_question_detail` VALUES ('45610', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '尿线细，', '3', '0', '0', '0', '单选项-尿线细，');
INSERT INTO `icss_question_detail` VALUES ('45611', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '排尿困难，', '4', '0', '0', '0', '单选项-排尿困难，');
INSERT INTO `icss_question_detail` VALUES ('45612', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '尿滴沥，', '5', '0', '0', '0', '单选项-尿滴沥，');
INSERT INTO `icss_question_detail` VALUES ('45613', 'N', '2019-03-28 16:25:06', '2019-03-28 16:25:06', '108', '108', '40970', '排尿异物堵塞感，', '6', '0', '0', '0', '单选项-排尿异物堵塞感，');
INSERT INTO `icss_question_detail` VALUES ('45619', 'N', '2019-03-28 17:02:54', '2019-03-28 17:02:54', '108', '108', '40972', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45620', 'N', '2019-03-28 17:02:54', '2019-03-28 17:02:54', '108', '108', '40972', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45632', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '尿流变细，', '1', '0', '0', '0', '单选项-尿流变细，');
INSERT INTO `icss_question_detail` VALUES ('45633', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '尿等待，', '2', '0', '0', '0', '单选项-尿等待，');
INSERT INTO `icss_question_detail` VALUES ('45634', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '尿流缓慢，', '3', '0', '0', '0', '单选项-尿流缓慢，');
INSERT INTO `icss_question_detail` VALUES ('45635', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '夜尿增多，', '4', '0', '0', '0', '单选项-夜尿增多，');
INSERT INTO `icss_question_detail` VALUES ('45636', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '尿流中断，', '5', '0', '0', '0', '单选项-尿流中断，');
INSERT INTO `icss_question_detail` VALUES ('45637', 'N', '2019-03-28 17:07:09', '2019-03-28 17:07:09', '108', '108', '40973', '间断排尿，', '6', '0', '0', '0', '单选项-间断排尿，');
INSERT INTO `icss_question_detail` VALUES ('45638', 'N', '2019-03-28 17:07:16', '2019-03-28 17:07:16', '108', '108', '40974', '尿不尽，', '1', '0', '0', '0', '单选项-尿不尽，');
INSERT INTO `icss_question_detail` VALUES ('45639', 'N', '2019-03-28 17:07:16', '2019-03-28 17:07:16', '108', '108', '40974', '排尿踌躇，', '2', '0', '0', '0', '单选项-排尿踌躇，');
INSERT INTO `icss_question_detail` VALUES ('45640', 'N', '2019-03-28 17:07:16', '2019-03-28 17:07:16', '108', '108', '40974', '尿流呈波动状，', '3', '0', '0', '0', '单选项-尿流呈波动状，');
INSERT INTO `icss_question_detail` VALUES ('45641', 'N', '2019-03-28 17:07:16', '2019-03-28 17:07:16', '108', '108', '40974', '尿滴沥，', '4', '0', '0', '0', '单选项-尿滴沥，');
INSERT INTO `icss_question_detail` VALUES ('45642', 'N', '2019-03-28 17:07:16', '2019-03-28 17:07:16', '108', '108', '40974', '排尿异物堵塞感，', '5', '0', '0', '0', '单选项-排尿异物堵塞感，');
INSERT INTO `icss_question_detail` VALUES ('45643', 'N', '2019-03-28 17:07:50', '2019-03-28 17:07:50', '108', '108', '40613', '反复性发作，', '1', '0', '0', '0', '单选项-反复性发作，');
INSERT INTO `icss_question_detail` VALUES ('45644', 'N', '2019-03-28 17:07:50', '2019-03-28 17:07:50', '108', '108', '40613', '渐行性加重，', '2', '0', '0', '0', '单选项-渐行性加重，');
INSERT INTO `icss_question_detail` VALUES ('45645', 'N', '2019-03-28 17:07:50', '2019-03-28 17:07:50', '108', '108', '40613', '阵发性发作，', '3', '0', '0', '0', '单选项-阵发性发作，');
INSERT INTO `icss_question_detail` VALUES ('45646', 'N', '2019-03-28 17:09:09', '2019-03-28 17:09:09', '108', '108', '40614', '排尿时需要屏气用力，', '1', '0', '0', '0', '单选项-排尿时需要屏气用力，');
INSERT INTO `icss_question_detail` VALUES ('45647', 'N', '2019-03-28 17:09:09', '2019-03-28 17:09:09', '108', '108', '40614', '排尿费力，', '2', '0', '0', '0', '单选项-排尿费力，');
INSERT INTO `icss_question_detail` VALUES ('45648', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '全身性发作，', '1', '0', '0', '0', '单选项-全身性发作，');
INSERT INTO `icss_question_detail` VALUES ('45649', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '局限性发作，', '2', '0', '0', '0', '单选项-局限性发作，');
INSERT INTO `icss_question_detail` VALUES ('45650', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '持续强直性，', '3', '0', '0', '0', '单选项-持续强直性，');
INSERT INTO `icss_question_detail` VALUES ('45651', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '间歇阵挛性，', '4', '0', '0', '0', '单选项-间歇阵挛性，');
INSERT INTO `icss_question_detail` VALUES ('45652', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '部分性发作，', '5', '0', '0', '0', '单选项-部分性发作，');
INSERT INTO `icss_question_detail` VALUES ('45653', 'N', '2019-03-28 17:22:13', '2019-03-28 17:22:13', '108', '108', '40715', '失神发作，', '6', '0', '0', '0', '单选项-失神发作，');
INSERT INTO `icss_question_detail` VALUES ('45654', 'N', '2019-03-28 17:34:56', '2019-03-28 17:34:56', '108', '108', '40975', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45655', 'N', '2019-03-28 17:34:56', '2019-03-28 17:34:56', '108', '108', '40975', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45684', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '刀割样痛，', '1', '0', '0', '0', '单选项-刀割样痛，');
INSERT INTO `icss_question_detail` VALUES ('45685', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '抽掣样痛，', '2', '0', '0', '0', '单选项-抽掣样痛，');
INSERT INTO `icss_question_detail` VALUES ('45686', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '痉挛性疼痛，', '3', '0', '0', '0', '单选项-痉挛性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45687', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '放射性疼痛，', '4', '0', '0', '0', '单选项-放射性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45688', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '撕裂样痛，', '5', '0', '0', '0', '单选项-撕裂样痛，');
INSERT INTO `icss_question_detail` VALUES ('45689', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '反射痛，', '6', '0', '0', '0', '单选项-反射痛，');
INSERT INTO `icss_question_detail` VALUES ('45690', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '咳嗽痛，', '7', '0', '0', '0', '单选项-咳嗽痛，');
INSERT INTO `icss_question_detail` VALUES ('45691', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '牵拉痛，', '8', '0', '0', '0', '单选项-牵拉痛，');
INSERT INTO `icss_question_detail` VALUES ('45692', 'N', '2019-03-28 17:41:28', '2019-03-28 17:41:28', '108', '108', '40977', '挤压痛，', '9', '0', '0', '0', '单选项-挤压痛，');
INSERT INTO `icss_question_detail` VALUES ('45693', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '钝痛，', '1', '0', '0', '0', '单选项-钝痛，');
INSERT INTO `icss_question_detail` VALUES ('45694', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '绞痛，', '2', '0', '0', '0', '单选项-绞痛，');
INSERT INTO `icss_question_detail` VALUES ('45695', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '酸痛，', '3', '0', '0', '0', '单选项-酸痛，');
INSERT INTO `icss_question_detail` VALUES ('45696', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '胀痛，', '4', '0', '0', '0', '单选项-胀痛，');
INSERT INTO `icss_question_detail` VALUES ('45697', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '叩痛，', '5', '0', '0', '0', '单选项-叩痛，');
INSERT INTO `icss_question_detail` VALUES ('45698', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '刺痛，', '6', '0', '0', '0', '单选项-刺痛，');
INSERT INTO `icss_question_detail` VALUES ('45699', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '坠痛，', '7', '0', '0', '0', '单选项-坠痛，');
INSERT INTO `icss_question_detail` VALUES ('45700', 'N', '2019-03-28 17:41:37', '2019-03-28 17:41:37', '108', '108', '40604', '跳痛，', '8', '0', '0', '0', '单选项-跳痛，');
INSERT INTO `icss_question_detail` VALUES ('45701', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '臀部，', '1', '0', '0', '0', '单选项-臀部，');
INSERT INTO `icss_question_detail` VALUES ('45702', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '下肢，', '2', '0', '0', '0', '单选项-下肢，');
INSERT INTO `icss_question_detail` VALUES ('45703', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '小腿外侧，', '3', '0', '0', '0', '单选项-小腿外侧，');
INSERT INTO `icss_question_detail` VALUES ('45704', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '大腿后方，', '4', '0', '0', '0', '单选项-大腿后方，');
INSERT INTO `icss_question_detail` VALUES ('45705', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '足背外侧，', '5', '0', '0', '0', '单选项-足背外侧，');
INSERT INTO `icss_question_detail` VALUES ('45706', 'N', '2019-03-28 17:44:35', '2019-03-28 17:44:35', '108', '108', '40607', '足底，', '6', '0', '0', '0', '单选项-足底，');
INSERT INTO `icss_question_detail` VALUES ('45707', 'N', '2019-03-28 17:44:51', '2019-03-28 17:44:51', '108', '108', '40976', '双下肢疼痛，', '1', '0', '0', '0', '单选项-双下肢疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45708', 'N', '2019-03-28 17:44:51', '2019-03-28 17:44:51', '108', '108', '40976', '下肢麻木，', '2', '0', '0', '0', '单选项-下肢麻木，');
INSERT INTO `icss_question_detail` VALUES ('45709', 'N', '2019-03-28 17:44:51', '2019-03-28 17:44:51', '108', '108', '40976', '间歇跛行，', '3', '0', '0', '0', '单选项-间歇跛行，');
INSERT INTO `icss_question_detail` VALUES ('45710', 'N', '2019-03-28 17:44:51', '2019-03-28 17:44:51', '108', '108', '40976', '下肢肌肉萎缩，', '4', '0', '0', '0', '单选项-下肢肌肉萎缩，');
INSERT INTO `icss_question_detail` VALUES ('45711', 'N', '2019-03-29 09:21:53', '2019-03-29 09:21:53', '108', '108', '40609', '疼痛缓解，', '1', '0', '0', '0', '单选项-疼痛缓解，');
INSERT INTO `icss_question_detail` VALUES ('45712', 'N', '2019-03-29 09:21:53', '2019-03-29 09:21:53', '108', '108', '40609', '疼痛加剧，', '2', '0', '0', '0', '单选项-疼痛加剧，');
INSERT INTO `icss_question_detail` VALUES ('45713', 'N', '2019-03-29 09:21:53', '2019-03-29 09:21:53', '108', '108', '40609', '疼痛无明显变化，', '3', '0', '0', '0', '单选项-疼痛无明显变化，');
INSERT INTO `icss_question_detail` VALUES ('45714', 'N', '2019-03-29 09:29:01', '2019-03-29 09:29:01', '108', '108', '40591', '口淡无味，', '1', '0', '0', '0', '单选项-口淡无味，');
INSERT INTO `icss_question_detail` VALUES ('45715', 'N', '2019-03-29 09:29:09', '2019-03-29 09:29:09', '108', '108', '40592', '进食减少，', '1', '0', '0', '0', '单选项-进食减少，');
INSERT INTO `icss_question_detail` VALUES ('45716', 'N', '2019-03-29 09:29:09', '2019-03-29 09:29:09', '108', '108', '40592', '进食无味，', '2', '0', '0', '0', '单选项-进食无味，');
INSERT INTO `icss_question_detail` VALUES ('45717', 'N', '2019-03-29 09:29:09', '2019-03-29 09:29:09', '108', '108', '40592', '无饥饿感，', '3', '0', '0', '0', '单选项-无饥饿感，');
INSERT INTO `icss_question_detail` VALUES ('45718', 'N', '2019-03-29 09:45:35', '2019-03-29 09:45:35', '108', '108', '40979', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45719', 'N', '2019-03-29 09:45:35', '2019-03-29 09:45:35', '108', '108', '40979', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45728', 'N', '2019-03-29 09:47:07', '2019-03-29 09:47:07', '108', '108', '40980', '发热，', '1', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('45729', 'N', '2019-03-29 09:47:07', '2019-03-29 09:47:07', '108', '108', '40980', '反酸，', '2', '0', '0', '0', '单选项-反酸，');
INSERT INTO `icss_question_detail` VALUES ('45730', 'N', '2019-03-29 09:47:07', '2019-03-29 09:47:07', '108', '108', '40980', '嗳气，', '3', '0', '0', '0', '单选项-嗳气，');
INSERT INTO `icss_question_detail` VALUES ('45731', 'N', '2019-03-29 09:47:07', '2019-03-29 09:47:07', '108', '108', '40980', '呕血，', '4', '0', '0', '0', '单选项-呕血，');
INSERT INTO `icss_question_detail` VALUES ('45732', 'N', '2019-03-29 09:47:13', '2019-03-29 09:47:13', '108', '108', '40981', '黑便，', '1', '0', '0', '0', '单选项-黑便，');
INSERT INTO `icss_question_detail` VALUES ('45733', 'N', '2019-03-29 09:47:13', '2019-03-29 09:47:13', '108', '108', '40981', '厌油，', '2', '0', '0', '0', '单选项-厌油，');
INSERT INTO `icss_question_detail` VALUES ('45734', 'N', '2019-03-29 09:47:13', '2019-03-29 09:47:13', '108', '108', '40981', '咽下困难，', '3', '0', '0', '0', '单选项-咽下困难，');
INSERT INTO `icss_question_detail` VALUES ('45735', 'N', '2019-03-29 09:47:13', '2019-03-29 09:47:13', '108', '108', '40981', '肝区不适，', '4', '0', '0', '0', '单选项-肝区不适，');
INSERT INTO `icss_question_detail` VALUES ('45743', 'N', '2019-03-29 10:24:11', '2019-03-29 10:24:11', '108', '108', '40584', '均有毛发，', '1', '0', '0', '0', '单选项-均有毛发，');
INSERT INTO `icss_question_detail` VALUES ('45744', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质硬，', '1', '0', '0', '0', '单选项-质硬，');
INSERT INTO `icss_question_detail` VALUES ('45745', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质软，', '2', '0', '0', '0', '单选项-质软，');
INSERT INTO `icss_question_detail` VALUES ('45746', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质粗，', '3', '0', '0', '0', '单选项-质粗，');
INSERT INTO `icss_question_detail` VALUES ('45747', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质细，', '4', '0', '0', '0', '单选项-质细，');
INSERT INTO `icss_question_detail` VALUES ('45748', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质粗硬，', '5', '0', '0', '0', '单选项-质粗硬，');
INSERT INTO `icss_question_detail` VALUES ('45749', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质软细，', '6', '0', '0', '0', '单选项-质软细，');
INSERT INTO `icss_question_detail` VALUES ('45750', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质短粗，', '7', '0', '0', '0', '单选项-质短粗，');
INSERT INTO `icss_question_detail` VALUES ('45751', 'N', '2019-03-29 10:24:54', '2019-03-29 10:24:54', '108', '108', '40586', '质细长，', '8', '0', '0', '0', '单选项-质细长，');
INSERT INTO `icss_question_detail` VALUES ('45752', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈金色，', '1', '0', '0', '0', '单选项-呈金色，');
INSERT INTO `icss_question_detail` VALUES ('45753', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈黑色，', '2', '0', '0', '0', '单选项-呈黑色，');
INSERT INTO `icss_question_detail` VALUES ('45754', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈黄色，', '3', '0', '0', '0', '单选项-呈黄色，');
INSERT INTO `icss_question_detail` VALUES ('45755', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈红色，', '4', '0', '0', '0', '单选项-呈红色，');
INSERT INTO `icss_question_detail` VALUES ('45756', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈白色，', '5', '0', '0', '0', '单选项-呈白色，');
INSERT INTO `icss_question_detail` VALUES ('45757', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈灰白色，', '6', '0', '0', '0', '单选项-呈灰白色，');
INSERT INTO `icss_question_detail` VALUES ('45758', 'N', '2019-03-29 10:25:07', '2019-03-29 10:25:07', '108', '108', '40588', '呈棕色，', '7', '0', '0', '0', '单选项-呈棕色，');
INSERT INTO `icss_question_detail` VALUES ('45759', 'N', '2019-03-29 10:25:21', '2019-03-29 10:25:21', '108', '108', '40587', '量多，', '1', '0', '0', '0', '单选项-量多，');
INSERT INTO `icss_question_detail` VALUES ('45760', 'N', '2019-03-29 10:25:21', '2019-03-29 10:25:21', '108', '108', '40587', '量少，', '2', '0', '0', '0', '单选项-量少，');
INSERT INTO `icss_question_detail` VALUES ('45761', 'N', '2019-03-29 10:27:45', '2019-03-29 10:27:45', '108', '108', '40982', '毛发干枯', '1', '0', '0', '0', '单选项-毛发干枯');
INSERT INTO `icss_question_detail` VALUES ('45762', 'N', '2019-03-29 10:27:45', '2019-03-29 10:27:45', '108', '108', '40982', '毛发稀少', '2', '0', '0', '0', '单选项-毛发稀少');
INSERT INTO `icss_question_detail` VALUES ('45763', 'N', '2019-03-29 10:27:45', '2019-03-29 10:27:45', '108', '108', '40982', '毛发脱落', '3', '0', '0', '0', '单选项-毛发脱落');
INSERT INTO `icss_question_detail` VALUES ('45764', 'N', '2019-03-29 10:27:45', '2019-03-29 10:27:45', '108', '108', '40982', '毛发卷曲', '4', '0', '0', '0', '单选项-毛发卷曲');
INSERT INTO `icss_question_detail` VALUES ('45765', 'N', '2019-03-29 10:39:07', '2019-03-29 10:39:07', '108', '108', '40983', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45766', 'N', '2019-03-29 10:39:07', '2019-03-29 10:39:07', '108', '108', '40983', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45767', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '多食', '1', '0', '0', '0', '单选项-多食');
INSERT INTO `icss_question_detail` VALUES ('45768', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '多尿', '2', '0', '0', '0', '单选项-多尿');
INSERT INTO `icss_question_detail` VALUES ('45769', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '冷汗', '3', '0', '0', '0', '单选项-冷汗');
INSERT INTO `icss_question_detail` VALUES ('45770', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '怕热', '4', '0', '0', '0', '单选项-怕热');
INSERT INTO `icss_question_detail` VALUES ('45771', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '腹泻', '5', '0', '0', '0', '单选项-腹泻');
INSERT INTO `icss_question_detail` VALUES ('45772', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '40984', '手颤', '6', '0', '0', '0', '单选项-手颤');
INSERT INTO `icss_question_detail` VALUES ('45773', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '烦渴多饮', '1', '0', '0', '0', '单选项-烦渴多饮');
INSERT INTO `icss_question_detail` VALUES ('45774', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '消瘦及乏力', '2', '0', '0', '0', '单选项-消瘦及乏力');
INSERT INTO `icss_question_detail` VALUES ('45775', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '发作性饥饿感', '3', '0', '0', '0', '单选项-发作性饥饿感');
INSERT INTO `icss_question_detail` VALUES ('45776', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '皮肤紫纹', '4', '0', '0', '0', '单选项-皮肤紫纹');
INSERT INTO `icss_question_detail` VALUES ('45777', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '向心性肥胖', '5', '0', '0', '0', '单选项-向心性肥胖');
INSERT INTO `icss_question_detail` VALUES ('45778', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '心动过速', '6', '0', '0', '0', '单选项-心动过速');
INSERT INTO `icss_question_detail` VALUES ('45779', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '40985', '手足厚大', '7', '0', '0', '0', '单选项-手足厚大');
INSERT INTO `icss_question_detail` VALUES ('45808', 'N', '2019-03-29 11:13:19', '2019-03-29 11:13:19', '108', '108', '40572', '全身性出汗增多，', '1', '0', '0', '0', '单选项-全身性出汗增多，');
INSERT INTO `icss_question_detail` VALUES ('45809', 'N', '2019-03-29 11:13:19', '2019-03-29 11:13:19', '108', '108', '40572', '自发性出汗，', '2', '0', '0', '0', '单选项-自发性出汗，');
INSERT INTO `icss_question_detail` VALUES ('45810', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以掌趾部汗多为主，', '1', '0', '0', '0', '单选项-以掌趾部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45811', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以腋窝部汗多为主，', '2', '0', '0', '0', '单选项-以腋窝部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45812', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以鼻尖部汗多为主，', '3', '0', '0', '0', '单选项-以鼻尖部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45813', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以前额部汗多为主，', '4', '0', '0', '0', '单选项-以前额部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45814', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以胸部汗多为主，', '5', '0', '0', '0', '单选项-以胸部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45815', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以足底部汗多为主，', '6', '0', '0', '0', '单选项-以足底部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45816', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以会阴部汗多为主，', '7', '0', '0', '0', '单选项-以会阴部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45817', 'N', '2019-03-29 11:13:27', '2019-03-29 11:13:27', '108', '108', '40571', '以背部汗多为主，', '8', '0', '0', '0', '单选项-以背部汗多为主，');
INSERT INTO `icss_question_detail` VALUES ('45818', 'N', '2019-03-29 11:30:18', '2019-03-29 11:30:18', '108', '108', '40577', '手足潮冷，', '1', '0', '0', '0', '单选项-手足潮冷，');
INSERT INTO `icss_question_detail` VALUES ('45819', 'N', '2019-03-29 11:30:18', '2019-03-29 11:30:18', '108', '108', '40577', '手足发绀，', '2', '0', '0', '0', '单选项-手足发绀，');
INSERT INTO `icss_question_detail` VALUES ('45820', 'N', '2019-03-29 11:30:18', '2019-03-29 11:30:18', '108', '108', '40577', '上半身多汗，', '3', '0', '0', '0', '单选项-上半身多汗，');
INSERT INTO `icss_question_detail` VALUES ('45821', 'N', '2019-03-29 11:30:18', '2019-03-29 11:30:18', '108', '108', '40577', '下半身无汗，', '4', '0', '0', '0', '单选项-下半身无汗，');
INSERT INTO `icss_question_detail` VALUES ('45822', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '阵发性局限性', '1', '0', '0', '0', '单选项-阵发性局限性');
INSERT INTO `icss_question_detail` VALUES ('45823', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '反复发作', '2', '0', '0', '0', '单选项-反复发作');
INSERT INTO `icss_question_detail` VALUES ('45824', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '渐行性加重', '3', '0', '0', '0', '单选项-渐行性加重');
INSERT INTO `icss_question_detail` VALUES ('45825', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '短暂性', '4', '0', '0', '0', '单选项-短暂性');
INSERT INTO `icss_question_detail` VALUES ('45826', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '持续性', '5', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('45827', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '对称性分布', '6', '0', '0', '0', '单选项-对称性分布');
INSERT INTO `icss_question_detail` VALUES ('45828', 'N', '2019-03-29 11:34:25', '2019-03-29 11:34:25', '108', '108', '40574', '睡着后出汗停止', '7', '0', '0', '0', '单选项-睡着后出汗停止');
INSERT INTO `icss_question_detail` VALUES ('45829', 'N', '2019-03-29 11:35:30', '2019-03-29 11:35:30', '108', '108', '40568', '手足冰凉', '1', '0', '0', '0', '单选项-手足冰凉');
INSERT INTO `icss_question_detail` VALUES ('45830', 'N', '2019-03-29 11:35:30', '2019-03-29 11:35:30', '108', '108', '40568', '四肢冰冷', '2', '0', '0', '0', '单选项-四肢冰冷');
INSERT INTO `icss_question_detail` VALUES ('45831', 'N', '2019-03-29 11:35:30', '2019-03-29 11:35:30', '108', '108', '40568', '小腹冰冷', '3', '0', '0', '0', '单选项-小腹冰冷');
INSERT INTO `icss_question_detail` VALUES ('45832', 'N', '2019-03-29 11:35:30', '2019-03-29 11:35:30', '108', '108', '40568', '腰膝酸软', '4', '0', '0', '0', '单选项-腰膝酸软');
INSERT INTO `icss_question_detail` VALUES ('45833', 'N', '2019-03-29 11:37:37', '2019-03-29 11:37:37', '108', '108', '40987', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45834', 'N', '2019-03-29 11:37:37', '2019-03-29 11:37:37', '108', '108', '40987', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45849', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '低热，', '1', '0', '0', '0', '单选项-低热，');
INSERT INTO `icss_question_detail` VALUES ('45850', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '盗汗，', '2', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('45851', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '闭经，', '3', '0', '0', '0', '单选项-闭经，');
INSERT INTO `icss_question_detail` VALUES ('45852', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '厌食，', '4', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('45853', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '多饮，', '5', '0', '0', '0', '单选项-多饮，');
INSERT INTO `icss_question_detail` VALUES ('45854', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '多食，', '6', '0', '0', '0', '单选项-多食，');
INSERT INTO `icss_question_detail` VALUES ('45855', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '多尿，', '7', '0', '0', '0', '单选项-多尿，');
INSERT INTO `icss_question_detail` VALUES ('45856', 'N', '2019-03-29 11:40:05', '2019-03-29 11:40:05', '108', '108', '40988', '乏力，', '8', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('45857', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '性功能减退，', '1', '0', '0', '0', '单选项-性功能减退，');
INSERT INTO `icss_question_detail` VALUES ('45858', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '吞咽困难，', '2', '0', '0', '0', '单选项-吞咽困难，');
INSERT INTO `icss_question_detail` VALUES ('45859', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '恶心呕吐，', '3', '0', '0', '0', '单选项-恶心呕吐，');
INSERT INTO `icss_question_detail` VALUES ('45860', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '畏热多汗，', '4', '0', '0', '0', '单选项-畏热多汗，');
INSERT INTO `icss_question_detail` VALUES ('45861', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '厌食，', '5', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('45862', 'N', '2019-03-29 11:40:11', '2019-03-29 11:40:11', '108', '108', '40989', '食欲下降，', '6', '0', '0', '0', '单选项-食欲下降，');
INSERT INTO `icss_question_detail` VALUES ('45863', 'N', '2019-03-29 11:46:00', '2019-03-29 11:46:00', '108', '108', '40558', '身高()cm体重()cm，BMI:()，', '1', '0', '0', '0', '单选项-身高()cm体重()cm，BMI:()，');
INSERT INTO `icss_question_detail` VALUES ('45864', 'N', '2019-03-29 11:46:14', '2019-03-29 11:46:14', '108', '108', '40559', '既往体重正常，', '1', '0', '0', '0', '单选项-既往体重正常，');
INSERT INTO `icss_question_detail` VALUES ('45865', 'N', '2019-03-29 11:46:14', '2019-03-29 11:46:14', '108', '108', '40559', '既往偏瘦，', '2', '0', '0', '0', '单选项-既往偏瘦，');
INSERT INTO `icss_question_detail` VALUES ('45866', 'N', '2019-03-29 11:46:14', '2019-03-29 11:46:14', '108', '108', '40559', '既往偏胖，', '3', '0', '0', '0', '单选项-既往偏胖，');
INSERT INTO `icss_question_detail` VALUES ('45867', 'N', '2019-03-29 11:46:40', '2019-03-29 11:46:40', '108', '108', '40560', '平素营养一般，', '1', '0', '0', '0', '单选项-平素营养一般，');
INSERT INTO `icss_question_detail` VALUES ('45868', 'N', '2019-03-29 11:46:40', '2019-03-29 11:46:40', '108', '108', '40560', '平素营养良好，', '2', '0', '0', '0', '单选项-平素营养良好，');
INSERT INTO `icss_question_detail` VALUES ('45869', 'N', '2019-03-29 11:46:40', '2019-03-29 11:46:40', '108', '108', '40560', '平素营养差，', '3', '0', '0', '0', '单选项-平素营养差，');
INSERT INTO `icss_question_detail` VALUES ('45870', 'N', '2019-03-29 11:46:47', '2019-03-29 11:46:47', '108', '108', '40561', '喜素食，', '1', '0', '0', '0', '单选项-喜素食，');
INSERT INTO `icss_question_detail` VALUES ('45871', 'N', '2019-03-29 11:46:47', '2019-03-29 11:46:47', '108', '108', '40561', '喜荤食，', '2', '0', '0', '0', '单选项-喜荤食，');
INSERT INTO `icss_question_detail` VALUES ('45872', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '饮食不规律，', '1', '0', '0', '0', '单选项-饮食不规律，');
INSERT INTO `icss_question_detail` VALUES ('45873', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '饮食规律，', '2', '0', '0', '0', '单选项-饮食规律，');
INSERT INTO `icss_question_detail` VALUES ('45874', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '不吃早餐，', '3', '0', '0', '0', '单选项-不吃早餐，');
INSERT INTO `icss_question_detail` VALUES ('45875', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '经常暴饮暴食，', '4', '0', '0', '0', '单选项-经常暴饮暴食，');
INSERT INTO `icss_question_detail` VALUES ('45876', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '经常酗酒，', '5', '0', '0', '0', '单选项-经常酗酒，');
INSERT INTO `icss_question_detail` VALUES ('45877', 'N', '2019-03-29 11:47:03', '2019-03-29 11:47:03', '108', '108', '40562', '长期喝酒，', '6', '0', '0', '0', '单选项-长期喝酒，');
INSERT INTO `icss_question_detail` VALUES ('45880', 'N', '2019-03-29 11:49:09', '2019-03-29 11:49:09', '108', '108', '40992', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('45881', 'N', '2019-03-29 11:49:09', '2019-03-29 11:49:09', '108', '108', '40992', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('45895', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '低热，', '1', '0', '0', '0', '单选项-低热，');
INSERT INTO `icss_question_detail` VALUES ('45896', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '盗汗，', '2', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('45897', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '多饮，', '3', '0', '0', '0', '单选项-多饮，');
INSERT INTO `icss_question_detail` VALUES ('45898', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '多食，', '4', '0', '0', '0', '单选项-多食，');
INSERT INTO `icss_question_detail` VALUES ('45899', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '多尿，', '5', '0', '0', '0', '单选项-多尿，');
INSERT INTO `icss_question_detail` VALUES ('45900', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '厌食，', '6', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('45901', 'N', '2019-03-29 11:52:18', '2019-03-29 11:52:18', '108', '108', '40993', '乏力，', '7', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('45902', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '闭经，', '1', '0', '0', '0', '单选项-闭经，');
INSERT INTO `icss_question_detail` VALUES ('45903', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '吞咽困难，', '2', '0', '0', '0', '单选项-吞咽困难，');
INSERT INTO `icss_question_detail` VALUES ('45904', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '恶心呕吐，', '3', '0', '0', '0', '单选项-恶心呕吐，');
INSERT INTO `icss_question_detail` VALUES ('45905', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '性功能减退，', '4', '0', '0', '0', '单选项-性功能减退，');
INSERT INTO `icss_question_detail` VALUES ('45906', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '畏热多汗，', '5', '0', '0', '0', '单选项-畏热多汗，');
INSERT INTO `icss_question_detail` VALUES ('45907', 'N', '2019-03-29 11:52:25', '2019-03-29 11:52:25', '108', '108', '40994', '食欲缺乏，', '6', '0', '0', '0', '单选项-食欲缺乏，');
INSERT INTO `icss_question_detail` VALUES ('45908', 'N', '2019-03-29 11:52:31', '2019-03-29 11:52:31', '108', '108', '40991', '为非渐进性消瘦，', '1', '0', '0', '0', '单选项-为非渐进性消瘦，');
INSERT INTO `icss_question_detail` VALUES ('45909', 'N', '2019-03-29 11:52:31', '2019-03-29 11:52:31', '108', '108', '40991', '为进行性消瘦，', '2', '0', '0', '0', '单选项-为进行性消瘦，');
INSERT INTO `icss_question_detail` VALUES ('45910', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '心前区痛，', '1', '0', '0', '0', '单选项-心前区痛，');
INSERT INTO `icss_question_detail` VALUES ('45911', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '发热，', '2', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('45912', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '血压下降，', '3', '0', '0', '0', '单选项-血压下降，');
INSERT INTO `icss_question_detail` VALUES ('45913', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '出汗，', '4', '0', '0', '0', '单选项-出汗，');
INSERT INTO `icss_question_detail` VALUES ('45914', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '呼吸困难，', '5', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('45915', 'N', '2019-03-30 11:49:36', '2019-03-30 11:49:36', '108', '108', '40245', '抽搐，', '6', '0', '0', '0', '单选项-抽搐，');
INSERT INTO `icss_question_detail` VALUES ('45916', 'N', '2019-03-30 11:49:46', '2019-03-30 11:49:46', '108', '108', '40246', '胸痛，', '1', '0', '0', '0', '单选项-胸痛，');
INSERT INTO `icss_question_detail` VALUES ('45917', 'N', '2019-03-30 11:49:46', '2019-03-30 11:49:46', '108', '108', '40246', '无力，', '2', '0', '0', '0', '单选项-无力，');
INSERT INTO `icss_question_detail` VALUES ('45918', 'N', '2019-03-30 11:49:46', '2019-03-30 11:49:46', '108', '108', '40246', '头晕，', '3', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('45919', 'N', '2019-03-30 11:49:46', '2019-03-30 11:49:46', '108', '108', '40246', '耳鸣，', '4', '0', '0', '0', '单选项-耳鸣，');
INSERT INTO `icss_question_detail` VALUES ('45920', 'N', '2019-03-30 11:50:32', '2019-03-30 11:50:32', '108', '108', '40248', '易发，', '1', '0', '0', '0', '单选项-易发，');
INSERT INTO `icss_question_detail` VALUES ('45921', 'N', '2019-03-30 11:50:32', '2019-03-30 11:50:32', '108', '108', '40248', '加重，', '2', '0', '0', '0', '单选项-加重，');
INSERT INTO `icss_question_detail` VALUES ('45922', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '运动后', '1', '0', '0', '0', '单选项-运动后');
INSERT INTO `icss_question_detail` VALUES ('45923', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '饱食后', '2', '0', '0', '0', '单选项-饱食后');
INSERT INTO `icss_question_detail` VALUES ('45924', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '受惊后', '3', '0', '0', '0', '单选项-受惊后');
INSERT INTO `icss_question_detail` VALUES ('45925', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '劳累后', '4', '0', '0', '0', '单选项-劳累后');
INSERT INTO `icss_question_detail` VALUES ('45926', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '饥饿后', '5', '0', '0', '0', '单选项-饥饿后');
INSERT INTO `icss_question_detail` VALUES ('45927', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '爬楼梯时', '6', '0', '0', '0', '单选项-爬楼梯时');
INSERT INTO `icss_question_detail` VALUES ('45928', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '用力排便时', '7', '0', '0', '0', '单选项-用力排便时');
INSERT INTO `icss_question_detail` VALUES ('45929', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '在紧张或压力下', '8', '0', '0', '0', '单选项-在紧张或压力下');
INSERT INTO `icss_question_detail` VALUES ('45930', 'N', '2019-03-30 11:51:37', '2019-03-30 11:51:37', '108', '108', '40247', '激动时', '9', '0', '0', '0', '单选项-激动时');
INSERT INTO `icss_question_detail` VALUES ('45931', 'N', '2019-03-30 11:51:57', '2019-03-30 11:51:57', '108', '108', '40546', '休息后', '1', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('45932', 'N', '2019-03-30 11:51:57', '2019-03-30 11:51:57', '108', '108', '40546', '饱食后', '2', '0', '0', '0', '单选项-饱食后');
INSERT INTO `icss_question_detail` VALUES ('45933', 'N', '2019-03-30 11:51:57', '2019-03-30 11:51:57', '108', '108', '40546', '情绪稳定后', '3', '0', '0', '0', '单选项-情绪稳定后');
INSERT INTO `icss_question_detail` VALUES ('45934', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '肩胛区', '1', '0', '0', '0', '单选项-肩胛区');
INSERT INTO `icss_question_detail` VALUES ('45935', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '腰背部', '2', '0', '0', '0', '单选项-腰背部');
INSERT INTO `icss_question_detail` VALUES ('45936', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '胸背部', '3', '0', '0', '0', '单选项-胸背部');
INSERT INTO `icss_question_detail` VALUES ('45937', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '腰骶部', '4', '0', '0', '0', '单选项-腰骶部');
INSERT INTO `icss_question_detail` VALUES ('45938', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '脊柱', '5', '0', '0', '0', '单选项-脊柱');
INSERT INTO `icss_question_detail` VALUES ('45939', 'N', '2019-03-30 12:14:53', '2019-03-30 12:14:53', '108', '108', '40515', '肩背部', '6', '0', '0', '0', '单选项-肩背部');
INSERT INTO `icss_question_detail` VALUES ('45945', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '突发性疼痛，', '1', '0', '0', '0', '单选项-突发性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45946', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '急性疼痛，', '2', '0', '0', '0', '单选项-急性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45947', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '反复发作性疼痛，', '3', '0', '0', '0', '单选项-反复发作性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45948', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '一过性疼痛，', '4', '0', '0', '0', '单选项-一过性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45949', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '慢性疼痛，', '5', '0', '0', '0', '单选项-慢性疼痛，');
INSERT INTO `icss_question_detail` VALUES ('45950', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '持续性疼痛', '6', '0', '0', '0', '单选项-持续性疼痛');
INSERT INTO `icss_question_detail` VALUES ('45951', 'N', '2019-03-30 12:18:33', '2019-03-30 12:18:33', '108', '108', '40516', '间歇性疼痛', '7', '0', '0', '0', '单选项-间歇性疼痛');
INSERT INTO `icss_question_detail` VALUES ('45966', 'N', '2019-03-30 12:20:52', '2019-03-30 12:20:52', '108', '108', '40520', '疼痛缓解，', '1', '0', '0', '0', '单选项-疼痛缓解，');
INSERT INTO `icss_question_detail` VALUES ('45967', 'N', '2019-03-30 12:20:52', '2019-03-30 12:20:52', '108', '108', '40520', '疼痛加重，', '2', '0', '0', '0', '单选项-疼痛加重，');
INSERT INTO `icss_question_detail` VALUES ('45968', 'N', '2019-03-30 12:20:52', '2019-03-30 12:20:52', '108', '108', '40520', '疼痛好转，', '3', '0', '0', '0', '单选项-疼痛好转，');
INSERT INTO `icss_question_detail` VALUES ('45969', 'N', '2019-03-30 12:20:52', '2019-03-30 12:20:52', '108', '108', '40520', '疼痛未缓解，', '4', '0', '0', '0', '单选项-疼痛未缓解，');
INSERT INTO `icss_question_detail` VALUES ('45970', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '热敷后', '1', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('45971', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '冷敷后', '2', '0', '0', '0', '单选项-冷敷后');
INSERT INTO `icss_question_detail` VALUES ('45972', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '按摩后', '3', '0', '0', '0', '单选项-按摩后');
INSERT INTO `icss_question_detail` VALUES ('45973', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '弯腰后', '4', '0', '0', '0', '单选项-弯腰后');
INSERT INTO `icss_question_detail` VALUES ('45974', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '活动后', '5', '0', '0', '0', '单选项-活动后');
INSERT INTO `icss_question_detail` VALUES ('45975', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '转身时', '6', '0', '0', '0', '单选项-转身时');
INSERT INTO `icss_question_detail` VALUES ('45976', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '休息后', '7', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('45977', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '直立后', '8', '0', '0', '0', '单选项-直立后');
INSERT INTO `icss_question_detail` VALUES ('45978', 'N', '2019-03-30 12:24:00', '2019-03-30 12:24:00', '108', '108', '40519', '不受活动和休息的影响', '9', '0', '0', '0', '单选项-不受活动和休息的影响');
INSERT INTO `icss_question_detail` VALUES ('45979', 'N', '2019-03-30 12:25:47', '2019-03-30 12:25:47', '108', '108', '40503', '视物不清，', '1', '0', '0', '0', '单选项-视物不清，');
INSERT INTO `icss_question_detail` VALUES ('45980', 'N', '2019-03-30 12:25:47', '2019-03-30 12:25:47', '108', '108', '40503', '视物模糊，', '2', '0', '0', '0', '单选项-视物模糊，');
INSERT INTO `icss_question_detail` VALUES ('45981', 'N', '2019-03-30 12:25:47', '2019-03-30 12:25:47', '108', '108', '40503', '双目失明，', '3', '0', '0', '0', '单选项-双目失明，');
INSERT INTO `icss_question_detail` VALUES ('45982', 'N', '2019-03-30 12:25:47', '2019-03-30 12:25:47', '108', '108', '40503', '眼前发黑，', '4', '0', '0', '0', '单选项-眼前发黑，');
INSERT INTO `icss_question_detail` VALUES ('45983', 'N', '2019-03-30 12:26:31', '2019-03-30 12:26:31', '108', '108', '40506', '易发，', '1', '0', '0', '0', '单选项-易发，');
INSERT INTO `icss_question_detail` VALUES ('45984', 'N', '2019-03-30 12:26:31', '2019-03-30 12:26:31', '108', '108', '40506', '频发，', '2', '0', '0', '0', '单选项-频发，');
INSERT INTO `icss_question_detail` VALUES ('45985', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '口眼歪斜', '1', '0', '0', '0', '单选项-口眼歪斜');
INSERT INTO `icss_question_detail` VALUES ('45986', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '恶心', '2', '0', '0', '0', '单选项-恶心');
INSERT INTO `icss_question_detail` VALUES ('45987', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '呕吐', '3', '0', '0', '0', '单选项-呕吐');
INSERT INTO `icss_question_detail` VALUES ('45988', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '意识模糊', '4', '0', '0', '0', '单选项-意识模糊');
INSERT INTO `icss_question_detail` VALUES ('45989', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '偏身活动无力', '5', '0', '0', '0', '单选项-偏身活动无力');
INSERT INTO `icss_question_detail` VALUES ('45990', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '手脚麻木', '6', '0', '0', '0', '单选项-手脚麻木');
INSERT INTO `icss_question_detail` VALUES ('45991', 'N', '2019-03-30 12:27:20', '2019-03-30 12:27:20', '108', '108', '40510', '视力丧失', '7', '0', '0', '0', '单选项-视力丧失');
INSERT INTO `icss_question_detail` VALUES ('45992', 'N', '2019-03-30 12:36:28', '2019-03-30 12:36:28', '108', '108', '40998', '左', '1', '0', '0', '0', '单选项-左');
INSERT INTO `icss_question_detail` VALUES ('45993', 'N', '2019-03-30 12:36:28', '2019-03-30 12:36:28', '108', '108', '40998', '右', '2', '0', '0', '0', '单选项-右');
INSERT INTO `icss_question_detail` VALUES ('45994', 'N', '2019-03-30 12:36:28', '2019-03-30 12:36:28', '108', '108', '40998', '双', '3', '0', '0', '0', '单选项-双');
INSERT INTO `icss_question_detail` VALUES ('45995', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '上肢', '1', '0', '0', '0', '单选项-上肢');
INSERT INTO `icss_question_detail` VALUES ('45996', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '下肢', '2', '0', '0', '0', '单选项-下肢');
INSERT INTO `icss_question_detail` VALUES ('45997', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '四肢', '3', '0', '0', '0', '单选项-四肢');
INSERT INTO `icss_question_detail` VALUES ('45998', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '足', '4', '0', '0', '0', '单选项-足');
INSERT INTO `icss_question_detail` VALUES ('45999', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '手', '5', '0', '0', '0', '单选项-手');
INSERT INTO `icss_question_detail` VALUES ('46000', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '足背', '6', '0', '0', '0', '单选项-足背');
INSERT INTO `icss_question_detail` VALUES ('46001', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '手背', '7', '0', '0', '0', '单选项-手背');
INSERT INTO `icss_question_detail` VALUES ('46002', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '40999', '胸部', '8', '0', '0', '0', '单选项-胸部');
INSERT INTO `icss_question_detail` VALUES ('46003', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '背部', '1', '0', '0', '0', '单选项-背部');
INSERT INTO `icss_question_detail` VALUES ('46004', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '腹股沟', '2', '0', '0', '0', '单选项-腹股沟');
INSERT INTO `icss_question_detail` VALUES ('46005', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '大腿内侧', '3', '0', '0', '0', '单选项-大腿内侧');
INSERT INTO `icss_question_detail` VALUES ('46006', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '手臂', '4', '0', '0', '0', '单选项-手臂');
INSERT INTO `icss_question_detail` VALUES ('46007', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '腹部', '5', '0', '0', '0', '单选项-腹部');
INSERT INTO `icss_question_detail` VALUES ('46008', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '脸部', '6', '0', '0', '0', '单选项-脸部');
INSERT INTO `icss_question_detail` VALUES ('46009', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '额头', '7', '0', '0', '0', '单选项-额头');
INSERT INTO `icss_question_detail` VALUES ('46010', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '41000', '颈部', '8', '0', '0', '0', '单选项-颈部');
INSERT INTO `icss_question_detail` VALUES ('46011', 'N', '2019-03-30 12:38:36', '2019-03-30 12:38:36', '108', '108', '41001', '内侧', '1', '0', '0', '0', '单选项-内侧');
INSERT INTO `icss_question_detail` VALUES ('46012', 'N', '2019-03-30 12:38:36', '2019-03-30 12:38:36', '108', '108', '41001', '外侧', '2', '0', '0', '0', '单选项-外侧');
INSERT INTO `icss_question_detail` VALUES ('46013', 'N', '2019-03-30 12:38:55', '2019-03-30 12:38:55', '108', '108', '41002', '出现皮下血肿', '1', '0', '0', '0', '单选项-出现皮下血肿');
INSERT INTO `icss_question_detail` VALUES ('46015', 'N', '2019-03-30 12:40:15', '2019-03-30 12:40:15', '108', '108', '41004', '血肿大小约【】mm，', '1', '0', '0', '0', '单选项-血肿大小约【】mm，');
INSERT INTO `icss_question_detail` VALUES ('46016', 'N', '2019-03-30 12:40:59', '2019-03-30 12:40:59', '108', '108', '41005', '压之褪色', '1', '0', '0', '0', '单选项-压之褪色');
INSERT INTO `icss_question_detail` VALUES ('46017', 'N', '2019-03-30 12:40:59', '2019-03-30 12:40:59', '108', '108', '41005', '压之不褪色', '2', '0', '0', '0', '单选项-压之不褪色');
INSERT INTO `icss_question_detail` VALUES ('46018', 'N', '2019-03-30 12:41:58', '2019-03-30 12:41:58', '108', '108', '41006', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46019', 'N', '2019-03-30 12:41:58', '2019-03-30 12:41:58', '108', '108', '41006', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46020', 'N', '2019-03-30 12:41:58', '2019-03-30 12:41:58', '108', '108', '41006', '有', '3', '0', '0', '0', '单选项-有');
INSERT INTO `icss_question_detail` VALUES ('46024', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '牙龈出血，', '1', '0', '0', '0', '单选项-牙龈出血，');
INSERT INTO `icss_question_detail` VALUES ('46025', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '发热，', '2', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46026', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '月经过多，', '3', '0', '0', '0', '单选项-月经过多，');
INSERT INTO `icss_question_detail` VALUES ('46027', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '食欲下降，', '4', '0', '0', '0', '单选项-食欲下降，');
INSERT INTO `icss_question_detail` VALUES ('46028', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '厌食，', '5', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('46029', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '41008', '头晕，', '6', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('46030', 'N', '2019-03-30 12:43:07', '2019-03-30 12:43:07', '108', '108', '41007', '痛感，', '1', '0', '0', '0', '单选项-痛感，');
INSERT INTO `icss_question_detail` VALUES ('46031', 'N', '2019-03-30 12:43:07', '2019-03-30 12:43:07', '108', '108', '41007', '瘙痒感，', '2', '0', '0', '0', '单选项-瘙痒感，');
INSERT INTO `icss_question_detail` VALUES ('46032', 'N', '2019-03-30 12:43:07', '2019-03-30 12:43:07', '108', '108', '41007', '灼热感，', '3', '0', '0', '0', '单选项-灼热感，');
INSERT INTO `icss_question_detail` VALUES ('46033', 'N', '2019-03-30 12:56:54', '2019-03-30 12:56:54', '108', '108', '40463', '范围约()cm*()cm，', '1', '0', '0', '0', '单选项-范围约()cm*()cm，');
INSERT INTO `icss_question_detail` VALUES ('46034', 'N', '2019-03-30 12:57:11', '2019-03-30 12:57:11', '108', '108', '40464', '瘀斑大小约()mm，', '1', '0', '0', '0', '单选项-瘀斑大小约()mm，');
INSERT INTO `icss_question_detail` VALUES ('46035', 'N', '2019-03-30 12:59:42', '2019-03-30 12:59:42', '108', '108', '41003', '血肿大小约【】cm*【】cm，', '1', '0', '0', '0', '单选项-血肿大小约【】cm*【】cm，');
INSERT INTO `icss_question_detail` VALUES ('46037', 'N', '2019-03-30 13:07:55', '2019-03-30 13:07:55', '108', '108', '40490', '大小约()mm，', '1', '0', '0', '0', '单选项-大小约()mm，');
INSERT INTO `icss_question_detail` VALUES ('46038', 'N', '2019-03-30 13:08:01', '2019-03-30 13:08:01', '108', '108', '40489', '紫癜范围约()cm*()cm，', '1', '0', '0', '0', '单选项-紫癜范围约()cm*()cm，');
INSERT INTO `icss_question_detail` VALUES ('46039', 'N', '2019-03-30 13:15:40', '2019-03-30 13:15:40', '108', '108', '40476', '瘀点范围约()cm*()cm，', '1', '0', '0', '0', '单选项-瘀点范围约()cm*()cm，');
INSERT INTO `icss_question_detail` VALUES ('46040', 'N', '2019-03-30 13:16:16', '2019-03-30 13:16:16', '108', '108', '40477', '大小约()mm', '1', '0', '0', '0', '单选项-大小约()mm');
INSERT INTO `icss_question_detail` VALUES ('46041', 'N', '2019-03-30 13:17:12', '2019-03-30 13:17:12', '108', '108', '40482', '牙龈出血，', '1', '0', '0', '0', '单选项-牙龈出血，');
INSERT INTO `icss_question_detail` VALUES ('46042', 'N', '2019-03-30 13:17:12', '2019-03-30 13:17:12', '108', '108', '40482', '发热，', '2', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46043', 'N', '2019-03-30 13:17:12', '2019-03-30 13:17:12', '108', '108', '40482', '月经过多，', '3', '0', '0', '0', '单选项-月经过多，');
INSERT INTO `icss_question_detail` VALUES ('46044', 'N', '2019-03-30 13:17:12', '2019-03-30 13:17:12', '108', '108', '40482', '食欲下降，', '4', '0', '0', '0', '单选项-食欲下降，');
INSERT INTO `icss_question_detail` VALUES ('46045', 'N', '2019-03-30 13:17:12', '2019-03-30 13:17:12', '108', '108', '40482', '厌食，', '5', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('46046', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '脸部', '1', '0', '0', '0', '单选项-脸部');
INSERT INTO `icss_question_detail` VALUES ('46047', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '四肢', '2', '0', '0', '0', '单选项-四肢');
INSERT INTO `icss_question_detail` VALUES ('46048', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '全身', '3', '0', '0', '0', '单选项-全身');
INSERT INTO `icss_question_detail` VALUES ('46049', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '腹部', '4', '0', '0', '0', '单选项-腹部');
INSERT INTO `icss_question_detail` VALUES ('46050', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '背部', '5', '0', '0', '0', '单选项-背部');
INSERT INTO `icss_question_detail` VALUES ('46051', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '手掌', '6', '0', '0', '0', '单选项-手掌');
INSERT INTO `icss_question_detail` VALUES ('46052', 'N', '2019-03-30 13:17:47', '2019-03-30 13:17:47', '108', '108', '40453', '足底', '7', '0', '0', '0', '单选项-足底');
INSERT INTO `icss_question_detail` VALUES ('46053', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '皮肤粗糙', '1', '0', '0', '0', '单选项-皮肤粗糙');
INSERT INTO `icss_question_detail` VALUES ('46054', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '呕吐', '2', '0', '0', '0', '单选项-呕吐');
INSERT INTO `icss_question_detail` VALUES ('46055', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '腹部不适', '3', '0', '0', '0', '单选项-腹部不适');
INSERT INTO `icss_question_detail` VALUES ('46056', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '便秘', '4', '0', '0', '0', '单选项-便秘');
INSERT INTO `icss_question_detail` VALUES ('46057', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '食欲不振', '5', '0', '0', '0', '单选项-食欲不振');
INSERT INTO `icss_question_detail` VALUES ('46058', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '瘙痒', '6', '0', '0', '0', '单选项-瘙痒');
INSERT INTO `icss_question_detail` VALUES ('46059', 'N', '2019-03-30 13:18:14', '2019-03-30 13:18:14', '108', '108', '40456', '厌油食', '7', '0', '0', '0', '单选项-厌油食');
INSERT INTO `icss_question_detail` VALUES ('46060', 'N', '2019-03-30 13:21:16', '2019-03-30 13:21:16', '108', '108', '40446', '边界清楚，', '1', '0', '0', '0', '单选项-边界清楚，');
INSERT INTO `icss_question_detail` VALUES ('46061', 'N', '2019-03-30 13:21:16', '2019-03-30 13:21:16', '108', '108', '40446', '移动度可，', '2', '0', '0', '0', '单选项-移动度可，');
INSERT INTO `icss_question_detail` VALUES ('46062', 'N', '2019-03-30 13:21:16', '2019-03-30 13:21:16', '108', '108', '40446', '表面光滑，', '3', '0', '0', '0', '单选项-表面光滑，');
INSERT INTO `icss_question_detail` VALUES ('46063', 'N', '2019-03-30 13:21:16', '2019-03-30 13:21:16', '108', '108', '40446', '有波动感，', '4', '0', '0', '0', '单选项-有波动感，');
INSERT INTO `icss_question_detail` VALUES ('46064', 'N', '2019-03-30 13:21:16', '2019-03-30 13:21:16', '108', '108', '40446', '边界不清，', '5', '0', '0', '0', '单选项-边界不清，');
INSERT INTO `icss_question_detail` VALUES ('46065', 'N', '2019-03-30 13:22:57', '2019-03-30 13:22:57', '108', '108', '40447', '局部皮肤红，', '1', '0', '0', '0', '单选项-局部皮肤红，');
INSERT INTO `icss_question_detail` VALUES ('46066', 'N', '2019-03-30 13:22:57', '2019-03-30 13:22:57', '108', '108', '40447', '肤色正常，', '2', '0', '0', '0', '单选项-肤色正常，');
INSERT INTO `icss_question_detail` VALUES ('46067', 'N', '2019-03-30 13:22:57', '2019-03-30 13:22:57', '108', '108', '40447', '经抗感染治疗后，', '3', '0', '0', '0', '单选项-经抗感染治疗后，');
INSERT INTO `icss_question_detail` VALUES ('46068', 'N', '2019-03-30 13:23:16', '2019-03-30 13:23:16', '108', '108', '40445', '触之柔软，', '1', '0', '0', '0', '单选项-触之柔软，');
INSERT INTO `icss_question_detail` VALUES ('46069', 'N', '2019-03-30 13:23:16', '2019-03-30 13:23:16', '108', '108', '40445', '质硬，', '2', '0', '0', '0', '单选项-质硬，');
INSERT INTO `icss_question_detail` VALUES ('46070', 'N', '2019-03-30 13:23:16', '2019-03-30 13:23:16', '108', '108', '40445', '质软，', '3', '0', '0', '0', '单选项-质软，');
INSERT INTO `icss_question_detail` VALUES ('46082', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '腹部不适，', '1', '0', '0', '0', '单选项-腹部不适，');
INSERT INTO `icss_question_detail` VALUES ('46083', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '便秘，', '2', '0', '0', '0', '单选项-便秘，');
INSERT INTO `icss_question_detail` VALUES ('46084', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '黄疸，', '3', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46085', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '呕吐，', '4', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46086', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '发热，', '5', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46087', 'N', '2019-03-30 13:32:43', '2019-03-30 13:32:43', '108', '108', '40450', '不排气，', '6', '0', '0', '0', '单选项-不排气，');
INSERT INTO `icss_question_detail` VALUES ('46088', 'N', '2019-03-30 13:32:49', '2019-03-30 13:32:49', '108', '108', '40448', '有压痛，', '1', '0', '0', '0', '单选项-有压痛，');
INSERT INTO `icss_question_detail` VALUES ('46089', 'N', '2019-03-30 13:32:49', '2019-03-30 13:32:49', '108', '108', '40448', '无压痛，', '2', '0', '0', '0', '单选项-无压痛，');
INSERT INTO `icss_question_detail` VALUES ('46090', 'N', '2019-03-30 13:32:49', '2019-03-30 13:32:49', '108', '108', '40448', '包块缩小，', '3', '0', '0', '0', '单选项-包块缩小，');
INSERT INTO `icss_question_detail` VALUES ('46091', 'N', '2019-03-30 13:32:49', '2019-03-30 13:32:49', '108', '108', '40448', '包块消失，', '4', '0', '0', '0', '单选项-包块消失，');
INSERT INTO `icss_question_detail` VALUES ('46092', 'N', '2019-03-30 13:32:49', '2019-03-30 13:32:49', '108', '108', '40448', '包块无变化，', '5', '0', '0', '0', '单选项-包块无变化，');
INSERT INTO `icss_question_detail` VALUES ('46093', 'N', '2019-03-30 13:41:55', '2019-03-30 13:41:55', '108', '108', '40435', '呈柏油状，', '1', '0', '0', '0', '单选项-呈柏油状，');
INSERT INTO `icss_question_detail` VALUES ('46094', 'N', '2019-03-30 13:41:55', '2019-03-30 13:41:55', '108', '108', '40435', '干燥，', '2', '0', '0', '0', '单选项-干燥，');
INSERT INTO `icss_question_detail` VALUES ('46095', 'N', '2019-03-30 13:41:55', '2019-03-30 13:41:55', '108', '108', '40435', '不成型，', '3', '0', '0', '0', '单选项-不成型，');
INSERT INTO `icss_question_detail` VALUES ('46096', 'N', '2019-03-30 13:42:10', '2019-03-30 13:42:10', '108', '108', '40436', '棕黑色，', '1', '0', '0', '0', '单选项-棕黑色，');
INSERT INTO `icss_question_detail` VALUES ('46097', 'N', '2019-03-30 13:42:10', '2019-03-30 13:42:10', '108', '108', '40436', '墨汁黑，', '2', '0', '0', '0', '单选项-墨汁黑，');
INSERT INTO `icss_question_detail` VALUES ('46098', 'N', '2019-03-30 13:42:10', '2019-03-30 13:42:10', '108', '108', '40436', '亮黑色，', '3', '0', '0', '0', '单选项-亮黑色，');
INSERT INTO `icss_question_detail` VALUES ('46099', 'N', '2019-03-30 13:42:10', '2019-03-30 13:42:10', '108', '108', '40436', '灰暗色，', '4', '0', '0', '0', '单选项-灰暗色，');
INSERT INTO `icss_question_detail` VALUES ('46100', 'N', '2019-03-30 13:42:10', '2019-03-30 13:42:10', '108', '108', '40436', '暗黑色，', '5', '0', '0', '0', '单选项-暗黑色，');
INSERT INTO `icss_question_detail` VALUES ('46101', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '排便费力，', '1', '0', '0', '0', '单选项-排便费力，');
INSERT INTO `icss_question_detail` VALUES ('46102', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '易排出，', '2', '0', '0', '0', '单选项-易排出，');
INSERT INTO `icss_question_detail` VALUES ('46103', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '排便不畅，', '3', '0', '0', '0', '单选项-排便不畅，');
INSERT INTO `icss_question_detail` VALUES ('46104', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '有排不尽感，', '4', '0', '0', '0', '单选项-有排不尽感，');
INSERT INTO `icss_question_detail` VALUES ('46105', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '混有黏液，', '5', '0', '0', '0', '单选项-混有黏液，');
INSERT INTO `icss_question_detail` VALUES ('46106', 'N', '2019-03-30 13:43:26', '2019-03-30 13:43:26', '108', '108', '40437', '含有脓液，', '6', '0', '0', '0', '单选项-含有脓液，');
INSERT INTO `icss_question_detail` VALUES ('46107', 'N', '2019-03-30 13:43:59', '2019-03-30 13:43:59', '108', '108', '40438', '()次/()天，', '1', '0', '0', '0', '单选项-()次/()天，');
INSERT INTO `icss_question_detail` VALUES ('46108', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '恶心', '1', '0', '0', '0', '单选项-恶心');
INSERT INTO `icss_question_detail` VALUES ('46109', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '呕吐', '2', '0', '0', '0', '单选项-呕吐');
INSERT INTO `icss_question_detail` VALUES ('46110', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '肛门下坠', '3', '0', '0', '0', '单选项-肛门下坠');
INSERT INTO `icss_question_detail` VALUES ('46111', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '里急后重', '4', '0', '0', '0', '单选项-里急后重');
INSERT INTO `icss_question_detail` VALUES ('46112', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '手脚发凉', '5', '0', '0', '0', '单选项-手脚发凉');
INSERT INTO `icss_question_detail` VALUES ('46113', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '呕血', '6', '0', '0', '0', '单选项-呕血');
INSERT INTO `icss_question_detail` VALUES ('46114', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '头晕', '7', '0', '0', '0', '单选项-头晕');
INSERT INTO `icss_question_detail` VALUES ('46115', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '反酸', '8', '0', '0', '0', '单选项-反酸');
INSERT INTO `icss_question_detail` VALUES ('46116', 'N', '2019-03-30 13:45:15', '2019-03-30 13:45:15', '108', '108', '40441', '嗳气', '9', '0', '0', '0', '单选项-嗳气');
INSERT INTO `icss_question_detail` VALUES ('46132', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '牙龈肿痛，', '1', '0', '0', '0', '单选项-牙龈肿痛，');
INSERT INTO `icss_question_detail` VALUES ('46133', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '进行性消瘦，', '2', '0', '0', '0', '单选项-进行性消瘦，');
INSERT INTO `icss_question_detail` VALUES ('46134', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '口干，', '3', '0', '0', '0', '单选项-口干，');
INSERT INTO `icss_question_detail` VALUES ('46135', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '口苦，', '4', '0', '0', '0', '单选项-口苦，');
INSERT INTO `icss_question_detail` VALUES ('46136', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '心烦易怒，', '5', '0', '0', '0', '单选项-心烦易怒，');
INSERT INTO `icss_question_detail` VALUES ('46137', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '吞咽痛，', '6', '0', '0', '0', '单选项-吞咽痛，');
INSERT INTO `icss_question_detail` VALUES ('46138', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '胸骨后不适，', '7', '0', '0', '0', '单选项-胸骨后不适，');
INSERT INTO `icss_question_detail` VALUES ('46139', 'N', '2019-03-30 13:47:40', '2019-03-30 13:47:40', '108', '108', '40430', '胃脘灼痛，', '8', '0', '0', '0', '单选项-胃脘灼痛，');
INSERT INTO `icss_question_detail` VALUES ('46140', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '食欲不振，', '1', '0', '0', '0', '单选项-食欲不振，');
INSERT INTO `icss_question_detail` VALUES ('46141', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '吞咽困难，', '2', '0', '0', '0', '单选项-吞咽困难，');
INSERT INTO `icss_question_detail` VALUES ('46142', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '吞咽痛，', '3', '0', '0', '0', '单选项-吞咽痛，');
INSERT INTO `icss_question_detail` VALUES ('46143', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '打隔，', '4', '0', '0', '0', '单选项-打隔，');
INSERT INTO `icss_question_detail` VALUES ('46144', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '呕血，', '5', '0', '0', '0', '单选项-呕血，');
INSERT INTO `icss_question_detail` VALUES ('46145', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '便血，', '6', '0', '0', '0', '单选项-便血，');
INSERT INTO `icss_question_detail` VALUES ('46146', 'N', '2019-03-30 13:47:52', '2019-03-30 13:47:52', '108', '108', '41009', '腹部绞痛，', '7', '0', '0', '0', '单选项-腹部绞痛，');
INSERT INTO `icss_question_detail` VALUES ('46159', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '恶心，', '1', '0', '0', '0', '单选项-恶心，');
INSERT INTO `icss_question_detail` VALUES ('46160', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '呕吐，', '2', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46161', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '面色苍白，', '3', '0', '0', '0', '单选项-面色苍白，');
INSERT INTO `icss_question_detail` VALUES ('46162', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '出汗，', '4', '0', '0', '0', '单选项-出汗，');
INSERT INTO `icss_question_detail` VALUES ('46163', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '头疼，', '5', '0', '0', '0', '单选项-头疼，');
INSERT INTO `icss_question_detail` VALUES ('46164', 'N', '2019-03-30 14:10:39', '2019-03-30 14:10:39', '108', '108', '40399', '乏力，', '6', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('46165', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '呼吸困难，', '1', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46166', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '胸闷，', '2', '0', '0', '0', '单选项-胸闷，');
INSERT INTO `icss_question_detail` VALUES ('46167', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '耳鸣，', '3', '0', '0', '0', '单选项-耳鸣，');
INSERT INTO `icss_question_detail` VALUES ('46168', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '健忘，', '4', '0', '0', '0', '单选项-健忘，');
INSERT INTO `icss_question_detail` VALUES ('46169', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '四肢发麻，', '5', '0', '0', '0', '单选项-四肢发麻，');
INSERT INTO `icss_question_detail` VALUES ('46170', 'N', '2019-03-30 14:10:50', '2019-03-30 14:10:50', '108', '108', '41010', '四肢无力，', '6', '0', '0', '0', '单选项-四肢无力，');
INSERT INTO `icss_question_detail` VALUES ('46171', 'N', '2019-03-30 14:11:20', '2019-03-30 14:11:20', '108', '108', '40395', '持续性发作，', '1', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('46172', 'N', '2019-03-30 14:11:20', '2019-03-30 14:11:20', '108', '108', '40395', '进行性加重，', '2', '0', '0', '0', '单选项-进行性加重，');
INSERT INTO `icss_question_detail` VALUES ('46173', 'N', '2019-03-30 14:11:20', '2019-03-30 14:11:20', '108', '108', '40395', '阵发性发作，', '3', '0', '0', '0', '单选项-阵发性发作，');
INSERT INTO `icss_question_detail` VALUES ('46174', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '头重脚轻，', '1', '0', '0', '0', '单选项-头重脚轻，');
INSERT INTO `icss_question_detail` VALUES ('46175', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '视物旋转，', '2', '0', '0', '0', '单选项-视物旋转，');
INSERT INTO `icss_question_detail` VALUES ('46176', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '自身倾倒感，', '3', '0', '0', '0', '单选项-自身倾倒感，');
INSERT INTO `icss_question_detail` VALUES ('46177', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '旋转性眩晕，', '4', '0', '0', '0', '单选项-旋转性眩晕，');
INSERT INTO `icss_question_detail` VALUES ('46178', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '站立不稳，', '5', '0', '0', '0', '单选项-站立不稳，');
INSERT INTO `icss_question_detail` VALUES ('46179', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '指物偏斜，', '6', '0', '0', '0', '单选项-指物偏斜，');
INSERT INTO `icss_question_detail` VALUES ('46180', 'N', '2019-04-01 09:19:23', '2019-04-01 09:19:23', '108', '108', '40397', '平衡失调，', '7', '0', '0', '0', '单选项-平衡失调，');
INSERT INTO `icss_question_detail` VALUES ('46193', 'N', '2019-04-01 09:27:25', '2019-04-01 09:27:25', '108', '108', '40401', '易发，', '1', '0', '0', '0', '单选项-易发，');
INSERT INTO `icss_question_detail` VALUES ('46194', 'N', '2019-04-01 09:27:25', '2019-04-01 09:27:25', '108', '108', '40401', '发作症状加重，', '2', '0', '0', '0', '单选项-发作症状加重，');
INSERT INTO `icss_question_detail` VALUES ('46195', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '饱食后', '1', '0', '0', '0', '单选项-饱食后');
INSERT INTO `icss_question_detail` VALUES ('46196', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '运动后', '2', '0', '0', '0', '单选项-运动后');
INSERT INTO `icss_question_detail` VALUES ('46197', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '劳累后', '3', '0', '0', '0', '单选项-劳累后');
INSERT INTO `icss_question_detail` VALUES ('46198', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '思考时', '4', '0', '0', '0', '单选项-思考时');
INSERT INTO `icss_question_detail` VALUES ('46199', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '体位改变时', '5', '0', '0', '0', '单选项-体位改变时');
INSERT INTO `icss_question_detail` VALUES ('46200', 'N', '2019-04-01 09:28:11', '2019-04-01 09:28:11', '108', '108', '40400', '嘈杂环境中', '6', '0', '0', '0', '单选项-嘈杂环境中');
INSERT INTO `icss_question_detail` VALUES ('46210', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '发热，', '1', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46211', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '恶心，', '2', '0', '0', '0', '单选项-恶心，');
INSERT INTO `icss_question_detail` VALUES ('46212', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '咳嗽，', '3', '0', '0', '0', '单选项-咳嗽，');
INSERT INTO `icss_question_detail` VALUES ('46213', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '咳痰，', '4', '0', '0', '0', '单选项-咳痰，');
INSERT INTO `icss_question_detail` VALUES ('46214', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '痰中带血，', '5', '0', '0', '0', '单选项-痰中带血，');
INSERT INTO `icss_question_detail` VALUES ('46215', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '口干，', '6', '0', '0', '0', '单选项-口干，');
INSERT INTO `icss_question_detail` VALUES ('46216', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '咽痒，', '7', '0', '0', '0', '单选项-咽痒，');
INSERT INTO `icss_question_detail` VALUES ('46217', 'N', '2019-04-01 09:35:42', '2019-04-01 09:35:42', '108', '108', '40390', '咽部灼热感，', '8', '0', '0', '0', '单选项-咽部灼热感，');
INSERT INTO `icss_question_detail` VALUES ('46218', 'N', '2019-04-01 09:41:01', '2019-04-01 09:41:01', '108', '108', '40386', '持续性发作，', '1', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('46219', 'N', '2019-04-01 09:41:01', '2019-04-01 09:41:01', '108', '108', '40386', '进行性加重，', '2', '0', '0', '0', '单选项-进行性加重，');
INSERT INTO `icss_question_detail` VALUES ('46220', 'N', '2019-04-01 09:41:01', '2019-04-01 09:41:01', '108', '108', '40386', '阵发性发作，', '3', '0', '0', '0', '单选项-阵发性发作，');
INSERT INTO `icss_question_detail` VALUES ('46221', 'N', '2019-04-01 09:41:01', '2019-04-01 09:41:01', '108', '108', '40386', '急性发作，', '4', '0', '0', '0', '单选项-急性发作，');
INSERT INTO `icss_question_detail` VALUES ('46222', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '刺痛，', '1', '0', '0', '0', '单选项-刺痛，');
INSERT INTO `icss_question_detail` VALUES ('46223', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '钝痛，', '2', '0', '0', '0', '单选项-钝痛，');
INSERT INTO `icss_question_detail` VALUES ('46224', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '烧灼痛，', '3', '0', '0', '0', '单选项-烧灼痛，');
INSERT INTO `icss_question_detail` VALUES ('46225', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '隐痛，', '4', '0', '0', '0', '单选项-隐痛，');
INSERT INTO `icss_question_detail` VALUES ('46226', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '胀痛，', '5', '0', '0', '0', '单选项-胀痛，');
INSERT INTO `icss_question_detail` VALUES ('46227', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '跳痛，', '6', '0', '0', '0', '单选项-跳痛，');
INSERT INTO `icss_question_detail` VALUES ('46228', 'N', '2019-04-01 09:41:13', '2019-04-01 09:41:13', '108', '108', '40388', '慢性疼痛', '7', '0', '0', '0', '单选项-慢性疼痛');
INSERT INTO `icss_question_detail` VALUES ('46229', 'N', '2019-04-01 09:46:31', '2019-04-01 09:46:31', '108', '108', '40369', '突然发作，', '1', '0', '0', '0', '单选项-突然发作，');
INSERT INTO `icss_question_detail` VALUES ('46230', 'N', '2019-04-01 09:46:31', '2019-04-01 09:46:31', '108', '108', '40369', '持续性发作，', '2', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('46231', 'N', '2019-04-01 09:46:31', '2019-04-01 09:46:31', '108', '108', '40369', '进行性加重，', '3', '0', '0', '0', '单选项-进行性加重，');
INSERT INTO `icss_question_detail` VALUES ('46232', 'N', '2019-04-01 09:46:31', '2019-04-01 09:46:31', '108', '108', '40369', '间歇性发作，', '4', '0', '0', '0', '单选项-间歇性发作，');
INSERT INTO `icss_question_detail` VALUES ('46233', 'N', '2019-04-01 09:48:11', '2019-04-01 09:48:11', '108', '108', '40370', '表现为', '1', '0', '0', '0', '单选项-表现为');
INSERT INTO `icss_question_detail` VALUES ('46234', 'N', '2019-04-01 09:48:31', '2019-04-01 09:48:31', '108', '108', '40371', '失音，', '1', '0', '0', '0', '单选项-失音，');
INSERT INTO `icss_question_detail` VALUES ('46235', 'N', '2019-04-01 09:48:31', '2019-04-01 09:48:31', '108', '108', '40371', '声不出，', '2', '0', '0', '0', '单选项-声不出，');
INSERT INTO `icss_question_detail` VALUES ('46236', 'N', '2019-04-01 09:48:31', '2019-04-01 09:48:31', '108', '108', '40371', '不能言，', '3', '0', '0', '0', '单选项-不能言，');
INSERT INTO `icss_question_detail` VALUES ('46237', 'N', '2019-04-01 09:48:31', '2019-04-01 09:48:31', '108', '108', '40371', '声哑，', '4', '0', '0', '0', '单选项-声哑，');
INSERT INTO `icss_question_detail` VALUES ('46238', 'N', '2019-04-01 09:48:31', '2019-04-01 09:48:31', '108', '108', '40371', '喉中声嘶，', '5', '0', '0', '0', '单选项-喉中声嘶，');
INSERT INTO `icss_question_detail` VALUES ('46252', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '吞咽痛，', '1', '0', '0', '0', '单选项-吞咽痛，');
INSERT INTO `icss_question_detail` VALUES ('46253', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '咽痒，', '2', '0', '0', '0', '单选项-咽痒，');
INSERT INTO `icss_question_detail` VALUES ('46254', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '口干，', '3', '0', '0', '0', '单选项-口干，');
INSERT INTO `icss_question_detail` VALUES ('46255', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '发热，', '4', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46256', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '咳嗽，', '5', '0', '0', '0', '单选项-咳嗽，');
INSERT INTO `icss_question_detail` VALUES ('46257', 'N', '2019-04-01 09:52:43', '2019-04-01 09:52:43', '108', '108', '40373', '干咳，', '6', '0', '0', '0', '单选项-干咳，');
INSERT INTO `icss_question_detail` VALUES ('46258', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '呼吸困难，', '1', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46259', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '吞咽困难，', '2', '0', '0', '0', '单选项-吞咽困难，');
INSERT INTO `icss_question_detail` VALUES ('46260', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '咳痰带血，', '3', '0', '0', '0', '单选项-咳痰带血，');
INSERT INTO `icss_question_detail` VALUES ('46261', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '嘴唇干燥，', '4', '0', '0', '0', '单选项-嘴唇干燥，');
INSERT INTO `icss_question_detail` VALUES ('46262', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '喉痛，', '5', '0', '0', '0', '单选项-喉痛，');
INSERT INTO `icss_question_detail` VALUES ('46263', 'N', '2019-04-01 09:52:51', '2019-04-01 09:52:51', '108', '108', '41011', '喉鸣，', '6', '0', '0', '0', '单选项-喉鸣，');
INSERT INTO `icss_question_detail` VALUES ('46264', 'N', '2019-04-01 09:59:56', '2019-04-01 09:59:56', '108', '108', '40360', '角膜反射消失，', '1', '0', '0', '0', '单选项-角膜反射消失，');
INSERT INTO `icss_question_detail` VALUES ('46265', 'N', '2019-04-01 09:59:56', '2019-04-01 09:59:56', '108', '108', '40360', '角膜反射减弱，', '2', '0', '0', '0', '单选项-角膜反射减弱，');
INSERT INTO `icss_question_detail` VALUES ('46266', 'N', '2019-04-01 10:00:38', '2019-04-01 10:00:38', '108', '108', '40363', '约()mm，', '1', '0', '0', '0', '单选项-约()mm，');
INSERT INTO `icss_question_detail` VALUES ('46267', 'N', '2019-04-01 10:00:38', '2019-04-01 10:00:38', '108', '108', '40363', '左()mm，', '2', '0', '0', '0', '单选项-左()mm，');
INSERT INTO `icss_question_detail` VALUES ('46268', 'N', '2019-04-01 10:00:38', '2019-04-01 10:00:38', '108', '108', '40363', '右()mm，', '3', '0', '0', '0', '单选项-右()mm，');
INSERT INTO `icss_question_detail` VALUES ('46269', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '41012', '双颊', '1', '0', '0', '0', '单选项-双颊');
INSERT INTO `icss_question_detail` VALUES ('46270', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '41012', '鼻梁', '2', '0', '0', '0', '单选项-鼻梁');
INSERT INTO `icss_question_detail` VALUES ('46271', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '41012', '咽峡', '3', '0', '0', '0', '单选项-咽峡');
INSERT INTO `icss_question_detail` VALUES ('46272', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '41012', '颈', '4', '0', '0', '0', '单选项-颈');
INSERT INTO `icss_question_detail` VALUES ('46273', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '41012', '胸背', '5', '0', '0', '0', '单选项-胸背');
INSERT INTO `icss_question_detail` VALUES ('46274', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '面部', '1', '0', '0', '0', '单选项-面部');
INSERT INTO `icss_question_detail` VALUES ('46275', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '耳后', '2', '0', '0', '0', '单选项-耳后');
INSERT INTO `icss_question_detail` VALUES ('46276', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '发际', '3', '0', '0', '0', '单选项-发际');
INSERT INTO `icss_question_detail` VALUES ('46277', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '胸背', '4', '0', '0', '0', '单选项-胸背');
INSERT INTO `icss_question_detail` VALUES ('46278', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '口腔内', '5', '0', '0', '0', '单选项-口腔内');
INSERT INTO `icss_question_detail` VALUES ('46279', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '四肢', '6', '0', '0', '0', '单选项-四肢');
INSERT INTO `icss_question_detail` VALUES ('46280', 'N', '2019-04-01 10:08:43', '2019-04-01 10:08:43', '108', '108', '40334', '全身', '7', '0', '0', '0', '单选项-全身');
INSERT INTO `icss_question_detail` VALUES ('46281', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '斑疹', '1', '0', '0', '0', '单选项-斑疹');
INSERT INTO `icss_question_detail` VALUES ('46282', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '丘疹', '2', '0', '0', '0', '单选项-丘疹');
INSERT INTO `icss_question_detail` VALUES ('46283', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '水疱', '3', '0', '0', '0', '单选项-水疱');
INSERT INTO `icss_question_detail` VALUES ('46284', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '脓疱', '4', '0', '0', '0', '单选项-脓疱');
INSERT INTO `icss_question_detail` VALUES ('46285', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '风团', '5', '0', '0', '0', '单选项-风团');
INSERT INTO `icss_question_detail` VALUES ('46286', 'N', '2019-04-01 10:15:28', '2019-04-01 10:15:28', '108', '108', '40335', '结节', '6', '0', '0', '0', '单选项-结节');
INSERT INTO `icss_question_detail` VALUES ('46287', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '41013', '溃疡', '1', '0', '0', '0', '单选项-溃疡');
INSERT INTO `icss_question_detail` VALUES ('46288', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '41013', '红斑', '2', '0', '0', '0', '单选项-红斑');
INSERT INTO `icss_question_detail` VALUES ('46289', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '41013', '白斑', '3', '0', '0', '0', '单选项-白斑');
INSERT INTO `icss_question_detail` VALUES ('46290', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '41013', '玫瑰疹', '4', '0', '0', '0', '单选项-玫瑰疹');
INSERT INTO `icss_question_detail` VALUES ('46291', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '41013', '蝶形红斑', '5', '0', '0', '0', '单选项-蝶形红斑');
INSERT INTO `icss_question_detail` VALUES ('46292', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '对称性分布，', '1', '0', '0', '0', '单选项-对称性分布，');
INSERT INTO `icss_question_detail` VALUES ('46293', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '全身性，', '2', '0', '0', '0', '单选项-全身性，');
INSERT INTO `icss_question_detail` VALUES ('46294', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '簇状，', '3', '0', '0', '0', '单选项-簇状，');
INSERT INTO `icss_question_detail` VALUES ('46295', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '带状排列，', '4', '0', '0', '0', '单选项-带状排列，');
INSERT INTO `icss_question_detail` VALUES ('46296', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '散发，', '5', '0', '0', '0', '单选项-散发，');
INSERT INTO `icss_question_detail` VALUES ('46297', 'N', '2019-04-01 10:16:13', '2019-04-01 10:16:13', '108', '108', '40337', '不对称分布，', '6', '0', '0', '0', '单选项-不对称分布，');
INSERT INTO `icss_question_detail` VALUES ('46298', 'N', '2019-04-01 10:16:23', '2019-04-01 10:16:23', '108', '108', '40339', '发红，', '1', '0', '0', '0', '单选项-发红，');
INSERT INTO `icss_question_detail` VALUES ('46299', 'N', '2019-04-01 10:16:23', '2019-04-01 10:16:23', '108', '108', '40339', '瘙痒，', '2', '0', '0', '0', '单选项-瘙痒，');
INSERT INTO `icss_question_detail` VALUES ('46300', 'N', '2019-04-01 10:16:23', '2019-04-01 10:16:23', '108', '108', '40339', '发热，', '3', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46301', 'N', '2019-04-01 10:16:23', '2019-04-01 10:16:23', '108', '108', '40339', '疼痛，', '4', '0', '0', '0', '单选项-疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46302', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '痉痒感，', '1', '0', '0', '0', '单选项-痉痒感，');
INSERT INTO `icss_question_detail` VALUES ('46303', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '头痛，', '2', '0', '0', '0', '单选项-头痛，');
INSERT INTO `icss_question_detail` VALUES ('46304', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '心慌，', '3', '0', '0', '0', '单选项-心慌，');
INSERT INTO `icss_question_detail` VALUES ('46305', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '灼热感，', '4', '0', '0', '0', '单选项-灼热感，');
INSERT INTO `icss_question_detail` VALUES ('46306', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '关节痛，', '5', '0', '0', '0', '单选项-关节痛，');
INSERT INTO `icss_question_detail` VALUES ('46307', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '无脱屑及色素沉着，', '6', '0', '0', '0', '单选项-无脱屑及色素沉着，');
INSERT INTO `icss_question_detail` VALUES ('46308', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '咽痛，', '7', '0', '0', '0', '单选项-咽痛，');
INSERT INTO `icss_question_detail` VALUES ('46309', 'N', '2019-04-01 10:17:05', '2019-04-01 10:17:05', '108', '108', '40342', '腹泻，', '8', '0', '0', '0', '单选项-腹泻，');
INSERT INTO `icss_question_detail` VALUES ('46310', 'N', '2019-04-01 10:20:03', '2019-04-01 10:20:03', '108', '108', '40293', '吸气性呼吸困难，', '1', '0', '0', '0', '单选项-吸气性呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46311', 'N', '2019-04-01 10:20:03', '2019-04-01 10:20:03', '108', '108', '40293', '呼气性呼吸困难，', '2', '0', '0', '0', '单选项-呼气性呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46312', 'N', '2019-04-01 10:20:03', '2019-04-01 10:20:03', '108', '108', '40293', '混合性呼吸困难，', '3', '0', '0', '0', '单选项-混合性呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46313', 'N', '2019-04-01 10:20:03', '2019-04-01 10:20:03', '108', '108', '40293', '潮式呼吸，', '4', '0', '0', '0', '单选项-潮式呼吸，');
INSERT INTO `icss_question_detail` VALUES ('46314', 'N', '2019-04-01 10:20:03', '2019-04-01 10:20:03', '108', '108', '40293', '间停呼吸，', '5', '0', '0', '0', '单选项-间停呼吸，');
INSERT INTO `icss_question_detail` VALUES ('46315', 'N', '2019-04-01 16:45:00', '2019-04-01 16:45:00', '108', '108', '40297', '三凹征，', '1', '0', '0', '0', '单选项-三凹征，');
INSERT INTO `icss_question_detail` VALUES ('46316', 'N', '2019-04-01 16:45:00', '2019-04-01 16:45:00', '108', '108', '40297', '鼻翼扇动，', '2', '0', '0', '0', '单选项-鼻翼扇动，');
INSERT INTO `icss_question_detail` VALUES ('46317', 'N', '2019-04-01 16:46:49', '2019-04-01 16:46:49', '108', '108', '40299', '呼吸频率加快', '1', '0', '0', '0', '单选项-呼吸频率加快');
INSERT INTO `icss_question_detail` VALUES ('46318', 'N', '2019-04-01 16:46:49', '2019-04-01 16:46:49', '108', '108', '40299', '呼吸频率减慢', '2', '0', '0', '0', '单选项-呼吸频率减慢');
INSERT INTO `icss_question_detail` VALUES ('46319', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '平卧，', '1', '0', '0', '0', '单选项-平卧，');
INSERT INTO `icss_question_detail` VALUES ('46320', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '端坐，', '2', '0', '0', '0', '单选项-端坐，');
INSERT INTO `icss_question_detail` VALUES ('46321', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '运动后，', '3', '0', '0', '0', '单选项-运动后，');
INSERT INTO `icss_question_detail` VALUES ('46322', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '劳累后，', '4', '0', '0', '0', '单选项-劳累后，');
INSERT INTO `icss_question_detail` VALUES ('46323', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '饱食后，', '5', '0', '0', '0', '单选项-饱食后，');
INSERT INTO `icss_question_detail` VALUES ('46324', 'N', '2019-04-01 16:48:09', '2019-04-01 16:48:09', '108', '108', '40301', '休息后，', '6', '0', '0', '0', '单选项-休息后，');
INSERT INTO `icss_question_detail` VALUES ('46325', 'N', '2019-04-01 16:49:29', '2019-04-01 16:49:29', '108', '108', '40302', '症状加重', '1', '0', '0', '0', '单选项-症状加重');
INSERT INTO `icss_question_detail` VALUES ('46326', 'N', '2019-04-01 16:49:29', '2019-04-01 16:49:29', '108', '108', '40302', '症状缓解', '2', '0', '0', '0', '单选项-症状缓解');
INSERT INTO `icss_question_detail` VALUES ('46327', 'N', '2019-04-01 16:49:29', '2019-04-01 16:49:29', '108', '108', '40302', '症状无缓解', '3', '0', '0', '0', '单选项-症状无缓解');
INSERT INTO `icss_question_detail` VALUES ('46328', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '头晕，', '1', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('46329', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '咳嗽，', '2', '0', '0', '0', '单选项-咳嗽，');
INSERT INTO `icss_question_detail` VALUES ('46330', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '胸闷，', '3', '0', '0', '0', '单选项-胸闷，');
INSERT INTO `icss_question_detail` VALUES ('46331', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '胸痛，', '4', '0', '0', '0', '单选项-胸痛，');
INSERT INTO `icss_question_detail` VALUES ('46332', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '咳血，', '5', '0', '0', '0', '单选项-咳血，');
INSERT INTO `icss_question_detail` VALUES ('46333', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '咳粉红色泡沫样痰，', '6', '0', '0', '0', '单选项-咳粉红色泡沫样痰，');
INSERT INTO `icss_question_detail` VALUES ('46334', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '乏力，', '7', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('46335', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '口唇紫绀，', '8', '0', '0', '0', '单选项-口唇紫绀，');
INSERT INTO `icss_question_detail` VALUES ('46336', 'N', '2019-04-01 16:56:56', '2019-04-01 16:56:56', '108', '108', '40304', '面色青紫，', '9', '0', '0', '0', '单选项-面色青紫，');
INSERT INTO `icss_question_detail` VALUES ('46337', 'N', '2019-04-01 17:01:05', '2019-04-01 17:01:05', '108', '108', '40283', '同侧面部肌肉瘫痪，', '1', '0', '0', '0', '单选项-同侧面部肌肉瘫痪，');
INSERT INTO `icss_question_detail` VALUES ('46338', 'N', '2019-04-01 17:01:05', '2019-04-01 17:01:05', '108', '108', '40283', '同侧舌肌瘫痪，', '2', '0', '0', '0', '单选项-同侧舌肌瘫痪，');
INSERT INTO `icss_question_detail` VALUES ('46339', 'N', '2019-04-01 17:01:05', '2019-04-01 17:01:05', '108', '108', '40283', '言语不利，', '3', '0', '0', '0', '单选项-言语不利，');
INSERT INTO `icss_question_detail` VALUES ('46340', 'N', '2019-04-01 17:01:05', '2019-04-01 17:01:05', '108', '108', '40283', '吐词不清，', '4', '0', '0', '0', '单选项-吐词不清，');
INSERT INTO `icss_question_detail` VALUES ('46341', 'N', '2019-04-01 17:01:05', '2019-04-01 17:01:05', '108', '108', '40283', '口眼歪斜，', '5', '0', '0', '0', '单选项-口眼歪斜，');
INSERT INTO `icss_question_detail` VALUES ('46342', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '疼痛感，', '1', '0', '0', '0', '单选项-疼痛感，');
INSERT INTO `icss_question_detail` VALUES ('46343', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '烧灼感，', '2', '0', '0', '0', '单选项-烧灼感，');
INSERT INTO `icss_question_detail` VALUES ('46344', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '撕裂感，', '3', '0', '0', '0', '单选项-撕裂感，');
INSERT INTO `icss_question_detail` VALUES ('46345', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '蚁行感，', '4', '0', '0', '0', '单选项-蚁行感，');
INSERT INTO `icss_question_detail` VALUES ('46346', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '感觉异常，', '5', '0', '0', '0', '单选项-感觉异常，');
INSERT INTO `icss_question_detail` VALUES ('46347', 'N', '2019-04-01 17:08:04', '2019-04-01 17:08:04', '108', '108', '40275', '肢体无力感，', '6', '0', '0', '0', '单选项-肢体无力感，');
INSERT INTO `icss_question_detail` VALUES ('46348', 'N', '2019-04-01 17:09:45', '2019-04-01 17:09:45', '108', '108', '40261', '易发，', '1', '0', '0', '0', '单选项-易发，');
INSERT INTO `icss_question_detail` VALUES ('46349', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '心前区痛，', '1', '0', '0', '0', '单选项-心前区痛，');
INSERT INTO `icss_question_detail` VALUES ('46350', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '发热，', '2', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46351', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '血压下降，', '3', '0', '0', '0', '单选项-血压下降，');
INSERT INTO `icss_question_detail` VALUES ('46352', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '出汗，', '4', '0', '0', '0', '单选项-出汗，');
INSERT INTO `icss_question_detail` VALUES ('46353', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '呼吸困难，', '5', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46354', 'N', '2019-04-01 17:11:40', '2019-04-01 17:11:40', '108', '108', '40265', '抽搐，', '6', '0', '0', '0', '单选项-抽搐，');
INSERT INTO `icss_question_detail` VALUES ('46355', 'N', '2019-04-01 17:11:51', '2019-04-01 17:11:51', '108', '108', '40266', '胸痛，', '1', '0', '0', '0', '单选项-胸痛，');
INSERT INTO `icss_question_detail` VALUES ('46356', 'N', '2019-04-01 17:11:51', '2019-04-01 17:11:51', '108', '108', '40266', '胸闷，', '2', '0', '0', '0', '单选项-胸闷，');
INSERT INTO `icss_question_detail` VALUES ('46357', 'N', '2019-04-01 17:11:51', '2019-04-01 17:11:51', '108', '108', '40266', '无力，', '3', '0', '0', '0', '单选项-无力，');
INSERT INTO `icss_question_detail` VALUES ('46358', 'N', '2019-04-01 17:11:51', '2019-04-01 17:11:51', '108', '108', '40266', '头晕，', '4', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('46359', 'N', '2019-04-01 17:11:51', '2019-04-01 17:11:51', '108', '108', '40266', '耳鸣，', '5', '0', '0', '0', '单选项-耳鸣，');
INSERT INTO `icss_question_detail` VALUES ('46360', 'N', '2019-04-01 17:13:01', '2019-04-01 17:13:01', '108', '108', '40252', '急剧进行性', '1', '0', '0', '0', '单选项-急剧进行性');
INSERT INTO `icss_question_detail` VALUES ('46361', 'N', '2019-04-01 17:13:01', '2019-04-01 17:13:01', '108', '108', '40252', '渐进性', '2', '0', '0', '0', '单选项-渐进性');
INSERT INTO `icss_question_detail` VALUES ('46362', 'N', '2019-04-01 17:13:01', '2019-04-01 17:13:01', '108', '108', '40252', '持续性', '3', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('46365', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '41015', '量少', '1', '0', '0', '0', '单选项-量少');
INSERT INTO `icss_question_detail` VALUES ('46366', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '41015', '量中等', '2', '0', '0', '0', '单选项-量中等');
INSERT INTO `icss_question_detail` VALUES ('46367', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '41015', '量多', '3', '0', '0', '0', '单选项-量多');
INSERT INTO `icss_question_detail` VALUES ('46368', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '41015', '量与平素相同', '4', '0', '0', '0', '单选项-量与平素相同');
INSERT INTO `icss_question_detail` VALUES ('46369', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '41015', '量不详', '5', '0', '0', '0', '单选项-量不详');
INSERT INTO `icss_question_detail` VALUES ('46370', 'N', '2019-04-01 17:23:27', '2019-04-01 17:23:27', '108', '108', '41014', '大便成形，', '1', '0', '0', '0', '单选项-大便成形，');
INSERT INTO `icss_question_detail` VALUES ('46371', 'N', '2019-04-01 17:23:27', '2019-04-01 17:23:27', '108', '108', '41014', '大便不成形呈糊状，', '2', '0', '0', '0', '单选项-大便不成形呈糊状，');
INSERT INTO `icss_question_detail` VALUES ('46372', 'N', '2019-04-01 17:23:40', '2019-04-01 17:23:40', '108', '108', '485', '大便，', '1', '0', '0', '0', '单选项-大便，');
INSERT INTO `icss_question_detail` VALUES ('46373', 'N', '2019-04-01 17:34:17', '2019-04-01 17:34:17', '108', '108', '41017', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46374', 'N', '2019-04-01 17:34:17', '2019-04-01 17:34:17', '108', '108', '41017', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46394', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '心悸，', '1', '0', '0', '0', '单选项-心悸，');
INSERT INTO `icss_question_detail` VALUES ('46395', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '发热，', '2', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46396', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '晕厥，', '3', '0', '0', '0', '单选项-晕厥，');
INSERT INTO `icss_question_detail` VALUES ('46397', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '出冷汗，', '4', '0', '0', '0', '单选项-出冷汗，');
INSERT INTO `icss_question_detail` VALUES ('46398', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '恶心呕吐，', '5', '0', '0', '0', '单选项-恶心呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46399', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '食欲不振，', '6', '0', '0', '0', '单选项-食欲不振，');
INSERT INTO `icss_question_detail` VALUES ('46400', 'N', '2019-04-01 17:36:22', '2019-04-01 17:36:22', '108', '108', '41019', '意识不清，', '7', '0', '0', '0', '单选项-意识不清，');
INSERT INTO `icss_question_detail` VALUES ('46401', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '餐后', '1', '0', '0', '0', '单选项-餐后');
INSERT INTO `icss_question_detail` VALUES ('46402', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '活动期间', '2', '0', '0', '0', '单选项-活动期间');
INSERT INTO `icss_question_detail` VALUES ('46403', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '劳累后', '3', '0', '0', '0', '单选项-劳累后');
INSERT INTO `icss_question_detail` VALUES ('46404', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '呕吐后', '4', '0', '0', '0', '单选项-呕吐后');
INSERT INTO `icss_question_detail` VALUES ('46405', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '排便后', '5', '0', '0', '0', '单选项-排便后');
INSERT INTO `icss_question_detail` VALUES ('46406', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '打嗝后', '6', '0', '0', '0', '单选项-打嗝后');
INSERT INTO `icss_question_detail` VALUES ('46407', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '休息后', '7', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('46408', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '热敷后', '8', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('46409', 'N', '2019-04-01 17:46:19', '2019-04-01 17:46:19', '108', '108', '40145', '夜间', '9', '0', '0', '0', '单选项-夜间');
INSERT INTO `icss_question_detail` VALUES ('46414', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '餐后', '1', '0', '0', '0', '单选项-餐后');
INSERT INTO `icss_question_detail` VALUES ('46415', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '活动期间', '2', '0', '0', '0', '单选项-活动期间');
INSERT INTO `icss_question_detail` VALUES ('46416', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '劳累后', '3', '0', '0', '0', '单选项-劳累后');
INSERT INTO `icss_question_detail` VALUES ('46417', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '呕吐后', '4', '0', '0', '0', '单选项-呕吐后');
INSERT INTO `icss_question_detail` VALUES ('46418', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '排便后', '5', '0', '0', '0', '单选项-排便后');
INSERT INTO `icss_question_detail` VALUES ('46419', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '打嗝后', '6', '0', '0', '0', '单选项-打嗝后');
INSERT INTO `icss_question_detail` VALUES ('46420', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '休息后', '7', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('46421', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '热敷后', '8', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('46422', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '41020', '夜间', '9', '0', '0', '0', '单选项-夜间');
INSERT INTO `icss_question_detail` VALUES ('46423', 'N', '2019-04-01 17:54:03', '2019-04-01 17:54:03', '108', '108', '41021', '出现', '1', '0', '0', '0', '单选项-出现');
INSERT INTO `icss_question_detail` VALUES ('46424', 'N', '2019-04-01 17:54:03', '2019-04-01 17:54:03', '108', '108', '41021', '加重', '2', '0', '0', '0', '单选项-加重');
INSERT INTO `icss_question_detail` VALUES ('46425', 'N', '2019-04-01 17:54:03', '2019-04-01 17:54:03', '108', '108', '41021', '缓解', '3', '0', '0', '0', '单选项-缓解');
INSERT INTO `icss_question_detail` VALUES ('46426', 'N', '2019-04-01 17:54:03', '2019-04-01 17:54:03', '108', '108', '41021', '自行缓解', '4', '0', '0', '0', '单选项-自行缓解');
INSERT INTO `icss_question_detail` VALUES ('46427', 'N', '2019-04-01 17:56:58', '2019-04-01 17:56:58', '108', '108', '40146', '出现', '1', '0', '0', '0', '单选项-出现');
INSERT INTO `icss_question_detail` VALUES ('46428', 'N', '2019-04-01 17:56:58', '2019-04-01 17:56:58', '108', '108', '40146', '加重', '2', '0', '0', '0', '单选项-加重');
INSERT INTO `icss_question_detail` VALUES ('46429', 'N', '2019-04-01 17:56:58', '2019-04-01 17:56:58', '108', '108', '40146', '缓解', '3', '0', '0', '0', '单选项-缓解');
INSERT INTO `icss_question_detail` VALUES ('46430', 'N', '2019-04-01 17:56:58', '2019-04-01 17:56:58', '108', '108', '40146', '自行缓解', '4', '0', '0', '0', '单选项-自行缓解');
INSERT INTO `icss_question_detail` VALUES ('46431', 'N', '2019-04-01 17:58:41', '2019-04-01 17:58:41', '108', '108', '40148', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46432', 'N', '2019-04-01 17:58:41', '2019-04-01 17:58:41', '108', '108', '40148', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46433', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '便血，', '1', '0', '0', '0', '单选项-便血，');
INSERT INTO `icss_question_detail` VALUES ('46434', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '心悸，', '2', '0', '0', '0', '单选项-心悸，');
INSERT INTO `icss_question_detail` VALUES ('46435', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '发热，', '3', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46436', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '盗汗，', '4', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('46437', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '黄疸，', '5', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46438', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '呕吐，', '6', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46439', 'N', '2019-04-01 18:00:13', '2019-04-01 18:00:13', '108', '108', '40149', '厌食，', '7', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('46440', 'N', '2019-04-01 18:01:21', '2019-04-01 18:01:21', '108', '108', '40150', '下肢浮肿', '1', '0', '0', '0', '单选项-下肢浮肿');
INSERT INTO `icss_question_detail` VALUES ('46441', 'N', '2019-04-01 18:01:21', '2019-04-01 18:01:21', '108', '108', '40150', '腹水', '2', '0', '0', '0', '单选项-腹水');
INSERT INTO `icss_question_detail` VALUES ('46442', 'N', '2019-04-01 18:01:21', '2019-04-01 18:01:21', '108', '108', '40150', '体重下降', '3', '0', '0', '0', '单选项-体重下降');
INSERT INTO `icss_question_detail` VALUES ('46443', 'N', '2019-04-01 18:01:21', '2019-04-01 18:01:21', '108', '108', '40150', '腹部肿块', '4', '0', '0', '0', '单选项-腹部肿块');
INSERT INTO `icss_question_detail` VALUES ('46444', 'N', '2019-04-01 18:01:21', '2019-04-01 18:01:21', '108', '108', '40150', '呼吸困难', '5', '0', '0', '0', '单选项-呼吸困难');
INSERT INTO `icss_question_detail` VALUES ('46445', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '便血，', '1', '0', '0', '0', '单选项-便血，');
INSERT INTO `icss_question_detail` VALUES ('46446', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '心悸，', '2', '0', '0', '0', '单选项-心悸，');
INSERT INTO `icss_question_detail` VALUES ('46447', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '发热，', '3', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46448', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '盗汗，', '4', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('46449', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '黄疸，', '5', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46450', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '呕吐，', '6', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46451', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '41022', '厌食，', '7', '0', '0', '0', '单选项-厌食，');
INSERT INTO `icss_question_detail` VALUES ('46452', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '41023', '下肢浮肿，', '1', '0', '0', '0', '单选项-下肢浮肿，');
INSERT INTO `icss_question_detail` VALUES ('46453', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '41023', '体重下降，', '2', '0', '0', '0', '单选项-体重下降，');
INSERT INTO `icss_question_detail` VALUES ('46454', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '41023', '腹部肿块，', '3', '0', '0', '0', '单选项-腹部肿块，');
INSERT INTO `icss_question_detail` VALUES ('46455', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '41023', '呼吸困难，', '4', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46456', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '41023', '腹水，', '5', '0', '0', '0', '单选项-腹水，');
INSERT INTO `icss_question_detail` VALUES ('46457', 'N', '2019-04-02 09:27:28', '2019-04-02 09:27:28', '108', '108', '41025', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46458', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '全身性发作，', '1', '0', '0', '0', '单选项-全身性发作，');
INSERT INTO `icss_question_detail` VALUES ('46459', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '局限性发作，', '2', '0', '0', '0', '单选项-局限性发作，');
INSERT INTO `icss_question_detail` VALUES ('46460', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '持续强直性发作，', '3', '0', '0', '0', '单选项-持续强直性发作，');
INSERT INTO `icss_question_detail` VALUES ('46461', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '间歇阵挛性，', '4', '0', '0', '0', '单选项-间歇阵挛性，');
INSERT INTO `icss_question_detail` VALUES ('46462', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '部分性发作，', '5', '0', '0', '0', '单选项-部分性发作，');
INSERT INTO `icss_question_detail` VALUES ('46463', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '41026', '失神发作，', '6', '0', '0', '0', '单选项-失神发作，');
INSERT INTO `icss_question_detail` VALUES ('46464', 'N', '2019-04-02 09:29:48', '2019-04-02 09:29:48', '108', '108', '41027', '发作持续数秒，', '1', '0', '0', '0', '单选项-发作持续数秒，');
INSERT INTO `icss_question_detail` VALUES ('46465', 'N', '2019-04-02 09:29:48', '2019-04-02 09:29:48', '108', '108', '41027', '发作持续2分钟，', '2', '0', '0', '0', '单选项-发作持续2分钟，');
INSERT INTO `icss_question_detail` VALUES ('46466', 'N', '2019-04-02 09:29:48', '2019-04-02 09:29:48', '108', '108', '41027', '发作持续超过30分钟，', '3', '0', '0', '0', '单选项-发作持续超过30分钟，');
INSERT INTO `icss_question_detail` VALUES ('46467', 'N', '2019-04-02 09:29:48', '2019-04-02 09:29:48', '108', '108', '41027', '发作持续2--10分钟，', '4', '0', '0', '0', '单选项-发作持续2--10分钟，');
INSERT INTO `icss_question_detail` VALUES ('46468', 'N', '2019-04-02 09:39:38', '2019-04-02 09:39:38', '108', '108', '41028', '类似症状反复发作，', '1', '0', '0', '0', '单选项-类似症状反复发作，');
INSERT INTO `icss_question_detail` VALUES ('46469', 'N', '2019-04-02 09:39:38', '2019-04-02 09:39:38', '108', '108', '41028', '发作间隙意识不清，', '2', '0', '0', '0', '单选项-发作间隙意识不清，');
INSERT INTO `icss_question_detail` VALUES ('46470', 'N', '2019-04-02 09:39:38', '2019-04-02 09:39:38', '108', '108', '41028', '发作间歇期正常，', '3', '0', '0', '0', '单选项-发作间歇期正常，');
INSERT INTO `icss_question_detail` VALUES ('46471', 'N', '2019-04-02 09:39:38', '2019-04-02 09:39:38', '108', '108', '41028', '两次发作期间意识清醒，', '4', '0', '0', '0', '单选项-两次发作期间意识清醒，');
INSERT INTO `icss_question_detail` VALUES ('46472', 'N', '2019-04-02 09:40:02', '2019-04-02 09:40:02', '108', '108', '41029', '事后无记忆', '1', '0', '0', '0', '单选项-事后无记忆');
INSERT INTO `icss_question_detail` VALUES ('46473', 'N', '2019-04-02 09:40:02', '2019-04-02 09:40:02', '108', '108', '41029', '清醒后感乏力', '2', '0', '0', '0', '单选项-清醒后感乏力');
INSERT INTO `icss_question_detail` VALUES ('46474', 'N', '2019-04-02 09:40:02', '2019-04-02 09:40:02', '108', '108', '41029', '自行清醒', '3', '0', '0', '0', '单选项-自行清醒');
INSERT INTO `icss_question_detail` VALUES ('46475', 'N', '2019-04-02 09:43:15', '2019-04-02 09:43:15', '108', '108', '40141', '表现为', '1', '0', '0', '0', '单选项-表现为');
INSERT INTO `icss_question_detail` VALUES ('46476', 'N', '2019-04-02 09:43:15', '2019-04-02 09:43:15', '108', '108', '40141', '伴', '2', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46477', 'N', '2019-04-02 09:43:15', '2019-04-02 09:43:15', '108', '108', '40141', '无', '3', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46478', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '张口受限，', '1', '0', '0', '0', '单选项-张口受限，');
INSERT INTO `icss_question_detail` VALUES ('46479', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '舌咬伤，', '2', '0', '0', '0', '单选项-舌咬伤，');
INSERT INTO `icss_question_detail` VALUES ('46480', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '口吐白沫，', '3', '0', '0', '0', '单选项-口吐白沫，');
INSERT INTO `icss_question_detail` VALUES ('46481', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '苦笑面容，', '4', '0', '0', '0', '单选项-苦笑面容，');
INSERT INTO `icss_question_detail` VALUES ('46482', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '牙关紧闭，', '5', '0', '0', '0', '单选项-牙关紧闭，');
INSERT INTO `icss_question_detail` VALUES ('46483', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '角弓反张，', '6', '0', '0', '0', '单选项-角弓反张，');
INSERT INTO `icss_question_detail` VALUES ('46484', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '肌肉痉挛，', '7', '0', '0', '0', '单选项-肌肉痉挛，');
INSERT INTO `icss_question_detail` VALUES ('46485', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '大便失禁，', '8', '0', '0', '0', '单选项-大便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46486', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '41030', '小便失禁，', '9', '0', '0', '0', '单选项-小便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46487', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '颈项强直，', '1', '0', '0', '0', '单选项-颈项强直，');
INSERT INTO `icss_question_detail` VALUES ('46488', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '四肢发麻，', '2', '0', '0', '0', '单选项-四肢发麻，');
INSERT INTO `icss_question_detail` VALUES ('46489', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '喉喘鸣，', '3', '0', '0', '0', '单选项-喉喘鸣，');
INSERT INTO `icss_question_detail` VALUES ('46490', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '口周麻木感，', '4', '0', '0', '0', '单选项-口周麻木感，');
INSERT INTO `icss_question_detail` VALUES ('46491', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '呼吸暂停，', '5', '0', '0', '0', '单选项-呼吸暂停，');
INSERT INTO `icss_question_detail` VALUES ('46492', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '偏瘫，', '6', '0', '0', '0', '单选项-偏瘫，');
INSERT INTO `icss_question_detail` VALUES ('46493', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '偏盲，', '7', '0', '0', '0', '单选项-偏盲，');
INSERT INTO `icss_question_detail` VALUES ('46494', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '失语，', '8', '0', '0', '0', '单选项-失语，');
INSERT INTO `icss_question_detail` VALUES ('46495', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '41031', '脑膜刺激征，', '9', '0', '0', '0', '单选项-脑膜刺激征，');
INSERT INTO `icss_question_detail` VALUES ('46496', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '突然倒地，', '1', '0', '0', '0', '单选项-突然倒地，');
INSERT INTO `icss_question_detail` VALUES ('46497', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '意识丧失，', '2', '0', '0', '0', '单选项-意识丧失，');
INSERT INTO `icss_question_detail` VALUES ('46498', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '面色青紫，', '3', '0', '0', '0', '单选项-面色青紫，');
INSERT INTO `icss_question_detail` VALUES ('46499', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '双眼球上窜，', '4', '0', '0', '0', '单选项-双眼球上窜，');
INSERT INTO `icss_question_detail` VALUES ('46500', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '双上肢弯曲，', '5', '0', '0', '0', '单选项-双上肢弯曲，');
INSERT INTO `icss_question_detail` VALUES ('46501', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '双下肢伸直，', '6', '0', '0', '0', '单选项-双下肢伸直，');
INSERT INTO `icss_question_detail` VALUES ('46502', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '瞳孔散大，', '7', '0', '0', '0', '单选项-瞳孔散大，');
INSERT INTO `icss_question_detail` VALUES ('46503', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '41032', '对光反射消失 ，', '8', '0', '0', '0', '单选项-对光反射消失 ，');
INSERT INTO `icss_question_detail` VALUES ('46504', 'N', '2019-04-02 10:06:38', '2019-04-02 10:06:38', '108', '108', '41034', '为', '1', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46505', 'N', '2019-04-02 10:06:38', '2019-04-02 10:06:38', '108', '108', '41034', '呈', '2', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46506', 'N', '2019-04-02 10:07:32', '2019-04-02 10:07:32', '108', '108', '41035', '反复性发作性，', '1', '0', '0', '0', '单选项-反复性发作性，');
INSERT INTO `icss_question_detail` VALUES ('46507', 'N', '2019-04-02 10:07:32', '2019-04-02 10:07:32', '108', '108', '41035', '突发性发作，', '2', '0', '0', '0', '单选项-突发性发作，');
INSERT INTO `icss_question_detail` VALUES ('46508', 'N', '2019-04-02 10:07:32', '2019-04-02 10:07:32', '108', '108', '41035', '一过性发作，', '3', '0', '0', '0', '单选项-一过性发作，');
INSERT INTO `icss_question_detail` VALUES ('46509', 'N', '2019-04-02 10:07:32', '2019-04-02 10:07:32', '108', '108', '41035', '突然倒下，', '4', '0', '0', '0', '单选项-突然倒下，');
INSERT INTO `icss_question_detail` VALUES ('46510', 'N', '2019-04-02 10:07:56', '2019-04-02 10:07:56', '108', '108', '41036', '持续数分钟后缓解，', '1', '0', '0', '0', '单选项-持续数分钟后缓解，');
INSERT INTO `icss_question_detail` VALUES ('46511', 'N', '2019-04-02 10:07:56', '2019-04-02 10:07:56', '108', '108', '41036', '持续数秒钟后缓解，', '2', '0', '0', '0', '单选项-持续数秒钟后缓解，');
INSERT INTO `icss_question_detail` VALUES ('46528', 'N', '2019-04-02 10:09:32', '2019-04-02 10:09:32', '108', '108', '40137', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46529', 'N', '2019-04-02 10:09:32', '2019-04-02 10:09:32', '108', '108', '40137', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46545', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '口吐白沫，', '1', '0', '0', '0', '单选项-口吐白沫，');
INSERT INTO `icss_question_detail` VALUES ('46546', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '角弓反张，', '2', '0', '0', '0', '单选项-角弓反张，');
INSERT INTO `icss_question_detail` VALUES ('46547', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '牙关紧闭，', '3', '0', '0', '0', '单选项-牙关紧闭，');
INSERT INTO `icss_question_detail` VALUES ('46548', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '口唇发绀，', '4', '0', '0', '0', '单选项-口唇发绀，');
INSERT INTO `icss_question_detail` VALUES ('46549', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '小便失禁，', '5', '0', '0', '0', '单选项-小便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46550', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '大便失禁，', '6', '0', '0', '0', '单选项-大便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46551', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '呼之不应，', '7', '0', '0', '0', '单选项-呼之不应，');
INSERT INTO `icss_question_detail` VALUES ('46552', 'N', '2019-04-02 10:13:06', '2019-04-02 10:13:06', '108', '108', '40138', '眼球上翻，', '8', '0', '0', '0', '单选项-眼球上翻，');
INSERT INTO `icss_question_detail` VALUES ('46553', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '口吐白沫，', '1', '0', '0', '0', '单选项-口吐白沫，');
INSERT INTO `icss_question_detail` VALUES ('46554', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '角弓反张，', '2', '0', '0', '0', '单选项-角弓反张，');
INSERT INTO `icss_question_detail` VALUES ('46555', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '牙关紧闭，', '3', '0', '0', '0', '单选项-牙关紧闭，');
INSERT INTO `icss_question_detail` VALUES ('46556', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '口唇发绀，', '4', '0', '0', '0', '单选项-口唇发绀，');
INSERT INTO `icss_question_detail` VALUES ('46557', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '小便失禁，', '5', '0', '0', '0', '单选项-小便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46558', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '大便失禁，', '6', '0', '0', '0', '单选项-大便失禁，');
INSERT INTO `icss_question_detail` VALUES ('46559', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '呼之不应，', '7', '0', '0', '0', '单选项-呼之不应，');
INSERT INTO `icss_question_detail` VALUES ('46560', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '41038', '眼球上翻，', '8', '0', '0', '0', '单选项-眼球上翻，');
INSERT INTO `icss_question_detail` VALUES ('46561', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '四肢抽搐，', '1', '0', '0', '0', '单选项-四肢抽搐，');
INSERT INTO `icss_question_detail` VALUES ('46562', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '四肢无力，', '2', '0', '0', '0', '单选项-四肢无力，');
INSERT INTO `icss_question_detail` VALUES ('46563', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '血压下降，', '3', '0', '0', '0', '单选项-血压下降，');
INSERT INTO `icss_question_detail` VALUES ('46564', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '面色苍白，', '4', '0', '0', '0', '单选项-面色苍白，');
INSERT INTO `icss_question_detail` VALUES ('46565', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '出冷汗，', '5', '0', '0', '0', '单选项-出冷汗，');
INSERT INTO `icss_question_detail` VALUES ('46566', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '心率减慢，', '6', '0', '0', '0', '单选项-心率减慢，');
INSERT INTO `icss_question_detail` VALUES ('46567', 'N', '2019-04-02 10:13:29', '2019-04-02 10:13:29', '108', '108', '41037', '心率增快，', '7', '0', '0', '0', '单选项-心率增快，');
INSERT INTO `icss_question_detail` VALUES ('46568', 'N', '2019-04-02 13:13:42', '2019-04-02 13:13:42', '108', '108', '40127', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46569', 'N', '2019-04-02 13:13:42', '2019-04-02 13:13:42', '108', '108', '40127', '为', '2', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46570', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '阵发性发作，', '1', '0', '0', '0', '单选项-阵发性发作，');
INSERT INTO `icss_question_detail` VALUES ('46571', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '持续性发作，', '2', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('46572', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '阵发性加重发作，', '3', '0', '0', '0', '单选项-阵发性加重发作，');
INSERT INTO `icss_question_detail` VALUES ('46573', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '反复发作，', '4', '0', '0', '0', '单选项-反复发作，');
INSERT INTO `icss_question_detail` VALUES ('46574', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '间行性发作，', '5', '0', '0', '0', '单选项-间行性发作，');
INSERT INTO `icss_question_detail` VALUES ('46575', 'N', '2019-04-02 13:14:42', '2019-04-02 13:14:42', '108', '108', '40128', '慢性进行性发作，', '6', '0', '0', '0', '单选项-慢性进行性发作，');
INSERT INTO `icss_question_detail` VALUES ('46582', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '自身旋转，', '1', '0', '0', '0', '单选项-自身旋转，');
INSERT INTO `icss_question_detail` VALUES ('46583', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '浮动，', '2', '0', '0', '0', '单选项-浮动，');
INSERT INTO `icss_question_detail` VALUES ('46584', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '双下肢发软，', '3', '0', '0', '0', '单选项-双下肢发软，');
INSERT INTO `icss_question_detail` VALUES ('46585', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '站立不稳，', '4', '0', '0', '0', '单选项-站立不稳，');
INSERT INTO `icss_question_detail` VALUES ('46586', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '上下左右摇晃，', '5', '0', '0', '0', '单选项-上下左右摇晃，');
INSERT INTO `icss_question_detail` VALUES ('46587', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '倾斜，', '6', '0', '0', '0', '单选项-倾斜，');
INSERT INTO `icss_question_detail` VALUES ('46588', 'N', '2019-04-02 13:16:52', '2019-04-02 13:16:52', '108', '108', '41039', '自发倾倒，', '7', '0', '0', '0', '单选项-自发倾倒，');
INSERT INTO `icss_question_detail` VALUES ('46589', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '头位变化症状易发，', '1', '0', '0', '0', '单选项-头位变化症状易发，');
INSERT INTO `icss_question_detail` VALUES ('46590', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '不受头位变化影响，', '2', '0', '0', '0', '单选项-不受头位变化影响，');
INSERT INTO `icss_question_detail` VALUES ('46591', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '与体位无明显关系，', '3', '0', '0', '0', '单选项-与体位无明显关系，');
INSERT INTO `icss_question_detail` VALUES ('46592', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '颈部转动时易发，', '4', '0', '0', '0', '单选项-颈部转动时易发，');
INSERT INTO `icss_question_detail` VALUES ('46593', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '在起立或起床时发生，', '5', '0', '0', '0', '单选项-在起立或起床时发生，');
INSERT INTO `icss_question_detail` VALUES ('46594', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '41040', '常在乘行过程中发生，', '6', '0', '0', '0', '单选项-常在乘行过程中发生，');
INSERT INTO `icss_question_detail` VALUES ('46595', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '视力模糊，', '1', '0', '0', '0', '单选项-视力模糊，');
INSERT INTO `icss_question_detail` VALUES ('46596', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '恶心，', '2', '0', '0', '0', '单选项-恶心，');
INSERT INTO `icss_question_detail` VALUES ('46597', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '听力下降，', '3', '0', '0', '0', '单选项-听力下降，');
INSERT INTO `icss_question_detail` VALUES ('46598', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '共济失调，', '4', '0', '0', '0', '单选项-共济失调，');
INSERT INTO `icss_question_detail` VALUES ('46599', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '呕吐，', '5', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46600', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '耳鸣，', '6', '0', '0', '0', '单选项-耳鸣，');
INSERT INTO `icss_question_detail` VALUES ('46601', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '头痛，', '7', '0', '0', '0', '单选项-头痛，');
INSERT INTO `icss_question_detail` VALUES ('46602', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '眼球震颤，', '8', '0', '0', '0', '单选项-眼球震颤，');
INSERT INTO `icss_question_detail` VALUES ('46603', 'N', '2019-04-02 13:25:58', '2019-04-02 13:25:58', '108', '108', '40134', '视物旋转，', '9', '0', '0', '0', '单选项-视物旋转，');
INSERT INTO `icss_question_detail` VALUES ('46604', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '视力模糊，', '1', '0', '0', '0', '单选项-视力模糊，');
INSERT INTO `icss_question_detail` VALUES ('46605', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '恶心，', '2', '0', '0', '0', '单选项-恶心，');
INSERT INTO `icss_question_detail` VALUES ('46606', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '听力下降，', '3', '0', '0', '0', '单选项-听力下降，');
INSERT INTO `icss_question_detail` VALUES ('46607', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '共济失调，', '4', '0', '0', '0', '单选项-共济失调，');
INSERT INTO `icss_question_detail` VALUES ('46608', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '呕吐，', '5', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46609', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '耳鸣，', '6', '0', '0', '0', '单选项-耳鸣，');
INSERT INTO `icss_question_detail` VALUES ('46610', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '头痛，', '7', '0', '0', '0', '单选项-头痛，');
INSERT INTO `icss_question_detail` VALUES ('46611', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '眼球震颤，', '8', '0', '0', '0', '单选项-眼球震颤，');
INSERT INTO `icss_question_detail` VALUES ('46612', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '41041', '视物旋转，', '9', '0', '0', '0', '单选项-视物旋转，');
INSERT INTO `icss_question_detail` VALUES ('46613', 'N', '2019-04-02 15:02:41', '2019-04-02 15:02:41', '108', '108', '40133', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46614', 'N', '2019-04-02 15:02:41', '2019-04-02 15:02:41', '108', '108', '40133', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46615', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '阵发性发作，', '1', '0', '0', '0', '单选项-阵发性发作，');
INSERT INTO `icss_question_detail` VALUES ('46616', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '持续性发作，', '2', '0', '0', '0', '单选项-持续性发作，');
INSERT INTO `icss_question_detail` VALUES ('46617', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '阵发性加重', '3', '0', '0', '0', '单选项-阵发性加重');
INSERT INTO `icss_question_detail` VALUES ('46618', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '反复发作，', '4', '0', '0', '0', '单选项-反复发作，');
INSERT INTO `icss_question_detail` VALUES ('46619', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '间行性发作，', '5', '0', '0', '0', '单选项-间行性发作，');
INSERT INTO `icss_question_detail` VALUES ('46620', 'N', '2019-04-02 15:04:38', '2019-04-02 15:04:38', '108', '108', '40111', '慢性进行性发作，', '6', '0', '0', '0', '单选项-慢性进行性发作，');
INSERT INTO `icss_question_detail` VALUES ('46621', 'N', '2019-04-02 15:04:55', '2019-04-02 15:04:55', '108', '108', '41042', '为', '1', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46622', 'N', '2019-04-02 15:04:55', '2019-04-02 15:04:55', '108', '108', '41042', '呈', '2', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46623', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '前额部', '1', '0', '0', '0', '单选项-前额部');
INSERT INTO `icss_question_detail` VALUES ('46624', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '头顶部', '2', '0', '0', '0', '单选项-头顶部');
INSERT INTO `icss_question_detail` VALUES ('46625', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '后枕部', '3', '0', '0', '0', '单选项-后枕部');
INSERT INTO `icss_question_detail` VALUES ('46626', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '右侧颞部', '4', '0', '0', '0', '单选项-右侧颞部');
INSERT INTO `icss_question_detail` VALUES ('46627', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '左侧颞部', '5', '0', '0', '0', '单选项-左侧颞部');
INSERT INTO `icss_question_detail` VALUES ('46628', 'N', '2019-04-02 15:12:09', '2019-04-02 15:12:09', '108', '108', '40112', '全头部', '6', '0', '0', '0', '单选项-全头部');
INSERT INTO `icss_question_detail` VALUES ('46639', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '跳痛', '1', '0', '0', '0', '单选项-跳痛');
INSERT INTO `icss_question_detail` VALUES ('46640', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '紧箍痛', '2', '0', '0', '0', '单选项-紧箍痛');
INSERT INTO `icss_question_detail` VALUES ('46641', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '胀痛', '3', '0', '0', '0', '单选项-胀痛');
INSERT INTO `icss_question_detail` VALUES ('46642', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '爆裂样痛', '4', '0', '0', '0', '单选项-爆裂样痛');
INSERT INTO `icss_question_detail` VALUES ('46643', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '针刺样痛', '5', '0', '0', '0', '单选项-针刺样痛');
INSERT INTO `icss_question_detail` VALUES ('46644', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '牵扯样痛', '6', '0', '0', '0', '单选项-牵扯样痛');
INSERT INTO `icss_question_detail` VALUES ('46645', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '压迫样痛', '7', '0', '0', '0', '单选项-压迫样痛');
INSERT INTO `icss_question_detail` VALUES ('46646', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '钝痛', '8', '0', '0', '0', '单选项-钝痛');
INSERT INTO `icss_question_detail` VALUES ('46647', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '隐痛', '9', '0', '0', '0', '单选项-隐痛');
INSERT INTO `icss_question_detail` VALUES ('46648', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '电击样痛', '10', '0', '0', '0', '单选项-电击样痛');
INSERT INTO `icss_question_detail` VALUES ('46649', 'N', '2019-04-02 15:18:25', '2019-04-02 15:18:25', '108', '108', '40114', '搏动性痛', '11', '0', '0', '0', '单选项-搏动性痛');
INSERT INTO `icss_question_detail` VALUES ('46658', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '发热，', '1', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46659', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '视物模糊，', '2', '0', '0', '0', '单选项-视物模糊，');
INSERT INTO `icss_question_detail` VALUES ('46660', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '畏光，', '3', '0', '0', '0', '单选项-畏光，');
INSERT INTO `icss_question_detail` VALUES ('46661', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '恐声，', '4', '0', '0', '0', '单选项-恐声，');
INSERT INTO `icss_question_detail` VALUES ('46662', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '意识障碍，', '5', '0', '0', '0', '单选项-意识障碍，');
INSERT INTO `icss_question_detail` VALUES ('46663', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '抽搐，', '6', '0', '0', '0', '单选项-抽搐，');
INSERT INTO `icss_question_detail` VALUES ('46664', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '偏瘫，', '7', '0', '0', '0', '单选项-偏瘫，');
INSERT INTO `icss_question_detail` VALUES ('46665', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '41043', '精神行为异常，', '8', '0', '0', '0', '单选项-精神行为异常，');
INSERT INTO `icss_question_detail` VALUES ('46666', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '恶心感，', '1', '0', '0', '0', '单选项-恶心感，');
INSERT INTO `icss_question_detail` VALUES ('46667', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '呕吐，', '2', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46668', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '头昏，', '3', '0', '0', '0', '单选项-头昏，');
INSERT INTO `icss_question_detail` VALUES ('46669', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '眼睛发红，', '4', '0', '0', '0', '单选项-眼睛发红，');
INSERT INTO `icss_question_detail` VALUES ('46670', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '流泪，', '5', '0', '0', '0', '单选项-流泪，');
INSERT INTO `icss_question_detail` VALUES ('46671', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '面部出汗，', '6', '0', '0', '0', '单选项-面部出汗，');
INSERT INTO `icss_question_detail` VALUES ('46672', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '眩晕，', '7', '0', '0', '0', '单选项-眩晕，');
INSERT INTO `icss_question_detail` VALUES ('46673', 'N', '2019-04-02 15:21:26', '2019-04-02 15:21:26', '108', '108', '40118', '畏臭（香水、汽油、烟味等），', '8', '0', '0', '0', '单选项-畏臭（香水、汽油、烟味等），');
INSERT INTO `icss_question_detail` VALUES ('46674', 'N', '2019-04-02 15:21:44', '2019-04-02 15:21:44', '108', '108', '40116', '疼痛好转，', '1', '0', '0', '0', '单选项-疼痛好转，');
INSERT INTO `icss_question_detail` VALUES ('46675', 'N', '2019-04-02 15:21:44', '2019-04-02 15:21:44', '108', '108', '40116', '疼痛加重，', '2', '0', '0', '0', '单选项-疼痛加重，');
INSERT INTO `icss_question_detail` VALUES ('46676', 'N', '2019-04-02 15:21:44', '2019-04-02 15:21:44', '108', '108', '40116', '疼痛不变，', '3', '0', '0', '0', '单选项-疼痛不变，');
INSERT INTO `icss_question_detail` VALUES ('46677', 'N', '2019-04-02 15:22:19', '2019-04-02 15:22:19', '108', '108', '40117', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46678', 'N', '2019-04-02 15:22:19', '2019-04-02 15:22:19', '108', '108', '40117', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46679', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '脑力活动后', '1', '0', '0', '0', '单选项-脑力活动后');
INSERT INTO `icss_question_detail` VALUES ('46680', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '体力活动后', '2', '0', '0', '0', '单选项-体力活动后');
INSERT INTO `icss_question_detail` VALUES ('46681', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '睡眠后', '3', '0', '0', '0', '单选项-睡眠后');
INSERT INTO `icss_question_detail` VALUES ('46682', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '按摩后', '4', '0', '0', '0', '单选项-按摩后');
INSERT INTO `icss_question_detail` VALUES ('46683', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '冷敷后', '5', '0', '0', '0', '单选项-冷敷后');
INSERT INTO `icss_question_detail` VALUES ('46684', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '热敷后', '6', '0', '0', '0', '单选项-热敷后');
INSERT INTO `icss_question_detail` VALUES ('46685', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '睡眠后', '7', '0', '0', '0', '单选项-睡眠后');
INSERT INTO `icss_question_detail` VALUES ('46686', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '四处活动后', '8', '0', '0', '0', '单选项-四处活动后');
INSERT INTO `icss_question_detail` VALUES ('46687', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '41044', '分散注意力后', '9', '0', '0', '0', '单选项-分散注意力后');
INSERT INTO `icss_question_detail` VALUES ('46688', 'N', '2019-04-02 15:31:33', '2019-04-02 15:31:33', '108', '108', '41045', '疼痛好转，', '1', '0', '0', '0', '单选项-疼痛好转，');
INSERT INTO `icss_question_detail` VALUES ('46689', 'N', '2019-04-02 15:31:33', '2019-04-02 15:31:33', '108', '108', '41045', '疼痛加重，', '2', '0', '0', '0', '单选项-疼痛加重，');
INSERT INTO `icss_question_detail` VALUES ('46690', 'N', '2019-04-02 15:31:33', '2019-04-02 15:31:33', '108', '108', '41045', '疼痛不变，', '3', '0', '0', '0', '单选项-疼痛不变，');
INSERT INTO `icss_question_detail` VALUES ('46691', 'N', '2019-04-02 15:32:14', '2019-04-02 15:32:14', '108', '108', '41046', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46692', 'N', '2019-04-02 15:32:14', '2019-04-02 15:32:14', '108', '108', '41046', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46693', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '恶心感，', '1', '0', '0', '0', '单选项-恶心感，');
INSERT INTO `icss_question_detail` VALUES ('46694', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '呕吐，', '2', '0', '0', '0', '单选项-呕吐，');
INSERT INTO `icss_question_detail` VALUES ('46695', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '头昏，', '3', '0', '0', '0', '单选项-头昏，');
INSERT INTO `icss_question_detail` VALUES ('46696', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '眼睛发红，', '4', '0', '0', '0', '单选项-眼睛发红，');
INSERT INTO `icss_question_detail` VALUES ('46697', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '流泪，', '5', '0', '0', '0', '单选项-流泪，');
INSERT INTO `icss_question_detail` VALUES ('46698', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '面部出汗，', '6', '0', '0', '0', '单选项-面部出汗，');
INSERT INTO `icss_question_detail` VALUES ('46699', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '眩晕，', '7', '0', '0', '0', '单选项-眩晕，');
INSERT INTO `icss_question_detail` VALUES ('46700', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '41047', '畏臭（香水、汽油、烟味等），', '8', '0', '0', '0', '单选项-畏臭（香水、汽油、烟味等），');
INSERT INTO `icss_question_detail` VALUES ('46708', 'N', '2019-04-02 15:46:39', '2019-04-02 15:46:39', '108', '108', '40122', '与月经有关', '1', '0', '0', '0', '单选项-与月经有关');
INSERT INTO `icss_question_detail` VALUES ('46709', 'N', '2019-04-02 15:46:39', '2019-04-02 15:46:39', '108', '108', '40122', '活动后加重', '2', '0', '0', '0', '单选项-活动后加重');
INSERT INTO `icss_question_detail` VALUES ('46710', 'N', '2019-04-02 15:46:50', '2019-04-02 15:46:50', '108', '108', '40121', '呈季节性发作，', '1', '0', '0', '0', '单选项-呈季节性发作，');
INSERT INTO `icss_question_detail` VALUES ('46711', 'N', '2019-04-02 15:46:50', '2019-04-02 15:46:50', '108', '108', '40121', '呈周期性发作，', '2', '0', '0', '0', '单选项-呈周期性发作，');
INSERT INTO `icss_question_detail` VALUES ('46712', 'N', '2019-04-02 15:46:50', '2019-04-02 15:46:50', '108', '108', '40121', '无规律，', '3', '0', '0', '0', '单选项-无规律，');
INSERT INTO `icss_question_detail` VALUES ('46713', 'N', '2019-04-02 15:46:50', '2019-04-02 15:46:50', '108', '108', '40121', '每天定时，', '4', '0', '0', '0', '单选项-每天定时，');
INSERT INTO `icss_question_detail` VALUES ('46714', 'N', '2019-04-02 15:46:50', '2019-04-02 15:46:50', '108', '108', '40121', '自行缓解，', '5', '0', '0', '0', '单选项-自行缓解，');
INSERT INTO `icss_question_detail` VALUES ('46716', 'N', '2019-04-02 15:49:22', '2019-04-02 15:49:22', '108', '108', '40109', '疼痛发作持续()分钟，', '1', '0', '0', '0', '单选项-疼痛发作持续()分钟，');
INSERT INTO `icss_question_detail` VALUES ('46717', 'N', '2019-04-02 15:55:35', '2019-04-02 15:55:35', '108', '108', '41048', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46718', 'N', '2019-04-02 15:55:35', '2019-04-02 15:55:35', '108', '108', '41048', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46721', 'N', '2019-04-02 16:35:45', '2019-04-02 16:35:45', '108', '108', '41053', '表现为', '1', '0', '0', '0', '单选项-表现为');
INSERT INTO `icss_question_detail` VALUES ('46722', 'N', '2019-04-02 16:35:45', '2019-04-02 16:35:45', '108', '108', '41053', '呈', '2', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46723', 'N', '2019-04-02 16:36:32', '2019-04-02 16:36:32', '108', '108', '41054', '持续性尿频，', '1', '0', '0', '0', '单选项-持续性尿频，');
INSERT INTO `icss_question_detail` VALUES ('46724', 'N', '2019-04-02 16:36:32', '2019-04-02 16:36:32', '108', '108', '41054', '排尿次数增多，', '2', '0', '0', '0', '单选项-排尿次数增多，');
INSERT INTO `icss_question_detail` VALUES ('46725', 'N', '2019-04-02 16:36:32', '2019-04-02 16:36:32', '108', '108', '41054', '仅有尿意，', '3', '0', '0', '0', '单选项-仅有尿意，');
INSERT INTO `icss_question_detail` VALUES ('46726', 'N', '2019-04-02 16:36:32', '2019-04-02 16:36:32', '108', '108', '41054', '夜间尿频，', '4', '0', '0', '0', '单选项-夜间尿频，');
INSERT INTO `icss_question_detail` VALUES ('46727', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '41055', '每次尿量增多', '1', '0', '0', '0', '单选项-每次尿量增多');
INSERT INTO `icss_question_detail` VALUES ('46728', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '41055', '每次尿量正常', '2', '0', '0', '0', '单选项-每次尿量正常');
INSERT INTO `icss_question_detail` VALUES ('46729', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '41055', '每次尿量不少', '3', '0', '0', '0', '单选项-每次尿量不少');
INSERT INTO `icss_question_detail` VALUES ('46730', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '41055', '每次尿量少', '4', '0', '0', '0', '单选项-每次尿量少');
INSERT INTO `icss_question_detail` VALUES ('46731', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '41055', '无尿液排出', '5', '0', '0', '0', '单选项-无尿液排出');
INSERT INTO `icss_question_detail` VALUES ('46732', 'N', '2019-04-02 16:37:43', '2019-04-02 16:37:43', '108', '108', '41056', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46733', 'N', '2019-04-02 16:37:43', '2019-04-02 16:37:43', '108', '108', '41056', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46734', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '午后低热，', '1', '0', '0', '0', '单选项-午后低热，');
INSERT INTO `icss_question_detail` VALUES ('46735', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '多饮多尿，', '2', '0', '0', '0', '单选项-多饮多尿，');
INSERT INTO `icss_question_detail` VALUES ('46736', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '口渴，', '3', '0', '0', '0', '单选项-口渴，');
INSERT INTO `icss_question_detail` VALUES ('46737', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '盗汗，', '4', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('46738', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '尿线细，', '5', '0', '0', '0', '单选项-尿线细，');
INSERT INTO `icss_question_detail` VALUES ('46739', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '进行性排尿困难，', '6', '0', '0', '0', '单选项-进行性排尿困难，');
INSERT INTO `icss_question_detail` VALUES ('46740', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '尿流突然中断，', '7', '0', '0', '0', '单选项-尿流突然中断，');
INSERT INTO `icss_question_detail` VALUES ('46741', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '41057', '乏力，', '8', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('46742', 'N', '2019-04-02 16:41:47', '2019-04-02 16:41:47', '108', '108', '29797', '表现为', '1', '0', '0', '0', '单选项-表现为');
INSERT INTO `icss_question_detail` VALUES ('46743', 'N', '2019-04-02 16:44:39', '2019-04-02 16:44:39', '108', '108', '29798', '无痛性血尿，', '1', '0', '0', '0', '单选项-无痛性血尿，');
INSERT INTO `icss_question_detail` VALUES ('46744', 'N', '2019-04-02 16:44:39', '2019-04-02 16:44:39', '108', '108', '29798', '运动后血尿，', '2', '0', '0', '0', '单选项-运动后血尿，');
INSERT INTO `icss_question_detail` VALUES ('46745', 'N', '2019-04-02 16:44:39', '2019-04-02 16:44:39', '108', '108', '29798', '无症状血尿，', '3', '0', '0', '0', '单选项-无症状血尿，');
INSERT INTO `icss_question_detail` VALUES ('46746', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '腹部疼痛，', '1', '0', '0', '0', '单选项-腹部疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46747', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '脐周疼痛，', '2', '0', '0', '0', '单选项-脐周疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46748', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '输尿管巡行周边疼痛，', '3', '0', '0', '0', '单选项-输尿管巡行周边疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46749', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '腰腹部疼痛，', '4', '0', '0', '0', '单选项-腰腹部疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46750', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '肾绞痛，', '5', '0', '0', '0', '单选项-肾绞痛，');
INSERT INTO `icss_question_detail` VALUES ('46751', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '尿痛，', '6', '0', '0', '0', '单选项-尿痛，');
INSERT INTO `icss_question_detail` VALUES ('46752', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '排尿困难，', '7', '0', '0', '0', '单选项-排尿困难，');
INSERT INTO `icss_question_detail` VALUES ('46753', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '排尿不畅，', '8', '0', '0', '0', '单选项-排尿不畅，');
INSERT INTO `icss_question_detail` VALUES ('46754', 'N', '2019-04-02 16:44:56', '2019-04-02 16:44:56', '108', '108', '29801', '尿急，', '9', '0', '0', '0', '单选项-尿急，');
INSERT INTO `icss_question_detail` VALUES ('46755', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '腹部疼痛，', '1', '0', '0', '0', '单选项-腹部疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46756', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '脐周疼痛，', '2', '0', '0', '0', '单选项-脐周疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46757', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '输尿管巡行周边疼痛，', '3', '0', '0', '0', '单选项-输尿管巡行周边疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46758', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '腰腹部疼痛，', '4', '0', '0', '0', '单选项-腰腹部疼痛，');
INSERT INTO `icss_question_detail` VALUES ('46759', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '肾绞痛，', '5', '0', '0', '0', '单选项-肾绞痛，');
INSERT INTO `icss_question_detail` VALUES ('46760', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '尿痛，', '6', '0', '0', '0', '单选项-尿痛，');
INSERT INTO `icss_question_detail` VALUES ('46761', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '排尿困难', '7', '0', '0', '0', '单选项-排尿困难');
INSERT INTO `icss_question_detail` VALUES ('46762', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '排尿不畅，', '8', '0', '0', '0', '单选项-排尿不畅，');
INSERT INTO `icss_question_detail` VALUES ('46763', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '41058', '尿急，', '9', '0', '0', '0', '单选项-尿急，');
INSERT INTO `icss_question_detail` VALUES ('46764', 'N', '2019-04-02 16:46:35', '2019-04-02 16:46:35', '108', '108', '41059', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46765', 'N', '2019-04-02 16:46:35', '2019-04-02 16:46:35', '108', '108', '41059', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46772', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为排尿起始段血尿，', '1', '0', '0', '0', '单选项-为排尿起始段血尿，');
INSERT INTO `icss_question_detail` VALUES ('46773', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为排尿中段血尿，', '2', '0', '0', '0', '单选项-为排尿中段血尿，');
INSERT INTO `icss_question_detail` VALUES ('46774', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为排尿终末段血尿，', '3', '0', '0', '0', '单选项-为排尿终末段血尿，');
INSERT INTO `icss_question_detail` VALUES ('46775', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为初始血尿，', '4', '0', '0', '0', '单选项-为初始血尿，');
INSERT INTO `icss_question_detail` VALUES ('46776', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为终末血尿，', '5', '0', '0', '0', '单选项-为终末血尿，');
INSERT INTO `icss_question_detail` VALUES ('46777', 'N', '2019-04-02 16:53:41', '2019-04-02 16:53:41', '108', '108', '29802', '为全程血尿，', '6', '0', '0', '0', '单选项-为全程血尿，');
INSERT INTO `icss_question_detail` VALUES ('46778', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈鲜红色，', '1', '0', '0', '0', '单选项-呈鲜红色，');
INSERT INTO `icss_question_detail` VALUES ('46779', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈淡红色，', '2', '0', '0', '0', '单选项-呈淡红色，');
INSERT INTO `icss_question_detail` VALUES ('46780', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈暗红色，', '3', '0', '0', '0', '单选项-呈暗红色，');
INSERT INTO `icss_question_detail` VALUES ('46781', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈棕红色，', '4', '0', '0', '0', '单选项-呈棕红色，');
INSERT INTO `icss_question_detail` VALUES ('46782', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈酱油色，', '5', '0', '0', '0', '单选项-呈酱油色，');
INSERT INTO `icss_question_detail` VALUES ('46783', 'N', '2019-04-02 16:54:06', '2019-04-02 16:54:06', '108', '108', '29803', '呈黑色，', '6', '0', '0', '0', '单选项-呈黑色，');
INSERT INTO `icss_question_detail` VALUES ('46784', 'N', '2019-04-02 16:54:33', '2019-04-02 16:54:33', '108', '108', '41060', '有', '1', '0', '0', '0', '单选项-有');
INSERT INTO `icss_question_detail` VALUES ('46785', 'N', '2019-04-02 16:54:33', '2019-04-02 16:54:33', '108', '108', '41060', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46786', 'N', '2019-04-02 16:54:33', '2019-04-02 16:54:33', '108', '108', '41060', '可见', '3', '0', '0', '0', '单选项-可见');
INSERT INTO `icss_question_detail` VALUES ('46787', 'N', '2019-04-02 16:54:33', '2019-04-02 16:54:33', '108', '108', '41060', '未见', '4', '0', '0', '0', '单选项-未见');
INSERT INTO `icss_question_detail` VALUES ('46788', 'N', '2019-04-02 16:55:23', '2019-04-02 16:55:23', '108', '108', '41061', '絮状物，', '1', '0', '0', '0', '单选项-絮状物，');
INSERT INTO `icss_question_detail` VALUES ('46789', 'N', '2019-04-02 16:55:23', '2019-04-02 16:55:23', '108', '108', '41061', '颗粒，', '2', '0', '0', '0', '单选项-颗粒，');
INSERT INTO `icss_question_detail` VALUES ('46790', 'N', '2019-04-02 16:55:23', '2019-04-02 16:55:23', '108', '108', '41061', '结石，', '3', '0', '0', '0', '单选项-结石，');
INSERT INTO `icss_question_detail` VALUES ('46791', 'N', '2019-04-02 16:55:23', '2019-04-02 16:55:23', '108', '108', '41061', '结晶体，', '4', '0', '0', '0', '单选项-结晶体，');
INSERT INTO `icss_question_detail` VALUES ('46792', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '阵发性', '1', '0', '0', '0', '单选项-阵发性');
INSERT INTO `icss_question_detail` VALUES ('46793', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '游走性', '2', '0', '0', '0', '单选项-游走性');
INSERT INTO `icss_question_detail` VALUES ('46794', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '持续性', '3', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('46795', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '间歇性', '4', '0', '0', '0', '单选项-间歇性');
INSERT INTO `icss_question_detail` VALUES ('46796', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '发作性', '5', '0', '0', '0', '单选项-发作性');
INSERT INTO `icss_question_detail` VALUES ('46797', 'N', '2019-04-02 17:00:13', '2019-04-02 17:00:13', '108', '108', '40894', '交锁性', '6', '0', '0', '0', '单选项-交锁性');
INSERT INTO `icss_question_detail` VALUES ('46798', 'N', '2019-04-02 17:21:30', '2019-04-02 17:21:30', '108', '108', '41062', '为', '1', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46799', 'N', '2019-04-02 17:21:30', '2019-04-02 17:21:30', '108', '108', '41062', '呈', '2', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46800', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '上背部', '1', '0', '0', '0', '单选项-上背部');
INSERT INTO `icss_question_detail` VALUES ('46801', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '下背部', '2', '0', '0', '0', '单选项-下背部');
INSERT INTO `icss_question_detail` VALUES ('46802', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '胸背部', '3', '0', '0', '0', '单选项-胸背部');
INSERT INTO `icss_question_detail` VALUES ('46803', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '肩胛区', '4', '0', '0', '0', '单选项-肩胛区');
INSERT INTO `icss_question_detail` VALUES ('46804', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '尾椎处', '5', '0', '0', '0', '单选项-尾椎处');
INSERT INTO `icss_question_detail` VALUES ('46805', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '骶骨处', '6', '0', '0', '0', '单选项-骶骨处');
INSERT INTO `icss_question_detail` VALUES ('46806', 'N', '2019-04-02 17:22:05', '2019-04-02 17:22:05', '108', '108', '29792', '腰背部', '7', '0', '0', '0', '单选项-腰背部');
INSERT INTO `icss_question_detail` VALUES ('46807', 'N', '2019-04-02 17:22:58', '2019-04-02 17:22:58', '108', '108', '41063', '急性', '1', '0', '0', '0', '单选项-急性');
INSERT INTO `icss_question_detail` VALUES ('46808', 'N', '2019-04-02 17:22:58', '2019-04-02 17:22:58', '108', '108', '41063', '慢性', '2', '0', '0', '0', '单选项-慢性');
INSERT INTO `icss_question_detail` VALUES ('46809', 'N', '2019-04-02 17:22:58', '2019-04-02 17:22:58', '108', '108', '41063', '持续性', '3', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('46810', 'N', '2019-04-02 17:22:58', '2019-04-02 17:22:58', '108', '108', '41063', '间歇性', '4', '0', '0', '0', '单选项-间歇性');
INSERT INTO `icss_question_detail` VALUES ('46811', 'N', '2019-04-02 17:26:56', '2019-04-02 17:26:56', '108', '108', '41065', '疼痛局限于背部，', '1', '0', '0', '0', '单选项-疼痛局限于背部，');
INSERT INTO `icss_question_detail` VALUES ('46812', 'N', '2019-04-02 17:26:56', '2019-04-02 17:26:56', '108', '108', '41065', '疼痛沿脊柱向腿部放射，', '2', '0', '0', '0', '单选项-疼痛沿脊柱向腿部放射，');
INSERT INTO `icss_question_detail` VALUES ('46813', 'N', '2019-04-02 17:28:11', '2019-04-02 17:28:11', '108', '108', '41066', '弯腰时', '1', '0', '0', '0', '单选项-弯腰时');
INSERT INTO `icss_question_detail` VALUES ('46814', 'N', '2019-04-02 17:28:11', '2019-04-02 17:28:11', '108', '108', '41066', '抬东西时', '2', '0', '0', '0', '单选项-抬东西时');
INSERT INTO `icss_question_detail` VALUES ('46815', 'N', '2019-04-02 17:28:11', '2019-04-02 17:28:11', '108', '108', '41066', '休息后', '3', '0', '0', '0', '单选项-休息后');
INSERT INTO `icss_question_detail` VALUES ('46816', 'N', '2019-04-02 17:28:11', '2019-04-02 17:28:11', '108', '108', '41066', '体力劳动后', '4', '0', '0', '0', '单选项-体力劳动后');
INSERT INTO `icss_question_detail` VALUES ('46817', 'N', '2019-04-02 17:28:57', '2019-04-02 17:28:57', '108', '108', '41067', '疼痛缓解', '1', '0', '0', '0', '单选项-疼痛缓解');
INSERT INTO `icss_question_detail` VALUES ('46818', 'N', '2019-04-02 17:28:57', '2019-04-02 17:28:57', '108', '108', '41067', '疼痛加重', '2', '0', '0', '0', '单选项-疼痛加重');
INSERT INTO `icss_question_detail` VALUES ('46819', 'N', '2019-04-02 17:28:57', '2019-04-02 17:28:57', '108', '108', '41067', '疼痛无明显改善', '3', '0', '0', '0', '单选项-疼痛无明显改善');
INSERT INTO `icss_question_detail` VALUES ('46820', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '全身皮肤', '1', '0', '0', '0', '单选项-全身皮肤');
INSERT INTO `icss_question_detail` VALUES ('46821', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '四肢皮肤', '2', '0', '0', '0', '单选项-四肢皮肤');
INSERT INTO `icss_question_detail` VALUES ('46822', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '黏膜', '3', '0', '0', '0', '单选项-黏膜');
INSERT INTO `icss_question_detail` VALUES ('46823', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '巩膜', '4', '0', '0', '0', '单选项-巩膜');
INSERT INTO `icss_question_detail` VALUES ('46824', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '躯干', '5', '0', '0', '0', '单选项-躯干');
INSERT INTO `icss_question_detail` VALUES ('46825', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '41068', '头面部', '6', '0', '0', '0', '单选项-头面部');
INSERT INTO `icss_question_detail` VALUES ('46828', 'N', '2019-04-02 17:36:50', '2019-04-02 17:36:50', '108', '108', '29776', '有黄染，', '1', '0', '0', '0', '单选项-有黄染，');
INSERT INTO `icss_question_detail` VALUES ('46829', 'N', '2019-04-02 17:36:50', '2019-04-02 17:36:50', '108', '108', '29776', '无黄染，', '2', '0', '0', '0', '单选项-无黄染，');
INSERT INTO `icss_question_detail` VALUES ('46830', 'N', '2019-04-02 17:39:11', '2019-04-02 17:39:11', '108', '108', '41070', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46831', 'N', '2019-04-02 17:39:11', '2019-04-02 17:39:11', '108', '108', '41070', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46839', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '头晕，', '1', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('46840', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '呼吸困难，', '2', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46841', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '心悸，', '3', '0', '0', '0', '单选项-心悸，');
INSERT INTO `icss_question_detail` VALUES ('46842', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '腹泻，', '4', '0', '0', '0', '单选项-腹泻，');
INSERT INTO `icss_question_detail` VALUES ('46843', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '便秘，', '5', '0', '0', '0', '单选项-便秘，');
INSERT INTO `icss_question_detail` VALUES ('46844', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '尿黄，', '6', '0', '0', '0', '单选项-尿黄，');
INSERT INTO `icss_question_detail` VALUES ('46845', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '41072', '大便颜色改变，', '7', '0', '0', '0', '单选项-大便颜色改变，');
INSERT INTO `icss_question_detail` VALUES ('46846', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '贫血，', '1', '0', '0', '0', '单选项-贫血，');
INSERT INTO `icss_question_detail` VALUES ('46847', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '脾肿大，', '2', '0', '0', '0', '单选项-脾肿大，');
INSERT INTO `icss_question_detail` VALUES ('46848', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '发热，', '3', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('46849', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '肝肿大，', '4', '0', '0', '0', '单选项-肝肿大，');
INSERT INTO `icss_question_detail` VALUES ('46850', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '淋巴结肿大，', '5', '0', '0', '0', '单选项-淋巴结肿大，');
INSERT INTO `icss_question_detail` VALUES ('46851', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '皮肤瘙痒，', '6', '0', '0', '0', '单选项-皮肤瘙痒，');
INSERT INTO `icss_question_detail` VALUES ('46852', 'N', '2019-04-02 17:41:02', '2019-04-02 17:41:02', '108', '108', '41071', '紫癜，', '7', '0', '0', '0', '单选项-紫癜，');
INSERT INTO `icss_question_detail` VALUES ('46853', 'N', '2019-04-03 09:20:35', '2019-04-03 09:20:35', '108', '108', '29772', '表现为', '1', '0', '0', '0', '单选项-表现为');
INSERT INTO `icss_question_detail` VALUES ('46854', 'N', '2019-04-03 09:20:35', '2019-04-03 09:20:35', '108', '108', '29772', '呈', '2', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46855', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '便秘腹泻交替，', '1', '0', '0', '0', '单选项-便秘腹泻交替，');
INSERT INTO `icss_question_detail` VALUES ('46856', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '排便次数减少，每周少于3次', '2', '0', '0', '0', '单选项-排便次数减少，每周少于3次');
INSERT INTO `icss_question_detail` VALUES ('46857', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '需要手指辅助排便，', '3', '0', '0', '0', '单选项-需要手指辅助排便，');
INSERT INTO `icss_question_detail` VALUES ('46858', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '排便为块状或粪便干结，', '4', '0', '0', '0', '单选项-排便为块状或粪便干结，');
INSERT INTO `icss_question_detail` VALUES ('46859', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '便秘、腹泻交替，', '5', '0', '0', '0', '单选项-便秘、腹泻交替，');
INSERT INTO `icss_question_detail` VALUES ('46860', 'N', '2019-04-03 09:26:34', '2019-04-03 09:26:34', '108', '108', '29773', '约（）天排便一次，', '6', '0', '0', '0', '单选项-约（）天排便一次，');
INSERT INTO `icss_question_detail` VALUES ('46861', 'N', '2019-04-03 09:27:07', '2019-04-03 09:27:07', '108', '108', '41073', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46862', 'N', '2019-04-03 09:27:07', '2019-04-03 09:27:07', '108', '108', '41073', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46863', 'N', '2019-04-03 09:28:17', '2019-04-03 09:28:17', '108', '108', '41074', '便后滴血，', '1', '0', '0', '0', '单选项-便后滴血，');
INSERT INTO `icss_question_detail` VALUES ('46864', 'N', '2019-04-03 09:28:17', '2019-04-03 09:28:17', '108', '108', '41074', '排便费力，', '2', '0', '0', '0', '单选项-排便费力，');
INSERT INTO `icss_question_detail` VALUES ('46865', 'N', '2019-04-03 09:28:17', '2019-04-03 09:28:17', '108', '108', '41074', '排便不尽感，', '3', '0', '0', '0', '单选项-排便不尽感，');
INSERT INTO `icss_question_detail` VALUES ('46866', 'N', '2019-04-03 09:38:23', '2019-04-03 09:38:23', '108', '108', '41075', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46867', 'N', '2019-04-03 09:38:23', '2019-04-03 09:38:23', '108', '108', '41075', '为', '2', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46868', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '洗肉水样便，', '1', '0', '0', '0', '单选项-洗肉水样便，');
INSERT INTO `icss_question_detail` VALUES ('46869', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '水样便，', '2', '0', '0', '0', '单选项-水样便，');
INSERT INTO `icss_question_detail` VALUES ('46870', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '脓血样便，', '3', '0', '0', '0', '单选项-脓血样便，');
INSERT INTO `icss_question_detail` VALUES ('46871', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '糊状便，', '4', '0', '0', '0', '单选项-糊状便，');
INSERT INTO `icss_question_detail` VALUES ('46872', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '果酱样便，', '5', '0', '0', '0', '单选项-果酱样便，');
INSERT INTO `icss_question_detail` VALUES ('46873', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '米泔水样便，', '6', '0', '0', '0', '单选项-米泔水样便，');
INSERT INTO `icss_question_detail` VALUES ('46874', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '蛋花汤样便，', '7', '0', '0', '0', '单选项-蛋花汤样便，');
INSERT INTO `icss_question_detail` VALUES ('46875', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '粘液脓血便，', '8', '0', '0', '0', '单选项-粘液脓血便，');
INSERT INTO `icss_question_detail` VALUES ('46876', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '黏液便，', '9', '0', '0', '0', '单选项-黏液便，');
INSERT INTO `icss_question_detail` VALUES ('46877', 'N', '2019-04-03 09:38:43', '2019-04-03 09:38:43', '108', '108', '474', '黄稀便，', '10', '0', '0', '0', '单选项-黄稀便，');
INSERT INTO `icss_question_detail` VALUES ('46878', 'N', '2019-04-03 09:39:23', '2019-04-03 09:39:23', '108', '108', '41076', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46879', 'N', '2019-04-03 09:39:23', '2019-04-03 09:39:23', '108', '108', '41076', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46880', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '里急后重，', '1', '0', '0', '0', '单选项-里急后重，');
INSERT INTO `icss_question_detail` VALUES ('46881', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '消瘦，', '2', '0', '0', '0', '单选项-消瘦，');
INSERT INTO `icss_question_detail` VALUES ('46882', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '腹部包块，', '3', '0', '0', '0', '单选项-腹部包块，');
INSERT INTO `icss_question_detail` VALUES ('46883', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '盗汗，', '4', '0', '0', '0', '单选项-盗汗，');
INSERT INTO `icss_question_detail` VALUES ('46884', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '贫血，', '5', '0', '0', '0', '单选项-贫血，');
INSERT INTO `icss_question_detail` VALUES ('46885', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '41077', '便血，', '6', '0', '0', '0', '单选项-便血，');
INSERT INTO `icss_question_detail` VALUES ('46896', 'N', '2019-04-03 09:50:48', '2019-04-03 09:50:48', '108', '108', '29718', '有黑便', '1', '0', '0', '0', '单选项-有黑便');
INSERT INTO `icss_question_detail` VALUES ('46897', 'N', '2019-04-03 09:50:48', '2019-04-03 09:50:48', '108', '108', '29718', '无黑便', '2', '0', '0', '0', '单选项-无黑便');
INSERT INTO `icss_question_detail` VALUES ('46899', 'N', '2019-04-03 09:58:04', '2019-04-03 09:58:04', '108', '108', '29716', '有血凝块，', '1', '0', '0', '0', '单选项-有血凝块，');
INSERT INTO `icss_question_detail` VALUES ('46900', 'N', '2019-04-03 09:58:04', '2019-04-03 09:58:04', '108', '108', '29716', '无血凝块，', '2', '0', '0', '0', '单选项-无血凝块，');
INSERT INTO `icss_question_detail` VALUES ('46901', 'N', '2019-04-03 09:58:10', '2019-04-03 09:58:10', '108', '108', '29715', '鲜红色血，', '1', '0', '0', '0', '单选项-鲜红色血，');
INSERT INTO `icss_question_detail` VALUES ('46902', 'N', '2019-04-03 09:58:10', '2019-04-03 09:58:10', '108', '108', '29715', '暗红色物质，', '2', '0', '0', '0', '单选项-暗红色物质，');
INSERT INTO `icss_question_detail` VALUES ('46903', 'N', '2019-04-03 09:58:10', '2019-04-03 09:58:10', '108', '108', '29715', '棕褐色物质，', '3', '0', '0', '0', '单选项-棕褐色物质，');
INSERT INTO `icss_question_detail` VALUES ('46904', 'N', '2019-04-03 09:58:10', '2019-04-03 09:58:10', '108', '108', '29715', '咖啡色物质，', '4', '0', '0', '0', '单选项-咖啡色物质，');
INSERT INTO `icss_question_detail` VALUES ('46905', 'N', '2019-04-03 09:59:39', '2019-04-03 09:59:39', '108', '108', '41080', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46906', 'N', '2019-04-03 09:59:39', '2019-04-03 09:59:39', '108', '108', '41080', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46907', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '吞咽困难，', '1', '0', '0', '0', '单选项-吞咽困难，');
INSERT INTO `icss_question_detail` VALUES ('46908', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '饱胀感，', '2', '0', '0', '0', '单选项-饱胀感，');
INSERT INTO `icss_question_detail` VALUES ('46909', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '体重降低，', '3', '0', '0', '0', '单选项-体重降低，');
INSERT INTO `icss_question_detail` VALUES ('46910', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '胃灼热，', '4', '0', '0', '0', '单选项-胃灼热，');
INSERT INTO `icss_question_detail` VALUES ('46911', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '腹痛，', '5', '0', '0', '0', '单选项-腹痛，');
INSERT INTO `icss_question_detail` VALUES ('46912', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '黑蒙，', '6', '0', '0', '0', '单选项-黑蒙，');
INSERT INTO `icss_question_detail` VALUES ('46913', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '黄疸，', '7', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46914', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '41081', '贫血，', '8', '0', '0', '0', '单选项-贫血，');
INSERT INTO `icss_question_detail` VALUES ('46915', 'N', '2019-04-03 10:03:55', '2019-04-03 10:03:55', '108', '108', '271', '晨起', '1', '0', '0', '0', '单选项-晨起');
INSERT INTO `icss_question_detail` VALUES ('46916', 'N', '2019-04-03 10:03:55', '2019-04-03 10:03:55', '108', '108', '271', '夜间', '2', '0', '0', '0', '单选项-夜间');
INSERT INTO `icss_question_detail` VALUES ('46917', 'N', '2019-04-03 10:03:55', '2019-04-03 10:03:55', '108', '108', '271', '餐后即刻', '3', '0', '0', '0', '单选项-餐后即刻');
INSERT INTO `icss_question_detail` VALUES ('46918', 'N', '2019-04-03 10:03:55', '2019-04-03 10:03:55', '108', '108', '271', '呕吐物为', '4', '0', '0', '0', '单选项-呕吐物为');
INSERT INTO `icss_question_detail` VALUES ('46919', 'N', '2019-04-03 10:03:55', '2019-04-03 10:03:55', '108', '108', '271', '进食后', '5', '0', '0', '0', '单选项-进食后');
INSERT INTO `icss_question_detail` VALUES ('46920', 'N', '2019-04-03 10:07:08', '2019-04-03 10:07:08', '108', '108', '272', '呕吐', '1', '0', '0', '0', '单选项-呕吐');
INSERT INTO `icss_question_detail` VALUES ('46921', 'N', '2019-04-03 10:07:08', '2019-04-03 10:07:08', '108', '108', '272', '干呕', '2', '0', '0', '0', '单选项-干呕');
INSERT INTO `icss_question_detail` VALUES ('46922', 'N', '2019-04-03 10:07:08', '2019-04-03 10:07:08', '108', '108', '272', '胆汁样物质', '3', '0', '0', '0', '单选项-胆汁样物质');
INSERT INTO `icss_question_detail` VALUES ('46923', 'N', '2019-04-03 10:07:08', '2019-04-03 10:07:08', '108', '108', '272', '咖啡样物质', '4', '0', '0', '0', '单选项-咖啡样物质');
INSERT INTO `icss_question_detail` VALUES ('46924', 'N', '2019-04-03 10:07:08', '2019-04-03 10:07:08', '108', '108', '272', '胃内容物', '5', '0', '0', '0', '单选项-胃内容物');
INSERT INTO `icss_question_detail` VALUES ('46925', 'N', '2019-04-03 10:07:31', '2019-04-03 10:07:31', '108', '108', '275', '喷射状，', '1', '0', '0', '0', '单选项-喷射状，');
INSERT INTO `icss_question_detail` VALUES ('46926', 'N', '2019-04-03 10:07:31', '2019-04-03 10:07:31', '108', '108', '275', '腐败气味，', '2', '0', '0', '0', '单选项-腐败气味，');
INSERT INTO `icss_question_detail` VALUES ('46927', 'N', '2019-04-03 10:07:31', '2019-04-03 10:07:31', '108', '108', '275', '粪臭味，', '3', '0', '0', '0', '单选项-粪臭味，');
INSERT INTO `icss_question_detail` VALUES ('46928', 'N', '2019-04-03 10:07:31', '2019-04-03 10:07:31', '108', '108', '275', '酸味，', '4', '0', '0', '0', '单选项-酸味，');
INSERT INTO `icss_question_detail` VALUES ('46929', 'N', '2019-04-03 10:07:31', '2019-04-03 10:07:31', '108', '108', '275', '特殊味道，', '5', '0', '0', '0', '单选项-特殊味道，');
INSERT INTO `icss_question_detail` VALUES ('46930', 'N', '2019-04-03 10:10:45', '2019-04-03 10:10:45', '108', '108', '41083', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46931', 'N', '2019-04-03 10:10:45', '2019-04-03 10:10:45', '108', '108', '41083', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46932', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '眩晕，', '1', '0', '0', '0', '单选项-眩晕，');
INSERT INTO `icss_question_detail` VALUES ('46933', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '听力下降，', '2', '0', '0', '0', '单选项-听力下降，');
INSERT INTO `icss_question_detail` VALUES ('46934', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '胸痛，', '3', '0', '0', '0', '单选项-胸痛，');
INSERT INTO `icss_question_detail` VALUES ('46935', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '冷汗，', '4', '0', '0', '0', '单选项-冷汗，');
INSERT INTO `icss_question_detail` VALUES ('46936', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '呼吸困难，', '5', '0', '0', '0', '单选项-呼吸困难，');
INSERT INTO `icss_question_detail` VALUES ('46937', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '视力下降，', '6', '0', '0', '0', '单选项-视力下降，');
INSERT INTO `icss_question_detail` VALUES ('46938', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '黄疸，', '7', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46939', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '41084', '乏力，', '8', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('46940', 'N', '2019-04-03 10:23:50', '2019-04-03 10:23:50', '108', '108', '41086', '痰中带血，', '1', '0', '0', '0', '单选项-痰中带血，');
INSERT INTO `icss_question_detail` VALUES ('46941', 'N', '2019-04-03 10:23:50', '2019-04-03 10:23:50', '108', '108', '41086', '咯血量少，', '2', '0', '0', '0', '单选项-咯血量少，');
INSERT INTO `icss_question_detail` VALUES ('46942', 'N', '2019-04-03 10:23:50', '2019-04-03 10:23:50', '108', '108', '41086', '咯血量中等，', '3', '0', '0', '0', '单选项-咯血量中等，');
INSERT INTO `icss_question_detail` VALUES ('46943', 'N', '2019-04-03 10:23:50', '2019-04-03 10:23:50', '108', '108', '41086', '大咯血，', '4', '0', '0', '0', '单选项-大咯血，');
INSERT INTO `icss_question_detail` VALUES ('46947', 'N', '2019-04-03 10:26:20', '2019-04-03 10:26:20', '108', '108', '41088', '量约（）ml', '1', '0', '0', '0', '单选项-量约（）ml');
INSERT INTO `icss_question_detail` VALUES ('46948', 'N', '2019-04-03 10:26:20', '2019-04-03 10:26:20', '108', '108', '41088', '24小时咯血量约为（）ml', '2', '0', '0', '0', '单选项-24小时咯血量约为（）ml');
INSERT INTO `icss_question_detail` VALUES ('46949', 'N', '2019-04-03 10:26:27', '2019-04-03 10:26:27', '108', '108', '41087', '为初次，', '1', '0', '0', '0', '单选项-为初次，');
INSERT INTO `icss_question_detail` VALUES ('46950', 'N', '2019-04-03 10:26:27', '2019-04-03 10:26:27', '108', '108', '41087', '为多次，', '2', '0', '0', '0', '单选项-为多次，');
INSERT INTO `icss_question_detail` VALUES ('46951', 'N', '2019-04-03 10:26:27', '2019-04-03 10:26:27', '108', '108', '41087', '为持续不断，', '3', '0', '0', '0', '单选项-为持续不断，');
INSERT INTO `icss_question_detail` VALUES ('46952', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '未经治疗', '1', '0', '0', '0', '单选项-未经治疗');
INSERT INTO `icss_question_detail` VALUES ('46953', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '使用（）后好转', '2', '0', '0', '0', '单选项-使用（）后好转');
INSERT INTO `icss_question_detail` VALUES ('46954', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '使用（）后未见明显好转', '3', '0', '0', '0', '单选项-使用（）后未见明显好转');
INSERT INTO `icss_question_detail` VALUES ('46955', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '于当地医院诊治，未见明显好转', '4', '0', '0', '0', '单选项-于当地医院诊治，未见明显好转');
INSERT INTO `icss_question_detail` VALUES ('46956', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '于社区医院诊治，未见明显好转', '5', '0', '0', '0', '单选项-于社区医院诊治，未见明显好转');
INSERT INTO `icss_question_detail` VALUES ('46957', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '于（）诊治（），未见明显好转', '6', '0', '0', '0', '单选项-于（）诊治（），未见明显好转');
INSERT INTO `icss_question_detail` VALUES ('46958', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '于（）诊治，经（）后未见明显好转', '7', '0', '0', '0', '单选项-于（）诊治，经（）后未见明显好转');
INSERT INTO `icss_question_detail` VALUES ('46959', 'N', '2019-04-03 10:31:25', '2019-04-03 10:31:25', '108', '108', '402', '于（），经（）后好转，未痊愈', '8', '0', '0', '0', '单选项-于（），经（）后好转，未痊愈');
INSERT INTO `icss_question_detail` VALUES ('46960', 'N', '2019-04-03 10:42:24', '2019-04-03 10:42:24', '108', '108', '41089', '呈', '1', '0', '0', '0', '单选项-呈');
INSERT INTO `icss_question_detail` VALUES ('46961', 'N', '2019-04-03 10:42:24', '2019-04-03 10:42:24', '108', '108', '41089', '为', '2', '0', '0', '0', '单选项-为');
INSERT INTO `icss_question_detail` VALUES ('46967', 'N', '2019-04-03 10:44:30', '2019-04-03 10:44:30', '108', '108', '29664', '鲜红色血液，', '1', '0', '0', '0', '单选项-鲜红色血液，');
INSERT INTO `icss_question_detail` VALUES ('46968', 'N', '2019-04-03 10:44:30', '2019-04-03 10:44:30', '108', '108', '29664', '铁锈色液体，', '2', '0', '0', '0', '单选项-铁锈色液体，');
INSERT INTO `icss_question_detail` VALUES ('46969', 'N', '2019-04-03 10:44:30', '2019-04-03 10:44:30', '108', '108', '29664', '暗红色液体，', '3', '0', '0', '0', '单选项-暗红色液体，');
INSERT INTO `icss_question_detail` VALUES ('46970', 'N', '2019-04-03 10:44:30', '2019-04-03 10:44:30', '108', '108', '29664', '浆液性粉红色泡沫痰，', '4', '0', '0', '0', '单选项-浆液性粉红色泡沫痰，');
INSERT INTO `icss_question_detail` VALUES ('46971', 'N', '2019-04-03 10:44:30', '2019-04-03 10:44:30', '108', '108', '29664', '粘稠暗红色血痰，', '5', '0', '0', '0', '单选项-粘稠暗红色血痰，');
INSERT INTO `icss_question_detail` VALUES ('46976', 'N', '2019-04-03 10:46:37', '2019-04-03 10:46:37', '108', '108', '41091', '胸痛，', '1', '0', '0', '0', '单选项-胸痛，');
INSERT INTO `icss_question_detail` VALUES ('46977', 'N', '2019-04-03 10:46:37', '2019-04-03 10:46:37', '108', '108', '41091', '呛咳，', '2', '0', '0', '0', '单选项-呛咳，');
INSERT INTO `icss_question_detail` VALUES ('46978', 'N', '2019-04-03 10:46:37', '2019-04-03 10:46:37', '108', '108', '41091', '皮肤黏膜出血，', '3', '0', '0', '0', '单选项-皮肤黏膜出血，');
INSERT INTO `icss_question_detail` VALUES ('46979', 'N', '2019-04-03 10:46:37', '2019-04-03 10:46:37', '108', '108', '41091', '黄疸，', '4', '0', '0', '0', '单选项-黄疸，');
INSERT INTO `icss_question_detail` VALUES ('46980', 'N', '2019-04-03 10:52:43', '2019-04-03 10:52:43', '108', '108', '40926', '色暗红，', '1', '0', '0', '0', '单选项-色暗红，');
INSERT INTO `icss_question_detail` VALUES ('46981', 'N', '2019-04-03 10:52:43', '2019-04-03 10:52:43', '108', '108', '40926', '色淡，', '2', '0', '0', '0', '单选项-色淡，');
INSERT INTO `icss_question_detail` VALUES ('46982', 'N', '2019-04-03 10:52:43', '2019-04-03 10:52:43', '108', '108', '40926', '颜色时为粉红色，时为黑褐色，', '3', '0', '0', '0', '单选项-颜色时为粉红色，时为黑褐色，');
INSERT INTO `icss_question_detail` VALUES ('46983', 'N', '2019-04-03 10:52:43', '2019-04-03 10:52:43', '108', '108', '40926', '色鲜红，', '4', '0', '0', '0', '单选项-色鲜红，');
INSERT INTO `icss_question_detail` VALUES ('46984', 'N', '2019-04-03 10:54:32', '2019-04-03 10:54:32', '108', '108', '40927', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('46985', 'N', '2019-04-03 10:54:32', '2019-04-03 10:54:32', '108', '108', '40927', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('46986', 'N', '2019-04-03 10:54:32', '2019-04-03 10:54:32', '108', '108', '40927', '有', '3', '0', '0', '0', '单选项-有');
INSERT INTO `icss_question_detail` VALUES ('46994', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '阴道肉样组织排出，', '1', '0', '0', '0', '单选项-阴道肉样组织排出，');
INSERT INTO `icss_question_detail` VALUES ('46995', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '接触性出血，', '2', '0', '0', '0', '单选项-接触性出血，');
INSERT INTO `icss_question_detail` VALUES ('46996', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '肛门坠胀感，', '3', '0', '0', '0', '单选项-肛门坠胀感，');
INSERT INTO `icss_question_detail` VALUES ('46997', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '经血淋漓不尽，', '4', '0', '0', '0', '单选项-经血淋漓不尽，');
INSERT INTO `icss_question_detail` VALUES ('46998', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '血块，', '5', '0', '0', '0', '单选项-血块，');
INSERT INTO `icss_question_detail` VALUES ('46999', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '经期延长，', '6', '0', '0', '0', '单选项-经期延长，');
INSERT INTO `icss_question_detail` VALUES ('47000', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '白带增多，色黄，有恶臭，', '7', '0', '0', '0', '单选项-白带增多，色黄，有恶臭，');
INSERT INTO `icss_question_detail` VALUES ('47001', 'N', '2019-04-03 10:55:35', '2019-04-03 10:55:35', '108', '108', '40929', '经期缩短，', '8', '0', '0', '0', '单选项-经期缩短，');
INSERT INTO `icss_question_detail` VALUES ('47002', 'N', '2019-04-03 10:56:24', '2019-04-03 10:56:24', '108', '108', '40691', '可见长()cm深()cm伤口，', '1', '0', '0', '0', '单选项-可见长()cm深()cm伤口，');
INSERT INTO `icss_question_detail` VALUES ('47003', 'N', '2019-04-03 10:56:24', '2019-04-03 10:56:24', '108', '108', '40691', '可见()cm*()cm血肿，', '2', '0', '0', '0', '单选项-可见()cm*()cm血肿，');
INSERT INTO `icss_question_detail` VALUES ('47004', 'N', '2019-04-03 10:58:14', '2019-04-03 10:58:14', '108', '108', '40674', '双侧手足麻木，', '1', '0', '0', '0', '单选项-双侧手足麻木，');
INSERT INTO `icss_question_detail` VALUES ('47005', 'N', '2019-04-03 10:58:14', '2019-04-03 10:58:14', '108', '108', '40674', '手足远端麻木，', '2', '0', '0', '0', '单选项-手足远端麻木，');
INSERT INTO `icss_question_detail` VALUES ('47006', 'N', '2019-04-03 10:58:14', '2019-04-03 10:58:14', '108', '108', '40674', '手足近端麻木，', '3', '0', '0', '0', '单选项-手足近端麻木，');
INSERT INTO `icss_question_detail` VALUES ('47007', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '手足乏力，', '1', '0', '0', '0', '单选项-手足乏力，');
INSERT INTO `icss_question_detail` VALUES ('47008', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '蚁行感，', '2', '0', '0', '0', '单选项-蚁行感，');
INSERT INTO `icss_question_detail` VALUES ('47009', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '疼痛感，', '3', '0', '0', '0', '单选项-疼痛感，');
INSERT INTO `icss_question_detail` VALUES ('47010', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '撕裂感，', '4', '0', '0', '0', '单选项-撕裂感，');
INSERT INTO `icss_question_detail` VALUES ('47011', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '烧灼感，', '5', '0', '0', '0', '单选项-烧灼感，');
INSERT INTO `icss_question_detail` VALUES ('47012', 'N', '2019-04-03 10:58:37', '2019-04-03 10:58:37', '108', '108', '40677', '手足肿胀，', '6', '0', '0', '0', '单选项-手足肿胀，');
INSERT INTO `icss_question_detail` VALUES ('47013', 'N', '2019-04-03 10:59:42', '2019-04-03 10:59:42', '108', '108', '40637', '未再出血', '1', '0', '0', '0', '单选项-未再出血');
INSERT INTO `icss_question_detail` VALUES ('47014', 'N', '2019-04-03 10:59:42', '2019-04-03 10:59:42', '108', '108', '40637', '仍出血不止', '2', '0', '0', '0', '单选项-仍出血不止');
INSERT INTO `icss_question_detail` VALUES ('47015', 'N', '2019-04-03 11:00:09', '2019-04-03 11:00:09', '108', '108', '40636', '自行填塞后', '1', '0', '0', '0', '单选项-自行填塞后');
INSERT INTO `icss_question_detail` VALUES ('47028', 'N', '2019-04-03 11:41:42', '2019-04-03 11:41:42', '108', '108', '41092', '持续约1-5分钟，', '1', '0', '0', '0', '单选项-持续约1-5分钟，');
INSERT INTO `icss_question_detail` VALUES ('47029', 'N', '2019-04-03 11:41:42', '2019-04-03 11:41:42', '108', '108', '41092', '持续时间大于10分钟，', '2', '0', '0', '0', '单选项-持续时间大于10分钟，');
INSERT INTO `icss_question_detail` VALUES ('47030', 'N', '2019-04-03 11:41:42', '2019-04-03 11:41:42', '108', '108', '41092', '持续时间大于30分钟，', '3', '0', '0', '0', '单选项-持续时间大于30分钟，');
INSERT INTO `icss_question_detail` VALUES ('47031', 'N', '2019-04-03 11:41:42', '2019-04-03 11:41:42', '108', '108', '41092', '持续数小时至数日，', '4', '0', '0', '0', '单选项-持续数小时至数日，');
INSERT INTO `icss_question_detail` VALUES ('47032', 'N', '2019-04-03 11:43:35', '2019-04-03 11:43:35', '108', '108', '41078', '量约【】ml', '1', '0', '0', '0', '单选项-量约【】ml');
INSERT INTO `icss_question_detail` VALUES ('47033', 'N', '2019-04-03 13:15:34', '2019-04-03 13:15:34', '108', '108', '40624', '约()次/晚，', '1', '0', '0', '0', '单选项-约()次/晚，');
INSERT INTO `icss_question_detail` VALUES ('47034', 'N', '2019-04-03 13:15:34', '2019-04-03 13:15:34', '108', '108', '40624', '每晚0-2次，', '2', '0', '0', '0', '单选项-每晚0-2次，');
INSERT INTO `icss_question_detail` VALUES ('47035', 'N', '2019-04-03 13:15:34', '2019-04-03 13:15:34', '108', '108', '40624', '每晚3-5次，', '3', '0', '0', '0', '单选项-每晚3-5次，');
INSERT INTO `icss_question_detail` VALUES ('47036', 'N', '2019-04-03 13:15:34', '2019-04-03 13:15:34', '108', '108', '40624', '每晚5-10次，', '4', '0', '0', '0', '单选项-每晚5-10次，');
INSERT INTO `icss_question_detail` VALUES ('47037', 'N', '2019-04-03 13:15:34', '2019-04-03 13:15:34', '108', '108', '40624', '每晚大于10次以上，', '5', '0', '0', '0', '单选项-每晚大于10次以上，');
INSERT INTO `icss_question_detail` VALUES ('47038', 'N', '2019-04-03 13:16:46', '2019-04-03 13:16:46', '108', '108', '40619', '排尿量减少，', '1', '0', '0', '0', '单选项-排尿量减少，');
INSERT INTO `icss_question_detail` VALUES ('47039', 'N', '2019-04-03 13:16:46', '2019-04-03 13:16:46', '108', '108', '40619', '排尿量增多，', '2', '0', '0', '0', '单选项-排尿量增多，');
INSERT INTO `icss_question_detail` VALUES ('47040', 'N', '2019-04-03 13:16:46', '2019-04-03 13:16:46', '108', '108', '40619', '排尿量正常，', '3', '0', '0', '0', '单选项-排尿量正常，');
INSERT INTO `icss_question_detail` VALUES ('47041', 'N', '2019-04-03 13:18:07', '2019-04-03 13:18:07', '108', '108', '40620', '约()ml/次，', '1', '0', '0', '0', '单选项-约()ml/次，');
INSERT INTO `icss_question_detail` VALUES ('47042', 'N', '2019-04-03 13:18:07', '2019-04-03 13:18:07', '108', '108', '40620', '共排尿()ml，', '2', '0', '0', '0', '单选项-共排尿()ml，');
INSERT INTO `icss_question_detail` VALUES ('47043', 'N', '2019-04-03 13:18:50', '2019-04-03 13:18:50', '108', '108', '40621', '淡黄色', '1', '0', '0', '0', '单选项-淡黄色');
INSERT INTO `icss_question_detail` VALUES ('47044', 'N', '2019-04-03 13:18:50', '2019-04-03 13:18:50', '108', '108', '40621', '无色透明', '2', '0', '0', '0', '单选项-无色透明');
INSERT INTO `icss_question_detail` VALUES ('47045', 'N', '2019-04-03 13:18:50', '2019-04-03 13:18:50', '108', '108', '40621', '深黄色', '3', '0', '0', '0', '单选项-深黄色');
INSERT INTO `icss_question_detail` VALUES ('47046', 'N', '2019-04-03 13:18:50', '2019-04-03 13:18:50', '108', '108', '40621', '泡沫样', '4', '0', '0', '0', '单选项-泡沫样');
INSERT INTO `icss_question_detail` VALUES ('47047', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '发热', '1', '0', '0', '0', '单选项-发热');
INSERT INTO `icss_question_detail` VALUES ('47048', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '咀嚼痛', '2', '0', '0', '0', '单选项-咀嚼痛');
INSERT INTO `icss_question_detail` VALUES ('47049', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '吞咽痛', '3', '0', '0', '0', '单选项-吞咽痛');
INSERT INTO `icss_question_detail` VALUES ('47050', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '疱疹', '4', '0', '0', '0', '单选项-疱疹');
INSERT INTO `icss_question_detail` VALUES ('47051', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '溃疡', '5', '0', '0', '0', '单选项-溃疡');
INSERT INTO `icss_question_detail` VALUES ('47052', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '声嘶', '6', '0', '0', '0', '单选项-声嘶');
INSERT INTO `icss_question_detail` VALUES ('47053', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '吞咽困难', '7', '0', '0', '0', '单选项-吞咽困难');
INSERT INTO `icss_question_detail` VALUES ('47054', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '张口困难', '8', '0', '0', '0', '单选项-张口困难');
INSERT INTO `icss_question_detail` VALUES ('47055', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '咽痒', '9', '0', '0', '0', '单选项-咽痒');
INSERT INTO `icss_question_detail` VALUES ('47056', 'N', '2019-04-03 19:14:37', '2019-04-03 19:14:37', '108', '108', '40316', '咳嗽', '10', '0', '0', '0', '单选项-咳嗽');
INSERT INTO `icss_question_detail` VALUES ('47057', 'N', '2019-04-04 09:14:52', '2019-04-04 09:14:52', '108', '108', '40599', '双侧腰部', '1', '0', '0', '0', '单选项-双侧腰部');
INSERT INTO `icss_question_detail` VALUES ('47058', 'N', '2019-04-04 09:14:52', '2019-04-04 09:14:52', '108', '108', '40599', '左侧腰部', '2', '0', '0', '0', '单选项-左侧腰部');
INSERT INTO `icss_question_detail` VALUES ('47059', 'N', '2019-04-04 09:14:52', '2019-04-04 09:14:52', '108', '108', '40599', '右侧腰部', '3', '0', '0', '0', '单选项-右侧腰部');
INSERT INTO `icss_question_detail` VALUES ('47071', 'N', '2019-04-04 10:02:01', '2019-04-04 10:02:01', '108', '108', '41093', '持续（）分钟', '1', '0', '0', '0', '单选项-持续（）分钟');
INSERT INTO `icss_question_detail` VALUES ('47109', 'N', '2019-04-04 11:00:19', '2019-04-04 11:00:19', '108', '108', '496', '心律齐', '1', '0', '0', '0', '单选项-心律齐');
INSERT INTO `icss_question_detail` VALUES ('47110', 'N', '2019-04-04 11:00:19', '2019-04-04 11:00:19', '108', '108', '496', '心律不齐', '2', '0', '0', '0', '单选项-心律不齐');
INSERT INTO `icss_question_detail` VALUES ('47111', 'N', '2019-04-04 11:00:19', '2019-04-04 11:00:19', '108', '108', '496', '心律绝对不规则', '3', '0', '0', '0', '单选项-心律绝对不规则');
INSERT INTO `icss_question_detail` VALUES ('47153', 'N', '2019-04-04 11:33:14', '2019-04-04 11:33:14', '108', '108', '499', '全腹软', '1', '0', '0', '0', '单选项-全腹软');
INSERT INTO `icss_question_detail` VALUES ('47154', 'N', '2019-04-04 11:33:14', '2019-04-04 11:33:14', '108', '108', '499', '腹膨隆', '2', '0', '0', '0', '单选项-腹膨隆');
INSERT INTO `icss_question_detail` VALUES ('47155', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '压痛', '1', '0', '0', '0', '单选项-压痛');
INSERT INTO `icss_question_detail` VALUES ('47156', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '无压痛', '2', '0', '0', '0', '单选项-无压痛');
INSERT INTO `icss_question_detail` VALUES ('47157', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '反跳痛', '3', '0', '0', '0', '单选项-反跳痛');
INSERT INTO `icss_question_detail` VALUES ('47158', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '无反跳痛', '4', '0', '0', '0', '单选项-无反跳痛');
INSERT INTO `icss_question_detail` VALUES ('47159', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '肌紧张', '5', '0', '0', '0', '单选项-肌紧张');
INSERT INTO `icss_question_detail` VALUES ('47160', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '无肌紧张', '6', '0', '0', '0', '单选项-无肌紧张');
INSERT INTO `icss_question_detail` VALUES ('47161', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '移动性浊音阴性', '7', '0', '0', '0', '单选项-移动性浊音阴性');
INSERT INTO `icss_question_detail` VALUES ('47162', 'N', '2019-04-04 11:35:55', '2019-04-04 11:35:55', '108', '108', '41096', '移动性浊音阳性', '8', '0', '0', '0', '单选项-移动性浊音阳性');
INSERT INTO `icss_question_detail` VALUES ('47216', 'N', '2019-04-04 14:39:21', '2019-04-04 14:39:21', '108', '108', '41101', '排便量少，', '1', '0', '0', '0', '单选项-排便量少，');
INSERT INTO `icss_question_detail` VALUES ('47217', 'N', '2019-04-04 14:39:21', '2019-04-04 14:39:21', '108', '108', '41101', '排便量中等，', '2', '0', '0', '0', '单选项-排便量中等，');
INSERT INTO `icss_question_detail` VALUES ('47218', 'N', '2019-04-04 14:39:21', '2019-04-04 14:39:21', '108', '108', '41101', '排便量多，', '3', '0', '0', '0', '单选项-排便量多，');
INSERT INTO `icss_question_detail` VALUES ('47219', 'N', '2019-04-04 14:44:55', '2019-04-04 14:44:55', '108', '108', '41102', '质稀', '1', '0', '0', '0', '单选项-质稀');
INSERT INTO `icss_question_detail` VALUES ('47220', 'N', '2019-04-04 14:44:55', '2019-04-04 14:44:55', '108', '108', '41102', '质稠', '2', '0', '0', '0', '单选项-质稠');
INSERT INTO `icss_question_detail` VALUES ('47221', 'N', '2019-04-04 14:44:55', '2019-04-04 14:44:55', '108', '108', '41102', '大便不成形', '3', '0', '0', '0', '单选项-大便不成形');
INSERT INTO `icss_question_detail` VALUES ('47225', 'N', '2019-04-04 14:53:41', '2019-04-04 14:53:41', '108', '108', '29705', '每次约【】ml', '1', '0', '0', '0', '单选项-每次约【】ml');
INSERT INTO `icss_question_detail` VALUES ('47226', 'N', '2019-04-04 14:53:49', '2019-04-04 14:53:49', '108', '108', '29706', '一天【】次，', '1', '0', '0', '0', '单选项-一天【】次，');
INSERT INTO `icss_question_detail` VALUES ('47227', 'N', '2019-04-04 14:54:15', '2019-04-04 14:54:15', '108', '108', '29703', '量多，', '1', '0', '0', '0', '单选项-量多，');
INSERT INTO `icss_question_detail` VALUES ('47228', 'N', '2019-04-04 14:54:15', '2019-04-04 14:54:15', '108', '108', '29703', '量少，', '2', '0', '0', '0', '单选项-量少，');
INSERT INTO `icss_question_detail` VALUES ('47231', 'N', '2019-04-04 15:19:13', '2019-04-04 15:19:13', '108', '108', '41103', '伴', '1', '0', '0', '0', '单选项-伴');
INSERT INTO `icss_question_detail` VALUES ('47232', 'N', '2019-04-04 15:19:13', '2019-04-04 15:19:13', '108', '108', '41103', '无', '2', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('47233', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '肾绞痛，', '1', '0', '0', '0', '单选项-肾绞痛，');
INSERT INTO `icss_question_detail` VALUES ('47234', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '气促，', '2', '0', '0', '0', '单选项-气促，');
INSERT INTO `icss_question_detail` VALUES ('47235', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '心悸，', '3', '0', '0', '0', '单选项-心悸，');
INSERT INTO `icss_question_detail` VALUES ('47236', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '水肿，', '4', '0', '0', '0', '单选项-水肿，');
INSERT INTO `icss_question_detail` VALUES ('47237', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '腰痛，', '5', '0', '0', '0', '单选项-腰痛，');
INSERT INTO `icss_question_detail` VALUES ('47238', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '发热，', '6', '0', '0', '0', '单选项-发热，');
INSERT INTO `icss_question_detail` VALUES ('47239', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '41104', '腹水，', '7', '0', '0', '0', '单选项-腹水，');
INSERT INTO `icss_question_detail` VALUES ('47240', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '乏力，', '1', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('47241', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '尿急，', '2', '0', '0', '0', '单选项-尿急，');
INSERT INTO `icss_question_detail` VALUES ('47242', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '纳差，', '3', '0', '0', '0', '单选项-纳差，');
INSERT INTO `icss_question_detail` VALUES ('47243', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '皮肤黄染，', '4', '0', '0', '0', '单选项-皮肤黄染，');
INSERT INTO `icss_question_detail` VALUES ('47244', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '胸闷，', '5', '0', '0', '0', '单选项-胸闷，');
INSERT INTO `icss_question_detail` VALUES ('47245', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '蛋白尿，', '6', '0', '0', '0', '单选项-蛋白尿，');
INSERT INTO `icss_question_detail` VALUES ('47246', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '41105', '血压升高，', '7', '0', '0', '0', '单选项-血压升高，');
INSERT INTO `icss_question_detail` VALUES ('47247', 'N', '2019-04-04 15:34:41', '2019-04-04 15:34:41', '108', '108', '41050', '24小时尿量少于（）ml，', '1', '0', '0', '0', '单选项-24小时尿量少于（）ml，');
INSERT INTO `icss_question_detail` VALUES ('47248', 'N', '2019-04-04 15:34:41', '2019-04-04 15:34:41', '108', '108', '41050', '每小时尿量少于（）ml，', '2', '0', '0', '0', '单选项-每小时尿量少于（）ml，');
INSERT INTO `icss_question_detail` VALUES ('47263', 'N', '2019-04-04 15:56:24', '2019-04-04 15:56:24', '108', '108', '35', '呈递增型杂音，', '1', '0', '0', '0', '单选项-呈递增型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47264', 'N', '2019-04-04 15:56:24', '2019-04-04 15:56:24', '108', '108', '35', '呈递减型杂音，', '2', '0', '0', '0', '单选项-呈递减型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47265', 'N', '2019-04-04 15:56:24', '2019-04-04 15:56:24', '108', '108', '35', '呈递增递减型杂音，', '3', '0', '0', '0', '单选项-呈递增递减型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47266', 'N', '2019-04-04 15:56:24', '2019-04-04 15:56:24', '108', '108', '35', '呈连续型杂音，', '4', '0', '0', '0', '单选项-呈连续型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47267', 'N', '2019-04-04 15:56:24', '2019-04-04 15:56:24', '108', '108', '35', '呈一贯型杂音，', '5', '0', '0', '0', '单选项-呈一贯型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47268', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向左腋下传导', '1', '0', '0', '0', '单选项-向左腋下传导');
INSERT INTO `icss_question_detail` VALUES ('47269', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向颈部传导', '2', '0', '0', '0', '单选项-向颈部传导');
INSERT INTO `icss_question_detail` VALUES ('47270', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向心尖区传导', '3', '0', '0', '0', '单选项-向心尖区传导');
INSERT INTO `icss_question_detail` VALUES ('47271', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向胸骨左缘传导', '4', '0', '0', '0', '单选项-向胸骨左缘传导');
INSERT INTO `icss_question_detail` VALUES ('47272', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向心底部传导', '5', '0', '0', '0', '单选项-向心底部传导');
INSERT INTO `icss_question_detail` VALUES ('47273', 'N', '2019-04-04 15:57:41', '2019-04-04 15:57:41', '108', '108', '40958', '向左肩胛下区传导', '6', '0', '0', '0', '单选项-向左肩胛下区传导');
INSERT INTO `icss_question_detail` VALUES ('47282', 'N', '2019-04-04 16:00:03', '2019-04-04 16:00:03', '108', '108', '40957', '2/6', '1', '0', '0', '0', '单选项-2/6');
INSERT INTO `icss_question_detail` VALUES ('47283', 'N', '2019-04-04 16:00:03', '2019-04-04 16:00:03', '108', '108', '40957', '3/6', '2', '0', '0', '0', '单选项-3/6');
INSERT INTO `icss_question_detail` VALUES ('47284', 'N', '2019-04-04 16:00:03', '2019-04-04 16:00:03', '108', '108', '40957', '4/6', '3', '0', '0', '0', '单选项-4/6');
INSERT INTO `icss_question_detail` VALUES ('47285', 'N', '2019-04-04 16:00:03', '2019-04-04 16:00:03', '108', '108', '40957', '5/6', '4', '0', '0', '0', '单选项-5/6');
INSERT INTO `icss_question_detail` VALUES ('47286', 'N', '2019-04-04 16:00:03', '2019-04-04 16:00:03', '108', '108', '40957', '6/6', '5', '0', '0', '0', '单选项-6/6');
INSERT INTO `icss_question_detail` VALUES ('47293', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '主动脉瓣听诊区可闻及', '1', '0', '0', '0', '单选项-主动脉瓣听诊区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47294', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '二尖瓣听诊区可闻及', '2', '0', '0', '0', '单选项-二尖瓣听诊区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47295', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '心尖区可闻及', '3', '0', '0', '0', '单选项-心尖区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47296', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '肺动脉瓣听诊区可闻及', '4', '0', '0', '0', '单选项-肺动脉瓣听诊区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47297', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '主动脉瓣第二听诊区可闻及', '5', '0', '0', '0', '单选项-主动脉瓣第二听诊区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47298', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '三尖瓣听诊区可闻及', '6', '0', '0', '0', '单选项-三尖瓣听诊区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47299', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '收缩期', '7', '0', '0', '0', '单选项-收缩期');
INSERT INTO `icss_question_detail` VALUES ('47300', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '舒张期', '8', '0', '0', '0', '单选项-舒张期');
INSERT INTO `icss_question_detail` VALUES ('47301', 'N', '2019-04-04 16:05:02', '2019-04-04 16:05:02', '108', '108', '34', '全期', '9', '0', '0', '0', '单选项-全期');
INSERT INTO `icss_question_detail` VALUES ('47302', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '吹风样杂音，', '1', '0', '0', '0', '单选项-吹风样杂音，');
INSERT INTO `icss_question_detail` VALUES ('47303', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '隆隆样杂音，', '2', '0', '0', '0', '单选项-隆隆样杂音，');
INSERT INTO `icss_question_detail` VALUES ('47304', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '喷射样杂音，', '3', '0', '0', '0', '单选项-喷射样杂音，');
INSERT INTO `icss_question_detail` VALUES ('47305', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '叹气样杂音，', '4', '0', '0', '0', '单选项-叹气样杂音，');
INSERT INTO `icss_question_detail` VALUES ('47306', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '机器样杂音，', '5', '0', '0', '0', '单选项-机器样杂音，');
INSERT INTO `icss_question_detail` VALUES ('47307', 'N', '2019-04-04 16:07:26', '2019-04-04 16:07:26', '108', '108', '40959', '心包摩擦音，', '6', '0', '0', '0', '单选项-心包摩擦音，');
INSERT INTO `icss_question_detail` VALUES ('47308', 'N', '2019-04-04 16:36:30', '2019-04-04 16:36:30', '108', '108', '29694', '无心包摩擦感', '1', '0', '0', '0', '单选项-无心包摩擦感');
INSERT INTO `icss_question_detail` VALUES ('47309', 'N', '2019-04-04 16:36:30', '2019-04-04 16:36:30', '108', '108', '29694', '可扪及心包摩擦感', '2', '0', '0', '0', '单选项-可扪及心包摩擦感');
INSERT INTO `icss_question_detail` VALUES ('47312', 'N', '2019-04-04 16:39:45', '2019-04-04 16:39:45', '108', '108', '41106', '肠鸣音正常，', '1', '0', '0', '0', '单选项-肠鸣音正常，');
INSERT INTO `icss_question_detail` VALUES ('47313', 'N', '2019-04-04 16:39:45', '2019-04-04 16:39:45', '108', '108', '41106', '肠鸣音()次/分，', '2', '0', '0', '0', '单选项-肠鸣音()次/分，');
INSERT INTO `icss_question_detail` VALUES ('47314', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '41108', '心尖部可闻及', '1', '0', '0', '0', '单选项-心尖部可闻及');
INSERT INTO `icss_question_detail` VALUES ('47315', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '41108', '二尖瓣区可闻及', '2', '0', '0', '0', '单选项-二尖瓣区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47316', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '41108', '主动脉瓣区可闻及', '3', '0', '0', '0', '单选项-主动脉瓣区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47317', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '41108', '肺动脉瓣区可闻及', '4', '0', '0', '0', '单选项-肺动脉瓣区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47318', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '41108', '三尖瓣区可闻及', '5', '0', '0', '0', '单选项-三尖瓣区可闻及');
INSERT INTO `icss_question_detail` VALUES ('47346', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '脉搏短促', '1', '0', '0', '0', '单选项-脉搏短促');
INSERT INTO `icss_question_detail` VALUES ('47347', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '有毛细血管搏动征', '2', '0', '0', '0', '单选项-有毛细血管搏动征');
INSERT INTO `icss_question_detail` VALUES ('47348', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '有水冲脉', '3', '0', '0', '0', '单选项-有水冲脉');
INSERT INTO `icss_question_detail` VALUES ('47349', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '有交替脉', '4', '0', '0', '0', '单选项-有交替脉');
INSERT INTO `icss_question_detail` VALUES ('47350', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '有奇脉', '5', '0', '0', '0', '单选项-有奇脉');
INSERT INTO `icss_question_detail` VALUES ('47351', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '无脉 ', '6', '0', '0', '0', '单选项-无脉 ');
INSERT INTO `icss_question_detail` VALUES ('47352', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '可闻及枪击音', '7', '0', '0', '0', '单选项-可闻及枪击音');
INSERT INTO `icss_question_detail` VALUES ('47353', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '41112', '可闻及Duroziez双重音', '8', '0', '0', '0', '单选项-可闻及Duroziez双重音');
INSERT INTO `icss_question_detail` VALUES ('47354', 'N', '2019-04-04 16:52:07', '2019-04-04 16:52:07', '108', '108', '41113', '心音有力', '1', '0', '0', '0', '单选项-心音有力');
INSERT INTO `icss_question_detail` VALUES ('47355', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '第一心音（S1）', '1', '0', '0', '0', '单选项-第一心音（S1）');
INSERT INTO `icss_question_detail` VALUES ('47356', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '第二心音（S2）', '2', '0', '0', '0', '单选项-第二心音（S2）');
INSERT INTO `icss_question_detail` VALUES ('47357', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '第三心音（S3）', '3', '0', '0', '0', '单选项-第三心音（S3）');
INSERT INTO `icss_question_detail` VALUES ('47358', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '第四心音（S4）', '4', '0', '0', '0', '单选项-第四心音（S4）');
INSERT INTO `icss_question_detail` VALUES ('47359', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '主动脉瓣第二心音(A2)', '5', '0', '0', '0', '单选项-主动脉瓣第二心音(A2)');
INSERT INTO `icss_question_detail` VALUES ('47360', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '肺动脉瓣第二心音(P2)', '6', '0', '0', '0', '单选项-肺动脉瓣第二心音(P2)');
INSERT INTO `icss_question_detail` VALUES ('47361', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '收缩', '7', '0', '0', '0', '单选项-收缩');
INSERT INTO `icss_question_detail` VALUES ('47362', 'N', '2019-04-04 16:53:46', '2019-04-04 16:53:46', '108', '108', '41109', '舒张', '8', '0', '0', '0', '单选项-舒张');
INSERT INTO `icss_question_detail` VALUES ('47363', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '增强，', '1', '0', '0', '0', '单选项-增强，');
INSERT INTO `icss_question_detail` VALUES ('47364', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '减弱，', '2', '0', '0', '0', '单选项-减弱，');
INSERT INTO `icss_question_detail` VALUES ('47365', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '心音强弱不等，', '3', '0', '0', '0', '单选项-心音强弱不等，');
INSERT INTO `icss_question_detail` VALUES ('47366', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', 'A2>P2，', '4', '0', '0', '0', '单选项-A2>P2，');
INSERT INTO `icss_question_detail` VALUES ('47367', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', 'A2<P2，', '5', '0', '0', '0', '单选项-A2<P2，');
INSERT INTO `icss_question_detail` VALUES ('47368', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', 'A2=P2，', '6', '0', '0', '0', '单选项-A2=P2，');
INSERT INTO `icss_question_detail` VALUES ('47369', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '早期', '7', '0', '0', '0', '单选项-早期');
INSERT INTO `icss_question_detail` VALUES ('47370', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '中期', '8', '0', '0', '0', '单选项-中期');
INSERT INTO `icss_question_detail` VALUES ('47371', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '晚期', '9', '0', '0', '0', '单选项-晚期');
INSERT INTO `icss_question_detail` VALUES ('47372', 'N', '2019-04-04 16:56:11', '2019-04-04 16:56:11', '108', '108', '41110', '中晚期', '10', '0', '0', '0', '单选项-中晚期');
INSERT INTO `icss_question_detail` VALUES ('47373', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '生理性分裂音，', '1', '0', '0', '0', '单选项-生理性分裂音，');
INSERT INTO `icss_question_detail` VALUES ('47374', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '通常分裂音，', '2', '0', '0', '0', '单选项-通常分裂音，');
INSERT INTO `icss_question_detail` VALUES ('47375', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '固定分裂音，', '3', '0', '0', '0', '单选项-固定分裂音，');
INSERT INTO `icss_question_detail` VALUES ('47376', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '反常分裂音，', '4', '0', '0', '0', '单选项-反常分裂音，');
INSERT INTO `icss_question_detail` VALUES ('47377', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '心包叩击音，', '5', '0', '0', '0', '单选项-心包叩击音，');
INSERT INTO `icss_question_detail` VALUES ('47378', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '开瓣音，', '6', '0', '0', '0', '单选项-开瓣音，');
INSERT INTO `icss_question_detail` VALUES ('47379', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '喀喇音，', '7', '0', '0', '0', '单选项-喀喇音，');
INSERT INTO `icss_question_detail` VALUES ('47380', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '奔马律，', '8', '0', '0', '0', '单选项-奔马律，');
INSERT INTO `icss_question_detail` VALUES ('47381', 'N', '2019-04-04 16:56:38', '2019-04-04 16:56:38', '108', '108', '41111', '肿瘤扑落音，', '9', '0', '0', '0', '单选项-肿瘤扑落音，');
INSERT INTO `icss_question_detail` VALUES ('47387', 'N', '2019-04-08 09:55:26', '2019-04-08 09:55:26', '108', '108', '501', '可触及包块', '1', '0', '0', '0', '单选项-可触及包块');
INSERT INTO `icss_question_detail` VALUES ('47388', 'N', '2019-04-08 09:55:26', '2019-04-08 09:55:26', '108', '108', '501', '未触及包块', '2', '0', '0', '0', '单选项-未触及包块');
INSERT INTO `icss_question_detail` VALUES ('47389', 'N', '2019-04-08 09:59:11', '2019-04-08 09:59:11', '108', '108', '41114', '腹壁静脉无曲张，', '1', '0', '0', '0', '单选项-腹壁静脉无曲张，');
INSERT INTO `icss_question_detail` VALUES ('47390', 'N', '2019-04-08 09:59:11', '2019-04-08 09:59:11', '108', '108', '41114', '腹部静脉曲张，', '2', '0', '0', '0', '单选项-腹部静脉曲张，');
INSERT INTO `icss_question_detail` VALUES ('47391', 'N', '2019-04-08 09:59:11', '2019-04-08 09:59:11', '108', '108', '41114', '脐下的静脉血流方向皆向上，', '3', '0', '0', '0', '单选项-脐下的静脉血流方向皆向上，');
INSERT INTO `icss_question_detail` VALUES ('47392', 'N', '2019-04-08 09:59:11', '2019-04-08 09:59:11', '108', '108', '41114', '脐上的静脉血流方向皆向下，', '4', '0', '0', '0', '单选项-脐上的静脉血流方向皆向下，');
INSERT INTO `icss_question_detail` VALUES ('47409', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '可见局部隆起', '1', '0', '0', '0', '单选项-可见局部隆起');
INSERT INTO `icss_question_detail` VALUES ('47410', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '可见局部塌陷', '2', '0', '0', '0', '单选项-可见局部塌陷');
INSERT INTO `icss_question_detail` VALUES ('47411', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '无皮下气肿', '3', '0', '0', '0', '单选项-无皮下气肿');
INSERT INTO `icss_question_detail` VALUES ('47412', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '有皮下气肿', '4', '0', '0', '0', '单选项-有皮下气肿');
INSERT INTO `icss_question_detail` VALUES ('47413', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '胸骨无压痛', '5', '0', '0', '0', '单选项-胸骨无压痛');
INSERT INTO `icss_question_detail` VALUES ('47414', 'N', '2019-04-08 10:24:03', '2019-04-08 10:24:03', '108', '108', '41115', '胸骨有压痛', '6', '0', '0', '0', '单选项-胸骨有压痛');
INSERT INTO `icss_question_detail` VALUES ('47426', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '全胸', '1', '0', '0', '0', '单选项-全胸');
INSERT INTO `icss_question_detail` VALUES ('47427', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '左前胸', '2', '0', '0', '0', '单选项-左前胸');
INSERT INTO `icss_question_detail` VALUES ('47428', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '右前胸', '3', '0', '0', '0', '单选项-右前胸');
INSERT INTO `icss_question_detail` VALUES ('47429', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '左锁骨上', '4', '0', '0', '0', '单选项-左锁骨上');
INSERT INTO `icss_question_detail` VALUES ('47430', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '右锁骨上', '5', '0', '0', '0', '单选项-右锁骨上');
INSERT INTO `icss_question_detail` VALUES ('47431', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '左胸侧壁', '6', '0', '0', '0', '单选项-左胸侧壁');
INSERT INTO `icss_question_detail` VALUES ('47432', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '右胸侧壁', '7', '0', '0', '0', '单选项-右胸侧壁');
INSERT INTO `icss_question_detail` VALUES ('47433', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '左侧肩胛区', '8', '0', '0', '0', '单选项-左侧肩胛区');
INSERT INTO `icss_question_detail` VALUES ('47434', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '右侧肩胛区', '9', '0', '0', '0', '单选项-右侧肩胛区');
INSERT INTO `icss_question_detail` VALUES ('47435', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '左胸背部', '10', '0', '0', '0', '单选项-左胸背部');
INSERT INTO `icss_question_detail` VALUES ('47436', 'N', '2019-04-08 10:28:44', '2019-04-08 10:28:44', '108', '108', '41116', '右胸背部', '11', '0', '0', '0', '单选项-右胸背部');
INSERT INTO `icss_question_detail` VALUES ('47457', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', 'Murphy征阴性', '1', '0', '0', '0', '单选项-Murphy征阴性');
INSERT INTO `icss_question_detail` VALUES ('47458', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', 'Murphy征阳性', '2', '0', '0', '0', '单选项-Murphy征阳性');
INSERT INTO `icss_question_detail` VALUES ('47459', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', '肝区叩击痛阴性', '3', '0', '0', '0', '单选项-肝区叩击痛阴性');
INSERT INTO `icss_question_detail` VALUES ('47460', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', '肝区叩击痛阳性', '4', '0', '0', '0', '单选项-肝区叩击痛阳性');
INSERT INTO `icss_question_detail` VALUES ('47461', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', '肝浊音界缩小', '5', '0', '0', '0', '单选项-肝浊音界缩小');
INSERT INTO `icss_question_detail` VALUES ('47462', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', '肝浊音界消失', '6', '0', '0', '0', '单选项-肝浊音界消失');
INSERT INTO `icss_question_detail` VALUES ('47463', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', 'cullen征阳性', '7', '0', '0', '0', '单选项-cullen征阳性');
INSERT INTO `icss_question_detail` VALUES ('47464', 'N', '2019-04-09 10:04:27', '2019-04-09 10:04:27', '108', '108', '506', 'Grey-Turner征阳性', '8', '0', '0', '0', '单选项-Grey-Turner征阳性');
INSERT INTO `icss_question_detail` VALUES ('47493', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '41125', '呈递增型杂音，', '1', '0', '0', '0', '单选项-呈递增型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47494', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '41125', '呈递减型杂音，', '2', '0', '0', '0', '单选项-呈递减型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47495', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '41125', '呈递增递减型杂音，', '3', '0', '0', '0', '单选项-呈递增递减型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47496', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '41125', '呈连续型杂音，', '4', '0', '0', '0', '单选项-呈连续型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47497', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '41125', '呈一贯型杂音，', '5', '0', '0', '0', '单选项-呈一贯型杂音，');
INSERT INTO `icss_question_detail` VALUES ('47504', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '神清', '1', '1', '0', '0', '单选项-神清');
INSERT INTO `icss_question_detail` VALUES ('47505', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '意识模糊', '2', '0', '0', '0', '单选项-意识模糊');
INSERT INTO `icss_question_detail` VALUES ('47506', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '嗜睡状态', '3', '0', '0', '0', '单选项-嗜睡状态');
INSERT INTO `icss_question_detail` VALUES ('47507', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '昏睡状态', '4', '0', '0', '0', '单选项-昏睡状态');
INSERT INTO `icss_question_detail` VALUES ('47508', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '意识丧失', '5', '0', '0', '0', '单选项-意识丧失');
INSERT INTO `icss_question_detail` VALUES ('47509', 'N', '2019-04-10 10:48:23', '2019-04-10 10:48:23', '108', '108', '60', '谵妄状态', '6', '0', '0', '0', '单选项-谵妄状态');
INSERT INTO `icss_question_detail` VALUES ('47510', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '阵发性', '1', '0', '0', '0', '单选项-阵发性');
INSERT INTO `icss_question_detail` VALUES ('47511', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '持续性', '2', '0', '0', '0', '单选项-持续性');
INSERT INTO `icss_question_detail` VALUES ('47512', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '间断性', '3', '0', '0', '0', '单选项-间断性');
INSERT INTO `icss_question_detail` VALUES ('47513', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '发作性', '4', '0', '0', '0', '单选项-发作性');
INSERT INTO `icss_question_detail` VALUES ('47514', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '突发性', '5', '0', '0', '0', '单选项-突发性');
INSERT INTO `icss_question_detail` VALUES ('47515', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '反复', '6', '0', '0', '0', '单选项-反复');
INSERT INTO `icss_question_detail` VALUES ('47516', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '一过性', '7', '0', '0', '0', '单选项-一过性');
INSERT INTO `icss_question_detail` VALUES ('47517', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '转移性', '8', '0', '0', '0', '单选项-转移性');
INSERT INTO `icss_question_detail` VALUES ('47518', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '节律性', '9', '0', '0', '0', '单选项-节律性');
INSERT INTO `icss_question_detail` VALUES ('47519', 'N', '2019-04-10 16:32:23', '2019-04-10 16:32:23', '108', '108', '261', '周期性', '10', '0', '0', '0', '单选项-周期性');
INSERT INTO `icss_question_detail` VALUES ('47535', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '自行缓解', '1', '0', '0', '0', '单选项-自行缓解');
INSERT INTO `icss_question_detail` VALUES ('47536', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '休息后自行缓解', '2', '0', '0', '0', '单选项-休息后自行缓解');
INSERT INTO `icss_question_detail` VALUES ('47537', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '疼痛难以自行缓解', '3', '0', '0', '0', '单选项-疼痛难以自行缓解');
INSERT INTO `icss_question_detail` VALUES ('47538', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '排气后缓解', '4', '0', '0', '0', '单选项-排气后缓解');
INSERT INTO `icss_question_detail` VALUES ('47539', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '排便后缓解', '5', '0', '0', '0', '单选项-排便后缓解');
INSERT INTO `icss_question_detail` VALUES ('47540', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '进食后缓解', '6', '0', '0', '0', '单选项-进食后缓解');
INSERT INTO `icss_question_detail` VALUES ('47541', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '排便后不能缓解', '7', '0', '0', '0', '单选项-排便后不能缓解');
INSERT INTO `icss_question_detail` VALUES ('47542', 'N', '2019-04-11 09:47:55', '2019-04-11 09:47:55', '108', '108', '269', '进餐后加重', '8', '0', '0', '0', '单选项-进餐后加重');
INSERT INTO `icss_question_detail` VALUES ('47567', 'N', '2019-04-11 10:24:00', '2019-04-11 10:24:00', '108', '108', '41127', '以', '1', '0', '0', '0', '单选项-以');
INSERT INTO `icss_question_detail` VALUES ('47568', 'N', '2019-04-11 10:24:00', '2019-04-11 10:24:00', '108', '108', '41127', '联合', '2', '0', '0', '0', '单选项-联合');
INSERT INTO `icss_question_detail` VALUES ('47569', 'N', '2019-04-11 10:24:00', '2019-04-11 10:24:00', '108', '108', '41127', '为主', '3', '0', '0', '0', '单选项-为主');
INSERT INTO `icss_question_detail` VALUES ('47599', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '41132', '平素不锻炼，很少运动', '1', '0', '0', '0', '单选项-平素不锻炼，很少运动');
INSERT INTO `icss_question_detail` VALUES ('47600', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '41132', '未采取有目标性的运动锻炼，日常体身体运动量一般', '2', '0', '0', '0', '单选项-未采取有目标性的运动锻炼，日常体身体运动量一般');
INSERT INTO `icss_question_detail` VALUES ('47601', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '41132', '未采取有目标性的运动锻炼，日常体身体运动量尚可', '3', '0', '0', '0', '单选项-未采取有目标性的运动锻炼，日常体身体运动量尚可');
INSERT INTO `icss_question_detail` VALUES ('47602', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '41132', '适当的增加了运动锻炼，但规律性和持续性欠佳', '4', '0', '0', '0', '单选项-适当的增加了运动锻炼，但规律性和持续性欠佳');
INSERT INTO `icss_question_detail` VALUES ('47603', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '41132', '有规律的进行了适量的体育锻炼，运动控制较佳 ', '5', '0', '0', '0', '单选项-有规律的进行了适量的体育锻炼，运动控制较佳 ');
INSERT INTO `icss_question_detail` VALUES ('47604', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '未监测血糖', '1', '0', '0', '0', '单选项-未监测血糖');
INSERT INTO `icss_question_detail` VALUES ('47605', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '偶尔有测量血糖', '2', '0', '0', '0', '单选项-偶尔有测量血糖');
INSERT INTO `icss_question_detail` VALUES ('47606', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '经常到当地诊所测量血糖', '3', '0', '0', '0', '单选项-经常到当地诊所测量血糖');
INSERT INTO `icss_question_detail` VALUES ('47607', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '经常自我测量血糖', '4', '0', '0', '0', '单选项-经常自我测量血糖');
INSERT INTO `icss_question_detail` VALUES ('47608', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '有按规律监测血糖', '5', '0', '0', '0', '单选项-有按规律监测血糖');
INSERT INTO `icss_question_detail` VALUES ('47609', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '不规律', '6', '0', '0', '0', '单选项-不规律');
INSERT INTO `icss_question_detail` VALUES ('47610', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '41133', '血糖监测不规律', '7', '0', '0', '0', '单选项-血糖监测不规律');
INSERT INTO `icss_question_detail` VALUES ('47615', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '隐痛，', '1', '0', '0', '0', '单选项-隐痛，');
INSERT INTO `icss_question_detail` VALUES ('47616', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '绞痛，', '2', '0', '0', '0', '单选项-绞痛，');
INSERT INTO `icss_question_detail` VALUES ('47617', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '钝痛，', '3', '0', '0', '0', '单选项-钝痛，');
INSERT INTO `icss_question_detail` VALUES ('47618', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '刀割样痛，', '4', '0', '0', '0', '单选项-刀割样痛，');
INSERT INTO `icss_question_detail` VALUES ('47619', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '烧灼样痛，', '5', '0', '0', '0', '单选项-烧灼样痛，');
INSERT INTO `icss_question_detail` VALUES ('47620', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '撕裂样痛，', '6', '0', '0', '0', '单选项-撕裂样痛，');
INSERT INTO `icss_question_detail` VALUES ('47621', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '刺痛，', '7', '0', '0', '0', '单选项-刺痛，');
INSERT INTO `icss_question_detail` VALUES ('47622', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '胀痛，', '8', '0', '0', '0', '单选项-胀痛，');
INSERT INTO `icss_question_detail` VALUES ('47623', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '坠痛，', '9', '0', '0', '0', '单选项-坠痛，');
INSERT INTO `icss_question_detail` VALUES ('47624', 'N', '2019-04-11 10:38:10', '2019-04-11 10:38:10', '108', '108', '262', '疼痛，', '10', '0', '0', '0', '单选项-疼痛，');
INSERT INTO `icss_question_detail` VALUES ('47638', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '41136', '患者目前未发现有糖尿病相关并发症', '1', '0', '0', '0', '单选项-患者目前未发现有糖尿病相关并发症');
INSERT INTO `icss_question_detail` VALUES ('47639', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '41136', '患已有糖尿病并发症', '2', '0', '0', '0', '单选项-患已有糖尿病并发症');
INSERT INTO `icss_question_detail` VALUES ('47640', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '41136', '患已有轻度的糖尿病并发症', '3', '0', '0', '0', '单选项-患已有轻度的糖尿病并发症');
INSERT INTO `icss_question_detail` VALUES ('47641', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '41136', '患已有中度的糖尿病并发症', '4', '0', '0', '0', '单选项-患已有中度的糖尿病并发症');
INSERT INTO `icss_question_detail` VALUES ('47642', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '41136', '患已有糖尿病严重并发症', '5', '0', '0', '0', '单选项-患已有糖尿病严重并发症');
INSERT INTO `icss_question_detail` VALUES ('47643', 'N', '2019-04-11 10:49:19', '2019-04-11 10:49:19', '108', '108', '41129', '钻顶样痛，', '1', '0', '0', '0', '单选项-钻顶样痛，');
INSERT INTO `icss_question_detail` VALUES ('47644', 'N', '2019-04-11 10:49:19', '2019-04-11 10:49:19', '108', '108', '41129', '有空腹痛，', '2', '0', '0', '0', '单选项-有空腹痛，');
INSERT INTO `icss_question_detail` VALUES ('47645', 'N', '2019-04-11 10:49:19', '2019-04-11 10:49:19', '108', '108', '41129', '有饥饿痛，', '3', '0', '0', '0', '单选项-有饥饿痛，');
INSERT INTO `icss_question_detail` VALUES ('47646', 'N', '2019-04-11 10:49:19', '2019-04-11 10:49:19', '108', '108', '41129', '有夜间痛，', '4', '0', '0', '0', '单选项-有夜间痛，');
INSERT INTO `icss_question_detail` VALUES ('47647', 'N', '2019-04-11 10:49:19', '2019-04-11 10:49:19', '108', '108', '41129', '有餐后痛', '5', '0', '0', '0', '单选项-有餐后痛');
INSERT INTO `icss_question_detail` VALUES ('47674', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '二甲双胍', '1', '0', '0', '0', '单选项-二甲双胍');
INSERT INTO `icss_question_detail` VALUES ('47675', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '格列齐特', '2', '0', '0', '0', '单选项-格列齐特');
INSERT INTO `icss_question_detail` VALUES ('47676', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '瑞格列奈', '3', '0', '0', '0', '单选项-瑞格列奈');
INSERT INTO `icss_question_detail` VALUES ('47677', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '吡格列酮', '4', '0', '0', '0', '单选项-吡格列酮');
INSERT INTO `icss_question_detail` VALUES ('47678', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '阿卡波糖', '5', '0', '0', '0', '单选项-阿卡波糖');
INSERT INTO `icss_question_detail` VALUES ('47679', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '西格列汀', '6', '0', '0', '0', '单选项-西格列汀');
INSERT INTO `icss_question_detail` VALUES ('47680', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '恩格列净', '7', '0', '0', '0', '单选项-恩格列净');
INSERT INTO `icss_question_detail` VALUES ('47681', 'N', '2019-04-11 11:02:03', '2019-04-11 11:02:03', '108', '108', '41138', '利拉鲁肽', '8', '0', '0', '0', '单选项-利拉鲁肽');
INSERT INTO `icss_question_detail` VALUES ('47692', 'N', '2019-04-11 11:02:19', '2019-04-11 11:02:19', '108', '108', '41140', '0.5qd', '1', '0', '0', '0', '单选项-0.5qd');
INSERT INTO `icss_question_detail` VALUES ('47709', 'N', '2019-04-11 11:13:48', '2019-04-11 11:13:48', '108', '108', '41142', '8IUbid', '1', '0', '0', '0', '单选项-8IUbid');
INSERT INTO `icss_question_detail` VALUES ('47733', 'N', '2019-04-11 11:26:27', '2019-04-11 11:26:27', '108', '108', '41146', '使用上述药物治疗过程中患者没有不适感', '1', '0', '0', '0', '单选项-使用上述药物治疗过程中患者没有不适感');
INSERT INTO `icss_question_detail` VALUES ('47734', 'N', '2019-04-11 11:26:27', '2019-04-11 11:26:27', '108', '108', '41146', '服用药物后无不适', '2', '0', '0', '0', '单选项-服用药物后无不适');
INSERT INTO `icss_question_detail` VALUES ('47735', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '服用药物后', '1', '0', '0', '0', '单选项-服用药物后');
INSERT INTO `icss_question_detail` VALUES ('47736', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '偶有', '2', '0', '0', '0', '单选项-偶有');
INSERT INTO `icss_question_detail` VALUES ('47737', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '常有', '3', '0', '0', '0', '单选项-常有');
INSERT INTO `icss_question_detail` VALUES ('47738', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '经常', '4', '0', '0', '0', '单选项-经常');
INSERT INTO `icss_question_detail` VALUES ('47739', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '感觉', '5', '0', '0', '0', '单选项-感觉');
INSERT INTO `icss_question_detail` VALUES ('47740', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '出现', '6', '0', '0', '0', '单选项-出现');
INSERT INTO `icss_question_detail` VALUES ('47741', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '经常出现', '7', '0', '0', '0', '单选项-经常出现');
INSERT INTO `icss_question_detail` VALUES ('47742', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '不良反应', '8', '0', '0', '0', '单选项-不良反应');
INSERT INTO `icss_question_detail` VALUES ('47743', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '41147', '等不良反应', '9', '0', '0', '0', '单选项-等不良反应');
INSERT INTO `icss_question_detail` VALUES ('47744', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '腹部不适', '1', '0', '0', '0', '单选项-腹部不适');
INSERT INTO `icss_question_detail` VALUES ('47745', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '腹胀', '2', '0', '0', '0', '单选项-腹胀');
INSERT INTO `icss_question_detail` VALUES ('47746', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '消化不良', '3', '0', '0', '0', '单选项-消化不良');
INSERT INTO `icss_question_detail` VALUES ('47747', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '食欲减退', '4', '0', '0', '0', '单选项-食欲减退');
INSERT INTO `icss_question_detail` VALUES ('47748', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '恶心呕吐', '5', '0', '0', '0', '单选项-恶心呕吐');
INSERT INTO `icss_question_detail` VALUES ('47749', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '腹泻', '6', '0', '0', '0', '单选项-腹泻');
INSERT INTO `icss_question_detail` VALUES ('47750', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '便秘', '7', '0', '0', '0', '单选项-便秘');
INSERT INTO `icss_question_detail` VALUES ('47751', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '头晕', '8', '0', '0', '0', '单选项-头晕');
INSERT INTO `icss_question_detail` VALUES ('47752', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '41148', '乏力', '9', '0', '0', '0', '单选项-乏力');
INSERT INTO `icss_question_detail` VALUES ('47753', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '饥饿感', '1', '0', '0', '0', '单选项-饥饿感');
INSERT INTO `icss_question_detail` VALUES ('47754', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '手抖感', '2', '0', '0', '0', '单选项-手抖感');
INSERT INTO `icss_question_detail` VALUES ('47755', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '多汗', '3', '0', '0', '0', '单选项-多汗');
INSERT INTO `icss_question_detail` VALUES ('47756', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '低血糖反应', '4', '0', '0', '0', '单选项-低血糖反应');
INSERT INTO `icss_question_detail` VALUES ('47757', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '睡眠差', '5', '0', '0', '0', '单选项-睡眠差');
INSERT INTO `icss_question_detail` VALUES ('47758', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '肝功能异常', '6', '0', '0', '0', '单选项-肝功能异常');
INSERT INTO `icss_question_detail` VALUES ('47759', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '41149', '肾功能异常', '7', '0', '0', '0', '单选项-肾功能异常');
INSERT INTO `icss_question_detail` VALUES ('47760', 'N', '2019-04-11 14:31:28', '2019-04-11 14:31:28', '108', '108', '41152', '营养一般', '1', '0', '0', '0', '单选项-营养一般');
INSERT INTO `icss_question_detail` VALUES ('47761', 'N', '2019-04-11 14:31:28', '2019-04-11 14:31:28', '108', '108', '41152', '营养较差', '2', '0', '0', '0', '单选项-营养较差');
INSERT INTO `icss_question_detail` VALUES ('47762', 'N', '2019-04-11 14:31:28', '2019-04-11 14:31:28', '108', '108', '41152', '营养良好', '3', '0', '0', '0', '单选项-营养良好');
INSERT INTO `icss_question_detail` VALUES ('47763', 'N', '2019-04-11 14:36:12', '2019-04-11 14:36:12', '108', '108', '41153', '四肢活动受限', '1', '0', '0', '0', '单选项-四肢活动受限');
INSERT INTO `icss_question_detail` VALUES ('47764', 'N', '2019-04-11 14:36:12', '2019-04-11 14:36:12', '108', '108', '41153', '四肢僵硬', '2', '0', '0', '0', '单选项-四肢僵硬');
INSERT INTO `icss_question_detail` VALUES ('47765', 'N', '2019-04-11 14:37:05', '2019-04-11 14:37:05', '108', '108', '41154', '膝关节', '1', '0', '0', '0', '单选项-膝关节');
INSERT INTO `icss_question_detail` VALUES ('47766', 'N', '2019-04-11 14:37:05', '2019-04-11 14:37:05', '108', '108', '41154', '踝关节', '2', '0', '0', '0', '单选项-踝关节');
INSERT INTO `icss_question_detail` VALUES ('47767', 'N', '2019-04-11 14:37:05', '2019-04-11 14:37:05', '108', '108', '41154', '腕关节', '3', '0', '0', '0', '单选项-腕关节');
INSERT INTO `icss_question_detail` VALUES ('47768', 'N', '2019-04-11 14:37:33', '2019-04-11 14:37:33', '108', '108', '41155', '红肿疼痛', '1', '0', '0', '0', '单选项-红肿疼痛');
INSERT INTO `icss_question_detail` VALUES ('47769', 'N', '2019-04-11 14:37:33', '2019-04-11 14:37:33', '108', '108', '41155', '肿胀', '2', '0', '0', '0', '单选项-肿胀');
INSERT INTO `icss_question_detail` VALUES ('47770', 'N', '2019-04-11 14:37:33', '2019-04-11 14:37:33', '108', '108', '41155', '积液', '3', '0', '0', '0', '单选项-积液');
INSERT INTO `icss_question_detail` VALUES ('47771', 'N', '2019-04-11 14:38:25', '2019-04-11 14:38:25', '108', '108', '41156', '无杵状趾', '1', '0', '0', '0', '单选项-无杵状趾');
INSERT INTO `icss_question_detail` VALUES ('47772', 'N', '2019-04-11 14:38:25', '2019-04-11 14:38:25', '108', '108', '41156', '有杵状趾', '2', '0', '0', '0', '单选项-有杵状趾');
INSERT INTO `icss_question_detail` VALUES ('47773', 'N', '2019-04-11 14:38:48', '2019-04-11 14:38:48', '108', '108', '41157', '无杵状指', '1', '0', '0', '0', '单选项-无杵状指');
INSERT INTO `icss_question_detail` VALUES ('47774', 'N', '2019-04-11 14:38:48', '2019-04-11 14:38:48', '108', '108', '41157', '有杵状指', '2', '0', '0', '0', '单选项-有杵状指');
INSERT INTO `icss_question_detail` VALUES ('47775', 'N', '2019-04-11 14:47:09', '2019-04-11 14:47:09', '108', '108', '41158', '左下肢', '1', '0', '0', '0', '单选项-左下肢');
INSERT INTO `icss_question_detail` VALUES ('47776', 'N', '2019-04-11 14:47:09', '2019-04-11 14:47:09', '108', '108', '41158', '右下肢', '2', '0', '0', '0', '单选项-右下肢');
INSERT INTO `icss_question_detail` VALUES ('47777', 'N', '2019-04-11 14:48:20', '2019-04-11 14:48:20', '108', '108', '41159', '凹陷性水肿', '1', '0', '0', '0', '单选项-凹陷性水肿');
INSERT INTO `icss_question_detail` VALUES ('47778', 'N', '2019-04-11 14:48:20', '2019-04-11 14:48:20', '108', '108', '41159', '非凹陷性水肿', '2', '0', '0', '0', '单选项-非凹陷性水肿');
INSERT INTO `icss_question_detail` VALUES ('47779', 'N', '2019-04-11 14:48:20', '2019-04-11 14:48:20', '108', '108', '41159', '粘液样水肿', '3', '0', '0', '0', '单选项-粘液样水肿');
INSERT INTO `icss_question_detail` VALUES ('47780', 'N', '2019-04-11 14:53:02', '2019-04-11 14:53:02', '108', '108', '41160', '左侧足背动脉搏动正常', '1', '0', '0', '0', '单选项-左侧足背动脉搏动正常');
INSERT INTO `icss_question_detail` VALUES ('47781', 'N', '2019-04-11 14:53:02', '2019-04-11 14:53:02', '108', '108', '41160', '右侧足背动脉搏动减弱', '2', '0', '0', '0', '单选项-右侧足背动脉搏动减弱');
INSERT INTO `icss_question_detail` VALUES ('47782', 'N', '2019-04-11 14:53:39', '2019-04-11 14:53:39', '108', '108', '41161', '足部肤色正常', '1', '0', '0', '0', '单选项-足部肤色正常');
INSERT INTO `icss_question_detail` VALUES ('47783', 'N', '2019-04-11 14:53:39', '2019-04-11 14:53:39', '108', '108', '41161', '足部肤色晦暗', '2', '0', '0', '0', '单选项-足部肤色晦暗');
INSERT INTO `icss_question_detail` VALUES ('47784', 'N', '2019-04-11 14:54:22', '2019-04-11 14:54:22', '108', '108', '41162', '肤温正常', '1', '0', '0', '0', '单选项-肤温正常');
INSERT INTO `icss_question_detail` VALUES ('47785', 'N', '2019-04-11 14:54:22', '2019-04-11 14:54:22', '108', '108', '41162', '肤温升高', '2', '0', '0', '0', '单选项-肤温升高');
INSERT INTO `icss_question_detail` VALUES ('47786', 'N', '2019-04-11 14:54:22', '2019-04-11 14:54:22', '108', '108', '41162', '肤温降低', '3', '0', '0', '0', '单选项-肤温降低');
INSERT INTO `icss_question_detail` VALUES ('47787', 'N', '2019-04-11 14:55:14', '2019-04-11 14:55:14', '108', '108', '41163', '感觉正常', '1', '0', '0', '0', '单选项-感觉正常');
INSERT INTO `icss_question_detail` VALUES ('47788', 'N', '2019-04-11 14:55:14', '2019-04-11 14:55:14', '108', '108', '41163', '感觉麻木', '2', '0', '0', '0', '单选项-感觉麻木');
INSERT INTO `icss_question_detail` VALUES ('47789', 'N', '2019-04-11 14:55:14', '2019-04-11 14:55:14', '108', '108', '41163', '有蚁行感', '3', '0', '0', '0', '单选项-有蚁行感');
INSERT INTO `icss_question_detail` VALUES ('47790', 'N', '2019-04-11 14:57:57', '2019-04-11 14:57:57', '108', '108', '41164', '右侧', '1', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('47791', 'N', '2019-04-11 14:57:57', '2019-04-11 14:57:57', '108', '108', '41164', '左侧', '2', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('47792', 'N', '2019-04-11 14:58:45', '2019-04-11 14:58:45', '108', '108', '41165', '跟腱反射正常', '1', '0', '0', '0', '单选项-跟腱反射正常');
INSERT INTO `icss_question_detail` VALUES ('47793', 'N', '2019-04-11 14:58:45', '2019-04-11 14:58:45', '108', '108', '41165', '膝腱反射减弱', '2', '0', '0', '0', '单选项-膝腱反射减弱');
INSERT INTO `icss_question_detail` VALUES ('47794', 'N', '2019-04-11 14:59:47', '2019-04-11 14:59:47', '108', '108', '41166', '右侧', '1', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('47795', 'N', '2019-04-11 14:59:47', '2019-04-11 14:59:47', '108', '108', '41166', '左侧', '2', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('47796', 'N', '2019-04-11 15:00:16', '2019-04-11 15:00:16', '108', '108', '41167', '痛觉', '1', '0', '0', '0', '单选项-痛觉');
INSERT INTO `icss_question_detail` VALUES ('47797', 'N', '2019-04-11 15:00:16', '2019-04-11 15:00:16', '108', '108', '41167', '温觉', '2', '0', '0', '0', '单选项-温觉');
INSERT INTO `icss_question_detail` VALUES ('47798', 'N', '2019-04-11 15:00:16', '2019-04-11 15:00:16', '108', '108', '41167', '触觉', '3', '0', '0', '0', '单选项-触觉');
INSERT INTO `icss_question_detail` VALUES ('47799', 'N', '2019-04-11 15:00:43', '2019-04-11 15:00:43', '108', '108', '41168', '减弱', '1', '0', '0', '0', '单选项-减弱');
INSERT INTO `icss_question_detail` VALUES ('47800', 'N', '2019-04-11 15:00:43', '2019-04-11 15:00:43', '108', '108', '41168', '消失', '2', '0', '0', '0', '单选项-消失');
INSERT INTO `icss_question_detail` VALUES ('47801', 'N', '2019-04-11 15:00:43', '2019-04-11 15:00:43', '108', '108', '41168', '正常', '3', '0', '0', '0', '单选项-正常');
INSERT INTO `icss_question_detail` VALUES ('47803', 'N', '2019-04-11 16:06:56', '2019-04-11 16:06:56', '108', '108', '41170', '双下肢无水肿', '1', '0', '0', '0', '单选项-双下肢无水肿');
INSERT INTO `icss_question_detail` VALUES ('47804', 'N', '2019-04-11 16:07:28', '2019-04-11 16:07:28', '108', '108', '41172', '双侧足背动脉搏动正常', '1', '0', '0', '0', '单选项-双侧足背动脉搏动正常');
INSERT INTO `icss_question_detail` VALUES ('47805', 'N', '2019-04-11 16:09:19', '2019-04-11 16:09:19', '108', '108', '41174', '跟腱、膝腱、踝反射正常', '1', '0', '0', '0', '单选项-跟腱、膝腱、踝反射正常');
INSERT INTO `icss_question_detail` VALUES ('47806', 'N', '2019-04-11 16:10:55', '2019-04-11 16:10:55', '108', '108', '41176', '深浅感觉检查未见异常', '1', '0', '0', '0', '单选项-深浅感觉检查未见异常');
INSERT INTO `icss_question_detail` VALUES ('47819', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '便时带血，', '1', '0', '0', '0', '单选项-便时带血，');
INSERT INTO `icss_question_detail` VALUES ('47820', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '便后滴血，', '2', '0', '0', '0', '单选项-便后滴血，');
INSERT INTO `icss_question_detail` VALUES ('47821', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '黑矇，', '3', '0', '0', '0', '单选项-黑矇，');
INSERT INTO `icss_question_detail` VALUES ('47822', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '反酸，', '4', '0', '0', '0', '单选项-反酸，');
INSERT INTO `icss_question_detail` VALUES ('47823', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '嗳气，', '5', '0', '0', '0', '单选项-嗳气，');
INSERT INTO `icss_question_detail` VALUES ('47824', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '胸闷，', '6', '0', '0', '0', '单选项-胸闷，');
INSERT INTO `icss_question_detail` VALUES ('47825', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '头晕，', '7', '0', '0', '0', '单选项-头晕，');
INSERT INTO `icss_question_detail` VALUES ('47826', 'N', '2019-04-12 11:42:25', '2019-04-12 11:42:25', '108', '108', '41018', '乏力，', '8', '0', '0', '0', '单选项-乏力，');
INSERT INTO `icss_question_detail` VALUES ('47827', 'N', '2019-04-12 11:43:10', '2019-04-12 11:43:10', '108', '108', '484', '暗红色大便，', '1', '0', '0', '0', '单选项-暗红色大便，');
INSERT INTO `icss_question_detail` VALUES ('47828', 'N', '2019-04-12 11:43:10', '2019-04-12 11:43:10', '108', '108', '484', '鲜红色大便，', '2', '0', '0', '0', '单选项-鲜红色大便，');
INSERT INTO `icss_question_detail` VALUES ('47829', 'N', '2019-04-12 11:43:10', '2019-04-12 11:43:10', '108', '108', '484', '柏油样便，', '3', '0', '0', '0', '单选项-柏油样便，');
INSERT INTO `icss_question_detail` VALUES ('47830', 'N', '2019-04-12 11:43:10', '2019-04-12 11:43:10', '108', '108', '484', '果酱样便，', '4', '0', '0', '0', '单选项-果酱样便，');
INSERT INTO `icss_question_detail` VALUES ('47831', 'N', '2019-04-12 13:33:11', '2019-04-12 13:33:11', '108', '108', '41178', '便后滴血，', '1', '0', '0', '0', '单选项-便后滴血，');
INSERT INTO `icss_question_detail` VALUES ('47832', 'N', '2019-04-12 13:33:11', '2019-04-12 13:33:11', '108', '108', '41178', '便时带血，', '2', '0', '0', '0', '单选项-便时带血，');
INSERT INTO `icss_question_detail` VALUES ('47833', 'N', '2019-04-12 13:33:11', '2019-04-12 13:33:11', '108', '108', '41178', '呈持续性，', '3', '0', '0', '0', '单选项-呈持续性，');
INSERT INTO `icss_question_detail` VALUES ('47834', 'N', '2019-04-12 13:33:11', '2019-04-12 13:33:11', '108', '108', '41178', '呈无痛性，', '4', '0', '0', '0', '单选项-呈无痛性，');
INSERT INTO `icss_question_detail` VALUES ('47835', 'N', '2019-04-12 13:33:11', '2019-04-12 13:33:11', '108', '108', '41178', '呈间歇性，', '5', '0', '0', '0', '单选项-呈间歇性，');
INSERT INTO `icss_question_detail` VALUES ('47858', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '无放射痛', '1', '0', '0', '0', '单选项-无放射痛');
INSERT INTO `icss_question_detail` VALUES ('47859', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '无其他部位放射', '2', '0', '0', '0', '单选项-无其他部位放射');
INSERT INTO `icss_question_detail` VALUES ('47860', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可向左肩部放射', '3', '0', '0', '0', '单选项-疼痛可向左肩部放射');
INSERT INTO `icss_question_detail` VALUES ('47861', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可右肩胛部放射', '4', '0', '0', '0', '单选项-疼痛可右肩胛部放射');
INSERT INTO `icss_question_detail` VALUES ('47862', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可向背部放射', '5', '0', '0', '0', '单选项-疼痛可向背部放射');
INSERT INTO `icss_question_detail` VALUES ('47863', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可向肩背部放射', '6', '0', '0', '0', '单选项-疼痛可向肩背部放射');
INSERT INTO `icss_question_detail` VALUES ('47864', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可向腰背部放射', '7', '0', '0', '0', '单选项-疼痛可向腰背部放射');
INSERT INTO `icss_question_detail` VALUES ('47865', 'N', '2019-04-15 11:11:44', '2019-04-15 11:11:44', '108', '108', '267', '疼痛可向胁部放射', '8', '0', '0', '0', '单选项-疼痛可向胁部放射');
INSERT INTO `icss_question_detail` VALUES ('47866', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻粘膜充血', '1', '0', '0', '0', '单选项-鼻粘膜充血');
INSERT INTO `icss_question_detail` VALUES ('47867', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻粘膜水肿', '2', '0', '0', '0', '单选项-鼻粘膜水肿');
INSERT INTO `icss_question_detail` VALUES ('47868', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻粘膜苍白', '3', '0', '0', '0', '单选项-鼻粘膜苍白');
INSERT INTO `icss_question_detail` VALUES ('47869', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻腔未见异常分泌物', '4', '0', '0', '0', '单选项-鼻腔未见异常分泌物');
INSERT INTO `icss_question_detail` VALUES ('47870', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻腔可见黄色分泌物', '5', '0', '0', '0', '单选项-鼻腔可见黄色分泌物');
INSERT INTO `icss_question_detail` VALUES ('47871', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻腔可见水样分泌物', '6', '0', '0', '0', '单选项-鼻腔可见水样分泌物');
INSERT INTO `icss_question_detail` VALUES ('47872', 'N', '2019-04-19 16:27:47', '2019-04-19 16:27:47', '106', '106', '29650', '鼻腔可见异常分泌', '7', '0', '0', '0', '单选项-鼻腔可见异常分泌');
INSERT INTO `icss_question_detail` VALUES ('47888', 'N', '2019-04-22 16:34:21', '2019-04-22 16:34:21', '108', '108', '41205', '非近亲成婚', '1', '1', '0', '0', '单选项-非近亲成婚');
INSERT INTO `icss_question_detail` VALUES ('47889', 'N', '2019-04-22 16:34:21', '2019-04-22 16:34:21', '108', '108', '41205', '近亲成婚', '2', '0', '0', '0', '单选项-近亲成婚');
INSERT INTO `icss_question_detail` VALUES ('47890', 'N', '2019-04-23 16:01:13', '2019-04-23 16:01:13', '108', '108', '41207', '适龄结婚，子女及配偶均体健。', '1', '0', '0', '0', '单选项-适龄结婚，子女及配偶均体健。');
INSERT INTO `icss_question_detail` VALUES ('47891', 'N', '2019-04-23 16:06:07', '2019-04-23 16:06:07', '108', '108', '41208', '未婚未育', '1', '0', '0', '0', '单选项-未婚未育');
INSERT INTO `icss_question_detail` VALUES ('47892', 'N', '2019-04-23 16:20:06', '2019-04-23 16:20:06', '108', '108', '41209', '未婚未育', '1', '0', '0', '0', '单选项-未婚未育');
INSERT INTO `icss_question_detail` VALUES ('47899', 'N', '2019-04-23 16:44:27', '2019-04-23 16:44:27', '108', '108', '41220', '未婚未育', '1', '0', '1', '0', '单选项-未婚未育');
INSERT INTO `icss_question_detail` VALUES ('47900', 'N', '2019-04-23 16:44:27', '2019-04-23 16:44:27', '108', '108', '41220', '已婚未育', '2', '0', '1', '0', '单选项-已婚未育');
INSERT INTO `icss_question_detail` VALUES ('47901', 'N', '2019-04-23 16:44:27', '2019-04-23 16:44:27', '108', '108', '41220', '已婚', '3', '0', '1', '0', '单选项-已婚');
INSERT INTO `icss_question_detail` VALUES ('47902', 'N', '2019-04-23 17:27:48', '2019-04-23 17:27:48', '108', '108', '41192', '已婚', '1', '0', '0', '0', '单选项-已婚');
INSERT INTO `icss_question_detail` VALUES ('47903', 'N', '2019-04-23 17:27:48', '2019-04-23 17:27:48', '108', '108', '41192', '未婚', '2', '0', '0', '0', '单选项-未婚');
INSERT INTO `icss_question_detail` VALUES ('47904', 'N', '2019-04-23 17:30:31', '2019-04-23 17:30:31', '108', '108', '41233', '子女及配偶体健', '1', '0', '0', '0', '单选项-子女及配偶体健');
INSERT INTO `icss_question_detail` VALUES ('47907', 'N', '2019-04-23 18:39:03', '2019-04-23 18:39:03', '108', '108', '41244', '未婚', '1', '1', '0', '0', '单选项-未婚');
INSERT INTO `icss_question_detail` VALUES ('47908', 'N', '2019-04-23 18:39:24', '2019-04-23 18:39:24', '108', '108', '41248', '离异', '1', '1', '0', '0', '单选项-离异');
INSERT INTO `icss_question_detail` VALUES ('47910', 'N', '2019-04-23 18:49:28', '2019-04-23 18:49:28', '108', '108', '41251', '子女及配偶体健', '1', '1', '0', '0', '单选项-子女及配偶体健');
INSERT INTO `icss_question_detail` VALUES ('47911', 'N', '2019-04-23 19:04:42', '2019-04-23 19:04:42', '108', '108', '41253', '未育', '1', '1', '0', '0', '单选项-未育');
INSERT INTO `icss_question_detail` VALUES ('47912', 'N', '2019-04-23 19:16:36', '2019-04-23 19:16:36', '108', '108', '41254', '已婚未育', '1', '1', '0', '0', '单选项-已婚未育');
INSERT INTO `icss_question_detail` VALUES ('47924', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '无其他部位放射痛', '1', '0', '0', '0', '单选项-无其他部位放射痛');
INSERT INTO `icss_question_detail` VALUES ('47925', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向左肩部放射', '2', '0', '0', '0', '单选项-疼痛可向左肩部放射');
INSERT INTO `icss_question_detail` VALUES ('47926', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可右肩胛部放射', '3', '0', '0', '0', '单选项-疼痛可右肩胛部放射');
INSERT INTO `icss_question_detail` VALUES ('47927', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向左臂放射', '4', '0', '0', '0', '单选项-疼痛可向左臂放射');
INSERT INTO `icss_question_detail` VALUES ('47928', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向颈部放射', '5', '0', '0', '0', '单选项-疼痛可向颈部放射');
INSERT INTO `icss_question_detail` VALUES ('47929', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向背部放射', '6', '0', '0', '0', '单选项-疼痛可向背部放射');
INSERT INTO `icss_question_detail` VALUES ('47930', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向肩背部放射', '7', '0', '0', '0', '单选项-疼痛可向肩背部放射');
INSERT INTO `icss_question_detail` VALUES ('47931', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向腰背部放射', '8', '0', '0', '0', '单选项-疼痛可向腰背部放射');
INSERT INTO `icss_question_detail` VALUES ('47932', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向胁部放射', '9', '0', '0', '0', '单选项-疼痛可向胁部放射');
INSERT INTO `icss_question_detail` VALUES ('47933', 'N', '2019-04-26 09:54:19', '2019-04-26 09:54:19', '108', '108', '250', '疼痛可向下颌部放射', '10', '0', '0', '0', '单选项-疼痛可向下颌部放射');
INSERT INTO `icss_question_detail` VALUES ('47934', 'N', '2019-05-07 20:04:11', '2019-05-07 20:04:11', '108', '108', '41275', '白带正常无异味', '1', '0', '0', '0', '单选项-白带正常无异味');
INSERT INTO `icss_question_detail` VALUES ('47943', 'N', '2019-05-07 20:08:10', '2019-05-07 20:08:10', '108', '108', '41277', '无异味', '1', '1', '0', '0', '单选项-无异味');
INSERT INTO `icss_question_detail` VALUES ('47944', 'N', '2019-05-07 20:08:10', '2019-05-07 20:08:10', '108', '108', '41277', '有异常气味', '2', '0', '0', '0', '单选项-有异常气味');
INSERT INTO `icss_question_detail` VALUES ('47945', 'N', '2019-05-07 20:09:31', '2019-05-07 20:09:31', '108', '108', '41278', '白带量少', '1', '0', '1', '0', '单选项-白带量少');
INSERT INTO `icss_question_detail` VALUES ('47946', 'N', '2019-05-07 20:09:31', '2019-05-07 20:09:31', '108', '108', '41278', '白带量多', '2', '0', '1', '0', '单选项-白带量多');
INSERT INTO `icss_question_detail` VALUES ('47947', 'N', '2019-05-07 20:09:31', '2019-05-07 20:09:31', '108', '108', '41278', '白带颜色形状异常', '3', '0', '1', '0', '单选项-白带颜色形状异常');
INSERT INTO `icss_question_detail` VALUES ('47952', 'N', '2019-05-07 20:10:52', '2019-05-07 20:10:52', '108', '108', '41279', '无异味', '1', '0', '2', '0', '单选项-无异味');
INSERT INTO `icss_question_detail` VALUES ('47953', 'N', '2019-05-07 20:10:52', '2019-05-07 20:10:52', '108', '108', '41279', '有异常气味', '2', '0', '2', '0', '单选项-有异常气味');
INSERT INTO `icss_question_detail` VALUES ('47954', 'N', '2019-05-07 20:18:15', '2019-05-07 20:18:15', '108', '108', '41276', '白带量少，', '1', '1', '0', '0', '单选项-白带量少，');
INSERT INTO `icss_question_detail` VALUES ('47955', 'N', '2019-05-07 20:18:15', '2019-05-07 20:18:15', '108', '108', '41276', '白带量多，', '2', '0', '0', '0', '单选项-白带量多，');
INSERT INTO `icss_question_detail` VALUES ('47956', 'N', '2019-05-07 20:18:15', '2019-05-07 20:18:15', '108', '108', '41276', '白带颜色形状异常，', '3', '0', '0', '0', '单选项-白带颜色形状异常，');
INSERT INTO `icss_question_detail` VALUES ('47957', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '神志清', '1', '0', '0', '0', '单选项-神志清');
INSERT INTO `icss_question_detail` VALUES ('47958', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '神志模糊', '2', '0', '0', '0', '单选项-神志模糊');
INSERT INTO `icss_question_detail` VALUES ('47959', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '昏睡状态', '3', '0', '0', '0', '单选项-昏睡状态');
INSERT INTO `icss_question_detail` VALUES ('47960', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '昏迷状态', '4', '0', '0', '0', '单选项-昏迷状态');
INSERT INTO `icss_question_detail` VALUES ('47961', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '谵妄状态', '5', '0', '0', '0', '单选项-谵妄状态');
INSERT INTO `icss_question_detail` VALUES ('47962', 'N', '2019-05-08 15:11:59', '2019-05-08 15:11:59', '108', '108', '430', '意识丧失', '6', '0', '0', '0', '单选项-意识丧失');
INSERT INTO `icss_question_detail` VALUES ('47973', 'N', '2019-05-08 17:38:41', '2019-05-08 17:38:41', '108', '108', '428', '发育正常', '1', '0', '0', '0', '单选项-发育正常');
INSERT INTO `icss_question_detail` VALUES ('47974', 'N', '2019-05-08 17:38:41', '2019-05-08 17:38:41', '108', '108', '428', '发育异常', '2', '0', '0', '0', '单选项-发育异常');
INSERT INTO `icss_question_detail` VALUES ('47975', 'N', '2019-05-08 17:38:41', '2019-05-08 17:38:41', '108', '108', '428', '发育延迟', '3', '0', '0', '0', '单选项-发育延迟');
INSERT INTO `icss_question_detail` VALUES ('47976', 'N', '2019-05-08 17:38:41', '2019-05-08 17:38:41', '108', '108', '428', '发育迟滞', '4', '0', '0', '0', '单选项-发育迟滞');
INSERT INTO `icss_question_detail` VALUES ('47977', 'N', '2019-05-08 17:39:15', '2019-05-08 17:39:15', '108', '108', '429', '营养中等', '1', '0', '0', '0', '单选项-营养中等');
INSERT INTO `icss_question_detail` VALUES ('47978', 'N', '2019-05-08 17:39:15', '2019-05-08 17:39:15', '108', '108', '429', '营养良好', '2', '0', '0', '0', '单选项-营养良好');
INSERT INTO `icss_question_detail` VALUES ('47979', 'N', '2019-05-08 17:39:15', '2019-05-08 17:39:15', '108', '108', '429', '营养不良', '3', '0', '0', '0', '单选项-营养不良');
INSERT INTO `icss_question_detail` VALUES ('47980', 'N', '2019-05-08 17:39:15', '2019-05-08 17:39:15', '108', '108', '429', '营养肥胖', '4', '0', '0', '0', '单选项-营养肥胖');
INSERT INTO `icss_question_detail` VALUES ('47981', 'N', '2019-05-08 17:40:37', '2019-05-08 17:40:37', '108', '108', '41289', '面色苍白', '1', '0', '0', '0', '单选项-面色苍白');
INSERT INTO `icss_question_detail` VALUES ('47982', 'N', '2019-05-08 17:40:37', '2019-05-08 17:40:37', '108', '108', '41289', '面色红润', '2', '0', '0', '0', '单选项-面色红润');
INSERT INTO `icss_question_detail` VALUES ('47983', 'N', '2019-05-08 17:40:37', '2019-05-08 17:40:37', '108', '108', '41289', '面色晦暗', '3', '0', '0', '0', '单选项-面色晦暗');
INSERT INTO `icss_question_detail` VALUES ('47984', 'N', '2019-05-08 17:40:37', '2019-05-08 17:40:37', '108', '108', '41289', '面色发黄', '4', '0', '0', '0', '单选项-面色发黄');
INSERT INTO `icss_question_detail` VALUES ('47985', 'N', '2019-05-09 09:44:52', '2019-05-09 09:44:52', '108', '108', '416', '双眼睑无水肿', '1', '0', '0', '0', '单选项-双眼睑无水肿');
INSERT INTO `icss_question_detail` VALUES ('47986', 'N', '2019-05-09 09:44:52', '2019-05-09 09:44:52', '108', '108', '416', '双眼睑水肿', '2', '0', '0', '0', '单选项-双眼睑水肿');
INSERT INTO `icss_question_detail` VALUES ('47987', 'N', '2019-05-09 09:45:11', '2019-05-09 09:45:11', '108', '108', '438', '巩膜无黄染', '1', '0', '0', '0', '单选项-巩膜无黄染');
INSERT INTO `icss_question_detail` VALUES ('47988', 'N', '2019-05-09 09:45:11', '2019-05-09 09:45:11', '108', '108', '438', '巩膜黄染', '2', '0', '0', '0', '单选项-巩膜黄染');
INSERT INTO `icss_question_detail` VALUES ('47989', 'N', '2019-05-09 10:58:58', '2019-05-09 10:58:58', '108', '108', '380', '双侧瞳孔', '1', '0', '0', '0', '单选项-双侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('47990', 'N', '2019-05-09 10:58:58', '2019-05-09 10:58:58', '108', '108', '380', '左侧瞳孔', '2', '0', '0', '0', '单选项-左侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('47991', 'N', '2019-05-09 10:58:58', '2019-05-09 10:58:58', '108', '108', '380', '右侧瞳孔', '3', '0', '0', '0', '单选项-右侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('47992', 'N', '2019-05-09 11:19:00', '2019-05-09 11:19:00', '108', '108', '41292', '直径约3mm', '1', '0', '0', '0', '单选项-直径约3mm');
INSERT INTO `icss_question_detail` VALUES ('47993', 'N', '2019-05-09 11:19:00', '2019-05-09 11:19:00', '108', '108', '41292', '直径约4mm', '2', '0', '0', '0', '单选项-直径约4mm');
INSERT INTO `icss_question_detail` VALUES ('47994', 'N', '2019-05-09 11:19:00', '2019-05-09 11:19:00', '108', '108', '41292', '直径约    mm', '3', '0', '0', '0', '单选项-直径约    mm');
INSERT INTO `icss_question_detail` VALUES ('47998', 'N', '2019-05-09 11:25:45', '2019-05-09 11:25:45', '108', '108', '41295', '双侧瞳孔', '1', '0', '0', '0', '单选项-双侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('47999', 'N', '2019-05-09 11:25:45', '2019-05-09 11:25:45', '108', '108', '41295', '左侧瞳孔', '2', '0', '0', '0', '单选项-左侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('48000', 'N', '2019-05-09 11:25:45', '2019-05-09 11:25:45', '108', '108', '41295', '右侧瞳孔', '3', '0', '0', '0', '单选项-右侧瞳孔');
INSERT INTO `icss_question_detail` VALUES ('48001', 'N', '2019-05-09 11:26:39', '2019-05-09 11:26:39', '108', '108', '41296', '等大等圆，', '1', '0', '0', '0', '单选项-等大等圆，');
INSERT INTO `icss_question_detail` VALUES ('48002', 'N', '2019-05-09 11:26:39', '2019-05-09 11:26:39', '108', '108', '41296', '散大，', '2', '0', '0', '0', '单选项-散大，');
INSERT INTO `icss_question_detail` VALUES ('48003', 'N', '2019-05-09 11:26:39', '2019-05-09 11:26:39', '108', '108', '41296', '呈针尖样，', '3', '0', '0', '0', '单选项-呈针尖样，');
INSERT INTO `icss_question_detail` VALUES ('48004', 'N', '2019-05-09 11:27:48', '2019-05-09 11:27:48', '108', '108', '41297', '对光反射灵敏，', '1', '0', '0', '0', '单选项-对光反射灵敏，');
INSERT INTO `icss_question_detail` VALUES ('48005', 'N', '2019-05-09 11:27:48', '2019-05-09 11:27:48', '108', '108', '41297', '对光反射迟钝，', '2', '0', '0', '0', '单选项-对光反射迟钝，');
INSERT INTO `icss_question_detail` VALUES ('48006', 'N', '2019-05-09 11:27:48', '2019-05-09 11:27:48', '108', '108', '41297', '对光反射消失，', '3', '0', '0', '0', '单选项-对光反射消失，');
INSERT INTO `icss_question_detail` VALUES ('48007', 'N', '2019-05-09 11:29:51', '2019-05-09 11:29:51', '108', '108', '41294', '直径约3mm，', '1', '0', '0', '0', '单选项-直径约3mm，');
INSERT INTO `icss_question_detail` VALUES ('48008', 'N', '2019-05-09 11:29:51', '2019-05-09 11:29:51', '108', '108', '41294', '直径约4mm，', '2', '0', '0', '0', '单选项-直径约4mm，');
INSERT INTO `icss_question_detail` VALUES ('48009', 'N', '2019-05-09 11:29:51', '2019-05-09 11:29:51', '108', '108', '41294', '直径约mm，', '3', '0', '0', '0', '单选项-直径约mm，');
INSERT INTO `icss_question_detail` VALUES ('48053', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口唇无发绀，', '1', '0', '0', '0', '单选项-口唇无发绀，');
INSERT INTO `icss_question_detail` VALUES ('48054', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口唇发绀，', '2', '0', '0', '0', '单选项-口唇发绀，');
INSERT INTO `icss_question_detail` VALUES ('48055', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口周无疱疹，', '3', '0', '0', '0', '单选项-口周无疱疹，');
INSERT INTO `icss_question_detail` VALUES ('48056', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口周可见疱疹，', '4', '0', '0', '0', '单选项-口周可见疱疹，');
INSERT INTO `icss_question_detail` VALUES ('48057', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口角无皲裂，', '5', '0', '0', '0', '单选项-口角无皲裂，');
INSERT INTO `icss_question_detail` VALUES ('48058', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '41302', '口角皲裂，', '6', '0', '0', '0', '单选项-口角皲裂，');
INSERT INTO `icss_question_detail` VALUES ('48059', 'N', '2019-05-09 13:24:05', '2019-05-09 13:24:05', '108', '108', '24031', '咽无充血，', '1', '0', '0', '0', '单选项-咽无充血，');
INSERT INTO `icss_question_detail` VALUES ('48060', 'N', '2019-05-09 13:24:05', '2019-05-09 13:24:05', '108', '108', '24031', '咽红，', '2', '0', '0', '0', '单选项-咽红，');
INSERT INTO `icss_question_detail` VALUES ('48061', 'N', '2019-05-09 13:24:05', '2019-05-09 13:24:05', '108', '108', '24031', '咽稍充血，', '3', '0', '0', '0', '单选项-咽稍充血，');
INSERT INTO `icss_question_detail` VALUES ('48062', 'N', '2019-05-09 13:24:05', '2019-05-09 13:24:05', '108', '108', '24031', '咽部充血，', '4', '0', '0', '0', '单选项-咽部充血，');
INSERT INTO `icss_question_detail` VALUES ('48063', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '有充血，', '1', '0', '0', '0', '单选项-有充血，');
INSERT INTO `icss_question_detail` VALUES ('48064', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '无充血，', '2', '0', '0', '0', '单选项-无充血，');
INSERT INTO `icss_question_detail` VALUES ('48065', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '表面有白色分泌物，', '3', '0', '0', '0', '单选项-表面有白色分泌物，');
INSERT INTO `icss_question_detail` VALUES ('48066', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '表面有黄色分泌物，', '4', '0', '0', '0', '单选项-表面有黄色分泌物，');
INSERT INTO `icss_question_detail` VALUES ('48067', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '有假膜，', '5', '0', '0', '0', '单选项-有假膜，');
INSERT INTO `icss_question_detail` VALUES ('48068', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '41303', '有脓点，', '6', '0', '0', '0', '单选项-有脓点，');
INSERT INTO `icss_question_detail` VALUES ('48073', 'N', '2019-05-09 13:27:34', '2019-05-09 13:27:34', '108', '108', '293', '扁桃体无肿大', '1', '0', '0', '0', '单选项-扁桃体无肿大');
INSERT INTO `icss_question_detail` VALUES ('48074', 'N', '2019-05-09 13:27:34', '2019-05-09 13:27:34', '108', '108', '293', '扁桃体I度肿大', '2', '0', '0', '0', '单选项-扁桃体I度肿大');
INSERT INTO `icss_question_detail` VALUES ('48075', 'N', '2019-05-09 13:27:34', '2019-05-09 13:27:34', '108', '108', '293', '扁桃体II度肿大', '3', '0', '0', '0', '单选项-扁桃体II度肿大');
INSERT INTO `icss_question_detail` VALUES ('48076', 'N', '2019-05-09 13:27:34', '2019-05-09 13:27:34', '108', '108', '293', '扁桃体III度肿大', '4', '0', '0', '0', '单选项-扁桃体III度肿大');
INSERT INTO `icss_question_detail` VALUES ('48077', 'N', '2019-05-09 13:33:45', '2019-05-09 13:33:45', '108', '108', '41305', '口腔未见异常', '1', '0', '0', '0', '单选项-口腔未见异常');
INSERT INTO `icss_question_detail` VALUES ('48083', 'N', '2019-05-09 13:39:28', '2019-05-09 13:39:28', '108', '108', '443', '颈软', '1', '0', '0', '0', '单选项-颈软');
INSERT INTO `icss_question_detail` VALUES ('48084', 'N', '2019-05-09 13:39:28', '2019-05-09 13:39:28', '108', '108', '443', '颈强直', '2', '0', '0', '0', '单选项-颈强直');
INSERT INTO `icss_question_detail` VALUES ('48085', 'N', '2019-05-09 13:39:28', '2019-05-09 13:39:28', '108', '108', '443', '颈部僵硬，活动受限', '3', '0', '0', '0', '单选项-颈部僵硬，活动受限');
INSERT INTO `icss_question_detail` VALUES ('48086', 'N', '2019-05-09 13:39:54', '2019-05-09 13:39:54', '108', '108', '444', '气管居中', '1', '0', '0', '0', '单选项-气管居中');
INSERT INTO `icss_question_detail` VALUES ('48087', 'N', '2019-05-09 13:39:54', '2019-05-09 13:39:54', '108', '108', '444', '气管偏右', '2', '0', '0', '0', '单选项-气管偏右');
INSERT INTO `icss_question_detail` VALUES ('48088', 'N', '2019-05-09 13:39:54', '2019-05-09 13:39:54', '108', '108', '444', '气管偏左', '3', '0', '0', '0', '单选项-气管偏左');
INSERT INTO `icss_question_detail` VALUES ('48089', 'N', '2019-05-09 14:00:05', '2019-05-09 14:00:05', '108', '108', '41306', '双侧', '1', '0', '0', '0', '单选项-双侧');
INSERT INTO `icss_question_detail` VALUES ('48090', 'N', '2019-05-09 14:00:05', '2019-05-09 14:00:05', '108', '108', '41306', '右侧', '2', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('48091', 'N', '2019-05-09 14:00:05', '2019-05-09 14:00:05', '108', '108', '41306', '左侧', '3', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('48092', 'N', '2019-05-09 14:00:45', '2019-05-09 14:00:45', '108', '108', '41307', '触觉语颤增强', '1', '0', '0', '0', '单选项-触觉语颤增强');
INSERT INTO `icss_question_detail` VALUES ('48093', 'N', '2019-05-09 14:00:45', '2019-05-09 14:00:45', '108', '108', '41307', '触觉语颤减弱', '2', '0', '0', '0', '单选项-触觉语颤减弱');
INSERT INTO `icss_question_detail` VALUES ('48094', 'N', '2019-05-09 14:05:45', '2019-05-09 14:05:45', '108', '108', '41308', '胸膜有摩擦感，', '1', '0', '0', '0', '单选项-胸膜有摩擦感，');
INSERT INTO `icss_question_detail` VALUES ('48095', 'N', '2019-05-09 14:05:45', '2019-05-09 14:05:45', '108', '108', '41308', '胸膜无摩擦感，', '2', '0', '0', '0', '单选项-胸膜无摩擦感，');
INSERT INTO `icss_question_detail` VALUES ('48096', 'N', '2019-05-09 14:05:45', '2019-05-09 14:05:45', '108', '108', '41308', '无皮下捻发感，', '3', '0', '0', '0', '单选项-无皮下捻发感，');
INSERT INTO `icss_question_detail` VALUES ('48097', 'N', '2019-05-09 14:05:45', '2019-05-09 14:05:45', '108', '108', '41308', '有皮下捻发感，', '4', '0', '0', '0', '单选项-有皮下捻发感，');
INSERT INTO `icss_question_detail` VALUES ('48098', 'N', '2019-05-09 14:25:37', '2019-05-09 14:25:37', '108', '108', '29679', '心界无扩大', '1', '0', '0', '0', '单选项-心界无扩大');
INSERT INTO `icss_question_detail` VALUES ('48099', 'N', '2019-05-09 14:25:37', '2019-05-09 14:25:37', '108', '108', '29679', '心界增大', '2', '0', '0', '0', '单选项-心界增大');
INSERT INTO `icss_question_detail` VALUES ('48100', 'N', '2019-05-09 14:25:37', '2019-05-09 14:25:37', '108', '108', '29679', '心界向左下增大', '3', '0', '0', '0', '单选项-心界向左下增大');
INSERT INTO `icss_question_detail` VALUES ('48101', 'N', '2019-05-09 14:25:37', '2019-05-09 14:25:37', '108', '108', '29679', '心界向左右两侧增大', '4', '0', '0', '0', '单选项-心界向左右两侧增大');
INSERT INTO `icss_question_detail` VALUES ('48127', 'N', '2019-05-09 15:19:39', '2019-05-09 15:19:39', '108', '108', '41313', '可闻及枪击音', '1', '0', '0', '0', '单选项-可闻及枪击音');
INSERT INTO `icss_question_detail` VALUES ('48128', 'N', '2019-05-09 15:19:39', '2019-05-09 15:19:39', '108', '108', '41313', '可闻及Duroziez双重杂音', '2', '0', '0', '0', '单选项-可闻及Duroziez双重杂音');
INSERT INTO `icss_question_detail` VALUES ('48129', 'N', '2019-05-09 15:25:07', '2019-05-09 15:25:07', '108', '108', '41312', '无周围血管征', '1', '0', '0', '0', '单选项-无周围血管征');
INSERT INTO `icss_question_detail` VALUES ('48130', 'N', '2019-05-09 15:25:07', '2019-05-09 15:25:07', '108', '108', '41312', '有奇脉', '2', '0', '0', '0', '单选项-有奇脉');
INSERT INTO `icss_question_detail` VALUES ('48131', 'N', '2019-05-09 15:25:07', '2019-05-09 15:25:07', '108', '108', '41312', '有交替脉', '3', '0', '0', '0', '单选项-有交替脉');
INSERT INTO `icss_question_detail` VALUES ('48132', 'N', '2019-05-09 15:25:07', '2019-05-09 15:25:07', '108', '108', '41312', '有毛细血管搏动', '4', '0', '0', '0', '单选项-有毛细血管搏动');
INSERT INTO `icss_question_detail` VALUES ('48136', 'N', '2019-05-09 15:39:45', '2019-05-09 15:39:45', '106', '106', '29750', '脑膜刺激征阴性', '1', '0', '0', '0', '单选项-脑膜刺激征阴性');
INSERT INTO `icss_question_detail` VALUES ('48137', 'N', '2019-05-09 15:39:45', '2019-05-09 15:39:45', '106', '106', '29750', '脑膜刺激征阳性', '2', '0', '0', '0', '单选项-脑膜刺激征阳性');
INSERT INTO `icss_question_detail` VALUES ('48138', 'N', '2019-05-09 15:39:45', '2019-05-09 15:39:45', '106', '106', '29750', '颈强直阳性', '3', '0', '0', '0', '单选项-颈强直阳性');
INSERT INTO `icss_question_detail` VALUES ('48139', 'N', '2019-05-09 15:39:45', '2019-05-09 15:39:45', '106', '106', '29750', 'Kernig征阳性', '4', '0', '0', '0', '单选项-Kernig征阳性');
INSERT INTO `icss_question_detail` VALUES ('48140', 'N', '2019-05-09 15:39:45', '2019-05-09 15:39:45', '106', '106', '29750', 'Brudzinski征阳性', '5', '0', '0', '0', '单选项-Brudzinski征阳性');
INSERT INTO `icss_question_detail` VALUES ('48141', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '41315', '有皮疹', '1', '0', '0', '0', '单选项-有皮疹');
INSERT INTO `icss_question_detail` VALUES ('48142', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '41315', '有条纹', '2', '0', '0', '0', '单选项-有条纹');
INSERT INTO `icss_question_detail` VALUES ('48143', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '41315', '腹壁静脉显露', '3', '0', '0', '0', '单选项-腹壁静脉显露');
INSERT INTO `icss_question_detail` VALUES ('48144', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '41315', '无皮疹', '4', '0', '0', '0', '单选项-无皮疹');
INSERT INTO `icss_question_detail` VALUES ('48145', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '41315', '无条纹', '5', '0', '0', '0', '单选项-无条纹');
INSERT INTO `icss_question_detail` VALUES ('48146', 'N', '2019-05-09 15:43:19', '2019-05-09 15:43:19', '108', '108', '41316', '血流方向由下向上', '1', '0', '0', '0', '单选项-血流方向由下向上');
INSERT INTO `icss_question_detail` VALUES ('48147', 'N', '2019-05-09 15:43:19', '2019-05-09 15:43:19', '108', '108', '41316', '血流方向由上向下', '2', '0', '0', '0', '单选项-血流方向由上向下');
INSERT INTO `icss_question_detail` VALUES ('48148', 'N', '2019-05-09 15:44:24', '2019-05-09 15:44:24', '108', '108', '41317', '有胃肠型', '1', '0', '0', '0', '单选项-有胃肠型');
INSERT INTO `icss_question_detail` VALUES ('48149', 'N', '2019-05-09 15:44:24', '2019-05-09 15:44:24', '108', '108', '41317', '无胃肠型', '2', '0', '0', '0', '单选项-无胃肠型');
INSERT INTO `icss_question_detail` VALUES ('48150', 'N', '2019-05-09 15:44:24', '2019-05-09 15:44:24', '108', '108', '41317', '可见蠕动波', '3', '0', '0', '0', '单选项-可见蠕动波');
INSERT INTO `icss_question_detail` VALUES ('48151', 'N', '2019-05-09 15:44:24', '2019-05-09 15:44:24', '108', '108', '41317', '无局部隆起', '4', '0', '0', '0', '单选项-无局部隆起');
INSERT INTO `icss_question_detail` VALUES ('48152', 'N', '2019-05-09 15:50:26', '2019-05-09 15:50:26', '108', '108', '41314', '腹部平坦', '1', '0', '0', '0', '单选项-腹部平坦');
INSERT INTO `icss_question_detail` VALUES ('48153', 'N', '2019-05-09 15:50:26', '2019-05-09 15:50:26', '108', '108', '41314', '腹部膨隆', '2', '0', '0', '0', '单选项-腹部膨隆');
INSERT INTO `icss_question_detail` VALUES ('48154', 'N', '2019-05-09 15:50:26', '2019-05-09 15:50:26', '108', '108', '41314', '腹部凹陷', '3', '0', '0', '0', '单选项-腹部凹陷');
INSERT INTO `icss_question_detail` VALUES ('48155', 'N', '2019-05-09 15:50:26', '2019-05-09 15:50:26', '108', '108', '41314', '呈舟状腹', '4', '0', '0', '0', '单选项-呈舟状腹');
INSERT INTO `icss_question_detail` VALUES ('48183', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '全腹软', '1', '0', '0', '0', '单选项-全腹软');
INSERT INTO `icss_question_detail` VALUES ('48184', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '左腹部', '2', '0', '0', '0', '单选项-左腹部');
INSERT INTO `icss_question_detail` VALUES ('48185', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '左下腹', '3', '0', '0', '0', '单选项-左下腹');
INSERT INTO `icss_question_detail` VALUES ('48186', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '上腹部', '4', '0', '0', '0', '单选项-上腹部');
INSERT INTO `icss_question_detail` VALUES ('48187', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '中上腹', '5', '0', '0', '0', '单选项-中上腹');
INSERT INTO `icss_question_detail` VALUES ('48188', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '中下腹', '6', '0', '0', '0', '单选项-中下腹');
INSERT INTO `icss_question_detail` VALUES ('48189', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '右上腹', '7', '0', '0', '0', '单选项-右上腹');
INSERT INTO `icss_question_detail` VALUES ('48190', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '右腹部', '8', '0', '0', '0', '单选项-右腹部');
INSERT INTO `icss_question_detail` VALUES ('48191', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '右下腹', '9', '0', '0', '0', '单选项-右下腹');
INSERT INTO `icss_question_detail` VALUES ('48192', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '左上腹', '10', '0', '0', '0', '单选项-左上腹');
INSERT INTO `icss_question_detail` VALUES ('48193', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '剑突下', '11', '0', '0', '0', '单选项-剑突下');
INSERT INTO `icss_question_detail` VALUES ('48194', 'N', '2019-05-09 16:07:27', '2019-05-09 16:07:27', '108', '108', '41095', '脐周', '12', '0', '0', '0', '单选项-脐周');
INSERT INTO `icss_question_detail` VALUES ('48205', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '包块大小约()*()cm，', '1', '0', '0', '0', '单选项-包块大小约()*()cm，');
INSERT INTO `icss_question_detail` VALUES ('48206', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '质硬，', '2', '0', '0', '0', '单选项-质硬，');
INSERT INTO `icss_question_detail` VALUES ('48207', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '质软，', '3', '0', '0', '0', '单选项-质软，');
INSERT INTO `icss_question_detail` VALUES ('48208', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '界清，', '4', '0', '0', '0', '单选项-界清，');
INSERT INTO `icss_question_detail` VALUES ('48209', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '移动度大，', '5', '0', '0', '0', '单选项-移动度大，');
INSERT INTO `icss_question_detail` VALUES ('48210', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '移动度小，', '6', '0', '0', '0', '单选项-移动度小，');
INSERT INTO `icss_question_detail` VALUES ('48211', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '有压痛，', '7', '0', '0', '0', '单选项-有压痛，');
INSERT INTO `icss_question_detail` VALUES ('48212', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '无压痛，', '8', '0', '0', '0', '单选项-无压痛，');
INSERT INTO `icss_question_detail` VALUES ('48213', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '无搏动，', '9', '0', '0', '0', '单选项-无搏动，');
INSERT INTO `icss_question_detail` VALUES ('48214', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '有搏动，', '10', '0', '0', '0', '单选项-有搏动，');
INSERT INTO `icss_question_detail` VALUES ('48215', 'N', '2019-05-09 16:13:43', '2019-05-09 16:13:43', '108', '108', '41097', '有液波震颤，', '11', '0', '0', '0', '单选项-有液波震颤，');
INSERT INTO `icss_question_detail` VALUES ('48216', 'N', '2019-05-09 16:37:49', '2019-05-09 16:37:49', '108', '108', '41318', '肌肉萎缩', '1', '0', '0', '0', '单选项-肌肉萎缩');
INSERT INTO `icss_question_detail` VALUES ('48217', 'N', '2019-05-09 16:37:49', '2019-05-09 16:37:49', '108', '108', '41318', '无肌肉萎缩', '2', '0', '0', '0', '单选项-无肌肉萎缩');
INSERT INTO `icss_question_detail` VALUES ('48229', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力减退', '1', '0', '0', '0', '单选项-肌力减退');
INSERT INTO `icss_question_detail` VALUES ('48230', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力0级', '2', '0', '0', '0', '单选项-肌力0级');
INSERT INTO `icss_question_detail` VALUES ('48231', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力Ⅰ级', '3', '0', '0', '0', '单选项-肌力Ⅰ级');
INSERT INTO `icss_question_detail` VALUES ('48232', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力Ⅱ级', '4', '0', '0', '0', '单选项-肌力Ⅱ级');
INSERT INTO `icss_question_detail` VALUES ('48233', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力Ⅲ级', '5', '0', '0', '0', '单选项-肌力Ⅲ级');
INSERT INTO `icss_question_detail` VALUES ('48234', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力Ⅳ级', '6', '0', '0', '0', '单选项-肌力Ⅳ级');
INSERT INTO `icss_question_detail` VALUES ('48235', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '41319', '肌力Ⅴ级', '7', '0', '0', '0', '单选项-肌力Ⅴ级');
INSERT INTO `icss_question_detail` VALUES ('48236', 'N', '2019-05-09 17:37:53', '2019-05-09 17:37:53', '108', '108', '41320', '肌张力减退', '1', '0', '0', '0', '单选项-肌张力减退');
INSERT INTO `icss_question_detail` VALUES ('48237', 'N', '2019-05-09 17:37:53', '2019-05-09 17:37:53', '108', '108', '41320', '肌张力增高', '2', '0', '0', '0', '单选项-肌张力增高');
INSERT INTO `icss_question_detail` VALUES ('48238', 'N', '2019-05-09 17:42:13', '2019-05-09 17:42:13', '108', '108', '41321', '叩诊呈清音', '1', '0', '0', '0', '单选项-叩诊呈清音');
INSERT INTO `icss_question_detail` VALUES ('48239', 'N', '2019-05-09 17:42:13', '2019-05-09 17:42:13', '108', '108', '41321', '叩诊呈过清音', '2', '0', '0', '0', '单选项-叩诊呈过清音');
INSERT INTO `icss_question_detail` VALUES ('48240', 'N', '2019-05-09 17:42:13', '2019-05-09 17:42:13', '108', '108', '41321', '叩诊呈浊音', '3', '0', '0', '0', '单选项-叩诊呈浊音');
INSERT INTO `icss_question_detail` VALUES ('48241', 'N', '2019-05-09 17:42:13', '2019-05-09 17:42:13', '108', '108', '41321', '叩诊呈实音', '4', '0', '0', '0', '单选项-叩诊呈实音');
INSERT INTO `icss_question_detail` VALUES ('48242', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '肝脾肋下未及', '1', '0', '0', '0', '单选项-肝脾肋下未及');
INSERT INTO `icss_question_detail` VALUES ('48243', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '脾肋下( )cm触及', '2', '0', '0', '0', '单选项-脾肋下( )cm触及');
INSERT INTO `icss_question_detail` VALUES ('48244', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '肝肋下( )cm触及', '3', '0', '0', '0', '单选项-肝肋下( )cm触及');
INSERT INTO `icss_question_detail` VALUES ('48245', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '肝剑突下( )cm触及', '4', '0', '0', '0', '单选项-肝剑突下( )cm触及');
INSERT INTO `icss_question_detail` VALUES ('48246', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '肝脏肿大', '5', '0', '0', '0', '单选项-肝脏肿大');
INSERT INTO `icss_question_detail` VALUES ('48247', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '脾脏肿大', '6', '0', '0', '0', '单选项-脾脏肿大');
INSERT INTO `icss_question_detail` VALUES ('48248', 'N', '2019-05-10 14:12:18', '2019-05-10 14:12:18', '108', '108', '504', '胆囊肿大', '7', '0', '0', '0', '单选项-胆囊肿大');
INSERT INTO `icss_question_detail` VALUES ('48249', 'N', '2019-05-10 14:25:59', '2019-05-10 14:25:59', '108', '108', '81', '月经史无殊', '1', '1', '0', '0', '单选项-月经史无殊');
INSERT INTO `icss_question_detail` VALUES ('48250', 'N', '2019-05-10 15:43:36', '2019-05-10 15:43:36', '108', '108', '41325', '左眼', '1', '0', '0', '0', '单选项-左眼');
INSERT INTO `icss_question_detail` VALUES ('48251', 'N', '2019-05-10 15:43:36', '2019-05-10 15:43:36', '108', '108', '41325', '右眼', '2', '0', '0', '0', '单选项-右眼');
INSERT INTO `icss_question_detail` VALUES ('48252', 'N', '2019-05-10 15:43:36', '2019-05-10 15:43:36', '108', '108', '41325', '双眼', '3', '0', '0', '0', '单选项-双眼');
INSERT INTO `icss_question_detail` VALUES ('48253', 'N', '2019-05-10 15:44:04', '2019-05-10 15:44:04', '108', '108', '41326', '眼部检查未见异常', '1', '0', '0', '0', '单选项-眼部检查未见异常');
INSERT INTO `icss_question_detail` VALUES ('48254', 'N', '2019-05-10 15:44:45', '2019-05-10 15:44:45', '108', '108', '41298', '眼球凸出', '1', '0', '0', '0', '单选项-眼球凸出');
INSERT INTO `icss_question_detail` VALUES ('48255', 'N', '2019-05-10 15:44:45', '2019-05-10 15:44:45', '108', '108', '41298', '眼球凹陷', '2', '0', '0', '0', '单选项-眼球凹陷');
INSERT INTO `icss_question_detail` VALUES ('48256', 'N', '2019-05-10 15:44:45', '2019-05-10 15:44:45', '108', '108', '41298', '眼睑水肿', '3', '0', '0', '0', '单选项-眼睑水肿');
INSERT INTO `icss_question_detail` VALUES ('48260', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜云翳，', '1', '0', '0', '0', '单选项-角膜云翳，');
INSERT INTO `icss_question_detail` VALUES ('48261', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜白斑，', '2', '0', '0', '0', '单选项-角膜白斑，');
INSERT INTO `icss_question_detail` VALUES ('48262', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜溃疡，', '3', '0', '0', '0', '单选项-角膜溃疡，');
INSERT INTO `icss_question_detail` VALUES ('48263', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜透明，', '4', '0', '0', '0', '单选项-角膜透明，');
INSERT INTO `icss_question_detail` VALUES ('48264', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜浑浊，', '5', '0', '0', '0', '单选项-角膜浑浊，');
INSERT INTO `icss_question_detail` VALUES ('48265', 'N', '2019-05-10 15:45:10', '2019-05-10 15:45:10', '108', '108', '41300', '角膜瘢痕，', '6', '0', '0', '0', '单选项-角膜瘢痕，');
INSERT INTO `icss_question_detail` VALUES ('48266', 'N', '2019-05-10 15:45:19', '2019-05-10 15:45:19', '108', '108', '41299', '结膜充血，', '1', '0', '0', '0', '单选项-结膜充血，');
INSERT INTO `icss_question_detail` VALUES ('48267', 'N', '2019-05-10 15:45:19', '2019-05-10 15:45:19', '108', '108', '41299', '结膜水肿，', '2', '0', '0', '0', '单选项-结膜水肿，');
INSERT INTO `icss_question_detail` VALUES ('48268', 'N', '2019-05-10 15:45:19', '2019-05-10 15:45:19', '108', '108', '41299', '结膜苍白，', '3', '0', '0', '0', '单选项-结膜苍白，');
INSERT INTO `icss_question_detail` VALUES ('48269', 'N', '2019-05-10 15:45:19', '2019-05-10 15:45:19', '108', '108', '41299', '巩膜黄染', '4', '0', '0', '0', '单选项-巩膜黄染');
INSERT INTO `icss_question_detail` VALUES ('48275', 'N', '2019-05-10 16:14:14', '2019-05-10 16:14:14', '108', '108', '41327', '双', '1', '0', '0', '0', '单选项-双');
INSERT INTO `icss_question_detail` VALUES ('48276', 'N', '2019-05-10 16:14:14', '2019-05-10 16:14:14', '108', '108', '41327', '右', '2', '0', '0', '0', '单选项-右');
INSERT INTO `icss_question_detail` VALUES ('48277', 'N', '2019-05-10 16:14:14', '2019-05-10 16:14:14', '108', '108', '41327', '左', '3', '0', '0', '0', '单选项-左');
INSERT INTO `icss_question_detail` VALUES ('48288', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '质硬，', '1', '0', '0', '0', '单选项-质硬，');
INSERT INTO `icss_question_detail` VALUES ('48289', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '质软，', '2', '0', '0', '0', '单选项-质软，');
INSERT INTO `icss_question_detail` VALUES ('48290', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '有粘连，', '3', '0', '0', '0', '单选项-有粘连，');
INSERT INTO `icss_question_detail` VALUES ('48291', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '无粘连，', '4', '0', '0', '0', '单选项-无粘连，');
INSERT INTO `icss_question_detail` VALUES ('48292', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '活动度可，', '5', '0', '0', '0', '单选项-活动度可，');
INSERT INTO `icss_question_detail` VALUES ('48293', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '41329', '不可活动，', '6', '0', '0', '0', '单选项-不可活动，');
INSERT INTO `icss_question_detail` VALUES ('48294', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '耳前淋巴结可触及，', '1', '0', '0', '0', '单选项-耳前淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48295', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '耳后淋巴结可触及，', '2', '0', '0', '0', '单选项-耳后淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48296', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '颌下淋巴结可触及，', '3', '0', '0', '0', '单选项-颌下淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48297', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '颏下淋巴结可触及，', '4', '0', '0', '0', '单选项-颏下淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48298', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '颈前淋巴结可触及，', '5', '0', '0', '0', '单选项-颈前淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48299', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '颈后淋巴结可触及，', '6', '0', '0', '0', '单选项-颈后淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48300', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '锁骨上淋巴结可触及，', '7', '0', '0', '0', '单选项-锁骨上淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48301', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '腋窝淋巴结可触及，', '8', '0', '0', '0', '单选项-腋窝淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48302', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '腹股沟淋巴结可触及，', '9', '0', '0', '0', '单选项-腹股沟淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48303', 'N', '2019-05-10 16:17:16', '2019-05-10 16:17:16', '108', '108', '41328', '腘窝淋巴结可触及，', '10', '0', '0', '0', '单选项-腘窝淋巴结可触及，');
INSERT INTO `icss_question_detail` VALUES ('48304', 'N', '2019-05-10 16:24:17', '2019-05-10 16:24:17', '108', '108', '29630', '大小约(  )cm*(  )cm', '1', '0', '0', '0', '单选项-大小约(  )cm*(  )cm');
INSERT INTO `icss_question_detail` VALUES ('48305', 'N', '2019-05-10 16:37:55', '2019-05-10 16:37:55', '108', '108', '41330', '外鼻无畸形，鼻腔检查未见异常', '1', '0', '0', '0', '单选项-外鼻无畸形，鼻腔检查未见异常');
INSERT INTO `icss_question_detail` VALUES ('48318', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻粘膜充血', '1', '0', '0', '0', '单选项-鼻粘膜充血');
INSERT INTO `icss_question_detail` VALUES ('48319', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻粘膜水肿', '2', '0', '0', '0', '单选项-鼻粘膜水肿');
INSERT INTO `icss_question_detail` VALUES ('48320', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻粘膜苍白', '3', '0', '0', '0', '单选项-鼻粘膜苍白');
INSERT INTO `icss_question_detail` VALUES ('48321', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻腔可见黄色分泌物', '4', '0', '0', '0', '单选项-鼻腔可见黄色分泌物');
INSERT INTO `icss_question_detail` VALUES ('48322', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻腔可见水样分泌物', '5', '0', '0', '0', '单选项-鼻腔可见水样分泌物');
INSERT INTO `icss_question_detail` VALUES ('48323', 'N', '2019-05-10 16:42:35', '2019-05-10 16:42:35', '108', '108', '41184', '鼻腔可见异常分泌物', '6', '0', '0', '0', '单选项-鼻腔可见异常分泌物');
INSERT INTO `icss_question_detail` VALUES ('48324', 'N', '2019-05-10 16:43:38', '2019-05-10 16:43:38', '108', '108', '29651', '鼻中隔向左偏曲', '1', '0', '0', '0', '单选项-鼻中隔向左偏曲');
INSERT INTO `icss_question_detail` VALUES ('48325', 'N', '2019-05-10 16:43:38', '2019-05-10 16:43:38', '108', '108', '29651', '鼻中隔向右偏曲', '2', '0', '0', '0', '单选项-鼻中隔向右偏曲');
INSERT INTO `icss_question_detail` VALUES ('48326', 'N', '2019-05-10 16:43:54', '2019-05-10 16:43:54', '108', '108', '29652', '鼻窦区有轻度压痛', '1', '0', '0', '0', '单选项-鼻窦区有轻度压痛');
INSERT INTO `icss_question_detail` VALUES ('48327', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '鼻中隔向左偏曲', '1', '0', '0', '0', '单选项-鼻中隔向左偏曲');
INSERT INTO `icss_question_detail` VALUES ('48328', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '鼻中隔向右偏曲', '2', '0', '0', '0', '单选项-鼻中隔向右偏曲');
INSERT INTO `icss_question_detail` VALUES ('48329', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '右侧鼻甲肥大', '3', '0', '0', '0', '单选项-右侧鼻甲肥大');
INSERT INTO `icss_question_detail` VALUES ('48330', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '左侧鼻甲肥大', '4', '0', '0', '0', '单选项-左侧鼻甲肥大');
INSERT INTO `icss_question_detail` VALUES ('48331', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '右侧鼻窦区有压痛', '5', '0', '0', '0', '单选项-右侧鼻窦区有压痛');
INSERT INTO `icss_question_detail` VALUES ('48332', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '41331', '左侧鼻窦区有压痛', '6', '0', '0', '0', '单选项-左侧鼻窦区有压痛');
INSERT INTO `icss_question_detail` VALUES ('48333', 'N', '2019-05-10 16:48:39', '2019-05-10 16:48:39', '108', '108', '29649', '左侧', '1', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('48334', 'N', '2019-05-10 16:48:39', '2019-05-10 16:48:39', '108', '108', '29649', '右侧', '2', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('48335', 'N', '2019-05-10 16:48:39', '2019-05-10 16:48:39', '108', '108', '29649', '双侧', '3', '0', '0', '0', '单选项-双侧');
INSERT INTO `icss_question_detail` VALUES ('48336', 'N', '2019-05-10 16:48:44', '2019-05-10 16:48:44', '108', '108', '41332', '双侧', '1', '0', '0', '0', '单选项-双侧');
INSERT INTO `icss_question_detail` VALUES ('48337', 'N', '2019-05-10 16:48:44', '2019-05-10 16:48:44', '108', '108', '41332', '右侧', '2', '0', '0', '0', '单选项-右侧');
INSERT INTO `icss_question_detail` VALUES ('48338', 'N', '2019-05-10 16:48:44', '2019-05-10 16:48:44', '108', '108', '41332', '左侧', '3', '0', '0', '0', '单选项-左侧');
INSERT INTO `icss_question_detail` VALUES ('48342', 'N', '2019-05-10 16:51:59', '2019-05-10 16:51:59', '108', '108', '29648', '呈鞍鼻', '1', '0', '0', '0', '单选项-呈鞍鼻');
INSERT INTO `icss_question_detail` VALUES ('48343', 'N', '2019-05-10 16:51:59', '2019-05-10 16:51:59', '108', '108', '29648', '呈酒糟鼻', '2', '0', '0', '0', '单选项-呈酒糟鼻');
INSERT INTO `icss_question_detail` VALUES ('48344', 'N', '2019-05-10 16:51:59', '2019-05-10 16:51:59', '108', '108', '29648', '鼻翼煽动', '3', '0', '0', '0', '单选项-鼻翼煽动');
INSERT INTO `icss_question_detail` VALUES ('48348', 'N', '2019-05-10 16:53:25', '2019-05-10 16:53:25', '108', '108', '41333', '呈鞍鼻', '1', '0', '0', '0', '单选项-呈鞍鼻');
INSERT INTO `icss_question_detail` VALUES ('48349', 'N', '2019-05-10 16:53:25', '2019-05-10 16:53:25', '108', '108', '41333', '呈酒糟鼻', '2', '0', '0', '0', '单选项-呈酒糟鼻');
INSERT INTO `icss_question_detail` VALUES ('48350', 'N', '2019-05-10 16:53:25', '2019-05-10 16:53:25', '108', '108', '41333', '鼻翼煽动', '3', '0', '0', '0', '单选项-鼻翼煽动');
INSERT INTO `icss_question_detail` VALUES ('48351', 'N', '2019-05-10 17:21:05', '2019-05-10 17:21:05', '108', '108', '41334', '双耳', '1', '0', '0', '0', '单选项-双耳');
INSERT INTO `icss_question_detail` VALUES ('48352', 'N', '2019-05-10 17:21:05', '2019-05-10 17:21:05', '108', '108', '41334', '右耳', '2', '0', '0', '0', '单选项-右耳');
INSERT INTO `icss_question_detail` VALUES ('48353', 'N', '2019-05-10 17:21:05', '2019-05-10 17:21:05', '108', '108', '41334', '左耳', '3', '0', '0', '0', '单选项-左耳');
INSERT INTO `icss_question_detail` VALUES ('48354', 'N', '2019-05-10 17:21:14', '2019-05-10 17:21:14', '108', '108', '29640', '双', '1', '0', '0', '0', '单选项-双');
INSERT INTO `icss_question_detail` VALUES ('48355', 'N', '2019-05-10 17:21:14', '2019-05-10 17:21:14', '108', '108', '29640', '左', '2', '0', '0', '0', '单选项-左');
INSERT INTO `icss_question_detail` VALUES ('48356', 'N', '2019-05-10 17:21:14', '2019-05-10 17:21:14', '108', '108', '29640', '右', '3', '0', '0', '0', '单选项-右');
INSERT INTO `icss_question_detail` VALUES ('48374', 'N', '2019-05-10 17:34:55', '2019-05-10 17:34:55', '108', '108', '41335', '耳廓无畸形', '1', '0', '0', '0', '单选项-耳廓无畸形');
INSERT INTO `icss_question_detail` VALUES ('48375', 'N', '2019-05-10 17:34:55', '2019-05-10 17:34:55', '108', '108', '41335', '耳廓畸形', '2', '0', '0', '0', '单选项-耳廓畸形');
INSERT INTO `icss_question_detail` VALUES ('48376', 'N', '2019-05-10 17:34:55', '2019-05-10 17:34:55', '108', '108', '41335', '耳廓无红肿疼痛', '3', '0', '0', '0', '单选项-耳廓无红肿疼痛');
INSERT INTO `icss_question_detail` VALUES ('48377', 'N', '2019-05-10 17:34:55', '2019-05-10 17:34:55', '108', '108', '41335', '耳廓红肿疼痛', '4', '0', '0', '0', '单选项-耳廓红肿疼痛');
INSERT INTO `icss_question_detail` VALUES ('48388', 'N', '2019-05-10 17:38:10', '2019-05-10 17:38:10', '108', '108', '41336', '外耳道无溢液', '1', '0', '0', '0', '单选项-外耳道无溢液');
INSERT INTO `icss_question_detail` VALUES ('48389', 'N', '2019-05-10 17:38:10', '2019-05-10 17:38:10', '108', '108', '41336', '外耳道有溢液', '2', '0', '0', '0', '单选项-外耳道有溢液');
INSERT INTO `icss_question_detail` VALUES ('48390', 'N', '2019-05-10 17:38:10', '2019-05-10 17:38:10', '108', '108', '41336', '外耳道有异物', '3', '0', '0', '0', '单选项-外耳道有异物');
INSERT INTO `icss_question_detail` VALUES ('48391', 'N', '2019-05-10 17:38:10', '2019-05-10 17:38:10', '108', '108', '41336', '外耳道堵塞', '4', '0', '0', '0', '单选项-外耳道堵塞');
INSERT INTO `icss_question_detail` VALUES ('48392', 'N', '2019-05-10 17:38:10', '2019-05-10 17:38:10', '108', '108', '41336', '外耳道耵聍堵塞', '5', '0', '0', '0', '单选项-外耳道耵聍堵塞');
INSERT INTO `icss_question_detail` VALUES ('48393', 'N', '2019-05-10 17:38:27', '2019-05-10 17:38:27', '108', '108', '41337', '呈淡黄色液体', '1', '0', '0', '0', '单选项-呈淡黄色液体');
INSERT INTO `icss_question_detail` VALUES ('48394', 'N', '2019-05-10 17:38:27', '2019-05-10 17:38:27', '108', '108', '41337', '呈血性分泌物', '2', '0', '0', '0', '单选项-呈血性分泌物');
INSERT INTO `icss_question_detail` VALUES ('48395', 'N', '2019-05-10 17:38:27', '2019-05-10 17:38:27', '108', '108', '41337', '呈脓性分泌物', '3', '0', '0', '0', '单选项-呈脓性分泌物');
INSERT INTO `icss_question_detail` VALUES ('48396', 'N', '2019-05-10 17:38:27', '2019-05-10 17:38:27', '108', '108', '41337', '鼓膜穿孔', '4', '0', '0', '0', '单选项-鼓膜穿孔');
INSERT INTO `icss_question_detail` VALUES ('48397', 'N', '2019-05-10 17:38:27', '2019-05-10 17:38:27', '108', '108', '41337', '鼓膜无穿孔', '5', '0', '0', '0', '单选项-鼓膜无穿孔');
INSERT INTO `icss_question_detail` VALUES ('48398', 'N', '2019-05-10 17:38:35', '2019-05-10 17:38:35', '108', '108', '41338', '无牵拉痛', '1', '0', '0', '0', '单选项-无牵拉痛');
INSERT INTO `icss_question_detail` VALUES ('48399', 'N', '2019-05-10 17:38:35', '2019-05-10 17:38:35', '108', '108', '41338', '有牵拉痛', '2', '0', '0', '0', '单选项-有牵拉痛');
INSERT INTO `icss_question_detail` VALUES ('48400', 'N', '2019-05-10 17:38:35', '2019-05-10 17:38:35', '108', '108', '41338', '乳突区无压痛', '3', '0', '0', '0', '单选项-乳突区无压痛');
INSERT INTO `icss_question_detail` VALUES ('48401', 'N', '2019-05-10 17:38:35', '2019-05-10 17:38:35', '108', '108', '41338', '乳突区有压痛', '4', '0', '0', '0', '单选项-乳突区有压痛');
INSERT INTO `icss_question_detail` VALUES ('48402', 'N', '2019-05-13 11:03:11', '2019-05-13 11:03:11', '108', '108', '29726', '脊柱无畸形无侧弯，活动自如', '1', '0', '0', '0', '单选项-脊柱无畸形无侧弯，活动自如');
INSERT INTO `icss_question_detail` VALUES ('48408', 'N', '2019-05-13 11:10:12', '2019-05-13 11:10:12', '108', '108', '41340', '生理弯曲异常', '1', '0', '0', '0', '单选项-生理弯曲异常');
INSERT INTO `icss_question_detail` VALUES ('48409', 'N', '2019-05-13 11:10:12', '2019-05-13 11:10:12', '108', '108', '41340', '前凸', '2', '0', '0', '0', '单选项-前凸');
INSERT INTO `icss_question_detail` VALUES ('48410', 'N', '2019-05-13 11:10:12', '2019-05-13 11:10:12', '108', '108', '41340', '后凸', '3', '0', '0', '0', '单选项-后凸');
INSERT INTO `icss_question_detail` VALUES ('48411', 'N', '2019-05-13 11:10:12', '2019-05-13 11:10:12', '108', '108', '41340', '侧弯', '4', '0', '0', '0', '单选项-侧弯');
INSERT INTO `icss_question_detail` VALUES ('48414', 'N', '2019-05-13 11:11:25', '2019-05-13 11:11:25', '108', '108', '41342', '无叩击痛', '1', '0', '0', '0', '单选项-无叩击痛');
INSERT INTO `icss_question_detail` VALUES ('48415', 'N', '2019-05-13 11:11:25', '2019-05-13 11:11:25', '108', '108', '41342', '有叩击痛', '2', '0', '0', '0', '单选项-有叩击痛');
INSERT INTO `icss_question_detail` VALUES ('48416', 'N', '2019-05-13 11:12:03', '2019-05-13 11:12:03', '108', '108', '29729', '无压痛', '1', '0', '0', '0', '单选项-无压痛');
INSERT INTO `icss_question_detail` VALUES ('48417', 'N', '2019-05-13 11:12:03', '2019-05-13 11:12:03', '108', '108', '29729', '有压痛', '2', '0', '0', '0', '单选项-有压痛');
INSERT INTO `icss_question_detail` VALUES ('48418', 'N', '2019-05-13 11:12:03', '2019-05-13 11:12:03', '108', '108', '29729', '活动自如', '3', '0', '0', '0', '单选项-活动自如');
INSERT INTO `icss_question_detail` VALUES ('48419', 'N', '2019-05-13 11:12:03', '2019-05-13 11:12:03', '108', '108', '29729', '活动受限', '4', '0', '0', '0', '单选项-活动受限');
INSERT INTO `icss_question_detail` VALUES ('48420', 'N', '2019-05-13 11:12:03', '2019-05-13 11:12:03', '108', '108', '29729', '僵硬', '5', '0', '0', '0', '单选项-僵硬');
INSERT INTO `icss_question_detail` VALUES ('48421', 'N', '2019-05-13 11:12:53', '2019-05-13 11:12:53', '108', '108', '41343', '活动自如', '1', '0', '0', '0', '单选项-活动自如');
INSERT INTO `icss_question_detail` VALUES ('48422', 'N', '2019-05-13 11:12:53', '2019-05-13 11:12:53', '108', '108', '41343', '活动受限', '2', '0', '0', '0', '单选项-活动受限');
INSERT INTO `icss_question_detail` VALUES ('48423', 'N', '2019-05-13 11:12:53', '2019-05-13 11:12:53', '108', '108', '41343', '僵硬', '3', '0', '0', '0', '单选项-僵硬');
INSERT INTO `icss_question_detail` VALUES ('48428', 'N', '2019-05-13 11:38:39', '2019-05-13 11:38:39', '108', '108', '41339', '脊柱', '1', '0', '0', '0', '单选项-脊柱');
INSERT INTO `icss_question_detail` VALUES ('48429', 'N', '2019-05-13 11:38:39', '2019-05-13 11:38:39', '108', '108', '41339', '颈椎', '2', '0', '0', '0', '单选项-颈椎');
INSERT INTO `icss_question_detail` VALUES ('48430', 'N', '2019-05-13 11:38:39', '2019-05-13 11:38:39', '108', '108', '41339', '胸椎', '3', '0', '0', '0', '单选项-胸椎');
INSERT INTO `icss_question_detail` VALUES ('48431', 'N', '2019-05-13 11:38:39', '2019-05-13 11:38:39', '108', '108', '41339', '腰椎', '4', '0', '0', '0', '单选项-腰椎');
INSERT INTO `icss_question_detail` VALUES ('48432', 'N', '2019-05-13 11:38:39', '2019-05-13 11:38:39', '108', '108', '41339', '骶椎', '5', '0', '0', '0', '单选项-骶椎');
INSERT INTO `icss_question_detail` VALUES ('48433', 'N', '2019-05-13 11:38:55', '2019-05-13 11:38:55', '108', '108', '41341', '无压痛', '1', '0', '0', '0', '单选项-无压痛');
INSERT INTO `icss_question_detail` VALUES ('48434', 'N', '2019-05-13 11:38:55', '2019-05-13 11:38:55', '108', '108', '41341', '有压痛', '2', '0', '0', '0', '单选项-有压痛');
INSERT INTO `icss_question_detail` VALUES ('48435', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '格列美脲', '1', '0', '0', '0', '单选项-格列美脲');
INSERT INTO `icss_question_detail` VALUES ('48436', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '那格列奈', '2', '0', '0', '0', '单选项-那格列奈');
INSERT INTO `icss_question_detail` VALUES ('48437', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '罗格列酮', '3', '0', '0', '0', '单选项-罗格列酮');
INSERT INTO `icss_question_detail` VALUES ('48438', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '伏格列波糖', '4', '0', '0', '0', '单选项-伏格列波糖');
INSERT INTO `icss_question_detail` VALUES ('48439', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '沙格列汀', '5', '0', '0', '0', '单选项-沙格列汀');
INSERT INTO `icss_question_detail` VALUES ('48440', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '达格列净', '6', '0', '0', '0', '单选项-达格列净');
INSERT INTO `icss_question_detail` VALUES ('48441', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '艾塞那肽', '7', '0', '0', '0', '单选项-艾塞那肽');
INSERT INTO `icss_question_detail` VALUES ('48442', 'N', '2019-05-27 17:45:16', '2019-05-27 17:45:16', '106', '106', '41139', '格列吡嗪', '8', '0', '0', '0', '单选项-格列吡嗪');
INSERT INTO `icss_question_detail` VALUES ('48443', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '目前', '1', '0', '0', '0', '单选项-目前');
INSERT INTO `icss_question_detail` VALUES ('48444', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '主要', '2', '0', '0', '0', '单选项-主要');
INSERT INTO `icss_question_detail` VALUES ('48445', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '以', '3', '0', '0', '0', '单选项-以');
INSERT INTO `icss_question_detail` VALUES ('48446', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '使用', '4', '0', '0', '0', '单选项-使用');
INSERT INTO `icss_question_detail` VALUES ('48447', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '联合', '5', '0', '0', '0', '单选项-联合');
INSERT INTO `icss_question_detail` VALUES ('48448', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '口服', '6', '0', '0', '0', '单选项-口服');
INSERT INTO `icss_question_detail` VALUES ('48449', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '治疗', '7', '0', '0', '0', '单选项-治疗');
INSERT INTO `icss_question_detail` VALUES ('48450', 'N', '2019-05-27 18:03:35', '2019-05-27 18:03:35', '106', '106', '41137', '控制血糖', '8', '0', '0', '0', '单选项-控制血糖');
INSERT INTO `icss_question_detail` VALUES ('48451', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '甘精胰岛素', '1', '0', '0', '0', '单选项-甘精胰岛素');
INSERT INTO `icss_question_detail` VALUES ('48452', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '甘舒霖30R', '2', '0', '0', '0', '单选项-甘舒霖30R');
INSERT INTO `icss_question_detail` VALUES ('48453', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '优泌林N', '3', '0', '0', '0', '单选项-优泌林N');
INSERT INTO `icss_question_detail` VALUES ('48454', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '诺和灵N', '4', '0', '0', '0', '单选项-诺和灵N');
INSERT INTO `icss_question_detail` VALUES ('48455', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '诺和灵30R', '5', '0', '0', '0', '单选项-诺和灵30R');
INSERT INTO `icss_question_detail` VALUES ('48456', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '优泌乐25', '6', '0', '0', '0', '单选项-优泌乐25');
INSERT INTO `icss_question_detail` VALUES ('48457', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '诺和锐50', '7', '0', '0', '0', '单选项-诺和锐50');
INSERT INTO `icss_question_detail` VALUES ('48458', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '优泌林70/30', '8', '0', '0', '0', '单选项-优泌林70/30');
INSERT INTO `icss_question_detail` VALUES ('48459', 'N', '2019-05-27 18:06:09', '2019-05-27 18:06:09', '106', '106', '41141', '诺和锐30', '9', '0', '0', '0', '单选项-诺和锐30');
INSERT INTO `icss_question_detail` VALUES ('48460', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '41353', '早上', '1', '0', '0', '0', '单选项-早上');
INSERT INTO `icss_question_detail` VALUES ('48461', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '41353', '中午', '2', '0', '0', '0', '单选项-中午');
INSERT INTO `icss_question_detail` VALUES ('48462', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '41353', '晚上', '3', '0', '0', '0', '单选项-晚上');
INSERT INTO `icss_question_detail` VALUES ('48463', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '41353', '睡前', '4', '0', '0', '0', '单选项-睡前');
INSERT INTO `icss_question_detail` VALUES ('48464', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '41353', '晨起', '5', '0', '0', '0', '单选项-晨起');
INSERT INTO `icss_question_detail` VALUES ('48465', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '3U', '1', '0', '0', '0', '单选项-3U');
INSERT INTO `icss_question_detail` VALUES ('48466', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '4U', '2', '0', '0', '0', '单选项-4U');
INSERT INTO `icss_question_detail` VALUES ('48467', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '5U', '3', '0', '0', '0', '单选项-5U');
INSERT INTO `icss_question_detail` VALUES ('48468', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '6U', '4', '0', '0', '0', '单选项-6U');
INSERT INTO `icss_question_detail` VALUES ('48469', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '7U', '5', '0', '0', '0', '单选项-7U');
INSERT INTO `icss_question_detail` VALUES ('48470', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '8U', '6', '0', '0', '0', '单选项-8U');
INSERT INTO `icss_question_detail` VALUES ('48471', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '9U', '7', '0', '0', '0', '单选项-9U');
INSERT INTO `icss_question_detail` VALUES ('48472', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '10U', '8', '0', '0', '0', '单选项-10U');
INSERT INTO `icss_question_detail` VALUES ('48473', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '11U', '9', '0', '0', '0', '单选项-11U');
INSERT INTO `icss_question_detail` VALUES ('48474', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '41354', '12U', '10', '0', '0', '0', '单选项-12U');
INSERT INTO `icss_question_detail` VALUES ('48480', 'N', '2019-05-27 19:09:54', '2019-05-27 19:09:54', '108', '108', '432', '面容正常', '1', '0', '0', '0', '单选项-面容正常');
INSERT INTO `icss_question_detail` VALUES ('48481', 'N', '2019-05-27 19:09:54', '2019-05-27 19:09:54', '108', '108', '432', '急性病容', '2', '0', '0', '0', '单选项-急性病容');
INSERT INTO `icss_question_detail` VALUES ('48482', 'N', '2019-05-27 19:09:54', '2019-05-27 19:09:54', '108', '108', '432', '慢性病容', '3', '0', '0', '0', '单选项-慢性病容');
INSERT INTO `icss_question_detail` VALUES ('48483', 'N', '2019-05-27 19:09:54', '2019-05-27 19:09:54', '108', '108', '432', '希氏面容', '4', '0', '0', '0', '单选项-希氏面容');
INSERT INTO `icss_question_detail` VALUES ('48484', 'N', '2019-05-27 19:09:54', '2019-05-27 19:09:54', '108', '108', '432', 'Hippocrates面容', '5', '0', '0', '0', '单选项-Hippocrates面容');
INSERT INTO `icss_question_detail` VALUES ('48485', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '运动、饮食控制', '1', '0', '0', '0', '单选项-运动、饮食控制');
INSERT INTO `icss_question_detail` VALUES ('48486', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '口服药物治疗', '2', '0', '0', '0', '单选项-口服药物治疗');
INSERT INTO `icss_question_detail` VALUES ('48487', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '胰岛素治疗', '3', '0', '0', '0', '单选项-胰岛素治疗');
INSERT INTO `icss_question_detail` VALUES ('48488', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '不规律用药治疗', '4', '0', '0', '0', '单选项-不规律用药治疗');
INSERT INTO `icss_question_detail` VALUES ('48489', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '未用降糖药物', '5', '0', '0', '0', '单选项-未用降糖药物');
INSERT INTO `icss_question_detail` VALUES ('48490', 'N', '2019-05-28 09:14:13', '2019-05-28 09:14:13', '106', '106', '41128', '未经治疗', '6', '0', '0', '0', '单选项-未经治疗');
INSERT INTO `icss_question_detail` VALUES ('48491', 'N', '2019-05-28 09:26:50', '2019-05-28 09:26:50', '106', '106', '41126', '糖尿病', '1', '0', '0', '0', '单选项-糖尿病');
INSERT INTO `icss_question_detail` VALUES ('48492', 'N', '2019-05-28 09:26:50', '2019-05-28 09:26:50', '106', '106', '41126', '2型糖尿病', '2', '0', '0', '0', '单选项-2型糖尿病');
INSERT INTO `icss_question_detail` VALUES ('48493', 'N', '2019-05-28 09:26:50', '2019-05-28 09:26:50', '106', '106', '41126', '1型糖尿病', '3', '0', '0', '0', '单选项-1型糖尿病');
INSERT INTO `icss_question_detail` VALUES ('48494', 'N', '2019-05-28 09:26:50', '2019-05-28 09:26:50', '106', '106', '41126', '1.5型糖尿病', '4', '0', '0', '0', '单选项-1.5型糖尿病');
INSERT INTO `icss_question_detail` VALUES ('48495', 'N', '2019-05-28 10:01:32', '2019-05-28 10:01:32', '108', '108', '41364', '患者步入病室，步态正常', '1', '0', '0', '0', '单选项-患者步入病室，步态正常');
INSERT INTO `icss_question_detail` VALUES ('48496', 'N', '2019-05-28 10:01:32', '2019-05-28 10:01:32', '108', '108', '41364', '患者推入病室', '2', '0', '0', '0', '单选项-患者推入病室');
INSERT INTO `icss_question_detail` VALUES ('48497', 'N', '2019-05-28 10:03:17', '2019-05-28 10:03:17', '108', '108', '41365', '言语流利，对答切题', '1', '0', '0', '0', '单选项-言语流利，对答切题');
INSERT INTO `icss_question_detail` VALUES ('48498', 'N', '2019-05-28 10:03:17', '2019-05-28 10:03:17', '108', '108', '41365', '呼之不应，对答不切题', '2', '0', '0', '0', '单选项-呼之不应，对答不切题');
INSERT INTO `icss_question_detail` VALUES ('48501', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖控制不佳', '1', '0', '0', '0', '单选项-血糖控制不佳');
INSERT INTO `icss_question_detail` VALUES ('48502', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖控制尚可', '2', '0', '0', '0', '单选项-血糖控制尚可');
INSERT INTO `icss_question_detail` VALUES ('48503', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖基本达标', '3', '0', '0', '0', '单选项-血糖基本达标');
INSERT INTO `icss_question_detail` VALUES ('48504', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖控制较差', '4', '0', '0', '0', '单选项-血糖控制较差');
INSERT INTO `icss_question_detail` VALUES ('48505', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖波动大', '5', '0', '0', '0', '单选项-血糖波动大');
INSERT INTO `icss_question_detail` VALUES ('48506', 'N', '2019-05-28 10:17:15', '2019-05-28 10:17:15', '106', '106', '41130', '血糖时高时低', '6', '0', '0', '0', '单选项-血糖时高时低');
INSERT INTO `icss_question_detail` VALUES ('48518', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '41368', '脸部', '1', '0', '0', '0', '单选项-脸部');
INSERT INTO `icss_question_detail` VALUES ('48519', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '41368', '双手背', '2', '0', '0', '0', '单选项-双手背');
INSERT INTO `icss_question_detail` VALUES ('48520', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '41368', '手臂', '3', '0', '0', '0', '单选项-手臂');
INSERT INTO `icss_question_detail` VALUES ('48521', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '41368', '胸背部', '4', '0', '0', '0', '单选项-胸背部');
INSERT INTO `icss_question_detail` VALUES ('48522', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '41368', '双大腿内侧', '5', '0', '0', '0', '单选项-双大腿内侧');
INSERT INTO `icss_question_detail` VALUES ('48524', 'N', '2019-05-28 10:33:31', '2019-05-28 10:33:31', '108', '108', '41370', '瘙痒感强烈', '1', '0', '0', '0', '单选项-瘙痒感强烈');
INSERT INTO `icss_question_detail` VALUES ('48525', 'N', '2019-05-28 10:33:31', '2019-05-28 10:33:31', '108', '108', '41370', '无瘙痒感', '2', '0', '0', '0', '单选项-无瘙痒感');
INSERT INTO `icss_question_detail` VALUES ('48526', 'N', '2019-05-28 10:36:08', '2019-05-28 10:36:08', '108', '108', '41371', '无皮疹', '1', '0', '0', '0', '单选项-无皮疹');
INSERT INTO `icss_question_detail` VALUES ('48527', 'N', '2019-05-28 10:38:03', '2019-05-28 10:38:03', '108', '108', '41369', '可见散发皮疹', '1', '0', '0', '0', '单选项-可见散发皮疹');
INSERT INTO `icss_question_detail` VALUES ('48528', 'N', '2019-05-28 10:42:33', '2019-05-28 10:42:33', '108', '108', '41373', '无皮下出血', '1', '0', '0', '0', '单选项-无皮下出血');
INSERT INTO `icss_question_detail` VALUES ('48532', 'N', '2019-05-28 10:44:51', '2019-05-28 10:44:51', '108', '108', '41375', '压之褪色', '1', '0', '0', '0', '单选项-压之褪色');
INSERT INTO `icss_question_detail` VALUES ('48533', 'N', '2019-05-28 10:44:51', '2019-05-28 10:44:51', '108', '108', '41375', '压之不褪色', '2', '0', '0', '0', '单选项-压之不褪色');
INSERT INTO `icss_question_detail` VALUES ('48534', 'N', '2019-05-28 10:45:14', '2019-05-28 10:45:14', '108', '108', '41376', '伴瘙痒感', '1', '0', '0', '0', '单选项-伴瘙痒感');
INSERT INTO `icss_question_detail` VALUES ('48535', 'N', '2019-05-28 10:45:14', '2019-05-28 10:45:14', '108', '108', '41376', '无瘙痒感', '2', '0', '0', '0', '单选项-无瘙痒感');
INSERT INTO `icss_question_detail` VALUES ('48536', 'N', '2019-05-28 10:45:53', '2019-05-28 10:45:53', '108', '108', '41374', '可见皮下瘀斑', '1', '0', '0', '0', '单选项-可见皮下瘀斑');
INSERT INTO `icss_question_detail` VALUES ('48537', 'N', '2019-05-28 10:45:53', '2019-05-28 10:45:53', '108', '108', '41374', '可见皮下紫癜', '2', '0', '0', '0', '单选项-可见皮下紫癜');
INSERT INTO `icss_question_detail` VALUES ('48538', 'N', '2019-05-28 10:45:53', '2019-05-28 10:45:53', '108', '108', '41374', '可见红色斑点', '3', '0', '0', '0', '单选项-可见红色斑点');
INSERT INTO `icss_question_detail` VALUES ('48539', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '空腹血糖', '1', '0', '0', '0', '单选项-空腹血糖');
INSERT INTO `icss_question_detail` VALUES ('48540', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '餐后2小时血糖', '2', '0', '0', '0', '单选项-餐后2小时血糖');
INSERT INTO `icss_question_detail` VALUES ('48541', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '睡前血糖', '3', '0', '0', '0', '单选项-睡前血糖');
INSERT INTO `icss_question_detail` VALUES ('48542', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '夜间血糖', '4', '0', '0', '0', '单选项-夜间血糖');
INSERT INTO `icss_question_detail` VALUES ('48543', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '空腹血糖波动于', '5', '0', '0', '0', '单选项-空腹血糖波动于');
INSERT INTO `icss_question_detail` VALUES ('48544', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '餐后2小时血糖波动于', '6', '0', '0', '0', '单选项-餐后2小时血糖波动于');
INSERT INTO `icss_question_detail` VALUES ('48545', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '睡前血糖波动于', '7', '0', '0', '0', '单选项-睡前血糖波动于');
INSERT INTO `icss_question_detail` VALUES ('48546', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '夜间血糖波动于', '8', '0', '0', '0', '单选项-夜间血糖波动于');
INSERT INTO `icss_question_detail` VALUES ('48547', 'N', '2019-05-28 10:50:51', '2019-05-28 10:50:51', '106', '106', '41134', '随机血糖', '9', '0', '0', '0', '单选项-随机血糖');
INSERT INTO `icss_question_detail` VALUES ('48548', 'N', '2019-05-28 10:56:18', '2019-05-28 10:56:18', '108', '108', '41382', '无蜘蛛痣及其他', '1', '0', '0', '0', '单选项-无蜘蛛痣及其他');
INSERT INTO `icss_question_detail` VALUES ('48549', 'N', '2019-05-28 11:00:02', '2019-05-28 11:00:02', '108', '108', '41384', '可见大小约（）*（）蜘蛛痣', '1', '0', '0', '0', '单选项-可见大小约（）*（）蜘蛛痣');
INSERT INTO `icss_question_detail` VALUES ('48550', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '视力模糊', '1', '0', '0', '0', '单选项-视力模糊');
INSERT INTO `icss_question_detail` VALUES ('48551', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '视力下降', '2', '0', '0', '0', '单选项-视力下降');
INSERT INTO `icss_question_detail` VALUES ('48552', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', ' 手脚麻木', '3', '0', '0', '0', '单选项- 手脚麻木');
INSERT INTO `icss_question_detail` VALUES ('48553', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '下肢浮肿', '4', '0', '0', '0', '单选项-下肢浮肿');
INSERT INTO `icss_question_detail` VALUES ('48554', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '足底疼痛', '5', '0', '0', '0', '单选项-足底疼痛');
INSERT INTO `icss_question_detail` VALUES ('48555', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '皮肤瘙痒', '6', '0', '0', '0', '单选项-皮肤瘙痒');
INSERT INTO `icss_question_detail` VALUES ('48556', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '痛觉异常', '7', '0', '0', '0', '单选项-痛觉异常');
INSERT INTO `icss_question_detail` VALUES ('48557', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '肢体麻木', '8', '0', '0', '0', '单选项-肢体麻木');
INSERT INTO `icss_question_detail` VALUES ('48558', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '夜尿增多', '9', '0', '0', '0', '单选项-夜尿增多');
INSERT INTO `icss_question_detail` VALUES ('48559', 'N', '2019-05-28 11:28:28', '2019-05-28 11:28:28', '106', '106', '41145', '皮肤麻木', '10', '0', '0', '0', '单选项-皮肤麻木');
INSERT INTO `icss_question_detail` VALUES ('48560', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '多饮', '1', '0', '0', '0', '单选项-多饮');
INSERT INTO `icss_question_detail` VALUES ('48561', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '多食', '2', '0', '0', '0', '单选项-多食');
INSERT INTO `icss_question_detail` VALUES ('48562', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', ' 多尿', '3', '0', '0', '0', '单选项- 多尿');
INSERT INTO `icss_question_detail` VALUES ('48563', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '口干', '4', '0', '0', '0', '单选项-口干');
INSERT INTO `icss_question_detail` VALUES ('48564', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '头晕', '5', '0', '0', '0', '单选项-头晕');
INSERT INTO `icss_question_detail` VALUES ('48565', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '乏力', '6', '0', '0', '0', '单选项-乏力');
INSERT INTO `icss_question_detail` VALUES ('48566', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '消瘦', '7', '0', '0', '0', '单选项-消瘦');
INSERT INTO `icss_question_detail` VALUES ('48567', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '泡沫尿', '8', '0', '0', '0', '单选项-泡沫尿');
INSERT INTO `icss_question_detail` VALUES ('48568', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '手抖感', '9', '0', '0', '0', '单选项-手抖感');
INSERT INTO `icss_question_detail` VALUES ('48569', 'N', '2019-05-28 11:28:51', '2019-05-28 11:28:51', '106', '106', '41144', '饥饿感', '10', '0', '0', '0', '单选项-饥饿感');
INSERT INTO `icss_question_detail` VALUES ('48570', 'N', '2019-05-28 11:29:58', '2019-05-28 11:29:58', '106', '106', '41143', '，仍有', '1', '0', '0', '0', '单选项-，仍有');
INSERT INTO `icss_question_detail` VALUES ('48571', 'N', '2019-05-28 11:29:58', '2019-05-28 11:29:58', '106', '106', '41143', '，无', '2', '0', '0', '0', '单选项-，无');
INSERT INTO `icss_question_detail` VALUES ('48577', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '双侧足背动脉', '1', '0', '0', '0', '单选项-双侧足背动脉');
INSERT INTO `icss_question_detail` VALUES ('48578', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '左侧足背动脉', '2', '0', '0', '0', '单选项-左侧足背动脉');
INSERT INTO `icss_question_detail` VALUES ('48579', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '右侧足背动脉', '3', '0', '0', '0', '单选项-右侧足背动脉');
INSERT INTO `icss_question_detail` VALUES ('48580', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '双胫后动脉', '4', '0', '0', '0', '单选项-双胫后动脉');
INSERT INTO `icss_question_detail` VALUES ('48581', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '左胫后动脉', '5', '0', '0', '0', '单选项-左胫后动脉');
INSERT INTO `icss_question_detail` VALUES ('48582', 'N', '2019-05-28 11:40:07', '2019-05-28 11:40:07', '108', '108', '41388', '右胫后动脉', '6', '0', '0', '0', '单选项-右胫后动脉');
INSERT INTO `icss_question_detail` VALUES ('48583', 'N', '2019-05-28 11:41:32', '2019-05-28 11:41:32', '108', '108', '41390', '足部肤色正常', '1', '0', '0', '0', '单选项-足部肤色正常');
INSERT INTO `icss_question_detail` VALUES ('48584', 'N', '2019-05-28 11:41:32', '2019-05-28 11:41:32', '108', '108', '41390', '足部肤色晦暗', '2', '0', '0', '0', '单选项-足部肤色晦暗');
INSERT INTO `icss_question_detail` VALUES ('48585', 'N', '2019-05-28 11:41:56', '2019-05-28 11:41:56', '108', '108', '41391', '肤温正常', '1', '0', '0', '0', '单选项-肤温正常');
INSERT INTO `icss_question_detail` VALUES ('48586', 'N', '2019-05-28 11:41:56', '2019-05-28 11:41:56', '108', '108', '41391', '肤温升高', '2', '0', '0', '0', '单选项-肤温升高');
INSERT INTO `icss_question_detail` VALUES ('48587', 'N', '2019-05-28 11:41:56', '2019-05-28 11:41:56', '108', '108', '41391', '肤温降低', '3', '0', '0', '0', '单选项-肤温降低');
INSERT INTO `icss_question_detail` VALUES ('48612', 'N', '2019-05-28 13:35:37', '2019-05-28 13:35:37', '108', '108', '41398', '温觉', '1', '0', '0', '0', '单选项-温觉');
INSERT INTO `icss_question_detail` VALUES ('48613', 'N', '2019-05-28 13:35:37', '2019-05-28 13:35:37', '108', '108', '41398', '痛觉', '2', '0', '0', '0', '单选项-痛觉');
INSERT INTO `icss_question_detail` VALUES ('48614', 'N', '2019-05-28 13:35:37', '2019-05-28 13:35:37', '108', '108', '41398', '触觉', '3', '0', '0', '0', '单选项-触觉');
INSERT INTO `icss_question_detail` VALUES ('48620', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '双侧膝反射', '1', '0', '0', '0', '单选项-双侧膝反射');
INSERT INTO `icss_question_detail` VALUES ('48621', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '左侧膝反射', '2', '0', '0', '0', '单选项-左侧膝反射');
INSERT INTO `icss_question_detail` VALUES ('48622', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '右侧膝反射', '3', '0', '0', '0', '单选项-右侧膝反射');
INSERT INTO `icss_question_detail` VALUES ('48623', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '双侧踝反射', '4', '0', '0', '0', '单选项-双侧踝反射');
INSERT INTO `icss_question_detail` VALUES ('48624', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '左侧踝反射', '5', '0', '0', '0', '单选项-左侧踝反射');
INSERT INTO `icss_question_detail` VALUES ('48625', 'N', '2019-05-28 13:38:47', '2019-05-28 13:38:47', '108', '108', '41395', '右侧踝反射', '6', '0', '0', '0', '单选项-右侧踝反射');
INSERT INTO `icss_question_detail` VALUES ('48631', 'N', '2019-05-28 13:41:27', '2019-05-28 13:41:27', '108', '108', '41400', '膝、踝反射正常，深浅感觉检查未见异常。', '1', '0', '0', '0', '单选项-膝、踝反射正常，深浅感觉检查未见异常。');
INSERT INTO `icss_question_detail` VALUES ('48632', 'N', '2019-05-28 13:43:41', '2019-05-28 13:43:41', '108', '108', '41366', '查体合作', '1', '0', '0', '0', '单选项-查体合作');
INSERT INTO `icss_question_detail` VALUES ('48633', 'N', '2019-05-28 13:43:41', '2019-05-28 13:43:41', '108', '108', '41366', '拒绝查体', '2', '0', '0', '0', '单选项-拒绝查体');
INSERT INTO `icss_question_detail` VALUES ('48634', 'N', '2019-05-28 13:46:16', '2019-05-28 13:46:16', '108', '108', '41393', '双侧足背动脉搏动正常', '1', '0', '0', '0', '单选项-双侧足背动脉搏动正常');
INSERT INTO `icss_question_detail` VALUES ('48635', 'N', '2019-05-28 13:46:22', '2019-05-28 13:46:22', '108', '108', '41392', '感觉麻木', '1', '0', '0', '0', '单选项-感觉麻木');
INSERT INTO `icss_question_detail` VALUES ('48636', 'N', '2019-05-28 13:46:22', '2019-05-28 13:46:22', '108', '108', '41392', '有蚁行感', '2', '0', '0', '0', '单选项-有蚁行感');
INSERT INTO `icss_question_detail` VALUES ('48637', 'N', '2019-05-28 13:46:55', '2019-05-28 13:46:55', '108', '108', '41389', '搏动减弱', '1', '0', '0', '0', '单选项-搏动减弱');
INSERT INTO `icss_question_detail` VALUES ('48638', 'N', '2019-05-28 13:46:55', '2019-05-28 13:46:55', '108', '108', '41389', '搏动正常', '2', '0', '0', '0', '单选项-搏动正常');
INSERT INTO `icss_question_detail` VALUES ('48639', 'N', '2019-05-28 13:47:42', '2019-05-28 13:47:42', '108', '108', '41396', '增强', '1', '0', '0', '0', '单选项-增强');
INSERT INTO `icss_question_detail` VALUES ('48640', 'N', '2019-05-28 13:47:42', '2019-05-28 13:47:42', '108', '108', '41396', '减退', '2', '0', '0', '0', '单选项-减退');
INSERT INTO `icss_question_detail` VALUES ('48641', 'N', '2019-05-28 13:47:42', '2019-05-28 13:47:42', '108', '108', '41396', '消失', '3', '0', '0', '0', '单选项-消失');
INSERT INTO `icss_question_detail` VALUES ('48642', 'N', '2019-05-28 13:47:42', '2019-05-28 13:47:42', '108', '108', '41396', '正常', '4', '0', '0', '0', '单选项-正常');
INSERT INTO `icss_question_detail` VALUES ('48643', 'N', '2019-05-28 13:47:42', '2019-05-28 13:47:42', '108', '108', '41396', '亢进', '5', '0', '0', '0', '单选项-亢进');
INSERT INTO `icss_question_detail` VALUES ('48644', 'N', '2019-05-28 13:49:12', '2019-05-28 13:49:12', '108', '108', '41399', '正常', '1', '0', '0', '0', '单选项-正常');
INSERT INTO `icss_question_detail` VALUES ('48645', 'N', '2019-05-28 13:49:12', '2019-05-28 13:49:12', '108', '108', '41399', '减弱', '2', '0', '0', '0', '单选项-减弱');
INSERT INTO `icss_question_detail` VALUES ('48646', 'N', '2019-05-28 13:49:12', '2019-05-28 13:49:12', '108', '108', '41399', '消失', '3', '0', '0', '0', '单选项-消失');
INSERT INTO `icss_question_detail` VALUES ('48647', 'N', '2019-05-28 13:49:12', '2019-05-28 13:49:12', '108', '108', '41399', '增强', '4', '0', '0', '0', '单选项-增强');
INSERT INTO `icss_question_detail` VALUES ('48648', 'N', '2019-05-28 13:49:12', '2019-05-28 13:49:12', '108', '108', '41399', '亢进', '5', '0', '0', '0', '单选项-亢进');
INSERT INTO `icss_question_detail` VALUES ('48649', 'N', '2019-05-28 13:50:12', '2019-05-28 13:50:12', '108', '108', '41397', '双侧肢体', '1', '0', '0', '0', '单选项-双侧肢体');
INSERT INTO `icss_question_detail` VALUES ('48650', 'N', '2019-05-28 13:50:12', '2019-05-28 13:50:12', '108', '108', '41397', '右侧肢体', '2', '0', '0', '0', '单选项-右侧肢体');
INSERT INTO `icss_question_detail` VALUES ('48651', 'N', '2019-05-28 13:50:12', '2019-05-28 13:50:12', '108', '108', '41397', '左侧肢体', '3', '0', '0', '0', '单选项-左侧肢体');
INSERT INTO `icss_question_detail` VALUES ('48652', 'N', '2019-05-28 13:50:12', '2019-05-28 13:50:12', '108', '108', '41397', '双上肢', '4', '0', '0', '0', '单选项-双上肢');
INSERT INTO `icss_question_detail` VALUES ('48653', 'N', '2019-05-28 13:50:12', '2019-05-28 13:50:12', '108', '108', '41397', '双下肢', '5', '0', '0', '0', '单选项-双下肢');
INSERT INTO `icss_question_detail` VALUES ('48654', 'N', '2019-05-28 14:01:04', '2019-05-28 14:01:04', '108', '108', '41309', '心率约次/分，', '1', '0', '0', '0', '单选项-心率约次/分，');
INSERT INTO `icss_question_detail` VALUES ('48655', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '体重无明显变化', '1', '0', '0', '0', '单选项-体重无明显变化');
INSERT INTO `icss_question_detail` VALUES ('48656', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '体重减轻', '2', '0', '0', '0', '单选项-体重减轻');
INSERT INTO `icss_question_detail` VALUES ('48657', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '体重增加', '3', '0', '0', '0', '单选项-体重增加');
INSERT INTO `icss_question_detail` VALUES ('48658', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '肥胖', '4', '0', '0', '0', '单选项-肥胖');
INSERT INTO `icss_question_detail` VALUES ('48659', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '消瘦', '5', '0', '0', '0', '单选项-消瘦');
INSERT INTO `icss_question_detail` VALUES ('48660', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '营养不良', '6', '0', '0', '0', '单选项-营养不良');
INSERT INTO `icss_question_detail` VALUES ('48661', 'N', '2019-05-28 14:07:49', '2019-05-28 14:07:49', '106', '106', '41135', '恶病质', '7', '0', '0', '0', '单选项-恶病质');
INSERT INTO `icss_question_detail` VALUES ('48662', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '41410', '颈部', '1', '0', '0', '0', '单选项-颈部');
INSERT INTO `icss_question_detail` VALUES ('48663', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '41410', '面部', '2', '0', '0', '0', '单选项-面部');
INSERT INTO `icss_question_detail` VALUES ('48664', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '41410', '胸部', '3', '0', '0', '0', '单选项-胸部');
INSERT INTO `icss_question_detail` VALUES ('48665', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '41410', '肩部', '4', '0', '0', '0', '单选项-肩部');
INSERT INTO `icss_question_detail` VALUES ('48666', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '41410', '上肢', '5', '0', '0', '0', '单选项-上肢');
INSERT INTO `icss_question_detail` VALUES ('48667', 'N', '2019-05-28 15:12:51', '2019-05-28 15:12:51', '108', '108', '29635', '囟门已闭合', '1', '0', '0', '0', '单选项-囟门已闭合');
INSERT INTO `icss_question_detail` VALUES ('48668', 'N', '2019-05-28 15:12:51', '2019-05-28 15:12:51', '108', '108', '29635', '囟门未闭合', '2', '0', '0', '0', '单选项-囟门未闭合');
INSERT INTO `icss_question_detail` VALUES ('48669', 'N', '2019-05-28 15:23:38', '2019-05-28 15:23:38', '108', '108', '41413', '调节反射正常，', '1', '0', '0', '0', '单选项-调节反射正常，');
INSERT INTO `icss_question_detail` VALUES ('48670', 'N', '2019-05-28 15:23:38', '2019-05-28 15:23:38', '108', '108', '41413', '调节反射异常，', '2', '0', '0', '0', '单选项-调节反射异常，');
INSERT INTO `icss_question_detail` VALUES ('48671', 'N', '2019-05-28 15:23:38', '2019-05-28 15:23:38', '108', '108', '41413', '眼颤(-)，', '3', '0', '0', '0', '单选项-眼颤(-)，');
INSERT INTO `icss_question_detail` VALUES ('48672', 'N', '2019-05-28 15:23:38', '2019-05-28 15:23:38', '108', '108', '41413', '眼颤(+)，', '4', '0', '0', '0', '单选项-眼颤(+)，');
INSERT INTO `icss_question_detail` VALUES ('48677', 'N', '2019-05-31 11:08:54', '2019-05-31 11:08:54', '99', '99', '41131', '未控制饮食', '1', '0', '0', '0', '单选项-未控制饮食');
INSERT INTO `icss_question_detail` VALUES ('48678', 'N', '2019-05-31 11:08:54', '2019-05-31 11:08:54', '99', '99', '41131', '自我饮食控制一般', '2', '0', '0', '0', '单选项-自我饮食控制一般');
INSERT INTO `icss_question_detail` VALUES ('48679', 'N', '2019-05-31 11:08:54', '2019-05-31 11:08:54', '99', '99', '41131', '自我饮食控制较佳', '3', '0', '0', '0', '单选项-自我饮食控制较佳');
INSERT INTO `icss_question_detail` VALUES ('48680', 'N', '2019-05-31 11:08:54', '2019-05-31 11:08:54', '99', '99', '41131', '自我饮食控制差', '4', '0', '0', '0', '单选项-自我饮食控制差');
INSERT INTO `icss_question_detail` VALUES ('48681', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '黄水样分泌物', '1', '0', '0', '0', '单选项-黄水样分泌物');
INSERT INTO `icss_question_detail` VALUES ('48682', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '清水样分泌物', '2', '0', '0', '0', '单选项-清水样分泌物');
INSERT INTO `icss_question_detail` VALUES ('48683', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '黄脓鼻涕', '3', '0', '0', '0', '单选项-黄脓鼻涕');
INSERT INTO `icss_question_detail` VALUES ('48684', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '鼻出血', '4', '0', '0', '0', '单选项-鼻出血');
INSERT INTO `icss_question_detail` VALUES ('48685', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '鼻痒', '5', '0', '0', '0', '单选项-鼻痒');
INSERT INTO `icss_question_detail` VALUES ('48686', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '打喷嚏', '6', '0', '0', '0', '单选项-打喷嚏');
INSERT INTO `icss_question_detail` VALUES ('48687', 'N', '2019-06-12 14:41:08', '2019-06-12 14:41:08', '108', '108', '40324', '鼻涕带血', '7', '0', '0', '0', '单选项-鼻涕带血');
INSERT INTO `icss_question_detail` VALUES ('48688', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '全身皮肤粘膜无黄染', '1', '0', '0', '0', '单选项-全身皮肤粘膜无黄染');
INSERT INTO `icss_question_detail` VALUES ('48689', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '皮肤粘膜黄染', '2', '0', '0', '0', '单选项-皮肤粘膜黄染');
INSERT INTO `icss_question_detail` VALUES ('48690', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '皮肤潮红', '3', '0', '0', '0', '单选项-皮肤潮红');
INSERT INTO `icss_question_detail` VALUES ('48691', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '皮肤黝黑', '4', '0', '0', '0', '单选项-皮肤黝黑');
INSERT INTO `icss_question_detail` VALUES ('48692', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '皮肤可见色素沉着', '5', '0', '0', '0', '单选项-皮肤可见色素沉着');
INSERT INTO `icss_question_detail` VALUES ('48693', 'N', '2019-06-12 14:42:02', '2019-06-12 14:42:02', '108', '108', '435', '皮肤弹性差', '6', '0', '0', '0', '单选项-皮肤弹性差');
INSERT INTO `icss_question_detail` VALUES ('48694', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '肠鸣音亢进', '1', '0', '0', '0', '单选项-肠鸣音亢进');
INSERT INTO `icss_question_detail` VALUES ('48695', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '肠鸣音减弱', '2', '0', '0', '0', '单选项-肠鸣音减弱');
INSERT INTO `icss_question_detail` VALUES ('48696', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '肠鸣音消失', '3', '0', '0', '0', '单选项-肠鸣音消失');
INSERT INTO `icss_question_detail` VALUES ('48697', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '可闻及血管杂音', '4', '0', '0', '0', '单选项-可闻及血管杂音');
INSERT INTO `icss_question_detail` VALUES ('48698', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '未闻及血管杂音', '5', '0', '0', '0', '单选项-未闻及血管杂音');
INSERT INTO `icss_question_detail` VALUES ('48699', 'N', '2019-06-12 14:47:26', '2019-06-12 14:47:26', '108', '108', '517', '可闻及气过水声', '6', '0', '0', '0', '单选项-可闻及气过水声');
INSERT INTO `icss_question_detail` VALUES ('48700', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '肠鸣音亢进，', '1', '0', '0', '0', '单选项-肠鸣音亢进，');
INSERT INTO `icss_question_detail` VALUES ('48701', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '肠鸣音减弱，', '2', '0', '0', '0', '单选项-肠鸣音减弱，');
INSERT INTO `icss_question_detail` VALUES ('48702', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '肠鸣音消失，', '3', '0', '0', '0', '单选项-肠鸣音消失，');
INSERT INTO `icss_question_detail` VALUES ('48703', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '可闻及血管杂音，', '4', '0', '0', '0', '单选项-可闻及血管杂音，');
INSERT INTO `icss_question_detail` VALUES ('48704', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '未闻及血管杂音，', '5', '0', '0', '0', '单选项-未闻及血管杂音，');
INSERT INTO `icss_question_detail` VALUES ('48705', 'N', '2019-06-12 14:49:14', '2019-06-12 14:49:14', '108', '108', '41098', '可闻及气过水声', '6', '0', '0', '0', '单选项-可闻及气过水声');
INSERT INTO `icss_question_detail` VALUES ('48707', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '无', '1', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('48708', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '可见', '2', '0', '0', '0', '单选项-可见');
INSERT INTO `icss_question_detail` VALUES ('48709', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '红肿', '3', '0', '0', '0', '单选项-红肿');
INSERT INTO `icss_question_detail` VALUES ('48710', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '积液', '4', '0', '0', '0', '单选项-积液');
INSERT INTO `icss_question_detail` VALUES ('48711', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '肿胀', '5', '0', '0', '0', '单选项-肿胀');
INSERT INTO `icss_question_detail` VALUES ('48712', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '强直', '6', '0', '0', '0', '单选项-强直');
INSERT INTO `icss_question_detail` VALUES ('48713', 'N', '2019-06-12 15:21:48', '2019-06-12 15:21:48', '108', '108', '29758', '脱臼', '7', '0', '0', '0', '单选项-脱臼');
INSERT INTO `icss_question_detail` VALUES ('48714', 'N', '2019-06-12 15:21:59', '2019-06-12 15:21:59', '108', '108', '29754', '四肢无畸形，双下肢无水肿', '1', '0', '0', '0', '单选项-四肢无畸形，双下肢无水肿');
INSERT INTO `icss_question_detail` VALUES ('48715', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '无静脉曲张', '1', '0', '0', '0', '单选项-无静脉曲张');
INSERT INTO `icss_question_detail` VALUES ('48716', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '可见静脉曲张', '2', '0', '0', '0', '单选项-可见静脉曲张');
INSERT INTO `icss_question_detail` VALUES ('48717', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '可见凹陷性水肿', '3', '0', '0', '0', '单选项-可见凹陷性水肿');
INSERT INTO `icss_question_detail` VALUES ('48718', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '可见粘液样水肿', '4', '0', '0', '0', '单选项-可见粘液样水肿');
INSERT INTO `icss_question_detail` VALUES ('48719', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '可见非凹陷性水肿', '5', '0', '0', '0', '单选项-可见非凹陷性水肿');
INSERT INTO `icss_question_detail` VALUES ('48720', 'N', '2019-06-12 15:22:22', '2019-06-12 15:22:22', '108', '108', '29755', '无水肿', '6', '0', '0', '0', '单选项-无水肿');
INSERT INTO `icss_question_detail` VALUES ('48721', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '四肢', '1', '0', '0', '0', '单选项-四肢');
INSERT INTO `icss_question_detail` VALUES ('48722', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '双上肢', '2', '0', '0', '0', '单选项-双上肢');
INSERT INTO `icss_question_detail` VALUES ('48723', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '双下肢', '3', '0', '0', '0', '单选项-双下肢');
INSERT INTO `icss_question_detail` VALUES ('48724', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '左上肢', '4', '0', '0', '0', '单选项-左上肢');
INSERT INTO `icss_question_detail` VALUES ('48725', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '右上肢', '5', '0', '0', '0', '单选项-右上肢');
INSERT INTO `icss_question_detail` VALUES ('48726', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '左下肢', '6', '0', '0', '0', '单选项-左下肢');
INSERT INTO `icss_question_detail` VALUES ('48727', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '右下肢', '7', '0', '0', '0', '单选项-右下肢');
INSERT INTO `icss_question_detail` VALUES ('48728', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '左侧肢体', '8', '0', '0', '0', '单选项-左侧肢体');
INSERT INTO `icss_question_detail` VALUES ('48729', 'N', '2019-06-12 15:22:37', '2019-06-12 15:22:37', '108', '108', '41311', '右侧肢体', '9', '0', '0', '0', '单选项-右侧肢体');
INSERT INTO `icss_question_detail` VALUES ('48730', 'N', '2019-06-12 15:23:10', '2019-06-12 15:23:10', '108', '108', '29756', '无', '1', '0', '0', '0', '单选项-无');
INSERT INTO `icss_question_detail` VALUES ('48731', 'N', '2019-06-12 15:23:10', '2019-06-12 15:23:10', '108', '108', '29756', '可见', '2', '0', '0', '0', '单选项-可见');
INSERT INTO `icss_question_detail` VALUES ('48732', 'N', '2019-06-12 15:23:10', '2019-06-12 15:23:10', '108', '108', '29756', '杵状指', '3', '0', '0', '0', '单选项-杵状指');
INSERT INTO `icss_question_detail` VALUES ('48733', 'N', '2019-06-12 15:23:10', '2019-06-12 15:23:10', '108', '108', '29756', '畸形', '4', '0', '0', '0', '单选项-畸形');
INSERT INTO `icss_question_detail` VALUES ('48734', 'N', '2019-06-12 15:23:10', '2019-06-12 15:23:10', '108', '108', '29756', '骨折', '5', '0', '0', '0', '单选项-骨折');
INSERT INTO `icss_question_detail` VALUES ('48735', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '各关节', '1', '0', '0', '0', '单选项-各关节');
INSERT INTO `icss_question_detail` VALUES ('48736', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '肩关节', '2', '0', '0', '0', '单选项-肩关节');
INSERT INTO `icss_question_detail` VALUES ('48737', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '肘关节', '3', '0', '0', '0', '单选项-肘关节');
INSERT INTO `icss_question_detail` VALUES ('48738', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '腕关节', '4', '0', '0', '0', '单选项-腕关节');
INSERT INTO `icss_question_detail` VALUES ('48739', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '髋关节', '5', '0', '0', '0', '单选项-髋关节');
INSERT INTO `icss_question_detail` VALUES ('48740', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '膝关节', '6', '0', '0', '0', '单选项-膝关节');
INSERT INTO `icss_question_detail` VALUES ('48741', 'N', '2019-06-12 15:23:36', '2019-06-12 15:23:36', '108', '108', '29757', '踝关节', '7', '0', '0', '0', '单选项-踝关节');
INSERT INTO `icss_question_detail` VALUES ('48742', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '41422', '脑膜刺激征阴性', '1', '0', '0', '0', '单选项-脑膜刺激征阴性');
INSERT INTO `icss_question_detail` VALUES ('48743', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '41422', '脑膜刺激征阳性', '2', '0', '0', '0', '单选项-脑膜刺激征阳性');
INSERT INTO `icss_question_detail` VALUES ('48744', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '41422', '颈强直阳性', '3', '0', '0', '0', '单选项-颈强直阳性');
INSERT INTO `icss_question_detail` VALUES ('48745', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '41422', 'Kernig征阳性', '4', '0', '0', '0', '单选项-Kernig征阳性');
INSERT INTO `icss_question_detail` VALUES ('48746', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '41422', 'Brudzinski征阳性', '5', '0', '0', '0', '单选项-Brudzinski征阳性');
INSERT INTO `icss_question_detail` VALUES ('48747', 'N', '2019-06-17 17:14:04', '2019-06-17 17:14:04', '106', '106', '41473', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48748', 'N', '2019-06-17 17:14:04', '2019-06-17 17:14:04', '106', '106', '41473', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48749', 'N', '2019-06-17 17:14:43', '2019-06-17 17:14:43', '106', '106', '41474', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48750', 'N', '2019-06-17 17:14:43', '2019-06-17 17:14:43', '106', '106', '41474', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48751', 'N', '2019-06-17 17:16:52', '2019-06-17 17:16:52', '106', '106', '41475', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48752', 'N', '2019-06-17 17:16:52', '2019-06-17 17:16:52', '106', '106', '41475', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48753', 'N', '2019-06-17 17:17:22', '2019-06-17 17:17:22', '106', '106', '41476', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48754', 'N', '2019-06-17 17:17:22', '2019-06-17 17:17:22', '106', '106', '41476', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48785', 'N', '2019-06-17 17:29:24', '2019-06-17 17:29:24', '106', '106', '41484', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48786', 'N', '2019-06-17 17:29:24', '2019-06-17 17:29:24', '106', '106', '41484', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48787', 'N', '2019-06-18 09:50:14', '2019-06-18 09:50:14', '106', '106', '41500', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48788', 'N', '2019-06-18 09:50:14', '2019-06-18 09:50:14', '106', '106', '41500', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48789', 'N', '2019-06-18 09:52:32', '2019-06-18 09:52:32', '106', '106', '41504', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48790', 'N', '2019-06-18 09:52:32', '2019-06-18 09:52:32', '106', '106', '41504', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48791', 'N', '2019-06-18 09:53:00', '2019-06-18 09:53:00', '106', '106', '41505', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48792', 'N', '2019-06-18 09:53:00', '2019-06-18 09:53:00', '106', '106', '41505', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48793', 'N', '2019-06-18 09:53:21', '2019-06-18 09:53:21', '106', '106', '41506', '阳性', '1', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48794', 'N', '2019-06-18 09:53:21', '2019-06-18 09:53:21', '106', '106', '41506', '阴性', '2', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48795', 'N', '2019-06-18 09:53:44', '2019-06-18 09:53:44', '106', '106', '41507', '阳性', '1', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48796', 'N', '2019-06-18 09:53:44', '2019-06-18 09:53:44', '106', '106', '41507', '阴性', '2', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48797', 'N', '2019-06-18 10:33:46', '2019-06-18 10:33:46', '106', '106', '41511', '阳性', '1', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48798', 'N', '2019-06-18 10:33:46', '2019-06-18 10:33:46', '106', '106', '41511', '阴性', '2', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48799', 'Y', '2019-06-18 10:44:46', '2019-06-18 10:57:48', '108', '108', '41514', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48800', 'Y', '2019-06-18 10:44:46', '2019-06-18 10:57:48', '108', '108', '41514', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48801', 'Y', '2019-06-18 10:46:39', '2019-06-18 10:58:05', '108', '108', '41515', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48802', 'Y', '2019-06-18 10:46:39', '2019-06-18 10:58:05', '108', '108', '41515', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48803', 'Y', '2019-06-18 10:47:14', '2019-06-18 10:57:36', '108', '108', '41516', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48804', 'Y', '2019-06-18 10:47:14', '2019-06-18 10:57:36', '108', '108', '41516', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48805', 'Y', '2019-06-18 10:53:09', '2019-06-18 10:57:24', '108', '108', '41520', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48806', 'Y', '2019-06-18 10:53:09', '2019-06-18 10:57:24', '108', '108', '41520', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48807', 'Y', '2019-06-18 10:53:29', '2019-06-18 10:57:08', '108', '108', '41521', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48808', 'Y', '2019-06-18 10:53:29', '2019-06-18 10:57:08', '108', '108', '41521', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48809', 'Y', '2019-06-18 10:54:05', '2019-06-18 10:57:01', '108', '108', '41522', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48810', 'Y', '2019-06-18 10:54:05', '2019-06-18 10:57:01', '108', '108', '41522', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48811', 'Y', '2019-06-18 10:55:56', '2019-06-18 10:57:18', '108', '108', '41523', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48812', 'Y', '2019-06-18 10:55:56', '2019-06-18 10:57:18', '108', '108', '41523', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48813', 'N', '2019-06-18 10:57:01', '2019-06-18 10:57:01', '108', '108', '41522', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48814', 'N', '2019-06-18 10:57:01', '2019-06-18 10:57:01', '108', '108', '41522', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48815', 'N', '2019-06-18 10:57:08', '2019-06-18 10:57:08', '108', '108', '41521', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48816', 'N', '2019-06-18 10:57:08', '2019-06-18 10:57:08', '108', '108', '41521', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48817', 'N', '2019-06-18 10:57:18', '2019-06-18 10:57:18', '108', '108', '41523', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48818', 'N', '2019-06-18 10:57:18', '2019-06-18 10:57:18', '108', '108', '41523', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48819', 'N', '2019-06-18 10:57:24', '2019-06-18 10:57:24', '108', '108', '41520', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48820', 'N', '2019-06-18 10:57:24', '2019-06-18 10:57:24', '108', '108', '41520', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48821', 'Y', '2019-06-18 10:57:36', '2019-06-21 10:29:10', '108', '108', '41516', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48822', 'Y', '2019-06-18 10:57:36', '2019-06-21 10:29:10', '108', '108', '41516', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48823', 'Y', '2019-06-18 10:57:48', '2019-06-21 10:58:35', '108', '108', '41514', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48824', 'Y', '2019-06-18 10:57:48', '2019-06-21 10:58:35', '108', '108', '41514', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48825', 'Y', '2019-06-18 10:58:05', '2019-06-21 10:59:29', '108', '108', '41515', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48826', 'Y', '2019-06-18 10:58:05', '2019-06-21 10:59:29', '108', '108', '41515', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48827', 'N', '2019-06-18 11:01:13', '2019-06-18 11:01:13', '108', '108', '41528', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48828', 'N', '2019-06-18 11:01:13', '2019-06-18 11:01:13', '108', '108', '41528', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48829', 'N', '2019-06-18 11:01:38', '2019-06-18 11:01:38', '108', '108', '41529', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48830', 'N', '2019-06-18 11:01:38', '2019-06-18 11:01:38', '108', '108', '41529', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48831', 'Y', '2019-06-18 11:09:32', '2019-06-18 11:11:51', '108', '108', '41532', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48832', 'Y', '2019-06-18 11:09:32', '2019-06-18 11:11:51', '108', '108', '41532', '阳性', '2', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48833', 'N', '2019-06-18 11:11:37', '2019-06-18 11:11:37', '108', '108', '41536', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48834', 'N', '2019-06-18 11:11:37', '2019-06-18 11:11:37', '108', '108', '41536', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48835', 'Y', '2019-06-18 11:11:51', '2019-06-21 10:57:31', '108', '108', '41532', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48836', 'Y', '2019-06-18 11:11:51', '2019-06-21 10:57:31', '108', '108', '41532', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48837', 'N', '2019-06-18 11:12:41', '2019-06-18 11:12:41', '108', '108', '41537', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48838', 'N', '2019-06-18 11:12:41', '2019-06-18 11:12:41', '108', '108', '41537', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48839', 'N', '2019-06-18 11:14:40', '2019-06-18 11:14:40', '108', '108', '41538', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48840', 'N', '2019-06-18 11:14:40', '2019-06-18 11:14:40', '108', '108', '41538', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48841', 'N', '2019-06-18 11:15:29', '2019-06-18 11:15:29', '108', '108', '41539', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48842', 'N', '2019-06-18 11:15:29', '2019-06-18 11:15:29', '108', '108', '41539', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48843', 'Y', '2019-06-18 11:18:32', '2019-06-21 10:57:11', '108', '108', '41540', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48844', 'Y', '2019-06-18 11:18:32', '2019-06-21 10:57:11', '108', '108', '41540', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48845', 'Y', '2019-06-18 11:18:59', '2019-06-21 10:56:56', '108', '108', '41541', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48846', 'Y', '2019-06-18 11:18:59', '2019-06-21 10:56:56', '108', '108', '41541', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48847', 'Y', '2019-06-18 11:23:41', '2019-06-21 10:56:35', '108', '108', '41543', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48848', 'Y', '2019-06-18 11:23:41', '2019-06-21 10:56:35', '108', '108', '41543', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48849', 'N', '2019-06-18 11:24:15', '2019-06-18 11:24:15', '106', '106', '41544', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48850', 'N', '2019-06-18 11:24:15', '2019-06-18 11:24:15', '106', '106', '41544', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48851', 'N', '2019-06-18 11:24:38', '2019-06-18 11:24:38', '106', '106', '41545', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48852', 'N', '2019-06-18 11:24:38', '2019-06-18 11:24:38', '106', '106', '41545', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48853', 'N', '2019-06-18 11:24:42', '2019-06-18 11:24:42', '108', '108', '41546', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48854', 'N', '2019-06-18 11:24:42', '2019-06-18 11:24:42', '108', '108', '41546', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48855', 'Y', '2019-06-18 11:25:36', '2019-06-21 10:56:16', '108', '108', '41549', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48856', 'Y', '2019-06-18 11:25:36', '2019-06-21 10:56:16', '108', '108', '41549', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48857', 'Y', '2019-06-18 11:34:12', '2019-06-18 11:34:34', '108', '108', '41551', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48858', 'Y', '2019-06-18 11:34:12', '2019-06-18 11:34:34', '108', '108', '41551', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48859', 'Y', '2019-06-18 11:41:10', '2019-06-21 10:55:59', '108', '108', '41554', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48860', 'Y', '2019-06-18 11:41:10', '2019-06-21 10:55:59', '108', '108', '41554', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48861', 'N', '2019-06-18 11:43:22', '2019-06-18 11:43:22', '108', '108', '41559', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48862', 'N', '2019-06-18 11:43:22', '2019-06-18 11:43:22', '108', '108', '41559', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48863', 'N', '2019-06-18 11:44:16', '2019-06-18 11:44:16', '108', '108', '41561', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48864', 'N', '2019-06-18 11:44:16', '2019-06-18 11:44:16', '108', '108', '41561', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48865', 'N', '2019-06-18 13:11:30', '2019-06-18 13:11:30', '106', '106', '41563', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48866', 'N', '2019-06-18 13:11:30', '2019-06-18 13:11:30', '106', '106', '41563', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48867', 'N', '2019-06-18 13:11:55', '2019-06-18 13:11:55', '106', '106', '41564', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48868', 'N', '2019-06-18 13:11:55', '2019-06-18 13:11:55', '106', '106', '41564', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48869', 'Y', '2019-06-18 13:20:32', '2019-06-21 10:55:38', '108', '108', '41573', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48870', 'Y', '2019-06-18 13:20:32', '2019-06-21 10:55:38', '108', '108', '41573', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48871', 'Y', '2019-06-18 13:28:49', '2019-06-21 10:51:08', '108', '108', '41578', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48872', 'Y', '2019-06-18 13:28:49', '2019-06-21 10:51:08', '108', '108', '41578', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48873', 'Y', '2019-06-18 13:38:21', '2019-06-21 11:02:19', '106', '108', '41590', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48874', 'Y', '2019-06-18 13:38:21', '2019-06-21 11:02:19', '106', '108', '41590', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48875', 'N', '2019-06-18 13:38:47', '2019-06-18 13:38:47', '106', '106', '41591', '阴性', '1', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48876', 'N', '2019-06-18 13:38:47', '2019-06-18 13:38:47', '106', '106', '41591', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48877', 'Y', '2019-06-18 13:39:42', '2019-06-21 11:00:46', '106', '108', '41594', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48878', 'Y', '2019-06-18 13:39:42', '2019-06-21 11:00:46', '106', '108', '41594', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48879', 'Y', '2019-06-18 13:40:39', '2019-06-21 10:49:06', '108', '108', '41597', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48880', 'Y', '2019-06-18 13:40:39', '2019-06-21 10:49:06', '108', '108', '41597', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48881', 'Y', '2019-06-18 13:41:28', '2019-06-21 10:49:27', '108', '108', '41598', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48882', 'Y', '2019-06-18 13:41:28', '2019-06-21 10:49:27', '108', '108', '41598', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48883', 'Y', '2019-06-18 13:42:02', '2019-06-21 10:48:43', '108', '108', '41599', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48884', 'Y', '2019-06-18 13:42:02', '2019-06-21 10:48:43', '108', '108', '41599', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48885', 'N', '2019-06-18 13:42:49', '2019-06-18 13:42:49', '108', '108', '41600', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48886', 'N', '2019-06-18 13:42:49', '2019-06-18 13:42:49', '108', '108', '41600', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48887', 'Y', '2019-06-18 13:50:55', '2019-06-21 11:00:00', '106', '108', '41612', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48888', 'Y', '2019-06-18 13:50:55', '2019-06-21 11:00:00', '106', '108', '41612', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48889', 'N', '2019-06-18 14:13:48', '2019-06-18 14:13:48', '106', '106', '41628', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48890', 'N', '2019-06-18 14:13:48', '2019-06-18 14:13:48', '106', '106', '41628', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48891', 'N', '2019-06-18 14:14:22', '2019-06-18 14:14:22', '106', '106', '41629', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48892', 'N', '2019-06-18 14:14:22', '2019-06-18 14:14:22', '106', '106', '41629', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48893', 'N', '2019-06-18 14:14:51', '2019-06-18 14:14:51', '106', '106', '41630', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48894', 'N', '2019-06-18 14:14:51', '2019-06-18 14:14:51', '106', '106', '41630', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48895', 'N', '2019-06-18 14:15:13', '2019-06-18 14:15:13', '106', '106', '41631', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48896', 'N', '2019-06-18 14:15:13', '2019-06-18 14:15:13', '106', '106', '41631', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48897', 'Y', '2019-06-18 14:21:22', '2019-06-21 10:44:42', '108', '108', '41633', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48898', 'Y', '2019-06-18 14:21:22', '2019-06-21 10:44:42', '108', '108', '41633', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48899', 'Y', '2019-06-18 14:22:05', '2019-06-21 10:46:50', '108', '108', '41634', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48900', 'Y', '2019-06-18 14:22:05', '2019-06-21 10:46:50', '108', '108', '41634', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48901', 'N', '2019-06-18 14:24:13', '2019-06-18 14:24:13', '106', '106', '41635', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48902', 'N', '2019-06-18 14:24:13', '2019-06-18 14:24:13', '106', '106', '41635', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48903', 'N', '2019-06-18 14:24:36', '2019-06-18 14:24:36', '106', '106', '41636', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48904', 'N', '2019-06-18 14:24:36', '2019-06-18 14:24:36', '106', '106', '41636', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48905', 'N', '2019-06-18 14:25:01', '2019-06-18 14:25:01', '106', '106', '41637', '阴性', '1', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48906', 'N', '2019-06-18 14:25:01', '2019-06-18 14:25:01', '106', '106', '41637', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48907', 'Y', '2019-06-18 14:26:26', '2019-06-21 10:44:23', '108', '108', '41639', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48908', 'Y', '2019-06-18 14:26:26', '2019-06-21 10:44:23', '108', '108', '41639', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48909', 'Y', '2019-06-18 14:27:31', '2019-06-21 10:44:08', '108', '108', '41640', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48910', 'Y', '2019-06-18 14:27:31', '2019-06-21 10:44:08', '108', '108', '41640', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48911', 'N', '2019-06-18 14:30:44', '2019-06-18 14:30:44', '106', '106', '41642', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48912', 'N', '2019-06-18 14:30:44', '2019-06-18 14:30:44', '106', '106', '41642', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48913', 'N', '2019-06-18 14:31:10', '2019-06-18 14:31:10', '106', '106', '41644', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48914', 'N', '2019-06-18 14:31:10', '2019-06-18 14:31:10', '106', '106', '41644', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48915', 'N', '2019-06-18 14:31:40', '2019-06-18 14:31:40', '106', '106', '41645', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48916', 'N', '2019-06-18 14:31:40', '2019-06-18 14:31:40', '106', '106', '41645', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48917', 'N', '2019-06-18 14:32:02', '2019-06-18 14:32:02', '106', '106', '41646', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48918', 'N', '2019-06-18 14:32:02', '2019-06-18 14:32:02', '106', '106', '41646', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48919', 'N', '2019-06-18 14:35:51', '2019-06-18 14:35:51', '106', '106', '41649', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48920', 'N', '2019-06-18 14:35:51', '2019-06-18 14:35:51', '106', '106', '41649', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48921', 'Y', '2019-06-18 14:36:03', '2019-06-21 10:43:48', '108', '108', '41650', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48922', 'Y', '2019-06-18 14:36:03', '2019-06-21 10:43:48', '108', '108', '41650', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48923', 'N', '2019-06-18 14:36:17', '2019-06-18 14:36:17', '106', '106', '41651', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48924', 'N', '2019-06-18 14:36:17', '2019-06-18 14:36:17', '106', '106', '41651', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48925', 'N', '2019-06-18 14:36:37', '2019-06-18 14:36:37', '106', '106', '41652', '阳性', '1', '0', '0', '0', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48926', 'N', '2019-06-18 14:36:37', '2019-06-18 14:36:37', '106', '106', '41652', '阴性', '2', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48927', 'N', '2019-06-18 14:36:47', '2019-06-18 14:36:47', '108', '108', '41653', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48928', 'N', '2019-06-18 14:36:47', '2019-06-18 14:36:47', '108', '108', '41653', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48929', 'N', '2019-06-18 14:37:04', '2019-06-18 14:37:04', '106', '106', '41654', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48930', 'N', '2019-06-18 14:37:04', '2019-06-18 14:37:04', '106', '106', '41654', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48931', 'N', '2019-06-18 14:40:34', '2019-06-18 14:40:34', '106', '106', '41655', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48932', 'N', '2019-06-18 14:40:34', '2019-06-18 14:40:34', '106', '106', '41655', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48933', 'N', '2019-06-18 14:41:29', '2019-06-18 14:41:29', '106', '106', '41657', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48934', 'N', '2019-06-18 14:41:29', '2019-06-18 14:41:29', '106', '106', '41657', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48935', 'N', '2019-06-18 14:41:53', '2019-06-18 14:41:53', '106', '106', '41658', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48936', 'N', '2019-06-18 14:41:53', '2019-06-18 14:41:53', '106', '106', '41658', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48937', 'N', '2019-06-18 14:42:26', '2019-06-18 14:42:26', '106', '106', '41659', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48938', 'N', '2019-06-18 14:42:26', '2019-06-18 14:42:26', '106', '106', '41659', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48939', 'N', '2019-06-18 15:04:38', '2019-06-18 15:04:38', '106', '106', '41668', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48940', 'N', '2019-06-18 15:04:38', '2019-06-18 15:04:38', '106', '106', '41668', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48941', 'N', '2019-06-18 15:05:12', '2019-06-18 15:05:12', '106', '106', '41669', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48942', 'N', '2019-06-18 15:05:12', '2019-06-18 15:05:12', '106', '106', '41669', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48943', 'N', '2019-06-18 15:05:46', '2019-06-18 15:05:46', '106', '106', '41670', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48944', 'N', '2019-06-18 15:05:46', '2019-06-18 15:05:46', '106', '106', '41670', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48945', 'N', '2019-06-18 15:06:08', '2019-06-18 15:06:08', '106', '106', '41671', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48946', 'N', '2019-06-18 15:06:08', '2019-06-18 15:06:08', '106', '106', '41671', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48947', 'N', '2019-06-18 15:06:34', '2019-06-18 15:06:34', '106', '106', '41672', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48948', 'N', '2019-06-18 15:06:34', '2019-06-18 15:06:34', '106', '106', '41672', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48949', 'N', '2019-06-18 15:06:58', '2019-06-18 15:06:58', '106', '106', '41673', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48950', 'N', '2019-06-18 15:06:58', '2019-06-18 15:06:58', '106', '106', '41673', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48951', 'N', '2019-06-18 15:07:18', '2019-06-18 15:07:18', '106', '106', '41674', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48952', 'N', '2019-06-18 15:07:18', '2019-06-18 15:07:18', '106', '106', '41674', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48953', 'N', '2019-06-18 15:07:43', '2019-06-18 15:07:43', '106', '106', '41675', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48954', 'N', '2019-06-18 15:07:43', '2019-06-18 15:07:43', '106', '106', '41675', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48955', 'N', '2019-06-18 15:08:04', '2019-06-18 15:08:04', '106', '106', '41676', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48956', 'N', '2019-06-18 15:08:04', '2019-06-18 15:08:04', '106', '106', '41676', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48957', 'N', '2019-06-18 15:08:24', '2019-06-18 15:08:24', '106', '106', '41677', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48958', 'N', '2019-06-18 15:08:24', '2019-06-18 15:08:24', '106', '106', '41677', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48959', 'N', '2019-06-18 15:11:18', '2019-06-18 15:11:18', '108', '108', '41678', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48960', 'N', '2019-06-18 15:11:18', '2019-06-18 15:11:18', '108', '108', '41678', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48961', 'N', '2019-06-18 15:13:59', '2019-06-18 15:13:59', '106', '106', '41679', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48962', 'N', '2019-06-18 15:13:59', '2019-06-18 15:13:59', '106', '106', '41679', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48963', 'N', '2019-06-18 15:14:23', '2019-06-18 15:14:23', '106', '106', '41680', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48964', 'N', '2019-06-18 15:14:23', '2019-06-18 15:14:23', '106', '106', '41680', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48965', 'Y', '2019-06-18 15:14:25', '2019-06-21 10:42:50', '108', '108', '41681', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48966', 'Y', '2019-06-18 15:14:25', '2019-06-21 10:42:50', '108', '108', '41681', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48967', 'N', '2019-06-18 15:14:51', '2019-06-18 15:14:51', '106', '106', '41682', '阴性', '1', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48968', 'N', '2019-06-18 15:14:51', '2019-06-18 15:14:51', '106', '106', '41682', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48969', 'N', '2019-06-18 15:17:55', '2019-06-18 15:17:55', '106', '106', '41685', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48970', 'N', '2019-06-18 15:17:55', '2019-06-18 15:17:55', '106', '106', '41685', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48971', 'N', '2019-06-18 15:18:21', '2019-06-18 15:18:21', '106', '106', '41686', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48972', 'N', '2019-06-18 15:18:21', '2019-06-18 15:18:21', '106', '106', '41686', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48973', 'Y', '2019-06-18 15:19:27', '2019-06-21 10:42:33', '108', '108', '41687', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48974', 'Y', '2019-06-18 15:19:27', '2019-06-21 10:42:33', '108', '108', '41687', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48975', 'N', '2019-06-18 15:19:33', '2019-06-18 15:19:33', '106', '106', '41688', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48976', 'N', '2019-06-18 15:19:33', '2019-06-18 15:19:33', '106', '106', '41688', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48977', 'N', '2019-06-18 15:20:01', '2019-06-18 15:20:01', '106', '106', '41689', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48978', 'N', '2019-06-18 15:20:01', '2019-06-18 15:20:01', '106', '106', '41689', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48979', 'N', '2019-06-18 15:25:03', '2019-06-18 15:25:03', '106', '106', '41696', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48980', 'N', '2019-06-18 15:25:03', '2019-06-18 15:25:03', '106', '106', '41696', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48981', 'N', '2019-06-18 15:25:30', '2019-06-18 15:25:30', '106', '106', '41697', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48982', 'N', '2019-06-18 15:25:30', '2019-06-18 15:25:30', '106', '106', '41697', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48983', 'N', '2019-06-18 15:25:51', '2019-06-18 15:25:51', '106', '106', '41699', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48984', 'N', '2019-06-18 15:25:51', '2019-06-18 15:25:51', '106', '106', '41699', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48985', 'N', '2019-06-18 15:26:13', '2019-06-18 15:26:13', '106', '106', '41700', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48986', 'N', '2019-06-18 15:26:13', '2019-06-18 15:26:13', '106', '106', '41700', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48987', 'N', '2019-06-18 15:26:39', '2019-06-18 15:26:39', '106', '106', '41701', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48988', 'N', '2019-06-18 15:26:39', '2019-06-18 15:26:39', '106', '106', '41701', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48989', 'N', '2019-06-18 15:27:03', '2019-06-18 15:27:03', '106', '106', '41702', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48990', 'N', '2019-06-18 15:27:03', '2019-06-18 15:27:03', '106', '106', '41702', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48991', 'N', '2019-06-18 15:33:42', '2019-06-18 15:33:42', '106', '106', '41703', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48992', 'N', '2019-06-18 15:33:42', '2019-06-18 15:33:42', '106', '106', '41703', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48993', 'N', '2019-06-18 15:34:13', '2019-06-18 15:34:13', '106', '106', '41704', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48994', 'N', '2019-06-18 15:34:13', '2019-06-18 15:34:13', '106', '106', '41704', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48995', 'N', '2019-06-18 15:35:27', '2019-06-18 15:35:27', '106', '106', '41705', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48996', 'N', '2019-06-18 15:35:27', '2019-06-18 15:35:27', '106', '106', '41705', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48997', 'N', '2019-06-18 15:39:26', '2019-06-18 15:39:26', '106', '106', '41706', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('48998', 'N', '2019-06-18 15:39:26', '2019-06-18 15:39:26', '106', '106', '41706', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('48999', 'N', '2019-06-18 15:45:07', '2019-06-18 15:45:07', '106', '106', '41707', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49000', 'N', '2019-06-18 15:45:07', '2019-06-18 15:45:07', '106', '106', '41707', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49001', 'N', '2019-06-18 15:45:31', '2019-06-18 15:45:31', '106', '106', '41709', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49002', 'N', '2019-06-18 15:45:31', '2019-06-18 15:45:31', '106', '106', '41709', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49003', 'N', '2019-06-18 15:45:54', '2019-06-18 15:45:54', '106', '106', '41711', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49004', 'N', '2019-06-18 15:45:54', '2019-06-18 15:45:54', '106', '106', '41711', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49005', 'N', '2019-06-18 15:46:31', '2019-06-18 15:46:31', '106', '106', '41713', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49006', 'N', '2019-06-18 15:46:31', '2019-06-18 15:46:31', '106', '106', '41713', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49007', 'N', '2019-06-18 15:46:59', '2019-06-18 15:46:59', '106', '106', '41715', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49008', 'N', '2019-06-18 15:46:59', '2019-06-18 15:46:59', '106', '106', '41715', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49009', 'N', '2019-06-18 15:47:29', '2019-06-18 15:47:29', '106', '106', '41717', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49010', 'N', '2019-06-18 15:47:29', '2019-06-18 15:47:29', '106', '106', '41717', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49011', 'N', '2019-06-18 15:47:51', '2019-06-18 15:47:51', '106', '106', '41719', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49012', 'N', '2019-06-18 15:47:51', '2019-06-18 15:47:51', '106', '106', '41719', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49013', 'N', '2019-06-18 15:48:14', '2019-06-18 15:48:14', '106', '106', '41721', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49014', 'N', '2019-06-18 15:48:14', '2019-06-18 15:48:14', '106', '106', '41721', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49015', 'N', '2019-06-18 15:48:54', '2019-06-18 15:48:54', '106', '106', '41724', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49016', 'N', '2019-06-18 15:48:54', '2019-06-18 15:48:54', '106', '106', '41724', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49017', 'Y', '2019-06-18 15:49:24', '2019-06-21 10:57:48', '106', '108', '41727', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49018', 'Y', '2019-06-18 15:49:24', '2019-06-21 10:57:48', '106', '108', '41727', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49019', 'N', '2019-06-18 15:49:44', '2019-06-18 15:49:44', '106', '106', '41729', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49020', 'N', '2019-06-18 15:49:44', '2019-06-18 15:49:44', '106', '106', '41729', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49021', 'N', '2019-06-18 15:50:06', '2019-06-18 15:50:06', '106', '106', '41732', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49022', 'N', '2019-06-18 15:50:06', '2019-06-18 15:50:06', '106', '106', '41732', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49023', 'N', '2019-06-18 15:50:34', '2019-06-18 15:50:34', '106', '106', '41735', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49024', 'N', '2019-06-18 15:50:34', '2019-06-18 15:50:34', '106', '106', '41735', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49025', 'N', '2019-06-18 15:50:55', '2019-06-18 15:50:55', '106', '106', '41737', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49026', 'N', '2019-06-18 15:50:55', '2019-06-18 15:50:55', '106', '106', '41737', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49027', 'N', '2019-06-18 15:57:20', '2019-06-18 15:57:20', '106', '106', '41739', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49028', 'N', '2019-06-18 15:57:20', '2019-06-18 15:57:20', '106', '106', '41739', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49029', 'N', '2019-06-18 15:57:50', '2019-06-18 15:57:50', '106', '106', '41741', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49030', 'N', '2019-06-18 15:57:50', '2019-06-18 15:57:50', '106', '106', '41741', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49031', 'N', '2019-06-18 15:58:54', '2019-06-18 15:58:54', '106', '106', '41745', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49032', 'N', '2019-06-18 15:58:54', '2019-06-18 15:58:54', '106', '106', '41745', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49033', 'N', '2019-06-18 15:58:58', '2019-06-18 15:58:58', '108', '108', '41746', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49034', 'N', '2019-06-18 15:58:58', '2019-06-18 15:58:58', '108', '108', '41746', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49035', 'N', '2019-06-18 15:59:25', '2019-06-18 15:59:25', '108', '108', '41747', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49036', 'N', '2019-06-18 15:59:25', '2019-06-18 15:59:25', '108', '108', '41747', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49037', 'N', '2019-06-18 16:00:14', '2019-06-18 16:00:14', '108', '108', '41750', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49038', 'N', '2019-06-18 16:00:14', '2019-06-18 16:00:14', '108', '108', '41750', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49039', 'N', '2019-06-18 16:00:30', '2019-06-18 16:00:30', '108', '108', '41751', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49040', 'N', '2019-06-18 16:00:30', '2019-06-18 16:00:30', '108', '108', '41751', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49041', 'N', '2019-06-18 16:00:47', '2019-06-18 16:00:47', '108', '108', '41752', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49042', 'N', '2019-06-18 16:00:47', '2019-06-18 16:00:47', '108', '108', '41752', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49043', 'N', '2019-06-18 16:01:06', '2019-06-18 16:01:06', '108', '108', '41753', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49044', 'N', '2019-06-18 16:01:06', '2019-06-18 16:01:06', '108', '108', '41753', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49045', 'N', '2019-06-18 16:01:19', '2019-06-18 16:01:19', '108', '108', '41754', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49046', 'N', '2019-06-18 16:01:19', '2019-06-18 16:01:19', '108', '108', '41754', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49047', 'N', '2019-06-18 16:01:51', '2019-06-18 16:01:51', '106', '106', '41757', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49048', 'N', '2019-06-18 16:01:51', '2019-06-18 16:01:51', '106', '106', '41757', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49049', 'N', '2019-06-18 16:02:18', '2019-06-18 16:02:18', '106', '106', '41760', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49050', 'N', '2019-06-18 16:02:18', '2019-06-18 16:02:18', '106', '106', '41760', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49051', 'N', '2019-06-18 16:02:45', '2019-06-18 16:02:45', '106', '106', '41761', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49052', 'N', '2019-06-18 16:02:45', '2019-06-18 16:02:45', '106', '106', '41761', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49053', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '41762', '正常', '1', '0', '0', '0', '单选项-正常');
INSERT INTO `icss_question_detail` VALUES ('49054', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '41762', '混浊', '2', '0', '0', '1', '单选项-混浊');
INSERT INTO `icss_question_detail` VALUES ('49055', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '41762', '淡黄色', '3', '0', '0', '1', '单选项-淡黄色');
INSERT INTO `icss_question_detail` VALUES ('49056', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '41762', '酱油色', '4', '0', '0', '1', '单选项-酱油色');
INSERT INTO `icss_question_detail` VALUES ('49057', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '41762', '无色透明', '5', '0', '0', '0', '单选项-无色透明');
INSERT INTO `icss_question_detail` VALUES ('49058', 'N', '2019-06-18 16:03:12', '2019-06-18 16:03:12', '106', '106', '41764', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49059', 'N', '2019-06-18 16:03:12', '2019-06-18 16:03:12', '106', '106', '41764', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49060', 'N', '2019-06-18 16:03:33', '2019-06-18 16:03:33', '106', '106', '41767', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49061', 'N', '2019-06-18 16:03:33', '2019-06-18 16:03:33', '106', '106', '41767', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49062', 'N', '2019-06-18 16:04:00', '2019-06-18 16:04:00', '106', '106', '41770', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49063', 'N', '2019-06-18 16:04:00', '2019-06-18 16:04:00', '106', '106', '41770', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49064', 'N', '2019-06-18 16:04:22', '2019-06-18 16:04:22', '106', '106', '41773', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49065', 'N', '2019-06-18 16:04:22', '2019-06-18 16:04:22', '106', '106', '41773', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49066', 'N', '2019-06-18 16:04:40', '2019-06-18 16:04:40', '108', '108', '41774', '粘稠', '1', '0', '0', '0', '单选项-粘稠');
INSERT INTO `icss_question_detail` VALUES ('49067', 'N', '2019-06-18 16:04:40', '2019-06-18 16:04:40', '108', '108', '41774', '稀', '2', '0', '0', '0', '单选项-稀');
INSERT INTO `icss_question_detail` VALUES ('49068', 'N', '2019-06-18 16:04:50', '2019-06-18 16:04:50', '106', '106', '41775', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49069', 'N', '2019-06-18 16:04:50', '2019-06-18 16:04:50', '106', '106', '41775', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49070', 'N', '2019-06-18 16:05:13', '2019-06-18 16:05:13', '106', '106', '41778', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49071', 'N', '2019-06-18 16:05:13', '2019-06-18 16:05:13', '106', '106', '41778', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49072', 'N', '2019-06-18 16:05:50', '2019-06-18 16:05:50', '106', '106', '41781', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49073', 'N', '2019-06-18 16:05:50', '2019-06-18 16:05:50', '106', '106', '41781', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49074', 'N', '2019-06-18 16:06:01', '2019-06-18 16:06:01', '108', '108', '41782', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49075', 'N', '2019-06-18 16:06:01', '2019-06-18 16:06:01', '108', '108', '41782', '未发现细菌', '2', '0', '0', '0', '单选项-未发现细菌');
INSERT INTO `icss_question_detail` VALUES ('49076', 'N', '2019-06-18 16:06:01', '2019-06-18 16:06:01', '108', '108', '41782', '阳性', '3', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49077', 'N', '2019-06-18 16:06:01', '2019-06-18 16:06:01', '108', '108', '41782', '发现细菌', '4', '0', '0', '1', '单选项-发现细菌');
INSERT INTO `icss_question_detail` VALUES ('49078', 'N', '2019-06-18 16:06:13', '2019-06-18 16:06:13', '106', '106', '41784', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49079', 'N', '2019-06-18 16:06:13', '2019-06-18 16:06:13', '106', '106', '41784', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49080', 'N', '2019-06-18 16:06:30', '2019-06-18 16:06:30', '108', '108', '41785', '1', '1', '0', '0', '0', '单选项-1');
INSERT INTO `icss_question_detail` VALUES ('49081', 'N', '2019-06-18 16:06:30', '2019-06-18 16:06:30', '108', '108', '41785', '2', '2', '0', '0', '0', '单选项-2');
INSERT INTO `icss_question_detail` VALUES ('49082', 'N', '2019-06-18 16:09:44', '2019-06-18 16:09:44', '106', '106', '41806', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49083', 'N', '2019-06-18 16:09:44', '2019-06-18 16:09:44', '106', '106', '41806', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49084', 'N', '2019-06-18 16:10:03', '2019-06-18 16:10:03', '106', '106', '41809', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49085', 'N', '2019-06-18 16:10:03', '2019-06-18 16:10:03', '106', '106', '41809', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49086', 'N', '2019-06-18 16:10:25', '2019-06-18 16:10:25', '106', '106', '41811', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49087', 'N', '2019-06-18 16:10:25', '2019-06-18 16:10:25', '106', '106', '41811', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49088', 'N', '2019-06-18 16:10:50', '2019-06-18 16:10:50', '106', '106', '41814', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49089', 'N', '2019-06-18 16:10:50', '2019-06-18 16:10:50', '106', '106', '41814', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49090', 'N', '2019-06-18 16:14:34', '2019-06-18 16:14:34', '108', '108', '41828', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49091', 'N', '2019-06-18 16:14:34', '2019-06-18 16:14:34', '108', '108', '41828', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49092', 'N', '2019-06-18 16:17:04', '2019-06-18 16:17:04', '108', '108', '41834', '无味', '1', '0', '0', '0', '单选项-无味');
INSERT INTO `icss_question_detail` VALUES ('49093', 'N', '2019-06-18 16:17:04', '2019-06-18 16:17:04', '108', '108', '41834', '臭味', '2', '0', '0', '1', '单选项-臭味');
INSERT INTO `icss_question_detail` VALUES ('49094', 'N', '2019-06-18 16:17:04', '2019-06-18 16:17:04', '108', '108', '41834', '烂苹果味', '3', '0', '0', '1', '单选项-烂苹果味');
INSERT INTO `icss_question_detail` VALUES ('49095', 'N', '2019-06-18 16:17:39', '2019-06-18 16:17:39', '108', '108', '41835', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49096', 'N', '2019-06-18 16:17:39', '2019-06-18 16:17:39', '108', '108', '41835', '发现精子', '2', '0', '0', '1', '单选项-发现精子');
INSERT INTO `icss_question_detail` VALUES ('49097', 'N', '2019-06-18 16:17:39', '2019-06-18 16:17:39', '108', '108', '41835', '发现滴虫', '3', '0', '0', '1', '单选项-发现滴虫');
INSERT INTO `icss_question_detail` VALUES ('49098', 'N', '2019-06-18 16:17:39', '2019-06-18 16:17:39', '108', '108', '41835', '发现细菌', '4', '0', '0', '1', '单选项-发现细菌');
INSERT INTO `icss_question_detail` VALUES ('49099', 'N', '2019-06-18 16:22:20', '2019-06-18 16:22:20', '106', '106', '41850', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49100', 'N', '2019-06-18 16:22:20', '2019-06-18 16:22:20', '106', '106', '41850', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49101', 'N', '2019-06-18 16:22:39', '2019-06-18 16:22:39', '106', '106', '41851', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49102', 'N', '2019-06-18 16:22:39', '2019-06-18 16:22:39', '106', '106', '41851', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49103', 'N', '2019-06-18 16:24:13', '2019-06-18 16:24:13', '106', '106', '41854', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49104', 'N', '2019-06-18 16:24:13', '2019-06-18 16:24:13', '106', '106', '41854', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49105', 'N', '2019-06-18 16:27:43', '2019-06-18 16:27:43', '106', '106', '41863', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49106', 'N', '2019-06-18 16:27:43', '2019-06-18 16:27:43', '106', '106', '41863', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49107', 'Y', '2019-06-18 16:33:30', '2019-06-21 10:43:32', '106', '108', '41888', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49108', 'Y', '2019-06-18 16:33:30', '2019-06-21 10:43:32', '106', '108', '41888', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49109', 'N', '2019-06-19 09:44:25', '2019-06-19 09:44:25', '108', '108', '42149', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49110', 'N', '2019-06-19 09:44:25', '2019-06-19 09:44:25', '108', '108', '42149', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49111', 'N', '2019-06-19 09:44:44', '2019-06-19 09:44:44', '108', '108', '42150', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49112', 'N', '2019-06-19 09:44:44', '2019-06-19 09:44:44', '108', '108', '42150', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49113', 'N', '2019-06-19 10:28:10', '2019-06-19 10:28:10', '108', '108', '42172', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49114', 'N', '2019-06-19 10:28:10', '2019-06-19 10:28:10', '108', '108', '42172', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49115', 'N', '2019-06-19 10:29:02', '2019-06-19 10:29:02', '108', '108', '42174', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49116', 'N', '2019-06-19 10:29:02', '2019-06-19 10:29:02', '108', '108', '42174', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49117', 'N', '2019-06-19 10:29:25', '2019-06-19 10:29:25', '108', '108', '42175', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49118', 'N', '2019-06-19 10:29:25', '2019-06-19 10:29:25', '108', '108', '42175', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49119', 'N', '2019-06-19 10:29:47', '2019-06-19 10:29:47', '108', '108', '42176', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49120', 'N', '2019-06-19 10:29:47', '2019-06-19 10:29:47', '108', '108', '42176', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49121', 'N', '2019-06-19 10:37:04', '2019-06-19 10:37:04', '108', '108', '42178', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49122', 'N', '2019-06-19 10:37:04', '2019-06-19 10:37:04', '108', '108', '42178', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49123', 'N', '2019-06-19 10:37:22', '2019-06-19 10:37:22', '108', '108', '42179', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49124', 'N', '2019-06-19 10:37:22', '2019-06-19 10:37:22', '108', '108', '42179', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49125', 'N', '2019-06-19 10:37:37', '2019-06-19 10:37:37', '108', '108', '42180', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49126', 'N', '2019-06-19 10:37:37', '2019-06-19 10:37:37', '108', '108', '42180', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49127', 'N', '2019-06-19 10:48:22', '2019-06-19 10:48:22', '108', '108', '42189', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49128', 'N', '2019-06-19 10:48:22', '2019-06-19 10:48:22', '108', '108', '42189', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49129', 'N', '2019-06-19 13:01:54', '2019-06-19 13:01:54', '108', '108', '42229', 'A型', '1', '0', '0', '0', '单选项-A型');
INSERT INTO `icss_question_detail` VALUES ('49130', 'N', '2019-06-19 13:01:54', '2019-06-19 13:01:54', '108', '108', '42229', 'B型', '2', '0', '0', '0', '单选项-B型');
INSERT INTO `icss_question_detail` VALUES ('49131', 'N', '2019-06-19 13:01:54', '2019-06-19 13:01:54', '108', '108', '42229', 'AB型', '3', '0', '0', '0', '单选项-AB型');
INSERT INTO `icss_question_detail` VALUES ('49132', 'N', '2019-06-19 13:01:54', '2019-06-19 13:01:54', '108', '108', '42229', 'O型', '4', '0', '0', '0', '单选项-O型');
INSERT INTO `icss_question_detail` VALUES ('49133', 'N', '2019-06-19 13:11:35', '2019-06-19 13:11:35', '108', '108', '42237', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49134', 'N', '2019-06-19 13:11:35', '2019-06-19 13:11:35', '108', '108', '42237', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49135', 'N', '2019-06-19 13:30:28', '2019-06-19 13:30:28', '108', '108', '42254', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49136', 'N', '2019-06-19 13:30:28', '2019-06-19 13:30:28', '108', '108', '42254', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49137', 'Y', '2019-06-19 13:38:18', '2019-06-21 10:41:55', '108', '108', '42257', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49138', 'Y', '2019-06-19 13:38:18', '2019-06-21 10:41:55', '108', '108', '42257', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49139', 'Y', '2019-06-19 13:40:46', '2019-06-21 10:41:37', '108', '108', '42259', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49140', 'Y', '2019-06-19 13:40:46', '2019-06-21 10:41:37', '108', '108', '42259', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49141', 'Y', '2019-06-19 13:47:16', '2019-06-21 10:41:19', '108', '108', '42263', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49142', 'Y', '2019-06-19 13:47:16', '2019-06-21 10:41:19', '108', '108', '42263', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49143', 'N', '2019-06-19 13:58:40', '2019-06-19 13:58:40', '108', '108', '42265', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49144', 'N', '2019-06-19 13:58:40', '2019-06-19 13:58:40', '108', '108', '42265', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49145', 'N', '2019-06-19 14:07:31', '2019-06-19 14:07:31', '108', '108', '42269', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49146', 'N', '2019-06-19 14:07:31', '2019-06-19 14:07:31', '108', '108', '42269', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49147', 'Y', '2019-06-19 14:40:44', '2019-06-21 10:40:57', '108', '108', '42282', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49148', 'Y', '2019-06-19 14:40:44', '2019-06-21 10:40:57', '108', '108', '42282', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49149', 'Y', '2019-06-19 15:00:03', '2019-06-21 10:40:29', '108', '108', '42291', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49150', 'Y', '2019-06-19 15:00:03', '2019-06-21 10:40:29', '108', '108', '42291', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49151', 'N', '2019-06-19 15:02:02', '2019-06-19 15:02:02', '108', '108', '42293', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49152', 'N', '2019-06-19 15:02:02', '2019-06-19 15:02:02', '108', '108', '42293', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49153', 'N', '2019-06-19 15:02:18', '2019-06-19 15:02:18', '108', '108', '42294', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49154', 'N', '2019-06-19 15:02:18', '2019-06-19 15:02:18', '108', '108', '42294', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49155', 'N', '2019-06-19 15:03:07', '2019-06-19 15:03:07', '108', '108', '42296', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49156', 'N', '2019-06-19 15:03:07', '2019-06-19 15:03:07', '108', '108', '42296', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49157', 'Y', '2019-06-19 15:08:38', '2019-06-21 10:40:08', '108', '108', '42299', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49158', 'Y', '2019-06-19 15:08:38', '2019-06-21 10:40:08', '108', '108', '42299', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49159', 'Y', '2019-06-19 15:14:59', '2019-06-21 10:39:50', '108', '108', '42304', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49160', 'Y', '2019-06-19 15:14:59', '2019-06-21 10:39:50', '108', '108', '42304', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49161', 'N', '2019-06-19 15:25:30', '2019-06-19 15:25:30', '108', '108', '42317', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49162', 'N', '2019-06-19 15:25:30', '2019-06-19 15:25:30', '108', '108', '42317', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49163', 'N', '2019-06-19 15:26:22', '2019-06-19 15:26:22', '108', '108', '42319', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49164', 'N', '2019-06-19 15:26:22', '2019-06-19 15:26:22', '108', '108', '42319', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49165', 'N', '2019-06-19 15:27:11', '2019-06-19 15:27:11', '108', '108', '42320', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49166', 'N', '2019-06-19 15:27:11', '2019-06-19 15:27:11', '108', '108', '42320', '阴性', '2', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49167', 'N', '2019-06-19 15:44:14', '2019-06-19 15:44:14', '108', '108', '42329', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49168', 'N', '2019-06-19 15:44:14', '2019-06-19 15:44:14', '108', '108', '42329', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49169', 'N', '2019-06-19 15:44:39', '2019-06-19 15:44:39', '108', '108', '42330', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49170', 'N', '2019-06-19 15:44:39', '2019-06-19 15:44:39', '108', '108', '42330', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49171', 'Y', '2019-06-19 15:47:02', '2019-06-19 15:47:14', '108', '108', '42332', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49172', 'Y', '2019-06-19 15:47:02', '2019-06-19 15:47:14', '108', '108', '42332', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49173', 'N', '2019-06-19 15:47:14', '2019-06-19 15:47:14', '108', '108', '42332', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49174', 'N', '2019-06-19 15:47:14', '2019-06-19 15:47:14', '108', '108', '42332', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49175', 'N', '2019-06-19 15:47:36', '2019-06-19 15:47:36', '108', '108', '42333', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49176', 'N', '2019-06-19 15:47:36', '2019-06-19 15:47:36', '108', '108', '42333', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49177', 'Y', '2019-06-19 16:17:55', '2019-06-21 10:38:45', '108', '108', '42351', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49178', 'Y', '2019-06-19 16:17:55', '2019-06-21 10:38:45', '108', '108', '42351', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49179', 'Y', '2019-06-19 16:19:59', '2019-06-21 10:38:29', '108', '108', '42353', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49180', 'Y', '2019-06-19 16:19:59', '2019-06-21 10:38:29', '108', '108', '42353', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49181', 'Y', '2019-06-19 16:22:02', '2019-06-21 10:38:02', '108', '108', '42355', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49182', 'Y', '2019-06-19 16:22:02', '2019-06-21 10:38:02', '108', '108', '42355', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49183', 'N', '2019-06-19 16:44:22', '2019-06-19 16:44:22', '108', '108', '42364', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49184', 'N', '2019-06-19 16:44:22', '2019-06-19 16:44:22', '108', '108', '42364', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49185', 'N', '2019-06-19 16:45:38', '2019-06-19 16:45:38', '108', '108', '42365', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49186', 'N', '2019-06-19 16:45:38', '2019-06-19 16:45:38', '108', '108', '42365', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49187', 'N', '2019-06-19 16:45:57', '2019-06-19 16:45:57', '108', '108', '42366', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49188', 'N', '2019-06-19 16:45:57', '2019-06-19 16:45:57', '108', '108', '42366', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49189', 'N', '2019-06-19 16:46:12', '2019-06-19 16:46:12', '108', '108', '42367', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49190', 'N', '2019-06-19 16:46:12', '2019-06-19 16:46:12', '108', '108', '42367', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49191', 'N', '2019-06-19 16:46:27', '2019-06-19 16:46:27', '108', '108', '42368', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49192', 'N', '2019-06-19 16:46:27', '2019-06-19 16:46:27', '108', '108', '42368', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49193', 'N', '2019-06-19 16:46:40', '2019-06-19 16:46:40', '108', '108', '42369', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49194', 'N', '2019-06-19 16:46:40', '2019-06-19 16:46:40', '108', '108', '42369', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49195', 'N', '2019-06-19 17:25:11', '2019-06-19 17:25:11', '108', '108', '42399', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49196', 'N', '2019-06-19 17:25:11', '2019-06-19 17:25:11', '108', '108', '42399', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49197', 'N', '2019-06-19 17:25:28', '2019-06-19 17:25:28', '108', '108', '42400', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49198', 'N', '2019-06-19 17:25:28', '2019-06-19 17:25:28', '108', '108', '42400', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49199', 'N', '2019-06-19 17:25:51', '2019-06-19 17:25:51', '108', '108', '42401', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49200', 'N', '2019-06-19 17:25:51', '2019-06-19 17:25:51', '108', '108', '42401', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49201', 'Y', '2019-06-19 17:27:13', '2019-06-21 10:35:09', '108', '108', '42403', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49202', 'Y', '2019-06-19 17:27:13', '2019-06-21 10:35:09', '108', '108', '42403', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49203', 'Y', '2019-06-19 17:30:17', '2019-06-21 10:34:32', '108', '108', '42409', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49204', 'Y', '2019-06-19 17:30:17', '2019-06-21 10:34:32', '108', '108', '42409', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49205', 'Y', '2019-06-21 10:29:10', '2019-06-21 10:30:28', '108', '108', '41516', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49206', 'Y', '2019-06-21 10:29:10', '2019-06-21 10:30:28', '108', '108', '41516', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49207', 'Y', '2019-06-21 10:30:28', '2019-06-21 10:32:32', '108', '108', '41516', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49208', 'Y', '2019-06-21 10:30:28', '2019-06-21 10:32:32', '108', '108', '41516', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49209', 'N', '2019-06-21 10:32:32', '2019-06-21 10:32:32', '108', '108', '41516', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49210', 'N', '2019-06-21 10:32:32', '2019-06-21 10:32:32', '108', '108', '41516', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49211', 'N', '2019-06-21 10:34:32', '2019-06-21 10:34:32', '108', '108', '42409', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49212', 'N', '2019-06-21 10:34:32', '2019-06-21 10:34:32', '108', '108', '42409', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49213', 'N', '2019-06-21 10:35:09', '2019-06-21 10:35:09', '108', '108', '42403', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49214', 'N', '2019-06-21 10:35:09', '2019-06-21 10:35:09', '108', '108', '42403', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49215', 'N', '2019-06-21 10:38:02', '2019-06-21 10:38:02', '108', '108', '42355', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49216', 'N', '2019-06-21 10:38:02', '2019-06-21 10:38:02', '108', '108', '42355', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49217', 'N', '2019-06-21 10:38:29', '2019-06-21 10:38:29', '108', '108', '42353', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49218', 'N', '2019-06-21 10:38:29', '2019-06-21 10:38:29', '108', '108', '42353', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49219', 'N', '2019-06-21 10:38:45', '2019-06-21 10:38:45', '108', '108', '42351', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49220', 'N', '2019-06-21 10:38:45', '2019-06-21 10:38:45', '108', '108', '42351', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49221', 'N', '2019-06-21 10:39:50', '2019-06-21 10:39:50', '108', '108', '42304', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49222', 'N', '2019-06-21 10:39:50', '2019-06-21 10:39:50', '108', '108', '42304', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49223', 'N', '2019-06-21 10:40:08', '2019-06-21 10:40:08', '108', '108', '42299', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49224', 'N', '2019-06-21 10:40:08', '2019-06-21 10:40:08', '108', '108', '42299', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49225', 'N', '2019-06-21 10:40:29', '2019-06-21 10:40:29', '108', '108', '42291', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49226', 'N', '2019-06-21 10:40:29', '2019-06-21 10:40:29', '108', '108', '42291', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49227', 'N', '2019-06-21 10:40:57', '2019-06-21 10:40:57', '108', '108', '42282', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49228', 'N', '2019-06-21 10:40:57', '2019-06-21 10:40:57', '108', '108', '42282', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49229', 'N', '2019-06-21 10:41:19', '2019-06-21 10:41:19', '108', '108', '42263', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49230', 'N', '2019-06-21 10:41:19', '2019-06-21 10:41:19', '108', '108', '42263', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49231', 'N', '2019-06-21 10:41:37', '2019-06-21 10:41:37', '108', '108', '42259', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49232', 'N', '2019-06-21 10:41:37', '2019-06-21 10:41:37', '108', '108', '42259', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49233', 'N', '2019-06-21 10:41:55', '2019-06-21 10:41:55', '108', '108', '42257', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49234', 'N', '2019-06-21 10:41:55', '2019-06-21 10:41:55', '108', '108', '42257', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49235', 'N', '2019-06-21 10:42:33', '2019-06-21 10:42:33', '108', '108', '41687', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49236', 'N', '2019-06-21 10:42:33', '2019-06-21 10:42:33', '108', '108', '41687', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49237', 'N', '2019-06-21 10:42:50', '2019-06-21 10:42:50', '108', '108', '41681', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49238', 'N', '2019-06-21 10:42:50', '2019-06-21 10:42:50', '108', '108', '41681', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49239', 'N', '2019-06-21 10:43:32', '2019-06-21 10:43:32', '108', '108', '41888', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49240', 'N', '2019-06-21 10:43:32', '2019-06-21 10:43:32', '108', '108', '41888', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49241', 'N', '2019-06-21 10:43:48', '2019-06-21 10:43:48', '108', '108', '41650', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49242', 'N', '2019-06-21 10:43:48', '2019-06-21 10:43:48', '108', '108', '41650', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49243', 'N', '2019-06-21 10:44:08', '2019-06-21 10:44:08', '108', '108', '41640', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49244', 'N', '2019-06-21 10:44:08', '2019-06-21 10:44:08', '108', '108', '41640', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49245', 'N', '2019-06-21 10:44:23', '2019-06-21 10:44:23', '108', '108', '41639', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49246', 'N', '2019-06-21 10:44:23', '2019-06-21 10:44:23', '108', '108', '41639', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49247', 'N', '2019-06-21 10:44:42', '2019-06-21 10:44:42', '108', '108', '41633', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49248', 'N', '2019-06-21 10:44:42', '2019-06-21 10:44:42', '108', '108', '41633', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49249', 'N', '2019-06-21 10:46:50', '2019-06-21 10:46:50', '108', '108', '41634', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49250', 'N', '2019-06-21 10:46:50', '2019-06-21 10:46:50', '108', '108', '41634', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49251', 'N', '2019-06-21 10:48:43', '2019-06-21 10:48:43', '108', '108', '41599', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49252', 'N', '2019-06-21 10:48:43', '2019-06-21 10:48:43', '108', '108', '41599', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49253', 'N', '2019-06-21 10:49:06', '2019-06-21 10:49:06', '108', '108', '41597', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49254', 'N', '2019-06-21 10:49:06', '2019-06-21 10:49:06', '108', '108', '41597', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49255', 'N', '2019-06-21 10:49:27', '2019-06-21 10:49:27', '108', '108', '41598', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49256', 'N', '2019-06-21 10:49:27', '2019-06-21 10:49:27', '108', '108', '41598', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49257', 'N', '2019-06-21 10:51:08', '2019-06-21 10:51:08', '108', '108', '41578', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49258', 'N', '2019-06-21 10:51:08', '2019-06-21 10:51:08', '108', '108', '41578', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49259', 'N', '2019-06-21 10:55:38', '2019-06-21 10:55:38', '108', '108', '41573', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49260', 'N', '2019-06-21 10:55:38', '2019-06-21 10:55:38', '108', '108', '41573', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49261', 'N', '2019-06-21 10:55:59', '2019-06-21 10:55:59', '108', '108', '41554', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49262', 'N', '2019-06-21 10:55:59', '2019-06-21 10:55:59', '108', '108', '41554', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49263', 'N', '2019-06-21 10:56:16', '2019-06-21 10:56:16', '108', '108', '41549', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49264', 'N', '2019-06-21 10:56:16', '2019-06-21 10:56:16', '108', '108', '41549', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49265', 'N', '2019-06-21 10:56:35', '2019-06-21 10:56:35', '108', '108', '41543', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49266', 'N', '2019-06-21 10:56:35', '2019-06-21 10:56:35', '108', '108', '41543', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49267', 'N', '2019-06-21 10:56:56', '2019-06-21 10:56:56', '108', '108', '41541', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49268', 'N', '2019-06-21 10:56:56', '2019-06-21 10:56:56', '108', '108', '41541', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49269', 'N', '2019-06-21 10:57:11', '2019-06-21 10:57:11', '108', '108', '41540', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49270', 'N', '2019-06-21 10:57:11', '2019-06-21 10:57:11', '108', '108', '41540', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49271', 'N', '2019-06-21 10:57:31', '2019-06-21 10:57:31', '108', '108', '41532', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49272', 'N', '2019-06-21 10:57:31', '2019-06-21 10:57:31', '108', '108', '41532', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49273', 'N', '2019-06-21 10:57:48', '2019-06-21 10:57:48', '108', '108', '41727', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49274', 'N', '2019-06-21 10:57:48', '2019-06-21 10:57:48', '108', '108', '41727', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49275', 'N', '2019-06-21 10:58:35', '2019-06-21 10:58:35', '108', '108', '41514', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49276', 'N', '2019-06-21 10:58:35', '2019-06-21 10:58:35', '108', '108', '41514', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49277', 'N', '2019-06-21 10:59:29', '2019-06-21 10:59:29', '108', '108', '41515', '阴性', '1', '0', '0', '0', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49278', 'N', '2019-06-21 10:59:29', '2019-06-21 10:59:29', '108', '108', '41515', '阳性', '2', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49279', 'N', '2019-06-21 11:00:00', '2019-06-21 11:00:00', '108', '108', '41612', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49280', 'N', '2019-06-21 11:00:00', '2019-06-21 11:00:00', '108', '108', '41612', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49281', 'N', '2019-06-21 11:00:46', '2019-06-21 11:00:46', '108', '108', '41594', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49282', 'N', '2019-06-21 11:00:46', '2019-06-21 11:00:46', '108', '108', '41594', '阴性', '2', '0', '0', '1', '单选项-阴性');
INSERT INTO `icss_question_detail` VALUES ('49283', 'N', '2019-06-21 11:02:19', '2019-06-21 11:02:19', '108', '108', '41590', '阳性', '1', '0', '0', '1', '单选项-阳性');
INSERT INTO `icss_question_detail` VALUES ('49284', 'N', '2019-06-21 11:02:19', '2019-06-21 11:02:19', '108', '108', '41590', '阴性', '2', '0', '0', '1', '单选项-阴性');

-- ----------------------------
-- Table structure for icss_question_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_info`;
CREATE TABLE `icss_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `tag_name` varchar(100) NOT NULL DEFAULT '' COMMENT '标签名',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `sex_type` tinyint(11) NOT NULL DEFAULT '3' COMMENT '性别(1：男 2：女 3：通用)',
  `age_begin` int(11) NOT NULL DEFAULT '0' COMMENT '最小年龄',
  `age_end` int(11) NOT NULL DEFAULT '200' COMMENT '最大年龄',
  `tag_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '标签标识(1：单标签，例如： 程度，最高温度 2：组合标签-杂音类型 3：组合标签-血压类型 4：组合标签-咳嗽类型 5：竖铺组合项(不用)，例如：有无治疗 6：组合标签-既往史类型 7：化验类型 8：文字标签 10：分类，例如：既往史的疾病，前端不用 11：推送类型，例如：添加症状)',
  `control_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：待定 4：待定 5：数字键盘带单位 6：文本框 7：数字键盘文本框  11：下拉单选括号占位符，有无治疗 99：联合推送)',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '类型（1：症状 3：其他史 4：查体 5：化验）',
  `item_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '元素类型(0：主标签，例如主诉现病史-症状标签，1：次标签：主诉现病史-其他标签)\r\n',
  `sub_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '检索类型 (0：能检索，代表项目，1：不能检索，代表描述)',
  `label_prefix` varchar(100) NOT NULL DEFAULT '' COMMENT '前置内容',
  `label_suffix` varchar(100) NOT NULL DEFAULT '' COMMENT '后置内容',
  `min_value` decimal(20,6) DEFAULT NULL COMMENT '最小值',
  `max_value` decimal(20,6) DEFAULT NULL COMMENT '最大值',
  `text_generate` tinyint(4) NOT NULL DEFAULT '0' COMMENT '文本生成规则(0：点选顺序，例如初为 1：从上到下，从左到右，例如查体杂音 2：从左到右，从上到下，例如伴/无)',
  `copy_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否复制 (0：不复制，1：复制)',
  `show_add` varchar(100) NOT NULL DEFAULT '0' COMMENT '复制文本（0：不显示，其他：文字内容）',
  `show_info` tinyint(4) NOT NULL DEFAULT '0' COMMENT '显示 i (0：不显示， 1：显示)',
  `joint` varchar(100) NOT NULL DEFAULT '' COMMENT '标签后的连接符(例如：杂音下的 闻及|2/6之间的逗号，界面本身不显示)',
  `formula_code` varchar(255) NOT NULL DEFAULT '' COMMENT '公式编码',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag_name,type` (`tag_name`,`type`,`is_deleted`,`tag_type`,`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=42428 DEFAULT CHARSET=utf8 COMMENT='标签基础表';

-- ----------------------------
-- Records of icss_question_info
-- ----------------------------
INSERT INTO `icss_question_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳嗽', '咳嗽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '1', '', '', null);
INSERT INTO `icss_question_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '程度', '程度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳出通畅度', '咳出通畅度', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '发热', '发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '最高温度', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '最高温度', '℃', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高热', '高热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '2019-03-25 16:41:49', '0', '108', '主诉通用特征描述', '主诉通用特征描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加症状', '添加症状', '3', '0', '200', '11', '0', '1', '1', '1', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉-伴', '主诉-伴', '3', '0', '200', '1', '4', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '症状-推送', '症状-推送', '3', '0', '200', '1', '99', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间', '主诉时间', '3', '0', '200', '3', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉-添加主症状', '添加主症状', '3', '0', '200', '11', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-上中下', '主诉通用特征描述-上中下', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-前后', '主诉通用特征描述-前后', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉通用特征描述-左右', '主诉通用特征描述-左右', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '2019-03-28 14:27:25', '0', '97', '主诉通用特征描述-加重再发', '主诉通用特征描述-加重再发', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '2019-03-25 16:34:51', '0', '108', '主诉通用特征描述-特性', '主诉通用特征描述-特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间-输入框', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加其他症状', '添加其他症状', '3', '0', '200', '11', '0', '1', '1', '1', '', '', null, null, '2', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '添加其他症状-伴无', '添加其他症状-伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-未经诊疗', '有无治疗-未经诊疗', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-使用（）后好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '1', '使用', '后好转', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无治疗-使用（）后未见明显好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '1', '使用', '后未见明显好转', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血压', '血压', '3', '0', '200', '3', '0', '4', '0', '0', '', '', null, null, '0', '0', '1', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '2019-03-28 15:27:49', '0', '108', '部位', '(部位)', '3', '0', '200', '1', '1', '4', '1', '1', '', '血压', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '收缩压', '(收缩压)', '3', '0', '200', '1', '7', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '舒张压', '(舒张压)', '3', '0', '200', '1', '7', '4', '1', '1', '/', 'mmHg', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '精神状态', '精神状态', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '2019-04-04 16:05:02', '0', '108', '杂音-部位', '杂音-部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '2019-04-04 15:56:24', '0', '108', '杂音-性质', '杂音-性质', '3', '0', '200', '1', '1', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-级别', '杂音-级别', '3', '0', '200', '1', '1', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-期别类型', '杂音-期别类型', '3', '0', '200', '1', '1', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-样类型', '杂音-样类型', '3', '0', '200', '1', '1', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '杂音-正常', '杂音-正常', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '2019-05-09 10:49:16', '0', '108', '体温', '(填写)', '3', '0', '200', '1', '7', '4', '0', '0', '体温', '℃', '20.000000', '45.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史', '既往史', '3', '0', '200', '6', '0', '3', '0', '1', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压', '高血压', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压-时间', '(填写)', '3', '0', '200', '1', '7', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压-时间单位', '高血压-时间单位', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-治疗情况', '治疗情况', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-病情控制', '病情控制', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史无殊', '既往史无殊', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-无', '既往史-无', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史', '过敏史', '3', '0', '200', '2', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史-过敏史无殊', '过敏史-过敏史无殊', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '过敏史-选项', '过敏史-选项', '3', '0', '200', '1', '2', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '主诉时间-单位', '单位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '2019-03-27 17:06:46', '0', '108', '诱因', '诱因', '3', '0', '200', '1', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '2019-04-10 10:48:23', '0', '108', '意识情况', '意识情况', '3', '0', '200', '1', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '食欲', '食欲', '3', '0', '200', '1', '1', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '睡眠', '睡眠', '3', '0', '200', '1', '1', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '二便情况', '二便情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '体重情况', '体重情况', '3', '0', '200', '1', '1', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '上诉', '上诉', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-疾病选项', '既往史-疾病选项', '3', '0', '200', '10', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咽喉痛', '咽喉痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有高血压病史', '有高血压病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '个人史', '个人史', '3', '0', '200', '2', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '个人史无殊', '个人史无殊', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '无烟酒嗜好', '无烟酒嗜好', '3', '0', '200', '1', '2', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有烟酒习惯', '有烟酒习惯', '3', '0', '200', '1', '2', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('79', 'N', '1970-01-01 12:00:00', '2019-05-10 14:22:23', '0', '108', '月经史', '月经史', '2', '0', '200', '6', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('80', 'N', '1970-01-01 12:00:00', '2019-05-10 14:25:34', '0', '108', '月经史详版', '月经史详版', '2', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '2019-05-10 14:25:59', '0', '108', '月经史无殊', '月经史无殊', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '初潮年龄', '(时间)', '2', '0', '200', '1', '5', '3', '0', '1', '月经史：初潮年龄', '', null, null, '0', '0', '0', '0', '', 'yjs_1', null);
INSERT INTO `icss_question_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '行经天数', '(时间)', '2', '0', '200', '1', '5', '3', '0', '1', '行经天数', '', null, null, '0', '0', '0', '0', '', 'yjs_2', null);
INSERT INTO `icss_question_info` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '周期', '(时间)', '2', '0', '200', '1', '5', '3', '0', '1', '周期', '', null, null, '0', '0', '0', '0', '', 'yjs_3', null);
INSERT INTO `icss_question_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '2019-04-19 15:37:03', '0', '108', '末次月经时间', '(时间)', '2', '0', '200', '1', '5', '3', '0', '1', '末次月经时间', '', null, null, '0', '0', '0', '0', '', 'yjs_4', null);
INSERT INTO `icss_question_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经是否规律', '月经是否规律', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '经量', '经量', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '痛经', '痛经', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '白带量', '白带量', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有无异味', '有无异味', '2', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '月经史填写（总）', '月经史填写（总）', '2', '0', '200', '10', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰', '咳痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰性状', '咳痰性状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '初为后为', '初为后为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰颜色', '咳痰颜色', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳痰性质', '咳痰性质', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '痰量', '痰量', '3', '0', '200', '5', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '，', '，', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '于（###）医院治疗，经（###）后未见明显好转', '于（###）医院治疗，经（###）后未见明显好转', '3', '0', '200', '3', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '于（###）医院治疗', '(填写)', '3', '0', '200', '1', '6', '1', '1', '1', '于', '医院治疗，', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '经（###）后未见明显好转', '(填写)', '3', '0', '200', '1', '6', '1', '1', '1', '经', '后未见明显好转', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患者', '患者', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '前', '前', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '出现', '出现', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '遂来就诊', '遂来就诊', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '自病以来', '自病以来', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '。', '。', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '，前', '，前', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '咳嗽类型', '咳嗽类型', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '高血压家族史', '高血压家族史', '3', '0', '200', '3', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('195', 'N', '1970-01-01 12:00:00', '2019-04-02 15:48:09', '0', '108', '头痛', '头痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏寒', '畏寒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕', '头晕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力', '乏力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身酸痛', '全身酸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促', '气促', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷', '胸闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('202', 'N', '1970-01-01 12:00:00', '2019-05-09 15:08:01', '0', '108', '胸痛', '胸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞', '鼻塞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间单位', '时间单位', '3', '0', '200', '1', '5', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有无治疗2', '有无治疗2', '3', '0', '200', '6', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有无治疗2-下拉内容', '有无治疗2-下拉内容', '3', '0', '200', '10', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '于(###)医院就诊，经(###)后未见明显好转', '使用填写后好转', '3', '0', '200', '3', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '于(###)医院就诊，', '(填写)', '3', '0', '200', '1', '6', '3', '0', '1', '于', '医院就诊，', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经(###)后未见明显好转', '(填写)', '3', '0', '200', '1', '6', '3', '0', '1', '经', '后未见明显好转', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '既往史病史（时间）', '时间单位', '3', '0', '200', '1', '5', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病', '糖尿病', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有糖尿病史', '有糖尿病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('225', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '0', '0', '，', '，', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽性质', '咳嗽性质', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽性质-为呈', '咳嗽性质-为呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽性质-性质', '咳嗽性质-性质', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽性质-咳类型', '咳嗽性质-咳类型', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量少', '痰量少', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量中等', '痰量中等', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量多', '痰量多', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量多，一次可达（##）ml', '（填写）', '3', '0', '200', '1', '7', '1', '1', '1', '痰量多，一次可达', 'ml', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '一次可咳出大量（##）痰', '（填写）', '3', '0', '200', '1', '7', '1', '1', '1', '一次可咳出大量', '痰', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳出通畅度-痰液粘稠', '咳出通畅度-痰液粘稠', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳出通畅度-不易咳出', '咳出通畅度-不易咳出', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('241', 'N', '1970-01-01 12:00:00', '2019-03-25 19:12:58', '0', '108', '胸痛部位或特征', '胸痛部位或特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('242', 'N', '1970-01-01 12:00:00', '2019-03-25 19:10:00', '0', '108', '胸痛部位或特征-胸痛部位', '胸痛部位或特征-胸痛部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛部位或特征-特征1', '胸痛部位或特征-特征1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('246', 'N', '1970-01-01 12:00:00', '2019-03-28 14:32:36', '0', '108', '胸痛部位或特征-特征2', '胸痛部位或特征-特征2', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疼痛程度', '疼痛程度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('248', 'N', '1970-01-01 12:00:00', '2019-04-03 11:42:13', '0', '108', '胸痛-缓解方式', '缓解方式', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-缓解方式-缓解', '胸痛-缓解方式-缓解', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('250', 'N', '1970-01-01 12:00:00', '2019-04-26 09:54:19', '0', '108', '放射部位', '放射部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛-缓解方式-加重', '胸痛-缓解方式-加重', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度特点', '程度特点', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度特点-性质', '程度特点-性质', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度特点-热度', '程度特点-热度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹痛-部位或特征-方位', '腹痛-部位或特征-方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹痛-部位或特征-部位', '腹痛-部位或特征-部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('261', 'N', '1970-01-01 12:00:00', '2019-04-10 16:32:23', '0', '108', '腹痛-部位或特征-性质', '腹痛-部位或特征-性质', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('262', 'N', '1970-01-01 12:00:00', '2019-04-11 10:38:10', '0', '108', '腹痛-部位或特征-痛', '腹痛-部位或特征-痛', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('264', 'N', '1970-01-01 12:00:00', '2019-04-11 10:29:50', '0', '108', '腹痛-部位或特征', '部位或特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('265', 'N', '1970-01-01 12:00:00', '2019-04-04 10:45:25', '0', '108', '腹痛', '腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹痛-疼痛程度', '疼痛程度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('267', 'N', '1970-01-01 12:00:00', '2019-04-15 11:11:44', '0', '108', '腹痛-放射部位', '放射部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('269', 'N', '1970-01-01 12:00:00', '2019-04-11 09:47:55', '0', '108', '腹痛-缓解方式', '缓解方式', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('271', 'N', '1970-01-01 12:00:00', '2019-04-03 10:03:55', '0', '108', '呕吐-呕吐时间性质-时间', '呕吐-呕吐时间性质-时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('272', 'N', '1970-01-01 12:00:00', '2019-04-03 10:07:08', '0', '108', '呕吐-呕吐时间性质-性质', '呕吐-呕吐时间性质-性质', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕吐-呕吐时间性质-连接词', '呕吐-呕吐时间性质-连接词', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('275', 'N', '1970-01-01 12:00:00', '2019-04-03 10:07:31', '0', '108', '呕吐-呕吐时间性质-气味', '呕吐-呕吐时间性质-气味', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕吐-呕吐时间性质', '呕吐时间性质', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('277', 'N', '1970-01-01 12:00:00', '2019-04-03 10:09:00', '0', '108', '呕吐', '呕吐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脉搏', '(填写)', '3', '0', '200', '1', '7', '4', '0', '0', '脉搏', '次/分', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸', '(填写)', '3', '0', '200', '1', '7', '4', '0', '0', '呼吸', '次/分', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜无充血', '结膜无充血', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜无充血-充血', '结膜无充血-充血', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜无充血-水肿', '结膜无充血-水肿', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜无充血-苍白', '结膜无充血-苍白', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜无充血-滤泡', '结膜无充血-滤泡', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扁桃体无肿大', '扁桃体无肿大', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('293', 'N', '1970-01-01 12:00:00', '2019-05-09 13:27:34', '0', '108', '扁桃体无肿大-程度', '扁桃体无肿大-程度', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扁桃体无肿大-充血', '扁桃体无肿大-充血', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扁桃体无肿大-分泌物', '扁桃体无肿大-分泌物', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扁桃体无肿大-其他', '扁桃体无肿大-其他', '3', '0', '200', '1', '2', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扁桃体无肿大-正常', '扁桃体无肿大-正常', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('376', 'N', '1970-01-01 12:00:00', '2019-05-09 09:47:10', '0', '108', '瞳孔111', '瞳孔查体', '3', '0', '200', '3', '0', '4', '0', '0', '', '', null, null, '0', '0', '1', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('380', 'N', '1970-01-01 12:00:00', '2019-05-09 10:58:58', '0', '108', '瞳孔-方位', '瞳孔检查', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瞳孔', '瞳孔', '3', '0', '200', '8', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瞳孔-形态', '等大等圆', '3', '0', '200', '1', '1', '4', '1', '0', '', '，', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瞳孔-直径', '(填写)', '3', '0', '200', '1', '7', '4', '1', '0', '直径约', 'mm，', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瞳孔-反应', '光反射灵敏', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('389', 'N', '2019-01-07 10:21:09', '2019-01-07 10:21:09', '0', '0', '，', '，', '3', '0', '200', '8', '0', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈静脉无怒张，肝颈静脉回流征阴性', '颈静脉无怒张，肝颈静脉回流征阴性', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈静脉无怒张，肝颈静脉回流征阴性-正常', '颈静脉无怒张，肝颈静脉回流征阴性-正常', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈静脉无怒张，肝颈静脉回流征阴性-程度', '颈静脉无怒张，肝颈静脉回流征阴性-程度', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈静脉无怒张，肝颈静脉回流征阴性-回流征', '颈静脉无怒张，肝颈静脉回流征阴性-回流征', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈静脉无怒张，肝颈静脉回流征阴性-搏动', '颈静脉无怒张，肝颈静脉回流征阴性-搏动', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二便情况-大便', '二便情况-大便', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('401', 'N', '1970-01-01 12:00:00', '2019-03-25 19:22:48', '0', '108', '二便情况-小便', '二便情况-小便', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('402', 'N', '1970-01-01 12:00:00', '2019-04-03 10:31:25', '0', '108', '有无治疗1', '有无治疗', '3', '0', '200', '1', '11', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量', '痰量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冠心病', '冠心病', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑梗死', '脑梗死', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑出血', '脑出血', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化性溃疡', '消化性溃疡', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '慢性胃炎', '慢性胃炎', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心肌梗死', '心肌梗死', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高脂血症', '高脂血症', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛风', '痛风', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨折', '骨折', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('416', 'N', '1970-01-01 12:00:00', '2019-05-09 09:44:52', '0', '108', '结膜无充血-眼睑', '眼睑查体', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有冠心病病史', '有冠心病病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有脑梗死病史', '有脑梗死病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有脑出血病史', '有脑出血病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有消化性溃疡病史', '有消化性溃疡病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有慢性胃炎病史', '有慢性胃炎病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有心肌梗死病史', '有心肌梗死病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有高脂血症病史', '有高脂血症病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有痛风病史', '有痛风病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有骨折病史', '有骨折病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('428', 'N', '1970-01-01 12:00:00', '2019-05-08 17:38:41', '0', '108', '发育正常', '发育情况', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('429', 'N', '1970-01-01 12:00:00', '2019-05-08 17:39:15', '0', '108', '营养中等', '营养情况', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('430', 'N', '1970-01-01 12:00:00', '2019-05-08 15:11:59', '0', '108', '神志清', '精神状态', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自主体位', '自主体位', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('432', 'N', '1970-01-01 12:00:00', '2019-05-27 19:09:54', '0', '108', '面容正常', '面容正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '表情安静', '表情安静', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '查体合作', '查体合作', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('435', 'N', '1970-01-01 12:00:00', '2019-06-12 14:42:02', '0', '108', '皮肤粘膜情况', '皮肤粘膜情况', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('436', 'N', '1970-01-01 12:00:00', '2019-05-10 16:22:03', '0', '108', '淋巴结检查', '淋巴结检查', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('437', 'N', '1970-01-01 12:00:00', '2019-05-09 17:19:38', '0', '108', '头颅查体', '头颅查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('438', 'N', '1970-01-01 12:00:00', '2019-05-09 09:45:11', '0', '108', '巩膜无黄染', '巩膜查体', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角膜透明', '角膜透明', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('440', 'N', '1970-01-01 12:00:00', '2019-05-10 17:37:47', '0', '108', '耳部查体', '耳部查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('441', 'N', '1970-01-01 12:00:00', '2019-05-10 16:52:09', '0', '108', '鼻部查体', '鼻部查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('442', 'N', '1970-01-01 12:00:00', '2019-05-09 09:48:11', '0', '108', '口唇无发绀111', '口唇视诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('443', 'N', '1970-01-01 12:00:00', '2019-05-09 13:39:28', '0', '108', '颈软', '颈部查体', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('444', 'N', '1970-01-01 12:00:00', '2019-05-09 13:39:54', '0', '108', '气管居中', '气管居中', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('445', 'N', '1970-01-01 12:00:00', '2019-05-28 11:27:29', '0', '108', '甲状腺查体', '甲状腺查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('446', 'N', '1970-01-01 12:00:00', '2019-05-09 17:14:37', '0', '108', '胸部视诊', '胸部视诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('447', 'N', '1970-01-01 12:00:00', '2019-05-09 16:57:58', '0', '108', '肺部视诊', '肺部视诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '未触及胸膜摩擦感', '未触及胸膜摩擦感', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('449', 'N', '1970-01-01 12:00:00', '2019-05-09 17:42:24', '0', '108', '肺部叩诊', '肺部叩诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('450', 'N', '1970-01-01 12:00:00', '2019-05-09 17:24:36', '0', '108', '肺部听诊', '肺部听诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('451', 'N', '1970-01-01 12:00:00', '2019-05-09 16:48:15', '0', '108', '心脏视诊', '心脏视诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心界无扩大', '心界无扩大', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心率（##）次/分，律齐', '心率（##）次/分，律齐', '3', '0', '200', '3', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('454', 'N', '1970-01-01 12:00:00', '2019-05-09 17:23:33', '0', '108', '心脏听诊-杂音', '心脏听诊-杂音', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '1', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('455', 'N', '1970-01-01 12:00:00', '2019-04-08 09:55:00', '0', '108', '腹部平坦', '腹部平坦', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('456', 'N', '1970-01-01 12:00:00', '2019-05-09 16:49:58', '0', '108', '腹部触诊', '腹部触诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('457', 'N', '1970-01-01 12:00:00', '2019-05-10 14:13:00', '0', '108', '肝胆脾查体', '肝胆脾查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '1', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('458', 'N', '1970-01-01 12:00:00', '2019-05-09 16:58:49', '0', '108', '肾脏查体', '肾脏查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('460', 'N', '1970-01-01 12:00:00', '2019-05-28 11:31:57', '0', '108', '腹部听诊', '腹部听诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('461', 'N', '1970-01-01 12:00:00', '2019-05-09 09:59:00', '0', '108', '肛门及外生殖器未查', '肛门外生殖器查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('462', 'N', '1970-01-01 12:00:00', '2019-05-28 11:33:37', '0', '108', '脊柱查体', '脊柱查体', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('463', 'N', '1970-01-01 12:00:00', '2019-05-09 10:05:14', '0', '108', '四肢视触诊', '四肢视触诊', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双下肢无水肿', '双下肢无水肿', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('465', 'N', '1970-01-01 12:00:00', '2019-05-09 17:38:04', '0', '108', '肌力肌张力检查', '肌力肌张力检查', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('466', 'N', '1970-01-01 12:00:00', '2019-06-12 15:29:41', '0', '108', '神经反射检查', '神经反射检查', '3', '0', '200', '2', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('467', 'N', '1970-01-01 12:00:00', '2019-04-04 14:40:03', '0', '108', '腹泻', '腹泻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('468', 'N', '1970-01-01 12:00:00', '2019-04-01 18:02:23', '0', '108', '腹胀', '腹胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('469', 'N', '1970-01-01 12:00:00', '2019-04-03 17:20:46', '0', '108', '嗳气', '嗳气', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('470', 'N', '1970-01-01 12:00:00', '2019-04-03 17:20:36', '0', '108', '反酸', '反酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('471', 'N', '1970-01-01 12:00:00', '2019-04-01 17:33:51', '0', '108', '便血', '便血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('472', 'N', '1970-01-01 12:00:00', '2019-04-03 09:40:24', '0', '108', '腹泻-腹泻大便性状', '腹泻大便性状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('474', 'N', '1970-01-01 12:00:00', '2019-04-03 09:38:43', '0', '108', '腹泻-腹泻大便性状-性状', '腹泻-腹泻大便性状-性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹泻-腹泻量', '腹泻量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹胀-部位', '部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呈以为', '呈以为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹胀-部位-为主', '腹胀-部位-为主', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹胀-部位-部位列表', '腹胀-部位-部位列表', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反酸嗳气-第二列', '反酸-第一列', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反酸嗳气-第三列', '反酸-第二列', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反酸-描述', '特征描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('483', 'N', '1970-01-01 12:00:00', '2019-04-12 13:33:38', '0', '108', '便血-性状', '性状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('484', 'N', '1970-01-01 12:00:00', '2019-04-12 11:43:10', '0', '108', '便血-性状-具体项', '便血-性状-具体项', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('485', 'N', '1970-01-01 12:00:00', '2019-04-01 17:23:40', '0', '108', '便血-性状-大便', '便血-性状-大便', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗳气-体征描述', '体征描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '一天次', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '一天', '次', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '每次ml', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每次', 'ml', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇无发绀-有无发绀', '口唇无发绀-有无发绀', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇无发绀-有无疱疹', '口唇无发绀-有无疱疹', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇无发绀-有无皲裂', '口唇无发绀-有无皲裂', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇无发绀-有无溃疡', '口唇无发绀-有无溃疡', '3', '0', '200', '1', '1', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心率-心率', '(填写)', '3', '0', '200', '1', '7', '4', '1', '0', '心率', '次/分，', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('496', 'N', '1970-01-01 12:00:00', '2019-04-04 11:00:19', '0', '108', '心率-律齐', '律齐', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '，', '，', '2', '0', '200', '8', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全腹软，无压痛、反跳痛及肌紧张-正常', '全腹软，无压痛、反跳痛及肌紧张-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('499', 'N', '1970-01-01 12:00:00', '2019-04-04 11:33:14', '0', '108', '全腹软，无压痛、反跳痛及肌紧张-部位', '全腹软，无压痛、反跳痛及肌紧张-部位', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全腹软，无压痛、反跳痛及肌紧张-有无压痛', '全腹软，无压痛、反跳痛及肌紧张-有无压痛', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('501', 'N', '1970-01-01 12:00:00', '2019-04-08 09:55:26', '0', '108', '全腹软，无压痛、反跳痛及肌紧张-有无反跳痛', '全腹软，无压痛、反跳痛及肌紧张-有无反跳痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全腹软，无压痛、反跳痛及肌紧张-有无肌紧张', '全腹软，无压痛、反跳痛及肌紧张-有无肌紧张', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脾肋下未及-正常', '肝脾肋下未及-正常', '3', '0', '200', '1', '2', '4', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('504', 'N', '1970-01-01 12:00:00', '2019-05-10 14:12:18', '0', '108', '肝脾肋下未及-肋下', '肝脾肋下未及-肋下', '3', '0', '200', '1', '2', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝脾肋下未及-质地/表面/压痛', '肝脾肋下未及-质地/表面/压痛', '3', '0', '200', '1', '2', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('506', 'N', '1970-01-01 12:00:00', '2019-04-09 10:04:27', '0', '108', '肝脾肋下未及-Murphy征/肝区叩痛', '肝脾肋下未及-Murphy征/肝区叩痛', '3', '0', '200', '1', '2', '4', '1', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠鸣音正常-正常', '肠鸣音正常-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠鸣音正常-输入', '肠鸣音正常-输入', '3', '0', '200', '1', '7', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('517', 'N', '1970-01-01 12:00:00', '2019-06-12 14:47:26', '0', '108', '肠鸣音正常-性质', '肠鸣音正常-性质', '3', '0', '200', '1', '1', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血压', '血压', '3', '0', '200', '8', '0', '4', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24031', 'N', '1970-01-01 12:00:00', '2019-05-09 13:24:05', '0', '108', '咽无充血', '咽无充血', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '出生地', '出生地', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '疫区居留', '疫区居留', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '职业', '职业', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毒物接触史', '毒物接触史', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '冶游史', '冶游史', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经时间', '月经时间', '3', '0', '200', '3', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗传病', '遗传病', '3', '0', '200', '6', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼之不应', '呼之不应', '3', '0', '200', '4', '0', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼之能应', '呼之能应', '3', '0', '200', '4', '0', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷', '昏迷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏睡', '昏睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神错乱', '精神错乱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神恍惚', '精神恍惚', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '浅昏迷', '浅昏迷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志不清', '神志不清', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志错乱', '神志错乱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗜睡', '嗜睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识不清', '意识不清', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识淡漠', '意识淡漠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识丧失', '意识丧失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识紊乱', '意识紊乱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识障碍', '意识障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '谵妄', '谵妄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠过度', '睡眠过度', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '思睡', '思睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贪睡', '贪睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喜睡', '喜睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白天思睡', '白天思睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多梦', '多梦', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多醒', '多醒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '噩梦', '噩梦', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '绝经失眠', '绝经失眠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快速动眼睡眠行为障碍', '快速动眼睡眠行为障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梦魇', '梦魇', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梦呓', '梦呓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梦游', '梦游', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失眠', '失眠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡不实', '睡不实', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠差', '睡眠差', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠时间减少', '睡眠时间减少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠瘫痪症', '睡眠瘫痪症', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠异常', '睡眠异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠障碍', '睡眠障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '续睡困难', '续睡困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜寐欠佳', '夜寐欠佳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜睡不安', '夜睡不安', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易惊醒', '易惊醒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易醒', '易醒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早醒', '早醒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠行为异常', '睡眠行为异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异相睡眠', '异相睡眠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻触', '幻触', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻觉', '幻觉', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻视', '幻视', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻听', '幻听', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻味', '幻味', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻嗅', '幻嗅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内脏幻觉', '内脏幻觉', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗳腐', '嗳腐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带豆腐渣状', '白带豆腐渣状', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带过多', '白带过多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带褐色', '白带褐色', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带异常', '白带异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓性白带', '脓性白带', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血性白带', '血性白带', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带臭', '白带臭', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带异味', '白带异味', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '摆痛', '摆痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白斑', '白斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斑疮', '斑疮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斑块', '斑块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红斑', '红斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫斑', '紫斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斑疹', '斑疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '包块', '包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '包块痛', '包块痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛', '背痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻出血', '鼻出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '涕中带血', '涕中带血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻裂', '鼻裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻腔不适', '鼻腔不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻腔干燥', '鼻腔干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻腔异物', '鼻腔异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻痛', '鼻痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻外伤', '鼻外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻痒', '鼻痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻肿', '鼻肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喷嚏', '喷嚏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右鼻痛', '右鼻痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻溢液', '鼻溢液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流脓涕', '流脓涕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流清涕', '流清涕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕', '流涕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '长期流涕', '长期流涕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻翼煽动', '鼻翼煽动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '闭眼运动', '闭眼运动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '表情痴呆', '表情痴呆', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '表情呆板', '表情呆板', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '表情呆滞', '表情呆滞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '濒死感', '濒死感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '跛行', '跛行', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不畅', '不畅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不适感', '不适感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不自主运动', '不自主运动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脚抖动', '脚抖动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身抽搐', '全身抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '身体抽动', '身体抽动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手抖动', '手抖动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚不灵活', '手脚不灵活', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手震颤', '手震颤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '擦伤', '擦伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '产后恶露不尽', '产后恶露不尽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹鸣', '腹鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '潮热', '潮热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '车祸伤', '车祸伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沉重感', '沉重感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晨僵', '晨僵', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耻骨痛', '耻骨痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24174', 'N', '1970-01-01 12:00:00', '2019-04-02 09:40:18', '0', '108', '抽搐', '抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '潮热出汗', '潮热出汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出汗', '出汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出汗异常', '出汗异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大汗淋漓', '大汗淋漓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '盗汗', '盗汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗', '多汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发汗', '发汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发冷', '发冷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冷汗', '冷汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少汗', '少汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少津', '少津', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少津液', '少津液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无汗', '无汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无明显出汗', '无明显出汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '虚汗', '虚汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '虚脱', '虚脱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血', '出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血反复不止', '出血反复不止', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大出血', '大出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '接触性出血', '接触性出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '杵状指', '杵状指', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇红', '唇红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇溃疡', '唇溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇疱疹', '唇疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇肿痛', '唇肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '刺痛', '刺痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '猝倒', '猝倒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '窜动', '窜动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '窜麻', '窜麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打哈欠', '打哈欠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打鼾', '打鼾', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便变细', '大便变细', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便形状异常', '大便形状异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '柏油样便', '柏油样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便中带血', '便中带血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便带血', '大便带血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便发黑', '大便发黑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便黑', '大便黑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便拉血', '大便拉血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便色黑', '大便色黑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便色黑如柏油', '大便色黑如柏油', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便血性', '大便血性', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便颜色异常', '大便颜色异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便有血丝', '大便有血丝', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蛋花汤样便', '蛋花汤样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '果酱样便', '果酱样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便', '黑便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑色大便', '黑色大便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄便', '黄便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '假膜便', '假膜便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '解黑便', '解黑便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咖啡样便', '咖啡样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '米泔样便', '米泔样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓血便', '脓血便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '陶土样便', '陶土样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗肉水样便', '洗肉水样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鲜红色血便', '鲜红色血便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鲜血样便', '鲜血样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '棕褐色便', '棕褐色便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便后肛门滴血', '便后肛门滴血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便秘', '便秘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便溏', '便溏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便不成形', '大便不成形', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便次数减少', '大便次数减少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便干燥', '大便干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便失禁', '大便失禁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便疼痛', '大便疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便习惯改变', '大便习惯改变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便异常', '大便异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粪便如羊粪状', '粪便如羊粪状', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑色糊状便', '黑色糊状便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糊状粘液便', '糊状粘液便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄色水样便', '黄色水样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便次数减少', '排便次数减少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便次数增多', '排便次数增多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便后肛门出血', '排便后肛门出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便后肛门滴血', '排便后肛门滴血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便困难', '排便困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便异常', '排便异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数天大便一次', '数天大便一次', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数天未大便', '数天未大便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水样便', '水样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '羊屎粒样便', '羊屎粒样便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粘液便', '粘液便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脂肪泻', '脂肪泻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便正常', '大便正常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大量脓性分泌物', '大量脓性分泌物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大腿外伤', '大腿外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大象腿', '大象腿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大小便失禁', '大小便失禁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大小便习惯改变', '大小便习惯改变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '倒刺', '倒刺', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '倒睫', '倒睫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耵聍栓塞', '耵聍栓塞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冻指', '冻指', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毒疮', '毒疮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '钝痛', '钝痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多泪', '多泪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多疑', '多疑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮', '多饮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鹅口疮', '鹅口疮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呃逆', '呃逆', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶病质', '恶病质', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶风', '恶风', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晨起恶心', '晨起恶心', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心', '恶心', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心想吐', '恶心想吐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道痛', '耳道痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道肿胀', '耳道肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓水肿', '耳廓水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内痛', '耳内痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳痛', '耳痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳肿块', '耳肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳肿胀', '耳肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内耳肿块', '内耳肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右耳闷', '右耳闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右耳鸣', '右耳鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左耳闷', '左耳闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左耳鸣', '左耳鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳出血', '耳出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道流血', '耳道流血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道流脓', '耳道流脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道流液', '耳道流液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道溢脓', '耳道溢脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳朵流脓', '耳朵流脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳溢脓', '耳溢脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳痒', '耳痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道异物感', '耳道异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内异物感', '耳内异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳异物感', '耳异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二便正常', '二便正常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀', '发绀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发麻', '发麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '波状热', '波状热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弛张热', '弛张热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '持续性发热', '持续性发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '低热', '低热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '地中海弛张热', '地中海弛张热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '额头发烫', '额头发烫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '忽冷忽热', '忽冷忽热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '忽热', '忽热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '稽留热', '稽留热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '间歇热', '间歇热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '两手两足心发热', '两手两足心发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '马尔他热', '马尔他热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏寒发热', '畏寒发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏热', '畏热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阵发性发热', '阵发性发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '周期性发热', '周期性发热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发育不良', '发育不良', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烦热', '烦热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烦躁', '烦躁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反跳痛', '反跳痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '放射痛', '放射痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '飞蚊症', '飞蚊症', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥胖', '肥胖', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '见红', '见红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '绝经后阴道出血', '绝经后阴道出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停经', '停经', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛经', '痛经', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴白斑', '外阴白斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴包块', '外阴包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴发红', '外阴发红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴溃疡', '外阴溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴皮疹', '外阴皮疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴瘙痒', '外阴瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴水肿', '外阴水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴痛', '外阴痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴肿胀', '外阴肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴灼热感', '外阴灼热感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无月经初潮', '无月经初潮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道不规则流血', '阴道不规则流血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道出血', '阴道出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道恶露', '阴道恶露', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道恶露未净', '阴道恶露未净', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道干涩', '阴道干涩', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道流血淋漓不尽', '阴道流血淋漓不尽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道流液', '阴道流液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道瘙痒', '阴道瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道少量流血', '阴道少量流血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道少许流血', '阴道少许流血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道痛', '阴道痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块', '腹部包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠道痛', '肠道痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠绞痛', '肠绞痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠痉挛', '肠痉挛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠痛', '肠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肠子痛', '肠子痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部不适', '腹部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '盘肠气痛', '盘肠气痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全腹胀', '全腹胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹饱胀', '上腹饱胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹部不适', '上腹部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹堵塞', '上腹堵塞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹闷胀', '上腹闷胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹胀', '上腹胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脘腹满闷不舒', '脘腹满闷不舒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下腹坠胀感', '下腹坠胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胀气', '胀气', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟包块', '腹股沟包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟痛', '腹股沟痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟异物', '腹股沟异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部坠痛', '腹部坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹钝痛', '腹钝痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹隐痛', '腹隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹胀痛', '腹胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹坠痛', '腹坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝区痛', '肝区痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝区隐痛', '肝区隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '空腹痛', '空腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性下体坠痛', '女性下体坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脐周痛', '脐周痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脐周隐痛', '脐周隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全腹痛', '全腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹痛', '上腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上腹胀痛', '上腹胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃痛', '胃痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃胀', '胃胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃灼热', '胃灼热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下腹痛', '下腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下腹坠痛', '下腹坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间腹痛', '夜间腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右肋弓下疼痛', '右肋弓下疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右上腹痛', '右上腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右上腹隐痛', '右上腹隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右下腹痛', '右下腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中上腹痛', '中上腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '中下腹痛', '中下腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '转移性右下腹疼痛', '转移性右下腹疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坠痛', '坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坠胀感', '坠胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左上腹痛', '左上腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左下腹痛', '左下腹痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹水', '腹水', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹围增大', '腹围增大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晨泻', '晨泻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五更泄泻', '五更泄泻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '触觉异常', '触觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '感觉异常', '感觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '感觉障碍', '感觉障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痛觉异常', '痛觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '温觉异常', '温觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干呕', '干呕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干涩', '干涩', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干涩感', '干涩感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门肿物脱出', '肛门肿物脱出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门出血', '肛门出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24422', 'N', '1970-01-01 12:00:00', '2019-03-27 17:47:11', '0', '108', '肛门疼痛', '肛门疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门脱出', '肛门脱出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门肿痛', '肛门肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门肿胀', '肛门肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门坠胀感', '肛门坠胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门坠胀痛', '肛门坠胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛旁肿块', '肛旁肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周潮湿', '肛周潮湿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周排便', '肛周排便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周排气', '肛周排气', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周瘙痒', '肛周瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾丸痛', '睾丸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾丸肿大', '睾丸肿大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24435', 'N', '1970-01-01 12:00:00', '2019-04-03 10:44:13', '0', '108', '咯血', '咯血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '步态摇晃', '步态摇晃', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颤抖步态', '颤抖步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '动作不灵活', '动作不灵活', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '共济失调', '共济失调', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '共济失调步态', '共济失调步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '帕金森步态', '帕金森步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蹒跚步态', '蹒跚步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小脑共济失调步态', '小脑共济失调步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '摇晃步态', '摇晃步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '站立不稳', '站立不稳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '震颤步态', '震颤步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨擦感', '骨擦感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24448', 'N', '1970-01-01 12:00:00', '2019-03-28 11:18:01', '0', '108', '骨痛', '骨痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨折', '骨折', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨质疏松', '骨质疏松', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '驼背', '驼背', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节不利', '关节不利', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节挫伤', '关节挫伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节弹响', '关节弹响', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节浮肿', '关节浮肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动时弹响', '关节活动时弹响', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活动时弹响', '活动时弹响', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活动时膝关节交锁感', '活动时膝关节交锁感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '久站后屈膝困难', '久站后屈膝困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '久坐后伸膝困难', '久坐后伸膝困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '屈膝困难', '屈膝困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伸膝困难', '伸膝困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '膝关节交锁感', '膝关节交锁感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动度变小', '关节活动度变小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动度变窄', '关节活动度变窄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动度减小', '关节活动度减小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动度下降', '关节活动度下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动度小', '关节活动度小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动范围变小', '关节活动范围变小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动范围变窄', '关节活动范围变窄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动范围减小', '关节活动范围减小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动障碍', '关节活动障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节畸形', '关节畸形', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节僵硬', '关节僵硬', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24475', 'N', '1970-01-01 12:00:00', '2019-03-28 10:29:24', '0', '108', '关节扭伤', '关节扭伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节强直', '关节强直', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节水肿', '关节水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节肿胀', '关节肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节酸痛', '关节酸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24480', 'N', '1970-01-01 12:00:00', '2019-03-27 09:40:21', '0', '108', '关节疼痛', '关节疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节肿痛', '关节肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '膝关节疼痛', '膝关节疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肘部胀', '肘部胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肘关节疼痛', '肘关节疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '光过敏', '光过敏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头红肿', '龟头红肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头皮疹', '龟头皮疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头破损', '龟头破损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '寒战', '寒战', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑眼圈', '黑眼圈', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉部不适', '喉部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉部梗阻感', '喉部梗阻感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉部异物感', '喉部异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉咙发紧', '喉咙发紧', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉鸣', '喉鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉痛', '喉痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉异物感', '喉异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '端坐呼吸', '端坐呼吸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼气困难', '呼气困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难', '呼吸困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸浅快', '呼吸浅快', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸深重', '呼吸深重', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气喘', '气喘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气短', '气短', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '深大呼吸', '深大呼吸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸气困难', '吸气困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间端坐呼吸', '夜间端坐呼吸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间多动', '夜间多动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间睡眠不能平躺', '夜间睡眠不能平躺', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间睡眠时不能平躺', '夜间睡眠时不能平躺', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间阵发性呼吸困难', '夜间阵发性呼吸困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张口呼吸', '张口呼吸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喘鸣', '喘鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸减弱', '呼吸减弱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸浅', '呼吸浅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸时快时慢', '呼吸时快时慢', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸衰竭', '呼吸衰竭', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸衰弱', '呼吸衰弱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸异常', '呼吸异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳喘', '咳喘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '哮喘', '哮喘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸骤停', '呼吸骤停', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠窒息', '睡眠窒息', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间呼吸暂停', '夜间呼吸暂停', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '踝疼痛', '踝疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '踝肿痛', '踝肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24527', 'N', '1970-01-01 12:00:00', '2019-04-02 17:38:49', '0', '108', '黄疸', '黄疸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄染', '黄染', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼黄尿黄', '眼黄尿黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴部瘙痒', '会阴部瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴部疼痛', '会阴部疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴处发红', '会阴处发红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴红', '会阴红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴瘙痒', '会阴瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '会阴痛', '会阴痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活动障碍', '活动障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌肉抽搐', '肌肉抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌肉痉挛', '肌肉痉挛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌肉酸痛', '肌肉酸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌肉疼痛', '肌肉疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌肉萎缩', '肌肉萎缩', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌卫', '肌卫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌无力', '肌无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸软', '酸软', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸痛', '酸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酸胀', '酸胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畸形', '畸形', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '挤压痛', '挤压痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆功能丧失', '记忆功能丧失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆力下降', '记忆力下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆丧失', '记忆丧失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健忘', '健忘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗忘', '遗忘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲改变', '甲改变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '假肢痛', '假肢痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尖锐痛', '尖锐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肩峰痛', '肩峰痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肩关节痛', '肩关节痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肩胛痛', '肩胛痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肩痛', '肩痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右肩痛', '右肩痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左肩痛', '左肩痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下不适', '剑突下不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下疼痛', '剑突下疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下隐痛', '剑突下隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下胀', '剑突下胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下胀痛', '剑突下胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '绞痛', '绞痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '悲观厌世', '悲观厌世', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冲动毁物', '冲动毁物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '定向力障碍', '定向力障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '对答切题', '对答切题', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反应迟钝', '反应迟钝', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '孤僻懒散', '孤僻懒散', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行为异常', '行为异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胡言乱语', '胡言乱语', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性焦虑发作', '急性焦虑发作', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性焦虑症', '急性焦虑症', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急燥', '急燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '讲话无逻辑', '讲话无逻辑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '焦虑', '焦虑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '焦躁', '焦躁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '惊恐', '惊恐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '惊吓', '惊吓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精力不足', '精力不足', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神差', '精神差', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神紧张', '精神紧张', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神紊乱', '精神紊乱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精神运动性不安', '精神运动性不安', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '逻辑混乱', '逻辑混乱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '闷闷不乐', '闷闷不乐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '内疚感', '内疚感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '情绪低落', '情绪低落', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '情绪改变', '情绪改变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '情绪激动', '情绪激动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伤人毁物', '伤人毁物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '社交障碍', '社交障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妄想', '妄想', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '萎靡不振', '萎靡不振', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '兴奋话多', '兴奋话多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '兴趣丧失', '兴趣丧失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性格改变', '性格改变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性格急躁易怒', '性格急躁易怒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '羞愧感', '羞愧感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '压抑感', '压抑感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间惊叫', '夜间惊叫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间恐惧', '夜间恐惧', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜惊', '夜惊', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抑郁', '抑郁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抑制状态', '抑制状态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易憋醒', '易憋醒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易激动', '易激动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '周期性嗜睡', '周期性嗜睡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '注意力差', '注意力差', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自卑', '自卑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自杀行为', '自杀行为', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自杀企图', '自杀企图', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自语自笑', '自语自笑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部包块', '颈部包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部不适', '颈部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部活动障碍', '颈部活动障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部僵硬感', '颈部僵硬感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部疼痛', '颈部疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部异物', '颈部异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部异物感', '颈部异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部肿胀', '颈部肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈项强直', '颈项强直', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部增粗', '颈部增粗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳', '干咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喝水呛咳', '喝水呛咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食呛咳', '进食呛咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呛咳', '呛咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '轻咳', '轻咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少痰', '少痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '湿咳', '湿咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰量甚少', '痰量甚少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰鸣', '痰鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰少', '痰少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无痰', '无痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饮水呛咳', '饮水呛咳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白色粘液痰', '白色粘液痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白痰', '白痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '稠痰', '稠痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粉红色泡沫痰', '粉红色泡沫痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咯白色粘液痰', '咯白色粘液痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄色粘液痰', '黄色粘液痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄痰', '黄痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '回吸血涕', '回吸血涕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳白色粘液痰', '咳白色粘液痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黏脓性痰', '黏脓性痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓痰', '脓痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泡沫痰', '泡沫痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰不易咳出', '痰不易咳出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰多', '痰多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰干不易咳出', '痰干不易咳出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粘稠痰', '粘稠痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粘痰', '粘痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '啃手指', '啃手指', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烦渴', '烦渴', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反复口渴', '反复口渴', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口渴', '口渴', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口渴喜饮', '口渴喜饮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '猖獗龋齿', '猖獗龋齿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口臭', '口臭', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇干裂', '口唇干裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇干燥', '口唇干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇畸形', '口唇畸形', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇麻木', '口唇麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干', '口干', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口角皲裂', '口角皲裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口角溃烂', '口角溃烂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口角裂痛', '口角裂痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口苦', '口苦', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔溃疡', '口腔溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔疱疹', '口腔疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔疼痛', '口腔疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔异味', '口腔异味', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔粘膜白斑', '口腔粘膜白斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口舌干燥', '口舌干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口舌生疮', '口舌生疮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口酸', '口酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涎', '流涎', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '磨牙', '磨牙', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泡沫唾液', '泡沫唾液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '兔唇', '兔唇', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唾液粘稠', '唾液粘稠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下颌痛', '下颌痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小儿流涎', '小儿流涎', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙缺损', '牙缺损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙痛', '牙痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血', '牙龈出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈疼痛', '牙龈疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈肿痛', '牙龈肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嘴角干裂', '嘴角干裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '叩击痛', '叩击痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胯肿', '胯肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脸部肿胀', '脸部肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脸肿胀', '脸肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '裂伤', '裂伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴结肿大', '淋巴结肿大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淋巴水肿', '淋巴水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛发异常', '毛发异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤多毛', '皮肤多毛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤少毛', '皮肤少毛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿不尽', '尿不尽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿臭', '尿臭', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿床', '尿床', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道出血', '尿道出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道滴白', '尿道滴白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道分泌物增多', '尿道分泌物增多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道口瘙痒', '尿道口瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道损伤', '尿道损伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道溢脓', '尿道溢脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道灼热感', '尿道灼热感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿滴血', '尿滴血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿精', '尿精', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24717', 'N', '1970-01-01 12:00:00', '2019-03-28 16:02:36', '0', '108', '尿失禁', '尿失禁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气尿', '气尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精痛', '射精痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精障碍', '射精障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手淫', '手淫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血精', '血精', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗尿', '遗尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部表情呆板', '面部表情呆板', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部表情肌无力', '面部表情肌无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部不适', '面部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部抽搐', '面部抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部呆板', '面部呆板', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部呆滞', '面部呆滞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部僵硬', '面部僵硬', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部麻木', '面部麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部神经麻木', '面部神经麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部疼痛', '面部疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部肿痛', '面部肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部肿胀', '面部肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面肌痉挛', '面肌痉挛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面具脸', '面具脸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面容淡漠', '面容淡漠', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面瘫', '面瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色苍白', '面色苍白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色潮红', '面色潮红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色晦暗', '面色晦暗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色黧黑', '面色黧黑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色萎黄', '面色萎黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '精浊', '精浊', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴茎痛', '阴茎痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴茎肿块', '阴茎肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴茎肿胀', '阴茎肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊潮湿', '阴囊潮湿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊瘙痒', '阴囊瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊痛', '阴囊痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊肿大', '阴囊肿大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊肿块', '阴囊肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊坠痛', '阴囊坠痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊坠胀感', '阴囊坠胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多尿', '多尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿量异常', '尿量异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无尿', '无尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '酱油色尿', '酱油色尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿白', '尿白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红', '尿红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿黄', '尿黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿色黄', '尿色黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿色深', '尿色深', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24766', 'N', '1970-01-01 12:00:00', '2019-03-28 13:31:22', '0', '108', '尿液混浊', '尿液混浊', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿质异常', '尿质异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '浓茶色尿', '浓茶色尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泡沫尿', '泡沫尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肉眼血尿', '肉眼血尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '石灰水样尿', '石灰水样尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '淘米水样尿', '淘米水样尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便浑浊色白', '小便浑浊色白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24774', 'N', '1970-01-01 12:00:00', '2019-04-03 16:11:31', '0', '108', '血尿', '血尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活动后呕吐', '活动后呕吐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剧烈呕吐', '剧烈呕吐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血', '呕血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '怕热', '怕热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喜冷怕热', '喜冷怕热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便不畅', '大便不畅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '里急后重', '里急后重', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便不尽感', '排便不尽感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便费力', '排便费力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便时间延长', '排便时间延长', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便阻塞感', '排便阻塞感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛', '尿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿外渗', '尿外渗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿中排石', '尿中排石', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿潴留', '尿潴留', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不适', '排尿不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便刺痛', '小便刺痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便隐痛', '小便隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿无力', '尿无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难', '排尿困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '憋尿困难', '憋尿困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '蛋白尿', '蛋白尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽后有尿液流出', '咳嗽后有尿液流出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '快步走有尿液流出', '快步走有尿液流出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '漏尿', '漏尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿急', '尿急', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿流变细', '尿流变细', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24802', 'N', '1970-01-01 12:00:00', '2019-04-02 16:38:50', '0', '108', '尿频', '尿频', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿色发红', '尿色发红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液溢出', '尿液溢出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不畅', '排尿不畅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿等待', '排尿等待', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿异常', '排尿异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24808', 'N', '1970-01-01 12:00:00', '2019-03-28 16:35:22', '0', '108', '排尿中断', '排尿中断', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24809', 'N', '1970-01-01 12:00:00', '2019-03-28 16:07:27', '0', '108', '夜尿频', '夜尿频', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排气排便减少', '排气排便减少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排气增多', '排气增多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疖肿', '疖肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓头', '脓头', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发热感', '皮肤发热感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮温正常', '皮温正常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '油性皮肤', '油性皮肤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手指膜样脱皮', '手指膜样脱皮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤苍白', '皮肤苍白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤出血点', '皮肤出血点', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤粗糙', '皮肤粗糙', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发红', '皮肤发红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发黄', '皮肤发黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发麻', '皮肤发麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常', '皮肤感觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤干燥', '皮肤干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤巩膜黄染', '皮肤巩膜黄染', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤过敏', '皮肤过敏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤红肿', '皮肤红肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤结节', '皮肤结节', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤皲裂', '皮肤皲裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤溃疡', '皮肤溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤皮疹瘙痒', '皮肤皮疹瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤青紫', '皮肤青紫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘙痒', '皮肤瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤色素沉着', '皮肤色素沉着', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤湿冷', '皮肤湿冷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤水肿', '皮肤水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤烫伤', '皮肤烫伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤疼痛', '皮肤疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤脱皮', '皮肤脱皮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤脱屑', '皮肤脱屑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤萎缩', '皮肤萎缩', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤硬化', '皮肤硬化', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点', '皮肤瘀点', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤增厚', '皮肤增厚', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤紫斑', '皮肤紫斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮损', '皮损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮损疼痛', '皮损疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胼胝', '胼胝', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平衡协调障碍', '平衡协调障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出血点', '出血点', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下出血', '皮下出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下出血点', '皮下出血点', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑', '皮下瘀斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘀斑', '瘀斑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘀点', '瘀点', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘀血', '瘀血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜', '紫癜', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斑丘疹', '斑丘疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风团', '风团', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颌疱疹', '颌疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泡疹瘙痒', '泡疹瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疱疹', '疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹', '皮疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丘疱疹', '丘疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丘疹', '丘疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水痘', '水痘', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水疱', '水疱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水疱瘙痒', '水疱瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牵拉痛', '牵拉痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牵涉痛', '牵涉痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身不适', '全身不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身酸胀', '全身酸胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性乳房发育', '男性乳房发育', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房包块', '乳房包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房过大', '乳房过大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房过小', '乳房过小', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房橘皮样变', '乳房橘皮样变', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房两侧不对称', '乳房两侧不对称', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房皮肤溃疡', '乳房皮肤溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房痛', '乳房痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房下垂', '乳房下垂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房胀痛', '乳房胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房肿胀', '乳房肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头凹陷', '乳头凹陷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头皲裂', '乳头皲裂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头内陷', '乳头内陷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头疱疹', '乳头疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头湿疹', '乳头湿疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头痛', '乳头痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头溢血', '乳头溢血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头溢液', '乳头溢液', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳硬结', '乳硬结', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳汁淤积', '乳汁淤积', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溢乳', '溢乳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘢痕瘙痒', '瘢痕瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘙痒', '瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臂痛', '臂痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上髁骨折', '上髁骨折', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上肢上抬费力', '上肢上抬费力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上肢肿胀', '上肢肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌两边紫暗', '舌两边紫暗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌麻木', '舌麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌糜烂', '舌糜烂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌破损', '舌破损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌苔暗紫', '舌苔暗紫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌苔发黑', '舌苔发黑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌苔黄腻', '舌苔黄腻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌瘫', '舌瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌疼痛', '舌疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌咬伤', '舌咬伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌质红', '舌质红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌肿胀', '舌肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌灼热', '舌灼热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咬舌', '咬舌', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '身高过矮', '身高过矮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '身高过高', '身高过高', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不痛不痒', '不痛不痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '踩棉花感', '踩棉花感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '扶物行走', '扶物行走', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇', '黑矇', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄绿视', '黄绿视', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '间歇性跛行', '间歇性跛行', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角弓反张', '角弓反张', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '截瘫', '截瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食漏口', '进食漏口', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '噤声', '噤声', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恐惧', '恐惧', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恐水', '恐水', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口角歪斜', '口角歪斜', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口吐白沫', '口吐白沫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口吐血沫', '口吐血沫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口眼歪斜', '口眼歪斜', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雷诺现象', '雷诺现象', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颅脑外伤', '颅脑外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '麻木', '麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '麻痛', '麻痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '木僵', '木僵', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '怕热多汗', '怕热多汗', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫', '偏瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '软瘫', '软瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丧失兴趣', '丧失兴趣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物重影', '视物重影', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物昏花', '视物昏花', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手不可持物', '手不可持物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手抖', '手抖', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手足抽搐', '手足抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双手抖动', '双手抖动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双手震颤', '双手震颤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡觉抽搐', '睡觉抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠抽搐', '睡眠抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢瘫痪', '四肢瘫痪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘫痪', '瘫痪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '天旋地转', '天旋地转', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '位置性眩晕', '位置性眩晕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '卧床不起', '卧床不起', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五软', '五软', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吸吮无力', '吸吮无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩光', '眩光', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕', '眩晕', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙齿松动', '牙齿松动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙关紧闭', '牙关紧闭', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼白上翻', '眼白上翻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼部抽搐', '眼部抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '硬瘫', '硬瘫', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张口困难', '张口困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张口睡觉', '张口睡觉', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睁眼无力', '睁眼无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抓握无力', '抓握无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '走路不稳', '走路不稳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '走路发飘感', '走路发飘感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '走路摇晃', '走路摇晃', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '走路摇晃感', '走路摇晃感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阻力感', '阻力感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醉酒步态', '醉酒步态', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坐骨神经放射痛', '坐骨神经放射痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坐骨神经牵拉痛', '坐骨神经牵拉痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '坐骨神经痛', '坐骨神经痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反流食物', '反流食物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咀嚼障碍', '咀嚼障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '拒食', '拒食', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24982', 'N', '1970-01-01 12:00:00', '2019-03-29 09:29:42', '0', '108', '食欲减退', '食欲减退', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲亢进', '食欲亢进', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲异常', '食欲异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗜盐', '嗜盐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏食', '畏食', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无食欲', '无食欲', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '厌食', '厌食', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '厌油', '厌油', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏盲', '偏盲', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视野缺损', '视野缺损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手疱疹', '手疱疹', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脱皮', '手脱皮', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手外伤', '手外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手足厚大', '手足厚大', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部浮肿', '面部浮肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿', '水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑晨起浮肿', '眼睑晨起浮肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('24999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体水肿', '肢体水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠肌阵挛', '睡眠肌阵挛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠尚可', '睡眠尚可', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '醒后不适感', '醒后不适感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '撕裂样疼痛', '撕裂样疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '红色痰', '红色痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脓血痰', '脓血痰', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痰中带血', '痰中带血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烫伤', '烫伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体型异常', '体型异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25009', 'N', '1970-01-01 12:00:00', '2019-03-29 11:37:03', '0', '108', '体重下降', '体重下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重增加', '体重增加', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳聋', '耳聋', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳闷', '耳闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣', '耳鸣', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内闭塞感', '耳内闭塞感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内堵塞感', '耳内堵塞感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '老年性耳聋', '老年性耳聋', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '怕声音', '怕声音', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听觉过敏', '听觉过敏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听觉受损', '听觉受损', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听觉异常', '听觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听觉障碍', '听觉障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降', '听力下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听音失真', '听音失真', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏声', '畏声', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '噪声性耳聋', '噪声性耳聋', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '重听', '重听', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头闷', '头闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮包块', '头皮包块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮挫伤', '头皮挫伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮发麻', '头皮发麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮干', '头皮干', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮裂伤', '头皮裂伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮平整', '头皮平整', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮瘙痒', '头皮瘙痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮撕脱伤', '头皮撕脱伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头发白', '头发白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头发干枯', '头发干枯', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头发稀', '头发稀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '秃发', '秃发', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱发', '脱发', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '顶枕部胀痛', '顶枕部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '额部胀痛', '额部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '后脑部胀痛', '后脑部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '后枕部胀痛', '后枕部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颞枕部胀痛', '颞枕部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部胀痛', '头部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部肿块', '头部肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头沉重感', '头沉重感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮痛', '头皮痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头枕部胀痛', '头枕部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '枕部胀痛', '枕部胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头胀', '头胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '哽咽感', '哽咽感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食哽咽', '进食哽咽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食哽咽感', '进食哽咽感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食后呕吐', '进食后呕吐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食疼痛感', '进食疼痛感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食物哽咽感', '食物哽咽感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽哽噎感', '吞咽哽噎感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽梗阻', '吞咽梗阻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽痛', '吞咽痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍', '吞咽障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臀部疼痛', '臀部疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '枪弹伤', '枪弹伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伤处痛', '伤处痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '摔伤', '摔伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25067', 'N', '1970-01-01 12:00:00', '2019-03-28 10:15:08', '0', '108', '头部外伤', '头部外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮损伤', '头皮损伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮外伤', '头皮外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外伤', '外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉减退', '味觉减退', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉消失', '味觉消失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉异常', '味觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉障碍', '味觉障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄绿色胆汁样液体', '黄绿色胆汁样液体', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饥饿痛', '饥饿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纳亢易饥', '纳亢易饥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心', '烧心', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧灼痛', '烧灼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排便', '停止排便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排气', '停止排气', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排气排便', '停止排气排便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '通气不畅', '通气不畅', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异食癖', '异食癖', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异物感', '异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易饥', '易饥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脚酸', '脚酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脚肿', '脚肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腿麻', '腿麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腿酸', '腿酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腿痛', '腿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腿外伤', '腿外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下蹲屈曲起立受限', '下蹲屈曲起立受限', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下蹲屈曲受限', '下蹲屈曲受限', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下腹部肿块', '下腹部肿块', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢乏力', '下肢乏力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢活动受限', '下肢活动受限', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢活动障碍', '下肢活动障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢麻木无力', '下肢麻木无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢水肿', '下肢水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢酸胀感', '下肢酸胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢抬举费力', '下肢抬举费力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢瘫痪', '下肢瘫痪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢疼痛', '下肢疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢无力', '下肢无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢肿胀', '下肢肿胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小腿酸', '小腿酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小腿痛', '小腿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左膝下蹲屈曲起立受限', '左膝下蹲屈曲起立受限', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '餐后饱胀', '餐后饱胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饭后饱胀', '饭后饱胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部饱胀', '腹部饱胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏食', '偏食', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾泻', '肾泻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消化不良', '消化不良', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早饱', '早饱', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25117', 'N', '1970-01-01 12:00:00', '2019-03-29 11:45:19', '0', '108', '消瘦', '消瘦', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便白而浊', '小便白而浊', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便次数少', '小便次数少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便异常', '小便异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便正常', '小便正常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心动过缓', '心动过缓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心动过速', '心动过速', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸', '心悸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心律不齐', '心律不齐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心律失常', '心律失常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心脏骤停', '心脏骤停', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '勃起功能障碍', '勃起功能障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '勃起痛', '勃起痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '勃起异常', '勃起异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性功能障碍', '性功能障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性幻想', '性幻想', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性交出血', '性交出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性交疼痛', '性交疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性冷淡', '性冷淡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性情急躁', '性情急躁', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性欲亢奋', '性欲亢奋', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阳痿', '阳痿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗精', '遗精', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早泄', '早泄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '活动后胸闷', '活动后胸闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区闷', '心前区闷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区闷胀感', '心前区闷胀感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区压迫感', '心前区压迫感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '自觉胸中堵塞', '自觉胸中堵塞', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '岔气', '岔气', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '急性胸肋痛', '急性胸肋痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肋下隐痛', '肋下隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区刺痛', '心前区刺痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区闷痛', '心前区闷痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区疼痛', '心前区疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区压榨痛', '心前区压榨痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区隐痛', '心前区隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区胀痛', '心前区胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区针刺样不适', '心前区针刺样不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区针刺样痛', '心前区针刺样痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区灼热感', '心前区灼热感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸部不适感', '胸部不适感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸部刺痛', '胸部刺痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸骨后疼痛', '胸骨后疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸肋痛', '胸肋痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸胀', '胸胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '休克', '休克', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉倒错', '嗅觉倒错', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉过敏', '嗅觉过敏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉灵敏', '嗅觉灵敏', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉丧失', '嗅觉丧失', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉下降', '嗅觉下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉异常', '嗅觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉障碍', '嗅觉障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '浅表静脉迂曲', '浅表静脉迂曲', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血管蚯蚓状凸起', '血管蚯蚓状凸起', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全程血尿', '全程血尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无痛性血尿', '无痛性血尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗肉水样尿', '洗肉水样尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末血尿', '终末血尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25177', 'N', '1970-01-01 12:00:00', '2019-03-30 12:35:34', '0', '108', '皮下血肿', '皮下血肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽异物感', '吞咽异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部不适', '咽部不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部干', '咽部干', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部干燥', '咽部干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部僵硬感', '咽部僵硬感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部紧缩感', '咽部紧缩感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部疼痛', '咽部疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部压迫感', '咽部压迫感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部异物', '咽部异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部异物感', '咽部异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部鱼刺', '咽部鱼刺', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部灼热', '咽部灼热', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽干', '咽干', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉部干燥', '咽喉部干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉反流', '咽喉反流', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痒', '咽喉痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉异物感', '咽喉异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛', '咽痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛不适', '咽痛不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痒', '咽痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽异物感', '咽异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声音嘶哑', '声音嘶哑', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失控感', '失控感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失声', '失声', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角膜异物', '角膜异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜充血', '结膜充血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜干燥', '结膜干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜下出血', '结膜下出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泪点外翻', '泪点外翻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泪液分泌过少', '泪液分泌过少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流泪', '流泪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上睑下垂', '上睑下垂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失明', '失明', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视觉漂浮物', '视觉漂浮物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视觉异常', '视觉异常', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视力下降', '视力下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视力障碍', '视力障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视力逐渐下降', '视力逐渐下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视盲', '视盲', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视疲劳', '视疲劳', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物变形', '视物变形', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物成双', '视物成双', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊', '视物模糊', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物闪光', '视物闪光', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物旋转', '视物旋转', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼红', '双眼红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼溢泪', '双眼溢泪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼直视', '双眼直视', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏光', '畏光', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下睑外翻', '下睑外翻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '斜视', '斜视', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼部分泌物多', '眼部分泌物多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼部烧灼感', '眼部烧灼感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼部异物感', '眼部异物感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼充血', '眼充血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼充血不适', '眼充血不适', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼出血', '眼出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼干涩', '眼干涩', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼巩膜红', '眼巩膜红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼红', '眼红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼花感', '眼花感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼黄', '眼黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑出血', '眼睑出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑红', '眼睑红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑结膜充血', '眼睑结膜充血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑痉挛', '眼睑痉挛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑水肿', '眼睑水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑外翻', '眼睑外翻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼角抽搐', '眼角抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼结膜充血', '眼结膜充血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼结膜干燥', '眼结膜干燥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼结膜水肿', '眼结膜水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼结膜下出血', '眼结膜下出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼眶抽紧感', '眼眶抽紧感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼眶痛', '眼眶痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼内异物', '眼内异物', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼皮下垂', '眼皮下垂', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼前黑影', '眼前黑影', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球充血', '眼球充血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球发红', '眼球发红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球发黄', '眼球发黄', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球浮肿', '眼球浮肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球内陷', '眼球内陷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球水肿', '眼球水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球突出', '眼球突出', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球震颤', '眼球震颤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼痛', '眼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼痒', '眼痒', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼胀', '眼胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼胀痛', '眼胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼肿', '眼肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼肿痛', '眼肿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼周疼痛', '眼周疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜盲', '夜盲', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溢泪', '溢泪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溢脓', '溢脓', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '迎风流泪', '迎风流泪', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用眼不能持久', '用眼不能持久', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右眼红', '右眼红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '粘膜苍白出血', '粘膜苍白出血', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左眼红', '左眼红', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白眼球水肿', '白眼球水肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睑浮肿', '睑浮肿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不断眨眼', '不断眨眼', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '虹视', '虹视', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背僵硬', '腰背僵硬', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25284', 'N', '1970-01-01 12:00:00', '2019-04-02 17:31:29', '0', '108', '腰背痛', '腰背痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰部叩击痛', '腰部叩击痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰部隐痛', '腰部隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰胯疼痛', '腰胯疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰部麻木', '腰部麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰酸', '腰酸', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛', '腰痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰腿痛', '腰腿痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰胀', '腰胀', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25293', 'N', '1970-01-01 12:00:00', '2019-04-02 10:04:49', '0', '108', '晕厥', '晕厥', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '隐痛', '隐痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '营养不良', '营养不良', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不能说话', '不能说话', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发音障碍', '发音障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '沟通障碍', '沟通障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '构音障碍', '构音障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '寡言', '寡言', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口齿不清', '口齿不清', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口齿清楚', '口齿清楚', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失语', '失语', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '突然不能说话', '突然不能说话', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '语言障碍', '语言障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经量减少', '经量减少', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经量增多', '经量增多', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经期缩短', '经期缩短', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经期延长', '经期延长', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经淋漓不尽', '月经淋漓不尽', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25311', 'N', '1970-01-01 12:00:00', '2019-03-27 20:01:15', '0', '108', '月经失调', '月经失调', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '运动量下降', '运动量下降', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '运动失调', '运动失调', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '运动协调障碍', '运动协调障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胀痛', '胀痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走不便', '行走不便', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走不利', '行走不利', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走困难', '行走困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走障碍', '行走障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '前臂不能旋转', '前臂不能旋转', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25321', 'N', '1970-01-01 12:00:00', '2019-03-27 16:14:46', '0', '108', '肢体抽搐', '肢体抽搐', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体抽筋', '肢体抽筋', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体抽痛', '肢体抽痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '1', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体抖动', '肢体抖动', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体发白', '肢体发白', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体发冷', '肢体发冷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体活动障碍', '肢体活动障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体酸痛', '肢体酸痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体疼痛', '肢体疼痛', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体外伤', '肢体外伤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体无力', '肢体无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体震颤', '肢体震颤', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肘不能内收', '肘不能内收', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脚麻', '脚麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木', '手脚麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手麻', '手麻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢粗短', '四肢粗短', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢麻木', '四肢麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木', '肢体麻木', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木无力', '肢体麻木无力', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '窒息感', '窒息感', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '痴呆', '痴呆', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '智力减退', '智力减退', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '智力缺陷', '智力缺陷', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '智力障碍', '智力障碍', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '马蹄内翻足', '马蹄内翻足', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双足内翻', '双足内翻', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('25348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '足溃疡', '足溃疡', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身浅表淋巴结未触及-正常', '全身浅表淋巴结未触及', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身浅表淋巴结未触及-可触及肿大淋巴结', '全身浅表淋巴结未触及-可触及肿大淋巴结', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身浅表淋巴结未触及-质硬', '全身浅表淋巴结未触及-质硬', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29630', 'N', '1970-01-01 12:00:00', '2019-05-10 16:24:17', '0', '108', '全身浅表淋巴结未触及-大小', '全身浅表淋巴结未触及-大小', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身浅表淋巴结未触及-活动', '全身浅表淋巴结未触及-活动', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身浅表淋巴结未触及-粘连', '全身浅表淋巴结未触及-粘连', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头颅五官无畸形-头颅五官无畸形', '头颅五官无畸形-头颅五官无畸形', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头颅五官无畸形-畸形', '头颅五官无畸形-畸形', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29635', 'N', '1970-01-01 12:00:00', '2019-05-28 15:12:51', '0', '108', '头颅五官无畸形-囟门', '头颅五官无畸形-囟门', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角膜透明-角膜透明', '角膜透明-角膜透明', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角膜透明-角膜', '角膜透明-角膜', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角膜透明-选项', '角膜透明-选项', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓无畸形，外耳道无溢液-正常', '耳廓无畸形，外耳道无溢液-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29640', 'N', '1970-01-01 12:00:00', '2019-05-10 17:21:14', '0', '108', '耳部查体单选1', '耳部查体单选1', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓无畸形，外耳道无溢液-畸形', '耳廓无畸形，外耳道无溢液-畸形', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓无畸形，外耳道无溢液-溢液', '耳廓无畸形，外耳道无溢液-溢液', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓无畸形，外耳道无溢液-牵拉痛', '耳廓无畸形，外耳道无溢液-牵拉痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳廓无畸形，外耳道无溢液-压痛', '耳廓无畸形，外耳道无溢液-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿部位或特征', '水肿部位或特征', '3', '0', '200', '2', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往史-诊断选项', '既往史-诊断选项', '3', '0', '200', '10', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外鼻无畸形-正常', '外鼻无畸形-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29648', 'N', '1970-01-01 12:00:00', '2019-05-10 16:51:59', '0', '108', '鼻部查体单选1', '鼻部查体单选1', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29649', 'N', '1970-01-01 12:00:00', '2019-05-10 16:48:39', '0', '108', '鼻部查体单选2', '鼻部查体单选2', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29650', 'N', '1970-01-01 12:00:00', '2019-04-19 16:27:47', '0', '106', '外鼻无畸形-分泌物', '外鼻无畸形-分泌物', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29651', 'N', '1970-01-01 12:00:00', '2019-05-10 16:43:38', '0', '108', '外鼻无畸形-偏曲', '外鼻无畸形-偏曲', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29652', 'N', '1970-01-01 12:00:00', '2019-05-10 16:43:54', '0', '108', '外鼻无畸形-压痛', '外鼻无畸形-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿程度和部位', '水肿程度和部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿初为后为', '水肿初为后为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿部位', '水肿部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '水肿性状', '水肿性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-正常', '甲状腺无肿大-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-肿大', '甲状腺无肿大-肿大', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-质地', '甲状腺无肿大-质地', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-压痛', '甲状腺无肿大-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-震颤', '甲状腺无肿大-震颤', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '甲状腺无肿大-血管杂音', '甲状腺无肿大-血管杂音', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咯血量', '咯血量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29664', 'N', '1970-01-01 12:00:00', '2019-04-03 10:44:30', '0', '108', '咯血颜色', '咯血颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-正常', '胸廓对称无畸形-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-胸廓对称', '胸廓对称无畸形-胸廓对称', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-胸型', '胸廓对称无畸形-胸型', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-隆起塌陷', '胸廓对称无畸形-隆起塌陷', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-皮下气肿', '胸廓对称无畸形-皮下气肿', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸廓对称无畸形-压痛', '胸廓对称无畸形-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乙肝', '乙肝', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核', '结核', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29673', 'N', '1970-01-01 12:00:00', '2019-03-27 13:31:46', '0', '108', '发绀部位或特征', '发绀部位或特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '伤寒', '伤寒', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '艾滋病', '艾滋病', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梅毒', '梅毒', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心界无扩大-正常', '心界无扩大-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '丙肝', '丙肝', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29679', 'N', '1970-01-01 12:00:00', '2019-05-09 14:25:37', '0', '108', '心界无扩大-增大', '心界无扩大-增大', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心界无扩大-形态', '心界无扩大-形态', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝炎', '肝炎', '3', '0', '200', '4', '0', '3', '0', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀程度', '发绀程度', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀以为', '发绀以为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀部位', '发绀部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀特性', '发绀特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双侧呼吸动度一致-正常', '双侧呼吸动度一致-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双侧呼吸动度一致-节律', '双侧呼吸动度一致-节律', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双侧呼吸动度一致-方向', '双侧呼吸动度一致-方向', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双侧呼吸动度一致-增强减弱', '双侧呼吸动度一致-增强减弱', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区无异常隆起-隆起', '心前区无异常隆起-隆起', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区无异常隆起-搏动', '心前区无异常隆起-搏动', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区无异常隆起-位置', '心前区无异常隆起-位置', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区无异常隆起-震颤', '心前区无异常隆起-震颤', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29694', 'N', '1970-01-01 12:00:00', '2019-04-04 16:36:30', '0', '108', '心前区无异常隆起-摩擦感', '心前区无异常隆起-摩擦感', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有乙肝病史', '有乙肝病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有结核病史', '有结核病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有伤寒病史', '有伤寒病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29698', 'N', '1970-01-01 12:00:00', '2019-04-04 14:47:44', '0', '108', '呕吐量', '呕吐量', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有艾滋病病史', '有艾滋病病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有梅毒病史', '有梅毒病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有丙肝病史', '有丙肝病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有肝炎病史', '有肝炎病史', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29703', 'N', '1970-01-01 12:00:00', '2019-04-04 14:54:15', '0', '108', '呕吐-呕吐量1', '呕吐-呕吐量1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕吐-呕吐量2', '呕吐-呕吐量2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29705', 'N', '1970-01-01 12:00:00', '2019-04-04 14:53:41', '0', '108', '呕吐-呕吐量3', '呕吐-呕吐量3', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29706', 'N', '1970-01-01 12:00:00', '2019-04-04 14:53:49', '0', '108', '呕吐-呕吐量4', '呕吐-呕吐量4', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29707', 'N', '1970-01-01 12:00:00', '2019-04-03 09:49:53', '0', '108', '呕血量', '呕血量', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29708', 'N', '1970-01-01 12:00:00', '2019-04-03 09:57:36', '0', '108', '呕血颜色', '呕血颜色', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕血量1', '呕血-呕血量1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕血量2', '呕血-呕血量2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕血量3', '呕血-呕血量3', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕血量4', '呕血-呕血量4', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕吐颜色1', '呕血-呕吐颜色1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29715', 'N', '1970-01-01 12:00:00', '2019-04-03 09:58:10', '0', '108', '呕血-呕吐颜色2', '呕血-呕吐颜色2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29716', 'N', '1970-01-01 12:00:00', '2019-04-03 09:58:04', '0', '108', '呕血-呕吐颜色3', '呕血-呕吐颜色3', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血-呕吐颜色4', '呕血-呕吐颜色4', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29718', 'N', '1970-01-01 12:00:00', '2019-04-03 09:50:48', '0', '108', '呕血-呕吐颜色5', '呕血-呕吐颜色5', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾区无叩痛-肾区', '肾区无叩痛-肾区', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29720', 'N', '1970-01-01 12:00:00', '2019-03-25 20:14:42', '0', '108', '肾区无叩痛-方位', '肾区无叩痛-方位', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾区无叩痛-叩痛', '肾区无叩痛-叩痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肾区无叩痛-压痛', '肾区无叩痛-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门及外生殖器未查-正常', '肛门及外生殖器未查-正常', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门及外生殖器未查-第一列', '肛门及外生殖器未查-第一列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门及外生殖器未查-第二列', '肛门及外生殖器未查-第二列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29726', 'N', '1970-01-01 12:00:00', '2019-05-13 11:03:11', '0', '108', '脊柱查体互斥项', '脊柱查体互斥项', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊柱无畸形，活动自如-脊柱', '脊柱无畸形，活动自如-脊柱', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊柱无畸形，活动自如-凸', '脊柱无畸形，活动自如-凸', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29729', 'N', '1970-01-01 12:00:00', '2019-05-13 11:12:03', '0', '108', '脊柱无畸形，活动自如-压痛', '脊柱无畸形，活动自如-压痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊柱无畸形，活动自如-叩击痛', '脊柱无畸形，活动自如-叩击痛', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脊柱无畸形，活动自如-活动', '脊柱无畸形，活动自如-活动', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部平坦-第一列', '腹部平坦-第一列', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部平坦-第二列', '腹部平坦-第二列', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部平坦-第三列', '腹部平坦-第三列', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双下肢无水肿-正常', '双下肢无水肿-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢', '四肢', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双下肢无水肿-凹陷性', '双下肢无水肿-凹陷性', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双下肢无水肿-水肿', '双下肢无水肿-水肿', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢肌力肌张力正常-正常', '四肢肌力肌张力正常-正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢肌力肌张力正常-肌张力减退', '四肢肌力肌张力正常-肌张力减退', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢肌力肌张力正常-肌力级别', '四肢肌力肌张力正常-肌力级别', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理反射存在，病理反射未引出-正常', '生理反射存在，病理反射未引出-正常', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '生理反射存在，病理反射未引出-第一列', '生理反射存在，病理反射未引出-第一列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29749', 'N', '1970-01-01 12:00:00', '2019-03-26 14:13:39', '0', '108', '生理反射存在，病理反射未引出-第二列', '生理反射存在，病理反射未引出-第二列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29750', 'N', '1970-01-01 12:00:00', '2019-05-09 15:39:45', '0', '106', '生理反射存在，病理反射未引出-第三列', '生理反射存在，病理反射未引出-第三列', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29754', 'N', '1970-01-01 12:00:00', '2019-06-12 15:21:59', '0', '108', '四肢视触诊0', '四肢视触诊0', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29755', 'N', '1970-01-01 12:00:00', '2019-06-12 15:22:22', '0', '108', '四肢视触诊2', '四肢视触诊2', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29756', 'N', '1970-01-01 12:00:00', '2019-06-12 15:23:10', '0', '108', '四肢视触诊3', '四肢视触诊3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29757', 'N', '1970-01-01 12:00:00', '2019-06-12 15:23:36', '0', '108', '四肢视触诊4', '四肢视触诊4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29758', 'N', '1970-01-01 12:00:00', '2019-06-12 15:21:48', '0', '108', '四肢视触诊5', '四肢视触诊5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '既往体质', '既往体质', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '预防接种', '预防接种', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部平坦-第四列', '腹部平坦-第四列', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('29769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '手术史', '手术史', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '输血史', '输血史', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29771', 'N', '1970-01-01 12:00:00', '2019-04-03 09:28:33', '0', '108', '便秘描述', '便秘描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29772', 'N', '1970-01-01 12:00:00', '2019-04-03 09:20:35', '0', '108', '便秘描述-1', '便秘描述-1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29773', 'N', '1970-01-01 12:00:00', '2019-04-03 09:26:34', '0', '108', '便秘描述-特征', '便秘描述-特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29774', 'N', '1970-01-01 12:00:00', '2019-04-02 17:36:37', '0', '108', '黄疸描述', '黄疸描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄疸描述-部位', '黄疸描述-部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29776', 'N', '1970-01-01 12:00:00', '2019-04-02 17:36:50', '0', '108', '黄疸描述-有无', '黄疸描述-有无', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄疸描述-特征', '黄疸描述-特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄疸描述-呈', '黄疸描述-呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄疸描述-颜色', '黄疸描述-颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29791', 'N', '1970-01-01 12:00:00', '2019-04-02 17:23:27', '0', '108', '腰背痛描述', '腰背痛描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29792', 'N', '1970-01-01 12:00:00', '2019-04-02 17:22:05', '0', '108', '腰背痛描述-部位', '腰背痛描述-部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背痛描述-呈', '腰背痛描述-呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背痛描述-特征', '腰背痛描述-特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29795', 'N', '1970-01-01 12:00:00', '2019-04-02 16:46:50', '0', '108', '血尿时间描述', '血尿时间描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29796', 'N', '1970-01-01 12:00:00', '2019-04-02 16:56:11', '0', '108', '血尿过程描述', '血尿过程描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29797', 'N', '1970-01-01 12:00:00', '2019-04-02 16:41:47', '0', '108', '血尿时间描述-患者出现', '血尿时间描述-患者出现', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29798', 'N', '1970-01-01 12:00:00', '2019-04-02 16:44:39', '0', '108', '血尿时间描述-特征', '血尿时间描述-特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿时间描述-时间', '血尿时间描述-时间', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿时间描述-伴', '血尿时间描述-伴', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29801', 'N', '1970-01-01 12:00:00', '2019-04-02 16:44:56', '0', '108', '血尿时间描述-部位特征', '血尿时间描述-部位特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29802', 'N', '1970-01-01 12:00:00', '2019-04-02 16:53:41', '0', '108', '血尿过程描述-时段', '血尿过程描述-时段', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29803', 'N', '1970-01-01 12:00:00', '2019-04-02 16:54:06', '0', '108', '血尿过程描述-颜色', '血尿过程描述-颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿过程描述-有无', '血尿过程描述-有无', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿过程描述-性状', '血尿过程描述-性状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿过程描述-特性', '血尿过程描述-特性', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29807', 'N', '1970-01-01 12:00:00', '2019-03-27 10:06:33', '0', '108', '关节疼痛描述', '关节疼痛描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29808', 'N', '1970-01-01 12:00:00', '2019-03-26 15:09:58', '0', '108', '关节疼痛描述-方向', '关节疼痛描述-方向', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节疼痛描述-部位', '关节疼痛描述-部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29810', 'N', '1970-01-01 12:00:00', '2019-03-26 15:18:15', '0', '108', '关节疼痛描述-发作规律', '关节疼痛描述-发作规律', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节疼痛描述-伴', '关节疼痛描述-伴', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29812', 'N', '1970-01-01 12:00:00', '2019-03-26 15:21:10', '0', '108', '关节疼痛描述-疼痛性质', '关节疼痛描述-疼痛性质', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿频-频次', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每小时排尿', '次', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿频-量', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每次', 'ml', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛描述', '尿痛描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛描述-尿痛发生在', '尿痛描述-尿痛发生在', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛描述-发作时间', '尿痛描述-发作时间', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛描述-呈', '尿痛描述-呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('29820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛描述-特征', '尿痛描述-特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少尿-间隔', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每', '小时', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少尿-频次', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '排尿', '次', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少尿-单次量', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每次', 'ml', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少尿-量/天', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '每天尿量', 'ml', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40106', 'N', '1970-01-01 12:00:00', '2019-04-02 15:06:18', '0', '108', '头痛描述', '描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40107', 'N', '1970-01-01 12:00:00', '2019-04-02 15:37:27', '0', '108', '头痛缓解描述', '缓解描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40108', 'N', '1970-01-01 12:00:00', '2019-04-02 15:43:31', '0', '108', '头痛发作规律', '发作规律', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40109', 'N', '1970-01-01 12:00:00', '2019-04-02 15:49:22', '0', '108', '头痛持续时间', '持续时间', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '无食物及药物过敏史', '无食物及药物过敏史', '3', '0', '200', '1', '2', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40111', 'N', '1970-01-01 12:00:00', '2019-04-02 15:04:38', '0', '108', '头痛描述-频率', '频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40112', 'N', '1970-01-01 12:00:00', '2019-04-02 15:12:09', '0', '108', '头痛描述-部位', '部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛描述-程度', '程度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40114', 'N', '1970-01-01 12:00:00', '2019-04-02 15:18:25', '0', '108', '头痛描述-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛缓解描述1', '头痛缓解描述1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40116', 'N', '1970-01-01 12:00:00', '2019-04-02 15:21:44', '0', '108', '头痛缓解描述2', '头痛缓解描述2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40117', 'N', '1970-01-01 12:00:00', '2019-04-02 15:22:19', '0', '108', '头痛缓解描述3', '头痛缓解描述3', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40118', 'N', '1970-01-01 12:00:00', '2019-04-02 15:21:26', '0', '108', '头痛缓解描述4', '头痛缓解描述4', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '家族相关传染病', '家族相关传染病', '3', '0', '200', '1', '1', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛发作规律-疼痛发作', '疼痛发作', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40121', 'N', '1970-01-01 12:00:00', '2019-04-02 15:46:50', '0', '108', '头痛发作规律-规律', '规律', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40122', 'N', '1970-01-01 12:00:00', '2019-04-02 15:46:39', '0', '108', '头痛发作规律-发作描述', '发作描述', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患有', '患有', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40125', 'N', '1970-01-01 12:00:00', '2019-04-02 13:22:35', '0', '108', '眩晕发作描述', '发作描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40126', 'N', '1970-01-01 12:00:00', '2019-04-02 15:01:53', '0', '108', '眩晕伴随症状描述', '伴随症状描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40127', 'N', '1970-01-01 12:00:00', '2019-04-02 13:13:42', '0', '108', '眩晕发作描述-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40128', 'N', '1970-01-01 12:00:00', '2019-04-02 13:14:42', '0', '108', '眩晕发作描述-频率', '频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕发作描述-发作时感', '发作时感', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕发作描述-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕伴随症状描述-能否', '能否', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕伴随症状描述-直立行走', '直立行走', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40133', 'N', '1970-01-01 12:00:00', '2019-04-02 15:02:41', '0', '108', '眩晕伴随症状描述-伴', '伴', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40134', 'N', '1970-01-01 12:00:00', '2019-04-02 13:25:58', '0', '108', '眩晕伴随症状描述-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晕厥时间', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '晕厥持续', '分钟', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40136', 'N', '1970-01-01 12:00:00', '2019-04-02 15:55:52', '0', '108', '晕厥伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40137', 'N', '1970-01-01 12:00:00', '2019-04-02 10:09:32', '0', '108', '晕厥伴随症状-伴', '伴', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40138', 'N', '1970-01-01 12:00:00', '2019-04-02 10:13:06', '0', '108', '晕厥伴随症状-症状', '晕厥伴随症状-症状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抽搐时间', '(填写)', '3', '0', '200', '1', '7', '1', '1', '1', '抽搐持续', '分钟', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40140', 'N', '1970-01-01 12:00:00', '2019-04-02 09:56:09', '0', '108', '抽搐伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40141', 'N', '1970-01-01 12:00:00', '2019-04-02 09:43:15', '0', '108', '抽搐-单纯抽搐-伴随症状-介词', '抽搐-单纯抽搐-伴随症状-介词', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抽搐伴随症状-症状', '症状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40143', 'N', '1970-01-01 12:00:00', '2019-04-01 17:57:19', '0', '108', '腹胀-加重', '加重', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40144', 'N', '1970-01-01 12:00:00', '2019-04-01 18:04:32', '0', '108', '腹胀-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40145', 'N', '1970-01-01 12:00:00', '2019-04-01 17:46:19', '0', '108', '腹胀-加重因素', '加重因素', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40146', 'N', '1970-01-01 12:00:00', '2019-04-01 17:56:58', '0', '108', '腹胀-加重特征', '加重特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '否认家族性传染病史', '否认家族性传染病史', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40148', 'N', '1970-01-01 12:00:00', '2019-04-01 17:58:41', '0', '108', '腹胀-伴随症状-介词', '腹胀-伴随症状-介词', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40149', 'N', '1970-01-01 12:00:00', '2019-04-01 18:00:13', '0', '108', '腹胀-伴随症状-症状1', '腹胀-伴随症状-症状1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40150', 'N', '1970-01-01 12:00:00', '2019-04-01 18:01:21', '0', '108', '腹胀-伴随症状-症状2', '腹胀-伴随症状-症状2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '[ 直系亲属 ] 患有 [ 家族相关传染病 ]', '[ 直系亲属 ] 患有 [ 家族相关传染病 ]', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族相关传染病史-第一列', '家族相关传染病史-第一列', '3', '0', '200', '10', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '否认家族性传染病史', '否认家族性传染病史', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族中无结核等传染病史', '家族中无结核等传染病史', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '家族中无结核等传染病史', '家族中无结核等传染病史', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '否认家族遗传病史', '否认家族遗传病史', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '否认家族遗传病史', '否认家族遗传病史', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗传病-第一列', '遗传病-第一列', '3', '0', '200', '10', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '[ 直系亲属 ] 患有 [ 家族遗传病 ]', '[ 直系亲属 ] 患有 [ 家族遗传病 ]', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健康状况', '健康状况', '3', '0', '200', '6', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健康状况-第一列', '健康状况-第一列', '3', '0', '200', '10', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母体健', '父母体健', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父母体健', '父母体健', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母体健，家族无遗传病及特殊疾病史', '父母体健，家族无遗传病及特殊疾病史', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父母体健，家族无遗传病及特殊疾病史', '父母体健，家族无遗传病及特殊疾病史', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母兄弟姐妹无同样疾病', '父母兄弟姐妹无同样疾病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父母兄弟姐妹无同样疾病', '父母兄弟姐妹无同样疾病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '[ 直系亲属 ] 患有同样疾病', '[ 直系亲属 ] 患有同样疾病', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '[ 直系亲属 ] 患有糖尿病', '[ 直系亲属 ] 患有糖尿病', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患有同样疾病', '患有同样疾病', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患有糖尿病', '患有糖尿病', '3', '0', '200', '8', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', '【直系亲属】患有【家族相关传染病】');
INSERT INTO `icss_question_info` VALUES ('40175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '家族史', '家族史', '3', '0', '200', '2', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母', '父母', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健康状况外层-第一列', '健康状况外层-第一列', '3', '0', '200', '10', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母', '父母', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父母兄弟姐妹无同样疾病', '父母兄弟姐妹无同样疾病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '父亲', '父亲', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '母亲', '母亲', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '哥哥', '哥哥', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '姐姐', '姐姐', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '弟弟', '弟弟', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妹妹', '妹妹', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '直系亲属中', '直系亲属中', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父母', '父母', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父母兄弟姐妹无同样疾病', '父母兄弟姐妹无同样疾病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '父亲', '父亲', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '母亲', '母亲', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '哥哥', '哥哥', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '姐姐', '姐姐', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '弟弟', '弟弟', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '妹妹', '妹妹', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '直系亲属中', '直系亲属中', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体健', '体健', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体健', '体健', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '均体健', '均体健', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '体健', '体健', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '均体健', '均体健', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有', '有', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族遗传病及特殊疾病史', '家族遗传病及特殊疾病史', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '患有糖尿病', '患有糖尿病', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有', '有', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无', '无', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '家族无遗传病及特殊疾病史', '家族无遗传病及特殊疾病史', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '同样疾病', '同样疾病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '患有糖尿病', '患有糖尿病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血友病', '血友病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗传性多囊肾', '遗传性多囊肾', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '先天性聋哑', '先天性聋哑', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21三体综合征 ', '21三体综合征 ', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '苯丙酮尿症', '苯丙酮尿症', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '地中海贫血', '地中海贫血', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '先天性心脏病', '先天性心脏病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病', '糖尿病', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '原发性高血压', '原发性高血压', '3', '0', '200', '8', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '有', '有', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '无', '无', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '家族无遗传病及特殊疾病史', '家族无遗传病及特殊疾病史', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '同样疾病', '同样疾病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '患有糖尿病', '患有糖尿病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '血友病', '血友病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '遗传性多囊肾', '遗传性多囊肾', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '先天性聋哑', '先天性聋哑', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '21三体综合征 ', '21三体综合征 ', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '苯丙酮尿症', '苯丙酮尿症', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '地中海贫血', '地中海贫血', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '先天性心脏病', '先天性心脏病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '糖尿病', '糖尿病', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '原发性高血压', '原发性高血压', '3', '0', '200', '4', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-发作因素', '发作因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-发作特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-其他情况-伴', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40245', 'N', '1970-01-01 12:00:00', '2019-03-30 11:49:36', '0', '108', '胸闷-其他情况-症状1', '症状1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40246', 'N', '1970-01-01 12:00:00', '2019-03-30 11:49:46', '0', '108', '胸闷-其他情况-症状2', '症状2', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40247', 'N', '1970-01-01 12:00:00', '2019-03-30 11:51:37', '0', '108', '胸闷-发作因素-发作因素', '发作因素', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40248', 'N', '1970-01-01 12:00:00', '2019-03-30 11:50:32', '0', '108', '胸闷-发作因素-发作', '发作', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊-症状描述', '症状描述', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40252', 'N', '1970-01-01 12:00:00', '2019-04-01 17:13:01', '0', '108', '视物模糊-发作特征-程度', '程度', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊-发作特征-结果', '结果', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作因素', '发作因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作因素-发作因素', '发作因素', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40261', 'N', '1970-01-01 12:00:00', '2019-04-01 17:09:45', '0', '108', '心悸-发作因素-易发', '易发', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作因素-缓解因素', '缓解因素', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-发作因素-缓解', '缓解', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40265', 'N', '1970-01-01 12:00:00', '2019-04-01 17:11:40', '0', '108', '心悸-其他情况-症状1', '症状1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40266', 'N', '1970-01-01 12:00:00', '2019-04-01 17:11:51', '0', '108', '心悸-其他情况-症状2', '症状2', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位', '部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位-方向', '方向', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位-大部位', '大部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位-小部位', '小部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位-远近', '远近', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-部位-麻木', '麻木', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40275', 'N', '1970-01-01 12:00:00', '2019-04-01 17:08:04', '0', '108', '肢体麻木-其他情况-症状描述', '症状描述', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-部位特征', '部位特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-肌力/肌张力', '肌力/肌张力', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-部位特征-部位', '部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-部位特征-特性', '特性', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-部位特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-伴随症状-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40283', 'N', '1970-01-01 12:00:00', '2019-04-01 17:01:05', '0', '108', '偏瘫-伴随症状-症状', '症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-肌力/肌张力-左右', '左右', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-肌力/肌张力-选项', '肌力/肌张力选项', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫-肌力/肌张力-等级', '等级', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-类型', '类型', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-特征', '特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-呼吸频率', '呼吸频率', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-缓解因素', '缓解因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-类型-表现为', '表现为', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40293', 'N', '1970-01-01 12:00:00', '2019-04-01 10:20:03', '0', '108', '呼吸困难-类型-类型1', '呼吸困难类型1', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-类型-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-类型-类型2', '呼吸困难类型2', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-特征-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40297', 'N', '1970-01-01 12:00:00', '2019-04-01 16:45:00', '0', '108', '呼吸困难-特征-三凹征', '三凹征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40299', 'N', '1970-01-01 12:00:00', '2019-04-01 16:46:49', '0', '108', '呼吸困难-呼吸频率-频率', '呼吸频率-频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-呼吸频率-填写', '呼吸频率-填写', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40301', 'N', '1970-01-01 12:00:00', '2019-04-01 16:48:09', '0', '108', '呼吸困难-缓解因素-因素', '缓解因素-因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40302', 'N', '1970-01-01 12:00:00', '2019-04-01 16:49:29', '0', '108', '呼吸困难-缓解因素-结果', '缓解因素-结果', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难-伴随症状-伴/无', '伴随症状-伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40304', 'N', '1970-01-01 12:00:00', '2019-04-01 16:56:56', '0', '108', '呼吸困难-伴随症状-症状', '伴随症状-症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛-伴随症状-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40316', 'N', '1970-01-01 12:00:00', '2019-04-03 19:14:37', '0', '108', '咽痛-伴随症状-症状', '症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-发作特征-左右', '左右', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-发作特征-季节', '季节', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-伴随症状-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40324', 'N', '1970-01-01 12:00:00', '2019-06-12 14:41:08', '0', '108', '鼻塞-伴随症状-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞-伴随症状-症状', '症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕-发作特征-颜色', '颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕-发作特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕-发作特征-量', '量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40331', 'N', '1970-01-01 12:00:00', '2019-04-01 10:15:41', '0', '108', '皮疹-发作部位', '发作部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40334', 'N', '1970-01-01 12:00:00', '2019-04-01 10:08:43', '0', '108', '皮疹-发作部位-部位1', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40335', 'N', '1970-01-01 12:00:00', '2019-04-01 10:15:28', '0', '108', '皮疹-发作部位-性状1', '性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40337', 'N', '1970-01-01 12:00:00', '2019-04-01 10:16:13', '0', '108', '皮疹-发作特征-形状', '形状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-发作特征-局部', '局部', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40339', 'N', '1970-01-01 12:00:00', '2019-04-01 10:16:23', '0', '108', '皮疹-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-伴随症状-疹间皮肤正常', '疹间皮肤正常', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹-伴随症状-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40342', 'N', '1970-01-01 12:00:00', '2019-04-01 10:17:05', '0', '108', '皮疹-伴随症状-症状', '症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-耳鸣声音描述', '耳鸣声音描述', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-发作特征-部位', '部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-发作特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-耳鸣声音描述-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-耳鸣声音描述-声音', '声音', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣-耳鸣声音描述-音量', '音量', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1', '家族相关传染病史', '家族相关传染病史', '3', '0', '200', '2', '0', '3', '0', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '否认家族性传染病史', '否认家族性传染病史', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结核', '结核', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-瞳孔情况', '瞳孔情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-基本情况-面容情况', '面容情况', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-基本情况-疼痛刺激', '疼痛刺激', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-基本情况-呼吸节奏', '呼吸节奏', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-基本情况-血压情况', '血压情况', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40360', 'N', '1970-01-01 12:00:00', '2019-04-01 09:59:56', '0', '108', '昏迷-瞳孔情况-角膜反射', '角膜发射', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-瞳孔情况-瞳孔黄染', '瞳孔黄染', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-瞳孔情况-瞳孔形状', '瞳孔形状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40363', 'N', '1970-01-01 12:00:00', '2019-04-01 10:00:38', '0', '108', '昏迷-瞳孔情况-瞳孔大小(填写）', '瞳孔大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声音嘶哑-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40367', 'N', '1970-01-01 12:00:00', '2019-04-01 09:53:17', '0', '108', '声音嘶哑-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声音嘶哑-基本情况-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40369', 'N', '1970-01-01 12:00:00', '2019-04-01 09:46:31', '0', '108', '声音嘶哑-基本情况-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40370', 'N', '1970-01-01 12:00:00', '2019-04-01 09:48:11', '0', '108', '声音嘶哑-基本情况-表现为', '表现为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40371', 'N', '1970-01-01 12:00:00', '2019-04-01 09:48:31', '0', '108', '声音嘶哑-基本情况-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声音嘶哑-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40373', 'N', '1970-01-01 12:00:00', '2019-04-01 09:52:43', '0', '108', '声音嘶哑-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况-特性', '特性', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况-表现为', '表现为', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况-食物性状', '食物性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-基本情况-吞咽困难', '吞咽困难', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽障碍-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40386', 'N', '1970-01-01 12:00:00', '2019-04-01 09:41:01', '0', '108', '咽喉痛-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛-发作特征-表现为', '表现为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40388', 'N', '1970-01-01 12:00:00', '2019-04-01 09:41:13', '0', '108', '咽喉痛-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40390', 'N', '1970-01-01 12:00:00', '2019-04-01 09:35:42', '0', '108', '咽喉痛-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40392', 'N', '1970-01-01 12:00:00', '2019-03-30 14:10:29', '0', '108', '头晕-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40393', 'N', '1970-01-01 12:00:00', '2019-04-01 09:26:06', '0', '108', '头晕-诱发因素', '诱发因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40395', 'N', '1970-01-01 12:00:00', '2019-03-30 14:11:20', '0', '108', '头晕-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-发作特征-表现为', '表现为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40397', 'N', '1970-01-01 12:00:00', '2019-04-01 09:19:23', '0', '108', '头晕-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40399', 'N', '1970-01-01 12:00:00', '2019-03-30 14:10:39', '0', '108', '头晕-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40400', 'N', '1970-01-01 12:00:00', '2019-04-01 09:28:11', '0', '108', '头晕-诱发因素-因素', '诱发因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40401', 'N', '1970-01-01 12:00:00', '2019-04-01 09:27:25', '0', '108', '头晕-诱发因素-2', '连接词', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-诱发因素-休息后', '休息后', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕-诱发因素-结果', '结果', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '叩呈清音-部位', '叩呈清音-部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '叩呈清音-选项', '叩呈清音-选项', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-发作特征-发作因素', '发作因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-发作特征-程度', '程度', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '未闻及明显干湿啰音-部位', '未闻及明显干湿啰音-部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '未闻及明显干湿啰音-选项', '未闻及明显干湿啰音-选项', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40424', 'N', '1970-01-01 12:00:00', '2019-03-30 13:47:29', '0', '108', '烧心-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-发作特征-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-发作特征-因素', '发作因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-发作特征-结果', '结果', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40430', 'N', '1970-01-01 12:00:00', '2019-03-30 13:47:40', '0', '108', '烧心-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-排便频率', '排便频率', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-发作特征-大便', '大便', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40435', 'N', '1970-01-01 12:00:00', '2019-03-30 13:41:55', '0', '108', '黑便-发作特征-性状', '性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40436', 'N', '1970-01-01 12:00:00', '2019-03-30 13:42:10', '0', '108', '黑便-发作特征-颜色', '颜色', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40437', 'N', '1970-01-01 12:00:00', '2019-03-30 13:43:26', '0', '108', '黑便-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40438', 'N', '1970-01-01 12:00:00', '2019-03-30 13:43:59', '0', '108', '黑便-排便频率-频率', '排便频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-排便频率-排气', '排气', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40441', 'N', '1970-01-01 12:00:00', '2019-03-30 13:45:15', '0', '108', '黑便-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块-基本情况-大小(填写)', '大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40445', 'N', '1970-01-01 12:00:00', '2019-03-30 13:23:16', '0', '108', '腹部包块-基本情况-触感', '触感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40446', 'N', '1970-01-01 12:00:00', '2019-03-30 13:21:16', '0', '108', '腹部包块-基本情况-性状', '性状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40447', 'N', '1970-01-01 12:00:00', '2019-03-30 13:22:57', '0', '108', '腹部包块-基本情况-肤色', '肤色', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40448', 'N', '1970-01-01 12:00:00', '2019-03-30 13:32:49', '0', '108', '腹部包块-基本情况-压痛', '压痛', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块-其他情况-伴/无', '伴/无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40450', 'N', '1970-01-01 12:00:00', '2019-03-30 13:32:43', '0', '108', '腹部包块-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发黄-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发黄-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40453', 'N', '1970-01-01 12:00:00', '2019-03-30 13:17:47', '0', '108', '皮肤发黄-基本情况-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发黄-基本情况-皮肤发黄', '皮肤发黄', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发黄-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40456', 'N', '1970-01-01 12:00:00', '2019-03-30 13:18:14', '0', '108', '皮肤发黄-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40457', 'N', '1970-01-01 12:00:00', '2019-03-30 12:55:24', '0', '108', '皮下瘀斑-发作部位', '发作部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40458', 'N', '1970-01-01 12:00:00', '2019-03-30 12:56:40', '0', '108', '皮下瘀斑-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40459', 'N', '1970-01-01 12:00:00', '2019-03-30 12:57:39', '0', '108', '皮下瘀斑-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-发作部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-发作部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-发作部位-出现', '出现', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40463', 'N', '1970-01-01 12:00:00', '2019-03-30 12:56:54', '0', '108', '皮下瘀斑-发作部位-大小(填写)', '大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40464', 'N', '1970-01-01 12:00:00', '2019-03-30 12:57:11', '0', '108', '皮下瘀斑-基本情况-瘀斑大小(填写)', '瘀斑大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-基本情况-按压', '按压', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-基本情况-有无', '有无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-基本情况-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40470', 'N', '1970-01-01 12:00:00', '2019-03-30 13:15:19', '0', '108', '皮肤瘀点-发作部位', '发作部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40471', 'N', '1970-01-01 12:00:00', '2019-03-30 13:16:45', '0', '108', '皮肤瘀点-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40472', 'N', '1970-01-01 12:00:00', '2019-03-30 13:21:28', '0', '108', '皮肤瘀点-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-发作部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-发作部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-发作部位-出现', '出现', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40476', 'N', '1970-01-01 12:00:00', '2019-03-30 13:15:40', '0', '108', '皮肤瘀点-发作部位-大小(填写)', '大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40477', 'N', '1970-01-01 12:00:00', '2019-03-30 13:16:16', '0', '108', '皮肤瘀点-基本情况-瘀点大小(填写)', '瘀点大小(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-基本情况-按压', '按压', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-基本情况-有无', '有无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-基本情况-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘀点-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40482', 'N', '1970-01-01 12:00:00', '2019-03-30 13:17:12', '0', '108', '皮肤瘀点-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40483', 'N', '1970-01-01 12:00:00', '2019-03-30 13:06:28', '0', '108', '紫癜-发作部位', '发作部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40484', 'N', '1970-01-01 12:00:00', '2019-03-30 13:08:30', '0', '108', '紫癜-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40485', 'N', '1970-01-01 12:00:00', '2019-03-30 13:08:51', '0', '108', '紫癜-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-发作部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-发作部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-发作部位-出现', '出现', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40489', 'N', '1970-01-01 12:00:00', '2019-03-30 13:08:01', '0', '108', '紫癜-发作部位-大小', '大小', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40490', 'N', '1970-01-01 12:00:00', '2019-03-30 13:07:55', '0', '108', '紫癜-基本情况-紫癜大小', '紫癜大小', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-基本情况-按压', '按压', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-基本情况-有无', '有无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-基本情况-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫癜-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-诱发因素', '诱发因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-发作特征-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-发作特征-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-基本情况-发作', '发作', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40503', 'N', '1970-01-01 12:00:00', '2019-03-30 12:25:47', '0', '108', '黑矇-基本情况-视物', '视物', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-基本情况-恢复时间', '恢复时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-诱发因素-因素', '诱发因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40506', 'N', '1970-01-01 12:00:00', '2019-03-30 12:26:31', '0', '108', '黑矇-诱发因素-发作频率', '发作频率', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-诱发因素-姿势', '姿势', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-诱发因素-恢复情况', '恢复情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40510', 'N', '1970-01-01 12:00:00', '2019-03-30 12:27:20', '0', '108', '黑矇-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-疼痛部位', '疼痛部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-诱发因素', '诱发因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-疼痛部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40515', 'N', '1970-01-01 12:00:00', '2019-03-30 12:14:53', '0', '108', '背痛-疼痛部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40516', 'N', '1970-01-01 12:00:00', '2019-03-30 12:18:33', '0', '108', '背痛-疼痛部位-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-疼痛部位-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-疼痛部位-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40519', 'N', '1970-01-01 12:00:00', '2019-03-30 12:24:00', '0', '108', '背痛-诱发因素-因素', '诱发因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40520', 'N', '1970-01-01 12:00:00', '2019-03-30 12:20:52', '0', '108', '背痛-诱发因素-缓解', '缓解', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-诱发因素-按压', '按压', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-部位', '部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-部位-肢体', '肢体', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-部位-乏力', '乏力', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况-感否', '感否', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况-精神', '精神', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况-能否', '能否', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况-活动', '活动', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力-其他情况-休息', '休息', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-其他情况-喜', '喜', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-其他情况-饮料', '饮料', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-基本情况-时间', '时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-基本情况-口干感', '口干感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-基本情况-饮水', '饮水', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干-基本情况-无明显变化', '无明显变化', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40546', 'N', '1970-01-01 12:00:00', '2019-03-30 11:51:57', '0', '108', '胸闷-发作因素-缓解因素', '缓解因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷-发作因素-缓解', '缓解', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮-基本情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮-基本情况-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮-基本情况-喜', '喜', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮-基本情况-饮料', '饮料', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多尿-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多尿-基本情况-填写', '填写', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多尿-基本情况-时间', '时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '等传染病史', '等传染病史', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('40557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消瘦-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40558', 'N', '1970-01-01 12:00:00', '2019-03-29 11:46:00', '0', '108', '消瘦-基本情况-BMI', 'BMI', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40559', 'N', '1970-01-01 12:00:00', '2019-03-29 11:46:14', '0', '108', '消瘦-基本情况-既往情况', '既往情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40560', 'N', '1970-01-01 12:00:00', '2019-03-29 11:46:40', '0', '108', '消瘦-基本情况-营养', '营养', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40561', 'N', '1970-01-01 12:00:00', '2019-03-29 11:46:47', '0', '108', '消瘦-基本情况-饮食偏好', '口味', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40562', 'N', '1970-01-01 12:00:00', '2019-03-29 11:47:03', '0', '108', '消瘦-基本情况-饮食规律', '饮食规律', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降-基本情况-体重变化', '体重变化', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降-基本情况-营养', '营养', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降-基本情况-饮食偏好', '饮食偏好', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降-基本情况-饮食规律', '饮食规律', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40568', 'N', '1970-01-01 12:00:00', '2019-03-29 11:35:30', '0', '108', '畏寒-基本情况', '基本情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗-部位', '部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗-诱发因素', '诱发因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40571', 'N', '1970-01-01 12:00:00', '2019-03-29 11:13:27', '0', '108', '多汗-部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40572', 'N', '1970-01-01 12:00:00', '2019-03-29 11:13:19', '0', '108', '多汗-部位-多汗', '多汗', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗-部位-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40574', 'N', '1970-01-01 12:00:00', '2019-03-29 11:34:25', '0', '108', '多汗-部位-发作特性', '发作特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗-诱发因素-时间', '时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗-诱发因素-伴', '伴', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40577', 'N', '1970-01-01 12:00:00', '2019-03-29 11:30:18', '0', '108', '多汗-诱发因素-发作特征', '发作特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40578', 'N', '1970-01-01 12:00:00', '2019-03-29 10:37:56', '0', '108', '食欲亢进-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲亢进-基本情况-味觉', '味觉', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲亢进-基本情况-口味偏好', '口味偏好', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛发异常-生长部位', '生长部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40582', 'N', '1970-01-01 12:00:00', '2019-03-29 10:28:41', '0', '108', '毛发异常-毛发性质', '毛发性质', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛发异常-生长部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40584', 'N', '1970-01-01 12:00:00', '2019-03-29 10:24:11', '0', '108', '毛发异常-生长部位-均有毛发', '均有毛发', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛发异常-生长部位-分布情况', '分布情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40586', 'N', '1970-01-01 12:00:00', '2019-03-29 10:24:54', '0', '108', '毛发异常-毛发性质-质地', '质地', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40587', 'N', '1970-01-01 12:00:00', '2019-03-29 10:25:21', '0', '108', '毛发异常-毛发性质-发量', '发量', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40588', 'N', '1970-01-01 12:00:00', '2019-03-29 10:25:07', '0', '108', '毛发异常-毛发性质-颜色', '颜色', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '毛发异常-毛发性质-深浅', '深浅', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲减退-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40591', 'N', '1970-01-01 12:00:00', '2019-03-29 09:29:01', '0', '108', '食欲减退-基本情况-口淡无味', '口淡无味', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40592', 'N', '1970-01-01 12:00:00', '2019-03-29 09:29:09', '0', '108', '食欲减退-基本情况-进食情况', '进食情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40593', 'N', '1970-01-01 12:00:00', '2019-04-04 09:14:59', '0', '108', '腰痛-疼痛部位', '疼痛部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40594', 'N', '1970-01-01 12:00:00', '2019-03-28 17:40:30', '0', '108', '腰痛-疼痛性质', '疼痛性质', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40595', 'N', '1970-01-01 12:00:00', '2019-03-28 17:35:47', '0', '108', '腰痛-放射部位', '放射部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-缓解加重因素', '缓解加重因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛部位-腰椎位置', '腰椎位置', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛部位-填写', '(填写)', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40599', 'N', '1970-01-01 12:00:00', '2019-04-04 09:14:52', '0', '108', '腰痛-疼痛部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛部位-诱因', '诱因', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛部位-疼痛', '疼痛', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛性质-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-疼痛性质-特性', '特性', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40604', 'N', '1970-01-01 12:00:00', '2019-03-28 17:41:37', '0', '108', '腰痛-疼痛性质-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-放射部位-可放射至', '可放射至', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-放射部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40607', 'N', '1970-01-01 12:00:00', '2019-03-28 17:44:35', '0', '108', '腰痛-放射部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-缓解加重因素-因素', '因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40609', 'N', '1970-01-01 12:00:00', '2019-03-29 09:21:53', '0', '108', '腰痛-缓解加重因素-疼痛变化', '疼痛变化', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛-缓解加重因素-按压', '按压', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿中断-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿中断-基本情况-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40613', 'N', '1970-01-01 12:00:00', '2019-03-28 17:07:50', '0', '108', '排尿中断-基本情况-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40614', 'N', '1970-01-01 12:00:00', '2019-03-28 17:09:09', '0', '108', '排尿中断-基本情况-费力', '费力', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿中断-基本情况-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难-发作特征-用力', '用力', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便次数少-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便次数少-基本情况-频率', '频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40619', 'N', '1970-01-01 12:00:00', '2019-04-03 13:16:46', '0', '108', '小便次数少-基本情况-单次排尿量', '单次排尿量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40620', 'N', '1970-01-01 12:00:00', '2019-04-03 13:18:07', '0', '108', '小便次数少-基本情况-尿量', '尿量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40621', 'N', '1970-01-01 12:00:00', '2019-04-03 13:18:50', '0', '108', '小便次数少-基本情况-颜色', '颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便次数少-基本情况-不适感', '不适感', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40623', 'N', '1970-01-01 12:00:00', '2019-03-28 16:07:42', '0', '108', '夜尿频-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40624', 'N', '1970-01-01 12:00:00', '2019-04-03 13:15:34', '0', '108', '夜尿频-基本情况-频率', '频率', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿失禁-基本情况', '基本情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40626', 'N', '1970-01-01 12:00:00', '2019-03-28 13:29:13', '0', '108', '尿液混浊-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液混浊-基本情况-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液混浊-基本情况-颜色', '颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液混浊-基本情况-有无', '有无', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿液混浊-基本情况-性状', '性状', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40631', 'N', '1970-01-01 12:00:00', '2019-03-28 13:30:10', '0', '108', '尿液混浊-基本情况-泡沫', '泡沫', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40632', 'N', '1970-01-01 12:00:00', '2019-03-28 13:18:03', '0', '108', '鼻出血-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40633', 'N', '1970-01-01 12:00:00', '2019-03-28 13:16:25', '0', '108', '鼻出血-基本情况-部位', '部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40634', 'N', '1970-01-01 12:00:00', '2019-03-28 13:16:42', '0', '108', '鼻出血-基本情况-颜色', '颜色', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻出血-基本情况-血量', '血量', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40636', 'N', '1970-01-01 12:00:00', '2019-04-03 11:00:09', '0', '108', '鼻出血-基本情况-填写', '填写', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40637', 'N', '1970-01-01 12:00:00', '2019-04-03 10:59:42', '0', '108', '鼻出血-基本情况-止血情况', '止血情况', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40638', 'N', '1970-01-01 12:00:00', '2019-03-28 13:21:25', '0', '108', '鼻出血-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻出血-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40640', 'N', '1970-01-01 12:00:00', '2019-03-28 13:20:39', '0', '108', '鼻出血-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40641', 'N', '1970-01-01 12:00:00', '2019-03-28 11:47:23', '0', '108', '牙龈出血-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40642', 'N', '1970-01-01 12:00:00', '2019-03-28 13:13:41', '0', '108', '牙龈出血-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血-基本情况-出血量', '出血量', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40644', 'N', '1970-01-01 12:00:00', '2019-03-28 13:10:41', '0', '108', '牙龈出血-基本情况-诱发因素', '诱发因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血-基本情况-易发', '易发', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血-基本情况-晨起痰', '晨起痰', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血-基本情况-痰中是否带血', '痰中是否带血', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40649', 'N', '1970-01-01 12:00:00', '2019-03-28 13:13:29', '0', '108', '牙龈出血-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨痛-疼痛部位', '疼痛部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨痛-缓解因素', '缓解因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨痛-疼痛部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40653', 'N', '1970-01-01 12:00:00', '2019-03-28 10:50:41', '0', '108', '骨痛-疼痛部位-填写', '填写', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40654', 'N', '1970-01-01 12:00:00', '2019-03-28 11:37:42', '0', '108', '骨痛-疼痛部位-疼痛部位', '疼痛部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '骨痛-疼痛部位-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40656', 'N', '1970-01-01 12:00:00', '2019-03-28 10:55:49', '0', '108', '骨痛-疼痛部位-疼痛感', '疼痛感', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40657', 'N', '1970-01-01 12:00:00', '2019-03-28 10:57:37', '0', '108', '骨痛-缓解因素-因素', '因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40658', 'N', '1970-01-01 12:00:00', '2019-03-28 11:39:10', '0', '108', '骨痛-缓解因素-结果', '结果', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-诱发因素', '诱发因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-基本情况-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-基本情况-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-基本情况-呼吸深浅', '呼吸深浅', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-基本情况-填写', '填写', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-诱发因素-因素', '因素', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-诱发因素-易发', '易发', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-诱发因素-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促-诱发因素-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40670', 'N', '1970-01-01 12:00:00', '2019-03-28 10:39:19', '0', '108', '手脚麻木-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木-发作特征-呈', '呈', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40672', 'N', '1970-01-01 12:00:00', '2019-03-28 10:41:34', '0', '108', '手脚麻木-发作特征-特征', '特征', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木-发作特征-为', '为', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40674', 'N', '1970-01-01 12:00:00', '2019-04-03 10:58:14', '0', '108', '手脚麻木-发作特征-部位', '部位', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木-发作特征-发作时间', '发作时间', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手脚麻木-其他情况-伴无', '伴无', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40677', 'N', '1970-01-01 12:00:00', '2019-04-03 10:58:37', '0', '108', '手脚麻木-其他情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志不清-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志不清-其他情况-呼之反应', '呼之反应', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志不清-其他情况-谵语', '谵语', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '神志不清-其他情况-对答情况', '对答情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤-疼痛部位', '疼痛部位', '3', '0', '200', '2', '0', '0', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤-疼痛部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤-疼痛部位-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40685', 'N', '1970-01-01 12:00:00', '2019-03-28 10:33:15', '0', '108', '关节扭伤-疼痛部位-关节扭伤', '关节扭伤', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤-疼痛部位-当即伤处肿痛', '当即伤处肿痛', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤-疼痛部位-无法活动', '无法活动', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40688', 'N', '1970-01-01 12:00:00', '2019-03-28 10:32:29', '0', '108', '关节扭伤-疼痛部位', '疼痛部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部外伤-受伤情况', '受伤情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部外伤-受伤情况-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40691', 'N', '1970-01-01 12:00:00', '2019-04-03 10:56:24', '0', '108', '头部外伤-受伤情况-伤口大小', '伤口大小', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40692', 'N', '1970-01-01 12:00:00', '2019-03-28 10:25:55', '0', '108', '头部外伤-受伤情况-伤口边缘', '伤口边缘', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部外伤-受伤情况-皮肤缺损', '皮肤缺损', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40694', 'N', '1970-01-01 12:00:00', '2019-03-28 15:30:46', '0', '108', '烫伤-烫伤部位', '烫伤部位', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40695', 'N', '1970-01-01 12:00:00', '2019-03-28 10:05:44', '0', '108', '烫伤-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烫伤-烫伤部位-方位', '方位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40697', 'N', '1970-01-01 12:00:00', '2019-03-28 15:23:07', '0', '108', '烫伤-烫伤部位-部位1', '烫伤-烫伤部位-部位1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烫伤-烫伤部位-烫伤', '烫伤', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40699', 'N', '1970-01-01 12:00:00', '2019-03-28 09:59:04', '0', '108', '烫伤-基本情况-1', '烫伤-基本情况-1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40700', 'N', '1970-01-01 12:00:00', '2019-03-28 10:00:41', '0', '108', '烫伤-基本情况2', '烫伤-基本情况2', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40701', 'N', '1970-01-01 12:00:00', '2019-03-28 15:31:51', '0', '108', '烫伤-基本情况3', '烫伤-基本情况3', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40702', 'N', '1970-01-01 12:00:00', '2019-03-28 10:05:38', '0', '108', '烫伤-基本情况4', '烫伤-基本情况4', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40703', 'N', '1970-01-01 12:00:00', '2019-03-27 19:59:29', '0', '108', '月经失调-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40704', 'N', '1970-01-01 12:00:00', '2019-03-27 19:52:57', '0', '108', '月经失调-基本情况-1', '月经失调-基本情况-1', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40705', 'N', '1970-01-01 12:00:00', '2019-03-27 19:54:04', '0', '108', '月经失调-基本情况-2', '月经失调-基本情况-2', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40706', 'N', '1970-01-01 12:00:00', '2019-03-27 19:59:12', '0', '108', '月经失调-基本情况-3', '月经失调-基本情况-3', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经失调-基本情况-伴随症状', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门疼痛-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门疼痛-基本情况-为', '为', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门疼痛-基本情况-部位', '部位', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40711', 'N', '1970-01-01 12:00:00', '2019-03-27 17:52:10', '0', '108', '肛门疼痛-基本情况-疼痛性质', '疼痛性质', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40712', 'N', '1970-01-01 12:00:00', '2019-03-27 17:40:22', '0', '108', '肛门疼痛-基本情况-疼痛程度', '疼痛程度', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40713', 'N', '1970-01-01 12:00:00', '2019-03-27 16:13:00', '0', '108', '肢体抽搐-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40714', 'N', '1970-01-01 12:00:00', '2019-03-27 16:10:20', '0', '108', '肢体抽搐-基本情况-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40715', 'N', '1970-01-01 12:00:00', '2019-03-28 17:22:13', '0', '108', '肢体抽搐-基本情况-规律', '肢体抽搐-基本情况-规律', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40716', 'N', '1970-01-01 12:00:00', '2019-03-27 14:18:31', '0', '108', '肢体抽搐-基本情况-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40717', 'N', '1970-01-01 12:00:00', '2019-03-27 16:17:41', '0', '108', '肢体抽搐-基本情况-持续时间', '持续时间', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀按摩热敷', '按摩热敷情况', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常-基本情况-渐行性加重', '渐行性加重', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常-基本情况-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常-基本情况-特征', '特征', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降-基本情况-呈', '呈', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40725', 'N', '1970-01-01 12:00:00', '2019-03-27 15:44:33', '0', '108', '听力下降-基本情况-渐行性加重', '渐行性加重', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降-基本情况-外耳道是否看见', '外耳道是否可见', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降-基本情况-分泌物', '分泌物', '3', '0', '200', '1', '2', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40728', 'N', '1970-01-01 12:00:00', '2019-03-27 10:04:44', '0', '108', '关节疼痛-缓解因素', '缓解因素', '3', '0', '200', '2', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40729', 'N', '1970-01-01 12:00:00', '2019-03-27 09:49:26', '0', '108', '关节疼痛-缓解因素-1', '因素', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40730', 'N', '1970-01-01 12:00:00', '2019-03-27 09:50:12', '0', '108', '关节疼痛-缓解因素-结果', '结果', '3', '0', '200', '1', '1', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40887', 'N', '2019-03-25 19:11:29', '2019-03-25 19:11:29', '108', '108', '胸痛-序号', '胸痛-序号', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40888', 'N', '2019-03-25 20:21:55', '2019-03-25 20:21:55', '108', '108', '生理反射存在，病理反射未引出-第四列', '生理反射存在，病理反射未引出-第四列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40890', 'N', '2019-03-26 15:28:10', '2019-03-26 15:28:10', '108', '108', '关节疼痛描述-部位1', '关节疼痛描述-部位1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40891', 'N', '2019-03-26 15:59:47', '2019-03-26 15:59:47', '108', '108', '关节疼痛-伴随症状', '关节疼痛-伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40892', 'N', '2019-03-26 16:26:44', '2019-03-28 14:29:39', '108', '108', '关节疼痛描述-部位-多选', '关节疼痛描述-部位-多选', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40893', 'N', '2019-03-26 16:29:01', '2019-03-26 16:29:01', '108', '108', '关节疼痛描述-方向-多选', '关节疼痛描述-方向-多选', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40894', 'N', '2019-03-26 16:34:36', '2019-04-02 17:00:13', '108', '108', '关节疼痛描述-发作规律-多选', '关节疼痛描述-发作规律-多选', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40895', 'N', '2019-03-26 16:35:42', '2019-03-26 16:35:42', '108', '108', '关节疼痛描述-疼痛性质-多选', '关节疼痛描述-疼痛性质-多选', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40896', 'N', '2019-03-26 16:48:25', '2019-03-26 17:34:14', '108', '108', '关节疼痛-伴随症状1', '伴随症状', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40897', 'N', '2019-03-26 16:48:25', '2019-03-26 16:48:25', '108', '108', ',', ',', '3', '0', '200', '8', '0', '1', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40898', 'N', '2019-03-26 16:50:40', '2019-03-28 14:28:09', '108', '108', '关节疼痛-伴随症状新1', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40899', 'N', '2019-03-27 09:39:15', '2019-03-27 10:29:43', '108', '108', '关节疼痛伴随症状新', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40900', 'N', '2019-03-27 09:56:56', '2019-03-27 09:57:14', '108', '108', '关节疼痛缓解因素新', '因素', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40901', 'N', '2019-03-27 09:58:56', '2019-03-27 09:58:56', '108', '108', '关节疼痛缓解因素结果新', '结果', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40902', 'N', '2019-03-27 10:04:20', '2019-03-27 10:04:20', '108', '108', '关节疼痛缓解因素新3', '关节疼痛缓解因素新3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40903', 'N', '2019-03-27 10:06:19', '2019-03-27 10:06:19', '108', '108', '关节疼痛描述-疼痛规律', '关节疼痛描述-疼痛规律', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40904', 'N', '2019-03-27 10:28:06', '2019-03-27 10:28:06', '108', '108', '关节疼痛-伴随症状新2', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40905', 'N', '2019-03-27 10:29:00', '2019-03-27 10:29:00', '108', '108', '关节疼痛-伴随症状新3', '伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40906', 'N', '2019-03-27 13:23:41', '2019-03-27 13:23:41', '108', '108', '发绀类别1', '发绀类别1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40907', 'N', '2019-03-27 13:28:45', '2019-03-27 13:28:45', '108', '108', '发绀2', '发绀2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40908', 'N', '2019-03-27 13:29:21', '2019-03-27 13:32:00', '108', '108', '发绀3', '发绀3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40909', 'N', '2019-03-27 13:30:11', '2019-03-27 13:30:11', '108', '108', '发绀4', '发绀4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40910', 'N', '2019-03-27 14:16:45', '2019-03-27 14:20:53', '108', '108', '肢体抽搐5', '肢体抽搐5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40911', 'N', '2019-03-27 14:23:36', '2019-03-27 16:53:49', '108', '108', '肢体抽搐-发作时症状', '发作时症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40912', 'N', '2019-03-27 14:38:50', '2019-03-27 15:27:01', '108', '99', '肢体抽搐-发作时症', '肢体抽搐-发作时症', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40913', 'N', '2019-03-27 14:46:04', '2019-03-27 17:31:59', '108', '108', '肢体抽搐-发作时症状1', '肢体抽搐-发作时症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40914', 'N', '2019-03-27 14:49:39', '2019-03-28 14:37:28', '108', '108', '肢体抽搐-发作时症状2', '肢体抽搐-发作时症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40915', 'N', '2019-03-27 16:09:52', '2019-03-27 16:09:52', '108', '108', '肢体抽搐-基本情况-部位2', '肢体抽搐-基本情况-部位2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40916', 'N', '2019-03-27 16:14:28', '2019-03-27 16:14:28', '108', '108', '肢体抽搐-持续时间', '持续时间', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40917', 'N', '2019-03-27 16:22:09', '2019-03-28 14:39:26', '108', '108', '肢体抽搐-发作时症状3', '肢体抽搐-发作时症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40918', 'N', '2019-03-27 17:47:02', '2019-03-27 18:56:52', '108', '108', '肛门疼痛-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40919', 'N', '2019-03-27 17:54:14', '2019-03-27 18:39:23', '108', '108', '肛门疼痛-伴随症状-介词', '肛门疼痛-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40920', 'N', '2019-03-27 17:54:51', '2019-03-27 18:38:57', '108', '108', '肛门疼痛-伴随症状2', '肛门疼痛-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40921', 'N', '2019-03-27 18:28:50', '2019-03-27 18:39:10', '108', '108', '肛门疼痛-伴随症状3', '肛门疼痛-伴随症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40922', 'N', '2019-03-27 18:31:17', '2019-03-27 18:31:17', '108', '108', '肛门疼痛-伴随症状4', '肛门疼痛-伴随症状4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40923', 'N', '2019-03-27 18:56:42', '2019-03-27 18:56:42', '108', '108', '肛门疼痛-伴随症状5', '肛门疼痛-伴随症状5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40924', 'N', '2019-03-27 20:00:43', '2019-03-27 20:33:43', '108', '108', '月经失调-月经性质', '月经性质', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40925', 'N', '2019-03-27 20:02:34', '2019-03-27 20:02:34', '108', '108', '月经失调-月经性质1', '月经失调-月经性质1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40926', 'N', '2019-03-27 20:24:46', '2019-04-03 10:52:43', '108', '108', '月经失调-月经性质2', '月经失调-月经性质3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40927', 'N', '2019-03-27 20:26:59', '2019-04-03 10:54:32', '108', '108', '月经失调-月经性质3', '月经失调-月经性质3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40928', 'N', '2019-03-27 20:28:03', '2019-03-27 20:35:15', '108', '108', '月经失调-月经性质4', '月经失调-月经性质4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40929', 'N', '2019-03-27 20:32:17', '2019-04-03 10:55:35', '108', '108', '月经失调-月经性质5', '月经失调-月经性质5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40930', 'N', '2019-03-28 09:50:34', '2019-03-28 15:30:29', '108', '108', '烫伤-烫伤程度', '烫伤-烫伤程度', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40931', 'N', '2019-03-28 10:14:58', '2019-03-28 10:25:08', '108', '108', '头部外伤-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40932', 'N', '2019-03-28 10:16:11', '2019-03-28 10:17:52', '108', '108', '头部外伤-伴随症状1', '头部外伤-伴随症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40933', 'N', '2019-03-28 10:17:21', '2019-03-28 10:19:33', '108', '108', '头部外伤-伴随症状2', '头部外伤-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40934', 'N', '2019-03-28 10:18:50', '2019-03-28 10:18:50', '108', '108', '头部外伤-伴随症状3', '头部外伤-伴随症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40935', 'N', '2019-03-28 10:29:05', '2019-03-28 10:31:47', '108', '108', '关节扭伤-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40936', 'N', '2019-03-28 10:29:50', '2019-03-28 10:29:50', '108', '108', '关节扭伤-伴随症状1', '关节扭伤-伴随症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40937', 'N', '2019-03-28 10:31:02', '2019-03-28 10:33:24', '108', '108', '关节扭伤-伴随症状2', '关节扭伤-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40938', 'N', '2019-03-28 10:31:28', '2019-03-28 10:33:31', '108', '108', '关节扭伤-伴随症状3', '关节扭伤-伴随症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40939', 'N', '2019-03-28 10:38:04', '2019-03-28 10:38:04', '108', '108', '手脚麻木-其他情况3', '手脚麻木-其他情况3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40940', 'N', '2019-03-28 10:38:44', '2019-03-28 10:38:44', '108', '108', '手脚麻木-其他情况4', '手脚麻木-其他情况4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40941', 'N', '2019-03-28 11:11:24', '2019-03-28 11:26:35', '108', '108', '骨痛-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40942', 'N', '2019-03-28 11:25:14', '2019-03-28 11:25:14', '108', '108', '骨痛-伴随症状1', '骨痛-伴随症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40943', 'N', '2019-03-28 11:26:25', '2019-03-28 11:37:13', '108', '108', '骨痛-伴随症状2', '骨痛-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40944', 'N', '2019-03-28 13:13:11', '2019-03-28 13:13:11', '108', '108', '牙龈出血-其他情况3', '牙龈出血-其他情况3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40945', 'N', '2019-03-28 13:17:44', '2019-03-28 13:17:44', '108', '108', '鼻出血-基本情况-出血量', '鼻出血-基本情况-处血量', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40946', 'N', '2019-03-28 13:21:11', '2019-03-28 13:21:11', '108', '108', '鼻出血-其他情况-伴随症状3', '鼻出血-其他情况-伴随症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40947', 'N', '2019-03-28 13:25:34', '2019-03-28 13:25:34', '108', '108', '尿液混浊-基本情况-有无1', '尿液混浊-基本情况-有无1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40948', 'N', '2019-03-28 13:26:29', '2019-03-28 13:35:13', '108', '108', '尿液混浊-基本情况-性状1', '尿液混浊-基本情况-性状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40949', 'N', '2019-03-28 13:28:56', '2019-03-28 13:34:52', '108', '108', '尿液混浊-基本情况-颜色1', '尿液混浊-基本情况-颜色1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40950', 'N', '2019-03-28 13:31:05', '2019-03-28 13:34:13', '108', '108', '尿液混浊-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40951', 'N', '2019-03-28 13:31:48', '2019-03-28 13:31:48', '108', '108', '尿液混浊-伴随症状1', '尿液混浊-伴随症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40952', 'N', '2019-03-28 13:33:19', '2019-03-28 13:38:17', '108', '108', '尿液混浊-伴随症状2', '尿液混浊-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40953', 'N', '2019-03-28 13:34:03', '2019-03-28 13:38:09', '108', '108', '尿液混浊-伴随症状3', '尿液混浊-伴随症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40954', 'N', '2019-03-28 13:47:01', '2019-03-28 13:47:01', '108', '108', '尿失禁-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40955', 'N', '2019-03-28 14:17:16', '2019-03-28 14:17:16', '108', '108', '杂音-闻及1', '杂音-闻及1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40956', 'N', '2019-03-28 14:21:39', '2019-03-28 14:21:39', '108', '108', '杂音-闻及11', '杂音-闻及11', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40957', 'N', '2019-03-28 14:23:42', '2019-04-04 16:00:03', '108', '108', '杂音-级别1', '杂音-级别1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40958', 'N', '2019-03-28 14:25:19', '2019-04-04 15:57:41', '108', '108', '杂音-传导', '杂音-传导', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40959', 'N', '2019-03-28 14:26:30', '2019-04-04 16:07:26', '108', '108', '杂音-样类型1', '杂音-样类型1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40960', 'N', '2019-03-28 15:23:11', '2019-03-28 15:23:11', '108', '108', '烫伤-烫伤部位-部位2', '烫伤-烫伤部位-部位2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40961', 'N', '2019-03-28 15:52:20', '2019-03-28 16:02:05', '108', '108', '尿失禁-基本情况1', '基本情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40962', 'N', '2019-03-28 15:56:34', '2019-03-28 15:56:34', '108', '108', '尿失禁-发作规律', '尿失禁-发作规律', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40963', 'N', '2019-03-28 15:57:48', '2019-03-28 15:57:48', '108', '108', '尿失禁-诱发因素', '尿失禁-诱发因素', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40964', 'N', '2019-03-28 15:59:36', '2019-03-28 15:59:36', '108', '108', '尿失禁-发作情况', '尿失禁-发作情况', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40965', 'N', '2019-03-28 16:01:02', '2019-03-28 16:01:02', '108', '108', '尿失禁-介词', '尿失禁-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40966', 'N', '2019-03-28 16:01:50', '2019-03-28 16:03:20', '108', '108', '尿失禁-伴随症状5', '尿失禁-伴随症状5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40967', 'N', '2019-03-28 16:05:24', '2019-03-28 16:20:25', '108', '108', '夜尿频-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40968', 'N', '2019-03-28 16:10:41', '2019-03-28 16:10:41', '108', '108', '夜尿频-伴随症状-介词', '夜尿频-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40969', 'N', '2019-03-28 16:19:10', '2019-03-28 16:24:59', '108', '108', '夜尿频-伴随症状-症状1', '夜尿频-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40970', 'N', '2019-03-28 16:20:09', '2019-03-28 16:25:06', '108', '108', '夜尿频-伴随症状-症状2', '夜尿频-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40971', 'N', '2019-03-28 16:35:07', '2019-03-28 17:06:36', '108', '108', '排尿中断-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40972', 'N', '2019-03-28 17:02:54', '2019-03-28 17:02:54', '108', '108', '排尿中断-伴随症状-介词', '排尿中断-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40973', 'N', '2019-03-28 17:04:20', '2019-03-28 17:07:09', '108', '108', '排尿中断-伴随症状-症状1', '排尿中断-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40974', 'N', '2019-03-28 17:06:23', '2019-03-28 17:07:16', '108', '108', '排尿中断-伴随症状-症状2', '排尿中断-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40975', 'N', '2019-03-28 17:34:56', '2019-03-28 17:34:56', '108', '108', '腰痛-放射部位-介词', '腰痛-放射部位-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40976', 'N', '2019-03-28 17:35:29', '2019-03-28 17:44:51', '108', '108', '腰痛-放射部位-症状', '腰痛-放射部位-症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40977', 'N', '2019-03-28 17:40:20', '2019-03-28 17:41:28', '108', '108', '腰痛-疼痛性质-特征0', '腰痛-疼痛性质-特征0', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40978', 'N', '2019-03-29 09:29:33', '2019-03-29 09:46:57', '108', '108', '食欲减退-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40979', 'N', '2019-03-29 09:45:35', '2019-03-29 09:45:35', '108', '108', '食欲减退-伴随症状-介词', '食欲减退-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40980', 'N', '2019-03-29 09:46:21', '2019-03-29 09:47:07', '108', '108', '食欲减退-伴随症状-症状1', '食欲减退-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40981', 'N', '2019-03-29 09:46:46', '2019-03-29 09:47:13', '108', '108', '食欲减退-伴随症状-症状2', '食欲减退-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40982', 'N', '2019-03-29 10:27:45', '2019-03-29 10:27:45', '108', '108', '毛发异常-毛发性质1', '毛发异常-毛发性质1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40983', 'N', '2019-03-29 10:39:07', '2019-03-29 10:39:07', '108', '108', '食欲亢进-伴随症状-介词', '食欲亢进-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40984', 'N', '2019-03-29 10:39:52', '2019-03-29 10:39:52', '108', '108', '食欲亢进-伴随症状-症状1', '食欲亢进-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40985', 'N', '2019-03-29 10:44:28', '2019-03-29 10:44:28', '108', '108', '食欲亢进-伴随症状-症状2', '食欲亢进-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40986', 'N', '2019-03-29 11:36:50', '2019-03-29 11:39:56', '108', '108', '体重下降-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40987', 'N', '2019-03-29 11:37:37', '2019-03-29 11:37:37', '108', '108', '体重下降-伴随症状-介词', '体重下降-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40988', 'N', '2019-03-29 11:39:06', '2019-03-29 11:40:05', '108', '108', '体重下降-伴随症状-症状1', '体重下降-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40989', 'N', '2019-03-29 11:39:41', '2019-03-29 11:40:11', '108', '108', '体重下降-伴随症状-症状2', '体重下降-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40990', 'N', '2019-03-29 11:45:08', '2019-03-29 11:52:05', '108', '108', '消瘦-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40991', 'N', '2019-03-29 11:48:53', '2019-03-29 11:52:31', '108', '108', '消瘦-伴随症状-规律', '消瘦-伴随症状-规律', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40992', 'N', '2019-03-29 11:49:09', '2019-03-29 11:49:09', '108', '108', '消瘦-伴随症状-介词', '消瘦-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40993', 'N', '2019-03-29 11:51:18', '2019-03-29 11:52:18', '108', '108', '消瘦-伴随症状-症状1', '消瘦-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40994', 'N', '2019-03-29 11:51:49', '2019-03-29 11:52:25', '108', '108', '消瘦-伴随症状-症状2', '消瘦-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40995', 'N', '2019-03-30 12:33:55', '2019-03-30 12:39:21', '108', '108', '皮下血肿-血肿部位', '血肿部位', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40996', 'N', '2019-03-30 12:34:46', '2019-03-30 12:58:16', '108', '108', '皮下血肿-血肿大小', '血肿大小', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40997', 'N', '2019-03-30 12:35:06', '2019-03-30 12:43:27', '108', '108', '皮下血肿-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40998', 'N', '2019-03-30 12:36:28', '2019-03-30 12:36:28', '108', '108', '皮下血肿-血肿部位1', '皮下血肿-血肿部位1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('40999', 'N', '2019-03-30 12:37:21', '2019-03-30 12:37:21', '108', '108', '皮下血肿-血肿部位2', '皮下血肿-血肿部位2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41000', 'N', '2019-03-30 12:38:15', '2019-03-30 12:38:15', '108', '108', '皮下血肿-血肿部位3', '皮下血肿-血肿部位3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41001', 'N', '2019-03-30 12:38:36', '2019-03-30 12:38:36', '108', '108', '皮下血肿-血肿部位4', '皮下血肿-血肿部位4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41002', 'N', '2019-03-30 12:38:55', '2019-03-30 12:38:55', '108', '108', '皮下血肿-血肿部位5', '皮下血肿-血肿部位5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41003', 'N', '2019-03-30 12:39:55', '2019-03-30 12:59:42', '108', '108', '皮下血肿-血肿大小1', '皮下血肿-血肿大小1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41004', 'N', '2019-03-30 12:40:15', '2019-03-30 12:40:15', '108', '108', '皮下血肿-血肿大小2', '皮下血肿-血肿大小2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41005', 'N', '2019-03-30 12:40:59', '2019-03-30 12:40:59', '108', '108', '皮下血肿-血肿大小3', '皮下血肿-血肿大小3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41006', 'N', '2019-03-30 12:41:58', '2019-03-30 12:41:58', '108', '108', '皮下血肿-伴随症状-介词', '皮下血肿-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41007', 'N', '2019-03-30 12:42:28', '2019-03-30 12:43:07', '108', '108', '皮下血肿-伴随症状1', '皮下血肿-伴随症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41008', 'N', '2019-03-30 12:43:02', '2019-03-30 12:43:02', '108', '108', '皮下血肿-伴随症状2', '皮下血肿-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41009', 'N', '2019-03-30 13:47:16', '2019-03-30 13:47:52', '108', '108', '烧心-伴随症状2', '烧心-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41010', 'N', '2019-03-30 14:10:17', '2019-03-30 14:10:50', '108', '108', '头晕-其他情况2', '头晕-其他情况2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41011', 'N', '2019-04-01 09:52:36', '2019-04-01 09:52:51', '108', '108', '声音嘶哑-其他情况-伴随症状2', '声音嘶哑-其他情况-伴随症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41012', 'N', '2019-04-01 10:08:35', '2019-04-01 10:08:35', '108', '108', '皮疹-发作部位-部位2', '皮疹-发作部位-部位2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41013', 'N', '2019-04-01 10:15:31', '2019-04-01 10:15:31', '108', '108', '皮疹-发作部位-性状2', '皮疹-发作部位-性状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41014', 'N', '2019-04-01 17:21:42', '2019-04-01 17:23:27', '108', '108', '便血-性状4', '便血-性状4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41015', 'N', '2019-04-01 17:22:13', '2019-04-01 17:22:13', '108', '108', '便血-性状5', '便血-性状5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41016', 'N', '2019-04-01 17:33:41', '2019-04-01 17:36:45', '108', '108', '便血-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41017', 'N', '2019-04-01 17:34:17', '2019-04-01 17:34:17', '108', '108', '便血-伴随症状-介词', '便血-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41018', 'N', '2019-04-01 17:35:07', '2019-04-12 11:42:25', '108', '108', '便血-伴随症状-症状1', '便血-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41019', 'N', '2019-04-01 17:36:13', '2019-04-01 17:36:22', '108', '108', '便血-伴随症状-症状2', '便血-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41020', 'N', '2019-04-01 17:53:20', '2019-04-01 17:53:20', '108', '108', '腹胀-加重因素1', '腹胀-加重因素1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41021', 'N', '2019-04-01 17:54:03', '2019-04-01 17:54:03', '108', '108', '腹胀-加重特征1', '腹胀-加重特征1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41022', 'N', '2019-04-01 18:03:39', '2019-04-01 18:03:39', '108', '108', '腹胀-伴随症状-症状11', '腹胀-伴随症状-症状11', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41023', 'N', '2019-04-01 18:04:18', '2019-04-01 18:04:18', '108', '108', '腹胀-伴随症状-症状22', '腹胀-伴随症状-症状22', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41024', 'N', '2019-04-02 09:24:16', '2019-04-02 09:41:17', '108', '108', '抽搐-单纯抽搐-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41025', 'N', '2019-04-02 09:27:28', '2019-04-02 09:27:28', '108', '108', '抽搐-单纯抽搐-发作特征-介词', '抽搐-单纯抽搐-发作特征-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41026', 'N', '2019-04-02 09:28:41', '2019-04-02 09:28:41', '108', '108', '抽搐-单纯抽搐-发作特征-规律', '抽搐-单纯抽搐-发作特征-规律', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41027', 'N', '2019-04-02 09:29:48', '2019-04-02 09:29:48', '108', '108', '抽搐-单纯抽搐-发作特征-时间', '抽搐-单纯抽搐-发作特征-时间', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41028', 'N', '2019-04-02 09:39:38', '2019-04-02 09:39:38', '108', '108', '抽搐-单纯抽搐-发作特征-4', '抽搐-单纯抽搐-发作特征-4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41029', 'N', '2019-04-02 09:40:02', '2019-04-02 09:40:02', '108', '108', '抽搐-单纯抽搐-发作特征-5', '抽搐-单纯抽搐-发作特征-5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41030', 'N', '2019-04-02 09:44:21', '2019-04-02 09:44:21', '108', '108', '抽搐-单纯抽搐-伴随症状-症状1', '抽搐-单纯抽搐-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41031', 'N', '2019-04-02 09:55:05', '2019-04-02 09:55:05', '108', '108', '抽搐-单纯抽搐-伴随症状-症状2', '抽搐-单纯抽搐-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41032', 'N', '2019-04-02 09:55:45', '2019-04-02 09:55:45', '108', '108', '抽搐-单纯抽搐-伴随症状-症状3', '抽搐-单纯抽搐-伴随症状-症状3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41033', 'N', '2019-04-02 10:04:15', '2019-04-02 10:08:16', '108', '108', '晕厥-发作特征', '发作特征', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41034', 'N', '2019-04-02 10:06:38', '2019-04-02 10:06:38', '108', '108', '晕厥-发作特征-介词', '晕厥-发作特征-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41035', 'N', '2019-04-02 10:07:32', '2019-04-02 10:07:32', '108', '108', '晕厥-发作特征-1', '晕厥-发作特征-1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41036', 'N', '2019-04-02 10:07:56', '2019-04-02 10:07:56', '108', '108', '晕厥-发作特征-2', '晕厥-发作特征-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41037', 'N', '2019-04-02 10:10:24', '2019-04-02 10:13:29', '108', '108', '晕厥伴随症状-症状2', '晕厥伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41038', 'N', '2019-04-02 10:13:10', '2019-04-02 10:13:10', '108', '108', '晕厥伴随症状-症状1', '晕厥伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41039', 'N', '2019-04-02 13:15:34', '2019-04-02 13:16:52', '108', '108', '眩晕发作描述-特征1', '眩晕发作描述-特征1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41040', 'N', '2019-04-02 13:22:05', '2019-04-02 13:22:05', '108', '108', '眩晕发作描述-3', '眩晕发作描述-3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41041', 'N', '2019-04-02 13:28:05', '2019-04-02 13:28:05', '108', '108', '眩晕伴随症状描述-特征1', '眩晕伴随症状描述-特征1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41042', 'N', '2019-04-02 15:04:55', '2019-04-02 15:04:55', '108', '108', '头痛描述-介词', '头痛描述-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41043', 'N', '2019-04-02 15:21:14', '2019-04-02 15:21:14', '108', '108', '头痛缓解描述5', '头痛缓解描述5', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41044', 'N', '2019-04-02 15:29:45', '2019-04-02 15:29:45', '108', '108', '头痛缓解描述11', '头痛缓解描述11', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41045', 'N', '2019-04-02 15:31:33', '2019-04-02 15:31:33', '108', '108', '头痛缓解描述22', '头痛缓解描述22', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41046', 'N', '2019-04-02 15:32:14', '2019-04-02 15:32:14', '108', '108', '头痛缓解描述33', '头痛缓解描述33', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41047', 'N', '2019-04-02 15:33:15', '2019-04-02 15:33:15', '108', '108', '头痛缓解描述44', '头痛缓解描述44', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41048', 'N', '2019-04-02 15:55:35', '2019-04-02 15:55:35', '108', '108', '晕厥伴随症状-伴1', '晕厥伴随症状-伴1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41049', 'N', '2019-04-02 16:26:41', '2019-04-04 15:33:49', '108', '108', '少尿-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41050', 'N', '2019-04-02 16:29:48', '2019-04-04 15:34:41', '108', '108', '少尿-基本情况1', '基本情况', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41051', 'N', '2019-04-02 16:31:31', '2019-04-04 15:33:34', '108', '108', '少尿', '少尿', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41052', 'N', '2019-04-02 16:35:16', '2019-04-02 16:39:08', '108', '108', '尿频-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41053', 'N', '2019-04-02 16:35:45', '2019-04-02 16:35:45', '108', '108', '尿频-基本情况-介词', '尿频-基本情况-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41054', 'N', '2019-04-02 16:36:32', '2019-04-02 16:36:32', '108', '108', '尿频-基本情况-情况1', '尿频-基本情况-情况1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41055', 'N', '2019-04-02 16:37:00', '2019-04-02 16:37:00', '108', '108', '尿频-基本情况-情况2', '尿频-基本情况-情况2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41056', 'N', '2019-04-02 16:37:43', '2019-04-02 16:37:43', '108', '108', '尿频-基本情况-介词2', '尿频-基本情况-介词2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41057', 'N', '2019-04-02 16:38:26', '2019-04-02 16:38:26', '108', '108', '尿频-基本情况-症状1', '尿频-基本情况-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41058', 'N', '2019-04-02 16:46:14', '2019-04-02 16:46:14', '108', '108', '血尿时间描述-部位特征1', '血尿时间描述-部位特征1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41059', 'N', '2019-04-02 16:46:35', '2019-04-02 16:46:35', '108', '108', '血尿时间描述-伴1', '血尿时间描述-伴1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41060', 'N', '2019-04-02 16:54:33', '2019-04-02 16:54:33', '108', '108', '血尿过程描述-有无1', '血尿过程描述-有无1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41061', 'N', '2019-04-02 16:55:23', '2019-04-02 16:55:23', '108', '108', '血尿过程描述-性状1', '血尿过程描述-性状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41062', 'N', '2019-04-02 17:21:30', '2019-04-02 17:21:30', '108', '108', '腰背痛-腰背痛描述-介词', '腰背痛-腰背痛描述-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41063', 'N', '2019-04-02 17:22:58', '2019-04-02 17:22:58', '108', '108', '腰背痛-腰背痛描述-2', '腰背痛-腰背痛描述-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41064', 'N', '2019-04-02 17:24:29', '2019-04-02 17:29:09', '108', '108', '腰背痛-其他情况', '其他情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41065', 'N', '2019-04-02 17:26:56', '2019-04-02 17:26:56', '108', '108', '腰背痛-其他情况-1', '腰背痛-其他情况-1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41066', 'N', '2019-04-02 17:28:11', '2019-04-02 17:28:11', '108', '108', '腰背痛-其他情况-2', '腰背痛-其他情况-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41067', 'N', '2019-04-02 17:28:57', '2019-04-02 17:28:57', '108', '108', '腰背痛-其他情况-3', '腰背痛-其他情况-3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41068', 'N', '2019-04-02 17:34:23', '2019-04-02 17:34:23', '108', '108', '黄疸描述-部位1', '黄疸描述-部位1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41069', 'N', '2019-04-02 17:38:32', '2019-04-02 17:41:16', '108', '108', '黄疸-伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41070', 'N', '2019-04-02 17:39:11', '2019-04-02 17:39:11', '108', '108', '黄疸-伴随症状-介词', '黄疸-伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41071', 'N', '2019-04-02 17:40:10', '2019-04-02 17:41:02', '108', '108', '黄疸-伴随症状-症状1', '黄疸-伴随症状-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41072', 'N', '2019-04-02 17:40:55', '2019-04-02 17:40:55', '108', '108', '黄疸-伴随症状-症状2', '黄疸-伴随症状-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41073', 'N', '2019-04-03 09:27:07', '2019-04-03 09:27:07', '108', '108', '便秘描述-介词', '便秘描述-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41074', 'N', '2019-04-03 09:28:17', '2019-04-03 09:28:17', '108', '108', '便秘描述-症状', '便秘描述-症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41075', 'N', '2019-04-03 09:38:23', '2019-04-03 09:38:23', '108', '108', '腹泻-腹泻大便性状-介词', '腹泻-腹泻大便性状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41076', 'N', '2019-04-03 09:39:23', '2019-04-03 09:39:23', '108', '108', '腹泻-腹泻大便性状-介词1', '腹泻-腹泻大便性状-介词1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41077', 'N', '2019-04-03 09:40:13', '2019-04-03 09:40:13', '108', '108', '腹泻-腹泻大便性状-症状', '腹泻-腹泻大便性状-症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41078', 'N', '2019-04-03 09:57:26', '2019-04-03 11:43:35', '108', '108', '呕血-呕吐颜色6', '呕血-呕吐颜色6', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41079', 'N', '2019-04-03 09:59:09', '2019-04-03 09:59:09', '108', '108', '呕血伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41080', 'N', '2019-04-03 09:59:39', '2019-04-03 09:59:39', '108', '108', '呕血伴随症状-介词', '呕血伴随症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41081', 'N', '2019-04-03 10:00:25', '2019-04-03 10:00:25', '108', '108', '呕血伴随症状-症状', '呕血伴随症状-症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41082', 'N', '2019-04-03 10:08:42', '2019-04-03 10:13:23', '108', '108', '呕吐伴随症状', '伴随症状', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41083', 'N', '2019-04-03 10:10:45', '2019-04-03 10:10:45', '108', '108', '标签通用-介词-伴-无', '标签通用-介词-伴-无', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41084', 'N', '2019-04-03 10:11:51', '2019-04-03 10:11:51', '108', '108', '呕吐-伴随症状', '呕吐-伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41085', 'N', '2019-04-03 10:18:51', '2019-04-03 10:26:41', '108', '108', '咯血量1', '咯血量', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41086', 'N', '2019-04-03 10:23:50', '2019-04-03 10:23:50', '108', '108', '咯血量2', '咯血量2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41087', 'N', '2019-04-03 10:24:18', '2019-04-03 10:26:27', '108', '108', '咯血量3', '咯血量3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41088', 'N', '2019-04-03 10:26:20', '2019-04-03 10:26:20', '108', '108', '咯血量4', '咯血量4', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41089', 'N', '2019-04-03 10:42:24', '2019-04-03 10:42:24', '108', '108', '标签通用-介词-呈-为', '标签通用-介词-呈-为', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41090', 'N', '2019-04-03 10:43:59', '2019-04-03 10:45:47', '108', '108', '咯血颜色1', '咯血颜色', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41091', 'N', '2019-04-03 10:45:23', '2019-04-03 10:46:37', '108', '108', '咯血伴随症状', '咯血伴随症状', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41092', 'N', '2019-04-03 11:41:42', '2019-04-03 11:41:42', '108', '108', '胸痛-持续时间', '胸痛-持续时间', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41093', 'N', '2019-04-04 10:02:01', '2019-04-04 10:02:01', '108', '108', '胸痛持续时间', '持续时间', '3', '0', '200', '1', '11', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41095', 'N', '2019-04-04 10:19:40', '2019-05-09 16:07:27', '108', '108', '全腹软，无压痛、反跳痛及肌紧张-22', '全腹软，无压痛、反跳痛及肌紧张-22', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41096', 'N', '2019-04-04 11:29:40', '2019-04-04 11:35:55', '108', '108', '全腹软，无压痛、反跳痛及肌紧张-有无压痛1', '全腹软，无压痛、反跳痛及肌紧张-有无压痛1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41097', 'N', '2019-04-04 11:44:44', '2019-05-09 16:13:43', '108', '108', '全腹软，无压痛、反跳痛及肌紧张-有无肌紧张1', '全腹软，无压痛、反跳痛及肌紧张-有无肌紧张1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41098', 'N', '2019-04-04 13:57:12', '2019-06-12 14:49:14', '108', '108', '肠鸣音正常-性质1', '肠鸣音正常-性质1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41099', 'N', '2019-04-04 14:27:45', '2019-05-09 15:25:11', '108', '108', '周围血管征', '周围血管征', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41100', 'N', '2019-04-04 14:35:37', '2019-04-04 14:39:13', '108', '108', '腹泻-基本情况', '基本情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41101', 'N', '2019-04-04 14:37:23', '2019-04-04 14:39:21', '108', '108', '腹泻-基本情况-量', '腹泻-基本情况-量', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41102', 'N', '2019-04-04 14:38:58', '2019-04-04 14:44:55', '108', '108', '腹泻-基本情况-质', '腹泻-基本情况-质', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41103', 'N', '2019-04-04 15:19:13', '2019-04-04 15:19:13', '108', '108', '少尿-介词', '少尿-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41104', 'N', '2019-04-04 15:29:54', '2019-04-04 15:29:54', '108', '108', '少尿-症状1', '少尿-症状1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41105', 'N', '2019-04-04 15:30:35', '2019-04-04 15:30:35', '108', '108', '少尿-症状2', '少尿-症状2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41106', 'N', '2019-04-04 16:38:33', '2019-04-04 16:39:45', '108', '108', '肠鸣音正常1', '肠鸣音正常1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41107', 'N', '2019-04-04 16:41:25', '2019-05-28 11:29:21', '108', '108', '心脏听诊-心音', '心脏听诊-心音', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41108', 'N', '2019-04-04 16:46:40', '2019-04-04 16:46:40', '108', '108', '心音及额外心音-部位', '心音及额外心音-部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41109', 'N', '2019-04-04 16:48:38', '2019-04-04 16:53:46', '108', '108', '心音及额外心音-部位1', '心音及额外心音-部位1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41110', 'N', '2019-04-04 16:49:33', '2019-04-04 16:56:11', '108', '108', '心音及额外心音-部位2', '心音及额外心音-部位2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41111', 'N', '2019-04-04 16:50:15', '2019-04-04 16:56:38', '108', '108', '心音及额外心音-部位3', '心音及额外心音-部位3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41112', 'N', '2019-04-04 16:50:58', '2019-04-04 16:50:58', '108', '108', '心音及额外心音-部位4', '心音及额外心音-部位4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41113', 'N', '2019-04-04 16:52:07', '2019-04-04 16:52:07', '108', '108', '心音有力', '心音有力', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41114', 'N', '2019-04-08 09:46:26', '2019-04-08 09:59:11', '108', '108', '腹部平坦-第五列', '腹部平坦-第五列', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41115', 'N', '2019-04-08 10:22:41', '2019-04-08 10:24:03', '108', '108', '胸廓对称无畸形-皮下气肿1', '胸廓对称无畸形-皮下气肿1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41116', 'N', '2019-04-08 10:27:25', '2019-04-08 10:28:44', '108', '108', '胸廓对称无畸形-部位', '胸廓对称无畸形-部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41125', 'N', '2019-04-10 09:49:28', '2019-04-10 09:49:28', '108', '108', '杂音-性质1', '杂音-性质1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41126', 'N', '2019-04-11 10:20:02', '2019-05-28 09:26:50', '108', '106', '糖尿病-糖尿病类型', '糖尿病类型', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41127', 'N', '2019-04-11 10:24:00', '2019-04-11 10:24:00', '108', '108', '糖尿病-治疗方针-介词', '治疗方针', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41128', 'N', '2019-04-11 10:24:57', '2019-05-28 09:14:13', '108', '106', '糖尿病-治疗方针-治疗措施', '糖尿病-治疗方针-治疗措施', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41129', 'N', '2019-04-11 10:29:11', '2019-04-11 10:49:19', '108', '108', '腹痛-部位或特征-痛2', '腹痛-部位或特征-痛2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41130', 'N', '2019-04-11 10:32:53', '2019-05-28 10:17:15', '108', '106', '糖尿病-血糖控制', '血糖控制', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41131', 'N', '2019-04-11 10:35:04', '2019-05-31 11:08:54', '108', '99', '糖尿病-饮食控制', '饮食控制', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41132', 'N', '2019-04-11 10:35:38', '2019-04-11 10:35:38', '108', '108', '糖尿病-运动', '糖尿病-运动', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41133', 'N', '2019-04-11 10:36:26', '2019-04-11 10:36:26', '108', '108', '糖尿病-血糖监测', '血糖监测', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41134', 'N', '2019-04-11 10:44:18', '2019-05-28 10:50:51', '108', '106', '糖尿病-血糖测定类型', '糖尿病-血糖测定类型', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41135', 'N', '2019-04-11 10:45:58', '2019-05-28 14:07:49', '108', '106', '糖尿病-体重变化', '体重变化', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41136', 'N', '2019-04-11 10:47:08', '2019-04-11 10:47:08', '108', '108', '糖尿病-并发症', '并发症', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41137', 'N', '2019-04-11 10:51:15', '2019-05-27 18:03:35', '108', '106', '糖尿病-用药-介词', '糖尿病-用药-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41138', 'N', '2019-04-11 10:55:34', '2019-04-11 11:02:03', '108', '108', '糖尿病-口服药品-1', '糖尿病-口服药品-1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41139', 'N', '2019-04-11 10:59:19', '2019-05-27 17:45:16', '108', '106', '糖尿病-口服药品-2', '糖尿病-口服药品-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41140', 'N', '2019-04-11 10:59:57', '2019-04-11 11:02:19', '108', '108', '糖尿病-口服药品用量', '糖尿病-口服药品用量', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41141', 'N', '2019-04-11 11:09:11', '2019-05-27 18:06:09', '108', '106', '糖尿病-胰岛素', '糖尿病-胰岛素', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41142', 'N', '2019-04-11 11:13:48', '2019-04-11 11:13:48', '108', '108', '糖尿病-胰岛素用量', '糖尿病-胰岛素用量', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41143', 'N', '2019-04-11 11:18:38', '2019-05-28 11:29:58', '108', '106', '糖尿病-症状-介词', '糖尿病-症状-介词', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41144', 'N', '2019-04-11 11:19:53', '2019-05-28 11:28:51', '108', '106', '糖尿病-症状-2', '糖尿病-症状-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '、', '', null);
INSERT INTO `icss_question_info` VALUES ('41145', 'N', '2019-04-11 11:20:47', '2019-05-28 11:28:28', '108', '106', '糖尿病-症状-3', '糖尿病-症状-3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '、', '', null);
INSERT INTO `icss_question_info` VALUES ('41146', 'N', '2019-04-11 11:26:27', '2019-04-11 11:26:27', '108', '108', '糖尿病-无不良反应', '糖尿病-无不良反应', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41147', 'N', '2019-04-11 11:27:29', '2019-04-11 11:27:29', '108', '108', '糖尿病-不良反应-1', '糖尿病-不良反应-1', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41148', 'N', '2019-04-11 11:28:26', '2019-04-11 11:28:26', '108', '108', '糖尿病-不良反应-2', '糖尿病-不良反应-2', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41149', 'N', '2019-04-11 11:28:54', '2019-04-11 11:28:54', '108', '108', '糖尿病-不良反应-3', '糖尿病-不良反应-3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41150', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '糖尿病', '糖尿病', '3', '0', '200', '4', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41151', 'N', '2019-04-11 14:28:35', '2019-04-11 14:28:35', '108', '108', 'BMI', '(填写)', '3', '0', '200', '1', '7', '4', '1', '0', 'BMI', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41152', 'N', '2019-04-11 14:31:28', '2019-04-11 14:31:28', '108', '108', '糖尿病-营养中等', '营养中等', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41153', 'N', '2019-04-11 14:36:12', '2019-04-11 14:36:12', '108', '108', '糖尿病-四肢活动自如', '四肢活动自如', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41154', 'N', '2019-04-11 14:37:05', '2019-04-11 14:37:05', '108', '108', '糖尿病-关节疼痛', '关节疼痛', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41155', 'N', '2019-04-11 14:37:33', '2019-04-11 14:37:33', '108', '108', '糖尿病-关节疼痛性质', '关节疼痛性质', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41156', 'N', '2019-04-11 14:38:25', '2019-04-11 14:38:25', '108', '108', '糖尿病-无杵状趾', '无杵状趾', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41157', 'N', '2019-04-11 14:38:48', '2019-04-11 14:38:48', '108', '108', '糖尿病-无杵状指', '无杵状指', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41158', 'N', '2019-04-11 14:47:09', '2019-04-11 14:47:09', '108', '108', '糖尿病-双下肢无水肿-方位', '双下肢无水肿', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41159', 'N', '2019-04-11 14:48:20', '2019-04-11 14:48:20', '108', '108', '糖尿病-双下肢无水肿-水肿', '糖尿病-双下肢无水肿-水肿', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41160', 'N', '2019-04-11 14:53:02', '2019-04-11 14:53:02', '108', '108', '糖尿病-双侧足背动脉', '糖尿病-双侧足背动脉', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41161', 'N', '2019-04-11 14:53:39', '2019-04-11 14:53:39', '108', '108', '糖尿病-足部肤色正常', '糖尿病-足部肤色正常', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41162', 'N', '2019-04-11 14:54:22', '2019-04-11 14:54:22', '108', '108', '糖尿病-肤温正常', '糖尿病-肤温正常', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41163', 'N', '2019-04-11 14:55:14', '2019-04-11 14:55:14', '108', '108', '糖尿病-感觉正常', '糖尿病-感觉正常', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41164', 'N', '2019-04-11 14:57:57', '2019-04-11 14:57:57', '108', '108', '糖尿病-跟膝腱-方位', '糖尿病-跟膝腱-方位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41165', 'N', '2019-04-11 14:58:45', '2019-04-11 14:58:45', '108', '108', '糖尿病-跟膝腱-变化', '糖尿病-跟膝腱-变化', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41166', 'N', '2019-04-11 14:59:47', '2019-04-11 14:59:47', '108', '108', '糖尿病-深浅感觉-方位', '糖尿病-深浅感觉-方位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41167', 'N', '2019-04-11 15:00:16', '2019-04-11 15:00:16', '108', '108', '糖尿病-深浅感觉-感觉', '糖尿病-深浅感觉-感觉', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41168', 'N', '2019-04-11 15:00:43', '2019-04-11 15:00:43', '108', '108', '糖尿病-深浅感觉-变化', '糖尿病-深浅感觉-变化', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41169', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '糖尿病-四肢活动', '四肢活动', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41170', 'N', '2019-04-11 16:01:53', '2019-04-11 16:06:56', '108', '108', '糖尿病-双下肢无水肿', '糖尿病-双下肢无水肿', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41171', 'N', '2019-04-11 16:02:42', '2019-04-11 16:02:42', '108', '108', '糖尿病--双下肢无水肿', '双下肢无水肿', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41172', 'N', '2019-04-11 16:07:28', '2019-04-11 16:07:28', '108', '108', '糖尿病-双侧足背动脉搏动正常', '双侧足背动脉搏动正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41173', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '糖尿病-足背动脉', '糖尿病-足背动脉', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41174', 'N', '2019-04-11 16:09:19', '2019-04-11 16:09:19', '108', '108', '糖尿病-跟膝反射', '糖尿病-跟膝反射', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41175', 'N', '2019-04-11 16:09:29', '2019-04-11 16:09:29', '108', '108', '糖尿病--跟膝腱反射', '糖尿病--跟膝腱反射', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41176', 'N', '2019-04-11 16:10:55', '2019-04-11 16:10:55', '108', '108', '糖尿病-深浅感觉', '糖尿病-深浅感觉', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41177', 'N', '2019-04-11 16:11:35', '2019-04-11 16:11:35', '108', '108', '糖尿病--深浅感觉', '糖尿病--深浅感觉', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41178', 'N', '2019-04-12 11:39:40', '2019-04-12 13:33:11', '108', '108', '便血-便血3', '便血-便血3', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41182', 'N', '2019-04-19 16:31:45', '2019-04-23 17:13:23', '108', '108', '婚育史', '婚育史', '3', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41183', 'N', '2019-04-19 16:31:45', '2019-04-19 16:31:45', '108', '108', ',', ',', '3', '0', '200', '8', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41184', 'N', '2019-04-19 17:13:44', '2019-05-10 16:42:35', '106', '108', '鼻部查体多选3', '鼻部查体多选3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41185', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41186', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41187', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41188', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41189', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41190', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41191', 'N', '2019-04-19 17:21:03', '2019-04-19 17:21:03', '108', '108', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41192', 'N', '2019-04-22 14:00:46', '2019-04-23 17:27:48', '108', '108', '婚姻', '婚姻', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41194', 'N', '2019-04-22 14:08:55', '2019-04-23 19:47:42', '108', '108', '足月产', '(足月产)', '2', '0', '200', '1', '5', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41195', 'N', '2019-04-22 14:12:05', '2019-04-22 14:40:19', '108', '108', '生育1', '(数量)', '3', '15', '200', '1', '5', '3', '1', '0', '育有', '子', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41197', 'N', '2019-04-22 14:22:08', '2019-04-22 14:40:30', '108', '108', '生育2', '(数量)', '3', '15', '200', '1', '5', '3', '1', '0', '', '女', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41198', 'N', '2019-04-22 14:22:32', '2019-04-23 18:52:33', '108', '108', '生育史33', '生育史33', '3', '15', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41199', 'N', '2019-04-22 14:43:57', '2019-04-23 19:47:50', '108', '108', '早产数', '(早产)', '2', '12', '200', '1', '5', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41201', 'N', '2019-04-22 14:46:14', '2019-04-23 19:48:18', '108', '108', '人流数', '(人流)', '2', '12', '200', '1', '5', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41202', 'N', '2019-04-22 14:47:36', '2019-04-22 14:47:36', '108', '108', '存活数', '(数量)', '3', '12', '200', '1', '5', '3', '1', '0', '存活', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41203', 'N', '2019-04-22 14:50:43', '2019-04-23 19:48:02', '108', '108', '流产数', '(流产)', '2', '12', '200', '1', '5', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41204', 'N', '2019-04-22 16:33:14', '2019-04-22 16:36:27', '108', '108', '结婚年龄', '(婚龄)', '3', '0', '200', '1', '5', '3', '1', '0', '', '岁结婚', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41205', 'N', '2019-04-22 16:34:21', '2019-04-22 16:34:21', '108', '108', '近亲成婚', '婚配情况', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41206', 'N', '2019-04-22 16:55:39', '2019-04-22 16:55:39', '108', '108', '畸胎数', '(数量)', '3', '0', '200', '1', '5', '3', '1', '0', '畸胎数', '胎', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41207', 'N', '2019-04-23 16:01:13', '2019-04-23 16:01:13', '108', '108', '适龄结婚', '适龄结婚', '3', '15', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41208', 'N', '2019-04-23 16:06:07', '2019-04-23 16:06:07', '108', '108', '未婚未育', '未婚未育', '3', '15', '200', '1', '11', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41209', 'N', '2019-04-23 16:20:06', '2019-04-23 16:20:06', '108', '108', '未婚未育1', '未婚未育', '3', '15', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41210', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '未婚未育(女)', '未婚未育(女)', '2', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41211', 'N', '2019-04-23 16:21:31', '2019-04-23 17:07:16', '108', '108', '婚育史1', '婚育史', '3', '15', '200', '6', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41212', 'N', '2019-04-23 16:21:31', '2019-04-23 16:21:31', '108', '108', '组合项_2019-04-23 16:21:31.223', '组合项_2019-04-23 16:21:31.223', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41213', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41214', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41215', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41216', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41217', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41218', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41219', 'N', '2019-04-23 16:22:45', '2019-04-23 16:22:45', '108', '108', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41220', 'N', '2019-04-23 16:26:29', '2019-04-23 16:44:27', '108', '108', '婚姻1', '婚姻1', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41221', 'N', '2019-04-23 16:28:15', '2019-04-23 16:28:15', '108', '108', '组合项_2019-04-23 16:28:14.724', '组合项_2019-04-23 16:28:14.724', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41222', 'N', '2019-04-23 16:31:28', '2019-04-23 16:31:28', '108', '108', '组合项_2019-04-23 16:31:28.101', '组合项_2019-04-23 16:31:28.101', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41223', 'N', '2019-04-23 16:31:28', '2019-04-23 16:31:28', '108', '108', '组合项_2019-04-23 16:31:28.101', '组合项_2019-04-23 16:31:28.101', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41224', 'N', '2019-04-23 16:48:24', '2019-04-23 16:48:24', '108', '108', '组合项_2019-04-23 16:48:23.664', '组合项_2019-04-23 16:48:23.664', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41225', 'N', '2019-04-23 16:48:24', '2019-04-23 16:48:24', '108', '108', '组合项_2019-04-23 16:48:23.664', '组合项_2019-04-23 16:48:23.664', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41226', 'N', '2019-04-23 16:51:21', '2019-04-23 16:51:21', '108', '108', '组合项_2019-04-23 16:51:20.589', '组合项_2019-04-23 16:51:20.589', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41227', 'N', '2019-04-23 16:51:21', '2019-04-23 16:51:21', '108', '108', '组合项_2019-04-23 16:51:20.589', '组合项_2019-04-23 16:51:20.589', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41228', 'N', '2019-04-23 16:51:58', '2019-04-23 16:51:58', '108', '108', '已婚', '已婚', '3', '0', '200', '8', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41229', 'N', '2019-04-23 17:03:23', '2019-04-23 17:07:48', '108', '108', '已婚男', '已婚', '1', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41230', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '组合项_2019-04-23 17:07:15.711', '组合项_2019-04-23 17:07:15.711', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41231', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '组合项_2019-04-23 17:07:15.711', '组合项_2019-04-23 17:07:15.711', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41232', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '已婚，', '已婚，', '3', '0', '200', '8', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41233', 'N', '2019-04-23 17:30:31', '2019-04-23 17:30:31', '108', '108', '子女体健', '子女体健', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41234', 'N', '2019-04-23 17:30:42', '2019-04-23 18:49:22', '108', '108', '婚姻史1', '已婚', '3', '15', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41235', 'N', '2019-04-23 17:37:00', '2019-04-23 19:22:53', '108', '108', '婚姻史', '婚姻史', '3', '12', '200', '6', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41236', 'N', '2019-04-23 17:37:00', '2019-04-23 17:37:00', '108', '108', '组合项_2019-04-23 17:36:59.765', '组合项_2019-04-23 17:36:59.765', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41237', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41238', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41239', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41240', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41241', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41242', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41243', 'N', '2019-04-23 17:38:05', '2019-04-23 17:38:05', '108', '108', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41244', 'N', '2019-04-23 17:41:28', '2019-04-23 18:39:03', '108', '108', '未婚1', '未婚', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41245', 'N', '2019-04-23 17:41:40', '2019-04-24 11:36:28', '108', '108', '婚姻史2', '未婚', '3', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41246', 'N', '2019-04-23 17:41:59', '2019-04-23 17:41:59', '108', '108', '组合项_2019-04-23 17:41:58.823', '组合项_2019-04-23 17:41:58.823', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41247', 'N', '2019-04-23 17:44:30', '2019-04-23 17:44:30', '108', '108', '未婚', '未婚', '3', '0', '200', '8', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41248', 'N', '2019-04-23 18:39:24', '2019-04-23 18:39:24', '108', '108', '离异', '离异', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41249', 'N', '2019-04-23 18:40:18', '2019-04-24 11:36:22', '108', '108', '婚姻史3', '离异', '3', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41250', 'N', '2019-04-23 18:40:27', '2019-04-23 18:40:27', '108', '108', '组合项_2019-04-23 18:40:27.408', '组合项_2019-04-23 18:40:27.408', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41251', 'N', '2019-04-23 18:49:06', '2019-04-23 18:49:28', '108', '108', '子女体健1', '子女体健', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41252', 'N', '2019-04-23 18:54:03', '2019-04-23 19:57:18', '108', '108', '生育史1', '生育史', '2', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41253', 'N', '2019-04-23 19:04:42', '2019-04-23 19:04:42', '108', '108', '未育', '未育', '3', '14', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41254', 'N', '2019-04-23 19:16:36', '2019-04-23 19:16:36', '108', '108', '已婚未育', '已婚未育', '3', '0', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41255', 'N', '2019-04-23 19:22:04', '2019-04-24 11:36:15', '108', '108', '婚姻史4', '已婚未育', '3', '0', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41256', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '组合项_2019-04-23 19:22:53.435', '组合项_2019-04-23 19:22:53.435', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41257', 'N', '2019-04-23 19:34:47', '2019-04-23 19:53:38', '108', '108', '生育史', '生育史', '2', '14', '200', '6', '0', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41258', 'N', '2019-04-23 19:34:47', '2019-04-23 19:34:47', '108', '108', '组合项_2019-04-23 19:34:46.653', '组合项_2019-04-23 19:34:46.653', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41259', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41260', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41261', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41262', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41263', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41264', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41265', 'N', '2019-04-23 19:35:26', '2019-04-23 19:35:26', '108', '108', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41266', 'N', '2019-04-23 19:48:42', '2019-04-23 19:48:42', '108', '108', '-', '-', '3', '0', '200', '8', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41267', 'N', '2019-04-23 19:53:38', '2019-04-23 19:53:38', '108', '108', '组合项_2019-04-23 19:53:37.652', '组合项_2019-04-23 19:53:37.652', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41268', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41269', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41270', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41271', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41272', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41273', 'N', '2019-04-23 19:55:56', '2019-04-23 19:55:56', '108', '108', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41274', 'N', '2019-05-06 14:13:42', '2019-05-06 14:13:42', '108', '108', '吞咽困难', '吞咽困难', '3', '0', '200', '4', '0', '1', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41275', 'N', '2019-05-07 20:04:11', '2019-05-07 20:04:11', '108', '108', '白带1', '白带1', '3', '10', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41276', 'N', '2019-05-07 20:06:33', '2019-05-07 20:18:15', '108', '108', '白带2', '白带2', '3', '10', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41277', 'N', '2019-05-07 20:07:25', '2019-05-07 20:08:10', '108', '108', '白带3', '白带3', '3', '10', '200', '1', '1', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41278', 'N', '2019-05-07 20:09:31', '2019-05-07 20:09:31', '108', '108', '白带4', '白带4', '3', '0', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41279', 'N', '2019-05-07 20:10:03', '2019-05-07 20:10:52', '108', '108', '白带5', '白带5', '3', '10', '200', '1', '2', '3', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41280', 'N', '2019-05-07 20:11:00', '2019-05-07 20:11:00', '108', '108', '白带', '白带', '3', '10', '200', '6', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41281', 'N', '2019-05-07 20:15:51', '2019-05-07 20:15:51', '108', '108', '白带11', '白带', '2', '0', '200', '2', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41282', 'N', '2019-05-08 11:53:45', '2019-05-08 15:34:13', '106', '106', '初潮年龄数值', '(时间)', '3', '0', '200', '1', '5', '3', '1', '0', '月经史：初潮年龄', '岁', '8.000000', '18.000000', '0', '0', '0', '0', '', 'yjs_1', null);
INSERT INTO `icss_question_info` VALUES ('41283', 'N', '2019-05-08 13:15:22', '2019-05-08 15:35:10', '106', '106', '行经天数数值', '(时间)', '3', '8', '60', '1', '5', '3', '1', '0', '行经天数', '天', '2.000000', '10.000000', '0', '0', '0', '0', '', 'yjs_2', null);
INSERT INTO `icss_question_info` VALUES ('41284', 'N', '2019-05-08 13:18:31', '2019-05-08 15:35:54', '106', '106', '月经周期数值', '(时间)', '3', '0', '200', '1', '5', '3', '1', '0', '月经周期', '天', '10.000000', '3000.000000', '0', '0', '0', '0', '', 'yjs_3', null);
INSERT INTO `icss_question_info` VALUES ('41285', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '颈部查体', '颈部查体', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41286', 'N', '2019-05-08 17:28:54', '2019-05-09 14:06:05', '108', '108', '肺部触诊', '肺部触诊', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41287', 'N', '2019-05-08 17:30:30', '2019-05-09 14:34:15', '108', '108', '心脏触诊', '心脏触诊', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41288', 'N', '2019-05-08 17:32:12', '2019-05-09 15:44:36', '108', '108', '腹部视诊', '腹部视诊', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41289', 'N', '2019-05-08 17:40:37', '2019-05-08 17:40:37', '108', '108', '面色', '面色', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41290', 'N', '2019-05-08 17:40:51', '2019-05-08 17:40:51', '108', '108', '面容面色', '面容面色', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41291', 'N', '2019-05-09 09:57:00', '2019-05-09 09:57:00', '108', '108', '胆囊查体', '胆囊查体', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41292', 'N', '2019-05-09 11:19:00', '2019-05-09 11:19:00', '108', '108', '瞳孔直径', '瞳孔直径', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41293', 'N', '2019-05-09 11:19:34', '2019-05-28 15:23:54', '108', '108', '瞳孔检查', '瞳孔检查', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '1', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41294', 'N', '2019-05-09 11:25:12', '2019-05-09 11:29:51', '108', '108', '瞳孔直径多选', '瞳孔直径多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41295', 'N', '2019-05-09 11:25:45', '2019-05-09 11:25:45', '108', '108', '瞳孔方位多选', '瞳孔方位多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41296', 'N', '2019-05-09 11:26:39', '2019-05-09 11:26:39', '108', '108', '瞳孔形态多选', '瞳孔形态多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41297', 'N', '2019-05-09 11:27:48', '2019-05-09 11:27:48', '108', '108', '瞳孔反应多选', '瞳孔反应多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41298', 'N', '2019-05-09 13:07:57', '2019-05-10 15:44:45', '108', '108', '眼球查体多选', '眼球查体多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41299', 'N', '2019-05-09 13:10:45', '2019-05-10 15:45:19', '108', '108', '结膜查体多选', '结膜查体多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41300', 'N', '2019-05-09 13:13:10', '2019-05-10 15:45:10', '108', '108', '角膜查体多选', '角膜查体多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41301', 'N', '2019-05-09 13:14:11', '2019-05-10 15:45:53', '108', '108', '眼部检查', '眼部检查', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41302', 'N', '2019-05-09 13:22:55', '2019-05-09 13:22:55', '108', '108', '口唇查体多选', '口唇查体多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41303', 'N', '2019-05-09 13:26:43', '2019-05-09 13:26:43', '108', '108', '扁桃体查体', '扁桃体查体', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41304', 'N', '2019-05-09 13:27:44', '2019-05-09 13:33:58', '108', '108', '口腔查体', '口腔查体', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41305', 'N', '2019-05-09 13:33:45', '2019-05-09 13:33:45', '108', '108', '口腔查体互斥', '口腔查体互斥', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41306', 'N', '2019-05-09 14:00:05', '2019-05-09 14:00:05', '108', '108', '肺部触诊多选1', '肺部触诊多选1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41307', 'N', '2019-05-09 14:00:45', '2019-05-09 14:00:45', '108', '108', '肺部触诊多选2', '肺部触诊多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41308', 'N', '2019-05-09 14:05:45', '2019-05-09 14:05:45', '108', '108', '肺部触诊多选3', '肺部触诊多选3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41309', 'N', '2019-05-09 14:42:34', '2019-05-28 14:01:04', '108', '108', '心率频率', '心率频率', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41310', 'N', '2019-05-09 14:42:42', '2019-05-09 14:42:42', '108', '108', '心脏听诊-心率', '心脏听诊-心率', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41311', 'N', '2019-05-09 14:48:40', '2019-06-12 15:22:37', '106', '108', '四肢视触诊1', '四肢视触诊1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41312', 'N', '2019-05-09 15:18:54', '2019-05-09 15:25:07', '108', '108', '周围血管征多选1', '周围血管征多选1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41313', 'N', '2019-05-09 15:19:39', '2019-05-09 15:19:39', '108', '108', '周围血管征多选2', '周围血管征多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41314', 'N', '2019-05-09 15:30:35', '2019-05-09 15:50:26', '108', '108', '腹部外观', '腹部外观', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41315', 'N', '2019-05-09 15:42:00', '2019-05-09 15:42:00', '108', '108', '腹部视诊多选2', '腹部视诊多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41316', 'N', '2019-05-09 15:43:19', '2019-05-09 15:43:19', '108', '108', '腹部视诊多选3', '腹部视诊多选3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41317', 'N', '2019-05-09 15:44:24', '2019-05-09 15:44:24', '108', '108', '腹部视诊多选4', '腹部查体多选4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41318', 'N', '2019-05-09 16:37:49', '2019-05-09 16:37:49', '108', '108', '肌力肌张力检查5', '肌力肌张力检查5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41319', 'N', '2019-05-09 17:36:42', '2019-05-09 17:36:42', '108', '108', '肌力级别多选', '肌力级别多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41320', 'N', '2019-05-09 17:37:53', '2019-05-09 17:37:53', '108', '108', '肌张力增强多选', '肌张力增强多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41321', 'N', '2019-05-09 17:42:13', '2019-05-09 17:42:13', '108', '108', '肺部叩诊音多选', '肺部叩诊音多选', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41322', 'N', '2019-05-10 14:21:41', '2019-05-10 14:24:12', '108', '108', '月经史简版', '月经史简版', '2', '10', '200', '4', '0', '3', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41323', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '组合项_2019-05-10 14:22:22.748', '组合项_2019-05-10 14:22:22.748', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41324', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '组合项_2019-05-10 14:22:22.748', '组合项_2019-05-10 14:22:22.748', '3', '0', '200', '10', '0', '3', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41325', 'N', '2019-05-10 15:43:36', '2019-05-10 15:43:36', '108', '108', '眼部检查1', '眼部检查1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41326', 'N', '2019-05-10 15:44:04', '2019-05-10 15:44:04', '108', '108', '眼部检查互斥', '眼部减持互斥', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41327', 'N', '2019-05-10 16:14:14', '2019-05-10 16:14:14', '108', '108', '淋巴结检查1', '淋巴结检查1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41328', 'N', '2019-05-10 16:15:08', '2019-05-10 16:17:16', '108', '108', '淋巴结检查2', '淋巴结检查2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41329', 'N', '2019-05-10 16:16:51', '2019-05-10 16:16:51', '108', '108', '淋巴结检查4', '淋巴结检查4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41330', 'N', '2019-05-10 16:37:55', '2019-05-10 16:37:55', '108', '108', '鼻部查体互斥项', '鼻部查体互斥项', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41331', 'N', '2019-05-10 16:45:17', '2019-05-10 16:45:17', '108', '108', '鼻部查体多选4', '鼻部查体多选4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41332', 'N', '2019-05-10 16:48:44', '2019-05-10 16:48:44', '108', '108', '鼻部查体多选2', '鼻部查体多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41333', 'N', '2019-05-10 16:52:01', '2019-05-10 16:53:25', '108', '108', '鼻部查体多选1', '鼻部查体多选1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41334', 'N', '2019-05-10 17:21:05', '2019-05-10 17:21:05', '108', '108', '耳部查体多选1', '耳部查体多选1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41335', 'N', '2019-05-10 17:26:51', '2019-05-10 17:34:55', '108', '108', '耳部查体多选2', '耳部查体多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41336', 'N', '2019-05-10 17:28:22', '2019-05-10 17:38:10', '108', '108', '耳部查体多选3', '耳部查体多选3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41337', 'N', '2019-05-10 17:30:19', '2019-05-10 17:38:27', '108', '108', '耳部查体多选4', '耳部查体多选4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41338', 'N', '2019-05-10 17:37:05', '2019-05-10 17:38:35', '108', '108', '耳部查体多选5', '耳部查体多选5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41339', 'N', '2019-05-13 11:09:00', '2019-05-13 11:38:39', '108', '108', '脊柱查体多选1', '脊柱查体多选1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41340', 'N', '2019-05-13 11:10:12', '2019-05-13 11:10:12', '108', '108', '脊柱查体多选2', '脊柱查体多选2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41341', 'N', '2019-05-13 11:10:57', '2019-05-13 11:38:55', '108', '108', '脊柱查体多选3', '脊柱查体多选3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41342', 'N', '2019-05-13 11:11:25', '2019-05-13 11:11:25', '108', '108', '脊柱查体多选4', '脊柱查体多选4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41343', 'N', '2019-05-13 11:12:53', '2019-05-13 11:12:53', '108', '108', '脊柱查体多选5', '脊柱查体多选5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41350', 'N', '2019-05-27 17:30:24', '2019-05-27 17:30:24', '106', '106', '主要治疗方式或措施（糖尿病）', '主要治疗方式', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41351', 'N', '2019-05-27 17:55:02', '2019-05-27 17:55:02', '106', '106', '口服药（糖尿病）', '口服药', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41352', 'N', '2019-05-27 18:12:59', '2019-05-27 18:32:45', '106', '106', '胰岛素治疗', '胰岛素', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41353', 'N', '2019-05-27 18:21:39', '2019-05-27 18:21:39', '106', '106', '胰岛素治疗-时间', '胰岛素治疗-时间', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41354', 'N', '2019-05-27 18:30:33', '2019-05-27 18:30:33', '106', '106', '胰岛素治疗-剂量', '胰岛素治疗-剂量', '3', '0', '200', '1', '2', '1', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41355', 'N', '2019-05-27 18:49:10', '2019-05-27 18:49:10', '106', '106', '糖尿病仍有症状情况', '症状情况', '3', '0', '200', '2', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41356', 'N', '2019-05-27 18:54:57', '2019-05-27 18:54:57', '106', '106', '进来出现', '进来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41357', 'N', '2019-05-28 09:39:33', '2019-05-28 09:39:33', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41358', 'N', '2019-05-28 09:39:33', '2019-05-28 09:39:33', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41359', 'N', '2019-05-28 09:39:33', '2019-05-28 09:39:33', '106', '106', '进来出现', '进来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41360', 'N', '2019-05-28 09:59:08', '2019-05-28 09:59:08', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41361', 'N', '2019-05-28 09:59:08', '2019-05-28 09:59:08', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41362', 'N', '2019-05-28 09:59:08', '2019-05-28 09:59:08', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41363', 'N', '2019-05-28 09:59:08', '2019-05-28 09:59:08', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41364', 'N', '2019-05-28 10:01:32', '2019-05-28 10:01:32', '108', '108', '糖尿病-步态', '步入病室', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41365', 'N', '2019-05-28 10:03:17', '2019-05-28 10:03:17', '108', '108', '糖尿病-言语', '言语流利，对答切题', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41366', 'N', '2019-05-28 10:04:27', '2019-05-28 13:43:41', '108', '108', '糖尿病-查体', '查体合作', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41368', 'N', '2019-05-28 10:31:44', '2019-05-28 10:31:44', '108', '108', '糖尿病-皮疹部位', '糖尿病-皮疹部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41369', 'N', '2019-05-28 10:32:47', '2019-05-28 10:38:03', '108', '108', '糖尿病-有无皮疹', '糖尿病-有无皮疹', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41370', 'N', '2019-05-28 10:33:31', '2019-05-28 10:33:31', '108', '108', '糖尿病-皮疹性质', '糖尿病-皮疹性质', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41371', 'N', '2019-05-28 10:36:08', '2019-05-28 10:36:08', '108', '108', '无皮疹', '无皮疹', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41372', 'N', '2019-05-28 10:36:49', '2019-05-28 10:36:49', '108', '108', '糖尿病-皮疹', '皮疹情况', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41373', 'N', '2019-05-28 10:42:33', '2019-05-28 10:42:33', '108', '108', '糖尿病-无皮下出血', '有无皮下出血', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41374', 'N', '2019-05-28 10:44:22', '2019-05-28 10:45:53', '108', '108', '糖尿病-皮下出血2', '糖尿病-皮下出血2', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41375', 'N', '2019-05-28 10:44:51', '2019-05-28 10:44:51', '108', '108', '糖尿病-皮下出血3', '糖尿病-皮下出血3', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41376', 'N', '2019-05-28 10:45:14', '2019-05-28 10:45:14', '108', '108', '糖尿病-皮下出血4', '糖尿病-皮下出血4', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41377', 'N', '2019-05-28 10:45:58', '2019-05-28 10:46:38', '108', '108', '糖尿病-有无皮下出血', '有无皮下出血', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41378', 'N', '2019-05-28 10:52:52', '2019-05-28 10:52:52', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41379', 'N', '2019-05-28 10:52:52', '2019-05-28 10:52:52', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41380', 'N', '2019-05-28 10:52:52', '2019-05-28 10:52:52', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41381', 'N', '2019-05-28 10:52:52', '2019-05-28 10:52:52', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41382', 'N', '2019-05-28 10:56:18', '2019-05-28 10:56:18', '108', '108', '糖尿病-无蜘蛛痣及其他', '糖尿病-无蜘蛛痣及其他', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41383', 'N', '2019-05-28 10:57:56', '2019-05-28 11:15:51', '106', '100', '糖尿病-血糖测定填写', '血糖测定', '3', '0', '200', '3', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41384', 'N', '2019-05-28 11:00:02', '2019-05-28 11:00:02', '108', '108', '糖尿病-可见蜘蛛痣', '糖尿病-可见蜘蛛痣', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41385', 'N', '2019-05-28 11:07:10', '2019-05-28 11:07:10', '106', '106', '血糖值(糖尿病)', '填写', '3', '0', '200', '1', '7', '1', '1', '0', ':', 'mmol/L', '1.000000', '40.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41386', 'N', '2019-05-28 11:07:58', '2019-05-28 15:04:55', '108', '108', '糖尿病-有无蜘蛛痣', '有无蜘蛛痣', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41387', 'N', '2019-05-28 11:22:02', '2019-05-28 11:23:41', '106', '106', '糖尿病-血糖测定填写（尾巴方式填写）', '血糖测定', '3', '0', '200', '4', '0', '1', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41388', 'N', '2019-05-28 11:38:24', '2019-05-28 11:40:07', '108', '108', '糖尿病-足背动脉1', '糖尿病-足背动脉1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41389', 'N', '2019-05-28 11:39:26', '2019-05-28 13:46:55', '108', '108', '糖尿病-足背动脉2', '糖尿病-足背动脉2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41390', 'N', '2019-05-28 11:41:32', '2019-05-28 11:41:32', '108', '108', '糖尿病-足背动脉3', '糖尿病-足背动脉3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41391', 'N', '2019-05-28 11:41:56', '2019-05-28 11:41:56', '108', '108', '糖尿病-足背动脉4', '糖尿病-足背动脉4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41392', 'N', '2019-05-28 11:42:42', '2019-05-28 13:46:22', '108', '108', '糖尿病-足背动脉5', '糖尿病-足背动脉5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41393', 'N', '2019-05-28 11:44:56', '2019-05-28 13:46:16', '108', '108', '糖尿病-足背动脉0', '糖尿病-足背动脉0', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41394', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '糖尿病-足背动脉搏动检查', '足背动脉搏动情况', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41395', 'N', '2019-05-28 13:26:40', '2019-05-28 13:38:47', '108', '108', '糖尿病-跟膝踝反射1', '糖尿病-跟膝踝反射1', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41396', 'N', '2019-05-28 13:30:16', '2019-05-28 13:47:42', '108', '108', '糖尿病-跟膝踝反射2', '糖尿病-跟膝踝反射2', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41397', 'N', '2019-05-28 13:32:08', '2019-05-28 13:50:12', '108', '108', '糖尿病-跟膝踝反射3', '糖尿病-跟膝踝反射3', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41398', 'N', '2019-05-28 13:35:37', '2019-05-28 13:35:37', '108', '108', '糖尿病-跟膝踝反射4', '糖尿病-跟膝踝反射4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41399', 'N', '2019-05-28 13:36:14', '2019-05-28 13:49:12', '108', '108', '糖尿病-跟膝踝反射5', '糖尿病-跟膝踝反射5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41400', 'N', '2019-05-28 13:41:27', '2019-05-28 13:41:27', '108', '108', '糖尿病-深浅反射正常', '糖尿病-深浅反射正常', '3', '0', '200', '1', '1', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41401', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '糖尿病-深浅反射', '深浅反射及浅感觉检查', '3', '0', '200', '2', '0', '4', '1', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41402', 'N', '2019-05-28 14:09:14', '2019-05-28 14:09:14', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41403', 'N', '2019-05-28 14:09:14', '2019-05-28 14:09:14', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41404', 'N', '2019-05-28 14:09:14', '2019-05-28 14:09:14', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41405', 'N', '2019-05-28 14:09:14', '2019-05-28 14:09:14', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41406', 'N', '2019-05-28 14:10:38', '2019-05-28 14:10:38', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41407', 'N', '2019-05-28 14:10:38', '2019-05-28 14:10:38', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41408', 'N', '2019-05-28 14:10:38', '2019-05-28 14:10:38', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41409', 'N', '2019-05-28 14:10:38', '2019-05-28 14:10:38', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41410', 'N', '2019-05-28 15:04:42', '2019-05-28 15:04:42', '108', '108', '糖尿病-蜘蛛痣部位', '糖尿病-蜘蛛痣部位', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41411', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41412', 'N', '2019-05-28 15:23:04', '2019-05-28 15:23:04', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41413', 'N', '2019-05-28 15:23:38', '2019-05-28 15:23:38', '108', '108', '瞳孔检查5', '瞳孔检查5', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '，', '', null);
INSERT INTO `icss_question_info` VALUES ('41414', 'N', '2019-05-29 09:13:28', '2019-05-29 09:13:28', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41415', 'N', '2019-05-29 09:13:28', '2019-05-29 09:13:28', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41416', 'N', '2019-05-29 09:13:28', '2019-05-29 09:13:28', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41417', 'N', '2019-05-29 09:13:28', '2019-05-29 09:13:28', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41418', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '患者患有', '患者患有', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41419', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '。', '。', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41420', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '，', '，', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41421', 'N', '2019-05-29 09:15:48', '2019-05-29 09:15:48', '106', '106', '近来出现', '近来出现', '3', '0', '200', '8', '0', '0', '1', '1', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41422', 'N', '2019-06-12 15:29:20', '2019-06-12 15:29:20', '108', '108', '神经反射检查4', '神经反射检查4', '3', '0', '200', '1', '2', '4', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41423', 'N', '2019-06-14 17:05:36', '2019-06-14 17:35:00', '108', '108', '尿沉渣计数-红细胞计数(RBC)', '红细胞计数(RBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '万', '0.000000', '4.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41424', 'Y', '2019-06-14 17:28:15', '2019-06-14 17:33:37', '108', '108', '红细胞计数', '红细胞计数(RBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '0.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41425', 'N', '2019-06-14 17:34:57', '2019-06-14 17:34:57', '108', '108', '尿沉渣计数-白细胞计数(WBC)', '白细胞计数(WBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '万', '0.000000', '14.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41426', 'N', '2019-06-14 17:36:29', '2019-06-14 17:36:29', '108', '108', '尿沉渣计数-管型', '管型', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41427', 'N', '2019-06-14 17:36:42', '2019-06-14 17:36:42', '108', '108', '1h尿沉渣计数', '1h尿沉渣计数', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41428', 'N', '2019-06-14 17:38:11', '2019-06-14 17:38:41', '108', '108', '24小时IgG鞘内合成率', '24小时IgG鞘内合成率', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41429', 'N', '2019-06-14 17:38:47', '2019-06-14 17:38:47', '108', '108', '24小时IgG鞘内合成率测定', '24小时IgG鞘内合成率测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41430', 'N', '2019-06-14 17:41:02', '2019-06-14 17:41:02', '108', '108', '24小时尿比重渗透压', '24小时尿比重渗透压', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41431', 'N', '2019-06-14 17:41:08', '2019-06-14 17:50:41', '108', '108', '24小时尿比重渗透压试验', '24小时尿比重渗透压试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41432', 'Y', '2019-06-14 17:59:34', '2019-06-18 11:13:58', '108', '108', '测试赛', '测试赛', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41433', 'N', '2019-06-17 14:47:04', '2019-06-17 14:47:04', '106', '106', '肌钙蛋白I(cTnI)', '肌钙蛋白I(cTnI)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.020000', '0.130000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41434', 'N', '2019-06-17 14:48:44', '2019-06-17 14:48:44', '106', '106', '三碘甲状原氨酸(T3)', '三碘甲状原氨酸(T3)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/L', '1.600000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41435', 'N', '2019-06-17 14:55:44', '2019-06-17 14:55:44', '106', '106', '24h摄取率', '24h摄取率', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '20.000000', '45.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41436', 'N', '2019-06-17 14:57:22', '2019-06-17 14:57:22', '106', '106', '0minC肽(C-P)', '0minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41437', 'N', '2019-06-17 14:57:46', '2019-06-17 14:57:46', '106', '106', '3h摄取率', '3h摄取率', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '2.000000', '25.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41438', 'N', '2019-06-17 14:58:08', '2019-06-17 14:58:08', '106', '106', '2minC肽(C-P)', '2minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41439', 'N', '2019-06-17 14:58:27', '2019-06-17 14:58:27', '106', '106', '3minC肽(C-P)', '3minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41440', 'N', '2019-06-17 15:11:58', '2019-06-17 15:11:58', '106', '106', '4minC肽(C-P)', '4minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41441', 'N', '2019-06-17 15:12:14', '2019-06-17 15:12:14', '106', '106', '5minC肽(C-P)', '5minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41442', 'N', '2019-06-17 15:12:31', '2019-06-17 15:12:31', '106', '106', '8minC肽(C-P)', '8minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41443', 'N', '2019-06-17 15:12:51', '2019-06-17 15:12:51', '106', '106', '10minC肽(C-P)', '10minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41444', 'N', '2019-06-17 15:19:38', '2019-06-17 15:19:38', '106', '106', '0min胰岛素(INS)', '0min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41445', 'N', '2019-06-17 15:19:56', '2019-06-17 15:19:56', '106', '106', '2min胰岛素(INS)', '2min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41446', 'N', '2019-06-17 15:34:39', '2019-06-17 15:34:39', '106', '106', '3min胰岛素(INS)', '3min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41447', 'N', '2019-06-17 15:36:30', '2019-06-17 15:36:30', '106', '106', '4min胰岛素(INS)', '4min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41448', 'N', '2019-06-17 15:36:48', '2019-06-17 15:36:48', '106', '106', '5min胰岛素(INS)', '5min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41449', 'N', '2019-06-17 15:45:45', '2019-06-17 15:45:45', '106', '106', '8min胰岛素(INS)', '8min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41450', 'N', '2019-06-17 15:46:01', '2019-06-17 15:46:01', '106', '106', '10min胰岛素(INS)', '10min胰岛素(INS)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41451', 'N', '2019-06-17 15:46:20', '2019-06-17 15:46:20', '106', '106', '30min葡萄糖(GLU)', '30min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41452', 'N', '2019-06-17 16:02:19', '2019-06-17 16:02:19', '106', '106', '60min葡萄糖(GLU)', '60min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41453', 'N', '2019-06-17 16:02:36', '2019-06-17 16:02:36', '106', '106', '120min葡萄糖(GLU)', '120min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41454', 'N', '2019-06-17 16:02:54', '2019-06-17 16:02:54', '106', '106', '180min葡萄糖(GLU)', '180min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41455', 'N', '2019-06-17 16:03:12', '2019-06-17 16:03:12', '106', '106', '240min葡萄糖(GLU)', '240min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41456', 'N', '2019-06-17 16:03:33', '2019-06-17 16:03:33', '106', '106', '300min葡萄糖(GLU)', '300min葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41457', 'N', '2019-06-17 16:03:51', '2019-06-17 16:03:51', '106', '106', '50minC肽(C-P)', '50minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41458', 'N', '2019-06-17 16:06:21', '2019-06-17 16:06:21', '106', '106', '60minC肽(C-P)', '60minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41459', 'N', '2019-06-17 16:06:37', '2019-06-17 16:06:37', '106', '106', '120minC肽(C-P)', '120minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41460', 'N', '2019-06-17 16:06:55', '2019-06-17 16:06:55', '106', '106', '240minC肽(C-P)', '240minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41461', 'N', '2019-06-17 16:07:13', '2019-06-17 16:07:13', '106', '106', '300minC肽(C-P)', '300minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41462', 'N', '2019-06-17 16:17:40', '2019-06-17 16:17:40', '106', '106', 'CK-MM', 'CK-MM', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41463', 'N', '2019-06-17 16:33:01', '2019-06-17 16:33:01', '106', '106', 'k型游离轻链', 'k型游离轻链', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '7.910000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41464', 'N', '2019-06-17 16:52:06', '2019-06-17 16:52:06', '106', '106', 'G1细胞', 'G1细胞', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41465', 'N', '2019-06-17 16:52:32', '2019-06-17 16:52:32', '106', '106', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/g肌酐', '0.000000', '16.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41466', 'N', '2019-06-17 16:52:53', '2019-06-17 16:52:53', '106', '106', 'NAG/Cr', 'NAG/Cr', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41467', 'N', '2019-06-17 16:53:10', '2019-06-17 16:53:10', '106', '106', 'mALB/Cr', 'mALB/Cr', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41468', 'N', '2019-06-17 17:07:37', '2019-06-17 17:07:37', '106', '106', 'LDH1', 'LDH1', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '28.100000', '37.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41469', 'N', '2019-06-17 17:08:04', '2019-06-17 17:08:04', '106', '106', 'LDH2', 'LDH2', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '41.600000', '48.600000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41470', 'N', '2019-06-17 17:10:31', '2019-06-17 17:10:31', '106', '106', 'LDH3', 'LDH3', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '15.800000', '212.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41471', 'N', '2019-06-17 17:11:05', '2019-06-17 17:11:05', '106', '106', 'LDH4', 'LDH4', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.000000', '11.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41472', 'N', '2019-06-17 17:11:26', '2019-06-17 17:11:26', '106', '106', 'LDH5', 'LDH5', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.300000', '1.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41473', 'N', '2019-06-17 17:14:04', '2019-06-17 17:14:04', '106', '106', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41474', 'N', '2019-06-17 17:14:43', '2019-06-17 17:14:43', '106', '106', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41475', 'N', '2019-06-17 17:16:52', '2019-06-17 17:16:52', '106', '106', 'EB病毒核抗原抗体IgG(EBV-NA-IgG)', 'EB病毒核抗原抗体IgG(EBV-NA-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41476', 'N', '2019-06-17 17:17:22', '2019-06-17 17:17:22', '106', '106', 'EB病毒早期抗原抗体IgG(EBV-EA-IgG)', 'EB病毒早期抗原抗体IgG(EBV-EA-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41477', 'N', '2019-06-17 17:23:55', '2019-06-17 17:23:55', '106', '106', 'BAO/MAO', 'BAO/MAO', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41478', 'N', '2019-06-17 17:24:14', '2019-06-17 17:24:14', '106', '106', 'BAO/PAO', 'BAO/PAO', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41479', 'N', '2019-06-17 17:24:33', '2019-06-17 17:24:33', '106', '106', 'LH/FSH', 'LH/FSH', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41481', 'N', '2019-06-17 17:25:39', '2019-06-17 17:25:39', '106', '106', 'ALB/GLB', 'ALB/GLB', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41482', 'N', '2019-06-17 17:26:10', '2019-06-17 17:26:10', '106', '106', 'AST/ALT', 'AST/ALT', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41483', 'N', '2019-06-17 17:28:56', '2019-06-17 17:28:56', '106', '106', '促甲状腺激素(TSH)', '促甲状腺激素(TSH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mIU/L', '0.340000', '5.600000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41484', 'N', '2019-06-17 17:29:24', '2019-06-17 17:29:24', '106', '106', '促甲状腺素受体抗体(TRAb)', '促甲状腺素受体抗体(TRAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41485', 'N', '2019-06-17 17:29:48', '2019-06-17 17:29:48', '106', '106', '癌胚抗原(CEA)', '癌胚抗原(CEA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41486', 'N', '2019-06-17 17:40:02', '2019-06-17 17:40:02', '106', '106', 'pH', 'pH', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41487', 'N', '2019-06-17 17:40:29', '2019-06-17 17:40:29', '106', '106', '标准碳酸氢盐(SB)', '标准碳酸氢盐(SB)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41488', 'N', '2019-06-17 17:51:44', '2019-06-17 17:51:44', '106', '106', 'β人绒毛膜促性腺激素(β-HCG)', 'β人绒毛膜促性腺激素(β-HCG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41489', 'N', '2019-06-17 17:56:59', '2019-06-17 17:56:59', '106', '106', '比重(SG)', '比重(SG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41490', 'N', '2019-06-18 09:43:26', '2019-06-18 09:43:26', '106', '106', 'α1微球蛋白(α1-MG)', 'α1微球蛋白(α1-MG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '12.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41491', 'N', '2019-06-18 09:43:52', '2019-06-18 09:43:52', '106', '106', 'α2巨球蛋白(α2-MG)', 'α2巨球蛋白(α2-MG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '9.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41492', 'N', '2019-06-18 09:44:13', '2019-06-18 09:44:13', '106', '106', 'α-L-岩藻糖苷酶(AFU)', 'α-L-岩藻糖苷酶(AFU)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '5.310000', '8.290000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41493', 'N', '2019-06-18 09:44:39', '2019-06-18 09:44:39', '106', '106', 'α羟基丁酸脱氢酶(α-HBD)', 'α羟基丁酸脱氢酶(α-HBD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '70.000000', '190.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41494', 'N', '2019-06-18 09:46:37', '2019-06-18 09:46:37', '106', '106', 'β2微球蛋白(β2-MG)', 'β2微球蛋白(β2-MG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41495', 'N', '2019-06-18 09:47:15', '2019-06-18 09:47:15', '106', '106', 'λ型游离轻链', 'λ型游离轻链', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '4.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41496', 'N', '2019-06-18 09:48:02', '2019-06-18 09:48:02', '106', '106', '白蛋白(Alb)', '白蛋白(Alb)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '60.000000', '80.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41497', 'N', '2019-06-18 09:48:20', '2019-06-18 09:48:51', '106', '106', '白细胞计数(WBC)', '白细胞计数(WBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '4.000000', '10.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41498', 'N', '2019-06-18 09:49:13', '2019-06-18 09:49:13', '106', '106', '白细胞脂酶(LEU)', '白细胞脂酶(LEU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41499', 'N', '2019-06-18 09:49:50', '2019-06-18 09:49:50', '106', '106', '超敏C反应蛋白(hs-CRP)', '超敏C反应蛋白(hs-CRP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/dl', '0.000000', '2.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41500', 'N', '2019-06-18 09:50:14', '2019-06-18 09:50:14', '106', '106', '丙肝病毒抗体(HCVAb)', '丙肝病毒抗体(HCVAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41501', 'N', '2019-06-18 09:50:47', '2019-06-18 09:50:47', '106', '106', '雌二醇(E2)', '雌二醇(E2)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pmol/L', '0.000000', '1835.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41502', 'N', '2019-06-18 09:51:09', '2019-06-19 15:32:32', '106', '108', '促黄体生成素(LH)', '促黄体生成素(LH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '1.000000', '76.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41503', 'N', '2019-06-18 09:51:49', '2019-06-18 09:51:49', '106', '106', '大型血小板比例(P-LCR)', '大型血小板比例(P-LCR)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '13.000000', '43.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41504', 'N', '2019-06-18 09:52:32', '2019-06-18 09:52:32', '106', '106', '单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)', '单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41505', 'N', '2019-06-18 09:53:00', '2019-06-18 09:53:00', '106', '106', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41506', 'N', '2019-06-18 09:53:21', '2019-06-18 09:53:21', '106', '106', '单纯疱疹病毒I型抗体IgG(HSV-I-IgG)', '单纯疱疹病毒I型抗体IgG(HSV-I-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41507', 'N', '2019-06-18 09:53:44', '2019-06-18 09:53:44', '106', '106', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41508', 'N', '2019-06-18 09:54:09', '2019-06-18 09:54:09', '106', '106', '单核细胞百分比(MONO%)', '单核细胞百分比(MONO%)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.030000', '0.080000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41509', 'N', '2019-06-18 10:29:28', '2019-06-18 10:29:28', '106', '106', '单核细胞绝对计数(MONO)', '单核细胞绝对计数(MONO)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '0.100000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41510', 'N', '2019-06-18 10:33:04', '2019-06-18 10:33:04', '106', '106', '胆红素(BIL)', '胆红素(BIL)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41511', 'N', '2019-06-18 10:33:46', '2019-06-18 10:33:46', '106', '106', '尿三胆检查胆红素(BIL)', '胆红素(BIL)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41512', 'N', '2019-06-18 10:34:20', '2019-06-18 10:34:20', '106', '106', '弹力纤维', '弹力纤维', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41513', 'N', '2019-06-18 10:41:42', '2019-06-18 10:41:42', '108', '108', '孕酮(P)', '孕酮(P)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/L', '0.000000', '103.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41514', 'N', '2019-06-18 10:44:46', '2019-06-21 10:58:35', '108', '108', '孕激素试验子项', '孕激素试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41515', 'N', '2019-06-18 10:46:39', '2019-06-21 10:59:29', '108', '108', '直接抗人球蛋白试验子项', '直接抗人球蛋白试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41516', 'N', '2019-06-18 10:47:14', '2019-06-21 10:32:32', '108', '108', '间接抗人球蛋白试验子项', '间接抗人球蛋白试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41517', 'N', '2019-06-18 10:47:19', '2019-06-18 10:47:19', '106', '106', '蛋白C抵抗(APCR)', '蛋白C抵抗(APCR)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41518', 'N', '2019-06-18 10:48:45', '2019-06-18 10:48:45', '108', '108', '碱性髓鞘蛋白', '碱性髓鞘蛋白', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.000000', '0.550000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41519', 'N', '2019-06-18 10:49:46', '2019-06-18 10:49:46', '108', '108', '碱性胎儿蛋白(BFP)', '碱性胎儿蛋白(BFP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '80μg/L', '0.000000', '80.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41520', 'N', '2019-06-18 10:53:09', '2019-06-18 10:57:24', '108', '108', '巨细胞病毒抗体IgG', '巨细胞病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41521', 'N', '2019-06-18 10:53:29', '2019-06-18 10:57:08', '108', '108', '巨细胞病毒抗体IgM', '巨细胞病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41522', 'N', '2019-06-18 10:54:05', '2019-06-18 10:57:01', '108', '108', '巨细胞病毒抗原', '巨细胞病毒抗原', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41523', 'N', '2019-06-18 10:55:56', '2019-06-18 10:57:18', '108', '108', '抗肺泡基底膜抗体', '抗肺泡基底膜抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41524', 'N', '2019-06-18 10:57:06', '2019-06-18 10:57:06', '106', '106', '蛋白C活性(PC)', '蛋白C活性(PC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41525', 'N', '2019-06-18 10:57:30', '2019-06-18 10:57:30', '106', '106', '蛋白C抗原(PC:Ag)', '蛋白C抗原(PC:Ag)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41526', 'N', '2019-06-18 10:58:09', '2019-06-18 10:58:09', '106', '106', '蛋白S含量(PS:Ag)', '蛋白S含量(PS:Ag)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41527', 'N', '2019-06-18 11:00:47', '2019-06-18 11:00:47', '108', '108', '抗碱血红蛋白(HbF)', '抗碱血红蛋白(HbF)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.400000', '92.800000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41528', 'N', '2019-06-18 11:01:13', '2019-06-18 11:01:13', '108', '108', '抗胶原I-VI抗体', '抗胶原I-VI抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41529', 'N', '2019-06-18 11:01:38', '2019-06-18 11:01:38', '108', '108', '抗角蛋白抗体(AKA)', '抗角蛋白抗体(AKA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41530', 'N', '2019-06-18 11:01:40', '2019-06-18 11:01:40', '106', '106', '低密度脂蛋白胆固醇(LDL-C)', '低密度脂蛋白胆固醇(LDL-C)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '2.670000', '2.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41531', 'N', '2019-06-18 11:02:15', '2019-06-18 11:02:15', '106', '106', '淀粉酶(AMY)', '淀粉酶(AMY)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '220.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41532', 'N', '2019-06-18 11:09:32', '2019-06-21 10:57:31', '108', '108', '抗链球菌透明质酸酶试验子项', '抗链球菌透明质酸酶试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41533', 'N', '2019-06-18 11:09:33', '2019-06-18 11:09:33', '106', '106', '二氧化碳(CO2)', '二氧化碳(CO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41534', 'N', '2019-06-18 11:10:05', '2019-06-18 11:10:05', '106', '106', '二氧化碳分压(PCO2)', '二氧化碳分压(PCO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41535', 'N', '2019-06-18 11:10:25', '2019-06-18 11:10:25', '106', '106', '非结合型雌三醇(UE3)', '非结合型雌三醇(UE3)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41536', 'N', '2019-06-18 11:11:37', '2019-06-18 11:11:37', '108', '108', '抗磷壁酸抗体', '抗磷壁酸抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41537', 'N', '2019-06-18 11:12:41', '2019-06-18 11:12:41', '108', '108', '抗磷脂酰丝氨酸抗体', '抗磷脂酰丝氨酸抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41538', 'N', '2019-06-18 11:14:40', '2019-06-18 11:14:40', '108', '108', '抗卵巢抗体', '抗卵巢抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41539', 'N', '2019-06-18 11:15:29', '2019-06-18 11:15:29', '108', '108', '抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)', '抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41540', 'N', '2019-06-18 11:18:32', '2019-06-21 10:57:11', '108', '108', '冷凝集试验子项', '冷凝集试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41541', 'N', '2019-06-18 11:18:59', '2019-06-21 10:56:56', '108', '108', '冷溶血试验子项', '冷溶血试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41542', 'N', '2019-06-18 11:23:22', '2019-06-18 11:23:22', '106', '106', '肺泡-静脉氧分压差(A-aDO2)', '肺泡-静脉氧分压差(A-aDO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41543', 'N', '2019-06-18 11:23:41', '2019-06-21 10:56:35', '108', '108', '连续血浆鱼精蛋白稀释试验子项', '连续血浆鱼精蛋白稀释试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41544', 'N', '2019-06-18 11:24:15', '2019-06-18 11:24:15', '106', '106', '风疹病毒抗体IgG(RV-IgG)', '风疹病毒抗体IgG(RV-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41545', 'N', '2019-06-18 11:24:38', '2019-06-18 11:24:38', '106', '106', '风疹病毒抗体IgM(RV-IgM)', '风疹病毒抗体IgM(RV-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41546', 'N', '2019-06-18 11:24:42', '2019-06-18 11:24:42', '108', '108', '粒细胞集落刺激因子', '粒细胞集落刺激因子', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41547', 'N', '2019-06-18 11:25:07', '2019-06-18 11:25:07', '106', '106', '钙(Ca)', '钙(Ca)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '2.100000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41548', 'N', '2019-06-18 11:25:23', '2019-06-18 11:25:23', '106', '106', '甘氨酸脯氨酸二肽氨基肽', '甘氨酸脯氨酸二肽氨基肽', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41549', 'N', '2019-06-18 11:25:36', '2019-06-21 10:56:16', '108', '108', '淋巴细胞毒试验子项', '淋巴细胞毒试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41550', 'N', '2019-06-18 11:25:44', '2019-06-18 11:25:44', '106', '106', '甘油三酯(TG)', '甘油三酯(TG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '1.550000', '1.580000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41551', 'Y', '2019-06-18 11:34:12', '2019-06-18 11:34:34', '108', '108', '鳞状细胞癌相关抗原(SCC)', '鳞状细胞癌相关抗原(SCC)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41552', 'N', '2019-06-18 11:34:51', '2019-06-18 11:34:51', '108', '108', '鳞状细胞癌相关抗原(SCC)', '鳞状细胞癌相关抗原(SCC)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'μg/L', '0.000000', '2.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41553', 'N', '2019-06-18 11:38:46', '2019-06-18 11:38:46', '108', '108', '硫酸去氢表雄酮(DHEAS)', '硫酸去氢表雄酮(DHEAS)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '100.000000', '3900.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41554', 'N', '2019-06-18 11:41:10', '2019-06-21 10:55:59', '108', '108', '毛细血管脆性试验子项', '毛细血管脆性试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41555', 'N', '2019-06-18 11:42:01', '2019-06-18 11:42:01', '106', '106', '干重', '干重', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41556', 'N', '2019-06-18 11:42:19', '2019-06-18 11:42:19', '106', '106', '高峰泌酸量(PAO)', '高峰泌酸量(PAO)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41557', 'N', '2019-06-18 11:42:45', '2019-06-18 11:42:45', '106', '106', '高密度脂蛋白胆固醇(HDL-C)', '高密度脂蛋白胆固醇(HDL-C)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '1.290000', '1.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41558', 'N', '2019-06-18 11:43:11', '2019-06-18 11:43:11', '106', '106', '睾酮(T)', '睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/L', '0.000000', '25.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41559', 'N', '2019-06-18 11:43:22', '2019-06-18 11:43:22', '108', '108', '梅毒螺旋体抗体(TP-Ab)', '梅毒螺旋体抗体(TP-Ab)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41560', 'N', '2019-06-18 11:43:35', '2019-06-18 11:43:35', '106', '106', '革兰染色', '革兰染色', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41561', 'N', '2019-06-18 11:44:16', '2019-06-18 11:44:16', '108', '108', '密螺旋体颗粒凝集(TPPA)试验', '密螺旋体颗粒凝集(TPPA)试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41562', 'N', '2019-06-18 11:44:55', '2019-06-18 11:44:55', '108', '108', '泌乳素(PRL)', '泌乳素(PRL)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '3.340000', '26.720000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41563', 'N', '2019-06-18 13:11:30', '2019-06-18 13:11:30', '106', '106', '弓形虫抗体IgG(TOXO-IgG)', '弓形虫抗体IgG(TOXO-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41564', 'N', '2019-06-18 13:11:55', '2019-06-18 13:11:55', '106', '106', '弓形虫抗体IgM(TOXO-IgM)', '弓形虫抗体IgM(TOXO-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41565', 'N', '2019-06-18 13:12:20', '2019-06-18 13:12:20', '106', '106', '谷氨酰基转移酶(GGT)', '谷氨酰基转移酶(GGT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '5.000000', '55.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41566', 'N', '2019-06-18 13:12:49', '2019-06-18 13:12:49', '106', '106', '谷丙转氨酶(ALT)', '谷丙转氨酶(ALT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '5.000000', '40.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41567', 'N', '2019-06-18 13:13:10', '2019-06-18 13:13:10', '106', '106', '管型', '管型', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41568', 'N', '2019-06-18 13:13:30', '2019-06-18 13:13:30', '106', '106', '红细胞分布宽度(RDW)', '红细胞分布宽度(RDW)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '39.000000', '46.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41569', 'N', '2019-06-18 13:14:13', '2019-06-18 13:14:13', '106', '106', '红细胞计数(RBC)', '红细胞计数(RBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^12/L', '0.000000', '5.740000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41570', 'N', '2019-06-18 13:14:36', '2019-06-18 13:14:36', '106', '106', '红细胞体积分布宽度(RDW-SD)', '红细胞体积分布宽度(RDW-SD)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '10.000000', '16.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41571', 'N', '2019-06-18 13:14:59', '2019-06-18 13:14:59', '106', '106', '红细胞压积(HCT)', '红细胞压积(HCT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'L/L', '0.350000', '0.470000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41572', 'N', '2019-06-18 13:15:22', '2019-06-18 13:15:22', '106', '106', '呼吸度(RI)', '呼吸度(RI)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41573', 'N', '2019-06-18 13:20:32', '2019-06-21 10:55:38', '108', '108', '囊虫病补体结合试验子项', '囊虫病补体结合试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41574', 'N', '2019-06-18 13:26:08', '2019-06-18 13:26:08', '108', '108', '尿C肽24小时定量', 'C肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/24h', '45.000000', '117.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41575', 'N', '2019-06-18 13:27:30', '2019-06-18 13:27:30', '106', '106', '活化部分凝血活酶时间(APTT)', '活化部分凝血活酶时间(APTT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 's', '31.000000', '53.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41576', 'N', '2019-06-18 13:27:41', '2019-06-18 13:27:41', '108', '108', '尿半乳糖24小时定量', '半乳糖', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/24h', '41.000000', '116.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41577', 'N', '2019-06-18 13:28:29', '2019-06-18 13:28:29', '106', '106', '肌酐(Cr)', '肌酐(Cr)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '44.000000', '104.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41578', 'N', '2019-06-18 13:28:49', '2019-06-21 10:51:08', '108', '108', '尿半乳糖定性子项', '尿半乳糖定性', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41579', 'N', '2019-06-18 13:28:50', '2019-06-18 13:28:50', '106', '106', '肌红蛋白(Mb)', '肌红蛋白(Mb)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41580', 'N', '2019-06-18 13:30:32', '2019-06-18 13:30:32', '108', '108', '尿比重(SG)', '比重(SG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '1.002000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41581', 'N', '2019-06-18 13:33:28', '2019-06-18 13:33:28', '108', '108', '丙氨酸氨基肽酶', '丙氨酸氨基肽酶', '3', '0', '200', '1', '6', '5', '1', '0', '', 'u/(g·cr)', '5.190000', '16.370000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41582', 'N', '2019-06-18 13:36:00', '2019-06-18 13:36:00', '108', '108', '尿草酸盐', '尿草酸盐', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/24h', '91.000000', '456.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41583', 'N', '2019-06-18 13:36:23', '2019-06-18 13:36:23', '106', '106', '肌酸激酶(CK)', '肌酸激酶(CK)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '8.000000', '195.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41584', 'N', '2019-06-18 13:36:48', '2019-06-18 13:36:48', '106', '106', '肌酸激酶同工酶(CK-MB)', '肌酸激酶同工酶(CK-MB)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41585', 'N', '2019-06-18 13:37:03', '2019-06-18 13:37:03', '106', '106', '基础泌酸量(BAO)', '基础泌酸量(BAO)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41586', 'N', '2019-06-18 13:37:12', '2019-06-21 10:49:44', '108', '108', '尿氟测定子项', '尿氟', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/ml', '10.000000', '58.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41587', 'N', '2019-06-18 13:37:22', '2019-06-18 13:37:22', '106', '106', '畸形红细胞', '畸形红细胞', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41588', 'N', '2019-06-18 13:37:36', '2019-06-18 13:37:36', '106', '106', '寄生虫', '寄生虫', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41589', 'N', '2019-06-18 13:37:57', '2019-06-18 13:37:57', '108', '108', '尿氟24小时定量', '尿氟', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/24h', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41590', 'N', '2019-06-18 13:38:21', '2019-06-21 11:02:19', '106', '108', '甲苯胺红不加热血清试验子项', '甲苯胺红不加热血清试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41591', 'N', '2019-06-18 13:38:47', '2019-06-18 13:38:47', '106', '106', '甲苯胺红不加热血清试验(TRUST)', '甲苯胺红不加热血清试验(TRUST)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41592', 'N', '2019-06-18 13:39:07', '2019-06-18 13:39:07', '108', '108', '尿钙24小时定量', '钙(Ca)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '0.240000', '0.480000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41593', 'N', '2019-06-18 13:39:17', '2019-06-18 13:39:17', '106', '106', '术前4项甲苯胺红不加热血清试验(TRUST)', '甲苯胺红不加热血清试验(TRUST)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41594', 'N', '2019-06-18 13:39:42', '2019-06-21 11:00:46', '106', '108', '甲苯胺蓝纠正试验子项', '甲苯胺蓝纠正试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41595', 'N', '2019-06-18 13:39:57', '2019-06-18 13:39:57', '108', '108', '尿胱氨酸24小时定量', '尿胱氨酸', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/24h', '83.000000', '830.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41596', 'N', '2019-06-18 13:40:06', '2019-06-18 13:40:06', '106', '106', '甲胎蛋白(AFP)', '甲胎蛋白(AFP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '20.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41597', 'N', '2019-06-18 13:40:39', '2019-06-21 10:49:06', '108', '108', '尿含铁血黄素定性子项', '尿含铁血黄素定性', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41598', 'N', '2019-06-18 13:41:28', '2019-06-21 10:49:27', '108', '108', '尿胱氨酸定性试验子项', '尿胱氨酸定性试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41599', 'N', '2019-06-18 13:42:02', '2019-06-21 10:48:43', '108', '108', '尿黑色素试验子项', '尿黑色素试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41600', 'N', '2019-06-18 13:42:49', '2019-06-18 13:42:49', '108', '108', '尿核基质蛋白(NMP22)', '尿核基质蛋白(NMP22)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41601', 'N', '2019-06-18 13:43:26', '2019-06-18 13:43:26', '106', '106', '甲状腺球蛋白(TG)', '甲状腺球蛋白(TG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '15.000000', '34.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41602', 'N', '2019-06-18 13:43:37', '2019-06-18 13:43:37', '108', '108', '环磷酸腺苷(cAMP)', '环磷酸腺苷(cAMP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/mg·肌酐', '2.500000', '4.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41603', 'N', '2019-06-18 13:43:57', '2019-06-18 13:43:57', '106', '106', '甲状腺素(T4)', '甲状腺素(T4)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/L', '65.000000', '270.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41604', 'N', '2019-06-18 13:44:20', '2019-06-18 13:44:20', '106', '106', '钾(K)', '钾(K)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '3.500000', '5.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41605', 'N', '2019-06-18 13:44:23', '2019-06-18 13:44:23', '108', '108', '尿肌酐24小时定量', '肌酐(Cr)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '5.300000', '17.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41606', 'N', '2019-06-18 13:44:45', '2019-06-18 13:44:45', '106', '106', '间接胆红素(I-Bil)', '间接胆红素(I-Bil)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '1.000000', '20.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41607', 'N', '2019-06-18 13:45:27', '2019-06-18 13:45:27', '106', '106', '碱性磷酸酶(ALP)', '碱性磷酸酶(ALP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '750.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41608', 'N', '2019-06-18 13:45:48', '2019-06-18 13:45:48', '108', '108', '尿钾24小时定量', '钾(K)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '25.000000', '100.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41609', 'N', '2019-06-18 13:46:30', '2019-06-18 13:46:30', '108', '108', '尿氯24小时定量', '氯(Cl)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24', '170.000000', '250.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41610', 'N', '2019-06-18 13:47:20', '2019-06-18 13:47:20', '108', '108', '尿镁24小时定量', '镁(Mg)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '3.000000', '4.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41611', 'N', '2019-06-18 13:50:33', '2019-06-18 13:50:33', '106', '106', '降钙素(CT)', '降钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '28.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41612', 'N', '2019-06-18 13:50:55', '2019-06-21 11:00:00', '106', '108', '结核感染T细胞斑点试验子项', '结核感染T细胞斑点试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41613', 'N', '2019-06-18 13:51:20', '2019-06-18 13:51:20', '106', '106', '结晶', '结晶', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41614', 'N', '2019-06-18 13:54:10', '2019-06-18 13:54:10', '108', '108', '尿钠24小时定量', '钠(Na)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '130.000000', '260.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41615', 'N', '2019-06-18 13:54:28', '2019-06-18 13:54:28', '106', '106', '精液量', '精液量', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41616', 'N', '2019-06-18 13:54:49', '2019-06-18 13:54:49', '106', '106', '精液颜色', '精液颜色', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41617', 'N', '2019-06-18 13:55:06', '2019-06-18 13:55:06', '106', '106', '精液液化时间', '精液液化时间', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41618', 'N', '2019-06-18 13:56:22', '2019-06-18 13:56:22', '108', '108', '尿酸24小时定量', '尿酸(UA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/24h', '1.500000', '4.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41619', 'N', '2019-06-18 13:57:05', '2019-06-18 13:57:05', '108', '108', '尿铅24小时定量', '铅(Pb)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/24h', '0.000000', '0.480000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41620', 'N', '2019-06-18 14:00:38', '2019-06-18 14:00:38', '108', '108', '尿羟脯氨酸24小时定量', '羟脯氨酸(Hyp)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/24h', '15.000000', '180.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41621', 'N', '2019-06-18 14:03:41', '2019-06-18 14:03:41', '106', '106', '精子存活率', '精子存活率', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41622', 'N', '2019-06-18 14:04:00', '2019-06-18 14:04:00', '106', '106', '精子活动力', '精子活动力', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41623', 'N', '2019-06-18 14:04:16', '2019-06-18 14:04:16', '106', '106', '精子计数', '精子计数', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41624', 'N', '2019-06-18 14:04:30', '2019-06-18 14:04:30', '106', '106', '精子形态', '精子形态', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41625', 'N', '2019-06-18 14:05:45', '2019-06-18 17:29:56', '108', '108', '尿前列腺素F24小时定量', '前列腺素F(PGF)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/24h', '1033.000000', '2371.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41626', 'N', '2019-06-18 14:09:02', '2019-06-21 10:47:36', '108', '108', '尿去甲肾上腺素测定子项', '去甲肾上腺素(NE)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '10.000000', '70.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41627', 'N', '2019-06-18 14:09:44', '2019-06-18 14:09:44', '108', '108', '尿醛固酮24小时定量', '醛固酮(ALD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/24h', '2.700000', '44.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41628', 'N', '2019-06-18 14:13:48', '2019-06-18 14:13:48', '106', '106', '巨细胞病毒抗体IgG(CMV-IgG)', '巨细胞病毒抗体IgG(CMV-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41629', 'N', '2019-06-18 14:14:22', '2019-06-18 14:14:22', '106', '106', '巨细胞病毒抗体IgM(CMV-IgM)', '巨细胞病毒抗体IgM(CMV-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41630', 'N', '2019-06-18 14:14:51', '2019-06-18 14:14:51', '106', '106', '抗BB抗体蛋白', '抗BB抗体蛋白', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41631', 'N', '2019-06-18 14:15:13', '2019-06-18 14:15:13', '106', '106', '抗BP180抗体', '抗BP180抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41632', 'N', '2019-06-18 14:20:51', '2019-06-18 14:20:51', '108', '108', '尿绒毛膜促性腺激素(HCG)', '尿绒毛膜促性腺激素(HCG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '312.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41633', 'N', '2019-06-18 14:21:22', '2019-06-21 10:44:42', '108', '108', '尿妊娠试验子项', '尿妊娠试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41634', 'N', '2019-06-18 14:22:05', '2019-06-21 10:46:50', '108', '108', '尿妊娠胶乳凝集抑制试验子项', '尿妊娠胶乳凝集抑制试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41635', 'N', '2019-06-18 14:24:13', '2019-06-18 14:24:13', '106', '106', '抗C1q抗体', '抗C1q抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41636', 'N', '2019-06-18 14:24:36', '2019-06-18 14:24:36', '106', '106', '抗DNP抗体', '抗DNP抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41637', 'N', '2019-06-18 14:25:01', '2019-06-18 14:25:01', '106', '106', '抗gp210抗体', '抗gp210抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41638', 'N', '2019-06-18 14:25:32', '2019-06-18 14:25:32', '108', '108', '溶菌酶(LYSO)', '溶菌酶(LYSO)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41639', 'N', '2019-06-18 14:26:26', '2019-06-21 10:44:23', '108', '108', '尿乳糜试验子项', '乳糜试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41640', 'N', '2019-06-18 14:27:31', '2019-06-21 10:44:08', '108', '108', '尿三氯化铁试验子项', '尿三氯化铁试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41641', 'N', '2019-06-18 14:30:36', '2019-06-18 14:30:36', '108', '108', '尿肾上腺素24小时定量', '肾上腺素(AD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/24h', '0.000000', '109.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41642', 'N', '2019-06-18 14:30:44', '2019-06-18 14:30:44', '106', '106', '抗Jo-1抗体', '抗Jo-1抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41643', 'N', '2019-06-18 14:30:59', '2019-06-18 14:30:59', '108', '108', '尿渗透压', '尿渗透压', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mOsm/(kg·H2O)', '50.000000', '1200.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41644', 'N', '2019-06-18 14:31:10', '2019-06-18 14:31:10', '106', '106', '抗Ku抗体', '抗Ku抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41645', 'N', '2019-06-18 14:31:40', '2019-06-18 14:31:40', '106', '106', '抗Mi-2抗体', '抗Mi-2抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41646', 'N', '2019-06-18 14:32:02', '2019-06-18 14:32:02', '106', '106', '抗nRNP/Sm抗体', '抗nRNP/Sm抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41647', 'N', '2019-06-18 14:34:03', '2019-06-18 14:34:03', '108', '108', '尿铁24小时定量', '铁(Fe)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/24h', '0.000000', '179.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41648', 'N', '2019-06-18 14:34:40', '2019-06-18 14:34:40', '108', '108', '尿铜24小时定量', '铜(Cu)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/24h', '0.000000', '250.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41649', 'N', '2019-06-18 14:35:51', '2019-06-18 14:35:51', '106', '106', '抗nRNP抗体', '抗nRNP抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41650', 'N', '2019-06-18 14:36:03', '2019-06-21 10:43:48', '108', '108', '尿血红蛋白定性试验子项', '尿血红蛋白定性试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41651', 'N', '2019-06-18 14:36:17', '2019-06-18 14:36:17', '106', '106', '抗PL-12抗体', '抗PL-12抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41652', 'N', '2019-06-18 14:36:37', '2019-06-18 14:36:37', '106', '106', '抗PL-7抗体', '抗PL-7抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41653', 'N', '2019-06-18 14:36:47', '2019-06-18 14:36:47', '108', '108', '尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体', '尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41654', 'N', '2019-06-18 14:37:04', '2019-06-18 14:37:04', '106', '106', '抗PM-Scl抗体', '抗PM-Scl抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41655', 'N', '2019-06-18 14:40:34', '2019-06-18 14:40:34', '106', '106', '抗PM-Scl抗体(抗PM-1抗体)', '抗PM-Scl抗体(抗PM-1抗体)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41656', 'N', '2019-06-18 14:40:59', '2019-06-18 14:40:59', '106', '106', '抗核抗体22项抗PM-Scl抗体(抗PM-1抗体)', '抗PM-Scl抗体(抗PM-1抗体)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41657', 'N', '2019-06-18 14:41:29', '2019-06-18 14:41:29', '106', '106', '抗RA33抗体', '抗RA33抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41658', 'N', '2019-06-18 14:41:53', '2019-06-18 14:41:53', '106', '106', '抗RNP抗体', '抗RNP抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41659', 'N', '2019-06-18 14:42:26', '2019-06-18 14:42:26', '106', '106', '抗Sa抗体', '抗Sa抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41660', 'N', '2019-06-18 14:43:18', '2019-06-18 14:43:18', '108', '108', '缺血修饰白蛋白(IMA)', '缺血修饰白蛋白(IMA)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41661', 'N', '2019-06-18 14:44:56', '2019-06-18 14:44:56', '108', '108', '人附睾分泌蛋白(HE4)', '人附睾分泌蛋白(HE4)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/ml', '1.000000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41662', 'N', '2019-06-18 14:51:54', '2019-06-21 10:43:12', '108', '108', '血生长激素测定子项', '生长激素(GH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '0.000000', '50.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41663', 'N', '2019-06-18 14:53:20', '2019-06-18 14:53:20', '108', '108', '生长抑素(SS)', '生长抑素(SS)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pg/ml', '0.000000', '25.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41664', 'N', '2019-06-18 14:58:57', '2019-06-18 14:58:57', '108', '108', '双氢睾酮(DHT)', '双氢睾酮(DHT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'noml/L', '0.300000', '10.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41665', 'N', '2019-06-18 15:02:00', '2019-06-18 15:02:00', '108', '108', '酸性糖蛋白', '酸性糖蛋白', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '550.000000', '1400.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41666', 'N', '2019-06-18 15:02:23', '2019-06-18 15:02:23', '108', '108', '酸性铁蛋白(AIF)', '酸性铁蛋白(AIF)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '154.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41667', 'N', '2019-06-18 15:03:17', '2019-06-21 10:34:05', '108', '108', '随机葡萄糖测定子项', '葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '3.900000', '6.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41668', 'N', '2019-06-18 15:04:38', '2019-06-18 15:04:38', '106', '106', '抗Scl-70抗体', '抗Scl-70抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41669', 'N', '2019-06-18 15:05:12', '2019-06-18 15:05:12', '106', '106', '抗Sm抗体', '抗Sm抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41670', 'N', '2019-06-18 15:05:46', '2019-06-18 15:05:46', '106', '106', '抗sp100抗体', '抗sp100抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41671', 'N', '2019-06-18 15:06:08', '2019-06-18 15:06:08', '106', '106', '抗SSA52抗体', '抗SSA52抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41672', 'N', '2019-06-18 15:06:34', '2019-06-18 15:06:34', '106', '106', '抗SSA60抗体', '抗SSA60抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41673', 'N', '2019-06-18 15:06:58', '2019-06-18 15:06:58', '106', '106', '抗SSA抗体', '抗SSA抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41674', 'N', '2019-06-18 15:07:18', '2019-06-18 15:07:18', '106', '106', '抗SSB抗体', '抗SSB抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41675', 'N', '2019-06-18 15:07:43', '2019-06-18 15:07:43', '106', '106', '抗α胞衬蛋白抗体', '抗α胞衬蛋白抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41676', 'N', '2019-06-18 15:08:04', '2019-06-18 15:08:04', '106', '106', '抗β2-糖蛋白1抗体', '抗β2-糖蛋白1抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41677', 'N', '2019-06-18 15:08:24', '2019-06-18 15:08:24', '106', '106', '抗白蛋白抗体', '抗白蛋白抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41678', 'N', '2019-06-18 15:11:18', '2019-06-18 15:11:18', '108', '108', '碳氧血红蛋白(COHb)', '碳氧血红蛋白(COHb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41679', 'N', '2019-06-18 15:13:59', '2019-06-18 15:13:59', '106', '106', '抗变异上皮抗体', '抗变异上皮抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41680', 'N', '2019-06-18 15:14:23', '2019-06-18 15:14:23', '106', '106', '抗表皮基底膜抗体', '抗表皮基底膜抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41681', 'N', '2019-06-18 15:14:25', '2019-06-21 10:42:50', '108', '108', '体液乳糜试验子项', '乳糜试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41682', 'N', '2019-06-18 15:14:51', '2019-06-18 15:14:51', '106', '106', '抗表皮棘细胞桥粒连接抗体', '抗表皮棘细胞桥粒连接抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41683', 'N', '2019-06-18 15:15:43', '2019-06-18 15:15:43', '108', '108', '铜蓝蛋白(CER)', '铜蓝蛋白(CER)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '10.000000', '650.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41684', 'N', '2019-06-18 15:17:24', '2019-06-18 15:17:24', '108', '108', '透明质酸(HA)', '透明质酸(HA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '2.000000', '119.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41685', 'N', '2019-06-18 15:17:55', '2019-06-18 15:17:55', '106', '106', '抗表皮细胞基底膜抗体(类天疱疮抗体)', '抗表皮细胞基底膜抗体(类天疱疮抗体)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41686', 'N', '2019-06-18 15:18:21', '2019-06-18 15:18:21', '106', '106', '抗波形蛋白抗体', '抗波形蛋白抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41687', 'N', '2019-06-18 15:19:27', '2019-06-21 10:42:33', '108', '108', '外斐氏反应子项', '外斐氏反应', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41688', 'N', '2019-06-18 15:19:33', '2019-06-18 15:19:33', '106', '106', '抗补体抗体', '抗补体抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41689', 'N', '2019-06-18 15:20:01', '2019-06-18 15:20:01', '106', '106', '抗肠杯状细胞抗体', '抗肠杯状细胞抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41690', 'N', '2019-06-18 15:21:33', '2019-06-18 15:21:33', '108', '108', '3min降钙素(CT)', '3min降钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '1.000000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41691', 'N', '2019-06-18 15:21:48', '2019-06-18 15:21:48', '108', '108', '5min降钙素(CT)', '5min降钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41692', 'N', '2019-06-18 15:22:00', '2019-06-18 15:22:00', '108', '108', '10min降钙素(CT)', '10min降钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41693', 'N', '2019-06-18 15:22:11', '2019-06-18 15:22:11', '108', '108', '15min降钙素(CT)', '15min降钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '2.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41694', 'N', '2019-06-18 15:23:00', '2019-06-18 15:23:00', '108', '108', '细胞角蛋白18片段', '细胞角蛋白18片段', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '0.000000', '3.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41695', 'N', '2019-06-18 15:24:09', '2019-06-18 15:24:09', '108', '108', '细胞角蛋白19片段(CYFRA21-1)', '细胞角蛋白19片段(CYFRA21-1)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '0.000000', '3.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41696', 'N', '2019-06-18 15:25:03', '2019-06-18 15:25:03', '106', '106', '抗促甲状腺激素刺激激素(TSH)受体抗体', '抗促甲状腺激素刺激激素(TSH)受体抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41697', 'N', '2019-06-18 15:25:30', '2019-06-18 15:25:30', '106', '106', '抗促甲状腺素抗体', '抗促甲状腺素抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41698', 'N', '2019-06-18 15:25:47', '2019-06-18 15:25:47', '108', '108', '纤维蛋白降解产物(FDP)', '纤维蛋白降解产物(FDP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'μg/ml', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41699', 'N', '2019-06-18 15:25:51', '2019-06-18 15:25:51', '106', '106', '抗促甲状腺素受体抗体', '抗促甲状腺素受体抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41700', 'N', '2019-06-18 15:26:13', '2019-06-18 15:26:13', '106', '106', '抗纺锤体抗体', '抗纺锤体抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41701', 'N', '2019-06-18 15:26:39', '2019-06-18 15:26:39', '106', '106', '抗高尔基抗体', '抗高尔基抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41702', 'N', '2019-06-18 15:27:03', '2019-06-18 15:27:03', '106', '106', '抗谷氨酸脱羧酶抗体(GADAb)', '抗谷氨酸脱羧酶抗体(GADAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41703', 'N', '2019-06-18 15:33:42', '2019-06-18 15:33:42', '106', '106', '抗核抗体(ANA)', '抗核抗体(ANA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41704', 'N', '2019-06-18 15:34:13', '2019-06-18 15:34:13', '106', '106', '抗核糖体P蛋白抗体(rRNP)', '抗核糖体P蛋白抗体(rRNP)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41705', 'N', '2019-06-18 15:35:27', '2019-06-18 15:35:27', '106', '106', '抗核小体抗体(AnuA)', '抗核小体抗体(AnuA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41706', 'N', '2019-06-18 15:39:26', '2019-06-18 15:39:26', '106', '106', '抗核周因子抗体(APF)', '抗核周因子抗体(APF)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41707', 'N', '2019-06-18 15:45:07', '2019-06-18 15:45:07', '106', '106', '抗滑膜抗体', '抗滑膜抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41708', 'N', '2019-06-18 15:45:19', '2019-06-18 15:45:19', '108', '108', '最大泌酸量(MAO)', '最大泌酸量(MAO)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41709', 'N', '2019-06-18 15:45:31', '2019-06-18 15:45:31', '106', '106', '抗环瓜氨酸肽抗体(CCP)', '抗环瓜氨酸肽抗体(CCP)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41710', 'N', '2019-06-18 15:45:52', '2019-06-18 15:45:52', '108', '108', '总前列腺特异性抗原(TPSA)', '总前列腺特异性抗原(TPSA)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41711', 'N', '2019-06-18 15:45:54', '2019-06-18 15:45:54', '106', '106', '抗肌动蛋白抗体', '抗肌动蛋白抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41712', 'N', '2019-06-18 15:46:23', '2019-06-18 15:46:23', '108', '108', '血电解质总钙(Ca)', '总钙(Ca)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41713', 'N', '2019-06-18 15:46:31', '2019-06-18 15:46:31', '106', '106', '抗肌内膜抗体(EMA)', '抗肌内膜抗体(EMA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41714', 'N', '2019-06-18 15:46:43', '2019-06-18 15:46:51', '108', '108', '尿电解质总钙(Ca)', '总钙(Ca)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41715', 'N', '2019-06-18 15:46:59', '2019-06-18 15:46:59', '106', '106', '抗甲状旁腺抗体', '抗甲状旁腺抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41716', 'N', '2019-06-18 15:47:07', '2019-06-18 15:47:07', '108', '108', '总二氧化碳(TCO2)', '总二氧化碳(TCO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41717', 'N', '2019-06-18 15:47:29', '2019-06-18 15:47:29', '106', '106', '抗甲状腺过氧化物酶抗体(TPOAb)', '抗甲状腺过氧化物酶抗体(TPOAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41718', 'N', '2019-06-18 15:47:31', '2019-06-18 15:47:31', '108', '108', '总蛋白(TP)', '总蛋白(TP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '35.000000', '55.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41719', 'N', '2019-06-18 15:47:51', '2019-06-18 15:47:51', '106', '106', '抗甲状腺球蛋白抗体(TGAb)', '抗甲状腺球蛋白抗体(TGAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41720', 'N', '2019-06-18 15:48:01', '2019-06-18 15:48:01', '108', '108', '总胆汁酸(TBA)', '总胆汁酸(TBA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '0.100000', '10.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41721', 'N', '2019-06-18 15:48:14', '2019-06-18 15:48:14', '106', '106', '抗甲状腺微粒体抗体(TMAb)', '抗甲状腺微粒体抗体(TMAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41722', 'N', '2019-06-18 15:48:23', '2019-06-18 15:48:23', '108', '108', '总胆固醇(TC)', '总胆固醇(TC)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '4.700000', '4.730000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41723', 'N', '2019-06-18 15:48:39', '2019-06-18 15:48:39', '108', '108', '转铁蛋白(TRF)', '转铁蛋白(TRF)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '2.000000', '3.600000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41724', 'N', '2019-06-18 15:48:54', '2019-06-18 15:48:54', '106', '106', '抗酪氨酸磷酸酶抗体(IA2)', '抗酪氨酸磷酸酶抗体(IA2)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41725', 'N', '2019-06-18 15:49:00', '2019-06-18 15:49:00', '108', '108', '中性粒细胞绝对计数(NEUT)', '中性粒细胞绝对计数(NEUT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '1.800000', '7.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41726', 'N', '2019-06-18 15:49:17', '2019-06-18 15:49:17', '108', '108', '中性粒细胞百分比(NEUT%)', '中性粒细胞百分比(NEUT%)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.430000', '0.750000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41727', 'N', '2019-06-18 15:49:24', '2019-06-21 10:57:48', '106', '108', '抗链球菌溶血素O定性子项', '抗链球菌溶血素O定性', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41728', 'N', '2019-06-18 15:49:30', '2019-06-18 15:49:30', '108', '108', '直接胆红素(D-Bil)', '直接胆红素(D-Bil)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '0.000000', '3.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41729', 'N', '2019-06-18 15:49:44', '2019-06-18 15:49:44', '106', '106', '抗凝血酶复合物(TAT)', '抗凝血酶复合物(TAT)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41730', 'N', '2019-06-18 15:49:44', '2019-06-18 15:49:44', '108', '108', '脂蛋白a(LPa)', '脂蛋白a(LPa)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '300.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41731', 'N', '2019-06-18 15:49:56', '2019-06-18 15:49:56', '108', '108', '正形红细胞', '正形红细胞', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41732', 'N', '2019-06-18 15:50:06', '2019-06-18 15:50:06', '106', '106', '抗凝血酶活性(AT:A)', '抗凝血酶活性(AT:A)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41733', 'N', '2019-06-18 15:50:08', '2019-06-18 15:50:08', '108', '108', '长度', '长度', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41734', 'N', '2019-06-18 15:50:21', '2019-06-18 15:50:21', '108', '108', '粘液', '粘液', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41735', 'N', '2019-06-18 15:50:34', '2019-06-18 15:50:34', '106', '106', '抗凝血酶抗原(AT:Ag)', '抗凝血酶抗原(AT:Ag)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41736', 'N', '2019-06-18 15:50:40', '2019-06-18 15:50:40', '108', '108', '载脂蛋白B(apoB)', '载脂蛋白B(apoB)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.600000', '1.140000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41737', 'N', '2019-06-18 15:50:55', '2019-06-18 15:50:55', '106', '106', '抗双链DNA抗体(抗dsDNA)', '抗双链DNA抗体(抗dsDNA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41738', 'N', '2019-06-18 15:51:15', '2019-06-18 15:51:15', '106', '106', '抗酸染色', '抗酸染色', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41739', 'N', '2019-06-18 15:57:20', '2019-06-18 15:57:20', '106', '106', '抗线粒体亚型抗体M2(AMA-M2)', '抗线粒体亚型抗体M2(AMA-M2)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41740', 'N', '2019-06-18 15:57:26', '2019-06-18 15:57:26', '108', '108', '载脂蛋白A1(apoA1)', '载脂蛋白A1(apoA1)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '1.000000', '1.760000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41741', 'N', '2019-06-18 15:57:50', '2019-06-18 15:57:50', '106', '106', '抗线粒体亚型抗体M4(AMA-M4)', '抗线粒体亚型抗体M4(AMA-M4)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41742', 'N', '2019-06-18 15:58:11', '2019-06-18 15:58:11', '108', '108', '游离三碘甲状原氨酸(FT3)', '游离三碘甲状原氨酸(FT3)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pmol/L', '2.160000', '6.780000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41743', 'N', '2019-06-18 15:58:24', '2019-06-18 15:58:24', '108', '108', '游离前列腺特异性抗原(FPSA)', '游离前列腺特异性抗原(FPSA)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41744', 'N', '2019-06-18 15:58:38', '2019-06-18 15:58:38', '108', '108', '游离甲状腺素(FT4)', '游离甲状腺素(FT4)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pmol/L', '10.000000', '31.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41745', 'N', '2019-06-18 15:58:54', '2019-06-18 15:58:54', '106', '106', '抗线粒体亚型抗体M9(AMA-M9)', '抗线粒体亚型抗体M9(AMA-M9)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41746', 'N', '2019-06-18 15:58:58', '2019-06-18 15:58:58', '108', '108', '隐血(BLD)', '隐血(BLD)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41747', 'N', '2019-06-18 15:59:25', '2019-06-18 15:59:25', '108', '108', '痰液隐血', '隐血', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41748', 'N', '2019-06-18 15:59:42', '2019-06-18 15:59:42', '108', '108', '血电解质阴离子隙(AG)', '阴离子隙(AG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41749', 'N', '2019-06-18 15:59:55', '2019-06-18 15:59:55', '108', '108', '尿电解质阴离子隙(AG)', '阴离子隙(AG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41750', 'N', '2019-06-18 16:00:14', '2019-06-18 16:00:14', '108', '108', '乙肝核心抗体定性(HBcAb)', '乙肝核心抗体定性(HBcAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41751', 'N', '2019-06-18 16:00:30', '2019-06-18 16:00:30', '108', '108', '乙肝核心抗体IgM定性(HBc-IgM)', '乙肝核心抗体IgM定性(HBc-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41752', 'N', '2019-06-18 16:00:47', '2019-06-18 16:00:47', '108', '108', '乙肝表面抗原定性(HBsAg)', '乙肝表面抗原定性(HBsAg)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41753', 'N', '2019-06-18 16:01:06', '2019-06-18 16:01:06', '108', '108', '乙肝e抗原定性(HBeAg)', '乙肝e抗原定性(HBeAg)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41754', 'N', '2019-06-18 16:01:19', '2019-06-18 16:01:19', '108', '108', '乙肝e抗体定性(HBeAb)', '乙肝e抗体定性(HBeAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41755', 'N', '2019-06-18 16:01:33', '2019-06-18 16:01:33', '108', '108', '胰岛素(Ins)', '胰岛素(Ins)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41756', 'N', '2019-06-18 16:01:48', '2019-06-18 16:01:48', '108', '108', '叶酸(FA)', '叶酸(FA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'nmol/L', '4.500000', '72.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41757', 'N', '2019-06-18 16:01:51', '2019-06-18 16:01:51', '106', '106', '抗腺病毒抗体IgG(ADV-IgG)', '抗腺病毒抗体IgG(ADV-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41758', 'N', '2019-06-18 16:01:58', '2019-06-18 16:01:58', '108', '108', '氧分压(PaO2)', '氧分压(PaO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41759', 'N', '2019-06-18 16:02:08', '2019-06-18 16:02:08', '108', '108', '氧饱和度(O2sat)', '氧饱和度(O2sat)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41760', 'N', '2019-06-18 16:02:18', '2019-06-18 16:02:18', '106', '106', '抗腺病毒抗体IgM(ADV-IgM)', '抗腺病毒抗体IgM(ADV-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41761', 'N', '2019-06-18 16:02:45', '2019-06-18 16:02:45', '106', '106', '抗心磷脂抗体(ACA)', '抗心磷脂抗体(ACA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41762', 'N', '2019-06-18 16:02:52', '2019-06-18 16:02:52', '108', '108', '颜色', '颜色', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41763', 'N', '2019-06-18 16:03:01', '2019-06-18 16:03:01', '108', '108', '亚硝酸盐(NIT)', '亚硝酸盐(NIT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41764', 'N', '2019-06-18 16:03:12', '2019-06-18 16:03:12', '106', '106', '抗胰岛素抗体(IAA)', '抗胰岛素抗体(IAA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41765', 'N', '2019-06-18 16:03:14', '2019-06-18 16:03:14', '108', '108', '血小板压积(PCT)', '血小板压积(PCT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.100000', '0.150000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41766', 'N', '2019-06-18 16:03:27', '2019-06-18 16:03:27', '108', '108', '血小板体积分布宽度(PDW)', '血小板体积分布宽度(PDW)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '15.500000', '18.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41767', 'N', '2019-06-18 16:03:33', '2019-06-18 16:03:33', '106', '106', '抗胰岛细胞抗体(ICA)', '抗胰岛细胞抗体(ICA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41768', 'N', '2019-06-18 16:03:41', '2019-06-18 16:03:41', '108', '108', '血小板计数(PLT)', '血小板计数(PLT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '100.000000', '300.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41769', 'N', '2019-06-18 16:03:55', '2019-06-18 16:03:55', '108', '108', '血红蛋白浓度(HGB)', '血红蛋白浓度(HGB)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '113.000000', '172.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41770', 'N', '2019-06-18 16:04:00', '2019-06-18 16:04:00', '106', '106', '抗增殖细胞核抗原抗体(抗PCNA)', '抗增殖细胞核抗原抗体(抗PCNA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41771', 'N', '2019-06-18 16:04:05', '2019-06-18 16:04:05', '108', '108', '血管紧张素(卧位)', '血管紧张素(卧位)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41772', 'N', '2019-06-18 16:04:13', '2019-06-18 16:04:13', '108', '108', '血管紧张素(立位)', '血管紧张素(立位)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41773', 'N', '2019-06-18 16:04:22', '2019-06-18 16:04:22', '106', '106', '抗着丝点抗体', '抗着丝点抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41774', 'N', '2019-06-18 16:04:40', '2019-06-18 16:04:40', '108', '108', '性状', '性状', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41775', 'N', '2019-06-18 16:04:50', '2019-06-18 16:04:50', '106', '106', '抗中性粒细胞胞浆抗体(cANCA)', '抗中性粒细胞胞浆抗体(cANCA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41776', 'N', '2019-06-18 16:04:54', '2019-06-18 16:04:54', '108', '108', '锌(Zn)', '锌(Zn)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '135.000000', '145.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41777', 'N', '2019-06-18 16:05:04', '2019-06-18 16:05:04', '108', '108', '心脏脂肪酸结核蛋白(H-FABP)', '心脏脂肪酸结核蛋白(H-FABP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41778', 'N', '2019-06-18 16:05:13', '2019-06-18 16:05:13', '106', '106', '抗中性粒细胞核周抗体(pANCA)', '抗中性粒细胞核周抗体(pANCA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41779', 'N', '2019-06-18 16:05:17', '2019-06-18 16:05:17', '108', '108', '腺苷脱氨酶(ADA)', '腺苷脱氨酶(ADA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U', '0.000000', '25.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41780', 'N', '2019-06-18 16:05:30', '2019-06-18 16:05:30', '108', '108', '纤维蛋白原(FG)', '纤维蛋白原(FG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '2.000000', '4.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41781', 'N', '2019-06-18 16:05:50', '2019-06-18 16:05:50', '106', '106', '抗组蛋白抗体(AHA)', '抗组蛋白抗体(AHA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41782', 'N', '2019-06-18 16:06:01', '2019-06-18 16:06:01', '108', '108', '细菌', '细菌', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41783', 'N', '2019-06-18 16:06:11', '2019-06-18 16:06:11', '108', '108', '细胞外剩余碱(Beecf)', '细胞外剩余碱(Beecf)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41784', 'N', '2019-06-18 16:06:13', '2019-06-18 16:06:13', '106', '106', '类风湿因子(RF)', '类风湿因子(RF)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41785', 'N', '2019-06-18 16:06:30', '2019-06-18 16:06:30', '108', '108', '细胞', '细胞', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41786', 'N', '2019-06-18 16:06:33', '2019-06-18 16:06:33', '106', '106', '类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)', '类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41787', 'N', '2019-06-18 16:06:40', '2019-06-18 16:06:40', '108', '108', '吸氧浓度(FIO2)', '吸氧浓度(FIO2)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41788', 'N', '2019-06-18 16:06:48', '2019-06-18 16:06:48', '106', '106', '类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)', '类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41789', 'N', '2019-06-18 16:06:50', '2019-06-18 16:06:50', '108', '108', '维生素C(VC)', '维生素C(VC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41790', 'N', '2019-06-18 16:07:04', '2019-06-18 16:07:04', '106', '106', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41791', 'N', '2019-06-18 16:07:06', '2019-06-18 16:07:06', '108', '108', '维生素B12(VitB12)', '维生素B12(VitB12)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pmol/L', '74.000000', '590.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41792', 'N', '2019-06-18 16:07:25', '2019-06-18 16:07:25', '108', '108', '尿蛋白定量分析微量白蛋白(mALB)', '微量白蛋白(mALB)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '30.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41793', 'N', '2019-06-18 16:07:30', '2019-06-18 16:07:30', '106', '106', '离子钙(Ca2+)', '离子钙(Ca2+)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '22.000000', '29.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41794', 'N', '2019-06-18 16:07:48', '2019-06-18 16:07:48', '108', '108', '铜(Cu)', '铜(Cu)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '3.140000', '47.410000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41795', 'N', '2019-06-18 16:08:02', '2019-06-18 16:08:02', '106', '106', '淋巴细胞百分比(LYM%)', '淋巴细胞百分比(LYM%)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.200000', '0.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41796', 'N', '2019-06-18 16:08:06', '2019-06-18 16:08:06', '108', '108', '铁蛋白(Fer)', '铁蛋白(Fer)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '15.000000', '300.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41797', 'N', '2019-06-18 16:08:19', '2019-06-18 16:08:19', '108', '108', '铁(Fe)', '铁(Fe)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '1.100000', '1.340000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41798', 'N', '2019-06-18 16:08:27', '2019-06-18 16:08:27', '106', '106', '淋巴细胞绝对计数(LYM)', '淋巴细胞绝对计数(LYM)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '0.500000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41799', 'N', '2019-06-18 16:08:36', '2019-06-18 16:08:36', '108', '108', '糖类抗原CA-724', '糖类抗原CA-724', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '6.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41800', 'N', '2019-06-18 16:08:45', '2019-06-18 16:08:45', '108', '108', '糖类抗原CA-549', '糖类抗原CA-549', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41801', 'N', '2019-06-18 16:08:58', '2019-06-18 16:08:58', '108', '108', '糖类抗原CA-50', '糖类抗原CA-50', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '20000.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41802', 'N', '2019-06-18 16:09:02', '2019-06-18 16:09:02', '106', '106', '磷(P)', '磷(P)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.000000', '1.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41803', 'N', '2019-06-18 16:09:08', '2019-06-18 16:09:08', '108', '108', '糖类抗原CA-29', '糖类抗原CA-29', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41804', 'N', '2019-06-18 16:09:16', '2019-06-18 16:09:16', '108', '108', '糖类抗原CA-27', '糖类抗原CA-27', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41805', 'N', '2019-06-18 16:09:29', '2019-06-18 16:09:29', '108', '108', '糖类抗原CA-242', '糖类抗原CA-242', '3', '0', '200', '1', '6', '5', '1', '0', '', 'kU/L', '0.000000', '20.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41806', 'N', '2019-06-18 16:09:44', '2019-06-18 16:09:44', '106', '106', '流行性出血热病毒抗体IgG', '流行性出血热病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41807', 'N', '2019-06-18 16:09:45', '2019-06-18 16:09:45', '108', '108', '糖类抗原CA-199', '糖类抗原CA-199', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/ml', '0.000000', '37.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41808', 'N', '2019-06-18 16:10:02', '2019-06-18 16:10:02', '108', '108', '糖类抗原CA-153', '糖类抗原CA-153', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '25000.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41809', 'N', '2019-06-18 16:10:03', '2019-06-18 16:10:03', '106', '106', '流行性出血热病毒抗体IgM', '流行性出血热病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41810', 'N', '2019-06-18 16:10:12', '2019-06-18 16:10:12', '108', '108', '糖类抗原CA-130', '糖类抗原CA-130', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41811', 'N', '2019-06-18 16:10:25', '2019-06-18 16:10:25', '106', '106', '流行性腮腺炎病毒抗体IgG', '流行性腮腺炎病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41812', 'N', '2019-06-18 16:10:25', '2019-06-18 16:10:25', '108', '108', '糖类抗原CA-125', '糖类抗原CA-125', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '35000.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41813', 'N', '2019-06-18 16:10:40', '2019-06-18 16:10:40', '108', '108', '碳酸氢根(HCO3)', '碳酸氢根(HCO3)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '3.500000', '5.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41814', 'N', '2019-06-18 16:10:50', '2019-06-18 16:10:50', '106', '106', '流行性腮腺炎病毒抗体IgM', '流行性腮腺炎病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41815', 'N', '2019-06-18 16:10:54', '2019-06-18 16:10:54', '108', '108', '痰液量', '痰液量', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ml', '0.000000', '100.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41816', 'N', '2019-06-18 16:11:12', '2019-06-18 16:11:12', '108', '108', '酸碱度(PH)', '酸碱度(PH)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '3.000000', '11.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41817', 'N', '2019-06-18 16:11:49', '2019-06-18 16:11:49', '108', '108', '嗜酸性粒细胞绝对计数(EO)', '嗜酸性粒细胞绝对计数(EO)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '0.050000', '0.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41818', 'N', '2019-06-18 16:12:04', '2019-06-18 16:12:04', '108', '108', '嗜酸性粒细胞百分比(EO%)', '嗜酸性粒细胞百分比(EO%)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.005000', '0.050000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41819', 'N', '2019-06-18 16:12:19', '2019-06-18 16:12:19', '108', '108', '嗜碱性粒细胞绝对计数(BA)', '嗜碱性粒细胞绝对计数(BA)', '3', '0', '200', '1', '6', '5', '1', '0', '', '10^9/L', '0.000000', '0.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41820', 'N', '2019-06-18 16:12:33', '2019-06-18 16:12:33', '108', '108', '嗜碱性粒细胞百分比(BA%)', '嗜碱性粒细胞百分比(BA%)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.000000', '0.010000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41821', 'N', '2019-06-18 16:12:49', '2019-06-18 16:12:49', '108', '108', '视黄醇结合蛋白(RBP)', '视黄醇结合蛋白(RBP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '0.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41822', 'N', '2019-06-18 16:12:58', '2019-06-18 16:12:58', '108', '108', '湿度', '湿度', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41823', 'N', '2019-06-18 16:13:08', '2019-06-18 16:13:08', '108', '108', '剩余碱(BE)', '剩余碱(BE)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41824', 'N', '2019-06-18 16:13:17', '2019-06-18 16:13:17', '108', '108', '肾素(卧位)', '肾素(卧位)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41825', 'N', '2019-06-18 16:13:26', '2019-06-18 16:13:26', '108', '108', '肾素(立位)', '肾素(立位)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41826', 'N', '2019-06-18 16:13:34', '2019-06-18 16:13:34', '108', '108', '上皮细胞计数', '上皮细胞计数', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41827', 'N', '2019-06-18 16:14:14', '2019-06-18 16:14:14', '108', '108', '乳酸脱氢酶(LD)', '乳酸脱氢酶(LD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '100.000000', '300.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41828', 'N', '2019-06-18 16:14:34', '2019-06-18 16:14:34', '108', '108', '人免疫缺陷病毒抗体(HIVAb)', '人免疫缺陷病毒抗体(HIVAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41829', 'N', '2019-06-18 16:14:49', '2019-06-18 16:14:49', '108', '108', '醛固酮(ALD)(卧位)', '醛固酮(ALD)(卧位)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/dl', '1.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41830', 'N', '2019-06-18 16:15:09', '2019-06-18 16:15:09', '108', '108', '醛固酮(ALD)(立位)', '醛固酮(ALD)(立位)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/dl', '5.000000', '15.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41831', 'N', '2019-06-18 16:15:26', '2019-06-18 16:15:26', '108', '108', '去氢表雄酮(DHEA)', '去氢表雄酮(DHEA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '100.000000', '3900.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41832', 'N', '2019-06-18 16:15:39', '2019-06-18 16:15:39', '108', '108', '球蛋白(GLB)', '球蛋白(GLB)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '20.000000', '40.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41833', 'N', '2019-06-18 16:16:28', '2019-06-18 16:16:28', '108', '108', '铅(Pb)', '铅(Pb)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'μmol/L', '0.000000', '0.480000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41834', 'N', '2019-06-18 16:17:04', '2019-06-18 16:17:04', '108', '108', '气味', '气味', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41835', 'N', '2019-06-18 16:17:39', '2019-06-18 16:17:39', '108', '108', '其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)', '其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41836', 'N', '2019-06-18 16:17:52', '2019-06-18 16:17:52', '108', '108', '痰液常规其他', '其他', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41837', 'N', '2019-06-18 16:18:05', '2019-06-18 16:18:05', '108', '108', '葡萄糖(GLU)', '葡萄糖(GLU)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '3.900000', '6.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41838', 'N', '2019-06-18 16:18:25', '2019-06-18 16:18:25', '108', '108', '平均血小板体积(MPV)', '平均血小板体积(MPV)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'fl', '8.000000', '12.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41839', 'N', '2019-06-18 16:18:42', '2019-06-18 16:18:42', '108', '108', '平均血红蛋白浓度(MCHC)', '平均血红蛋白浓度(MCHC)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '320.000000', '360.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41840', 'N', '2019-06-18 16:18:59', '2019-06-18 16:18:59', '108', '108', '平均血红蛋白含量(MCH)', '平均血红蛋白含量(MCH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pg', '25.000000', '35.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41841', 'N', '2019-06-18 16:19:19', '2019-06-18 16:19:19', '108', '108', '平均红细胞体积(MCV)', '平均红细胞体积(MCV)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'fl', '75.000000', '100.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41842', 'N', '2019-06-18 16:19:32', '2019-06-18 16:19:32', '108', '108', '凝血因子Ⅻ(FⅫ:C)', '凝血因子Ⅻ(FⅫ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '71.700000', '113.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41843', 'N', '2019-06-18 16:19:43', '2019-06-18 16:19:43', '108', '108', '凝血因子Ⅺ(FⅪ:C)', '凝血因子Ⅺ(FⅪ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '81.600000', '118.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41844', 'N', '2019-06-18 16:19:54', '2019-06-18 16:19:54', '108', '108', '凝血因子Ⅹ(FⅩ:C)', '凝血因子Ⅹ(FⅩ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '84.000000', '122.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41845', 'N', '2019-06-18 16:20:09', '2019-06-18 16:20:09', '108', '108', '凝血因子Ⅸ(FⅨ:C)', '凝血因子Ⅸ(FⅨ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '67.710000', '128.450000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41846', 'N', '2019-06-18 16:20:20', '2019-06-18 16:20:20', '108', '108', '凝血因子Ⅷ(FⅧ:C)', '凝血因子Ⅷ(FⅧ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '77.260000', '128.660000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41847', 'N', '2019-06-18 16:20:32', '2019-06-18 16:20:32', '108', '108', '凝血因子Ⅶ(FⅦ:C)', '凝血因子Ⅶ(FⅦ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '95.700000', '120.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41848', 'N', '2019-06-18 16:20:43', '2019-06-18 16:20:43', '108', '108', '凝血因子Ⅴ(FⅤ:C)', '凝血因子Ⅴ(FⅤ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '71.500000', '114.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41849', 'N', '2019-06-18 16:20:55', '2019-06-18 16:20:55', '108', '108', '凝血因子Ⅱ(FⅡ:C)', '凝血因子Ⅱ(FⅡ:C)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '81.000000', '114.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41850', 'N', '2019-06-18 16:22:20', '2019-06-18 16:22:20', '106', '106', '流行性乙型脑炎病毒抗体IgG', '流行性乙型脑炎病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41851', 'N', '2019-06-18 16:22:39', '2019-06-18 16:22:39', '106', '106', '流行性乙型脑炎病毒抗体IgM', '流行性乙型脑炎病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41852', 'N', '2019-06-18 16:23:26', '2019-06-18 16:23:26', '106', '106', '卵磷脂小体', '卵磷脂小体', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41853', 'N', '2019-06-18 16:23:50', '2019-06-18 16:23:50', '106', '106', '卵泡刺激素(FSH)', '卵泡刺激素(FSH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'IU/L', '3.850000', '8.780000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41854', 'N', '2019-06-18 16:24:13', '2019-06-18 16:24:13', '106', '106', '轮状病毒抗体', '轮状病毒抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41855', 'N', '2019-06-18 16:25:14', '2019-06-18 16:25:14', '106', '106', '氯(Cl)', '氯(Cl)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '95.000000', '105.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41856', 'N', '2019-06-18 16:25:16', '2019-06-18 16:25:16', '108', '108', '肌钙蛋白I测定', '肌钙蛋白I测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41857', 'N', '2019-06-18 16:25:42', '2019-06-18 16:25:42', '106', '106', '镁(Mg)', '镁(Mg)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.000000', '1.610000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41858', 'N', '2019-06-18 16:26:24', '2019-06-18 16:26:24', '106', '106', '免疫球蛋白G(IgG)', '免疫球蛋白G(IgG)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.000000', '8.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41859', 'N', '2019-06-18 16:26:42', '2019-06-18 16:26:42', '106', '106', '木糖', '木糖', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.650000', '1.330000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41860', 'N', '2019-06-18 16:27:13', '2019-06-18 16:27:13', '106', '106', '钠(Na)', '钠(Na)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.000000', '145.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41861', 'N', '2019-06-18 16:27:15', '2019-06-21 11:02:21', '108', '108', '甲苯胺红不加热血清试验', '甲苯胺红不加热血清试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41862', 'N', '2019-06-18 16:27:34', '2019-06-21 11:00:51', '108', '108', '甲苯胺蓝纠正试验', '甲苯胺蓝纠正试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41863', 'N', '2019-06-18 16:27:43', '2019-06-18 16:27:43', '106', '106', '尿胆素', '尿胆素', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41864', 'N', '2019-06-18 16:27:51', '2019-06-21 11:00:31', '108', '108', '甲胎蛋白测定', '甲胎蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41865', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '甲状腺功能5项', '甲状腺功能5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41866', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '甲状腺功能7项', '甲状腺功能7项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41867', 'N', '2019-06-18 16:29:34', '2019-06-18 16:29:34', '108', '108', '甲状腺球蛋白测定', '甲状腺球蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41868', 'N', '2019-06-18 16:29:54', '2019-06-18 16:29:54', '108', '108', '甲状腺摄碘试验', '甲状腺摄碘试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41869', 'N', '2019-06-18 16:29:57', '2019-06-18 16:29:57', '106', '106', '尿胆原(URO-U)', '尿胆原(URO-U)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41870', 'N', '2019-06-18 16:30:06', '2019-06-18 16:30:06', '108', '108', '甲状腺素测定', '甲状腺素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41871', 'N', '2019-06-18 16:30:11', '2019-06-18 16:30:11', '106', '106', '尿蛋白(PRO-U)', '尿蛋白(PRO-U)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41872', 'N', '2019-06-18 16:30:30', '2019-06-18 16:30:30', '106', '106', '尿免疫球蛋白IgG', '尿免疫球蛋白IgG', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41873', 'N', '2019-06-18 16:30:31', '2019-06-18 16:30:31', '108', '108', '甲状腺自身抗体3项', '甲状腺自身抗体3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41874', 'N', '2019-06-18 16:30:48', '2019-06-21 10:32:38', '108', '108', '间接抗人球蛋白试验', '间接抗人球蛋白试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41875', 'N', '2019-06-18 16:30:53', '2019-06-18 16:30:53', '106', '106', '尿素(Urea)', '尿素(Urea)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '2.900000', '8.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41876', 'N', '2019-06-18 16:31:06', '2019-06-18 16:31:06', '108', '108', '碱性磷酸酶测定', '碱性磷酸酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41877', 'N', '2019-06-18 16:31:21', '2019-06-18 16:31:21', '108', '108', '碱性髓鞘蛋白测定', '碱性髓鞘蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41878', 'N', '2019-06-18 16:31:23', '2019-06-18 16:31:23', '106', '106', '尿酸(UA)', '尿酸(UA)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '155.000000', '428.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41879', 'N', '2019-06-18 16:31:35', '2019-06-18 16:31:35', '108', '108', '碱性胎儿蛋白测定', '碱性胎儿蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41880', 'N', '2019-06-18 16:31:45', '2019-06-18 16:31:45', '106', '106', '尿酮体(KET)', '尿酮体(KET)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41881', 'N', '2019-06-18 16:31:53', '2019-06-18 16:31:53', '108', '108', '降钙素测定', '降钙素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41882', 'N', '2019-06-18 16:32:03', '2019-06-18 16:32:03', '106', '106', '尿微量白蛋白(mAlb)', '尿微量白蛋白(mAlb)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41883', 'N', '2019-06-18 16:32:17', '2019-06-18 16:32:17', '108', '108', '结肠癌标志物4项', '结肠癌标志物4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41884', 'N', '2019-06-18 16:32:31', '2019-06-18 16:32:31', '106', '106', '尿液酸碱度', '尿液酸碱度', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41885', 'N', '2019-06-18 16:32:40', '2019-06-21 11:00:05', '108', '108', '结核感染T细胞斑点试验', '结核感染T细胞斑点试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41886', 'N', '2019-06-18 16:32:48', '2019-06-18 16:32:48', '106', '106', '尿液外观', '尿液外观', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41887', 'N', '2019-06-18 16:33:06', '2019-06-18 16:33:06', '106', '106', '尿液颜色', '尿液颜色', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41888', 'N', '2019-06-18 16:33:30', '2019-06-21 10:43:32', '106', '108', '尿早孕试验子项', '尿早孕试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41889', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '静脉推注葡萄糖C肽释放试验', '静脉推注葡萄糖C肽释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41890', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '静脉推注葡萄糖胰岛素释放试验', '静脉推注葡萄糖胰岛素释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41891', 'N', '2019-06-18 16:35:10', '2019-06-18 16:35:10', '106', '106', '尿转铁蛋白(TRF)', '尿转铁蛋白(TRF)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41892', 'N', '2019-06-18 16:35:46', '2019-06-18 16:35:46', '106', '106', '凝血酶时间(TT)', '凝血酶时间(TT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 's', '16.000000', '18.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41893', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '静脉血气分析', '静脉血气分析', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41894', 'N', '2019-06-18 16:36:10', '2019-06-18 16:36:10', '106', '106', '凝血酶原时间(PT)', '凝血酶原时间(PT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 's', '11.000000', '22.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41895', 'N', '2019-06-18 16:36:34', '2019-06-18 16:36:34', '108', '108', '巨细胞病毒抗体测定', '巨细胞病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41896', 'N', '2019-06-18 16:36:37', '2019-06-18 16:36:37', '106', '106', '凝血时间(CT)', '凝血时间(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'min', '5.000000', '32.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41897', 'N', '2019-06-18 16:36:47', '2019-06-18 16:36:47', '108', '108', '巨细胞病毒抗原测定', '巨细胞病毒抗原测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41898', 'N', '2019-06-18 16:37:00', '2019-06-18 16:37:00', '108', '108', '抗BB抗体蛋白测定', '抗BB抗体蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41899', 'N', '2019-06-18 16:37:11', '2019-06-18 16:37:11', '108', '108', '抗BP180抗体测定', '抗BP180抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41900', 'N', '2019-06-18 16:37:23', '2019-06-18 16:37:23', '108', '108', '抗C1q抗体测定', '抗C1q抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41901', 'N', '2019-06-18 16:37:34', '2019-06-18 16:37:34', '108', '108', '抗DNP抗体测定', '抗DNP抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41902', 'N', '2019-06-18 16:37:45', '2019-06-18 16:37:45', '108', '108', '抗gp210抗体测定', '抗gp210抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41903', 'N', '2019-06-18 16:37:59', '2019-06-18 16:37:59', '108', '108', '抗Jo-1抗体测定', '抗Jo-1抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41904', 'N', '2019-06-18 16:38:09', '2019-06-18 16:38:09', '108', '108', '抗Ku抗体测定', '抗Ku抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41905', 'N', '2019-06-18 16:38:23', '2019-06-18 16:38:23', '108', '108', '抗Mi-2抗体测定', '抗Mi-2抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41906', 'N', '2019-06-18 16:38:33', '2019-06-18 16:38:33', '108', '108', '抗nRNP/Sm抗体测定', '抗nRNP/Sm抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41907', 'N', '2019-06-18 16:38:44', '2019-06-18 16:38:44', '108', '108', '抗PL-12抗体测定', '抗PL-12抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41908', 'N', '2019-06-18 16:38:56', '2019-06-18 16:38:56', '108', '108', '抗PL-7抗体测定', '抗PL-7抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41909', 'N', '2019-06-18 16:39:10', '2019-06-18 16:39:10', '108', '108', '抗PM-Scl抗体测定', '抗PM-Scl抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41910', 'N', '2019-06-18 16:39:39', '2019-06-18 16:39:39', '108', '108', '抗RA33抗体测定', '抗RA33抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41911', 'N', '2019-06-18 16:40:01', '2019-06-18 16:40:01', '108', '108', '抗RNP抗体测定', '抗RNP抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41912', 'N', '2019-06-18 16:40:13', '2019-06-18 16:40:13', '108', '108', '抗Sa抗体测定', '抗Sa抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41913', 'N', '2019-06-18 16:40:24', '2019-06-18 16:40:24', '108', '108', '抗Scl-70抗体测定', '抗Scl-70抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41914', 'N', '2019-06-18 16:40:33', '2019-06-18 16:40:33', '108', '108', '抗Sm抗体测定', '抗Sm抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41915', 'N', '2019-06-18 16:40:43', '2019-06-18 16:40:43', '108', '108', '抗sp100抗体测定', '抗sp100抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41916', 'N', '2019-06-18 16:40:53', '2019-06-18 16:40:53', '108', '108', '抗SSA52抗体测定', '抗SSA52抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41917', 'N', '2019-06-18 16:41:05', '2019-06-18 16:41:05', '108', '108', '抗SSA60抗体测定', '抗SSA60抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41918', 'N', '2019-06-18 16:41:17', '2019-06-18 16:41:17', '108', '108', '抗SSA抗体测定', '抗SSA抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41919', 'N', '2019-06-18 16:41:38', '2019-06-18 16:41:38', '108', '108', '抗SS-B抗体测定', '抗SS-B抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41920', 'N', '2019-06-18 16:41:53', '2019-06-18 16:41:53', '108', '108', '抗α胞衬蛋白抗体测定', '抗α胞衬蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41921', 'N', '2019-06-18 16:42:05', '2019-06-18 16:42:05', '108', '108', '抗β2-糖蛋白1抗体测定', '抗β2-糖蛋白1抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41922', 'N', '2019-06-18 16:42:20', '2019-06-18 16:42:20', '108', '108', '抗白蛋白抗体测定', '抗白蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41923', 'N', '2019-06-18 16:42:30', '2019-06-18 16:42:30', '108', '108', '抗变异上皮抗体测定', '抗变异上皮抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41924', 'N', '2019-06-18 16:42:44', '2019-06-18 16:42:44', '108', '108', '抗表皮基底膜抗体测定', '抗表皮基底膜抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41925', 'N', '2019-06-18 16:42:55', '2019-06-18 16:42:55', '108', '108', '抗表皮棘细胞桥粒连接抗体测定', '抗表皮棘细胞桥粒连接抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41926', 'N', '2019-06-18 16:43:06', '2019-06-18 16:43:06', '108', '108', '抗表皮细胞基底膜抗体测定', '抗表皮细胞基底膜抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41927', 'N', '2019-06-18 16:43:18', '2019-06-18 16:43:18', '108', '108', '抗补体抗体测定', '抗补体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41928', 'N', '2019-06-18 16:43:30', '2019-06-18 16:43:30', '108', '108', '抗肠杯状细胞抗体测定', '抗肠杯状细胞抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41929', 'N', '2019-06-18 16:43:44', '2019-06-18 16:43:44', '108', '108', '抗促甲状腺激素刺激激素受体抗体测定', '抗促甲状腺激素刺激激素受体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41930', 'N', '2019-06-18 16:43:56', '2019-06-18 16:43:56', '108', '108', '抗促甲状腺素抗体测定', '抗促甲状腺素抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41931', 'N', '2019-06-18 16:44:07', '2019-06-18 16:44:07', '108', '108', '抗促甲状腺素受体抗体测定', '抗促甲状腺素受体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41932', 'N', '2019-06-18 16:44:55', '2019-06-18 16:44:55', '106', '106', '孕酮测定', '孕酮测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41933', 'N', '2019-06-18 16:45:51', '2019-06-21 10:59:33', '106', '108', '直接抗人球蛋白试验', '直接抗人球蛋白试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41934', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '抗核抗体10项', '抗核抗体10项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41935', 'N', '2019-06-18 16:46:28', '2019-06-21 10:58:39', '106', '108', '孕激素试验', '孕激素试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41936', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '优生优育8项', '优生优育8项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41937', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '抗核抗体20项', '抗核抗体20项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41938', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '抗核抗体22项', '抗核抗体22项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41939', 'N', '2019-06-18 16:50:29', '2019-06-18 16:50:29', '108', '108', '抗核抗体2项', '抗核抗体2项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41940', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '抗核抗体8项', '抗核抗体8项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41941', 'N', '2019-06-18 16:51:19', '2019-06-18 16:51:19', '108', '108', '抗核抗体测定', '抗核抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41942', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '抗核抗体谱八项', '抗核抗体谱八项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41943', 'N', '2019-06-18 16:52:07', '2019-06-18 16:52:07', '108', '108', '抗核糖体P蛋白抗体测定', '抗核糖体P蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41944', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '抗核提取物抗体七项', '抗核提取物抗体七项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41945', 'N', '2019-06-18 16:52:55', '2019-06-18 16:52:55', '108', '108', '抗核小体抗体测定', '抗核小体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41946', 'N', '2019-06-18 16:53:09', '2019-06-18 16:53:09', '108', '108', '抗核周因子抗体测定', '抗核周因子抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41947', 'N', '2019-06-18 16:53:21', '2019-06-18 16:53:21', '108', '108', '抗滑膜抗体测定', '抗滑膜抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41948', 'N', '2019-06-18 16:53:35', '2019-06-18 16:53:35', '108', '108', '抗肌内膜抗体测定', '抗肌内膜抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41949', 'N', '2019-06-18 16:53:53', '2019-06-18 16:53:53', '108', '108', '抗甲状旁腺抗体测定', '抗甲状旁腺抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41950', 'N', '2019-06-18 16:55:01', '2019-06-18 16:55:01', '106', '106', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41951', 'N', '2019-06-18 16:55:04', '2019-06-18 16:55:04', '108', '108', '抗甲状腺过氧化物酶抗体测定', '抗甲状腺过氧化物酶抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41952', 'N', '2019-06-18 16:55:18', '2019-06-18 16:55:18', '108', '108', '抗甲状腺球蛋白抗体测定', '抗甲状腺球蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41953', 'N', '2019-06-18 16:55:28', '2019-06-18 16:55:28', '108', '108', '抗甲状腺微粒体抗体测定', '抗甲状腺微粒体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41954', 'N', '2019-06-18 16:55:45', '2019-06-18 16:55:45', '108', '108', '抗碱血红蛋白测定', '抗碱血红蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41955', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '优生优育10项', '优生优育10项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41956', 'N', '2019-06-18 16:55:58', '2019-06-18 16:55:58', '108', '108', '抗胶原I-VI抗体测定', '抗胶原I-VI抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41957', 'N', '2019-06-18 16:56:09', '2019-06-18 16:56:09', '108', '108', '抗角蛋白抗体测定', '抗角蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41958', 'N', '2019-06-18 16:56:25', '2019-06-21 10:57:52', '108', '108', '抗链球菌溶血素O定性', '抗链球菌溶血素O定性', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41959', 'N', '2019-06-18 16:56:42', '2019-06-21 10:57:37', '108', '108', '抗链球菌透明质酸酶试验', '抗链球菌透明质酸酶试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41960', 'N', '2019-06-18 16:56:52', '2019-06-18 16:56:52', '108', '108', '抗磷壁酸抗体测定', '抗磷壁酸抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41961', 'N', '2019-06-18 16:57:04', '2019-06-18 16:57:04', '108', '108', '抗磷脂酰丝氨酸抗体测定', '抗磷脂酰丝氨酸抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41962', 'N', '2019-06-18 16:57:16', '2019-06-18 16:57:16', '108', '108', '抗卵巢抗体测定', '抗卵巢抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41963', 'N', '2019-06-18 16:57:27', '2019-06-18 16:57:27', '106', '106', '乙肝表面抗体定性(HBsAb)', '乙肝表面抗体定性(HBsAb)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41964', 'N', '2019-06-18 16:57:28', '2019-06-18 16:57:28', '108', '108', '抗麦胶蛋白抗体测定', '抗麦胶蛋白抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41965', 'N', '2019-06-18 16:57:40', '2019-06-18 16:57:40', '108', '108', '空腹葡萄糖测定', '空腹葡萄糖测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41967', 'N', '2019-06-18 16:58:22', '2019-06-18 16:58:22', '108', '108', '空腹胰岛素测定', '空腹胰岛素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41972', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '乙肝三系定性', '乙肝三系定性', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41973', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '乙肝二对半', '乙肝二对半', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41974', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '口服葡萄糖耐量试验', '口服葡萄糖耐量试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41975', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '类风湿性关节炎自身抗体测定', '类风湿性关节炎自身抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41976', 'N', '2019-06-18 17:00:44', '2019-06-18 17:00:44', '108', '108', '类胰岛素样生长因子测定', '类胰岛素样生长因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41977', 'N', '2019-06-18 17:00:55', '2019-06-18 17:00:55', '108', '108', '类胰岛素样生长因子结合蛋白-3测定', '类胰岛素样生长因子结合蛋白-3测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41978', 'N', '2019-06-18 17:01:10', '2019-06-21 10:57:16', '108', '108', '冷凝集试验', '冷凝集试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41979', 'N', '2019-06-18 17:01:20', '2019-06-21 10:56:59', '108', '108', '冷溶血试验', '冷溶血试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41980', 'N', '2019-06-18 17:01:30', '2019-06-18 17:01:30', '108', '108', '粒细胞集落刺激因子测定', '粒细胞集落刺激因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41981', 'N', '2019-06-18 17:01:51', '2019-06-21 10:56:42', '108', '108', '连续血浆鱼精蛋白稀释试验', '连续血浆鱼精蛋白稀释试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41982', 'N', '2019-06-18 17:02:33', '2019-06-21 10:56:20', '108', '108', '淋巴细胞毒试验', '淋巴细胞毒试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41983', 'N', '2019-06-18 17:02:45', '2019-06-18 17:02:45', '108', '108', '鳞状细胞癌相关抗原测定', '鳞状细胞癌相关抗原测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41984', 'N', '2019-06-18 17:02:58', '2019-06-18 17:02:58', '108', '108', '流行性出血热病毒抗体测定', '流行性出血热病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41985', 'N', '2019-06-18 17:03:12', '2019-06-18 17:03:12', '108', '108', '流行性腮腺炎病毒抗体测定', '流行性腮腺炎病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41986', 'N', '2019-06-18 17:03:28', '2019-06-18 17:03:28', '108', '108', '流行性乙型脑炎病毒抗体测定', '流行性乙型脑炎病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41987', 'N', '2019-06-18 17:03:41', '2019-06-18 17:03:41', '108', '108', '硫酸去氢表雄酮测定', '硫酸去氢表雄酮测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41988', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '卵巢肿瘤标志物5项', '卵巢肿瘤标志物5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41989', 'N', '2019-06-18 17:04:23', '2019-06-18 17:04:23', '108', '108', '卵泡刺激素测定', '卵泡刺激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41990', 'N', '2019-06-18 17:04:29', '2019-06-18 17:04:29', '106', '106', '胰腺癌标志物4项', '胰腺癌标志物4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41991', 'N', '2019-06-18 17:04:34', '2019-06-18 17:04:34', '108', '108', '轮状病毒抗体测定', '轮状病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41992', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '馒头餐C肽释放试验', '馒头餐C肽释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41993', 'N', '2019-06-18 17:05:19', '2019-06-21 10:56:03', '108', '108', '毛细血管脆性试验', '毛细血管脆性试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41994', 'N', '2019-06-18 17:05:30', '2019-06-18 17:05:30', '108', '108', '梅毒螺旋体抗体测定', '梅毒螺旋体抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41995', 'N', '2019-06-18 17:05:45', '2019-06-18 17:05:45', '108', '108', '密螺旋体颗粒凝集试验', '密螺旋体颗粒凝集试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41996', 'N', '2019-06-18 17:05:56', '2019-06-18 17:05:56', '108', '108', '木糖测定', '木糖测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41997', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '男性肿瘤标志物5项', '男性肿瘤标志物5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41998', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '血脂7项', '血脂7项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('41999', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '男性肿瘤标志物6项', '男性肿瘤标志物6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42000', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '男性肿瘤标志物7项', '男性肿瘤标志物7项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42001', 'N', '2019-06-18 17:11:08', '2019-06-21 10:55:43', '108', '108', '囊虫病补体结合试验', '囊虫病补体结合试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42002', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '血脂6项', '血脂6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42003', 'N', '2019-06-18 17:15:51', '2019-06-18 17:15:51', '106', '106', '血脂4项', '血脂4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42004', 'N', '2019-06-18 17:16:00', '2019-06-18 17:16:00', '108', '108', 'C肽(C-P)', 'C肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/24h', '45.000000', '117.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42005', 'N', '2019-06-18 17:16:07', '2019-06-18 17:16:07', '108', '108', '尿C肽定量(24h)', '尿C肽定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42006', 'N', '2019-06-18 17:16:23', '2019-06-18 17:16:23', '108', '108', '尿半乳糖定量(24h)', '尿半乳糖定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42007', 'N', '2019-06-18 17:16:42', '2019-06-21 10:51:11', '108', '108', '尿半乳糖定性', '尿半乳糖定性', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42008', 'N', '2019-06-18 17:16:55', '2019-06-18 17:17:06', '108', '108', '尿比重测定', '尿比重测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42009', 'N', '2019-06-18 17:17:20', '2019-06-18 17:17:20', '108', '108', '尿丙氨酸氨基肽酶测定', '尿丙氨酸氨基肽酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42010', 'N', '2019-06-18 17:17:33', '2019-06-18 17:17:33', '108', '108', '尿草酸盐定量(24h)', '尿草酸盐定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42011', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '尿常规11联', '尿常规11联', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42012', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '尿沉渣检查', '尿沉渣检查', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42013', 'N', '2019-06-18 17:19:37', '2019-06-18 17:19:37', '106', '106', '总胆红素(T-Bil)', '总胆红素(T-Bil)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42014', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '尿蛋白定量分析', '尿蛋白定量分析', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42015', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '尿电解质测定', '尿电解质测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42016', 'N', '2019-06-18 17:21:14', '2019-06-21 10:49:47', '108', '108', '尿氟测定', '尿氟测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42017', 'N', '2019-06-18 17:21:28', '2019-06-18 17:21:28', '108', '108', '尿氟定量(24h)', '尿氟定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42018', 'N', '2019-06-18 17:21:43', '2019-06-18 17:21:43', '108', '108', '尿胱氨酸定量(24h)', '尿胱氨酸定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42019', 'N', '2019-06-18 17:22:00', '2019-06-21 10:49:30', '108', '108', '尿胱氨酸定性试验', '尿胱氨酸定性试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42020', 'N', '2019-06-18 17:22:11', '2019-06-21 10:49:09', '108', '108', '尿含铁血黄素定性', '尿含铁血黄素定性', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42021', 'N', '2019-06-18 17:22:22', '2019-06-18 17:22:22', '108', '108', '尿核基质蛋白测定', '尿核基质蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42022', 'N', '2019-06-18 17:22:34', '2019-06-21 10:48:47', '108', '108', '尿黑色素试验', '尿黑色素试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42023', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '尿红细胞位相', '尿红细胞位相', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42024', 'N', '2019-06-18 17:23:35', '2019-06-18 17:23:35', '108', '108', '尿环磷酸腺苷测定', '尿环磷酸腺苷测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42025', 'N', '2019-06-18 17:24:01', '2019-06-18 17:25:41', '108', '108', '尿肌酐定量(24h)', '尿肌酐定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42026', 'N', '2019-06-18 17:26:17', '2019-06-18 17:26:17', '108', '108', '尿钾定量(24h)', '尿钾定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42027', 'N', '2019-06-18 17:26:30', '2019-06-18 17:26:30', '108', '108', '尿氯定量(24h)', '尿氯定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42028', 'N', '2019-06-18 17:26:40', '2019-06-18 17:26:40', '108', '108', '尿镁定量(24h)', '尿镁定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42029', 'N', '2019-06-18 17:27:34', '2019-06-18 17:27:34', '108', '108', '尿肌酐测定', '肌酐(Cr)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42030', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '尿敏感肾功能9项', '尿敏感肾功能9项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42031', 'N', '2019-06-18 17:28:02', '2019-06-18 17:28:02', '108', '108', '尿钠定量(24h)', '尿钠定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42032', 'N', '2019-06-18 17:28:16', '2019-06-18 17:28:16', '108', '108', '尿尿酸定量(24h)', '尿尿酸定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42033', 'N', '2019-06-18 17:28:29', '2019-06-18 17:28:29', '108', '108', '尿铅定量(24h)', '尿铅定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42034', 'N', '2019-06-18 17:29:46', '2019-06-18 17:29:46', '108', '108', '尿前列腺素E24小时定量', '前列腺素E(PGE)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/24h', '366.500000', '612.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42035', 'N', '2019-06-18 17:30:04', '2019-06-18 17:30:04', '108', '108', '尿前列腺素定量(24h)', '尿前列腺素定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42036', 'N', '2019-06-18 17:30:20', '2019-06-18 17:30:20', '108', '108', '尿羟脯氨酸定量(24h)', '尿羟脯氨酸定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42037', 'N', '2019-06-18 17:30:41', '2019-06-21 10:47:41', '108', '108', '尿去甲肾上腺素测定', '尿去甲肾上腺素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42038', 'N', '2019-06-18 17:32:01', '2019-06-18 17:32:01', '106', '106', '谷草转氨酶(AST)', '谷草转氨酶(AST)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42039', 'N', '2019-06-18 17:32:22', '2019-06-18 17:32:22', '108', '108', '尿醛固酮定量(24h)', '尿醛固酮定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42040', 'N', '2019-06-18 17:32:49', '2019-06-21 10:47:16', '108', '108', '尿妊娠胶乳凝集抑制试验', '尿妊娠胶乳凝集抑制试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42041', 'N', '2019-06-18 17:33:05', '2019-06-21 10:44:46', '108', '108', '尿妊娠试验', '尿妊娠试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42042', 'N', '2019-06-18 17:33:25', '2019-06-18 17:33:25', '108', '108', '尿绒毛膜促性腺激素测定', '尿绒毛膜促性腺激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42043', 'N', '2019-06-18 17:33:37', '2019-06-18 17:33:37', '108', '108', '尿溶菌酶测定', '尿溶菌酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42044', 'N', '2019-06-18 17:33:56', '2019-06-21 10:44:27', '108', '108', '尿乳糜试验', '尿乳糜试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42045', 'N', '2019-06-18 17:34:18', '2019-06-18 17:34:18', '108', '108', '尿三胆检查', '尿三胆检查', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42046', 'N', '2019-06-18 17:34:31', '2019-06-21 10:44:12', '108', '108', '尿三氯化铁试验', '尿三氯化铁试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42047', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '血液生化36项测定', '血液生化36项测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42048', 'N', '2019-06-18 17:34:46', '2019-06-18 17:34:46', '108', '108', '尿肾上腺素定量(24h)', '尿肾上腺素定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42049', 'N', '2019-06-18 17:34:57', '2019-06-18 17:34:57', '108', '108', '尿渗透压测定', '尿渗透压测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42050', 'N', '2019-06-18 17:35:09', '2019-06-18 17:35:09', '108', '108', '尿铁定量(24h)', '尿铁定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42051', 'N', '2019-06-18 17:35:20', '2019-06-18 17:35:20', '108', '108', '尿铜定量(24h)', '尿铜定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42052', 'N', '2019-06-18 17:35:44', '2019-06-18 17:35:44', '108', '108', '尿微量蛋白4项', '尿微量蛋白4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42053', 'N', '2019-06-18 17:35:57', '2019-06-21 10:43:52', '108', '108', '尿血红蛋白定性试验', '尿血红蛋白定性试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42054', 'N', '2019-06-18 17:36:08', '2019-06-18 17:36:08', '108', '108', '尿液人类免疫缺陷病毒Ⅰ型抗体测定', '尿液人类免疫缺陷病毒Ⅰ型抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42055', 'N', '2019-06-18 17:36:21', '2019-06-21 10:43:36', '108', '108', '尿早孕试验', '尿早孕试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42056', 'N', '2019-06-18 17:37:03', '2019-06-18 17:37:03', '108', '108', '凝血4项', '凝血4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42057', 'N', '2019-06-18 17:37:18', '2019-06-18 17:37:18', '108', '108', '凝血时间测定', '凝血时间测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42058', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '凝血因子活性测定', '凝血因子活性测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42059', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '女性肿瘤标志物5项', '女性肿瘤标志物5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42060', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '女性肿瘤标志物6项', '女性肿瘤标志物6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42061', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '血液生化29项测定', '血液生化29项测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42062', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '女性肿瘤标志物7项', '女性肿瘤标志物7项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42063', 'N', '2019-06-18 17:40:33', '2019-06-18 17:40:33', '108', '108', '贫血四项', '贫血四项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42064', 'N', '2019-06-18 17:41:24', '2019-06-18 17:41:24', '108', '108', '前列腺常规白细胞计数', '白细胞计数(WBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42065', 'N', '2019-06-18 17:42:01', '2019-06-18 17:42:01', '108', '108', '前列腺常规淀粉样体', '淀粉样体', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42066', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '血液生化18项测定', '血液生化18项测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42067', 'N', '2019-06-18 17:42:29', '2019-06-18 17:42:29', '108', '108', '前列腺常规红细胞计数', '红细胞计数(RBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42068', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '前列腺液常规检查', '前列腺液常规检查', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42069', 'N', '2019-06-18 17:43:08', '2019-06-18 17:43:08', '108', '108', '前列腺肿瘤标志物2项', '前列腺肿瘤标志物2项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42070', 'N', '2019-06-18 17:43:20', '2019-06-18 17:43:20', '108', '108', '缺血修饰白蛋白测定', '缺血修饰白蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42071', 'N', '2019-06-18 17:43:33', '2019-06-18 17:43:33', '108', '108', '人附睾分泌蛋白测定', '人附睾分泌蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42072', 'N', '2019-06-18 17:43:47', '2019-06-18 17:43:47', '108', '108', '乳酸脱氢酶测定', '乳酸脱氢酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42073', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '乳酸脱氢酶同工酶测定', '乳酸脱氢酶同工酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42074', 'N', '2019-06-18 17:44:39', '2019-06-18 17:44:39', '108', '108', '乳腺癌标志物4项', '乳腺癌标志物4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42075', 'N', '2019-06-18 17:44:50', '2019-06-18 17:44:50', '108', '108', '三碘甲状原氨酸测定', '三碘甲状原氨酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42076', 'N', '2019-06-18 17:45:15', '2019-06-18 17:45:15', '108', '108', '上呼吸道感染EB病毒抗体4项', '上呼吸道感染EB病毒抗体4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42077', 'N', '2019-06-18 17:45:33', '2019-06-18 17:45:33', '108', '108', '肾功能常规3项', '肾功能常规3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42078', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '肾素卧立位试验', '肾素卧立位试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42079', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '生理抗凝因子测定', '生理抗凝因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42080', 'N', '2019-06-18 17:46:52', '2019-06-18 17:46:52', '108', '108', '生长抑素测定', '生长抑素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42081', 'N', '2019-06-18 17:47:15', '2019-06-18 17:47:15', '108', '108', '输血前4项', '输血前4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42082', 'N', '2019-06-18 17:47:54', '2019-06-18 17:47:54', '108', '108', '术前4项', '术前4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42083', 'N', '2019-06-18 17:48:07', '2019-06-18 17:48:07', '108', '108', '双氢睾酮测定', '双氢睾酮测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42084', 'N', '2019-06-18 17:48:18', '2019-06-18 17:48:18', '108', '108', '酸性糖蛋白测定', '酸性糖蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42085', 'N', '2019-06-18 17:48:30', '2019-06-18 17:48:30', '108', '108', '酸性铁蛋白测定', '酸性铁蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42086', 'N', '2019-06-18 17:48:55', '2019-06-21 10:34:08', '108', '108', '随机葡萄糖测定', '随机葡萄糖测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42087', 'N', '2019-06-18 17:49:30', '2019-06-18 17:49:30', '106', '106', '生长激素(GH)', '生长激素(GH)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42088', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '痰液常规', '痰液常规', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42089', 'N', '2019-06-18 17:50:50', '2019-06-21 10:43:15', '106', '108', '血生长激素测定', '血生长激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42090', 'N', '2019-06-18 17:50:59', '2019-06-18 17:50:59', '108', '108', '碳氧血红蛋白测定', '碳氧血红蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42091', 'N', '2019-06-18 17:51:18', '2019-06-18 17:51:18', '108', '108', '唐氏综合征二联筛查', '唐氏综合征二联筛查', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42092', 'N', '2019-06-18 17:51:36', '2019-06-18 17:51:36', '108', '108', '唐氏综合征三联筛查', '唐氏综合征三联筛查', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42093', 'N', '2019-06-18 17:51:48', '2019-06-18 17:51:48', '108', '108', '糖类抗原CA-125测定', '糖类抗原CA-125测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42094', 'N', '2019-06-18 17:52:02', '2019-06-18 17:52:02', '108', '108', '糖类抗原CA-130测定', '糖类抗原CA-130测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42095', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '血电解质测定', '血电解质测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42096', 'N', '2019-06-18 17:52:14', '2019-06-18 17:52:14', '108', '108', '糖类抗原CA-153测定', '糖类抗原CA-153测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42097', 'N', '2019-06-18 17:52:25', '2019-06-18 17:52:25', '108', '108', '糖类抗原CA-199测定', '糖类抗原CA-199测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42098', 'N', '2019-06-18 17:52:41', '2019-06-18 17:52:41', '108', '108', '糖类抗原CA-242测定', '糖类抗原CA-242测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42099', 'N', '2019-06-18 17:52:52', '2019-06-18 17:52:52', '108', '108', '糖类抗原CA-27测定', '糖类抗原CA-27测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42100', 'N', '2019-06-18 17:53:02', '2019-06-18 17:53:02', '108', '108', '糖类抗原CA-29测定', '糖类抗原CA-29测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42101', 'N', '2019-06-18 17:53:12', '2019-06-18 17:53:12', '108', '108', '糖类抗原CA-50测定', '糖类抗原CA-50测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42102', 'N', '2019-06-18 17:53:22', '2019-06-18 17:53:22', '108', '108', '糖类抗原CA-549测定', '糖类抗原CA-549测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42103', 'N', '2019-06-18 17:53:33', '2019-06-18 17:53:33', '108', '108', '糖类抗原CA-724测定', '糖类抗原CA-724测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42104', 'N', '2019-06-18 17:53:48', '2019-06-18 17:53:48', '108', '108', '糖尿病自身抗体2项', '糖尿病自身抗体2项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42105', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '血电解质6项', '血电解质6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42106', 'N', '2019-06-18 17:54:08', '2019-06-18 17:54:08', '108', '108', '糖尿病自身抗体3项', '糖尿病自身抗体3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42107', 'N', '2019-06-18 17:54:29', '2019-06-18 17:54:29', '108', '108', '糖尿病自身抗体4项', '糖尿病自身抗体4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42108', 'N', '2019-06-18 17:54:37', '2019-06-18 17:54:37', '106', '106', '血电解质4项', '血电解质4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42109', 'N', '2019-06-18 17:55:01', '2019-06-18 17:55:01', '108', '108', '体外血栓形成试验', '体外血栓形成试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42110', 'N', '2019-06-18 17:55:03', '2019-06-18 17:55:03', '106', '106', '血电解质3项', '血电解质3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42111', 'N', '2019-06-18 17:55:22', '2019-06-21 10:42:54', '108', '108', '体液乳糜试验', '体液乳糜试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42112', 'N', '2019-06-18 17:55:53', '2019-06-18 17:55:53', '108', '108', '铜蓝蛋白测定', '铜蓝蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42113', 'N', '2019-06-18 17:56:16', '2019-06-18 17:56:16', '108', '108', '透明质酸测定', '透明质酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42114', 'N', '2019-06-18 17:56:57', '2019-06-18 17:56:57', '108', '108', '唾液溶菌酶', '溶菌酶(LYSO)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '1.500000', '1.900000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42115', 'N', '2019-06-18 17:57:06', '2019-06-18 17:57:06', '108', '108', '唾液溶菌酶测定', '唾液溶菌酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42116', 'N', '2019-06-18 17:57:20', '2019-06-21 10:42:37', '108', '108', '外斐氏反应', '外斐氏反应', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42117', 'N', '2019-06-18 17:58:34', '2019-06-18 17:58:34', '108', '108', '血清铜', '铜(Cu)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '12.600000', '29.900000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42118', 'N', '2019-06-18 17:58:54', '2019-06-18 17:58:54', '108', '108', '血清锌', '锌(Zn)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '135.000000', '145.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42119', 'N', '2019-06-18 17:59:16', '2019-06-18 17:59:16', '108', '108', '血清钙', '钙(Ca)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '2.100000', '3.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42120', 'N', '2019-06-18 17:59:35', '2019-06-18 17:59:35', '108', '108', '血清镁', '镁(Mg)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '0.970000', '1.610000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42121', 'N', '2019-06-18 18:00:26', '2019-06-18 18:00:26', '108', '108', '血清铁', '铁(Fe)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '1.100000', '1.340000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42122', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '微量元素5项', '微量元素5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42123', 'N', '2019-06-18 18:01:30', '2019-06-18 18:01:30', '108', '108', '血清铅', '铅(Pb)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'μmol/L', '0.000000', '0.480000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42124', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '微量元素6项', '微量元素6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42125', 'N', '2019-06-18 18:02:00', '2019-06-18 18:02:00', '108', '108', '胃癌标志物4项', '胃癌标志物4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42126', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '胃酸分泌试验', '胃酸分泌试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42127', 'N', '2019-06-18 18:02:45', '2019-06-18 18:02:45', '108', '108', '五肽胃泌素激发试验', '五肽胃泌素激发试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42128', 'N', '2019-06-18 18:02:59', '2019-06-18 18:02:59', '108', '108', '细胞角蛋白18片段测定', '细胞角蛋白18片段测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42129', 'N', '2019-06-18 18:03:11', '2019-06-18 18:03:11', '108', '108', '细胞角蛋白19片段测定', '细胞角蛋白19片段测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42130', 'N', '2019-06-18 18:03:21', '2019-06-18 18:03:21', '108', '108', '纤维蛋白降解产物测定', '纤维蛋白降解产物测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42131', 'N', '2019-06-18 18:03:37', '2019-06-18 18:03:37', '108', '108', '线粒体抗体3项', '线粒体抗体3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42132', 'N', '2019-06-18 18:04:00', '2019-06-18 18:04:00', '108', '108', '腺病毒抗体测定', '腺病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42133', 'N', '2019-06-18 18:04:27', '2019-06-18 18:04:27', '108', '108', '心肌梗死标志物测定', '心肌梗死标志物测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42134', 'N', '2019-06-18 18:04:56', '2019-06-18 18:04:56', '108', '108', '心肌酶谱4项', '心肌酶谱4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42135', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '心肌酶谱5项', '心肌酶谱5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42136', 'N', '2019-06-18 18:05:38', '2019-06-18 18:05:38', '108', '108', '心肌缺血标志物测定', '心肌缺血标志物测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42137', 'N', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '性激素6项', '性激素6项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42138', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '血常规', '血常规', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42139', 'N', '2019-06-18 18:06:52', '2019-06-18 18:06:52', '108', '108', '雄性激素测定', '雄性激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42140', 'N', '2019-06-19 09:33:35', '2019-06-19 09:33:35', '108', '108', '白/球蛋白比', '白/球蛋白比', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '1.500000', '2.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42141', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '肝功能12项', '肝功能12项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42142', 'N', '2019-06-19 09:35:53', '2019-06-19 09:35:53', '108', '108', '甘氨酰脯氨酸二肽氨基酞酶', '甘氨酰脯氨酸二肽氨基酞酶', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '44.000000', '116.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42143', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '肝功能15项', '肝功能15项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42144', 'N', '2019-06-19 09:38:41', '2019-06-19 09:38:41', '108', '108', 'C反应蛋白(CRP)', 'C反应蛋白(CRP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/dl', '0.000000', '2.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42145', 'N', '2019-06-19 09:39:25', '2019-06-19 09:39:25', '108', '108', '抗链球菌溶血素O(ASO)', '抗链球菌溶血素O(ASO)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U', '0.000000', '400.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42146', 'N', '2019-06-19 09:39:43', '2019-06-19 09:39:43', '108', '108', '风湿3项', '风湿3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42147', 'N', '2019-06-19 09:41:26', '2019-06-19 09:41:26', '108', '108', '红细胞沉降率(ESR)', '红细胞沉降率(ESR)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mm/h', '0.000000', '20.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42148', 'N', '2019-06-19 09:41:35', '2019-06-19 09:41:35', '108', '108', '风湿4项', '风湿4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42149', 'N', '2019-06-19 09:44:25', '2019-06-19 09:44:25', '108', '108', '风疹病毒抗体IgG', '风疹病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42150', 'N', '2019-06-19 09:44:44', '2019-06-19 09:44:44', '108', '108', '风疹病毒抗体IgM', '风疹病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42151', 'N', '2019-06-19 09:45:04', '2019-06-19 09:45:04', '108', '108', '风疹病毒抗体测定', '风疹病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42152', 'N', '2019-06-19 10:11:40', '2019-06-19 10:11:40', '108', '108', '神经元特异性烯醇化酶(NSE)', '神经元特异性烯醇化酶(NSE)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '12.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42153', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '肺癌标志物5项', '肺癌标志物5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42154', 'N', '2019-06-19 10:13:39', '2019-06-19 10:13:39', '108', '108', 'PA', 'PA', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.250000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42155', 'N', '2019-06-19 10:13:55', '2019-06-19 10:13:55', '108', '108', 'PB', 'PB', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.250000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42156', 'N', '2019-06-19 10:14:07', '2019-06-19 10:14:07', '108', '108', 'PC', 'PC', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.250000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42157', 'N', '2019-06-19 10:14:19', '2019-06-19 10:14:19', '108', '108', 'TH', 'TH', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '0.625000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42158', 'N', '2019-06-19 10:14:34', '2019-06-19 10:14:34', '108', '108', 'TO', 'TO', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.250000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42159', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '肥达氏反应', '肥达氏反应', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42160', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '动脉血气分析', '动脉血气分析', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42161', 'N', '2019-06-19 10:18:30', '2019-06-19 10:18:30', '108', '108', '雌二醇测定', '雌二醇测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42162', 'N', '2019-06-19 10:19:09', '2019-06-19 10:19:09', '108', '108', '雌三醇(E3)', '雌三醇(E3)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/L', '0.000000', '300.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42163', 'N', '2019-06-19 10:19:25', '2019-06-19 10:19:25', '108', '108', '雌三醇测定', '雌三醇测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42164', 'N', '2019-06-19 10:20:07', '2019-06-19 10:20:07', '108', '108', '触珠蛋白', '触珠蛋白', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.300000', '2.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42165', 'N', '2019-06-19 10:22:59', '2019-06-19 10:22:59', '108', '108', '超氧化物歧化酶(SOD)', '超氧化物歧化酶(SOD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '242.000000', '620.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42166', 'N', '2019-06-19 10:23:16', '2019-06-19 10:23:16', '108', '108', '超氧化物歧化酶测定', '超氧化物歧化酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42167', 'N', '2019-06-19 10:24:07', '2019-06-19 10:24:07', '108', '108', '出血时间(BT)', '出血时间(BT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'min', '2.000000', '7.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42168', 'N', '2019-06-19 10:24:15', '2019-06-19 10:24:15', '108', '108', '出血时间测定', '出血时间测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42169', 'N', '2019-06-19 10:24:45', '2019-06-19 10:24:45', '108', '108', '超敏肌钙蛋白', '超敏肌钙蛋白', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42170', 'N', '2019-06-19 10:25:00', '2019-06-19 10:25:00', '108', '108', '超敏肌钙蛋白测定', '超敏肌钙蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42171', 'N', '2019-06-19 10:26:02', '2019-06-19 10:26:02', '108', '108', '超敏C反应蛋白测定', '超敏C反应蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42172', 'N', '2019-06-19 10:28:10', '2019-06-19 10:28:10', '108', '108', '肠道病毒71型IgM抗体', '肠道病毒71型IgM抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42173', 'N', '2019-06-19 10:28:22', '2019-06-19 10:28:22', '108', '108', '肠道病毒71型IgM抗体测定', '肠道病毒71型IgM抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42174', 'N', '2019-06-19 10:29:02', '2019-06-19 10:29:02', '108', '108', '抗子宫内膜抗体(EMAb)', '抗子宫内膜抗体(EMAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42175', 'N', '2019-06-19 10:29:25', '2019-06-19 10:29:25', '108', '108', '抗卵巢抗体(AoAb)', '抗卵巢抗体(AoAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42176', 'N', '2019-06-19 10:29:47', '2019-06-19 10:29:47', '108', '108', '抗精子抗体(AsAb)', '抗精子抗体(AsAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42177', 'N', '2019-06-19 10:29:51', '2019-06-19 10:29:51', '108', '108', '不孕不育4项', '不孕不育4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42178', 'N', '2019-06-19 10:37:04', '2019-06-19 10:37:04', '108', '108', '抗人绒毛膜促性腺激素抗体(HCGAb)', '抗人绒毛膜促性腺激素抗体(HCGAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42179', 'N', '2019-06-19 10:37:22', '2019-06-19 10:37:22', '108', '108', '抗滋养层细胞膜抗体(TA-IgG)', '抗滋养层细胞膜抗体(TA-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42180', 'N', '2019-06-19 10:37:37', '2019-06-19 10:37:37', '108', '108', '抗透明带抗体(AZPAb)', '抗透明带抗体(AZPAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42181', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '不孕不育7项', '不孕不育7项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42182', 'N', '2019-06-19 10:38:42', '2019-06-19 10:38:42', '108', '108', '餐后1h葡萄糖测定', '餐后1h葡萄糖测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42183', 'N', '2019-06-19 10:39:01', '2019-06-19 10:39:01', '108', '108', '餐后2h葡萄糖测定', '餐后2h葡萄糖测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42184', 'N', '2019-06-19 10:39:15', '2019-06-19 10:39:15', '108', '108', '餐后胰岛素测定', '餐后胰岛素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42185', 'N', '2019-06-19 10:40:04', '2019-06-19 10:40:04', '108', '108', '凝集效价', '凝集效价', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '0.025000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42186', 'N', '2019-06-19 10:40:11', '2019-06-19 10:40:11', '108', '108', '布氏杆菌凝集试验', '布氏杆菌凝集试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42187', 'N', '2019-06-19 10:47:36', '2019-06-19 10:47:36', '108', '108', '层粘连蛋白(LN)', '层粘连蛋白(LN)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '48.000000', '114.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42188', 'N', '2019-06-19 10:47:51', '2019-06-19 10:47:51', '108', '108', '层粘连蛋白测定', '层粘连蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42189', 'N', '2019-06-19 10:48:22', '2019-06-19 10:48:22', '108', '108', '不加热血清反应素试验(USR)', '不加热血清反应素试验(USR)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42190', 'N', '2019-06-19 10:48:37', '2019-06-19 10:48:37', '108', '108', '不加热血清反应素试验', '不加热血清反应素试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42191', 'N', '2019-06-19 10:49:07', '2019-06-19 10:49:07', '108', '108', '补体1抑制因子', '补体1抑制因子', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42192', 'N', '2019-06-19 10:49:22', '2019-06-19 10:49:22', '108', '108', '补体1抑制因子测定', '补体1抑制因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42193', 'N', '2019-06-19 10:49:49', '2019-06-19 10:49:49', '108', '108', '补体C1q', '补体C1q', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.157000', '0.237000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42194', 'N', '2019-06-19 10:50:07', '2019-06-19 10:50:07', '108', '108', '补体C1q测定', '补体C1q测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42195', 'N', '2019-06-19 10:53:22', '2019-06-19 10:53:22', '108', '108', '补体C1r', '补体C1r', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42196', 'N', '2019-06-19 10:53:40', '2019-06-19 10:53:40', '108', '108', '补体C1r测定', '补体C1r测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42197', 'N', '2019-06-19 10:54:50', '2019-06-19 10:54:50', '108', '108', '补体C1s', '补体C1s', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42198', 'N', '2019-06-19 10:55:04', '2019-06-19 10:55:04', '108', '108', '补体C1s测定', '补体C1s测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42199', 'N', '2019-06-19 10:55:29', '2019-06-19 10:55:29', '108', '108', '补体C2', '补体C2', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.970000', '1.410000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42200', 'N', '2019-06-19 10:55:39', '2019-06-19 10:55:39', '108', '108', '补体C2测定', '补体C2测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42201', 'N', '2019-06-19 11:11:36', '2019-06-21 10:42:15', '108', '108', '补体C3b受体花环试验子项', '补体C3b受体花环试验', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '11.100000', '19.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42202', 'N', '2019-06-19 11:11:48', '2019-06-21 10:42:20', '108', '108', '补体C3b受体花环试验', '补体C3b受体花环试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42203', 'N', '2019-06-19 11:22:42', '2019-06-19 11:22:42', '108', '108', '补体C3', '补体C3', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.800000', '1.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42204', 'N', '2019-06-19 11:22:52', '2019-06-19 11:22:52', '108', '108', '补体C3测定', '补体C3测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42205', 'N', '2019-06-19 11:23:11', '2019-06-19 11:23:11', '108', '108', '补体C4', '补体C4', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '130.000000', '370.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42206', 'N', '2019-06-19 11:23:21', '2019-06-19 11:23:21', '108', '108', '补体C4测定', '补体C4测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42207', 'N', '2019-06-19 11:23:43', '2019-06-19 11:23:43', '108', '108', '补体C5', '补体C5', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42208', 'N', '2019-06-19 11:23:49', '2019-06-19 11:23:49', '108', '108', '补体C5测定', '补体C5测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42209', 'N', '2019-06-19 11:24:01', '2019-06-19 11:24:01', '108', '108', '补体C6', '补体C6', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42210', 'N', '2019-06-19 11:24:13', '2019-06-19 11:24:13', '108', '108', '补体C6测定', '补体C6测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42211', 'N', '2019-06-19 11:24:26', '2019-06-19 11:24:26', '108', '108', '补体C7', '补体C7', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42212', 'N', '2019-06-19 11:24:39', '2019-06-19 11:24:39', '108', '108', '补体C7测定', '补体C7测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42213', 'N', '2019-06-19 11:25:45', '2019-06-19 11:25:45', '108', '108', '补体C8', '补体C8', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42214', 'N', '2019-06-19 11:26:05', '2019-06-19 11:26:05', '108', '108', '补体C8测定', '补体C8测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42215', 'N', '2019-06-19 11:26:19', '2019-06-19 11:26:19', '108', '108', '补体C9', '补体C9', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42216', 'N', '2019-06-19 11:26:30', '2019-06-19 11:26:30', '108', '108', '补体C9测定', '补体C9测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42217', 'N', '2019-06-19 11:26:49', '2019-06-19 11:26:49', '108', '108', '补体旁路B因子', '补体旁路B因子', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.100000', '0.400000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42218', 'N', '2019-06-19 11:27:01', '2019-06-19 11:27:01', '108', '108', '补体旁路B因子测定', '补体旁路B因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42219', 'N', '2019-06-19 11:29:04', '2019-06-19 11:29:04', '108', '108', '30minC肽(C-P)', '30minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42220', 'N', '2019-06-19 11:29:27', '2019-06-19 11:29:27', '108', '108', '180minC肽(C-P)', '180minC肽(C-P)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42221', 'N', '2019-06-19 11:29:41', '2019-06-19 11:29:41', '108', '108', '3小时口服葡萄糖C肽释放试验', '3小时口服葡萄糖C肽释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42222', 'N', '2019-06-19 11:35:52', '2019-06-19 11:35:52', '108', '108', '5′核苷酸酶(5′NT)', '5′核苷酸酶(5′NT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.000000', '17.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42223', 'N', '2019-06-19 11:36:33', '2019-06-19 11:36:33', '108', '108', '5′核苷酸酶测定', '5′核苷酸酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42224', 'N', '2019-06-19 11:37:19', '2019-06-19 11:37:19', '108', '108', '5-羟色胺(5-HT)', '5-羟色胺(5-HT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '0.220000', '2.060000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42225', 'N', '2019-06-19 11:37:35', '2019-06-19 11:37:35', '108', '108', '5-羟色胺测定', '5-羟色胺测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42226', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '5小时口服葡萄糖C肽释放试验', '5小时口服葡萄糖C肽释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42227', 'N', '2019-06-19 13:00:00', '2019-06-19 13:00:00', '108', '108', 'Ⅰ型胶原氨基端肽(NTx)', 'Ⅰ型胶原氨基端肽(NTx)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42228', 'N', '2019-06-19 13:00:16', '2019-06-19 13:00:16', '108', '108', 'Ⅰ型胶原氨基端肽测定', 'Ⅰ型胶原氨基端肽测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42229', 'N', '2019-06-19 13:01:54', '2019-06-19 13:01:54', '108', '108', 'ABO血型', 'ABO血型', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42230', 'N', '2019-06-19 13:02:07', '2019-06-19 13:02:07', '108', '108', 'ABO血型鉴定', 'ABO血型鉴定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42231', 'N', '2019-06-19 13:06:33', '2019-06-19 13:06:33', '108', '108', 'Ⅳ型胶原(CGⅣ)', 'Ⅳ型胶原(CGⅣ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/mL', '0.000000', '140.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42232', 'N', '2019-06-19 13:06:50', '2019-06-19 13:06:50', '108', '108', 'Ⅳ型胶原测定', 'Ⅳ型胶原测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42233', 'N', '2019-06-19 13:08:52', '2019-06-19 13:08:52', '108', '108', 'Ⅲ型前胶原肽(PⅢP)', 'Ⅲ型前胶原肽(PⅢP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42234', 'N', '2019-06-19 13:09:06', '2019-06-19 13:09:06', '108', '108', 'Ⅲ型前胶原肽测定', 'Ⅲ型前胶原肽测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42235', 'N', '2019-06-19 13:10:52', '2019-06-19 13:10:52', '108', '108', 'Ⅲ型胶原(CGⅢ)', 'Ⅲ型胶原(CGⅢ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.000000', '0.600000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42236', 'N', '2019-06-19 13:11:08', '2019-06-19 13:11:08', '108', '108', 'Ⅲ型胶原测定', 'Ⅲ型胶原测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42237', 'N', '2019-06-19 13:11:35', '2019-06-19 13:11:35', '108', '108', 'Ⅱ型胶原抗体', 'Ⅱ型胶原抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42238', 'N', '2019-06-19 13:11:47', '2019-06-19 13:11:47', '108', '108', 'Ⅱ型胶原抗体测定', 'Ⅱ型胶原抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42239', 'N', '2019-06-19 13:15:08', '2019-06-19 13:15:08', '108', '108', 'A型钠尿肽(ANP)', 'A型钠尿肽(ANP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '0.145000', '0.950000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42240', 'N', '2019-06-19 13:15:23', '2019-06-19 13:15:23', '108', '108', 'A型钠尿肽测定', 'A型钠尿肽测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42241', 'N', '2019-06-19 13:16:02', '2019-06-19 13:16:02', '108', '108', 'B型钠尿肽(BNP)', 'B型钠尿肽(BNP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42242', 'N', '2019-06-19 13:16:14', '2019-06-19 13:16:14', '108', '108', 'B型钠尿肽测定', 'B型钠尿肽测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42243', 'N', '2019-06-19 13:16:42', '2019-06-19 13:16:42', '108', '108', 'B因子', 'B因子', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42244', 'N', '2019-06-19 13:16:56', '2019-06-19 13:16:56', '108', '108', 'B因子测定', 'B因子测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42245', 'N', '2019-06-19 13:17:26', '2019-06-19 13:17:26', '108', '108', 'C3a', 'C3a', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42246', 'N', '2019-06-19 13:17:38', '2019-06-19 13:17:38', '108', '108', 'C3a测定', 'C3a测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42247', 'N', '2019-06-19 13:17:50', '2019-06-19 13:17:50', '108', '108', 'C3d', 'C3d', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42248', 'N', '2019-06-19 13:18:00', '2019-06-19 13:18:00', '108', '108', 'C3d测定', 'C3d测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42249', 'N', '2019-06-19 13:18:16', '2019-06-19 13:18:35', '108', '108', 'C3裂解产物(C3SP)', 'C3裂解产物(C3SP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'g/L', '0.000000', '0.009400', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42250', 'N', '2019-06-19 13:18:51', '2019-06-19 13:18:51', '108', '108', 'C3裂解产物测定', 'C3裂解产物测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42251', 'N', '2019-06-19 13:22:05', '2019-06-19 13:22:05', '108', '108', 'C-反应蛋白测定', 'C-反应蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42252', 'N', '2019-06-19 13:22:49', '2019-06-19 13:22:49', '108', '108', 'C肽释放试验', 'C肽释放试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42253', 'N', '2019-06-19 13:30:00', '2019-06-19 13:30:00', '108', '108', 'EB病毒壳膜抗原抗体测定', 'EB病毒壳膜抗原抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42254', 'N', '2019-06-19 13:30:28', '2019-06-19 13:30:28', '108', '108', 'EB病毒早期抗体IgG(抗EAIgG)', 'EB病毒早期抗体IgG(抗EAIgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42255', 'N', '2019-06-19 13:30:46', '2019-06-19 13:30:46', '108', '108', 'EB病毒早期抗体IgG测定', 'EB病毒早期抗体IgG测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42256', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', 'ENA抗体谱六项测定', 'ENA抗体谱六项测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42257', 'N', '2019-06-19 13:38:18', '2019-06-21 10:41:55', '108', '108', 'GM试验子项', 'GM试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42258', 'N', '2019-06-19 13:40:25', '2019-06-21 10:42:02', '108', '108', 'GM试验', 'GM试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42259', 'N', '2019-06-19 13:40:46', '2019-06-21 10:41:37', '108', '108', 'G试验子项', 'G试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42260', 'N', '2019-06-19 13:41:02', '2019-06-21 10:41:42', '108', '108', 'G试验', 'G试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42261', 'N', '2019-06-19 13:45:48', '2019-06-19 13:45:48', '108', '108', 'M蛋白', 'M蛋白', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42262', 'N', '2019-06-19 13:46:00', '2019-06-19 13:46:00', '108', '108', 'M蛋白测定', 'M蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42263', 'N', '2019-06-19 13:47:16', '2019-06-21 10:41:19', '108', '108', 'O-129试验子项', 'O-129试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42264', 'N', '2019-06-19 13:47:34', '2019-06-21 10:41:22', '108', '108', 'O-129试验', 'O-129试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42265', 'N', '2019-06-19 13:58:40', '2019-06-19 13:58:40', '108', '108', 'RH血型', 'RH血型', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42266', 'N', '2019-06-19 13:59:03', '2019-06-19 13:59:03', '108', '108', 'RH血型鉴定', 'RH血型鉴定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42267', 'N', '2019-06-19 14:06:17', '2019-06-19 14:06:17', '108', '108', 'r-精浆蛋白(r-sm)', 'r-精浆蛋白(r-sm)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'μg/L', '0.000000', '296.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42268', 'N', '2019-06-19 14:06:37', '2019-06-19 14:06:37', '108', '108', 'r-精浆蛋白测定', 'r-精浆蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42269', 'N', '2019-06-19 14:07:31', '2019-06-19 14:07:31', '108', '108', 'TT病毒抗体', 'TT病毒抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42270', 'N', '2019-06-19 14:07:45', '2019-06-19 14:07:45', '108', '108', 'TT病毒抗体测定', 'TT病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42271', 'N', '2019-06-19 14:08:32', '2019-06-19 14:08:32', '108', '108', 'EtRFC', 'EtRFC', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '57.700000', '71.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42272', 'N', '2019-06-19 14:08:57', '2019-06-19 14:08:57', '108', '108', 'EaRFC', 'EaRFC', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '20.100000', '27.100000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42273', 'N', '2019-06-19 14:09:27', '2019-06-19 14:09:27', '108', '108', 'EsRFC', 'EsRFC', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.700000', '5.900000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42274', 'N', '2019-06-19 14:09:53', '2019-06-19 14:09:53', '108', '108', 'T淋巴细胞转化率', 'T淋巴细胞转化率', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '52.500000', '57.700000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42275', 'N', '2019-06-19 14:16:37', '2019-06-19 14:16:37', '108', '108', 'α1抗胰蛋白酶(α1-AT)', 'α1抗胰蛋白酶(α1-AT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '0.850000', '2.130000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42276', 'N', '2019-06-19 14:16:52', '2019-06-19 14:16:52', '108', '108', 'α1抗胰蛋白酶测定', 'α1抗胰蛋白酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42277', 'N', '2019-06-19 14:17:24', '2019-06-19 14:17:24', '108', '108', 'α-L-岩藻糖苷酶测定', 'α-L-岩藻糖苷酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42278', 'N', '2019-06-19 14:26:10', '2019-06-19 14:26:10', '108', '108', 'γ-谷氨酰基转移酶(GGT)', 'γ-谷氨酰基转移酶(GGT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '2.000000', '50.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42279', 'N', '2019-06-19 14:26:24', '2019-06-19 14:26:24', '108', '108', 'γ-谷氨酰基转移酶测定', 'γ-谷氨酰基转移酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42280', 'N', '2019-06-19 14:37:09', '2019-06-19 14:37:09', '108', '108', 'β-羟丁酸(β-HB)', 'β-羟丁酸(β-HB)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42281', 'N', '2019-06-19 14:37:40', '2019-06-19 14:37:40', '108', '108', 'β-羟丁酸测定', 'β-羟丁酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42282', 'N', '2019-06-19 14:40:44', '2019-06-21 10:40:57', '108', '108', 'β—内酰胺酶试验子项', 'β—内酰胺酶试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42283', 'N', '2019-06-19 14:40:57', '2019-06-21 10:41:03', '108', '108', 'β—内酰胺酶试验', 'β—内酰胺酶试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42284', 'N', '2019-06-19 14:43:52', '2019-06-19 14:43:52', '108', '108', 'β-胶原降解产物(β-CTX)', 'β-胶原降解产物(β-CTX)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42285', 'N', '2019-06-19 14:44:06', '2019-06-19 14:44:06', '108', '108', 'β-胶原降解产物测定', 'β-胶原降解产物测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42286', 'N', '2019-06-19 14:44:39', '2019-06-19 14:44:39', '108', '108', 'β-胶原特殊系列(β-Crosslaps)', 'β-胶原特殊系列(β-Crosslaps)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42287', 'N', '2019-06-19 14:44:53', '2019-06-19 14:44:53', '108', '108', 'β-胶原特殊系列测定', 'β-胶原特殊系列测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42288', 'N', '2019-06-19 14:52:39', '2019-06-19 14:52:39', '108', '108', 'β-内啡肽', 'β-内啡肽', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42289', 'N', '2019-06-19 14:52:53', '2019-06-19 14:52:53', '108', '108', 'β-内啡肽测定', 'β-内啡肽测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42290', 'N', '2019-06-19 14:53:33', '2019-06-19 14:53:33', '108', '108', 'α羟基丁酸脱氢酶测定', 'α羟基丁酸脱氢酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42291', 'N', '2019-06-19 15:00:03', '2019-06-21 10:40:29', '108', '108', '阿司匹林耐量试验子项', '阿司匹林耐量试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42292', 'N', '2019-06-19 15:00:21', '2019-06-21 10:40:33', '108', '108', '阿司匹林耐量试验', '阿司匹林耐量试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42293', 'N', '2019-06-19 15:02:02', '2019-06-19 15:02:02', '108', '108', '埃可病毒抗体IgG', '埃可病毒抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42294', 'N', '2019-06-19 15:02:18', '2019-06-19 15:02:18', '108', '108', '埃可病毒抗体IgM', '埃可病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42295', 'N', '2019-06-19 15:02:33', '2019-06-19 15:02:33', '108', '108', '埃可病毒抗体测定', '埃可病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42296', 'N', '2019-06-19 15:03:07', '2019-06-19 15:03:07', '108', '108', '阿米巴抗体', '阿米巴抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42297', 'N', '2019-06-19 15:03:21', '2019-06-19 15:03:21', '108', '108', '阿米巴抗体测定', '阿米巴抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42298', 'N', '2019-06-19 15:03:53', '2019-06-19 15:03:53', '108', '108', '癌胚抗原测定', '癌胚抗原测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42299', 'N', '2019-06-19 15:08:38', '2019-06-21 10:40:08', '108', '108', '艾滋病联合试验子项', '艾滋病联合试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42300', 'N', '2019-06-19 15:08:55', '2019-06-21 10:40:18', '108', '108', '艾滋病联合试验', '艾滋病联合试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42301', 'N', '2019-06-19 15:13:32', '2019-06-19 15:13:32', '108', '108', '氨基己糖酶同工酶A', '氨基己糖酶同工酶A', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42302', 'N', '2019-06-19 15:13:45', '2019-06-19 15:13:45', '108', '108', '氨基己糖酶同工酶B', '氨基己糖酶同工酶B', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42303', 'N', '2019-06-19 15:14:01', '2019-06-19 15:14:01', '108', '108', '氨基己糖酶同工酶测定', '氨基己糖酶同工酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42304', 'N', '2019-06-19 15:14:59', '2019-06-21 10:39:50', '108', '108', '胺试验子项', '胺试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42305', 'N', '2019-06-19 15:15:17', '2019-06-21 10:39:54', '108', '108', '胺试验', '胺试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42306', 'N', '2019-06-19 15:17:34', '2019-06-21 10:39:12', '108', '108', '螯合剂驱铅试验子项', '螯合剂驱铅试验', '3', '0', '200', '1', '6', '5', '1', '0', '', 'umol/L', '0.000000', '1.450000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42307', 'N', '2019-06-19 15:17:54', '2019-06-21 10:39:17', '108', '108', '螯合剂驱铅试验', '螯合剂驱铅试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42308', 'N', '2019-06-19 15:18:28', '2019-06-19 15:18:28', '108', '108', '白三烯B4', '白三烯B4', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42309', 'N', '2019-06-19 15:18:41', '2019-06-19 15:18:41', '108', '108', '白三烯B4测定', '白三烯B4测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42310', 'N', '2019-06-19 15:19:16', '2019-06-19 15:19:16', '108', '108', '白陶土部分凝血活酶时间(KPTT)', '白陶土部分凝血活酶时间(KPTT)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42311', 'N', '2019-06-19 15:19:30', '2019-06-19 15:19:30', '108', '108', '白陶土部分凝血活酶时间测定', '白陶土部分凝血活酶时间测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42312', 'N', '2019-06-19 15:22:51', '2019-06-19 15:22:51', '108', '108', '白细胞介素受体2', '白细胞介素受体2', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42313', 'N', '2019-06-19 15:23:04', '2019-06-19 15:23:04', '108', '108', '白细胞介素受体4', '白细胞介素受体4', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42314', 'N', '2019-06-19 15:23:15', '2019-06-19 15:23:15', '108', '108', '白细胞介素受体6', '白细胞介素受体6', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42315', 'N', '2019-06-19 15:23:27', '2019-06-19 15:23:27', '108', '108', '白细胞介素受体7', '白细胞介素受体7', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42316', 'N', '2019-06-19 15:23:37', '2019-06-19 15:23:37', '108', '108', '白细胞介素受体测定', '白细胞介素受体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42317', 'N', '2019-06-19 15:25:30', '2019-06-19 15:25:30', '108', '108', '百日咳杆菌抗体', '百日咳杆菌抗体', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42318', 'N', '2019-06-19 15:25:45', '2019-06-19 15:25:45', '108', '108', '百日咳杆菌抗体测定', '百日咳杆菌抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42319', 'N', '2019-06-19 15:26:22', '2019-06-19 15:26:22', '108', '108', 'EB病毒早期抗原(EA-IgA)', 'EB病毒早期抗原(EA-IgA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42320', 'N', '2019-06-19 15:27:11', '2019-06-19 15:27:11', '108', '108', 'EB病毒壳抗原(VCA-IgA)', 'EB病毒壳抗原(VCA-IgA)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42321', 'N', '2019-06-19 15:27:30', '2019-06-19 15:27:30', '108', '108', '鼻咽癌EB病毒抗体2项', '鼻咽癌EB病毒抗体2项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42322', 'N', '2019-06-19 15:28:00', '2019-06-19 15:28:00', '108', '108', '吡啶酚(PYD)', '吡啶酚(PYD)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42323', 'N', '2019-06-19 15:28:13', '2019-06-19 15:28:13', '108', '108', '吡啶酚测定', '吡啶酚测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42324', 'N', '2019-06-19 15:29:29', '2019-06-19 15:29:29', '108', '108', '雌酮(E1)', '雌酮(E1)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42325', 'N', '2019-06-19 15:29:45', '2019-06-19 15:29:45', '108', '108', '雌酮测定', '雌酮测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42326', 'N', '2019-06-19 15:30:12', '2019-06-19 15:30:12', '108', '108', '促红细胞生成素(EPO)', '促红细胞生成素(EPO)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'IU/L', '12.500000', '34.500000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42327', 'N', '2019-06-19 15:30:35', '2019-06-19 15:30:35', '108', '108', '促红细胞生成素测定', '促红细胞生成素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42328', 'N', '2019-06-19 15:32:42', '2019-06-19 15:32:51', '108', '108', '促黄体生成素测定', '促黄体生成素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42329', 'N', '2019-06-19 15:44:14', '2019-06-19 15:44:14', '108', '108', '单纯疱疹病毒II型抗体IgG', '单纯疱疹病毒II型抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42330', 'N', '2019-06-19 15:44:39', '2019-06-19 15:44:39', '108', '108', '单纯疱疹病毒II型抗体IgM', '单纯疱疹病毒II型抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42331', 'N', '2019-06-19 15:44:54', '2019-06-19 15:44:54', '108', '108', '单纯疱疹病毒II型抗体测定', '单纯疱疹病毒II型抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42332', 'N', '2019-06-19 15:47:02', '2019-06-19 15:47:14', '108', '108', '单纯疱疹病毒I型抗体IgG', '单纯疱疹病毒I型抗体IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42333', 'N', '2019-06-19 15:47:36', '2019-06-19 15:47:36', '108', '108', '单纯疱疹病毒I型抗体IgM', '单纯疱疹病毒I型抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42334', 'N', '2019-06-19 15:47:51', '2019-06-19 15:47:51', '108', '108', '单纯疱疹病毒I型抗体测定', '单纯疱疹病毒I型抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42335', 'N', '2019-06-19 15:48:08', '2019-06-19 15:48:08', '108', '108', '单纯疱疹病毒抗体测定', '单纯疱疹病毒抗体测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42336', 'N', '2019-06-19 15:50:08', '2019-06-19 15:50:08', '108', '108', '胆碱脂酶(ChE)', '胆碱脂酶(ChE)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '130.000000', '32000.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42337', 'N', '2019-06-19 15:50:38', '2019-06-19 15:50:38', '108', '108', '胆碱脂酶测定', '胆碱脂酶测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42338', 'N', '2019-06-19 15:55:23', '2019-06-19 15:55:23', '108', '108', '胆囊收缩素(CCK)', '胆囊收缩素(CCK)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42339', 'N', '2019-06-19 15:55:37', '2019-06-19 15:55:37', '108', '108', '胆囊收缩素测定', '胆囊收缩素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42340', 'N', '2019-06-19 15:57:53', '2019-06-19 15:57:53', '108', '108', '胆酸(BA)', '胆酸(BA)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42341', 'N', '2019-06-19 15:58:06', '2019-06-19 15:58:06', '108', '108', '胆酸测定', '胆酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42342', 'N', '2019-06-19 15:58:47', '2019-06-19 15:58:47', '108', '108', '低分子肝素(LMWH)', '低分子肝素(LMWH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/L', '80.000000', '7000.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42343', 'N', '2019-06-19 15:59:04', '2019-06-19 15:59:04', '108', '108', '低分子肝素测定', '低分子肝素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42344', 'N', '2019-06-19 16:06:57', '2019-06-19 16:06:57', '108', '108', '粪便常规颜色', '颜色', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42345', 'N', '2019-06-19 16:07:36', '2019-06-19 16:07:36', '108', '108', '粪便常规性状', '性状', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42346', 'N', '2019-06-19 16:08:12', '2019-06-19 16:08:12', '108', '108', '粪便常规寄生虫虫体', '寄生虫虫体', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42347', 'N', '2019-06-19 16:08:35', '2019-06-19 16:08:35', '108', '108', '粪便常规红细胞计数(RBC)', '红细胞计数(RBC)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42348', 'N', '2019-06-19 16:08:50', '2019-06-19 16:08:50', '108', '108', '粪便常规脓细胞计数', '脓细胞计数', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '5.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42349', 'N', '2019-06-19 16:09:51', '2019-06-19 16:09:51', '108', '108', '粪便常规未消化食物', '未消化食物', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42350', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '粪便常规', '粪便常规', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42351', 'N', '2019-06-19 16:17:55', '2019-06-21 10:38:45', '108', '108', '快速尿素酶试验子项', '快速尿素酶试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42352', 'N', '2019-06-19 16:18:16', '2019-06-21 10:38:49', '108', '108', '快速尿素酶试验', '快速尿素酶试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42353', 'N', '2019-06-19 16:19:59', '2019-06-21 10:38:29', '108', '108', '快速血浆反应素试验子项', '快速血浆反应素试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42354', 'N', '2019-06-19 16:20:51', '2019-06-21 10:38:32', '108', '108', '快速血浆反应素试验', '快速血浆反应素试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42355', 'N', '2019-06-19 16:22:02', '2019-06-21 10:38:02', '108', '108', '酪胺激发试验子项', '酪胺激发试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42356', 'N', '2019-06-19 16:22:21', '2019-06-21 10:38:07', '108', '108', '酪胺激发试验', '酪胺激发试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42357', 'N', '2019-06-19 16:23:23', '2019-06-19 16:23:23', '108', '108', '硫化血红蛋白(SulfHb)', '硫化血红蛋白(SulfHb)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42358', 'N', '2019-06-19 16:23:35', '2019-06-19 16:23:35', '108', '108', '硫化血红蛋白测定', '硫化血红蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42359', 'N', '2019-06-19 16:32:07', '2019-06-19 16:32:07', '108', '108', 'Ⅳ型胶原(CG-Ⅳ)', 'Ⅳ型胶原(CG-Ⅳ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '0.000000', '140.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42360', 'N', '2019-06-19 16:32:40', '2019-06-19 16:32:40', '108', '108', 'Ⅲ型前胶原肽(PC-Ⅲ)', 'Ⅲ型前胶原肽(PC-Ⅲ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '41.000000', '163.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42361', 'N', '2019-06-19 16:39:16', '2019-06-19 16:39:16', '108', '108', '肝纤维化4项', '肝纤维化4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42362', 'N', '2019-06-19 16:40:18', '2019-06-19 16:40:18', '108', '108', '单胺氧化酶(MAO)', '单胺氧化酶(MAO)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'U/ml', '0.000000', '36.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42363', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '肝纤维化5项', '肝纤维化5项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42364', 'N', '2019-06-19 16:44:22', '2019-06-19 16:44:22', '108', '108', '甲肝病毒抗体IgM(HAV-IgM)', '甲肝病毒抗体IgM(HAV-IgM)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42365', 'N', '2019-06-19 16:45:38', '2019-06-19 16:45:38', '108', '108', '丁肝病毒抗原(HDVAg)', '丁肝病毒抗原(HDVAg)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42366', 'N', '2019-06-19 16:45:57', '2019-06-19 16:45:57', '108', '108', '丁肝病毒抗体(HDVAb)', '丁肝病毒抗体(HDVAb)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42367', 'N', '2019-06-19 16:46:12', '2019-06-19 16:46:12', '108', '108', '戊型肝炎病毒抗体(Anti-HEV)IgG', '戊型肝炎病毒抗体(Anti-HEV)IgG', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42368', 'N', '2019-06-19 16:46:27', '2019-06-19 16:46:27', '108', '108', '戊型肝炎病毒抗体(Anti-HEV)IgM', '戊型肝炎病毒抗体(Anti-HEV)IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42369', 'N', '2019-06-19 16:46:40', '2019-06-19 16:46:40', '108', '108', '庚肝病毒抗体IgG(HGV-IgG)', '庚肝病毒抗体IgG(HGV-IgG)', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42370', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '肝炎全套13项', '肝炎全套13项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42371', 'N', '2019-06-19 16:48:44', '2019-06-19 16:48:44', '108', '108', '肝脏肿瘤标志物4项', '肝脏肿瘤标志物4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42372', 'N', '2019-06-19 16:49:33', '2019-06-19 16:49:33', '108', '108', '肾素', '肾素', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42373', 'N', '2019-06-19 16:50:37', '2019-06-19 16:50:37', '108', '108', '血管紧张素Ⅰ(AngⅠ)', '血管紧张素Ⅰ(AngⅠ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/L', '11.000000', '88.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42374', 'N', '2019-06-19 16:51:27', '2019-06-19 16:51:27', '108', '108', '血管紧张素Ⅱ(AngⅡ)', '血管紧张素Ⅱ(AngⅡ)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/L', '10.000000', '30.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42375', 'N', '2019-06-19 16:51:47', '2019-06-19 16:51:47', '108', '108', '高血压3项', '高血压3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42376', 'N', '2019-06-19 16:53:18', '2019-06-19 16:53:18', '108', '108', '血清醛固酮', '醛固酮(ALD)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/dL', '5.000000', '15.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42377', 'N', '2019-06-19 16:53:25', '2019-06-19 16:53:25', '108', '108', '高血压4项', '高血压4项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42378', 'N', '2019-06-19 16:56:12', '2019-06-19 16:56:12', '108', '108', '睾酮测定', '睾酮测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42379', 'N', '2019-06-19 16:59:39', '2019-06-19 16:59:39', '108', '108', '总Ⅰ型胶原氨基端延长肽(Total-PINP)', '总Ⅰ型胶原氨基端延长肽(Total-PINP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '15.130000', '73.870000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42380', 'N', '2019-06-19 17:00:00', '2019-06-19 17:00:00', '108', '108', '骨钙素N端中分子片段(N-MID)', '骨钙素N端中分子片段(N-MID)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42381', 'N', '2019-06-19 17:01:15', '2019-06-19 17:01:15', '108', '108', '骨代谢3项', '骨代谢3项', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42382', 'N', '2019-06-19 17:02:30', '2019-06-19 17:02:30', '108', '108', '甲状旁腺激素(PTH)', '甲状旁腺激素(PTH)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'pmol/L', '1.000000', '10.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42383', 'N', '2019-06-19 17:05:16', '2019-06-19 17:05:16', '108', '108', 'PTH相关蛋白(PTHrP)', 'PTH相关蛋白(PTHrP)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42384', 'N', '2019-06-19 17:06:05', '2019-06-19 17:06:05', '108', '108', '维生素D(Vit-D)', '维生素D(Vit-D)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/ml', '25.000000', '65.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42385', 'N', '2019-06-19 17:06:34', '2019-06-19 17:06:34', '108', '108', '骨钙素(CT)', '骨钙素(CT)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '4.800000', '10.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42386', 'N', '2019-06-19 17:06:54', '2019-06-19 17:06:54', '108', '108', '骨代谢相关激素测定', '骨代谢相关激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42387', 'N', '2019-06-19 17:09:41', '2019-06-19 17:09:41', '108', '108', '骨钙素N端中分子片段测定', '骨钙素N端中分子片段测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42388', 'N', '2019-06-19 17:10:58', '2019-06-19 17:10:58', '108', '108', '骨钙素(OC)', '骨钙素(OC)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ug/L', '4.800000', '10.200000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42389', 'N', '2019-06-19 17:11:15', '2019-06-19 17:11:15', '108', '108', '骨钙素测定', '骨钙素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42390', 'N', '2019-06-19 17:12:27', '2019-06-19 17:12:27', '108', '108', '骨胶素(CY211)', '骨胶素(CY211)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'ng/mI', '0.000000', '3.300000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42391', 'N', '2019-06-19 17:12:41', '2019-06-19 17:12:41', '108', '108', '骨胶素测定', '骨胶素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42392', 'N', '2019-06-19 17:13:06', '2019-06-19 17:13:06', '108', '108', '骨密度(BMD)', '骨密度(BMD)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '99.000000', '112.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42393', 'N', '2019-06-19 17:13:20', '2019-06-19 17:13:20', '108', '108', '骨密度测定', '骨密度测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42394', 'N', '2019-06-19 17:14:30', '2019-06-19 17:14:30', '108', '108', '胱抑素(Cys-C)', '胱抑素(Cys-C)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mg/L', '0.590000', '1.030000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42395', 'N', '2019-06-19 17:15:04', '2019-06-19 17:15:04', '108', '108', '胱抑素(Cys-C)测定', '胱抑素(Cys-C)测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42396', 'N', '2019-06-19 17:18:26', '2019-06-19 17:18:26', '108', '108', '开始溶血', '开始溶血', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.420000', '0.460000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42397', 'N', '2019-06-19 17:18:48', '2019-06-19 17:18:48', '108', '108', '完全溶血', '完全溶血', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '0.320000', '0.340000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42398', 'N', '2019-06-19 17:22:52', '2019-06-19 17:22:52', '108', '108', '红细胞渗透脆性试验', '红细胞渗透脆性试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42399', 'N', '2019-06-19 17:25:11', '2019-06-19 17:25:11', '108', '108', '副流感病毒抗体IgM', '副流感病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42400', 'N', '2019-06-19 17:25:28', '2019-06-19 17:25:28', '108', '108', '抗腺病毒抗体IgM', '抗腺病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42401', 'N', '2019-06-19 17:25:51', '2019-06-19 17:25:51', '108', '108', '呼吸道合胞病毒抗体IgM', '呼吸道合胞病毒抗体IgM', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42402', 'N', '2019-06-19 17:26:05', '2019-06-19 17:26:05', '108', '108', '呼吸道病毒抗体全套', '呼吸道病毒抗体全套', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42403', 'N', '2019-06-19 17:27:13', '2019-06-21 10:35:09', '108', '108', '可乐宁试验子项', '可乐宁试验', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42404', 'N', '2019-06-19 17:27:25', '2019-06-21 10:36:58', '108', '108', '可乐宁试验', '可乐宁试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42405', 'N', '2019-06-19 17:28:56', '2019-06-19 17:28:56', '108', '108', '尿苯丙酮酸24小时定量', '苯丙酮酸(PKU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42406', 'N', '2019-06-19 17:29:19', '2019-06-21 10:34:53', '108', '108', '尿苯丙酮酸测定子项', '苯丙酮酸(PKU)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42407', 'N', '2019-06-19 17:29:33', '2019-06-19 17:29:33', '108', '108', '尿苯丙酮酸定量(24h)', '尿苯丙酮酸定量(24h)', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42408', 'N', '2019-06-19 17:29:47', '2019-06-21 10:34:55', '108', '108', '尿苯丙酮酸测定', '尿苯丙酮酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42409', 'N', '2019-06-19 17:30:17', '2019-06-21 10:34:32', '108', '108', '尿苯丙酮酸定性子项', '尿苯丙酮酸定性', '3', '0', '200', '1', '1', '5', '1', '0', '', '', null, null, '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42410', 'N', '2019-06-19 17:30:30', '2019-06-21 10:34:35', '108', '108', '尿苯丙酮酸定性', '尿苯丙酮酸定性', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42411', 'N', '2019-06-19 17:31:52', '2019-06-19 17:31:52', '108', '108', '吡啶酚(Pyr)', '吡啶酚(Pyr)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42412', 'N', '2019-06-19 17:32:04', '2019-06-19 17:32:04', '108', '108', '尿吡啶酚测定', '尿吡啶酚测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42413', 'N', '2019-06-19 17:34:36', '2019-06-19 17:34:36', '108', '108', '-15min睾酮(T)', '-15min睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42414', 'N', '2019-06-19 17:34:47', '2019-06-19 17:34:47', '108', '108', '0min睾酮(T)', '0min睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42415', 'N', '2019-06-19 17:34:57', '2019-06-19 17:34:57', '108', '108', '24min睾酮(T)', '24min睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42416', 'N', '2019-06-19 17:35:09', '2019-06-19 17:35:09', '108', '108', '48min睾酮(T)', '48min睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42417', 'N', '2019-06-19 17:35:20', '2019-06-19 17:35:20', '108', '108', '72min睾酮(T)', '72min睾酮(T)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42418', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '人绒毛膜促性腺激素兴奋试验', '人绒毛膜促性腺激素兴奋试验', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42419', 'N', '2019-06-19 17:38:00', '2019-06-21 10:33:33', '108', '108', '尿生长激素测定子项', '生长激素(GH)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42420', 'N', '2019-06-19 17:38:16', '2019-06-21 10:33:38', '108', '108', '尿生长激素测定', '尿生长激素测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42421', 'N', '2019-06-19 17:39:19', '2019-06-19 17:39:19', '108', '108', '糖化血红蛋白(HbA1c)', '糖化血红蛋白(HbA1c)', '3', '0', '200', '1', '6', '5', '1', '0', '', '%', '4.000000', '6.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42422', 'N', '2019-06-19 17:39:33', '2019-06-19 17:39:33', '108', '108', '糖化血红蛋白测定', '糖化血红蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42423', 'N', '2019-06-19 17:40:47', '2019-06-19 17:40:47', '108', '108', '糖化血清蛋白(GSP)', '糖化血清蛋白(GSP)', '3', '0', '200', '1', '6', '5', '1', '0', '', 'mmol/L', '1.650000', '2.150000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42424', 'N', '2019-06-19 17:41:01', '2019-06-19 17:41:01', '108', '108', '糖化血清蛋白测定', '糖化血清蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42425', 'N', '2019-06-19 17:41:37', '2019-06-19 17:41:37', '108', '108', '铁蛋白测定', '铁蛋白测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42426', 'N', '2019-06-19 17:42:05', '2019-06-19 17:42:05', '108', '108', '同型半胱氨酸(Hcy)', '同型半胱氨酸(Hcy)', '3', '0', '200', '1', '6', '5', '1', '0', '', '', '0.000000', '1.000000', '0', '0', '0', '0', '', '', null);
INSERT INTO `icss_question_info` VALUES ('42427', 'N', '2019-06-19 17:42:17', '2019-06-19 17:42:17', '108', '108', '同型半胱氨酸测定', '同型半胱氨酸测定', '3', '0', '200', '7', '0', '5', '0', '0', '', '', null, null, '0', '1', '0', '0', '', '', null);

-- ----------------------------
-- Table structure for icss_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_mapping`;
CREATE TABLE `icss_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `parent_question` bigint(20) DEFAULT NULL COMMENT '上级question',
  `son_question` bigint(20) DEFAULT NULL COMMENT '下级question',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `position` int(11) NOT NULL DEFAULT '0' COMMENT '标签显示位置(0：在标签后，1：在标签前)',
  `form_position` int(11) NOT NULL DEFAULT '0' COMMENT '填写单显示位置(0：左， 1：上)',
  `exclusion_type` int(11) NOT NULL DEFAULT '0' COMMENT '互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）',
  `symptom_type` int(11) NOT NULL DEFAULT '0' COMMENT '主症状和伴随症状对应的question类型（0：默认值 1：主症状特有 2：伴随症状特有 ）',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `parent_question` (`parent_question`)
) ENGINE=InnoDB AUTO_INCREMENT=6672 DEFAULT CHARSET=utf8 COMMENT='标签映射表';

-- ----------------------------
-- Records of icss_question_mapping
-- ----------------------------
INSERT INTO `icss_question_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2', '10', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '5', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '5', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '9', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '10', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '10', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '22', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '10', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '24', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '25', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '26', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '29', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '30', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '31', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '71', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '52', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '51', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '54', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '55', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '20', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '56', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '7', '1', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '8', '2', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '11', '4', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '46', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '76', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '77', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '78', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '80', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '107', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '108', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '109', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '110', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '404', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '119', '3', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '119', '5', '1', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '120', '121', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '120', '122', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '120', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '47', '2', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '48', '3', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '49', '4', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '50', '5', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '74', '1', '0', '0', '0', '0', '');
INSERT INTO `icss_question_mapping` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '214', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '214', '216', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '217', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '218', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '119', '15', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '119', '15', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '119', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '119', '25', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '199', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '222', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '224', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '74', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '227', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '229', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '231', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '226', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '119', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '233', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '234', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '236', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '237', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '238', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '239', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '240', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '3', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '119', '35', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '253', '254', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '253', '255', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '253', '10', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '119', '25', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '276', '271', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '276', '272', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '276', '274', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '276', '275', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '283', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '284', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '285', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '286', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '293', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '294', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '295', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '296', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '297', '5', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '378', '373', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '379', '375', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '390', '391', '10', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '390', '392', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '390', '393', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '390', '394', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '400', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '401', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '416', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '417', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '418', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '419', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '420', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '421', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '422', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '423', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '424', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '425', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '225', '45', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '50', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '406', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '408', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '409', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '410', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '411', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '412', '80', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '413', '90', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '414', '100', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '415', '110', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '476', '477', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '476', '478', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '476', '479', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '482', '480', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '482', '481', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '486', '480', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '486', '481', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '486', '477', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '482', '477', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '225', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '495', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '496', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '439', '29636', '10', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '439', '29637', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '439', '29638', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24997', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '29646', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29645', '29653', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29645', '29654', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29645', '29655', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29645', '29656', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29671', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24306', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '29677', '10', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '29679', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '29680', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29672', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29674', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29675', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29676', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29678', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29646', '29681', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24306', '29673', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24306', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24997', '29645', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24997', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24777', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24777', '29707', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24777', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24777', '29708', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24777', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '29695', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29671', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '29696', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29672', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '29697', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29674', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '29699', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29675', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '29700', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29676', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '29701', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29678', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '29702', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '220', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '49', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '225', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '50', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29681', '225', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '29736', '10', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '29737', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '29738', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '29739', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24235', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24235', '29771', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24235', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24786', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24786', '29816', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24786', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29816', '29817', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29816', '29818', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29816', '29819', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29816', '29820', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '40110', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24960', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24960', '40125', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24960', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24960', '40126', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24960', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40154', '40147', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40154', '40153', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40153', '24055', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40153', '40124', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40153', '40119', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40123', '40154', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40147', '40155', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40147', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40153', '225', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40154', '40157', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40157', '40156', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40157', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40161', '40160', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40161', '40162', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40160', '40159', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40160', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40162', '24055', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40162', '40124', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('1733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40162', '40158', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24057', '40161', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40162', '225', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40163', '40164', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40164', '40166', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null, null, '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40164', '40168', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40164', '40170', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40166', '40165', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40166', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40168', '40167', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40168', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40170', '40169', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40170', '225', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40164', '40171', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40164', '40172', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40171', '24055', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40171', '40173', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40171', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40172', '24055', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40172', '40174', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40172', '225', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40175', '40179', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40191', '40181', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40192', '40182', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40193', '40183', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40194', '40184', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40195', '40185', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40196', '40186', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40197', '40187', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40198', '40188', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40199', '40189', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40191', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40192', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40193', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40194', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40195', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40196', '60', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40197', '70', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40198', '80', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40179', '40199', '90', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40175', '40201', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40204', '40202', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40205', '40203', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40201', '40204', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40201', '40205', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40224', '40209', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40225', '40210', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40226', '40211', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40227', '40212', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40228', '40214', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40229', '40215', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40230', '40216', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40231', '40217', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40232', '40218', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40233', '40219', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40234', '40220', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40235', '40221', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40236', '40222', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40237', '40223', '0', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '40239', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '40241', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '40240', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40239', '40242', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40239', '40243', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40175', '40206', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40175', '40207', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40175', '40208', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40240', '40244', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40240', '40245', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40240', '40246', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40241', '40247', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40241', '40248', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25220', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25220', '40249', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25220', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25220', '40250', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25220', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40250', '40251', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40250', '40252', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40250', '40253', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '40255', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '40256', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '40257', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25124', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40255', '40258', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40255', '40259', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40256', '40260', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40256', '40261', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40256', '40262', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40256', '40263', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40257', '40264', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40257', '40265', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40257', '40266', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25339', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25339', '40267', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25339', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25339', '40268', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25339', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40267', '40269', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40267', '40270', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40267', '40271', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40267', '40272', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40267', '40273', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40268', '40274', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40268', '40275', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '119', '1', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '40276', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '40277', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '40278', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24940', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40276', '40279', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40276', '40280', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40276', '40281', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40277', '40282', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40277', '40283', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40278', '40284', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40278', '40285', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40278', '40286', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '40287', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '40288', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '40289', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '40290', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '40291', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24500', '119', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40287', '40292', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40287', '40293', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40287', '40294', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40287', '40295', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40288', '40296', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40288', '40297', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40288', '40298', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40289', '40299', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40289', '40300', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40290', '40301', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40290', '40302', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40291', '40303', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40291', '40304', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24794', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24794', '40305', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24794', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('2994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40305', '40306', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40305', '40307', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40305', '40308', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40305', '40309', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25195', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('2999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25195', '40310', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25195', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25195', '40311', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25195', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40310', '40312', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40310', '40313', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40310', '40314', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40311', '40315', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40311', '40316', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '40317', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '40318', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40317', '40319', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40317', '40320', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40317', '40321', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40317', '40322', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40318', '40323', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40318', '40324', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40318', '40325', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24148', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24148', '40326', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24148', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40326', '40327', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40326', '40328', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40326', '40329', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40326', '40330', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '40331', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '40332', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '40333', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24864', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40332', '40336', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40332', '40337', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40332', '40338', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40332', '40339', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40333', '40340', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40333', '40341', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40333', '40342', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25013', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25013', '40343', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25013', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25013', '40344', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25013', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40343', '40345', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40343', '40346', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40344', '40347', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40344', '40348', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40344', '40349', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40350', '40179', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40350', '40351', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40350', '40206', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40350', '40352', '40', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '40353', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '40354', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '40355', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24065', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40353', '40356', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40353', '40357', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40353', '40358', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40353', '40359', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40354', '40360', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40354', '40361', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40354', '40362', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40354', '40363', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40355', '40364', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40355', '40365', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25199', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25199', '40366', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25199', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25199', '40367', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25199', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40366', '40368', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40366', '40369', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40366', '40370', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40366', '40371', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25062', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25062', '40374', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25062', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25062', '40375', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25062', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40374', '40376', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40374', '40377', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40374', '40378', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40374', '40379', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40374', '40380', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40375', '40381', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40375', '40382', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40383', '40385', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40383', '40386', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40383', '40387', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40383', '40388', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40384', '40389', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40384', '40390', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '40383', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '40384', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '40391', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '40392', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '40393', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40391', '40394', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40391', '40395', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40391', '40396', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40391', '40397', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24629', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24629', '40404', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24629', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24629', '40405', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24629', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40404', '40408', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40404', '40409', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40404', '40410', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40404', '40411', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40405', '40412', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40405', '40413', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24280', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24280', '40416', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24280', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24280', '40417', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24280', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40416', '40418', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40416', '40419', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40416', '40420', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40417', '40421', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40417', '40422', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25078', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25078', '40423', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25078', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25078', '40424', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25078', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40423', '40425', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40423', '40426', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40423', '40427', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40423', '40428', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '40431', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '40432', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '40433', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24221', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40431', '40434', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40431', '40435', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40431', '40436', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40431', '40437', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40432', '40438', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40432', '40439', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40433', '40440', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40433', '40441', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24357', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24357', '40442', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24357', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24357', '40443', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24357', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40442', '40444', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40442', '40445', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40442', '40446', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40442', '40447', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40442', '40448', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40443', '40449', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40443', '40450', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24822', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24822', '40451', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24822', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24822', '40452', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24822', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40451', '40453', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40451', '40454', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40452', '40455', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40452', '40456', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '40457', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '40458', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '40459', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24854', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '40470', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '40471', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '40472', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24844', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '40483', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '40484', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '40485', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24858', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '40496', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '40497', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '40498', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '40499', '8', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24921', '119', '9', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40496', '40500', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40496', '40501', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40497', '40502', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40497', '40503', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40497', '40504', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40498', '40505', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40498', '40506', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40498', '40507', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40498', '40508', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40499', '40509', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40499', '40510', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '40511', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '40512', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '40513', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24132', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40511', '40514', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40511', '40515', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40511', '40516', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40511', '40517', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40511', '40518', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40512', '40519', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40512', '40520', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40512', '40521', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40513', '40522', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40513', '40523', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '40524', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '40525', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40524', '40526', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40524', '40527', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40524', '40528', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40525', '40529', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40525', '40530', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40525', '40531', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40525', '40532', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40525', '40533', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24669', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24669', '40534', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24669', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24669', '40535', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24669', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40534', '40536', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40534', '40537', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40534', '40538', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40534', '40539', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40535', '40540', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40535', '40541', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40535', '40542', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40535', '40543', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24659', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24659', '40534', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24659', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24659', '40535', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24659', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40241', '40546', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40241', '40547', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24274', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24274', '40548', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24274', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40548', '40549', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40548', '40550', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40548', '40551', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40548', '40552', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24756', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24756', '40553', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24756', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40553', '40554', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40553', '40555', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40350', '40556', '50', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40557', '40558', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40557', '40559', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40557', '40560', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40557', '40561', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40557', '40562', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40563', '40564', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40563', '40565', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40563', '40566', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40563', '40567', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '196', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '196', '40568', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '196', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24180', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24180', '40569', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24180', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24180', '40570', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24180', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40569', '40571', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40569', '40572', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40569', '40573', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40569', '40574', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40570', '40575', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40570', '40576', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40570', '40577', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24983', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24983', '40578', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24983', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24702', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24702', '40581', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24702', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24702', '40582', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24702', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40581', '40583', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40581', '40584', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40581', '40585', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40590', '40591', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40590', '40592', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '40593', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '40594', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '40595', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '40596', '8', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25290', '119', '9', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40605', '40605', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40605', '40606', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40605', '40607', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40596', '40608', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40596', '40609', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40596', '40610', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40611', '40612', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40611', '40613', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40611', '40614', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40611', '40615', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40305', '40616', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25119', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25119', '40617', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25119', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40617', '40618', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40617', '40619', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40617', '40620', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40617', '40621', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40617', '40622', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24133', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24133', '40632', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24133', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24133', '40638', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24133', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24691', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24691', '40641', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24691', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24691', '40642', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24691', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40650', '40652', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40650', '40653', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40650', '40654', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40650', '40655', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40650', '40656', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40651', '40657', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40651', '40658', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '40659', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '40660', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40659', '40661', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40659', '40662', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40659', '40663', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40659', '40664', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40660', '40665', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40660', '40666', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40660', '40667', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40660', '40668', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25335', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25335', '40669', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25335', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25335', '40670', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25335', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40669', '40671', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40669', '40672', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40669', '40673', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40669', '40674', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40669', '40675', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24070', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24070', '40678', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24070', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40678', '40679', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40678', '40680', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40678', '40681', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40689', '40690', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40689', '40691', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40689', '40692', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40689', '40693', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25007', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25007', '40694', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25007', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25007', '40695', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25007', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40708', '40709', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40708', '40710', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40708', '40711', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40708', '40712', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24824', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24824', '40719', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24824', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40719', '40720', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40719', '40721', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40719', '40722', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25022', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25022', '40723', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25022', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40723', '40724', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40723', '40725', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40723', '40726', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40723', '40727', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3586', 'N', '2019-03-25 16:41:49', '2019-03-25 16:41:49', '108', '108', '7', '18', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3587', 'N', '2019-03-25 16:41:49', '2019-03-25 16:41:49', '108', '108', '7', '16', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3588', 'N', '2019-03-25 16:41:49', '2019-03-25 16:41:49', '108', '108', '7', '15', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3589', 'N', '2019-03-25 16:41:49', '2019-03-25 16:41:49', '108', '108', '7', '14', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3590', 'N', '2019-03-25 16:41:49', '2019-03-25 16:41:49', '108', '108', '7', '17', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3591', 'N', '2019-03-25 19:12:58', '2019-03-25 19:12:58', '108', '108', '241', '40887', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3592', 'N', '2019-03-25 19:12:58', '2019-03-25 19:12:58', '108', '108', '241', '242', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3593', 'N', '2019-03-25 19:12:58', '2019-03-25 19:12:58', '108', '108', '241', '245', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3594', 'N', '2019-03-25 19:12:58', '2019-03-25 19:12:58', '108', '108', '241', '246', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3641', 'N', '2019-03-26 17:34:14', '2019-03-26 17:34:14', '108', '108', '40896', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3642', 'N', '2019-03-26 17:34:14', '2019-03-26 17:34:14', '108', '108', '40896', '40890', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3643', 'N', '2019-03-26 17:34:14', '2019-03-26 17:34:14', '108', '108', '40896', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3648', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3649', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '29807', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3650', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3651', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '40728', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3652', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '119', '5', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3653', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '40899', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3654', 'N', '2019-03-27 09:40:21', '2019-03-27 09:40:21', '108', '108', '24480', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3655', 'N', '2019-03-27 10:04:44', '2019-03-27 10:04:44', '108', '108', '40728', '40900', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3656', 'N', '2019-03-27 10:04:44', '2019-03-27 10:04:44', '108', '108', '40728', '40901', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3657', 'N', '2019-03-27 10:04:44', '2019-03-27 10:04:44', '108', '108', '40728', '40902', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3658', 'N', '2019-03-27 10:06:33', '2019-03-27 10:06:33', '108', '108', '29807', '40893', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3659', 'N', '2019-03-27 10:06:33', '2019-03-27 10:06:33', '108', '108', '29807', '40892', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3660', 'N', '2019-03-27 10:06:33', '2019-03-27 10:06:33', '108', '108', '29807', '40894', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3661', 'N', '2019-03-27 10:06:33', '2019-03-27 10:06:33', '108', '108', '29807', '40895', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3662', 'N', '2019-03-27 10:06:33', '2019-03-27 10:06:33', '108', '108', '29807', '40903', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3663', 'N', '2019-03-27 10:29:43', '2019-03-27 10:29:43', '108', '108', '40899', '40898', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3664', 'N', '2019-03-27 10:29:43', '2019-03-27 10:29:43', '108', '108', '40899', '40904', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3665', 'N', '2019-03-27 10:29:43', '2019-03-27 10:29:43', '108', '108', '40899', '40905', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3666', 'N', '2019-03-27 13:31:46', '2019-03-27 13:31:46', '108', '108', '29673', '40906', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3667', 'N', '2019-03-27 13:31:46', '2019-03-27 13:31:46', '108', '108', '29673', '40907', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3668', 'N', '2019-03-27 13:31:46', '2019-03-27 13:31:46', '108', '108', '29673', '40908', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3669', 'N', '2019-03-27 13:31:46', '2019-03-27 13:31:46', '108', '108', '29673', '40909', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3687', 'N', '2019-03-27 16:13:00', '2019-03-27 16:13:00', '108', '108', '40713', '40714', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3688', 'N', '2019-03-27 16:13:00', '2019-03-27 16:13:00', '108', '108', '40713', '40915', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3689', 'N', '2019-03-27 16:13:00', '2019-03-27 16:13:00', '108', '108', '40713', '40715', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3690', 'N', '2019-03-27 16:13:00', '2019-03-27 16:13:00', '108', '108', '40713', '40716', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3691', 'N', '2019-03-27 16:14:28', '2019-03-27 16:14:28', '108', '108', '40916', '40717', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3692', 'N', '2019-03-27 16:14:28', '2019-03-27 16:14:28', '108', '108', '40916', '40910', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3693', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3694', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '40713', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3695', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3696', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '40911', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3697', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3698', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '40916', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3699', 'N', '2019-03-27 16:14:46', '2019-03-27 16:14:46', '108', '108', '25321', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3703', 'N', '2019-03-27 16:53:49', '2019-03-27 16:53:49', '108', '108', '40911', '40913', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3704', 'N', '2019-03-27 16:53:49', '2019-03-27 16:53:49', '108', '108', '40911', '40914', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3705', 'N', '2019-03-27 16:53:49', '2019-03-27 16:53:49', '108', '108', '40911', '40917', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3707', 'N', '2019-03-27 17:47:11', '2019-03-27 17:47:11', '108', '108', '24422', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3708', 'N', '2019-03-27 17:47:11', '2019-03-27 17:47:11', '108', '108', '24422', '40708', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3709', 'N', '2019-03-27 17:47:11', '2019-03-27 17:47:11', '108', '108', '24422', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3710', 'N', '2019-03-27 17:47:11', '2019-03-27 17:47:11', '108', '108', '24422', '40918', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3711', 'N', '2019-03-27 17:47:11', '2019-03-27 17:47:11', '108', '108', '24422', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3716', 'N', '2019-03-27 18:56:52', '2019-03-27 18:56:52', '108', '108', '40918', '40919', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3717', 'N', '2019-03-27 18:56:52', '2019-03-27 18:56:52', '108', '108', '40918', '40920', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3718', 'N', '2019-03-27 18:56:52', '2019-03-27 18:56:52', '108', '108', '40918', '40921', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3719', 'N', '2019-03-27 18:56:52', '2019-03-27 18:56:52', '108', '108', '40918', '40922', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3720', 'N', '2019-03-27 18:56:52', '2019-03-27 18:56:52', '108', '108', '40918', '40923', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3721', 'N', '2019-03-27 19:59:29', '2019-03-27 19:59:29', '108', '108', '40703', '40704', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3722', 'N', '2019-03-27 19:59:29', '2019-03-27 19:59:29', '108', '108', '40703', '40705', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3723', 'N', '2019-03-27 19:59:29', '2019-03-27 19:59:29', '108', '108', '40703', '40706', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3725', 'N', '2019-03-27 20:01:15', '2019-03-27 20:01:15', '108', '108', '25311', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3726', 'N', '2019-03-27 20:01:15', '2019-03-27 20:01:15', '108', '108', '25311', '40703', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3727', 'N', '2019-03-27 20:01:15', '2019-03-27 20:01:15', '108', '108', '25311', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3728', 'N', '2019-03-27 20:01:15', '2019-03-27 20:01:15', '108', '108', '25311', '40924', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3729', 'N', '2019-03-27 20:01:15', '2019-03-27 20:01:15', '108', '108', '25311', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3735', 'N', '2019-03-27 20:33:43', '2019-03-27 20:33:43', '108', '108', '40924', '40925', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3736', 'N', '2019-03-27 20:33:43', '2019-03-27 20:33:43', '108', '108', '40924', '40926', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3737', 'N', '2019-03-27 20:33:43', '2019-03-27 20:33:43', '108', '108', '40924', '40928', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3738', 'N', '2019-03-27 20:33:43', '2019-03-27 20:33:43', '108', '108', '40924', '40927', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3739', 'N', '2019-03-27 20:33:43', '2019-03-27 20:33:43', '108', '108', '40924', '40929', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3744', 'N', '2019-03-28 10:05:44', '2019-03-28 10:05:44', '108', '108', '40695', '40699', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3745', 'N', '2019-03-28 10:05:44', '2019-03-28 10:05:44', '108', '108', '40695', '40700', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3746', 'N', '2019-03-28 10:05:44', '2019-03-28 10:05:44', '108', '108', '40695', '40701', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3747', 'N', '2019-03-28 10:05:44', '2019-03-28 10:05:44', '108', '108', '40695', '40702', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3749', 'N', '2019-03-28 10:15:08', '2019-03-28 10:15:08', '108', '108', '25067', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3750', 'N', '2019-03-28 10:15:08', '2019-03-28 10:15:08', '108', '108', '25067', '40689', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3751', 'N', '2019-03-28 10:15:08', '2019-03-28 10:15:08', '108', '108', '25067', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3752', 'N', '2019-03-28 10:15:08', '2019-03-28 10:15:08', '108', '108', '25067', '40931', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3753', 'N', '2019-03-28 10:15:08', '2019-03-28 10:15:08', '108', '108', '25067', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3754', 'N', '2019-03-28 10:25:08', '2019-03-28 10:25:08', '108', '108', '40931', '40932', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3755', 'N', '2019-03-28 10:25:08', '2019-03-28 10:25:08', '108', '108', '40931', '40933', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3756', 'N', '2019-03-28 10:25:08', '2019-03-28 10:25:08', '108', '108', '40931', '40934', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3758', 'N', '2019-03-28 10:29:24', '2019-03-28 10:29:24', '108', '108', '24475', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3759', 'N', '2019-03-28 10:29:24', '2019-03-28 10:29:24', '108', '108', '24475', '40688', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3760', 'N', '2019-03-28 10:29:24', '2019-03-28 10:29:24', '108', '108', '24475', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3761', 'N', '2019-03-28 10:29:24', '2019-03-28 10:29:24', '108', '108', '24475', '40935', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3762', 'N', '2019-03-28 10:29:24', '2019-03-28 10:29:24', '108', '108', '24475', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3763', 'N', '2019-03-28 10:31:47', '2019-03-28 10:31:47', '108', '108', '40935', '40936', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3764', 'N', '2019-03-28 10:31:47', '2019-03-28 10:31:47', '108', '108', '40935', '40937', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3765', 'N', '2019-03-28 10:31:47', '2019-03-28 10:31:47', '108', '108', '40935', '40938', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3766', 'N', '2019-03-28 10:32:29', '2019-03-28 10:32:29', '108', '108', '40688', '40683', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3767', 'N', '2019-03-28 10:32:29', '2019-03-28 10:32:29', '108', '108', '40688', '40684', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3768', 'N', '2019-03-28 10:32:29', '2019-03-28 10:32:29', '108', '108', '40688', '40685', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3769', 'N', '2019-03-28 10:32:29', '2019-03-28 10:32:29', '108', '108', '40688', '40686', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3770', 'N', '2019-03-28 10:39:19', '2019-03-28 10:39:19', '108', '108', '40670', '40676', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3771', 'N', '2019-03-28 10:39:19', '2019-03-28 10:39:19', '108', '108', '40670', '40677', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3772', 'N', '2019-03-28 10:39:19', '2019-03-28 10:39:19', '108', '108', '40670', '40939', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3773', 'N', '2019-03-28 10:39:19', '2019-03-28 10:39:19', '108', '108', '40670', '40940', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3775', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3776', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '40650', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3777', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3778', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '40941', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3779', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3780', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '40651', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3781', 'N', '2019-03-28 11:18:01', '2019-03-28 11:18:01', '108', '108', '24448', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3782', 'N', '2019-03-28 11:26:35', '2019-03-28 11:26:35', '108', '108', '40941', '40942', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3783', 'N', '2019-03-28 11:26:35', '2019-03-28 11:26:35', '108', '108', '40941', '40943', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3784', 'N', '2019-03-28 11:47:23', '2019-03-28 11:47:23', '108', '108', '40641', '40643', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3785', 'N', '2019-03-28 11:47:23', '2019-03-28 11:47:23', '108', '108', '40641', '40644', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3786', 'N', '2019-03-28 11:47:23', '2019-03-28 11:47:23', '108', '108', '40641', '40645', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3787', 'N', '2019-03-28 13:13:41', '2019-03-28 13:13:41', '108', '108', '40642', '40648', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3788', 'N', '2019-03-28 13:13:41', '2019-03-28 13:13:41', '108', '108', '40642', '40649', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3789', 'N', '2019-03-28 13:13:41', '2019-03-28 13:13:41', '108', '108', '40642', '40944', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3790', 'N', '2019-03-28 13:18:03', '2019-03-28 13:18:03', '108', '108', '40632', '40633', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3791', 'N', '2019-03-28 13:18:03', '2019-03-28 13:18:03', '108', '108', '40632', '40634', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3792', 'N', '2019-03-28 13:18:03', '2019-03-28 13:18:03', '108', '108', '40632', '40945', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3793', 'N', '2019-03-28 13:18:03', '2019-03-28 13:18:03', '108', '108', '40632', '40636', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3794', 'N', '2019-03-28 13:18:03', '2019-03-28 13:18:03', '108', '108', '40632', '40637', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3795', 'N', '2019-03-28 13:21:25', '2019-03-28 13:21:25', '108', '108', '40638', '40639', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3796', 'N', '2019-03-28 13:21:25', '2019-03-28 13:21:25', '108', '108', '40638', '40640', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3797', 'N', '2019-03-28 13:21:25', '2019-03-28 13:21:25', '108', '108', '40638', '40946', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3798', 'N', '2019-03-28 13:29:13', '2019-03-28 13:29:13', '108', '108', '40626', '40627', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3799', 'N', '2019-03-28 13:29:13', '2019-03-28 13:29:13', '108', '108', '40626', '40949', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3800', 'N', '2019-03-28 13:29:13', '2019-03-28 13:29:13', '108', '108', '40626', '40947', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3801', 'N', '2019-03-28 13:29:13', '2019-03-28 13:29:13', '108', '108', '40626', '40948', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3802', 'N', '2019-03-28 13:29:13', '2019-03-28 13:29:13', '108', '108', '40626', '40631', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3804', 'N', '2019-03-28 13:31:22', '2019-03-28 13:31:22', '108', '108', '24766', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3805', 'N', '2019-03-28 13:31:22', '2019-03-28 13:31:22', '108', '108', '24766', '40626', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3806', 'N', '2019-03-28 13:31:22', '2019-03-28 13:31:22', '108', '108', '24766', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3807', 'N', '2019-03-28 13:31:22', '2019-03-28 13:31:22', '108', '108', '24766', '40950', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3808', 'N', '2019-03-28 13:31:22', '2019-03-28 13:31:22', '108', '108', '24766', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3809', 'N', '2019-03-28 13:34:13', '2019-03-28 13:34:13', '108', '108', '40950', '40951', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3810', 'N', '2019-03-28 13:34:13', '2019-03-28 13:34:13', '108', '108', '40950', '40952', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3811', 'N', '2019-03-28 13:34:13', '2019-03-28 13:34:13', '108', '108', '40950', '40953', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3812', 'N', '2019-03-28 13:47:01', '2019-03-28 13:47:01', '108', '108', '40954', '40952', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3846', 'N', '2019-03-28 15:30:46', '2019-03-28 15:30:46', '108', '108', '40694', '40696', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3847', 'N', '2019-03-28 15:30:46', '2019-03-28 15:30:46', '108', '108', '40694', '40697', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3848', 'N', '2019-03-28 15:30:46', '2019-03-28 15:30:46', '108', '108', '40694', '40960', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3849', 'N', '2019-03-28 15:30:46', '2019-03-28 15:30:46', '108', '108', '40694', '40930', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3856', 'N', '2019-03-28 16:02:05', '2019-03-28 16:02:05', '108', '108', '40961', '40962', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3857', 'N', '2019-03-28 16:02:05', '2019-03-28 16:02:05', '108', '108', '40961', '40963', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3858', 'N', '2019-03-28 16:02:05', '2019-03-28 16:02:05', '108', '108', '40961', '40964', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3859', 'N', '2019-03-28 16:02:05', '2019-03-28 16:02:05', '108', '108', '40961', '40965', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3860', 'N', '2019-03-28 16:02:05', '2019-03-28 16:02:05', '108', '108', '40961', '40966', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3861', 'N', '2019-03-28 16:02:36', '2019-03-28 16:02:36', '108', '108', '24717', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3862', 'N', '2019-03-28 16:02:36', '2019-03-28 16:02:36', '108', '108', '24717', '40961', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3863', 'N', '2019-03-28 16:02:36', '2019-03-28 16:02:36', '108', '108', '24717', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3865', 'N', '2019-03-28 16:07:27', '2019-03-28 16:07:27', '108', '108', '24809', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3866', 'N', '2019-03-28 16:07:27', '2019-03-28 16:07:27', '108', '108', '24809', '40623', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3867', 'N', '2019-03-28 16:07:27', '2019-03-28 16:07:27', '108', '108', '24809', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3868', 'N', '2019-03-28 16:07:27', '2019-03-28 16:07:27', '108', '108', '24809', '40967', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3869', 'N', '2019-03-28 16:07:27', '2019-03-28 16:07:27', '108', '108', '24809', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3870', 'N', '2019-03-28 16:07:42', '2019-03-28 16:07:42', '108', '108', '40623', '40624', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3871', 'N', '2019-03-28 16:07:42', '2019-03-28 16:07:42', '108', '108', '40623', '40619', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3872', 'N', '2019-03-28 16:07:42', '2019-03-28 16:07:42', '108', '108', '40623', '40620', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3873', 'N', '2019-03-28 16:07:42', '2019-03-28 16:07:42', '108', '108', '40623', '40621', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3874', 'N', '2019-03-28 16:20:25', '2019-03-28 16:20:25', '108', '108', '40967', '40968', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3875', 'N', '2019-03-28 16:20:25', '2019-03-28 16:20:25', '108', '108', '40967', '40969', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3876', 'N', '2019-03-28 16:20:25', '2019-03-28 16:20:25', '108', '108', '40967', '40970', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3878', 'N', '2019-03-28 16:35:22', '2019-03-28 16:35:22', '108', '108', '24808', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3879', 'N', '2019-03-28 16:35:22', '2019-03-28 16:35:22', '108', '108', '24808', '40611', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3880', 'N', '2019-03-28 16:35:22', '2019-03-28 16:35:22', '108', '108', '24808', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3881', 'N', '2019-03-28 16:35:22', '2019-03-28 16:35:22', '108', '108', '24808', '40971', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3882', 'N', '2019-03-28 16:35:22', '2019-03-28 16:35:22', '108', '108', '24808', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3883', 'N', '2019-03-28 17:06:36', '2019-03-28 17:06:36', '108', '108', '40971', '40972', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3884', 'N', '2019-03-28 17:06:36', '2019-03-28 17:06:36', '108', '108', '40971', '40973', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3885', 'N', '2019-03-28 17:06:36', '2019-03-28 17:06:36', '108', '108', '40971', '40974', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3886', 'N', '2019-03-28 17:35:47', '2019-03-28 17:35:47', '108', '108', '40595', '40605', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3887', 'N', '2019-03-28 17:35:47', '2019-03-28 17:35:47', '108', '108', '40595', '40606', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3888', 'N', '2019-03-28 17:35:47', '2019-03-28 17:35:47', '108', '108', '40595', '40607', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3889', 'N', '2019-03-28 17:35:47', '2019-03-28 17:35:47', '108', '108', '40595', '40975', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3890', 'N', '2019-03-28 17:35:47', '2019-03-28 17:35:47', '108', '108', '40595', '40976', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3891', 'N', '2019-03-28 17:40:30', '2019-03-28 17:40:30', '108', '108', '40594', '40602', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3892', 'N', '2019-03-28 17:40:30', '2019-03-28 17:40:30', '108', '108', '40594', '40603', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3893', 'N', '2019-03-28 17:40:30', '2019-03-28 17:40:30', '108', '108', '40594', '40604', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3894', 'N', '2019-03-28 17:40:30', '2019-03-28 17:40:30', '108', '108', '40594', '40977', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3896', 'N', '2019-03-29 09:29:42', '2019-03-29 09:29:42', '108', '108', '24982', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3897', 'N', '2019-03-29 09:29:42', '2019-03-29 09:29:42', '108', '108', '24982', '40590', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3898', 'N', '2019-03-29 09:29:42', '2019-03-29 09:29:42', '108', '108', '24982', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3899', 'N', '2019-03-29 09:29:42', '2019-03-29 09:29:42', '108', '108', '24982', '40978', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3900', 'N', '2019-03-29 09:29:42', '2019-03-29 09:29:42', '108', '108', '24982', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3901', 'N', '2019-03-29 09:46:57', '2019-03-29 09:46:57', '108', '108', '40978', '40979', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3902', 'N', '2019-03-29 09:46:57', '2019-03-29 09:46:57', '108', '108', '40978', '40980', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3903', 'N', '2019-03-29 09:46:57', '2019-03-29 09:46:57', '108', '108', '40978', '40981', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3904', 'N', '2019-03-29 10:28:41', '2019-03-29 10:28:41', '108', '108', '40582', '40982', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3905', 'N', '2019-03-29 10:28:41', '2019-03-29 10:28:41', '108', '108', '40582', '40586', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3906', 'N', '2019-03-29 10:28:41', '2019-03-29 10:28:41', '108', '108', '40582', '40587', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3907', 'N', '2019-03-29 10:28:41', '2019-03-29 10:28:41', '108', '108', '40582', '40588', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3908', 'N', '2019-03-29 10:28:41', '2019-03-29 10:28:41', '108', '108', '40582', '40589', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3909', 'N', '2019-03-29 10:37:56', '2019-03-29 10:37:56', '108', '108', '40578', '40982', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3911', 'N', '2019-03-29 11:37:03', '2019-03-29 11:37:03', '108', '108', '25009', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3912', 'N', '2019-03-29 11:37:03', '2019-03-29 11:37:03', '108', '108', '25009', '40563', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3913', 'N', '2019-03-29 11:37:03', '2019-03-29 11:37:03', '108', '108', '25009', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3914', 'N', '2019-03-29 11:37:03', '2019-03-29 11:37:03', '108', '108', '25009', '40986', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3915', 'N', '2019-03-29 11:37:03', '2019-03-29 11:37:03', '108', '108', '25009', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3916', 'N', '2019-03-29 11:39:56', '2019-03-29 11:39:56', '108', '108', '40986', '40987', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3917', 'N', '2019-03-29 11:39:56', '2019-03-29 11:39:56', '108', '108', '40986', '40988', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3918', 'N', '2019-03-29 11:39:56', '2019-03-29 11:39:56', '108', '108', '40986', '40989', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3920', 'N', '2019-03-29 11:45:19', '2019-03-29 11:45:19', '108', '108', '25117', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3921', 'N', '2019-03-29 11:45:19', '2019-03-29 11:45:19', '108', '108', '25117', '40557', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3922', 'N', '2019-03-29 11:45:19', '2019-03-29 11:45:19', '108', '108', '25117', '119', '3', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3923', 'N', '2019-03-29 11:45:19', '2019-03-29 11:45:19', '108', '108', '25117', '40990', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3924', 'N', '2019-03-29 11:45:19', '2019-03-29 11:45:19', '108', '108', '25117', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3925', 'N', '2019-03-29 11:52:05', '2019-03-29 11:52:05', '108', '108', '40990', '40991', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3926', 'N', '2019-03-29 11:52:05', '2019-03-29 11:52:05', '108', '108', '40990', '40992', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3927', 'N', '2019-03-29 11:52:05', '2019-03-29 11:52:05', '108', '108', '40990', '40993', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3928', 'N', '2019-03-29 11:52:05', '2019-03-29 11:52:05', '108', '108', '40990', '40994', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3932', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3933', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40995', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3934', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3935', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40996', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3936', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3937', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40997', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('3938', 'N', '2019-03-30 12:35:34', '2019-03-30 12:35:34', '108', '108', '25177', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3939', 'N', '2019-03-30 12:39:21', '2019-03-30 12:39:21', '108', '108', '40995', '40998', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3940', 'N', '2019-03-30 12:39:21', '2019-03-30 12:39:21', '108', '108', '40995', '40999', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3941', 'N', '2019-03-30 12:39:21', '2019-03-30 12:39:21', '108', '108', '40995', '41000', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3942', 'N', '2019-03-30 12:39:21', '2019-03-30 12:39:21', '108', '108', '40995', '41001', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3943', 'N', '2019-03-30 12:39:21', '2019-03-30 12:39:21', '108', '108', '40995', '41002', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3947', 'N', '2019-03-30 12:43:27', '2019-03-30 12:43:27', '108', '108', '40997', '41006', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3948', 'N', '2019-03-30 12:43:27', '2019-03-30 12:43:27', '108', '108', '40997', '41007', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3949', 'N', '2019-03-30 12:43:27', '2019-03-30 12:43:27', '108', '108', '40997', '41005', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3950', 'N', '2019-03-30 12:55:24', '2019-03-30 12:55:24', '108', '108', '40457', '40998', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3951', 'N', '2019-03-30 12:55:24', '2019-03-30 12:55:24', '108', '108', '40457', '40999', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3952', 'N', '2019-03-30 12:55:24', '2019-03-30 12:55:24', '108', '108', '40457', '41000', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3953', 'N', '2019-03-30 12:55:24', '2019-03-30 12:55:24', '108', '108', '40457', '41001', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3954', 'N', '2019-03-30 12:55:24', '2019-03-30 12:55:24', '108', '108', '40457', '40462', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3955', 'N', '2019-03-30 12:56:40', '2019-03-30 12:56:40', '108', '108', '40458', '40463', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3956', 'N', '2019-03-30 12:56:40', '2019-03-30 12:56:40', '108', '108', '40458', '40464', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3957', 'N', '2019-03-30 12:56:40', '2019-03-30 12:56:40', '108', '108', '40458', '40465', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3958', 'N', '2019-03-30 12:57:39', '2019-03-30 12:57:39', '108', '108', '40459', '41006', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3959', 'N', '2019-03-30 12:57:39', '2019-03-30 12:57:39', '108', '108', '40459', '41008', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3960', 'N', '2019-03-30 12:58:16', '2019-03-30 12:58:16', '108', '108', '40996', '41003', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3961', 'N', '2019-03-30 13:06:28', '2019-03-30 13:06:28', '108', '108', '40483', '40998', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3962', 'N', '2019-03-30 13:06:28', '2019-03-30 13:06:28', '108', '108', '40483', '40999', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3963', 'N', '2019-03-30 13:06:28', '2019-03-30 13:06:28', '108', '108', '40483', '41000', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3964', 'N', '2019-03-30 13:06:28', '2019-03-30 13:06:28', '108', '108', '40483', '41001', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3965', 'N', '2019-03-30 13:06:28', '2019-03-30 13:06:28', '108', '108', '40483', '40488', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3966', 'N', '2019-03-30 13:08:30', '2019-03-30 13:08:30', '108', '108', '40484', '40489', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3967', 'N', '2019-03-30 13:08:30', '2019-03-30 13:08:30', '108', '108', '40484', '40490', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3968', 'N', '2019-03-30 13:08:30', '2019-03-30 13:08:30', '108', '108', '40484', '40491', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3969', 'N', '2019-03-30 13:08:51', '2019-03-30 13:08:51', '108', '108', '40485', '41006', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3970', 'N', '2019-03-30 13:08:51', '2019-03-30 13:08:51', '108', '108', '40485', '41007', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3971', 'N', '2019-03-30 13:08:51', '2019-03-30 13:08:51', '108', '108', '40485', '41008', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3972', 'N', '2019-03-30 13:15:19', '2019-03-30 13:15:19', '108', '108', '40470', '40998', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3973', 'N', '2019-03-30 13:15:19', '2019-03-30 13:15:19', '108', '108', '40470', '40999', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3974', 'N', '2019-03-30 13:15:19', '2019-03-30 13:15:19', '108', '108', '40470', '41000', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3975', 'N', '2019-03-30 13:15:19', '2019-03-30 13:15:19', '108', '108', '40470', '41001', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3976', 'N', '2019-03-30 13:15:19', '2019-03-30 13:15:19', '108', '108', '40470', '40475', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3977', 'N', '2019-03-30 13:16:45', '2019-03-30 13:16:45', '108', '108', '40471', '40476', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3978', 'N', '2019-03-30 13:16:45', '2019-03-30 13:16:45', '108', '108', '40471', '40477', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3979', 'N', '2019-03-30 13:16:45', '2019-03-30 13:16:45', '108', '108', '40471', '40478', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3980', 'N', '2019-03-30 13:21:28', '2019-03-30 13:21:28', '108', '108', '40472', '40481', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3981', 'N', '2019-03-30 13:21:28', '2019-03-30 13:21:28', '108', '108', '40472', '40482', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3982', 'N', '2019-03-30 13:47:29', '2019-03-30 13:47:29', '108', '108', '40424', '40429', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3983', 'N', '2019-03-30 13:47:29', '2019-03-30 13:47:29', '108', '108', '40424', '40430', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3984', 'N', '2019-03-30 13:47:29', '2019-03-30 13:47:29', '108', '108', '40424', '41009', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3985', 'N', '2019-03-30 14:10:29', '2019-03-30 14:10:29', '108', '108', '40392', '40398', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3986', 'N', '2019-03-30 14:10:29', '2019-03-30 14:10:29', '108', '108', '40392', '40399', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3987', 'N', '2019-03-30 14:10:29', '2019-03-30 14:10:29', '108', '108', '40392', '41010', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3988', 'N', '2019-04-01 09:26:06', '2019-04-01 09:26:06', '108', '108', '40393', '40400', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3989', 'N', '2019-04-01 09:26:06', '2019-04-01 09:26:06', '108', '108', '40393', '40401', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3990', 'N', '2019-04-01 09:26:06', '2019-04-01 09:26:06', '108', '108', '40393', '40402', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3991', 'N', '2019-04-01 09:26:06', '2019-04-01 09:26:06', '108', '108', '40393', '40403', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3992', 'N', '2019-04-01 09:53:17', '2019-04-01 09:53:17', '108', '108', '40367', '40372', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3993', 'N', '2019-04-01 09:53:17', '2019-04-01 09:53:17', '108', '108', '40367', '40373', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3994', 'N', '2019-04-01 09:53:17', '2019-04-01 09:53:17', '108', '108', '40367', '41011', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3995', 'N', '2019-04-01 10:15:41', '2019-04-01 10:15:41', '108', '108', '40331', '40334', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3996', 'N', '2019-04-01 10:15:41', '2019-04-01 10:15:41', '108', '108', '40331', '41012', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3997', 'N', '2019-04-01 10:15:41', '2019-04-01 10:15:41', '108', '108', '40331', '40335', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('3998', 'N', '2019-04-01 10:15:41', '2019-04-01 10:15:41', '108', '108', '40331', '41013', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4005', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4006', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '483', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4007', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4008', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '489', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4009', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4010', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '490', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4011', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '119', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4012', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '41016', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4013', 'N', '2019-04-01 17:33:51', '2019-04-01 17:33:51', '108', '108', '471', '40897', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4014', 'N', '2019-04-01 17:36:45', '2019-04-01 17:36:45', '108', '108', '41016', '41017', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4015', 'N', '2019-04-01 17:36:45', '2019-04-01 17:36:45', '108', '108', '41016', '41018', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4016', 'N', '2019-04-01 17:36:45', '2019-04-01 17:36:45', '108', '108', '41016', '41019', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4024', 'N', '2019-04-01 17:57:19', '2019-04-01 17:57:19', '108', '108', '40143', '41020', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4025', 'N', '2019-04-01 17:57:19', '2019-04-01 17:57:19', '108', '108', '40143', '41021', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4029', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4030', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '476', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4031', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4032', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '2', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4033', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4034', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '40143', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4035', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '119', '7', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4036', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '40144', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4037', 'N', '2019-04-01 18:02:23', '2019-04-01 18:02:23', '108', '108', '468', '40897', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4038', 'N', '2019-04-01 18:04:32', '2019-04-01 18:04:32', '108', '108', '40144', '40148', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4039', 'N', '2019-04-01 18:04:32', '2019-04-01 18:04:32', '108', '108', '40144', '41022', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4040', 'N', '2019-04-01 18:04:32', '2019-04-01 18:04:32', '108', '108', '40144', '41023', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4049', 'N', '2019-04-02 09:40:18', '2019-04-02 09:40:18', '108', '108', '24174', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4050', 'N', '2019-04-02 09:40:18', '2019-04-02 09:40:18', '108', '108', '24174', '41024', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4051', 'N', '2019-04-02 09:40:18', '2019-04-02 09:40:18', '108', '108', '24174', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4052', 'N', '2019-04-02 09:40:18', '2019-04-02 09:40:18', '108', '108', '24174', '40140', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4053', 'N', '2019-04-02 09:40:18', '2019-04-02 09:40:18', '108', '108', '24174', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4054', 'N', '2019-04-02 09:41:17', '2019-04-02 09:41:17', '108', '108', '41024', '41025', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4055', 'N', '2019-04-02 09:41:17', '2019-04-02 09:41:17', '108', '108', '41024', '41026', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4056', 'N', '2019-04-02 09:41:17', '2019-04-02 09:41:17', '108', '108', '41024', '41027', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4057', 'N', '2019-04-02 09:41:17', '2019-04-02 09:41:17', '108', '108', '41024', '41028', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4058', 'N', '2019-04-02 09:41:17', '2019-04-02 09:41:17', '108', '108', '41024', '41029', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4059', 'N', '2019-04-02 09:56:09', '2019-04-02 09:56:09', '108', '108', '40140', '40141', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4060', 'N', '2019-04-02 09:56:09', '2019-04-02 09:56:09', '108', '108', '40140', '41030', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4061', 'N', '2019-04-02 09:56:09', '2019-04-02 09:56:09', '108', '108', '40140', '41031', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4062', 'N', '2019-04-02 09:56:09', '2019-04-02 09:56:09', '108', '108', '40140', '41032', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4064', 'N', '2019-04-02 10:04:49', '2019-04-02 10:04:49', '108', '108', '25293', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4065', 'N', '2019-04-02 10:04:49', '2019-04-02 10:04:49', '108', '108', '25293', '41033', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4066', 'N', '2019-04-02 10:04:49', '2019-04-02 10:04:49', '108', '108', '25293', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4067', 'N', '2019-04-02 10:04:49', '2019-04-02 10:04:49', '108', '108', '25293', '40136', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4068', 'N', '2019-04-02 10:04:49', '2019-04-02 10:04:49', '108', '108', '25293', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4069', 'N', '2019-04-02 10:08:16', '2019-04-02 10:08:16', '108', '108', '41033', '41034', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4070', 'N', '2019-04-02 10:08:16', '2019-04-02 10:08:16', '108', '108', '41033', '41035', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4071', 'N', '2019-04-02 10:08:16', '2019-04-02 10:08:16', '108', '108', '41033', '41036', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4083', 'N', '2019-04-02 13:22:35', '2019-04-02 13:22:35', '108', '108', '40125', '40127', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4084', 'N', '2019-04-02 13:22:35', '2019-04-02 13:22:35', '108', '108', '40125', '40128', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4085', 'N', '2019-04-02 13:22:35', '2019-04-02 13:22:35', '108', '108', '40125', '41040', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4086', 'N', '2019-04-02 13:22:35', '2019-04-02 13:22:35', '108', '108', '40125', '40129', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4087', 'N', '2019-04-02 13:22:35', '2019-04-02 13:22:35', '108', '108', '40125', '41039', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4090', 'N', '2019-04-02 15:01:53', '2019-04-02 15:01:53', '108', '108', '40126', '40133', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4091', 'N', '2019-04-02 15:01:53', '2019-04-02 15:01:53', '108', '108', '40126', '41041', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4092', 'N', '2019-04-02 15:06:18', '2019-04-02 15:06:18', '108', '108', '40106', '41042', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4093', 'N', '2019-04-02 15:06:18', '2019-04-02 15:06:18', '108', '108', '40106', '40111', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4094', 'N', '2019-04-02 15:06:18', '2019-04-02 15:06:18', '108', '108', '40106', '40112', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4095', 'N', '2019-04-02 15:06:18', '2019-04-02 15:06:18', '108', '108', '40106', '40113', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4096', 'N', '2019-04-02 15:06:18', '2019-04-02 15:06:18', '108', '108', '40106', '40114', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4102', 'N', '2019-04-02 15:37:27', '2019-04-02 15:37:27', '108', '108', '40107', '41044', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4103', 'N', '2019-04-02 15:37:27', '2019-04-02 15:37:27', '108', '108', '40107', '41045', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4104', 'N', '2019-04-02 15:37:27', '2019-04-02 15:37:27', '108', '108', '40107', '41046', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4105', 'N', '2019-04-02 15:37:27', '2019-04-02 15:37:27', '108', '108', '40107', '41047', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4106', 'N', '2019-04-02 15:37:27', '2019-04-02 15:37:27', '108', '108', '40107', '41043', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4107', 'N', '2019-04-02 15:43:31', '2019-04-02 15:43:31', '108', '108', '40108', '40120', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4108', 'N', '2019-04-02 15:43:31', '2019-04-02 15:43:31', '108', '108', '40108', '40109', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4109', 'N', '2019-04-02 15:43:31', '2019-04-02 15:43:31', '108', '108', '40108', '40121', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4110', 'N', '2019-04-02 15:43:31', '2019-04-02 15:43:31', '108', '108', '40108', '40122', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4111', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4112', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '40106', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4113', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4114', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '40107', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4115', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4116', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '40108', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4117', 'N', '2019-04-02 15:48:09', '2019-04-02 15:48:09', '108', '108', '195', '119', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4118', 'N', '2019-04-02 15:55:52', '2019-04-02 15:55:52', '108', '108', '40136', '41048', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4119', 'N', '2019-04-02 15:55:52', '2019-04-02 15:55:52', '108', '108', '40136', '41038', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4120', 'N', '2019-04-02 15:55:52', '2019-04-02 15:55:52', '108', '108', '40136', '41037', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4130', 'N', '2019-04-02 16:38:50', '2019-04-02 16:38:50', '108', '108', '24802', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4131', 'N', '2019-04-02 16:38:50', '2019-04-02 16:38:50', '108', '108', '24802', '41052', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4132', 'N', '2019-04-02 16:38:50', '2019-04-02 16:38:50', '108', '108', '24802', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4133', 'N', '2019-04-02 16:39:08', '2019-04-02 16:39:08', '108', '108', '41052', '41053', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4134', 'N', '2019-04-02 16:39:08', '2019-04-02 16:39:08', '108', '108', '41052', '41054', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4135', 'N', '2019-04-02 16:39:08', '2019-04-02 16:39:08', '108', '108', '41052', '41055', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4136', 'N', '2019-04-02 16:39:08', '2019-04-02 16:39:08', '108', '108', '41052', '41056', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4137', 'N', '2019-04-02 16:39:08', '2019-04-02 16:39:08', '108', '108', '41052', '41057', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4142', 'N', '2019-04-02 16:46:50', '2019-04-02 16:46:50', '108', '108', '29795', '29797', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4143', 'N', '2019-04-02 16:46:50', '2019-04-02 16:46:50', '108', '108', '29795', '29798', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4144', 'N', '2019-04-02 16:46:50', '2019-04-02 16:46:50', '108', '108', '29795', '41059', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4145', 'N', '2019-04-02 16:46:50', '2019-04-02 16:46:50', '108', '108', '29795', '41058', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4146', 'N', '2019-04-02 16:56:11', '2019-04-02 16:56:11', '108', '108', '29796', '29802', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4147', 'N', '2019-04-02 16:56:11', '2019-04-02 16:56:11', '108', '108', '29796', '29803', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4148', 'N', '2019-04-02 16:56:11', '2019-04-02 16:56:11', '108', '108', '29796', '41060', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4149', 'N', '2019-04-02 16:56:11', '2019-04-02 16:56:11', '108', '108', '29796', '41061', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4150', 'N', '2019-04-02 16:56:11', '2019-04-02 16:56:11', '108', '108', '29796', '29806', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4151', 'N', '2019-04-02 17:23:27', '2019-04-02 17:23:27', '108', '108', '29791', '41062', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4152', 'N', '2019-04-02 17:23:27', '2019-04-02 17:23:27', '108', '108', '29791', '41063', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4153', 'N', '2019-04-02 17:23:27', '2019-04-02 17:23:27', '108', '108', '29791', '29792', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4154', 'N', '2019-04-02 17:23:27', '2019-04-02 17:23:27', '108', '108', '29791', '29794', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4156', 'N', '2019-04-02 17:29:09', '2019-04-02 17:29:09', '108', '108', '41064', '41065', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4157', 'N', '2019-04-02 17:29:09', '2019-04-02 17:29:09', '108', '108', '41064', '41066', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4158', 'N', '2019-04-02 17:29:09', '2019-04-02 17:29:09', '108', '108', '41064', '41067', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4159', 'N', '2019-04-02 17:31:29', '2019-04-02 17:31:29', '108', '108', '25284', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4160', 'N', '2019-04-02 17:31:29', '2019-04-02 17:31:29', '108', '108', '25284', '29791', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4161', 'N', '2019-04-02 17:31:29', '2019-04-02 17:31:29', '108', '108', '25284', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4162', 'N', '2019-04-02 17:31:29', '2019-04-02 17:31:29', '108', '108', '25284', '41064', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4163', 'N', '2019-04-02 17:31:29', '2019-04-02 17:31:29', '108', '108', '25284', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4164', 'N', '2019-04-02 17:36:37', '2019-04-02 17:36:37', '108', '108', '29774', '41068', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4165', 'N', '2019-04-02 17:36:37', '2019-04-02 17:36:37', '108', '108', '29774', '29776', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4166', 'N', '2019-04-02 17:36:37', '2019-04-02 17:36:37', '108', '108', '29774', '29778', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4167', 'N', '2019-04-02 17:36:37', '2019-04-02 17:36:37', '108', '108', '29774', '29779', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4169', 'N', '2019-04-02 17:38:49', '2019-04-02 17:38:49', '108', '108', '24527', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4170', 'N', '2019-04-02 17:38:49', '2019-04-02 17:38:49', '108', '108', '24527', '29774', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4171', 'N', '2019-04-02 17:38:49', '2019-04-02 17:38:49', '108', '108', '24527', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4172', 'N', '2019-04-02 17:38:49', '2019-04-02 17:38:49', '108', '108', '24527', '41069', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4173', 'N', '2019-04-02 17:38:49', '2019-04-02 17:38:49', '108', '108', '24527', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4174', 'N', '2019-04-02 17:41:16', '2019-04-02 17:41:16', '108', '108', '41069', '41070', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4175', 'N', '2019-04-02 17:41:16', '2019-04-02 17:41:16', '108', '108', '41069', '41071', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4176', 'N', '2019-04-02 17:41:16', '2019-04-02 17:41:16', '108', '108', '41069', '41072', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4177', 'N', '2019-04-03 09:28:33', '2019-04-03 09:28:33', '108', '108', '29771', '29772', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4178', 'N', '2019-04-03 09:28:33', '2019-04-03 09:28:33', '108', '108', '29771', '29773', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4179', 'N', '2019-04-03 09:28:33', '2019-04-03 09:28:33', '108', '108', '29771', '41073', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4180', 'N', '2019-04-03 09:28:33', '2019-04-03 09:28:33', '108', '108', '29771', '41074', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4181', 'N', '2019-04-03 09:40:24', '2019-04-03 09:40:24', '108', '108', '472', '41075', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4182', 'N', '2019-04-03 09:40:24', '2019-04-03 09:40:24', '108', '108', '472', '474', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4183', 'N', '2019-04-03 09:40:24', '2019-04-03 09:40:24', '108', '108', '472', '41076', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4184', 'N', '2019-04-03 09:40:24', '2019-04-03 09:40:24', '108', '108', '472', '41077', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4189', 'N', '2019-04-03 09:49:53', '2019-04-03 09:49:53', '108', '108', '29707', '29711', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4190', 'N', '2019-04-03 09:49:53', '2019-04-03 09:49:53', '108', '108', '29707', '29712', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4191', 'N', '2019-04-03 09:57:36', '2019-04-03 09:57:36', '108', '108', '29708', '29714', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4192', 'N', '2019-04-03 09:57:36', '2019-04-03 09:57:36', '108', '108', '29708', '29715', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4193', 'N', '2019-04-03 09:57:36', '2019-04-03 09:57:36', '108', '108', '29708', '29716', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4194', 'N', '2019-04-03 09:57:36', '2019-04-03 09:57:36', '108', '108', '29708', '29718', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4195', 'N', '2019-04-03 09:57:36', '2019-04-03 09:57:36', '108', '108', '29708', '41078', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4196', 'N', '2019-04-03 09:59:09', '2019-04-03 09:59:09', '108', '108', '41079', '29715', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4198', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4199', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '276', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4200', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4201', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '29698', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4202', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4203', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '41082', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4204', 'N', '2019-04-03 10:09:00', '2019-04-03 10:09:00', '108', '108', '277', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4205', 'N', '2019-04-03 10:13:23', '2019-04-03 10:13:23', '108', '108', '41082', '41083', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4206', 'N', '2019-04-03 10:13:23', '2019-04-03 10:13:23', '108', '108', '41082', '41084', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4213', 'N', '2019-04-03 10:26:41', '2019-04-03 10:26:41', '108', '108', '41085', '41086', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4214', 'N', '2019-04-03 10:26:41', '2019-04-03 10:26:41', '108', '108', '41085', '41087', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4215', 'N', '2019-04-03 10:26:41', '2019-04-03 10:26:41', '108', '108', '41085', '41088', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4218', 'N', '2019-04-03 10:44:13', '2019-04-03 10:44:13', '108', '108', '24435', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4219', 'N', '2019-04-03 10:44:13', '2019-04-03 10:44:13', '108', '108', '24435', '41085', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4220', 'N', '2019-04-03 10:44:13', '2019-04-03 10:44:13', '108', '108', '24435', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4221', 'N', '2019-04-03 10:44:13', '2019-04-03 10:44:13', '108', '108', '24435', '41090', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4222', 'N', '2019-04-03 10:44:13', '2019-04-03 10:44:13', '108', '108', '24435', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4225', 'N', '2019-04-03 10:45:47', '2019-04-03 10:45:47', '108', '108', '41090', '41089', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4226', 'N', '2019-04-03 10:45:47', '2019-04-03 10:45:47', '108', '108', '41090', '29664', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4227', 'N', '2019-04-03 10:45:47', '2019-04-03 10:45:47', '108', '108', '41090', '41083', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4228', 'N', '2019-04-03 10:45:47', '2019-04-03 10:45:47', '108', '108', '41090', '41091', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4229', 'N', '2019-04-03 11:42:13', '2019-04-03 11:42:13', '108', '108', '248', '41092', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4230', 'N', '2019-04-03 11:42:13', '2019-04-03 11:42:13', '108', '108', '248', '249', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4231', 'N', '2019-04-03 11:42:13', '2019-04-03 11:42:13', '108', '108', '248', '251', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4242', 'N', '2019-04-03 16:11:31', '2019-04-03 16:11:31', '108', '108', '24774', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4243', 'N', '2019-04-03 16:11:31', '2019-04-03 16:11:31', '108', '108', '24774', '29795', '2', '0', '0', '0', '2', null);
INSERT INTO `icss_question_mapping` VALUES ('4244', 'N', '2019-04-03 16:11:31', '2019-04-03 16:11:31', '108', '108', '24774', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4245', 'N', '2019-04-03 16:11:31', '2019-04-03 16:11:31', '108', '108', '24774', '29796', '4', '0', '0', '0', '2', null);
INSERT INTO `icss_question_mapping` VALUES ('4246', 'N', '2019-04-03 16:11:31', '2019-04-03 16:11:31', '108', '108', '24774', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4247', 'N', '2019-04-03 17:20:36', '2019-04-03 17:20:36', '108', '108', '470', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4248', 'N', '2019-04-03 17:20:36', '2019-04-03 17:20:36', '108', '108', '470', '482', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4249', 'N', '2019-04-03 17:20:36', '2019-04-03 17:20:36', '108', '108', '470', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4250', 'N', '2019-04-03 17:20:46', '2019-04-03 17:20:46', '108', '108', '469', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4251', 'N', '2019-04-03 17:20:46', '2019-04-03 17:20:46', '108', '108', '469', '486', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4252', 'N', '2019-04-03 17:20:46', '2019-04-03 17:20:46', '108', '108', '469', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4253', 'N', '2019-04-04 09:14:59', '2019-04-04 09:14:59', '108', '108', '40593', '40599', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4254', 'N', '2019-04-04 09:14:59', '2019-04-04 09:14:59', '108', '108', '40593', '40600', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4255', 'N', '2019-04-04 09:14:59', '2019-04-04 09:14:59', '108', '108', '40593', '40601', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4304', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4305', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '264', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4306', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4307', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '266', '4', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4308', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4309', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '267', '6', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4310', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4311', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '269', '8', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4312', 'N', '2019-04-04 10:45:25', '2019-04-04 10:45:25', '108', '108', '265', '40897', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4330', 'N', '2019-04-04 14:39:13', '2019-04-04 14:39:13', '108', '108', '41100', '41101', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4331', 'N', '2019-04-04 14:39:13', '2019-04-04 14:39:13', '108', '108', '41100', '41102', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4332', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4333', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '489', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4334', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4335', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '41100', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4336', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4337', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '472', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4338', 'N', '2019-04-04 14:40:03', '2019-04-04 14:40:03', '108', '108', '467', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4339', 'N', '2019-04-04 14:47:44', '2019-04-04 14:47:44', '108', '108', '29698', '29703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4340', 'N', '2019-04-04 14:47:44', '2019-04-04 14:47:44', '108', '108', '29698', '29706', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4341', 'N', '2019-04-04 14:47:44', '2019-04-04 14:47:44', '108', '108', '29698', '29705', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4354', 'N', '2019-04-04 15:33:34', '2019-04-04 15:33:34', '108', '108', '41051', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4355', 'N', '2019-04-04 15:33:34', '2019-04-04 15:33:34', '108', '108', '41051', '41049', '2', '0', '0', '0', '1', null);
INSERT INTO `icss_question_mapping` VALUES ('4356', 'N', '2019-04-04 15:33:34', '2019-04-04 15:33:34', '108', '108', '41051', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4357', 'N', '2019-04-04 15:33:49', '2019-04-04 15:33:49', '108', '108', '41049', '41050', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4358', 'N', '2019-04-04 15:33:49', '2019-04-04 15:33:49', '108', '108', '41049', '41103', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4359', 'N', '2019-04-04 15:33:49', '2019-04-04 15:33:49', '108', '108', '41049', '41104', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4360', 'N', '2019-04-04 15:33:49', '2019-04-04 15:33:49', '108', '108', '41049', '41105', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4401', 'N', '2019-04-08 09:55:00', '2019-04-08 09:55:00', '108', '108', '455', '29733', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4402', 'N', '2019-04-08 09:55:00', '2019-04-08 09:55:00', '108', '108', '455', '29734', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4403', 'N', '2019-04-08 09:55:00', '2019-04-08 09:55:00', '108', '108', '455', '29735', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4404', 'N', '2019-04-08 09:55:00', '2019-04-08 09:55:00', '108', '108', '455', '29768', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4405', 'N', '2019-04-08 09:55:00', '2019-04-08 09:55:00', '108', '108', '455', '41114', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4519', 'N', '2019-04-11 10:29:50', '2019-04-11 10:29:50', '108', '108', '264', '256', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4520', 'N', '2019-04-11 10:29:50', '2019-04-11 10:29:50', '108', '108', '264', '257', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4521', 'N', '2019-04-11 10:29:50', '2019-04-11 10:29:50', '108', '108', '264', '261', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4522', 'N', '2019-04-11 10:29:50', '2019-04-11 10:29:50', '108', '108', '264', '262', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4523', 'N', '2019-04-11 10:29:50', '2019-04-11 10:29:50', '108', '108', '264', '41129', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4524', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4525', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '41126', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4526', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4527', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '41127', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4528', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4529', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '41128', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4530', 'N', '2019-04-11 13:13:35', '2019-04-11 13:13:35', '108', '108', '41150', '40897', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4531', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '41169', '41153', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4532', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '41169', '41154', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4533', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '41169', '41155', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4534', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '41169', '41156', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4535', 'N', '2019-04-11 16:00:37', '2019-04-11 16:00:37', '108', '108', '41169', '41157', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4536', 'N', '2019-04-11 16:02:42', '2019-04-11 16:02:42', '108', '108', '41171', '41170', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4537', 'N', '2019-04-11 16:02:42', '2019-04-11 16:02:42', '108', '108', '41171', '41158', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4538', 'N', '2019-04-11 16:02:42', '2019-04-11 16:02:42', '108', '108', '41171', '41159', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4539', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '41173', '41172', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4540', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '41173', '41160', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4541', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '41173', '41161', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4542', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '41173', '41162', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4543', 'N', '2019-04-11 16:07:37', '2019-04-11 16:07:37', '108', '108', '41173', '41163', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4544', 'N', '2019-04-11 16:09:29', '2019-04-11 16:09:29', '108', '108', '41175', '41174', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4545', 'N', '2019-04-11 16:09:29', '2019-04-11 16:09:29', '108', '108', '41175', '41164', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4546', 'N', '2019-04-11 16:09:29', '2019-04-11 16:09:29', '108', '108', '41175', '41165', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4547', 'N', '2019-04-11 16:11:35', '2019-04-11 16:11:35', '108', '108', '41177', '41176', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4548', 'N', '2019-04-11 16:11:35', '2019-04-11 16:11:35', '108', '108', '41177', '41166', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4549', 'N', '2019-04-11 16:11:35', '2019-04-11 16:11:35', '108', '108', '41177', '41167', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4550', 'N', '2019-04-11 16:11:35', '2019-04-11 16:11:35', '108', '108', '41177', '41168', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4556', 'N', '2019-04-12 13:33:38', '2019-04-12 13:33:38', '108', '108', '483', '477', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4557', 'N', '2019-04-12 13:33:38', '2019-04-12 13:33:38', '108', '108', '483', '484', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4558', 'N', '2019-04-12 13:33:38', '2019-04-12 13:33:38', '108', '108', '483', '41178', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4559', 'N', '2019-04-12 13:33:38', '2019-04-12 13:33:38', '108', '108', '483', '41014', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4560', 'N', '2019-04-12 13:33:38', '2019-04-12 13:33:38', '108', '108', '483', '41015', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4723', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41183', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4724', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41209', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4725', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4726', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41203', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4727', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4728', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41201', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4729', 'N', '2019-04-23 16:21:10', '2019-04-23 16:21:10', '108', '108', '41210', '41183', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4730', 'N', '2019-04-23 16:21:31', '2019-04-23 16:21:31', '108', '108', '41212', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4733', 'N', '2019-04-23 16:28:15', '2019-04-23 16:28:15', '108', '108', '41221', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4737', 'N', '2019-04-23 16:31:28', '2019-04-23 16:31:28', '108', '108', '41222', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4738', 'N', '2019-04-23 16:31:28', '2019-04-23 16:31:28', '108', '108', '41223', '41182', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4765', 'N', '2019-04-23 16:48:24', '2019-04-23 16:48:24', '108', '108', '41224', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4766', 'N', '2019-04-23 16:48:24', '2019-04-23 16:48:24', '108', '108', '41225', '41182', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4771', 'N', '2019-04-23 16:51:21', '2019-04-23 16:51:21', '108', '108', '41226', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4772', 'N', '2019-04-23 16:51:21', '2019-04-23 16:51:21', '108', '108', '41227', '41182', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4833', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41230', '41210', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4834', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41231', '41182', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4835', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41231', '41229', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4836', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41211', '41207', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4837', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41211', '41230', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4838', 'N', '2019-04-23 17:07:16', '2019-04-23 17:07:16', '108', '108', '41211', '41231', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4839', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41232', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4840', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41204', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4841', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4842', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41205', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4843', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4844', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41195', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4845', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4846', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41197', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4847', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4848', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41202', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4849', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4850', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41206', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4851', 'N', '2019-04-23 17:07:48', '2019-04-23 17:07:48', '108', '108', '41229', '41183', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4852', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41228', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4853', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41204', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4854', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4855', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41205', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4856', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4857', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41195', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4858', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4859', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41197', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4860', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4861', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41194', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4862', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4863', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41199', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4864', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4865', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41203', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4866', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4867', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41201', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4868', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4869', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41202', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4870', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4871', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41206', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4872', 'N', '2019-04-23 17:13:23', '2019-04-23 17:13:23', '108', '108', '41182', '41183', '21', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4900', 'N', '2019-04-23 17:37:00', '2019-04-23 17:37:00', '108', '108', '41236', '41234', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4923', 'N', '2019-04-23 17:41:59', '2019-04-23 17:41:59', '108', '108', '41246', '41234', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4924', 'N', '2019-04-23 17:41:59', '2019-04-23 17:41:59', '108', '108', '41246', '41245', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4941', 'N', '2019-04-23 18:40:27', '2019-04-23 18:40:27', '108', '108', '41250', '41234', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4942', 'N', '2019-04-23 18:40:27', '2019-04-23 18:40:27', '108', '108', '41250', '41245', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4943', 'N', '2019-04-23 18:40:27', '2019-04-23 18:40:27', '108', '108', '41250', '41249', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4948', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41232', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4949', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41204', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4950', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4951', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41205', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4952', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4953', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41251', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4954', 'N', '2019-04-23 18:49:22', '2019-04-23 18:49:22', '108', '108', '41234', '41183', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4955', 'N', '2019-04-23 18:52:33', '2019-04-23 18:52:33', '108', '108', '41198', '41183', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4956', 'N', '2019-04-23 18:52:33', '2019-04-23 18:52:33', '108', '108', '41198', '41195', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4957', 'N', '2019-04-23 18:52:33', '2019-04-23 18:52:33', '108', '108', '41198', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4958', 'N', '2019-04-23 18:52:33', '2019-04-23 18:52:33', '108', '108', '41198', '41197', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4959', 'N', '2019-04-23 18:52:33', '2019-04-23 18:52:33', '108', '108', '41198', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4996', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41256', '41234', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4997', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41256', '41255', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4998', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41256', '41245', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('4999', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41256', '41249', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5000', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41235', '41207', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5001', 'N', '2019-04-23 19:22:53', '2019-04-23 19:22:53', '108', '108', '41235', '41256', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5002', 'N', '2019-04-23 19:34:47', '2019-04-23 19:34:47', '108', '108', '41258', '41252', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5022', 'N', '2019-04-23 19:53:38', '2019-04-23 19:53:38', '108', '108', '41267', '41252', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5023', 'N', '2019-04-23 19:53:38', '2019-04-23 19:53:38', '108', '108', '41257', '41267', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5041', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41195', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5042', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41183', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5043', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41197', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5044', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41183', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5045', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41194', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5046', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41266', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5047', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41199', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5048', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41266', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5049', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41203', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5050', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41266', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5051', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41201', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5052', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41183', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5053', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41202', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5054', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41183', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5055', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41206', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5056', 'N', '2019-04-23 19:57:18', '2019-04-23 19:57:18', '108', '108', '41252', '41183', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5057', 'N', '2019-04-24 11:36:15', '2019-04-24 11:36:15', '108', '108', '41255', '41254', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5058', 'N', '2019-04-24 11:36:22', '2019-04-24 11:36:22', '108', '108', '41249', '41248', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5059', 'N', '2019-04-24 11:36:28', '2019-04-24 11:36:28', '108', '108', '41245', '41244', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5060', 'N', '2019-05-06 14:13:42', '2019-05-06 14:13:42', '108', '108', '41274', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5061', 'N', '2019-05-06 14:13:42', '2019-05-06 14:13:42', '108', '108', '41274', '40374', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5062', 'N', '2019-05-06 14:13:42', '2019-05-06 14:13:42', '108', '108', '41274', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5082', 'N', '2019-05-07 20:11:00', '2019-05-07 20:11:00', '108', '108', '41280', '41275', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5083', 'N', '2019-05-07 20:11:00', '2019-05-07 20:11:00', '108', '108', '41280', '41278', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5118', 'N', '2019-05-07 20:15:51', '2019-05-07 20:15:51', '108', '108', '41281', '41275', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5119', 'N', '2019-05-07 20:15:51', '2019-05-07 20:15:51', '108', '108', '41281', '41276', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5120', 'N', '2019-05-07 20:15:51', '2019-05-07 20:15:51', '108', '108', '41281', '41277', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5167', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '41285', '443', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5168', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '41285', '444', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5169', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '41285', '392', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5170', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '41285', '393', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5171', 'N', '2019-05-08 16:21:30', '2019-05-08 16:21:30', '108', '108', '41285', '394', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5175', 'N', '2019-05-08 17:40:51', '2019-05-08 17:40:51', '108', '108', '41290', '432', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5176', 'N', '2019-05-08 17:40:51', '2019-05-08 17:40:51', '108', '108', '41290', '41289', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5204', 'N', '2019-05-09 09:47:10', '2019-05-09 09:47:10', '108', '108', '376', '380', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5205', 'N', '2019-05-09 09:47:10', '2019-05-09 09:47:10', '108', '108', '376', '385', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5206', 'N', '2019-05-09 09:47:10', '2019-05-09 09:47:10', '108', '108', '376', '387', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5207', 'N', '2019-05-09 09:47:10', '2019-05-09 09:47:10', '108', '108', '376', '388', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5219', 'N', '2019-05-09 09:48:11', '2019-05-09 09:48:11', '108', '108', '442', '491', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5220', 'N', '2019-05-09 09:48:11', '2019-05-09 09:48:11', '108', '108', '442', '492', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5221', 'N', '2019-05-09 09:48:11', '2019-05-09 09:48:11', '108', '108', '442', '493', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5222', 'N', '2019-05-09 09:48:11', '2019-05-09 09:48:11', '108', '108', '442', '494', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5246', 'N', '2019-05-09 09:57:00', '2019-05-09 09:57:00', '108', '108', '41291', '438', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5250', 'N', '2019-05-09 09:59:00', '2019-05-09 09:59:00', '108', '108', '461', '29723', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5251', 'N', '2019-05-09 09:59:00', '2019-05-09 09:59:00', '108', '108', '461', '29724', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5252', 'N', '2019-05-09 09:59:00', '2019-05-09 09:59:00', '108', '108', '461', '29725', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5269', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29754', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5270', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5271', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29755', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5272', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29756', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5273', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29757', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5274', 'N', '2019-05-09 10:05:14', '2019-05-09 10:05:14', '108', '108', '463', '29758', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5304', 'N', '2019-05-09 13:33:58', '2019-05-09 13:33:58', '108', '108', '41304', '41305', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5305', 'N', '2019-05-09 13:33:58', '2019-05-09 13:33:58', '108', '108', '41304', '41302', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5306', 'N', '2019-05-09 13:33:58', '2019-05-09 13:33:58', '108', '108', '41304', '24031', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5307', 'N', '2019-05-09 13:33:58', '2019-05-09 13:33:58', '108', '108', '41304', '293', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5308', 'N', '2019-05-09 13:33:58', '2019-05-09 13:33:58', '108', '108', '41304', '41303', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5309', 'N', '2019-05-09 14:06:05', '2019-05-09 14:06:05', '108', '108', '41286', '41306', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5310', 'N', '2019-05-09 14:06:05', '2019-05-09 14:06:05', '108', '108', '41286', '41307', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5311', 'N', '2019-05-09 14:06:05', '2019-05-09 14:06:05', '108', '108', '41286', '41308', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5323', 'N', '2019-05-09 14:34:15', '2019-05-09 14:34:15', '108', '108', '41287', '29693', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5324', 'N', '2019-05-09 14:34:15', '2019-05-09 14:34:15', '108', '108', '41287', '29694', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5325', 'N', '2019-05-09 14:42:42', '2019-05-09 14:42:42', '108', '108', '41310', '41309', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5326', 'N', '2019-05-09 14:42:42', '2019-05-09 14:42:42', '108', '108', '41310', '496', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5340', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '119', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5341', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '241', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5342', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5343', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '247', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5344', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '119', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5345', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '250', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5346', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '119', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5347', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '248', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5348', 'N', '2019-05-09 15:08:01', '2019-05-09 15:08:01', '108', '108', '202', '119', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5349', 'N', '2019-05-09 15:25:11', '2019-05-09 15:25:11', '108', '108', '41099', '41312', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5350', 'N', '2019-05-09 15:25:11', '2019-05-09 15:25:11', '108', '108', '41099', '41313', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5351', 'N', '2019-05-09 15:44:36', '2019-05-09 15:44:36', '108', '108', '41288', '41314', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5352', 'N', '2019-05-09 15:44:36', '2019-05-09 15:44:36', '108', '108', '41288', '41315', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5353', 'N', '2019-05-09 15:44:36', '2019-05-09 15:44:36', '108', '108', '41288', '41316', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5354', 'N', '2019-05-09 15:44:36', '2019-05-09 15:44:36', '108', '108', '41288', '41317', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5369', 'N', '2019-05-09 16:48:15', '2019-05-09 16:48:15', '108', '108', '451', '29679', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5370', 'N', '2019-05-09 16:48:15', '2019-05-09 16:48:15', '108', '108', '451', '29680', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5371', 'N', '2019-05-09 16:48:15', '2019-05-09 16:48:15', '108', '108', '451', '29690', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5372', 'N', '2019-05-09 16:48:15', '2019-05-09 16:48:15', '108', '108', '451', '29691', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5373', 'N', '2019-05-09 16:48:15', '2019-05-09 16:48:15', '108', '108', '451', '29692', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5374', 'N', '2019-05-09 16:49:58', '2019-05-09 16:49:58', '108', '108', '456', '498', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5375', 'N', '2019-05-09 16:49:58', '2019-05-09 16:49:58', '108', '108', '456', '41095', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5376', 'N', '2019-05-09 16:49:58', '2019-05-09 16:49:58', '108', '108', '456', '41096', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5377', 'N', '2019-05-09 16:49:58', '2019-05-09 16:49:58', '108', '108', '456', '501', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5378', 'N', '2019-05-09 16:49:58', '2019-05-09 16:49:58', '108', '108', '456', '41097', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5379', 'N', '2019-05-09 16:57:58', '2019-05-09 16:57:58', '108', '108', '447', '29686', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5380', 'N', '2019-05-09 16:57:58', '2019-05-09 16:57:58', '108', '108', '447', '29687', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5381', 'N', '2019-05-09 16:57:58', '2019-05-09 16:57:58', '108', '108', '447', '29688', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5382', 'N', '2019-05-09 16:57:58', '2019-05-09 16:57:58', '108', '108', '447', '29689', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5383', 'N', '2019-05-09 16:58:49', '2019-05-09 16:58:49', '108', '108', '458', '29720', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5384', 'N', '2019-05-09 16:58:49', '2019-05-09 16:58:49', '108', '108', '458', '29721', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5385', 'N', '2019-05-09 17:14:37', '2019-05-09 17:14:37', '108', '108', '446', '29665', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5386', 'N', '2019-05-09 17:14:37', '2019-05-09 17:14:37', '108', '108', '446', '29666', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5387', 'N', '2019-05-09 17:14:37', '2019-05-09 17:14:37', '108', '108', '446', '29667', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5388', 'N', '2019-05-09 17:14:37', '2019-05-09 17:14:37', '108', '108', '446', '41116', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5389', 'N', '2019-05-09 17:14:37', '2019-05-09 17:14:37', '108', '108', '446', '41115', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5396', 'N', '2019-05-09 17:19:38', '2019-05-09 17:19:38', '108', '108', '437', '29633', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5397', 'N', '2019-05-09 17:19:38', '2019-05-09 17:19:38', '108', '108', '437', '29634', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5398', 'N', '2019-05-09 17:19:38', '2019-05-09 17:19:38', '108', '108', '437', '29635', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5405', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '39', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5406', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '34', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5407', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '40957', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5408', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '40959', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5409', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '41125', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5410', 'N', '2019-05-09 17:23:33', '2019-05-09 17:23:33', '108', '108', '454', '40958', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5411', 'N', '2019-05-09 17:24:36', '2019-05-09 17:24:36', '108', '108', '450', '40414', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5412', 'N', '2019-05-09 17:24:36', '2019-05-09 17:24:36', '108', '108', '450', '40415', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5418', 'N', '2019-05-09 17:38:04', '2019-05-09 17:38:04', '108', '108', '465', '29744', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5419', 'N', '2019-05-09 17:38:04', '2019-05-09 17:38:04', '108', '108', '465', '41311', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5420', 'N', '2019-05-09 17:38:04', '2019-05-09 17:38:04', '108', '108', '465', '41319', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5421', 'N', '2019-05-09 17:38:04', '2019-05-09 17:38:04', '108', '108', '465', '41320', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5422', 'N', '2019-05-09 17:38:04', '2019-05-09 17:38:04', '108', '108', '465', '41318', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5423', 'N', '2019-05-09 17:42:24', '2019-05-09 17:42:24', '108', '108', '449', '40406', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5424', 'N', '2019-05-09 17:42:24', '2019-05-09 17:42:24', '108', '108', '449', '41321', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5425', 'N', '2019-05-10 14:13:00', '2019-05-10 14:13:00', '108', '108', '457', '504', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5426', 'N', '2019-05-10 14:13:00', '2019-05-10 14:13:00', '108', '108', '457', '505', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5427', 'N', '2019-05-10 14:13:00', '2019-05-10 14:13:00', '108', '108', '457', '506', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5433', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '41323', '41322', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5434', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '41324', '80', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5435', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '79', '41323', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5436', 'N', '2019-05-10 14:22:23', '2019-05-10 14:22:23', '108', '108', '79', '41324', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5442', 'N', '2019-05-10 14:24:12', '2019-05-10 14:24:12', '108', '108', '41322', '41183', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5443', 'N', '2019-05-10 14:24:12', '2019-05-10 14:24:12', '108', '108', '41322', '81', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5444', 'N', '2019-05-10 14:24:12', '2019-05-10 14:24:12', '108', '108', '41322', '41183', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5445', 'N', '2019-05-10 14:24:12', '2019-05-10 14:24:12', '108', '108', '41322', '85', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5446', 'N', '2019-05-10 14:24:12', '2019-05-10 14:24:12', '108', '108', '41322', '41183', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5447', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41282', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5448', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5449', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41283', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5450', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5451', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41284', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5452', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5453', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '85', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5454', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5455', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '86', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5456', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5457', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '87', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5458', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5459', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '88', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5460', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5461', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41281', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5462', 'N', '2019-05-10 14:25:34', '2019-05-10 14:25:34', '108', '108', '80', '41183', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5463', 'N', '2019-05-10 15:45:53', '2019-05-10 15:45:53', '108', '108', '41301', '41326', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5464', 'N', '2019-05-10 15:45:53', '2019-05-10 15:45:53', '108', '108', '41301', '41325', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5465', 'N', '2019-05-10 15:45:53', '2019-05-10 15:45:53', '108', '108', '41301', '41298', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5466', 'N', '2019-05-10 15:45:53', '2019-05-10 15:45:53', '108', '108', '41301', '41299', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5467', 'N', '2019-05-10 15:45:53', '2019-05-10 15:45:53', '108', '108', '41301', '41300', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5468', 'N', '2019-05-10 16:22:03', '2019-05-10 16:22:03', '108', '108', '436', '29627', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5469', 'N', '2019-05-10 16:22:03', '2019-05-10 16:22:03', '108', '108', '436', '41327', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5470', 'N', '2019-05-10 16:22:03', '2019-05-10 16:22:03', '108', '108', '436', '41328', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5471', 'N', '2019-05-10 16:22:03', '2019-05-10 16:22:03', '108', '108', '436', '29630', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5472', 'N', '2019-05-10 16:22:03', '2019-05-10 16:22:03', '108', '108', '436', '41329', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5483', 'N', '2019-05-10 16:52:09', '2019-05-10 16:52:09', '108', '108', '441', '41330', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5484', 'N', '2019-05-10 16:52:09', '2019-05-10 16:52:09', '108', '108', '441', '41333', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5485', 'N', '2019-05-10 16:52:09', '2019-05-10 16:52:09', '108', '108', '441', '41332', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5486', 'N', '2019-05-10 16:52:09', '2019-05-10 16:52:09', '108', '108', '441', '41184', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5487', 'N', '2019-05-10 16:52:09', '2019-05-10 16:52:09', '108', '108', '441', '41331', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5494', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '29639', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5495', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '41334', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5496', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '41335', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5497', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '41336', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5498', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '41337', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5499', 'N', '2019-05-10 17:37:47', '2019-05-10 17:37:47', '108', '108', '440', '41338', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5506', 'N', '2019-05-27 17:30:24', '2019-05-27 17:30:24', '106', '106', '41350', '41127', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5507', 'N', '2019-05-27 17:30:24', '2019-05-27 17:30:24', '106', '106', '41350', '41128', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5508', 'N', '2019-05-27 17:55:02', '2019-05-27 17:55:02', '106', '106', '41351', '41137', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5509', 'N', '2019-05-27 17:55:02', '2019-05-27 17:55:02', '106', '106', '41351', '41138', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5510', 'N', '2019-05-27 17:55:02', '2019-05-27 17:55:02', '106', '106', '41351', '41139', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5513', 'N', '2019-05-27 18:32:45', '2019-05-27 18:32:45', '106', '106', '41352', '41137', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5514', 'N', '2019-05-27 18:32:45', '2019-05-27 18:32:45', '106', '106', '41352', '41141', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5515', 'N', '2019-05-27 18:32:45', '2019-05-27 18:32:45', '106', '106', '41352', '41353', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5516', 'N', '2019-05-27 18:32:45', '2019-05-27 18:32:45', '106', '106', '41352', '41354', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5517', 'N', '2019-05-27 18:49:10', '2019-05-27 18:49:10', '106', '106', '41355', '41143', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5518', 'N', '2019-05-27 18:49:10', '2019-05-27 18:49:10', '106', '106', '41355', '41144', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5519', 'N', '2019-05-27 18:49:10', '2019-05-27 18:49:10', '106', '106', '41355', '41145', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5520', 'N', '2019-05-28 10:36:49', '2019-05-28 10:36:49', '108', '108', '41372', '41371', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5521', 'N', '2019-05-28 10:36:49', '2019-05-28 10:36:49', '108', '108', '41372', '41368', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5522', 'N', '2019-05-28 10:36:49', '2019-05-28 10:36:49', '108', '108', '41372', '41369', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5523', 'N', '2019-05-28 10:36:49', '2019-05-28 10:36:49', '108', '108', '41372', '41370', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5529', 'N', '2019-05-28 10:46:38', '2019-05-28 10:46:38', '108', '108', '41377', '41373', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5530', 'N', '2019-05-28 10:46:38', '2019-05-28 10:46:38', '108', '108', '41377', '41368', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5531', 'N', '2019-05-28 10:46:38', '2019-05-28 10:46:38', '108', '108', '41377', '41374', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5532', 'N', '2019-05-28 10:46:38', '2019-05-28 10:46:38', '108', '108', '41377', '41375', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5533', 'N', '2019-05-28 10:46:38', '2019-05-28 10:46:38', '108', '108', '41377', '41376', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5542', 'N', '2019-05-28 11:15:51', '2019-05-28 11:15:51', '100', '100', '41383', '41134', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5543', 'N', '2019-05-28 11:15:51', '2019-05-28 11:15:51', '100', '100', '41383', '41385', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5549', 'N', '2019-05-28 11:23:41', '2019-05-28 11:23:41', '106', '106', '41387', '40897', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5550', 'N', '2019-05-28 11:23:41', '2019-05-28 11:23:41', '106', '106', '41387', '41134', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5551', 'N', '2019-05-28 11:23:41', '2019-05-28 11:23:41', '106', '106', '41387', '40897', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5552', 'N', '2019-05-28 11:23:41', '2019-05-28 11:23:41', '106', '106', '41387', '41385', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5553', 'N', '2019-05-28 11:23:41', '2019-05-28 11:23:41', '106', '106', '41387', '40897', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5554', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29657', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5555', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29658', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5556', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29659', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5557', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29660', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5558', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29661', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5559', 'N', '2019-05-28 11:27:29', '2019-05-28 11:27:29', '108', '108', '445', '29662', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5560', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41113', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5561', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41108', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5562', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41109', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5563', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41110', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5564', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41111', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5565', 'N', '2019-05-28 11:29:21', '2019-05-28 11:29:21', '108', '108', '41107', '41112', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5566', 'N', '2019-05-28 11:31:57', '2019-05-28 11:31:57', '108', '108', '460', '515', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5567', 'N', '2019-05-28 11:31:57', '2019-05-28 11:31:57', '108', '108', '460', '41106', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5568', 'N', '2019-05-28 11:31:57', '2019-05-28 11:31:57', '108', '108', '460', '41098', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5569', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '29726', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5570', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '41339', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5571', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '41340', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5572', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '41341', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5573', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '41342', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5574', 'N', '2019-05-28 11:33:37', '2019-05-28 11:33:37', '108', '108', '462', '41343', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5575', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41393', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5576', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41388', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5577', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41389', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5578', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41390', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5579', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41391', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5580', 'N', '2019-05-28 11:45:17', '2019-05-28 11:45:17', '108', '108', '41394', '41392', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5581', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41400', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5582', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41395', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5583', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41396', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5584', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41397', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5585', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41398', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5586', 'N', '2019-05-28 13:41:54', '2019-05-28 13:41:54', '108', '108', '41401', '41399', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5587', 'N', '2019-05-28 15:04:55', '2019-05-28 15:04:55', '108', '108', '41386', '41382', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5588', 'N', '2019-05-28 15:04:55', '2019-05-28 15:04:55', '108', '108', '41386', '41410', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5589', 'N', '2019-05-28 15:04:55', '2019-05-28 15:04:55', '108', '108', '41386', '41384', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5590', 'N', '2019-05-28 15:23:54', '2019-05-28 15:23:54', '108', '108', '41293', '41295', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5591', 'N', '2019-05-28 15:23:54', '2019-05-28 15:23:54', '108', '108', '41293', '41296', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5592', 'N', '2019-05-28 15:23:54', '2019-05-28 15:23:54', '108', '108', '41293', '41294', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5593', 'N', '2019-05-28 15:23:54', '2019-05-28 15:23:54', '108', '108', '41293', '41297', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5594', 'N', '2019-05-28 15:23:54', '2019-05-28 15:23:54', '108', '108', '41293', '41413', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5595', 'N', '2019-06-12 15:29:41', '2019-06-12 15:29:41', '108', '108', '466', '29747', '1', '0', '1', '1', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5596', 'N', '2019-06-12 15:29:41', '2019-06-12 15:29:41', '108', '108', '466', '40888', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5597', 'N', '2019-06-12 15:29:41', '2019-06-12 15:29:41', '108', '108', '466', '29748', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5598', 'N', '2019-06-12 15:29:41', '2019-06-12 15:29:41', '108', '108', '466', '29749', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5599', 'N', '2019-06-12 15:29:41', '2019-06-12 15:29:41', '108', '108', '466', '41422', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5600', 'N', '2019-06-14 17:36:42', '2019-06-14 17:36:42', '108', '108', '41427', '41423', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5601', 'N', '2019-06-14 17:36:42', '2019-06-14 17:36:42', '108', '108', '41427', '41425', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5602', 'N', '2019-06-14 17:36:42', '2019-06-14 17:36:42', '108', '108', '41427', '41426', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5603', 'N', '2019-06-14 17:38:47', '2019-06-14 17:38:47', '108', '108', '41429', '41428', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5604', 'Y', '2019-06-14 17:41:08', '2019-06-14 17:50:41', '108', '108', '41431', '41430', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5605', 'N', '2019-06-14 17:50:41', '2019-06-14 17:50:41', '108', '108', '41431', '41430', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5606', 'Y', '2019-06-14 17:59:34', '2019-06-18 11:13:58', '108', '108', '41432', '41425', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5607', 'Y', '2019-06-14 17:59:34', '2019-06-18 11:13:58', '108', '108', '41432', '41423', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5619', 'N', '2019-06-18 16:25:16', '2019-06-18 16:25:16', '108', '108', '41856', '41433', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5620', 'Y', '2019-06-18 16:27:15', '2019-06-21 11:02:21', '108', '108', '41861', '41591', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5621', 'Y', '2019-06-18 16:27:34', '2019-06-21 11:00:51', '108', '108', '41862', '41594', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5622', 'Y', '2019-06-18 16:27:51', '2019-06-21 11:00:31', '108', '108', '41864', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5623', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '41865', '41603', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5624', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '41865', '41744', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5625', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '41865', '41434', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5626', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '41865', '41742', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5627', 'N', '2019-06-18 16:28:42', '2019-06-18 16:28:42', '108', '108', '41865', '41483', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5628', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41603', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5629', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41744', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5630', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41434', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5631', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41742', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5632', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41483', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5633', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41719', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5634', 'N', '2019-06-18 16:29:20', '2019-06-18 16:29:20', '108', '108', '41866', '41717', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5635', 'N', '2019-06-18 16:29:34', '2019-06-18 16:29:34', '108', '108', '41867', '41601', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5636', 'N', '2019-06-18 16:29:54', '2019-06-18 16:29:54', '108', '108', '41868', '41437', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5637', 'N', '2019-06-18 16:29:54', '2019-06-18 16:29:54', '108', '108', '41868', '41435', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5638', 'N', '2019-06-18 16:30:06', '2019-06-18 16:30:06', '108', '108', '41870', '41603', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5639', 'N', '2019-06-18 16:30:31', '2019-06-18 16:30:31', '108', '108', '41873', '41484', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5640', 'N', '2019-06-18 16:30:31', '2019-06-18 16:30:31', '108', '108', '41873', '41717', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5641', 'N', '2019-06-18 16:30:31', '2019-06-18 16:30:31', '108', '108', '41873', '41719', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5642', 'Y', '2019-06-18 16:30:48', '2019-06-21 10:29:15', '108', '108', '41874', '41516', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5643', 'N', '2019-06-18 16:31:06', '2019-06-18 16:31:06', '108', '108', '41876', '41607', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5644', 'N', '2019-06-18 16:31:21', '2019-06-18 16:31:21', '108', '108', '41877', '41518', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5645', 'N', '2019-06-18 16:31:35', '2019-06-18 16:31:35', '108', '108', '41879', '41519', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5646', 'N', '2019-06-18 16:31:53', '2019-06-18 16:31:53', '108', '108', '41881', '41611', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5647', 'N', '2019-06-18 16:32:17', '2019-06-18 16:32:17', '108', '108', '41883', '41485', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5648', 'N', '2019-06-18 16:32:17', '2019-06-18 16:32:17', '108', '108', '41883', '41801', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5649', 'N', '2019-06-18 16:32:17', '2019-06-18 16:32:17', '108', '108', '41883', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5650', 'N', '2019-06-18 16:32:17', '2019-06-18 16:32:17', '108', '108', '41883', '41805', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5651', 'Y', '2019-06-18 16:32:40', '2019-06-21 11:00:05', '108', '108', '41885', '41612', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5652', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41436', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5653', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41438', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5654', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41439', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5655', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41440', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5656', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41441', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5657', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41442', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5658', 'N', '2019-06-18 16:33:40', '2019-06-18 16:33:40', '108', '108', '41889', '41443', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5659', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41444', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5660', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41445', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5661', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41446', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5662', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41447', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5663', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41448', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5664', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41449', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5665', 'N', '2019-06-18 16:34:01', '2019-06-18 16:34:01', '108', '108', '41890', '41450', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5666', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41769', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5667', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41787', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5668', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41816', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5669', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41534', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5670', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41758', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5671', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41716', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5672', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41813', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5673', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41823', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5674', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41783', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5675', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41487', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5676', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41759', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5677', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41542', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5678', 'N', '2019-06-18 16:35:56', '2019-06-18 16:35:56', '108', '108', '41893', '41572', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5679', 'N', '2019-06-18 16:36:34', '2019-06-18 16:36:34', '108', '108', '41895', '41520', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5680', 'N', '2019-06-18 16:36:34', '2019-06-18 16:36:34', '108', '108', '41895', '41521', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5681', 'N', '2019-06-18 16:36:47', '2019-06-18 16:36:47', '108', '108', '41897', '41522', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5682', 'N', '2019-06-18 16:37:00', '2019-06-18 16:37:00', '108', '108', '41898', '41630', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5683', 'N', '2019-06-18 16:37:11', '2019-06-18 16:37:11', '108', '108', '41899', '41631', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5684', 'N', '2019-06-18 16:37:23', '2019-06-18 16:37:23', '108', '108', '41900', '41635', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5685', 'N', '2019-06-18 16:37:34', '2019-06-18 16:37:34', '108', '108', '41901', '41636', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5686', 'N', '2019-06-18 16:37:45', '2019-06-18 16:37:45', '108', '108', '41902', '41637', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5687', 'N', '2019-06-18 16:37:59', '2019-06-18 16:37:59', '108', '108', '41903', '41642', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5688', 'N', '2019-06-18 16:38:09', '2019-06-18 16:38:09', '108', '108', '41904', '41644', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5689', 'N', '2019-06-18 16:38:23', '2019-06-18 16:38:23', '108', '108', '41905', '41645', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5690', 'N', '2019-06-18 16:38:33', '2019-06-18 16:38:33', '108', '108', '41906', '41646', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5691', 'N', '2019-06-18 16:38:44', '2019-06-18 16:38:44', '108', '108', '41907', '41651', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5692', 'N', '2019-06-18 16:38:56', '2019-06-18 16:38:56', '108', '108', '41908', '41652', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5693', 'N', '2019-06-18 16:39:10', '2019-06-18 16:39:10', '108', '108', '41909', '41654', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5694', 'N', '2019-06-18 16:39:39', '2019-06-18 16:39:39', '108', '108', '41910', '41657', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5695', 'N', '2019-06-18 16:40:01', '2019-06-18 16:40:01', '108', '108', '41911', '41658', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5696', 'N', '2019-06-18 16:40:13', '2019-06-18 16:40:13', '108', '108', '41912', '41659', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5697', 'N', '2019-06-18 16:40:24', '2019-06-18 16:40:24', '108', '108', '41913', '41668', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5698', 'N', '2019-06-18 16:40:33', '2019-06-18 16:40:33', '108', '108', '41914', '41669', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5699', 'N', '2019-06-18 16:40:43', '2019-06-18 16:40:43', '108', '108', '41915', '41670', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5700', 'N', '2019-06-18 16:40:53', '2019-06-18 16:40:53', '108', '108', '41916', '41671', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5701', 'N', '2019-06-18 16:41:05', '2019-06-18 16:41:05', '108', '108', '41917', '41672', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5702', 'N', '2019-06-18 16:41:17', '2019-06-18 16:41:17', '108', '108', '41918', '41673', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5703', 'N', '2019-06-18 16:41:38', '2019-06-18 16:41:38', '108', '108', '41919', '41674', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5704', 'N', '2019-06-18 16:41:53', '2019-06-18 16:41:53', '108', '108', '41920', '41675', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5705', 'N', '2019-06-18 16:42:05', '2019-06-18 16:42:05', '108', '108', '41921', '41676', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5706', 'N', '2019-06-18 16:42:20', '2019-06-18 16:42:20', '108', '108', '41922', '41677', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5707', 'N', '2019-06-18 16:42:30', '2019-06-18 16:42:30', '108', '108', '41923', '41679', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5708', 'N', '2019-06-18 16:42:44', '2019-06-18 16:42:44', '108', '108', '41924', '41680', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5709', 'N', '2019-06-18 16:42:55', '2019-06-18 16:42:55', '108', '108', '41925', '41682', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5710', 'N', '2019-06-18 16:43:06', '2019-06-18 16:43:06', '108', '108', '41926', '41685', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5711', 'N', '2019-06-18 16:43:18', '2019-06-18 16:43:18', '108', '108', '41927', '41688', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5712', 'N', '2019-06-18 16:43:30', '2019-06-18 16:43:30', '108', '108', '41928', '41689', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5713', 'N', '2019-06-18 16:43:44', '2019-06-18 16:43:44', '108', '108', '41929', '41696', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5714', 'N', '2019-06-18 16:43:56', '2019-06-18 16:43:56', '108', '108', '41930', '41697', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5715', 'N', '2019-06-18 16:44:07', '2019-06-18 16:44:07', '108', '108', '41931', '41699', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5716', 'N', '2019-06-18 16:44:55', '2019-06-18 16:44:55', '106', '106', '41932', '41513', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5717', 'Y', '2019-06-18 16:45:51', '2019-06-21 10:59:33', '106', '108', '41933', '41515', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5718', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5719', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5720', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41671', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5721', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41674', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5722', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41642', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5723', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41669', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5724', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41649', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5725', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41668', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5726', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41773', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5727', 'N', '2019-06-18 16:45:59', '2019-06-18 16:45:59', '108', '108', '41934', '41761', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5728', 'Y', '2019-06-18 16:46:28', '2019-06-21 10:58:39', '106', '108', '41935', '41514', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5729', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41563', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5730', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41564', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5731', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41544', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5732', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41545', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5733', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41505', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5734', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41507', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5735', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41628', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5736', 'N', '2019-06-18 16:47:49', '2019-06-18 16:47:49', '106', '106', '41936', '41629', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5737', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5738', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5739', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41671', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5740', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41674', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5741', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41642', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5742', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41669', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5743', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41649', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5744', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41668', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5745', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41773', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5746', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41761', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5747', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41739', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5748', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41781', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5749', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41711', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5750', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41704', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5751', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41686', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5752', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41655', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5753', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41770', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5754', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41705', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5755', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41700', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5756', 'N', '2019-06-18 16:48:02', '2019-06-18 16:48:02', '108', '108', '41937', '41701', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5757', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5758', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5759', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41671', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5760', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41674', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5761', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41642', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5762', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41669', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5763', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41649', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5764', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41668', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5765', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41773', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5766', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41761', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5767', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41739', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5768', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41775', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5769', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41778', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5770', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41781', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5771', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41711', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5772', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41701', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5773', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41705', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5774', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41704', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5775', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41686', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5776', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41700', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5777', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41770', '21', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5778', 'N', '2019-06-18 16:50:08', '2019-06-18 16:50:08', '108', '108', '41938', '41655', '22', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5779', 'N', '2019-06-18 16:50:29', '2019-06-18 16:50:29', '108', '108', '41939', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5780', 'N', '2019-06-18 16:50:29', '2019-06-18 16:50:29', '108', '108', '41939', '41737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5781', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5782', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41737', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5783', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41671', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5784', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41674', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5785', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41642', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5786', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41669', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5787', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41649', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5788', 'N', '2019-06-18 16:51:06', '2019-06-18 16:51:06', '108', '108', '41940', '41668', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5789', 'N', '2019-06-18 16:51:19', '2019-06-18 16:51:19', '108', '108', '41941', '41703', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5790', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41671', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5791', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41672', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5792', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41674', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5793', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41642', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5794', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41669', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5795', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41668', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5796', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41773', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5797', 'N', '2019-06-18 16:51:54', '2019-06-18 16:51:54', '108', '108', '41942', '41658', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5798', 'N', '2019-06-18 16:52:07', '2019-06-18 16:52:07', '108', '108', '41943', '41704', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5799', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41673', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5800', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41674', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5801', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41642', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5802', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41669', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5803', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41649', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5804', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41668', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5805', 'N', '2019-06-18 16:52:42', '2019-06-18 16:52:42', '108', '108', '41944', '41704', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5806', 'N', '2019-06-18 16:52:55', '2019-06-18 16:52:55', '108', '108', '41945', '41705', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5807', 'N', '2019-06-18 16:53:09', '2019-06-18 16:53:09', '108', '108', '41946', '41706', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5808', 'N', '2019-06-18 16:53:21', '2019-06-18 16:53:21', '108', '108', '41947', '41707', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5809', 'N', '2019-06-18 16:53:35', '2019-06-18 16:53:35', '108', '108', '41948', '41713', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5810', 'N', '2019-06-18 16:53:53', '2019-06-18 16:53:53', '108', '108', '41949', '41715', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5811', 'N', '2019-06-18 16:55:04', '2019-06-18 16:55:04', '108', '108', '41951', '41717', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5812', 'N', '2019-06-18 16:55:18', '2019-06-18 16:55:18', '108', '108', '41952', '41719', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5813', 'N', '2019-06-18 16:55:28', '2019-06-18 16:55:28', '108', '108', '41953', '41721', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5814', 'N', '2019-06-18 16:55:45', '2019-06-18 16:55:45', '108', '108', '41954', '41527', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5815', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41563', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5816', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41564', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5817', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41544', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5818', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41545', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5819', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41504', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5820', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41950', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5821', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41506', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5822', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41507', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5823', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41628', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5824', 'N', '2019-06-18 16:55:46', '2019-06-18 16:55:46', '106', '106', '41955', '41629', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5825', 'N', '2019-06-18 16:55:58', '2019-06-18 16:55:58', '108', '108', '41956', '41528', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5826', 'N', '2019-06-18 16:56:09', '2019-06-18 16:56:09', '108', '108', '41957', '41529', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5827', 'Y', '2019-06-18 16:56:25', '2019-06-21 10:57:52', '108', '108', '41958', '41727', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5828', 'Y', '2019-06-18 16:56:42', '2019-06-21 10:57:37', '108', '108', '41959', '41532', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5829', 'N', '2019-06-18 16:56:52', '2019-06-18 16:56:52', '108', '108', '41960', '41536', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5830', 'N', '2019-06-18 16:57:04', '2019-06-18 16:57:04', '108', '108', '41961', '41537', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5831', 'N', '2019-06-18 16:57:16', '2019-06-18 16:57:16', '108', '108', '41962', '41538', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5832', 'N', '2019-06-18 16:57:28', '2019-06-18 16:57:28', '108', '108', '41964', '41539', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5833', 'N', '2019-06-18 16:57:40', '2019-06-18 16:57:40', '108', '108', '41965', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5834', 'N', '2019-06-18 16:58:22', '2019-06-18 16:58:22', '108', '108', '41967', '41755', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5840', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41751', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5841', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41750', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5842', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41754', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5843', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41753', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5844', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41752', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5845', 'N', '2019-06-18 16:58:28', '2019-06-18 16:58:28', '106', '106', '41972', '41963', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5846', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '41973', '41750', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5847', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '41973', '41754', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5848', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '41973', '41753', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5849', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '41973', '41963', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5850', 'N', '2019-06-18 16:59:15', '2019-06-18 16:59:15', '106', '106', '41973', '41752', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5851', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41451', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5852', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41452', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5853', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41453', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5854', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41454', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5855', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41455', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5856', 'N', '2019-06-18 17:00:03', '2019-06-18 17:00:03', '108', '108', '41974', '41456', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5857', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '41975', '41784', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5858', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '41975', '41709', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5859', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '41975', '41657', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5860', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '41975', '41529', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5861', 'N', '2019-06-18 17:00:29', '2019-06-18 17:00:29', '108', '108', '41975', '41706', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5862', 'N', '2019-06-18 17:00:44', '2019-06-18 17:00:44', '108', '108', '41976', '41786', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5863', 'N', '2019-06-18 17:00:44', '2019-06-18 17:00:44', '108', '108', '41976', '41788', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5864', 'N', '2019-06-18 17:00:55', '2019-06-18 17:00:55', '108', '108', '41977', '41790', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5865', 'Y', '2019-06-18 17:01:10', '2019-06-21 10:57:16', '108', '108', '41978', '41540', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5866', 'Y', '2019-06-18 17:01:20', '2019-06-21 10:56:59', '108', '108', '41979', '41541', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5867', 'N', '2019-06-18 17:01:30', '2019-06-18 17:01:30', '108', '108', '41980', '41546', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5868', 'Y', '2019-06-18 17:01:51', '2019-06-21 10:56:42', '108', '108', '41981', '41543', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5869', 'Y', '2019-06-18 17:02:33', '2019-06-21 10:56:20', '108', '108', '41982', '41549', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5870', 'N', '2019-06-18 17:02:45', '2019-06-18 17:02:45', '108', '108', '41983', '41552', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5871', 'N', '2019-06-18 17:02:58', '2019-06-18 17:02:58', '108', '108', '41984', '41806', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5872', 'N', '2019-06-18 17:02:58', '2019-06-18 17:02:58', '108', '108', '41984', '41809', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5873', 'N', '2019-06-18 17:03:12', '2019-06-18 17:03:12', '108', '108', '41985', '41811', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5874', 'N', '2019-06-18 17:03:12', '2019-06-18 17:03:12', '108', '108', '41985', '41814', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5875', 'N', '2019-06-18 17:03:28', '2019-06-18 17:03:28', '108', '108', '41986', '41850', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5876', 'N', '2019-06-18 17:03:28', '2019-06-18 17:03:28', '108', '108', '41986', '41851', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5877', 'N', '2019-06-18 17:03:41', '2019-06-18 17:03:41', '108', '108', '41987', '41553', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5878', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '41988', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5879', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '41988', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5880', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '41988', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5881', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '41988', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5882', 'N', '2019-06-18 17:04:11', '2019-06-18 17:04:11', '108', '108', '41988', '41488', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5883', 'N', '2019-06-18 17:04:23', '2019-06-18 17:04:23', '108', '108', '41989', '41853', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5884', 'N', '2019-06-18 17:04:29', '2019-06-18 17:04:29', '106', '106', '41990', '41807', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5885', 'N', '2019-06-18 17:04:29', '2019-06-18 17:04:29', '106', '106', '41990', '41812', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5886', 'N', '2019-06-18 17:04:29', '2019-06-18 17:04:29', '106', '106', '41990', '41801', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5887', 'N', '2019-06-18 17:04:29', '2019-06-18 17:04:29', '106', '106', '41990', '41485', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5888', 'N', '2019-06-18 17:04:34', '2019-06-18 17:04:34', '108', '108', '41991', '41854', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5889', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '41992', '41457', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5890', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '41992', '41458', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5891', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '41992', '41459', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5892', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '41992', '41460', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5893', 'N', '2019-06-18 17:05:05', '2019-06-18 17:05:05', '108', '108', '41992', '41461', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5894', 'Y', '2019-06-18 17:05:19', '2019-06-21 10:56:03', '108', '108', '41993', '41554', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5895', 'N', '2019-06-18 17:05:30', '2019-06-18 17:05:30', '108', '108', '41994', '41559', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5896', 'N', '2019-06-18 17:05:45', '2019-06-18 17:05:45', '108', '108', '41995', '41561', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5897', 'N', '2019-06-18 17:05:56', '2019-06-18 17:05:56', '108', '108', '41996', '41859', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5898', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '41997', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5899', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '41997', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5900', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '41997', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5901', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '41997', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5902', 'N', '2019-06-18 17:06:20', '2019-06-18 17:06:20', '108', '108', '41997', '41710', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5903', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41736', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5904', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41740', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5905', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41530', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5906', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41557', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5907', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41550', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5908', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41722', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5909', 'N', '2019-06-18 17:08:43', '2019-06-18 17:08:43', '106', '106', '41998', '41730', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5910', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5911', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5912', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5913', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5914', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41710', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5915', 'N', '2019-06-18 17:09:24', '2019-06-18 17:09:24', '108', '108', '41999', '41796', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5916', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5917', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5918', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5919', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5920', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41710', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5921', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41796', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5922', 'N', '2019-06-18 17:10:08', '2019-06-18 17:10:08', '108', '108', '42000', '41743', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5923', 'Y', '2019-06-18 17:11:08', '2019-06-21 10:55:43', '108', '108', '42001', '41573', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5924', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41736', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5925', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41740', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5926', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41530', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5927', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41557', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5928', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41550', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5929', 'N', '2019-06-18 17:15:13', '2019-06-18 17:15:13', '106', '106', '42002', '41722', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5930', 'N', '2019-06-18 17:15:51', '2019-06-18 17:15:51', '106', '106', '42003', '41530', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5931', 'N', '2019-06-18 17:15:51', '2019-06-18 17:15:51', '106', '106', '42003', '41557', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5932', 'N', '2019-06-18 17:15:51', '2019-06-18 17:15:51', '106', '106', '42003', '41550', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5933', 'N', '2019-06-18 17:15:51', '2019-06-18 17:15:51', '106', '106', '42003', '41722', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5934', 'N', '2019-06-18 17:16:07', '2019-06-18 17:16:07', '108', '108', '42005', '42004', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5935', 'N', '2019-06-18 17:16:23', '2019-06-18 17:16:23', '108', '108', '42006', '41576', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5936', 'Y', '2019-06-18 17:16:42', '2019-06-21 10:51:11', '108', '108', '42007', '41578', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5937', 'Y', '2019-06-18 17:16:55', '2019-06-18 17:17:06', '108', '108', '42008', '41489', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5938', 'N', '2019-06-18 17:17:06', '2019-06-18 17:17:06', '108', '108', '42008', '41580', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5939', 'N', '2019-06-18 17:17:20', '2019-06-18 17:17:20', '108', '108', '42009', '41581', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5940', 'N', '2019-06-18 17:17:33', '2019-06-18 17:17:33', '108', '108', '42010', '41582', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5941', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5942', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41510', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5943', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41880', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5944', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41489', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5945', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41871', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5946', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41869', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5947', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41763', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5948', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41746', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5949', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41498', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5950', 'N', '2019-06-18 17:18:39', '2019-06-18 17:18:39', '108', '108', '42011', '41789', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5951', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '42012', '41423', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5952', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '42012', '41425', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5953', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '42012', '41826', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5954', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '42012', '41426', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5955', 'N', '2019-06-18 17:19:12', '2019-06-18 17:19:12', '108', '108', '42012', '41782', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5956', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41718', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5957', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41792', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5958', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41891', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5959', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41858', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5960', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41490', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5961', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41494', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5962', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41821', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5963', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41495', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5964', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41463', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5965', 'N', '2019-06-18 17:20:08', '2019-06-18 17:20:08', '108', '108', '42014', '41491', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5966', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41533', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5967', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41604', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5968', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41793', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5969', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41802', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5970', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41855', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5971', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41860', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5972', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41857', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5973', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41714', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5974', 'N', '2019-06-18 17:20:56', '2019-06-18 17:20:56', '108', '108', '42015', '41749', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5975', 'Y', '2019-06-18 17:21:14', '2019-06-21 10:49:47', '108', '108', '42016', '41586', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5976', 'N', '2019-06-18 17:21:28', '2019-06-18 17:21:28', '108', '108', '42017', '41589', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5977', 'N', '2019-06-18 17:21:43', '2019-06-18 17:21:43', '108', '108', '42018', '41595', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5978', 'Y', '2019-06-18 17:22:00', '2019-06-21 10:49:30', '108', '108', '42019', '41598', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5979', 'Y', '2019-06-18 17:22:11', '2019-06-21 10:49:09', '108', '108', '42020', '41597', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5980', 'N', '2019-06-18 17:22:22', '2019-06-18 17:22:22', '108', '108', '42021', '41600', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5981', 'Y', '2019-06-18 17:22:34', '2019-06-21 10:48:47', '108', '108', '42022', '41599', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5982', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41886', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5983', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41887', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5984', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41884', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5985', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41423', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5986', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41587', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5987', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41731', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5988', 'N', '2019-06-18 17:23:15', '2019-06-18 17:23:15', '108', '108', '42023', '41464', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5989', 'N', '2019-06-18 17:23:35', '2019-06-18 17:23:35', '108', '108', '42024', '41602', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5990', 'Y', '2019-06-18 17:24:01', '2019-06-18 17:25:41', '108', '108', '42025', '41577', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5991', 'N', '2019-06-18 17:25:41', '2019-06-18 17:25:41', '108', '108', '42025', '41605', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5992', 'N', '2019-06-18 17:26:17', '2019-06-18 17:26:17', '108', '108', '42026', '41608', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5993', 'N', '2019-06-18 17:26:30', '2019-06-18 17:26:30', '108', '108', '42027', '41609', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5994', 'N', '2019-06-18 17:26:40', '2019-06-18 17:26:40', '108', '108', '42028', '41610', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5995', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41882', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5996', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41494', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5997', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41891', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5998', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41872', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('5999', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41821', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6000', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41465', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6001', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '42029', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6002', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41466', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6003', 'N', '2019-06-18 17:27:50', '2019-06-18 17:27:50', '108', '108', '42030', '41467', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6004', 'N', '2019-06-18 17:28:02', '2019-06-18 17:28:02', '108', '108', '42031', '41614', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6005', 'N', '2019-06-18 17:28:16', '2019-06-18 17:28:16', '108', '108', '42032', '41618', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6006', 'N', '2019-06-18 17:28:29', '2019-06-18 17:28:29', '108', '108', '42033', '41619', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6007', 'N', '2019-06-18 17:30:04', '2019-06-18 17:30:04', '108', '108', '42035', '41625', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6008', 'N', '2019-06-18 17:30:04', '2019-06-18 17:30:04', '108', '108', '42035', '42034', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6009', 'N', '2019-06-18 17:30:20', '2019-06-18 17:30:20', '108', '108', '42036', '41620', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6010', 'Y', '2019-06-18 17:30:41', '2019-06-21 10:47:41', '108', '108', '42037', '41626', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6011', 'N', '2019-06-18 17:32:22', '2019-06-18 17:32:22', '108', '108', '42039', '41627', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6012', 'Y', '2019-06-18 17:32:49', '2019-06-21 10:47:16', '108', '108', '42040', '41634', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6013', 'Y', '2019-06-18 17:33:05', '2019-06-21 10:44:46', '108', '108', '42041', '41633', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6014', 'N', '2019-06-18 17:33:25', '2019-06-18 17:33:25', '108', '108', '42042', '41632', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6015', 'N', '2019-06-18 17:33:37', '2019-06-18 17:33:37', '108', '108', '42043', '41638', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6016', 'Y', '2019-06-18 17:33:56', '2019-06-21 10:44:27', '108', '108', '42044', '41639', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6017', 'N', '2019-06-18 17:34:18', '2019-06-18 17:34:18', '108', '108', '42045', '41511', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6018', 'N', '2019-06-18 17:34:18', '2019-06-18 17:34:18', '108', '108', '42045', '41869', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6019', 'N', '2019-06-18 17:34:18', '2019-06-18 17:34:18', '108', '108', '42045', '41863', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6020', 'Y', '2019-06-18 17:34:31', '2019-06-21 10:44:12', '108', '108', '42046', '41640', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6021', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41720', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6022', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '42013', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6023', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41728', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6024', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41606', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6025', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41718', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6026', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41496', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6027', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41832', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6028', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41481', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6029', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41566', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6030', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41482', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6031', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '42038', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6032', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41565', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6033', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41607', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6034', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41827', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6035', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41583', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6036', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41492', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6037', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41779', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6038', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41548', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6039', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41531', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6040', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41499', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6041', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41837', '21', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6042', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41878', '22', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6043', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41577', '23', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6044', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41875', '24', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6045', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41604', '25', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6046', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41860', '26', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6047', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41855', '27', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6048', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41547', '28', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6049', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41857', '29', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6050', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41802', '30', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6051', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41550', '31', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6052', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41722', '32', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6053', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41557', '33', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6054', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41530', '34', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6055', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41740', '35', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6056', 'N', '2019-06-18 17:34:36', '2019-06-18 17:34:36', '106', '106', '42047', '41736', '36', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6057', 'N', '2019-06-18 17:34:46', '2019-06-18 17:34:46', '108', '108', '42048', '41641', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6058', 'N', '2019-06-18 17:34:57', '2019-06-18 17:34:57', '108', '108', '42049', '41643', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6059', 'N', '2019-06-18 17:35:09', '2019-06-18 17:35:09', '108', '108', '42050', '41647', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6060', 'N', '2019-06-18 17:35:20', '2019-06-18 17:35:20', '108', '108', '42051', '41648', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6061', 'N', '2019-06-18 17:35:44', '2019-06-18 17:35:44', '108', '108', '42052', '41882', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6062', 'N', '2019-06-18 17:35:44', '2019-06-18 17:35:44', '108', '108', '42052', '41494', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6063', 'N', '2019-06-18 17:35:44', '2019-06-18 17:35:44', '108', '108', '42052', '41872', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6064', 'N', '2019-06-18 17:35:44', '2019-06-18 17:35:44', '108', '108', '42052', '41821', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6065', 'Y', '2019-06-18 17:35:57', '2019-06-21 10:43:52', '108', '108', '42053', '41650', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6066', 'N', '2019-06-18 17:36:08', '2019-06-18 17:36:08', '108', '108', '42054', '41653', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6067', 'Y', '2019-06-18 17:36:21', '2019-06-21 10:43:36', '108', '108', '42055', '41888', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6068', 'N', '2019-06-18 17:37:03', '2019-06-18 17:37:03', '108', '108', '42056', '41894', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6069', 'N', '2019-06-18 17:37:03', '2019-06-18 17:37:03', '108', '108', '42056', '41575', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6070', 'N', '2019-06-18 17:37:03', '2019-06-18 17:37:03', '108', '108', '42056', '41892', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6071', 'N', '2019-06-18 17:37:03', '2019-06-18 17:37:03', '108', '108', '42056', '41780', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6072', 'N', '2019-06-18 17:37:18', '2019-06-18 17:37:18', '108', '108', '42057', '41896', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6073', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41846', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6074', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41845', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6075', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41843', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6076', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41842', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6077', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41849', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6078', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41848', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6079', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41847', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6080', 'N', '2019-06-18 17:38:16', '2019-06-18 17:38:16', '108', '108', '42058', '41844', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6081', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '42059', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6082', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '42059', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6083', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '42059', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6084', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '42059', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6085', 'N', '2019-06-18 17:38:46', '2019-06-18 17:38:46', '108', '108', '42059', '41808', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6086', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6087', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6088', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6089', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6090', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41808', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6091', 'N', '2019-06-18 17:39:26', '2019-06-18 17:39:26', '108', '108', '42060', '41796', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6092', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41720', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6093', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '42013', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6094', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41728', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6095', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41606', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6096', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41718', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6097', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41496', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6098', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41832', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6099', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41481', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6100', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41566', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6101', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '42038', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6102', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41482', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6103', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41565', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6104', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41607', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6105', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41827', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6106', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41583', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6107', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41492', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6108', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41548', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6109', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41531', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6110', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41837', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6111', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41878', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6112', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41577', '21', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6113', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41875', '22', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6114', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41604', '23', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6115', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41860', '24', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6116', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41855', '25', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6117', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41550', '26', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6118', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41722', '27', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6119', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41557', '28', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6120', 'N', '2019-06-18 17:39:28', '2019-06-18 17:39:28', '106', '106', '42061', '41530', '29', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6121', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6122', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6123', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41807', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6124', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41812', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6125', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41808', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6126', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41796', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6127', 'N', '2019-06-18 17:40:07', '2019-06-18 17:40:07', '108', '108', '42062', '41488', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6128', 'N', '2019-06-18 17:40:33', '2019-06-18 17:40:33', '108', '108', '42063', '41756', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6129', 'N', '2019-06-18 17:40:33', '2019-06-18 17:40:33', '108', '108', '42063', '41791', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6130', 'N', '2019-06-18 17:40:33', '2019-06-18 17:40:33', '108', '108', '42063', '41723', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6131', 'N', '2019-06-18 17:40:33', '2019-06-18 17:40:33', '108', '108', '42063', '41796', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6132', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '42013', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6133', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41728', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6134', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41606', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6135', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41718', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6136', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41496', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6137', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41832', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6138', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41481', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6139', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41566', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6140', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41837', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6141', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41878', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6142', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41577', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6143', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41875', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6144', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41604', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6145', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41860', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6146', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41855', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6147', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41550', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6148', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41722', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6149', 'N', '2019-06-18 17:42:14', '2019-06-18 17:42:14', '106', '106', '42066', '41557', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6150', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '42064', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6151', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '42065', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6152', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '42067', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6153', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '41852', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6154', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '41835', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6155', 'N', '2019-06-18 17:42:50', '2019-06-18 17:42:50', '108', '108', '42068', '41734', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6156', 'N', '2019-06-18 17:43:08', '2019-06-18 17:43:08', '108', '108', '42069', '41743', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6157', 'N', '2019-06-18 17:43:08', '2019-06-18 17:43:08', '108', '108', '42069', '41710', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6158', 'N', '2019-06-18 17:43:20', '2019-06-18 17:43:20', '108', '108', '42070', '41660', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6159', 'N', '2019-06-18 17:43:33', '2019-06-18 17:43:33', '108', '108', '42071', '41661', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6160', 'N', '2019-06-18 17:43:47', '2019-06-18 17:43:47', '108', '108', '42072', '41827', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6161', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '42073', '41468', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6162', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '42073', '41469', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6163', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '42073', '41470', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6164', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '42073', '41471', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6165', 'N', '2019-06-18 17:44:03', '2019-06-18 17:44:03', '108', '108', '42073', '41472', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6166', 'N', '2019-06-18 17:44:39', '2019-06-18 17:44:39', '108', '108', '42074', '41485', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6167', 'N', '2019-06-18 17:44:39', '2019-06-18 17:44:39', '108', '108', '42074', '41808', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6168', 'N', '2019-06-18 17:44:39', '2019-06-18 17:44:39', '108', '108', '42074', '41796', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6169', 'N', '2019-06-18 17:44:39', '2019-06-18 17:44:39', '108', '108', '42074', '41488', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6170', 'N', '2019-06-18 17:44:50', '2019-06-18 17:44:50', '108', '108', '42075', '41434', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6171', 'N', '2019-06-18 17:45:15', '2019-06-18 17:45:15', '108', '108', '42076', '41473', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6172', 'N', '2019-06-18 17:45:15', '2019-06-18 17:45:15', '108', '108', '42076', '41474', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6173', 'N', '2019-06-18 17:45:15', '2019-06-18 17:45:15', '108', '108', '42076', '41475', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6174', 'N', '2019-06-18 17:45:15', '2019-06-18 17:45:15', '108', '108', '42076', '41476', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6175', 'N', '2019-06-18 17:45:33', '2019-06-18 17:45:33', '108', '108', '42077', '41878', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6176', 'N', '2019-06-18 17:45:33', '2019-06-18 17:45:33', '108', '108', '42077', '41577', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6177', 'N', '2019-06-18 17:45:33', '2019-06-18 17:45:33', '108', '108', '42077', '41875', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6178', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41830', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6179', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41829', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6180', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41825', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6181', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41824', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6182', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41772', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6183', 'N', '2019-06-18 17:46:06', '2019-06-18 17:46:06', '108', '108', '42078', '41771', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6184', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41517', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6185', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41524', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6186', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41525', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6187', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41526', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6188', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41729', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6189', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41732', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6190', 'N', '2019-06-18 17:46:39', '2019-06-18 17:46:39', '108', '108', '42079', '41735', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6191', 'N', '2019-06-18 17:46:52', '2019-06-18 17:46:52', '108', '108', '42080', '41663', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6192', 'N', '2019-06-18 17:47:15', '2019-06-18 17:47:15', '108', '108', '42081', '41752', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6193', 'N', '2019-06-18 17:47:15', '2019-06-18 17:47:15', '108', '108', '42081', '41500', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6194', 'N', '2019-06-18 17:47:15', '2019-06-18 17:47:15', '108', '108', '42081', '41828', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6195', 'N', '2019-06-18 17:47:15', '2019-06-18 17:47:15', '108', '108', '42081', '41591', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6196', 'N', '2019-06-18 17:47:54', '2019-06-18 17:47:54', '108', '108', '42082', '41752', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6197', 'N', '2019-06-18 17:47:54', '2019-06-18 17:47:54', '108', '108', '42082', '41500', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6198', 'N', '2019-06-18 17:47:54', '2019-06-18 17:47:54', '108', '108', '42082', '41828', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6199', 'N', '2019-06-18 17:47:54', '2019-06-18 17:47:54', '108', '108', '42082', '41591', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6200', 'N', '2019-06-18 17:48:07', '2019-06-18 17:48:07', '108', '108', '42083', '41664', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6201', 'N', '2019-06-18 17:48:18', '2019-06-18 17:48:18', '108', '108', '42084', '41665', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6202', 'N', '2019-06-18 17:48:30', '2019-06-18 17:48:30', '108', '108', '42085', '41666', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6203', 'Y', '2019-06-18 17:48:55', '2019-06-21 10:34:08', '108', '108', '42086', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6204', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41762', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6205', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41774', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6206', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41815', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6207', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41834', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6208', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41613', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6209', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41512', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6210', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41560', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6211', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41738', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6212', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41747', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6213', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '42067', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6214', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41785', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6215', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41588', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6216', 'N', '2019-06-18 17:49:59', '2019-06-18 17:49:59', '108', '108', '42088', '41836', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6217', 'Y', '2019-06-18 17:50:50', '2019-06-21 10:43:15', '106', '108', '42089', '42087', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6218', 'N', '2019-06-18 17:50:59', '2019-06-18 17:50:59', '108', '108', '42090', '41678', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6219', 'N', '2019-06-18 17:51:18', '2019-06-18 17:51:18', '108', '108', '42091', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6220', 'N', '2019-06-18 17:51:18', '2019-06-18 17:51:18', '108', '108', '42091', '41488', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6221', 'N', '2019-06-18 17:51:36', '2019-06-18 17:51:36', '108', '108', '42092', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6222', 'N', '2019-06-18 17:51:36', '2019-06-18 17:51:36', '108', '108', '42092', '41488', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6223', 'N', '2019-06-18 17:51:36', '2019-06-18 17:51:36', '108', '108', '42092', '41535', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6224', 'N', '2019-06-18 17:51:48', '2019-06-18 17:51:48', '108', '108', '42093', '41812', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6225', 'N', '2019-06-18 17:52:02', '2019-06-18 17:52:02', '108', '108', '42094', '41810', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6226', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41533', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6227', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41604', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6228', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41793', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6229', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41802', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6230', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41855', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6231', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41857', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6232', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41860', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6233', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41712', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6234', 'N', '2019-06-18 17:52:09', '2019-06-18 17:52:09', '106', '106', '42095', '41748', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6235', 'N', '2019-06-18 17:52:14', '2019-06-18 17:52:14', '108', '108', '42096', '41808', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6236', 'N', '2019-06-18 17:52:25', '2019-06-18 17:52:25', '108', '108', '42097', '41807', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6237', 'N', '2019-06-18 17:52:41', '2019-06-18 17:52:41', '108', '108', '42098', '41805', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6238', 'N', '2019-06-18 17:52:52', '2019-06-18 17:52:52', '108', '108', '42099', '41804', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6239', 'N', '2019-06-18 17:53:02', '2019-06-18 17:53:02', '108', '108', '42100', '41803', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6240', 'N', '2019-06-18 17:53:12', '2019-06-18 17:53:12', '108', '108', '42101', '41801', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6241', 'N', '2019-06-18 17:53:22', '2019-06-18 17:53:22', '108', '108', '42102', '41800', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6242', 'N', '2019-06-18 17:53:33', '2019-06-18 17:53:33', '108', '108', '42103', '41799', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6243', 'N', '2019-06-18 17:53:48', '2019-06-18 17:53:48', '108', '108', '42104', '41702', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6244', 'N', '2019-06-18 17:53:48', '2019-06-18 17:53:48', '108', '108', '42104', '41767', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6245', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41604', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6246', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41860', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6247', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41855', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6248', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41547', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6249', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41857', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6250', 'N', '2019-06-18 17:54:03', '2019-06-18 17:54:03', '106', '106', '42105', '41802', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6251', 'N', '2019-06-18 17:54:08', '2019-06-18 17:54:08', '108', '108', '42106', '41702', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6252', 'N', '2019-06-18 17:54:08', '2019-06-18 17:54:08', '108', '108', '42106', '41767', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6253', 'N', '2019-06-18 17:54:08', '2019-06-18 17:54:08', '108', '108', '42106', '41764', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6254', 'N', '2019-06-18 17:54:29', '2019-06-18 17:54:29', '108', '108', '42107', '41702', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6255', 'N', '2019-06-18 17:54:29', '2019-06-18 17:54:29', '108', '108', '42107', '41724', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6256', 'N', '2019-06-18 17:54:29', '2019-06-18 17:54:29', '108', '108', '42107', '41767', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6257', 'N', '2019-06-18 17:54:29', '2019-06-18 17:54:29', '108', '108', '42107', '41764', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6258', 'N', '2019-06-18 17:54:37', '2019-06-18 17:54:37', '106', '106', '42108', '41604', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6259', 'N', '2019-06-18 17:54:37', '2019-06-18 17:54:37', '106', '106', '42108', '41860', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6260', 'N', '2019-06-18 17:54:37', '2019-06-18 17:54:37', '106', '106', '42108', '41855', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6261', 'N', '2019-06-18 17:54:37', '2019-06-18 17:54:37', '106', '106', '42108', '41547', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6262', 'N', '2019-06-18 17:55:01', '2019-06-18 17:55:01', '108', '108', '42109', '41733', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6263', 'N', '2019-06-18 17:55:01', '2019-06-18 17:55:01', '108', '108', '42109', '41822', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6264', 'N', '2019-06-18 17:55:01', '2019-06-18 17:55:01', '108', '108', '42109', '41555', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6265', 'N', '2019-06-18 17:55:03', '2019-06-18 17:55:03', '106', '106', '42110', '41604', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6266', 'N', '2019-06-18 17:55:03', '2019-06-18 17:55:03', '106', '106', '42110', '41860', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6267', 'N', '2019-06-18 17:55:03', '2019-06-18 17:55:03', '106', '106', '42110', '41855', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6268', 'Y', '2019-06-18 17:55:22', '2019-06-21 10:42:54', '108', '108', '42111', '41681', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6269', 'N', '2019-06-18 17:55:53', '2019-06-18 17:55:53', '108', '108', '42112', '41683', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6270', 'N', '2019-06-18 17:56:16', '2019-06-18 17:56:16', '108', '108', '42113', '41684', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6271', 'N', '2019-06-18 17:57:06', '2019-06-18 17:57:06', '108', '108', '42115', '42114', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6272', 'Y', '2019-06-18 17:57:20', '2019-06-21 10:42:37', '108', '108', '42116', '41687', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6273', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '42122', '42117', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6274', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '42122', '42118', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6275', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '42122', '42119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6276', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '42122', '42120', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6277', 'N', '2019-06-18 18:00:32', '2019-06-18 18:00:32', '108', '108', '42122', '42121', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6278', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42117', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6279', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42118', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6280', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42119', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6281', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42120', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6282', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42121', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6283', 'N', '2019-06-18 18:01:36', '2019-06-18 18:01:36', '108', '108', '42124', '42123', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6284', 'N', '2019-06-18 18:02:00', '2019-06-18 18:02:00', '108', '108', '42125', '41485', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6285', 'N', '2019-06-18 18:02:00', '2019-06-18 18:02:00', '108', '108', '42125', '41807', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6286', 'N', '2019-06-18 18:02:00', '2019-06-18 18:02:00', '108', '108', '42125', '41805', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6287', 'N', '2019-06-18 18:02:00', '2019-06-18 18:02:00', '108', '108', '42125', '41799', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6288', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '42126', '41556', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6289', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '42126', '41585', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6290', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '42126', '41708', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6291', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '42126', '41477', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6292', 'N', '2019-06-18 18:02:28', '2019-06-18 18:02:28', '108', '108', '42126', '41478', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6293', 'N', '2019-06-18 18:02:45', '2019-06-18 18:02:45', '108', '108', '42127', '41690', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6294', 'N', '2019-06-18 18:02:45', '2019-06-18 18:02:45', '108', '108', '42127', '41691', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6295', 'N', '2019-06-18 18:02:45', '2019-06-18 18:02:45', '108', '108', '42127', '41692', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6296', 'N', '2019-06-18 18:02:45', '2019-06-18 18:02:45', '108', '108', '42127', '41693', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6297', 'N', '2019-06-18 18:02:59', '2019-06-18 18:02:59', '108', '108', '42128', '41694', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6298', 'N', '2019-06-18 18:03:11', '2019-06-18 18:03:11', '108', '108', '42129', '41695', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6299', 'N', '2019-06-18 18:03:21', '2019-06-18 18:03:21', '108', '108', '42130', '41698', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6300', 'N', '2019-06-18 18:03:37', '2019-06-18 18:03:37', '108', '108', '42131', '41739', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6301', 'N', '2019-06-18 18:03:37', '2019-06-18 18:03:37', '108', '108', '42131', '41741', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6302', 'N', '2019-06-18 18:03:37', '2019-06-18 18:03:37', '108', '108', '42131', '41745', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6303', 'N', '2019-06-18 18:04:00', '2019-06-18 18:04:00', '108', '108', '42132', '41757', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6304', 'N', '2019-06-18 18:04:00', '2019-06-18 18:04:00', '108', '108', '42132', '41760', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6305', 'N', '2019-06-18 18:04:27', '2019-06-18 18:04:27', '108', '108', '42133', '41433', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6306', 'N', '2019-06-18 18:04:27', '2019-06-18 18:04:27', '108', '108', '42133', '41584', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6307', 'N', '2019-06-18 18:04:27', '2019-06-18 18:04:27', '108', '108', '42133', '41579', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6308', 'N', '2019-06-18 18:04:27', '2019-06-18 18:04:27', '108', '108', '42133', '41777', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6309', 'N', '2019-06-18 18:04:56', '2019-06-18 18:04:56', '108', '108', '42134', '41583', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6310', 'N', '2019-06-18 18:04:56', '2019-06-18 18:04:56', '108', '108', '42134', '42038', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6311', 'N', '2019-06-18 18:04:56', '2019-06-18 18:04:56', '108', '108', '42134', '41827', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6312', 'N', '2019-06-18 18:04:56', '2019-06-18 18:04:56', '108', '108', '42134', '41584', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6313', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '42135', '41583', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6314', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '42135', '41584', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6315', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '42135', '42038', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6316', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '42135', '41827', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6317', 'N', '2019-06-18 18:05:23', '2019-06-18 18:05:23', '108', '108', '42135', '41493', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6318', 'N', '2019-06-18 18:05:38', '2019-06-18 18:05:38', '108', '108', '42136', '41660', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6319', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41501', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6320', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41502', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6321', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41558', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6322', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41853', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6323', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41562', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6324', 'Y', '2019-06-18 18:06:13', '2019-06-18 18:06:28', '108', '108', '42137', '41513', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6325', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41501', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6326', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41502', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6327', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41558', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6328', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41853', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6329', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41562', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6330', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41513', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6331', 'N', '2019-06-18 18:06:28', '2019-06-18 18:06:28', '108', '108', '42137', '41479', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6332', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41497', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6333', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41569', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6334', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41769', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6335', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41571', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6336', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41841', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6337', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41840', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6338', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41839', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6339', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41768', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6340', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41795', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6341', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41508', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6342', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41726', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6343', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41818', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6344', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41820', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6345', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41798', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6346', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41509', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6347', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41725', '16', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6348', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41817', '17', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6349', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41819', '18', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6350', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41570', '19', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6351', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41568', '20', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6352', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41766', '21', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6353', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41503', '22', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6354', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41838', '23', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6355', 'N', '2019-06-18 18:06:32', '2019-06-18 18:06:32', '106', '106', '42138', '41765', '24', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6356', 'N', '2019-06-18 18:06:52', '2019-06-18 18:06:52', '108', '108', '42139', '41558', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6357', 'N', '2019-06-18 18:06:52', '2019-06-18 18:06:52', '108', '108', '42139', '41664', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6358', 'N', '2019-06-18 18:06:52', '2019-06-18 18:06:52', '108', '108', '42139', '41831', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6359', 'N', '2019-06-18 18:06:52', '2019-06-18 18:06:52', '108', '108', '42139', '41553', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6360', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41496', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6361', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41718', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6362', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41832', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6363', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '42140', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6364', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '42013', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6365', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41728', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6366', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41606', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6367', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41566', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6368', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '42038', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6369', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41482', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6370', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41565', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6371', 'N', '2019-06-19 09:34:24', '2019-06-19 09:34:24', '108', '108', '42141', '41607', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6372', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41496', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6373', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41718', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6374', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41832', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6375', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '42140', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6376', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '42013', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6377', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41728', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6378', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41606', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6379', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41566', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6380', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '42038', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6381', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41482', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6382', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41565', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6383', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41607', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6384', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41720', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6385', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '42142', '14', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6386', 'N', '2019-06-19 09:36:08', '2019-06-19 09:36:08', '108', '108', '42143', '41492', '15', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6387', 'N', '2019-06-19 09:39:43', '2019-06-19 09:39:43', '108', '108', '42146', '42144', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6388', 'N', '2019-06-19 09:39:43', '2019-06-19 09:39:43', '108', '108', '42146', '42145', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6389', 'N', '2019-06-19 09:39:43', '2019-06-19 09:39:43', '108', '108', '42146', '41784', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6390', 'N', '2019-06-19 09:41:35', '2019-06-19 09:41:35', '108', '108', '42148', '42144', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6391', 'N', '2019-06-19 09:41:35', '2019-06-19 09:41:35', '108', '108', '42148', '42145', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6392', 'N', '2019-06-19 09:41:35', '2019-06-19 09:41:35', '108', '108', '42148', '41784', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6393', 'N', '2019-06-19 09:41:35', '2019-06-19 09:41:35', '108', '108', '42148', '42147', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6394', 'N', '2019-06-19 09:45:04', '2019-06-19 09:45:04', '108', '108', '42151', '42150', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6395', 'N', '2019-06-19 09:45:04', '2019-06-19 09:45:04', '108', '108', '42151', '42149', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6396', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '42153', '41485', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6397', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '42153', '41552', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6398', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '42153', '41812', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6399', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '42153', '41695', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6400', 'N', '2019-06-19 10:11:50', '2019-06-19 10:11:50', '108', '108', '42153', '42152', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6401', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '42159', '42154', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6402', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '42159', '42155', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6403', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '42159', '42156', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6404', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '42159', '42157', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6405', 'N', '2019-06-19 10:14:53', '2019-06-19 10:14:53', '108', '108', '42159', '42158', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6406', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41769', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6407', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41787', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6408', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41816', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6409', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41534', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6410', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41758', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6411', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41716', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6412', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41813', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6413', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41823', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6414', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41783', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6415', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41487', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6416', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41759', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6417', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41542', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6418', 'N', '2019-06-19 10:17:03', '2019-06-19 10:17:03', '108', '108', '42160', '41572', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6419', 'N', '2019-06-19 10:18:30', '2019-06-19 10:18:30', '108', '108', '42161', '41501', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6420', 'N', '2019-06-19 10:19:25', '2019-06-19 10:19:25', '108', '108', '42163', '42162', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6421', 'N', '2019-06-19 10:23:16', '2019-06-19 10:23:16', '108', '108', '42166', '42165', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6422', 'N', '2019-06-19 10:24:15', '2019-06-19 10:24:15', '108', '108', '42168', '42167', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6423', 'N', '2019-06-19 10:25:00', '2019-06-19 10:25:00', '108', '108', '42170', '42169', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6424', 'N', '2019-06-19 10:26:02', '2019-06-19 10:26:02', '108', '108', '42171', '41499', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6425', 'N', '2019-06-19 10:28:22', '2019-06-19 10:28:22', '108', '108', '42173', '42172', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6426', 'N', '2019-06-19 10:29:51', '2019-06-19 10:29:51', '108', '108', '42177', '42174', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6427', 'N', '2019-06-19 10:29:51', '2019-06-19 10:29:51', '108', '108', '42177', '42175', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6428', 'N', '2019-06-19 10:29:51', '2019-06-19 10:29:51', '108', '108', '42177', '41761', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6429', 'N', '2019-06-19 10:29:51', '2019-06-19 10:29:51', '108', '108', '42177', '42176', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6430', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42174', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6431', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42175', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6432', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '41761', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6433', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42176', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6434', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42178', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6435', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42179', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6436', 'N', '2019-06-19 10:38:04', '2019-06-19 10:38:04', '108', '108', '42181', '42180', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6437', 'N', '2019-06-19 10:38:42', '2019-06-19 10:38:42', '108', '108', '42182', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6438', 'N', '2019-06-19 10:39:01', '2019-06-19 10:39:01', '108', '108', '42183', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6439', 'N', '2019-06-19 10:39:15', '2019-06-19 10:39:15', '108', '108', '42184', '41755', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6440', 'N', '2019-06-19 10:40:11', '2019-06-19 10:40:11', '108', '108', '42186', '42185', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6441', 'N', '2019-06-19 10:47:51', '2019-06-19 10:47:51', '108', '108', '42188', '42187', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6442', 'N', '2019-06-19 10:48:37', '2019-06-19 10:48:37', '108', '108', '42190', '42189', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6443', 'N', '2019-06-19 10:49:22', '2019-06-19 10:49:22', '108', '108', '42192', '42191', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6444', 'N', '2019-06-19 10:50:07', '2019-06-19 10:50:07', '108', '108', '42194', '42193', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6445', 'N', '2019-06-19 10:53:40', '2019-06-19 10:53:40', '108', '108', '42196', '42195', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6446', 'N', '2019-06-19 10:55:04', '2019-06-19 10:55:04', '108', '108', '42198', '42197', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6447', 'N', '2019-06-19 10:55:39', '2019-06-19 10:55:39', '108', '108', '42200', '42199', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6448', 'Y', '2019-06-19 11:11:48', '2019-06-21 10:42:20', '108', '108', '42202', '42201', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6449', 'N', '2019-06-19 11:22:52', '2019-06-19 11:22:52', '108', '108', '42204', '42203', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6450', 'N', '2019-06-19 11:23:21', '2019-06-19 11:23:21', '108', '108', '42206', '42205', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6451', 'N', '2019-06-19 11:23:49', '2019-06-19 11:23:49', '108', '108', '42208', '42207', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6452', 'N', '2019-06-19 11:24:13', '2019-06-19 11:24:13', '108', '108', '42210', '42209', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6453', 'N', '2019-06-19 11:24:39', '2019-06-19 11:24:39', '108', '108', '42212', '42211', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6454', 'N', '2019-06-19 11:26:05', '2019-06-19 11:26:05', '108', '108', '42214', '42213', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6455', 'N', '2019-06-19 11:26:30', '2019-06-19 11:26:30', '108', '108', '42216', '42215', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6456', 'N', '2019-06-19 11:27:01', '2019-06-19 11:27:01', '108', '108', '42218', '42217', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6457', 'N', '2019-06-19 11:29:41', '2019-06-19 11:29:41', '108', '108', '42221', '42219', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6458', 'N', '2019-06-19 11:29:41', '2019-06-19 11:29:41', '108', '108', '42221', '41458', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6459', 'N', '2019-06-19 11:29:41', '2019-06-19 11:29:41', '108', '108', '42221', '41459', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6460', 'N', '2019-06-19 11:29:41', '2019-06-19 11:29:41', '108', '108', '42221', '42220', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6461', 'N', '2019-06-19 11:36:33', '2019-06-19 11:36:33', '108', '108', '42223', '42222', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6462', 'N', '2019-06-19 11:37:35', '2019-06-19 11:37:35', '108', '108', '42225', '42224', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6463', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '42219', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6464', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '41458', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6465', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '41459', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6466', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '42220', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6467', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '41460', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6468', 'N', '2019-06-19 11:41:57', '2019-06-19 11:41:57', '108', '108', '42226', '41461', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6469', 'N', '2019-06-19 13:00:16', '2019-06-19 13:00:16', '108', '108', '42228', '42227', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6470', 'N', '2019-06-19 13:02:07', '2019-06-19 13:02:07', '108', '108', '42230', '42229', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6471', 'N', '2019-06-19 13:06:50', '2019-06-19 13:06:50', '108', '108', '42232', '42231', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6472', 'N', '2019-06-19 13:09:06', '2019-06-19 13:09:06', '108', '108', '42234', '42233', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6473', 'N', '2019-06-19 13:11:08', '2019-06-19 13:11:08', '108', '108', '42236', '42235', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6474', 'N', '2019-06-19 13:11:47', '2019-06-19 13:11:47', '108', '108', '42238', '42237', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6475', 'N', '2019-06-19 13:15:23', '2019-06-19 13:15:23', '108', '108', '42240', '42239', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6476', 'N', '2019-06-19 13:16:14', '2019-06-19 13:16:14', '108', '108', '42242', '42241', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6477', 'N', '2019-06-19 13:16:56', '2019-06-19 13:16:56', '108', '108', '42244', '42243', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6478', 'N', '2019-06-19 13:17:38', '2019-06-19 13:17:38', '108', '108', '42246', '42245', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6479', 'N', '2019-06-19 13:18:00', '2019-06-19 13:18:00', '108', '108', '42248', '42247', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6480', 'N', '2019-06-19 13:18:51', '2019-06-19 13:18:51', '108', '108', '42250', '42249', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6481', 'N', '2019-06-19 13:22:05', '2019-06-19 13:22:05', '108', '108', '42251', '42144', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6482', 'N', '2019-06-19 13:22:49', '2019-06-19 13:22:49', '108', '108', '42252', '42219', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6483', 'N', '2019-06-19 13:22:49', '2019-06-19 13:22:49', '108', '108', '42252', '41458', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6484', 'N', '2019-06-19 13:22:49', '2019-06-19 13:22:49', '108', '108', '42252', '41459', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6485', 'N', '2019-06-19 13:22:49', '2019-06-19 13:22:49', '108', '108', '42252', '42220', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6486', 'N', '2019-06-19 13:30:00', '2019-06-19 13:30:00', '108', '108', '42253', '41473', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6487', 'N', '2019-06-19 13:30:00', '2019-06-19 13:30:00', '108', '108', '42253', '41474', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6488', 'N', '2019-06-19 13:30:46', '2019-06-19 13:30:46', '108', '108', '42255', '42254', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6489', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41642', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6490', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41649', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6491', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41668', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6492', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41669', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6493', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41673', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6494', 'N', '2019-06-19 13:31:50', '2019-06-19 13:31:50', '108', '108', '42256', '41674', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6495', 'Y', '2019-06-19 13:40:25', '2019-06-21 10:42:02', '108', '108', '42258', '42257', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6496', 'Y', '2019-06-19 13:41:02', '2019-06-21 10:41:42', '108', '108', '42260', '42259', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6497', 'N', '2019-06-19 13:46:00', '2019-06-19 13:46:00', '108', '108', '42262', '42261', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6498', 'Y', '2019-06-19 13:47:34', '2019-06-21 10:41:22', '108', '108', '42264', '42263', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6499', 'N', '2019-06-19 13:59:03', '2019-06-19 13:59:03', '108', '108', '42266', '42265', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6500', 'N', '2019-06-19 14:06:37', '2019-06-19 14:06:37', '108', '108', '42268', '42267', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6501', 'N', '2019-06-19 14:07:45', '2019-06-19 14:07:45', '108', '108', '42270', '42269', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6502', 'N', '2019-06-19 14:16:52', '2019-06-19 14:16:52', '108', '108', '42276', '42275', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6503', 'N', '2019-06-19 14:17:24', '2019-06-19 14:17:24', '108', '108', '42277', '42275', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6504', 'N', '2019-06-19 14:26:24', '2019-06-19 14:26:24', '108', '108', '42279', '42278', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6505', 'N', '2019-06-19 14:37:40', '2019-06-19 14:37:40', '108', '108', '42281', '42280', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6506', 'Y', '2019-06-19 14:40:57', '2019-06-21 10:41:03', '108', '108', '42283', '42282', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6507', 'N', '2019-06-19 14:44:06', '2019-06-19 14:44:06', '108', '108', '42285', '42284', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6508', 'N', '2019-06-19 14:44:53', '2019-06-19 14:44:53', '108', '108', '42287', '42286', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6509', 'N', '2019-06-19 14:52:53', '2019-06-19 14:52:53', '108', '108', '42289', '42288', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6510', 'N', '2019-06-19 14:53:33', '2019-06-19 14:53:33', '108', '108', '42290', '41493', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6511', 'Y', '2019-06-19 15:00:21', '2019-06-21 10:40:33', '108', '108', '42292', '42291', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6512', 'N', '2019-06-19 15:02:33', '2019-06-19 15:02:33', '108', '108', '42295', '42293', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6513', 'N', '2019-06-19 15:02:33', '2019-06-19 15:02:33', '108', '108', '42295', '42294', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6514', 'N', '2019-06-19 15:03:21', '2019-06-19 15:03:21', '108', '108', '42297', '42296', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6515', 'N', '2019-06-19 15:03:53', '2019-06-19 15:03:53', '108', '108', '42298', '41485', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6516', 'Y', '2019-06-19 15:08:55', '2019-06-21 10:40:18', '108', '108', '42300', '42299', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6517', 'N', '2019-06-19 15:14:01', '2019-06-19 15:14:01', '108', '108', '42303', '42301', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6518', 'N', '2019-06-19 15:14:01', '2019-06-19 15:14:01', '108', '108', '42303', '42302', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6519', 'Y', '2019-06-19 15:15:17', '2019-06-21 10:39:54', '108', '108', '42305', '42304', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6520', 'Y', '2019-06-19 15:17:54', '2019-06-21 10:39:17', '108', '108', '42307', '42306', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6521', 'N', '2019-06-19 15:18:41', '2019-06-19 15:18:41', '108', '108', '42309', '42308', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6522', 'N', '2019-06-19 15:19:30', '2019-06-19 15:19:30', '108', '108', '42311', '42310', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6523', 'N', '2019-06-19 15:23:37', '2019-06-19 15:23:37', '108', '108', '42316', '42312', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6524', 'N', '2019-06-19 15:23:37', '2019-06-19 15:23:37', '108', '108', '42316', '42313', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6525', 'N', '2019-06-19 15:23:37', '2019-06-19 15:23:37', '108', '108', '42316', '42314', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6526', 'N', '2019-06-19 15:23:37', '2019-06-19 15:23:37', '108', '108', '42316', '42315', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6527', 'N', '2019-06-19 15:25:45', '2019-06-19 15:25:45', '108', '108', '42318', '42317', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6528', 'N', '2019-06-19 15:27:30', '2019-06-19 15:27:30', '108', '108', '42321', '42319', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6529', 'N', '2019-06-19 15:27:30', '2019-06-19 15:27:30', '108', '108', '42321', '42320', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6530', 'N', '2019-06-19 15:28:13', '2019-06-19 15:28:13', '108', '108', '42323', '42322', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6531', 'N', '2019-06-19 15:29:45', '2019-06-19 15:29:45', '108', '108', '42325', '42324', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6532', 'N', '2019-06-19 15:30:35', '2019-06-19 15:30:35', '108', '108', '42327', '42326', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6533', 'Y', '2019-06-19 15:32:42', '2019-06-19 15:32:51', '108', '108', '42328', '42326', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6534', 'N', '2019-06-19 15:32:51', '2019-06-19 15:32:51', '108', '108', '42328', '41502', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6535', 'N', '2019-06-19 15:44:54', '2019-06-19 15:44:54', '108', '108', '42331', '42329', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6536', 'N', '2019-06-19 15:44:54', '2019-06-19 15:44:54', '108', '108', '42331', '42330', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6537', 'N', '2019-06-19 15:47:51', '2019-06-19 15:47:51', '108', '108', '42334', '42332', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6538', 'N', '2019-06-19 15:47:51', '2019-06-19 15:47:51', '108', '108', '42334', '42333', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6539', 'N', '2019-06-19 15:48:08', '2019-06-19 15:48:08', '108', '108', '42335', '42332', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6540', 'N', '2019-06-19 15:48:08', '2019-06-19 15:48:08', '108', '108', '42335', '42333', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6541', 'N', '2019-06-19 15:48:08', '2019-06-19 15:48:08', '108', '108', '42335', '42329', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6542', 'N', '2019-06-19 15:48:08', '2019-06-19 15:48:08', '108', '108', '42335', '42330', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6543', 'N', '2019-06-19 15:50:38', '2019-06-19 15:50:38', '108', '108', '42337', '42336', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6544', 'N', '2019-06-19 15:55:37', '2019-06-19 15:55:37', '108', '108', '42339', '42338', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6545', 'N', '2019-06-19 15:58:06', '2019-06-19 15:58:06', '108', '108', '42341', '42340', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6546', 'N', '2019-06-19 15:59:04', '2019-06-19 15:59:04', '108', '108', '42343', '42342', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6547', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42344', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6548', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42345', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6549', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42346', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6550', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42347', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6551', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42348', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6552', 'N', '2019-06-19 16:10:09', '2019-06-19 16:10:09', '108', '108', '42350', '42349', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6553', 'Y', '2019-06-19 16:18:16', '2019-06-21 10:38:49', '108', '108', '42352', '42351', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6554', 'Y', '2019-06-19 16:20:51', '2019-06-21 10:38:32', '108', '108', '42354', '42353', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6555', 'Y', '2019-06-19 16:22:21', '2019-06-21 10:38:07', '108', '108', '42356', '42355', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6556', 'N', '2019-06-19 16:23:35', '2019-06-19 16:23:35', '108', '108', '42358', '42357', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6557', 'N', '2019-06-19 16:39:16', '2019-06-19 16:39:16', '108', '108', '42361', '42359', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6558', 'N', '2019-06-19 16:39:16', '2019-06-19 16:39:16', '108', '108', '42361', '42360', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6559', 'N', '2019-06-19 16:39:16', '2019-06-19 16:39:16', '108', '108', '42361', '41684', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6560', 'N', '2019-06-19 16:39:16', '2019-06-19 16:39:16', '108', '108', '42361', '42187', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6561', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '42363', '42359', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6562', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '42363', '42360', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6563', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '42363', '41684', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6564', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '42363', '42187', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6565', 'N', '2019-06-19 16:40:25', '2019-06-19 16:40:25', '108', '108', '42363', '42362', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6566', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42364', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6567', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41752', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6568', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41963', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6569', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41753', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6570', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41754', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6571', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41750', '6', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6572', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41751', '7', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6573', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '41500', '8', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6574', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42365', '9', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6575', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42366', '10', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6576', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42367', '11', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6577', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42368', '12', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6578', 'N', '2019-06-19 16:47:04', '2019-06-19 16:47:04', '108', '108', '42370', '42369', '13', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6579', 'N', '2019-06-19 16:48:44', '2019-06-19 16:48:44', '108', '108', '42371', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6580', 'N', '2019-06-19 16:48:44', '2019-06-19 16:48:44', '108', '108', '42371', '41485', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6581', 'N', '2019-06-19 16:48:44', '2019-06-19 16:48:44', '108', '108', '42371', '41796', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6582', 'N', '2019-06-19 16:48:44', '2019-06-19 16:48:44', '108', '108', '42371', '41807', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6583', 'N', '2019-06-19 16:51:47', '2019-06-19 16:51:47', '108', '108', '42375', '42372', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6584', 'N', '2019-06-19 16:51:47', '2019-06-19 16:51:47', '108', '108', '42375', '42373', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6585', 'N', '2019-06-19 16:51:47', '2019-06-19 16:51:47', '108', '108', '42375', '42374', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6586', 'N', '2019-06-19 16:53:25', '2019-06-19 16:53:25', '108', '108', '42377', '42372', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6587', 'N', '2019-06-19 16:53:25', '2019-06-19 16:53:25', '108', '108', '42377', '42373', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6588', 'N', '2019-06-19 16:53:25', '2019-06-19 16:53:25', '108', '108', '42377', '42374', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6589', 'N', '2019-06-19 16:53:25', '2019-06-19 16:53:25', '108', '108', '42377', '42376', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6590', 'N', '2019-06-19 16:56:12', '2019-06-19 16:56:12', '108', '108', '42378', '41558', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6591', 'N', '2019-06-19 17:01:15', '2019-06-19 17:01:15', '108', '108', '42381', '42379', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6592', 'N', '2019-06-19 17:01:15', '2019-06-19 17:01:15', '108', '108', '42381', '42380', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6593', 'N', '2019-06-19 17:01:15', '2019-06-19 17:01:15', '108', '108', '42381', '42284', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6594', 'N', '2019-06-19 17:06:54', '2019-06-19 17:06:54', '108', '108', '42386', '42382', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6595', 'N', '2019-06-19 17:06:54', '2019-06-19 17:06:54', '108', '108', '42386', '42383', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6596', 'N', '2019-06-19 17:06:54', '2019-06-19 17:06:54', '108', '108', '42386', '42384', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6597', 'N', '2019-06-19 17:06:54', '2019-06-19 17:06:54', '108', '108', '42386', '42385', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6598', 'N', '2019-06-19 17:09:41', '2019-06-19 17:09:41', '108', '108', '42387', '42380', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6599', 'N', '2019-06-19 17:11:15', '2019-06-19 17:11:15', '108', '108', '42389', '42388', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6600', 'N', '2019-06-19 17:12:41', '2019-06-19 17:12:41', '108', '108', '42391', '42390', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6601', 'N', '2019-06-19 17:13:20', '2019-06-19 17:13:20', '108', '108', '42393', '42392', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6602', 'N', '2019-06-19 17:15:04', '2019-06-19 17:15:04', '108', '108', '42395', '42394', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6603', 'N', '2019-06-19 17:22:52', '2019-06-19 17:22:52', '108', '108', '42398', '42396', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6604', 'N', '2019-06-19 17:22:52', '2019-06-19 17:22:52', '108', '108', '42398', '42397', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6605', 'N', '2019-06-19 17:26:05', '2019-06-19 17:26:05', '108', '108', '42402', '42399', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6606', 'N', '2019-06-19 17:26:05', '2019-06-19 17:26:05', '108', '108', '42402', '42400', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6607', 'N', '2019-06-19 17:26:05', '2019-06-19 17:26:05', '108', '108', '42402', '42401', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6608', 'Y', '2019-06-19 17:27:25', '2019-06-21 10:36:58', '108', '108', '42404', '42403', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6609', 'N', '2019-06-19 17:29:33', '2019-06-19 17:29:33', '108', '108', '42407', '42405', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6610', 'Y', '2019-06-19 17:29:47', '2019-06-21 10:34:55', '108', '108', '42408', '42406', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6611', 'Y', '2019-06-19 17:30:30', '2019-06-21 10:34:35', '108', '108', '42410', '42409', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6612', 'N', '2019-06-19 17:32:04', '2019-06-19 17:32:04', '108', '108', '42412', '42411', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6613', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '42418', '42413', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6614', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '42418', '42414', '2', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6615', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '42418', '42415', '3', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6616', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '42418', '42416', '4', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6617', 'N', '2019-06-19 17:37:16', '2019-06-19 17:37:16', '108', '108', '42418', '42417', '5', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6618', 'Y', '2019-06-19 17:38:16', '2019-06-21 10:33:38', '108', '108', '42420', '42419', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6619', 'N', '2019-06-19 17:39:33', '2019-06-19 17:39:33', '108', '108', '42422', '42421', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6620', 'N', '2019-06-19 17:41:01', '2019-06-19 17:41:01', '108', '108', '42424', '42423', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6621', 'N', '2019-06-19 17:41:37', '2019-06-19 17:41:37', '108', '108', '42425', '41796', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6622', 'N', '2019-06-19 17:42:17', '2019-06-19 17:42:17', '108', '108', '42427', '42426', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6623', 'Y', '2019-06-21 10:29:15', '2019-06-21 10:30:20', '108', '108', '41874', '41516', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6624', 'Y', '2019-06-21 10:30:20', '2019-06-21 10:32:38', '108', '108', '41874', '41516', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6625', 'N', '2019-06-21 10:32:38', '2019-06-21 10:32:38', '108', '108', '41874', '41516', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6626', 'N', '2019-06-21 10:33:38', '2019-06-21 10:33:38', '108', '108', '42420', '42419', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6627', 'N', '2019-06-21 10:34:08', '2019-06-21 10:34:08', '108', '108', '42086', '41837', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6628', 'N', '2019-06-21 10:34:35', '2019-06-21 10:34:35', '108', '108', '42410', '42409', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6629', 'N', '2019-06-21 10:34:55', '2019-06-21 10:34:55', '108', '108', '42408', '42406', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6630', 'N', '2019-06-21 10:36:58', '2019-06-21 10:36:58', '108', '108', '42404', '42403', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6631', 'N', '2019-06-21 10:38:07', '2019-06-21 10:38:07', '108', '108', '42356', '42355', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6632', 'N', '2019-06-21 10:38:32', '2019-06-21 10:38:32', '108', '108', '42354', '42353', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6633', 'N', '2019-06-21 10:38:49', '2019-06-21 10:38:49', '108', '108', '42352', '42351', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6634', 'N', '2019-06-21 10:39:17', '2019-06-21 10:39:17', '108', '108', '42307', '42306', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6635', 'N', '2019-06-21 10:39:54', '2019-06-21 10:39:54', '108', '108', '42305', '42304', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6636', 'N', '2019-06-21 10:40:18', '2019-06-21 10:40:18', '108', '108', '42300', '42299', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6637', 'N', '2019-06-21 10:40:33', '2019-06-21 10:40:33', '108', '108', '42292', '42291', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6638', 'N', '2019-06-21 10:41:03', '2019-06-21 10:41:03', '108', '108', '42283', '42282', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6639', 'N', '2019-06-21 10:41:22', '2019-06-21 10:41:22', '108', '108', '42264', '42263', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6640', 'N', '2019-06-21 10:41:42', '2019-06-21 10:41:42', '108', '108', '42260', '42259', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6641', 'N', '2019-06-21 10:42:02', '2019-06-21 10:42:02', '108', '108', '42258', '42257', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6642', 'N', '2019-06-21 10:42:20', '2019-06-21 10:42:20', '108', '108', '42202', '42201', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6643', 'N', '2019-06-21 10:42:37', '2019-06-21 10:42:37', '108', '108', '42116', '41687', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6644', 'N', '2019-06-21 10:42:54', '2019-06-21 10:42:54', '108', '108', '42111', '41681', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6645', 'N', '2019-06-21 10:43:15', '2019-06-21 10:43:15', '108', '108', '42089', '42087', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6646', 'N', '2019-06-21 10:43:36', '2019-06-21 10:43:36', '108', '108', '42055', '41888', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6647', 'N', '2019-06-21 10:43:52', '2019-06-21 10:43:52', '108', '108', '42053', '41650', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6648', 'N', '2019-06-21 10:44:12', '2019-06-21 10:44:12', '108', '108', '42046', '41640', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6649', 'N', '2019-06-21 10:44:27', '2019-06-21 10:44:27', '108', '108', '42044', '41639', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6650', 'N', '2019-06-21 10:44:46', '2019-06-21 10:44:46', '108', '108', '42041', '41633', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6651', 'N', '2019-06-21 10:47:16', '2019-06-21 10:47:16', '108', '108', '42040', '41634', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6652', 'N', '2019-06-21 10:47:41', '2019-06-21 10:47:41', '108', '108', '42037', '41626', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6653', 'N', '2019-06-21 10:48:47', '2019-06-21 10:48:47', '108', '108', '42022', '41599', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6654', 'N', '2019-06-21 10:49:09', '2019-06-21 10:49:09', '108', '108', '42020', '41597', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6655', 'N', '2019-06-21 10:49:30', '2019-06-21 10:49:30', '108', '108', '42019', '41598', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6656', 'N', '2019-06-21 10:49:47', '2019-06-21 10:49:47', '108', '108', '42016', '41586', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6657', 'N', '2019-06-21 10:51:11', '2019-06-21 10:51:11', '108', '108', '42007', '41578', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6658', 'N', '2019-06-21 10:55:43', '2019-06-21 10:55:43', '108', '108', '42001', '41573', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6659', 'N', '2019-06-21 10:56:03', '2019-06-21 10:56:03', '108', '108', '41993', '41554', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6660', 'N', '2019-06-21 10:56:20', '2019-06-21 10:56:20', '108', '108', '41982', '41549', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6661', 'N', '2019-06-21 10:56:42', '2019-06-21 10:56:42', '108', '108', '41981', '41543', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6662', 'N', '2019-06-21 10:56:59', '2019-06-21 10:56:59', '108', '108', '41979', '41541', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6663', 'N', '2019-06-21 10:57:16', '2019-06-21 10:57:16', '108', '108', '41978', '41540', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6664', 'N', '2019-06-21 10:57:37', '2019-06-21 10:57:37', '108', '108', '41959', '41532', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6665', 'N', '2019-06-21 10:57:52', '2019-06-21 10:57:52', '108', '108', '41958', '41727', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6666', 'N', '2019-06-21 10:58:39', '2019-06-21 10:58:39', '108', '108', '41935', '41514', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6667', 'N', '2019-06-21 10:59:33', '2019-06-21 10:59:33', '108', '108', '41933', '41515', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6668', 'N', '2019-06-21 11:00:05', '2019-06-21 11:00:05', '108', '108', '41885', '41612', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6669', 'N', '2019-06-21 11:00:31', '2019-06-21 11:00:31', '108', '108', '41864', '41596', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6670', 'N', '2019-06-21 11:00:51', '2019-06-21 11:00:51', '108', '108', '41862', '41594', '1', '0', '0', '0', '0', null);
INSERT INTO `icss_question_mapping` VALUES ('6671', 'N', '2019-06-21 11:02:21', '2019-06-21 11:02:21', '108', '108', '41861', '41591', '1', '0', '0', '0', '0', null);

-- ----------------------------
-- Table structure for icss_template_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_template_info`;
CREATE TABLE `icss_template_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(300) DEFAULT NULL COMMENT '名称',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '医生科室id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `sex` int(11) DEFAULT NULL COMMENT '性别',
  `type` varchar(10) DEFAULT NULL COMMENT '分类(0:结构化模板,1:文本输入模板)',
  `preview` longtext COMMENT '预览文字',
  `data_json` longtext COMMENT '内容JSON字符串(模板内容)',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模板表';

-- ----------------------------
-- Records of icss_template_info
-- ----------------------------

-- ----------------------------
-- Table structure for icss_version_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_detail`;
CREATE TABLE `icss_version_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `version_id` bigint(30) DEFAULT NULL COMMENT '版本主表id',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `description` text COMMENT '描述',
  `order_no` varchar(5) DEFAULT NULL COMMENT '排序号',
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='版本详情(关于)';

-- ----------------------------
-- Records of icss_version_detail
-- ----------------------------
INSERT INTO `icss_version_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '4', '4', '2', '即将发布', '测试测试测试测试测试测试测试测试', '1', '1', null);
INSERT INTO `icss_version_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '2018-12-04 14:11:26', '5', '5', '3', '1.即将发布', '即将发布', '1', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '5', '5', '3', '2.医学数据更新', '2.1 部分基础元素库数据修改<br />\r\n\r\n2.2 部分疾病诊断依据修改<br />', '2', '1', null);
INSERT INTO `icss_version_detail` VALUES ('8', 'N', '2018-12-04 14:24:46', '1970-01-01 12:00:00', '4', '4', '2', '3.发布信息', 'string', '99', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('9', 'N', '2018-12-04 14:40:22', '2018-12-11 14:56:32', '1', '1', '1', '1.系统设置管理', '1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />', '1', '1', 'string');
INSERT INTO `icss_version_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2.电子病历模块', '2.1) 电子病历管理模块主要包括患者信息的获取和历史就诊记录信息展示以及患者病情信息采集和病历模板管理。', '2', '1', null);
INSERT INTO `icss_version_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '1、ICSS通用功能变更', '1.1). 标签间距扩大，好落入光标（先改成中文标点）。<br />\n1.2). 建议文字+数字的标签扩大光标响应区域，而不是仅仅集中在后面的数字输入区域（支持独立数字标签，独立输入框类型）。<br />\n1.3). 有无治疗的输入框，点击光标就聚焦到输入框处。<br />\n1.4). 页面有浮层弹窗时，点击半透明浮层可关闭弹窗。<br />\n1.5). 数字区域获取光标后，提示文字自动消失。<br />\n1.6). 数字录入，建议增加合理值判断，例如脉搏不可能上1000等（失焦时提醒并清空）。<br />\n1.7). 点击键盘左右可在标签间前后移动。<br />\n1.8). 记录并显示医生个性化操作的单选标签，该类型标签编辑过一次后默认显示到选项中。<br />\n1.9).标点符号问题<br />\n1.9.1).模板数据获取时（前端）去掉连续标点。<br />\n1.9.2).删除单个标签时，去掉删除后可能出现的连续标点。<br />\n1.9.3).搜索结果标签插入后不自动添加标点，若搜索出的标签尾巴末尾带标点且在标点前搜索的，造成连续标点的情况不处理。<br />\n1.9.4).既往史中高血压类型展开尾巴不自动加标点，展开后若有连续标点，去重。<br />\n1.10). 搜索的标签类型更新<br />\n1.10.1). 主诉：症状。<br />\n1.10.2). 现病史：现在症状（以后期望：症状详情（症状尾巴）、多项统一横铺标签（血压）、多列多选标签（杂音/初为）、输入框、数字键盘、时间控件、单选、多选、单选含自由填写项）。<br />\n1.10.3). 其他史：组合项标签（既往史）、症状组合（症状尾巴）、多列多选（杂音/初为）、单选、多选、输入框、数字键盘、时间控件、单选含自由填写项。<br />\n1.10.4). 查体：多列多选标签（杂音/初为）、多项统一横铺标签（血压）、输入框、数字键盘、单选、多选。<br />\n1.11). 右侧推送内容的按钮统一显示为更多，且更多/收起按钮已对齐。<br />\n1.12). 右侧，化验辅检默认展示最多2行，多于2行折叠，数据返回多少前端展示多少。<br />\n1.13). 引用模板后从“模板”tab自动跳回“辅助信息”Tab。<br /><br />', null, '1', null);
INSERT INTO `icss_version_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '2、ICSS各模块功能变更', '2.1). 主诉输入纯文本时，自动调取分词接口，移动到现病史中自动显示相应的模版模块中。<br />\n2.2). 主诉常用症状改多选。<br />\n2.3). 其他史中引用往期内容，若历史病历中内容为空，页面显示其他史默认模板。<br />\n2.4). 月经史输入后，预览/打印/历史病历页面显示月经史的公式样式。<br />\n2.5). 查体模版部分内容展开/收起功能: 查体整体模版中，标签可折叠展示；在界面中，点击折叠按钮后，将隐藏的标签展开。<br />\n2.6). 化验结果范围是数值，若填写非数字时，红色异常显示。<br />\n2.7). 化验（页面手动添加或者导入的化验数据）小项显示条数超过4条，折叠显示。<br />\n2.8). 右侧推送的化验/辅检项，点击开单后添加到相应的化验/辅检模块中。<br />\n2.9). 添加诊断时，诊断已经存在提示可以前置，不需要等选择了初诊复诊后再提示。<br />\n2.10). 主诊断的治疗方案中的一般治疗建议、回访时间（慢病适用）自动显示在医嘱中，且可作为自由文本修改不做联动；治疗方案中选择的药品在医嘱中不可修改。<br />\n2.11). 推荐药品——药品说明图标鼠标移入时，浮层显示说明图标。<br />\n2.12). 药品说明书中，加入导航信息栏。<br />\n2.13). 治疗方案和药品说明的弹窗可移动。<br />\n2.14). 打印/预览弹窗显示后，鼠标滚动时；主页面不应该一同滚动。<br />\n2.15). 在预览/打印时，化验（手动添加和推送添加）辅检项没有填写检查结果的也黑色显示。<br /><br />', null, '1', null);
INSERT INTO `icss_version_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '3、大数据和图谱推送化验和检查的推送逻辑<br />', '<br />', null, '1', null);
INSERT INTO `icss_version_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '4、数据服务模式及接口更新', '4.1). 数据服务模式更新（待定）。<br />\n4.2). 电子病历解读接口更新（待定）。<br />\n4.3). 推理接口更新（待定）。<br />\n4.4). 技术服务部病历保存和传输接口开发。<br />\n', null, '1', null);
INSERT INTO `icss_version_detail` VALUES ('20', 'N', '2019-05-27 14:15:36', '2019-05-27 14:15:36', '98', '98', '11', '1、慢病流程', '主诉输入‘糖尿病复诊’或诊断中添加慢病列表中的疾病，选复诊进入慢病流程。', null, '1', null);
INSERT INTO `icss_version_detail` VALUES ('23', 'N', '2019-05-27 14:13:42', '2019-05-27 14:13:42', '98', '98', '11', '2、右侧推送', '添加指标推送，包括量表、计算公式、可能结果。', '', '1', '');
INSERT INTO `icss_version_detail` VALUES ('24', 'N', '2019-05-27 14:16:48', '2019-05-27 14:16:48', '98', '98', '11', '3、慢病管理评估入口', '走慢病流程时诊断中的慢病复诊有管理评估入口，右侧指标推送加入病例的内容显示在管理评估中的整体评估模块。', '', '1', '');
INSERT INTO `icss_version_detail` VALUES ('25', 'N', '2019-05-27 14:13:42', '2019-05-27 14:13:42', '98', '98', '11', '4、数据服务模式', '目前仅支持竖向排列。', '', '1', '');
INSERT INTO `icss_version_detail` VALUES ('26', 'N', '2019-05-27 14:13:42', '2019-05-27 14:13:42', '98', '98', '11', '5、修复产品部反馈的部分问题', '具体修改条目详见禅道-ICSS问题反馈。', '', '1', '');

-- ----------------------------
-- Table structure for icss_version_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_info`;
CREATE TABLE `icss_version_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `refresh_time` date DEFAULT NULL,
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='版本信息(关于)';

-- ----------------------------
-- Records of icss_version_info
-- ----------------------------
INSERT INTO `icss_version_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '2018-12-03 15:45:18', '1', '1', 'ICSS 5.0', '2018-12-24', '1', 'string');
INSERT INTO `icss_version_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '4', '4', 'ICSS 1.1', '2018-11-07', '1', null);
INSERT INTO `icss_version_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '2018-11-29 15:58:13', '5', '5', 'ICSS 1.2', '2018-12-20', '1', 'string');
INSERT INTO `icss_version_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '2018-12-11 14:55:27', '0', '1', 'ICSS 1.3', '2018-09-04', '1', null);
INSERT INTO `icss_version_info` VALUES ('10', 'N', '2019-04-02 12:00:00', '2019-04-16 14:04:17', '0', '106', 'ICSS 5.0.1', '2019-04-02', '1', null);
INSERT INTO `icss_version_info` VALUES ('11', 'N', '2019-05-27 14:13:42', '2019-05-27 14:16:53', '98', '98', 'v5.1.0-m20190527', '2019-05-27', '1', '');


drop database if exists `sys-tran`;
CREATE DATABASE  `sys-tran` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-tran`;

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tran_disease_icd
-- ----------------------------
DROP TABLE IF EXISTS `tran_disease_icd`;
CREATE TABLE `tran_disease_icd` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(30) DEFAULT NULL COMMENT '医院编码',
  `disease_name` varchar(200) DEFAULT NULL COMMENT 'HIS疾病名称',
  `icd` varchar(30) DEFAULT NULL COMMENT 'icd编码',
  `status` varchar(5) NOT NULL DEFAULT '1' COMMENT '状态(1:有效)',
  `concept_dis_name` varchar(200) DEFAULT NULL COMMENT '朗通疾病名称',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='各医院对应的诊断icd';

-- ----------------------------
-- Records of tran_disease_icd
-- ----------------------------
INSERT INTO `tran_disease_icd` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_高血压', 'ICD_1', '1', '高血压', null);
INSERT INTO `tran_disease_icd` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_糖尿病', 'ICD_2', '1', '糖尿病', null);
INSERT INTO `tran_disease_icd` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_呼吸道感染', 'ICD_3', '1', '呼吸道感染', null);

-- ----------------------------
-- Table structure for tran_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_doctor_info`;
CREATE TABLE `tran_doctor_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_dept_code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院医生编码',
  `name` varchar(32) DEFAULT NULL COMMENT '医生姓名',
  `sex` int(1) DEFAULT NULL COMMENT '医生性别:1男2女',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='医生信息表';

-- ----------------------------
-- Records of tran_doctor_info
-- ----------------------------
INSERT INTO `tran_doctor_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS001', '付', '2', null, '1551515', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS002', '王', '1', null, '22424242', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS003', '顾医生', '1', null, '123456', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D02', 'YS004', '顾testjdy', '1', '', '123457', '', '', '');
INSERT INTO `tran_doctor_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D04', 'YS005', '李', '1', null, '12313', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D05', 'YS006', '林', '1', null, '12313', null, null, null);

-- ----------------------------
-- Table structure for tran_field_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_field_info`;
CREATE TABLE `tran_field_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `uuid` varchar(60) DEFAULT NULL COMMENT '唯一主键(通常是医院编码:hospitalId)',
  `icss_field` varchar(60) DEFAULT NULL COMMENT 'icss需要的字段',
  `his_field` varchar(60) DEFAULT NULL COMMENT '医院个性化字段',
  `status` varchar(5) DEFAULT NULL COMMENT '状态',
  `remark` varchar(120) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='字段对应表';

-- ----------------------------
-- Records of tran_field_info
-- ----------------------------
INSERT INTO `tran_field_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'patientNo', 'patientNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'doctorNo', 'doctorNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'recordId', 'recordId', '1', null);
INSERT INTO `tran_field_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'hospitalId', 'hospitalId', '1', null);
INSERT INTO `tran_field_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'deptNo', 'deptId', '1', null);
INSERT INTO `tran_field_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'deptNo', 'dep', '1', null);
INSERT INTO `tran_field_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'patientNo', 'pno', '1', null);
INSERT INTO `tran_field_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'doctorNo', 'dno', '1', null);
INSERT INTO `tran_field_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'hospitalId', 'hospitalId', '1', null);
INSERT INTO `tran_field_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'recordId', 'recordId', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_dept
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_dept`;
CREATE TABLE `tran_hospital_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `name` varchar(32) NOT NULL COMMENT '医院科室名称',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_name` varchar(32) DEFAULT NULL COMMENT '医院名称',
  `concept_dept_name` varchar(200) DEFAULT NULL COMMENT '朗通科室名称',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='医院科室信息表';

-- ----------------------------
-- Records of tran_hospital_dept
-- ----------------------------
INSERT INTO `tran_hospital_dept` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D01', '全科', 'A001', '浙江大学医学院附属邵逸夫医院', '全科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D02', '儿科', 'A001', '浙江大学医学院附属邵逸夫医院', '儿科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D03', '全科', 'A002', '北京医院', '全科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'N016', '妇产科', 'A001', '浙江大学医学院附属邵逸夫医院', '妇产科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D04', '呼吸内科', 'A001', '浙江大学医学院附属邵逸夫医院', '呼吸内科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D05', '急诊科', 'A001', '浙江大学医学院附属邵逸夫医院', '急诊科', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_info`;
CREATE TABLE `tran_hospital_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) NOT NULL COMMENT '医院编码',
  `name` varchar(32) NOT NULL COMMENT '医院名称',
  `address` varchar(128) DEFAULT NULL COMMENT '医院地址',
  `spell` varchar(32) DEFAULT NULL COMMENT '医院名称拼音',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `order_no` int(5) DEFAULT NULL COMMENT '排序号',
  `connect` int(1) DEFAULT '0' COMMENT '是否对接（0-不对接，1-对接）',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='医院信息表';

-- ----------------------------
-- Records of tran_hospital_info
-- ----------------------------
INSERT INTO `tran_hospital_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浙江大学医学院附属邵逸夫医院', null, null, '1', null, '1', null);
INSERT INTO `tran_hospital_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', '北京医院', null, null, '1', null, '0', null);
INSERT INTO `tran_hospital_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A003', '杭州医院', null, null, '1', null, '0', null);

-- ----------------------------
-- Table structure for tran_index_data
-- ----------------------------
DROP TABLE IF EXISTS `tran_index_data`;
CREATE TABLE `tran_index_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) DEFAULT NULL COMMENT '指标公表名概念id',
  `lib_name` varchar(200) DEFAULT NULL COMMENT '指标公表名',
  `index_value` varchar(200) DEFAULT NULL COMMENT '指标值',
  `index_unit` varchar(200) DEFAULT NULL COMMENT '指标单位',
  `is_abnormal` int(11) DEFAULT NULL COMMENT '是否异常',
  `creat_time` datetime DEFAULT NULL COMMENT '化验时间',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT '就诊号',
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8 COMMENT='指标数据表';

-- ----------------------------
-- Records of tran_index_data
-- ----------------------------
INSERT INTO `tran_index_data` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '4', 'mmol/L', '1', '2019-05-01 09:42:49', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '随机血糖', '2', 'mmol/L', '1', '2019-05-01 10:01:06', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '餐后2小时血糖', '3', 'mmol/L', '1', '2019-05-06 10:01:10', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '糖化血清蛋白', '4', 'mmol/L', '1', '2019-04-04 10:01:13', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '随机血糖', '5', 'mmol/L', '1', '2019-05-02 10:01:18', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '餐后2小时血糖', '6', 'mmol/L', '0', '2019-05-03 10:01:31', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '糖化血清蛋白', '7', 'mmol/L', '1', '2019-05-05 10:01:34', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '8', 'mmol/L', '1', '2019-01-18 10:01:36', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '9', 'mmol/L', '1', '2019-04-30 10:01:43', '3', null, null);
INSERT INTO `tran_index_data` VALUES ('10', 'N', '2019-05-05 00:00:00', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '10', 'mmol / L', '1', '2019-05-05 00:00:00', '3', '5297', null);
INSERT INTO `tran_index_data` VALUES ('11', 'N', '2019-05-05 00:00:00', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '10', 'mmol/L', '1', '2019-05-05 00:00:00', '3', '5297', null);
INSERT INTO `tran_index_data` VALUES ('12', 'Y', '2019-05-07 13:42:32', '2019-05-07 13:42:44', '10', '0', '6', '空腹血糖', '10', 'string', '1', '2019-05-07 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('13', 'N', '2019-05-07 13:42:44', '1970-01-01 12:00:00', '10', '0', '6', '空腹血糖', '10', 'string', '1', '2019-05-07 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('14', 'Y', '2019-05-09 09:05:53', '2019-05-09 09:07:57', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('15', 'Y', '2019-05-09 09:07:57', '2019-05-09 10:12:22', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('16', 'Y', '2019-05-09 10:12:23', '2019-05-09 10:13:03', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('17', 'Y', '2019-05-09 10:13:03', '2019-05-09 10:13:46', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('18', 'N', '2019-05-09 10:13:46', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '52', 'mo/L', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('19', 'N', '2019-05-09 10:13:46', '1970-01-01 12:00:00', '1', '0', '8', '随机血糖', '52', 'mo/L', '1', '2019-05-08 00:00:00', '3', '297', null);
INSERT INTO `tran_index_data` VALUES ('20', 'Y', '2019-05-10 17:07:10', '2019-05-10 17:12:26', '2', '0', '8', '随机血糖', '999', 'ml', '1', '2019-05-10 10:10:00', '3', '333', null);
INSERT INTO `tran_index_data` VALUES ('21', 'N', '2019-05-10 17:12:26', '1970-01-01 12:00:00', '2', '0', '8', '随机血糖', '999', 'ml', '1', '2019-05-10 10:10:00', '3', '333', null);
INSERT INTO `tran_index_data` VALUES ('22', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('23', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('24', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('25', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('26', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('27', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('28', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('29', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('30', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('31', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('32', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('33', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('34', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('35', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('36', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('37', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('38', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('39', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('40', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('41', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '3', '13', null);
INSERT INTO `tran_index_data` VALUES ('42', 'N', '2019-05-15 10:24:40', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '3', 'mo/l', '0', '2019-05-15 09:00:00', '1', '3', null);
INSERT INTO `tran_index_data` VALUES ('43', 'Y', '2019-06-21 09:50:48', '2019-06-21 09:56:51', '1', '0', '424434', '空腹葡萄糖测定--葡萄糖(GLU)', '123123', 'mmol/L', '1', '2019-06-21 09:46:00', '2', '44', null);
INSERT INTO `tran_index_data` VALUES ('44', 'Y', '2019-06-21 09:50:48', '2019-06-21 09:56:51', '1', '0', '425225', '餐后2h葡萄糖测定--葡萄糖(GLU)', '123123', 'mmol/L', '1', '2019-06-21 09:46:00', '2', '44', null);
INSERT INTO `tran_index_data` VALUES ('45', 'Y', '2019-06-21 09:50:48', '2019-06-21 09:56:51', '1', '0', '424090', '糖化血红蛋白--糖化血红蛋白(HbA1c)', '123123', '%', '1', '2019-06-21 09:46:00', '2', '44', null);
INSERT INTO `tran_index_data` VALUES ('46', 'N', '2019-06-21 09:56:51', '1970-01-01 12:00:00', '1', '0', '424434', '空腹葡萄糖测定--葡萄糖(GLU)', '123123', 'mmol/L', '1', '2019-06-21 09:46:00', '2', '44', null);
INSERT INTO `tran_index_data` VALUES ('47', 'N', '2019-06-21 09:56:51', '1970-01-01 12:00:00', '1', '0', '425225', '餐后2h葡萄糖测定--葡萄糖(GLU)', '123123', 'mmol/L', '1', '2019-06-21 09:46:00', '2', '44', null);
INSERT INTO `tran_index_data` VALUES ('48', 'N', '2019-06-21 09:56:51', '1970-01-01 12:00:00', '1', '0', '424090', '糖化血红蛋白--糖化血红蛋白(HbA1c)', '123123', '%', '1', '2019-06-21 09:46:00', '2', '44', null);

-- ----------------------------
-- Table structure for tran_inquiry_detail
-- ----------------------------
DROP TABLE IF EXISTS `tran_inquiry_detail`;
CREATE TABLE `tran_inquiry_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `inquiry_id` bigint(20) NOT NULL COMMENT '问诊记录id',
  `type` int(1) DEFAULT NULL COMMENT '类型（1:主诉，2现病史，3其他史，4查体，5化验，6辅检，7诊断，8医嘱，9二次诊断）',
  `content` text COMMENT '内容字符串',
  `content_value` text COMMENT '内容字符串纯文本',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录明细表';

-- ----------------------------
-- Records of tran_inquiry_detail
-- ----------------------------

-- ----------------------------
-- Table structure for tran_inquiry_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_inquiry_info`;
CREATE TABLE `tran_inquiry_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院id',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT '科室id',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT '医生id',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) NOT NULL COMMENT '就诊序列号',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT '就诊状态（0待接诊，1接诊中，2完成接诊）',
  `type` int(1) DEFAULT NULL COMMENT '分类(1:门诊,2:住院)',
  `diagnose` varchar(50) DEFAULT NULL COMMENT '诊断',
  `sys_type` int(11) DEFAULT NULL COMMENT '访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web',
  `data_json` longtext COMMENT '内容JSON字符串',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='问诊记录表';

-- ----------------------------
-- Records of tran_inquiry_info
-- ----------------------------

-- ----------------------------
-- Table structure for tran_introduce_title_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_introduce_title_config`;
CREATE TABLE `tran_introduce_title_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='提示信息标签映射表';

-- ----------------------------
-- Records of tran_introduce_title_config
-- ----------------------------
INSERT INTO `tran_introduce_title_config` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '摘要', '摘要');
INSERT INTO `tran_introduce_title_config` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般治疗', '一般治疗');
INSERT INTO `tran_introduce_title_config` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '诊断依据1', '诊断依据');
INSERT INTO `tran_introduce_title_config` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '概述', '概述');
INSERT INTO `tran_introduce_title_config` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '描述', '描述');
INSERT INTO `tran_introduce_title_config` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '基本信息', '基本信息');
INSERT INTO `tran_introduce_title_config` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '正常值', '正常值');
INSERT INTO `tran_introduce_title_config` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '临场意义', '临场意义');
INSERT INTO `tran_introduce_title_config` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '注意事项', '注意事项');
INSERT INTO `tran_introduce_title_config` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '检查过程', '检查过程');
INSERT INTO `tran_introduce_title_config` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '样本要求', '样本要求');
INSERT INTO `tran_introduce_title_config` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不适宜人群', '不适宜人群');
INSERT INTO `tran_introduce_title_config` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不良反应与风险', '不良反应与风险');

-- ----------------------------
-- Table structure for tran_lis_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_lis_config`;
CREATE TABLE `tran_lis_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_id` varchar(100) DEFAULT NULL COMMENT '公表id',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7169 DEFAULT CHARSET=utf8 COMMENT='套餐字段映射公表';

-- ----------------------------
-- Records of tran_lis_config
-- ----------------------------
INSERT INTO `tran_lis_config` VALUES ('4983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1h尿沉渣计数', '红细胞计数(RBC)', '424220', '1h尿沉渣计数--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('4984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1h尿沉渣计数', '白细胞计数(WBC)', '424915', '1h尿沉渣计数--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('4985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1h尿沉渣计数', '管型', '426151', '1h尿沉渣计数--管型');
INSERT INTO `tran_lis_config` VALUES ('4986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '24小时IgG鞘内合成率测定', '24小时IgG鞘内合成率', '425771', '24小时IgG鞘内合成率--24小时IgG鞘内合成率');
INSERT INTO `tran_lis_config` VALUES ('4987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '24小时尿比重渗透压试验', '24小时尿比重渗透压', '424987', '24小时尿比重渗透压试验--24小时尿比重渗透压');
INSERT INTO `tran_lis_config` VALUES ('4988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3小时口服葡萄糖C肽释放试验', '30minC肽(C-P)', '424626', '3小时口服葡萄糖C肽释放试验--30minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3小时口服葡萄糖C肽释放试验', '60minC肽(C-P)', '425820', '3小时口服葡萄糖C肽释放试验--60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3小时口服葡萄糖C肽释放试验', '120minC肽(C-P)', '424580', '3小时口服葡萄糖C肽释放试验--120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3小时口服葡萄糖C肽释放试验', '180minC肽(C-P)', '424907', '3小时口服葡萄糖C肽释放试验--180minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5′核苷酸酶测定', '5′核苷酸酶(5′NT)', '424557', '5′核苷酸酶测定--5′核苷酸酶(5′NT)');
INSERT INTO `tran_lis_config` VALUES ('4993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5-羟色胺测定', '5-羟色胺(5-HT)', '425222', '5-羟色胺--5-羟色胺(5-HT)');
INSERT INTO `tran_lis_config` VALUES ('4994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5小时口服葡萄糖C肽释放试验', '50minC肽(C-P)', '425900', '5小时口服葡萄糖C肽释放试验--50minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5小时口服葡萄糖C肽释放试验', '60minC肽(C-P)', '426042', '5小时口服葡萄糖C肽释放试验--60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5小时口服葡萄糖C肽释放试验', '120minC肽(C-P)', '424950', '5小时口服葡萄糖C肽释放试验--120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5小时口服葡萄糖C肽释放试验', '240minC肽(C-P)', '424826', '5小时口服葡萄糖C肽释放试验--240minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '5小时口服葡萄糖C肽释放试验', '300minC肽(C-P)', '425257', '5小时口服葡萄糖C肽释放试验--300minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('4999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原氨基端肽测定', 'Ⅰ型胶原氨基端肽(NTx)', '425082', 'Ⅰ型胶原氨基端肽测定--Ⅰ型胶原氨基端肽(NTx)');
INSERT INTO `tran_lis_config` VALUES ('5000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原吡啶交联终肽测定', 'Ⅰ型胶原吡啶交联终肽(ICTP)', '425818', 'Ⅰ型胶原吡啶交联终肽测定--Ⅰ型胶原吡啶交联终肽(ICTP)');
INSERT INTO `tran_lis_config` VALUES ('5001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原羧基端前肽测定', 'Ⅰ型胶原羧基端前肽(PICP)', '426106', 'Ⅰ型胶原羧基端前肽测定--Ⅰ型胶原羧基端前肽(PICP)');
INSERT INTO `tran_lis_config` VALUES ('5002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原羧基端肽测定', 'Ⅰ型胶原羧基端肽(CTx)', '424760', 'Ⅰ型胶原羧基端肽测定--Ⅰ型胶原羧基端肽(CTx)');
INSERT INTO `tran_lis_config` VALUES ('5003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅱ型胶原抗体测定', 'Ⅱ型胶原抗体', '426035', 'Ⅱ型胶原抗体测定--Ⅱ型胶原抗体');
INSERT INTO `tran_lis_config` VALUES ('5004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅲ型胶原测定', 'Ⅲ型胶原(CGⅢ)', '425952', 'Ⅲ型胶原测定--Ⅲ型胶原(CGⅢ)');
INSERT INTO `tran_lis_config` VALUES ('5005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅲ型前胶原肽测定', 'Ⅲ型前胶原肽(PⅢP)', '425494', 'Ⅲ型前胶原肽测定--Ⅲ型前胶原肽(PⅢP)');
INSERT INTO `tran_lis_config` VALUES ('5006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅳ型胶原测定', 'Ⅳ型胶原(CGⅣ)', '425323', 'Ⅳ型胶原测定--Ⅳ型胶原(CGⅣ)');
INSERT INTO `tran_lis_config` VALUES ('5007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ABO血型鉴定', 'ABO血型', '425101', 'ABO血型鉴定--ABO血型');
INSERT INTO `tran_lis_config` VALUES ('5008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ABO血型系统抗体致新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测', '425811', 'ABO血型系统抗体致新生儿溶血病检测--ABO血型系统抗体致新生儿溶血病检测');
INSERT INTO `tran_lis_config` VALUES ('5009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'A型钠尿肽测定', 'A型钠尿肽(ANP)', '425156', 'A型钠尿肽测定--A型钠尿肽(ANP)');
INSERT INTO `tran_lis_config` VALUES ('5010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'B细胞膜表面免疫球蛋白测定', 'B细胞膜表面免疫球蛋白', '425973', 'B细胞膜表面免疫球蛋白测定--B细胞膜表面免疫球蛋白');
INSERT INTO `tran_lis_config` VALUES ('5011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'B型钠尿肽测定', 'B型钠尿肽(BNP)', '426089', 'B型钠尿肽测定--B型钠尿肽(BNP)');
INSERT INTO `tran_lis_config` VALUES ('5012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'B因子测定', 'B因子', '425342', 'B因子测定--B因子');
INSERT INTO `tran_lis_config` VALUES ('5013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C3a测定', 'C3a', '424123', 'C3a测定--C3a');
INSERT INTO `tran_lis_config` VALUES ('5014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C3d测定', 'C3d', '424050', 'C3d测定--C3d');
INSERT INTO `tran_lis_config` VALUES ('5015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C3裂解产物测定', 'C3裂解产物(C3SP)', '425876', 'C3裂解产物测定--C3裂解产物(C3SP)');
INSERT INTO `tran_lis_config` VALUES ('5016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Colton血型抗原鉴定', 'Colton血型抗原', '425299', 'Colton血型抗原鉴定--Colton血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C-反应蛋白测定', 'C-反应蛋白(CRP)', '424116', 'C-反应蛋白测定--C-反应蛋白(CRP)');
INSERT INTO `tran_lis_config` VALUES ('5018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽释放试验', '30minC肽(C-P)', '424152', 'C肽释放试验--30minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽释放试验', '60minC肽(C-P)', '424988', 'C肽释放试验--60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽释放试验', '120minC肽(C-P)', '425681', 'C肽释放试验--120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C肽释放试验', '180minC肽(C-P)', '425933', 'C肽释放试验--180minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Diego血型抗原鉴定', 'Diego血型抗原', '424240', 'Diego血型抗原鉴定--Diego血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'DNA酶活性测定', 'DNA酶活性(DnaseI)', '424904', 'DNA酶活性测定--DNA酶活性(DnaseI)');
INSERT INTO `tran_lis_config` VALUES ('5024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Dombrock血型抗原鉴定', 'Dombrock血型抗原', '424057', 'Dombrock血型抗原鉴定--Dombrock血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Duffy血型抗原鉴定', 'Duffy血型抗原', '424333', 'Duffy血型抗原鉴定--Duffy血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒DNA酶抗体测定', 'EB病毒DNA酶抗体', '425878', 'EB病毒DNA酶抗体测定--EB病毒DNA酶抗体');
INSERT INTO `tran_lis_config` VALUES ('5027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒核抗原抗体IgG测定', 'EB病毒核抗原抗体IgG(抗EBNAIgG)', '424892', 'EB病毒核抗原抗体IgG--EB病毒核抗原抗体IgG(抗EBNAIgG)');
INSERT INTO `tran_lis_config` VALUES ('5028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒壳膜抗体测定', 'EB病毒壳膜抗体(抗VCA)', '426043', 'EB病毒壳膜抗体--EB病毒壳膜抗体(抗VCA)');
INSERT INTO `tran_lis_config` VALUES ('5029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒壳膜抗原抗体测定', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', '425072', 'EB病毒壳膜抗原抗体测定--EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)');
INSERT INTO `tran_lis_config` VALUES ('5030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒壳膜抗原抗体测定', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', '424942', 'EB病毒壳膜抗原抗体测定--EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)');
INSERT INTO `tran_lis_config` VALUES ('5031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒早期抗体IgG测定', 'EB病毒早期抗体IgG(抗EAIgG)', '424236', 'EB病毒早期抗体IgG--EB病毒早期抗体IgG(抗EAIgG)');
INSERT INTO `tran_lis_config` VALUES ('5032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Jo-1抗体', '424215', 'ENA抗体谱六项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗nRNP抗体', '425483', 'ENA抗体谱六项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Scl-70抗体', '424844', 'ENA抗体谱六项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Sm抗体', '425018', 'ENA抗体谱六项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗SSA抗体', '425134', 'ENA抗体谱六项--抗SSA抗体');
INSERT INTO `tran_lis_config` VALUES ('5037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗SSB抗体', '424576', 'ENA抗体谱六项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ER/PR免疫组化测定', 'ER/PR免疫组化测定', '425495', 'ER/PR免疫组化测定--ER/PR免疫组化测定');
INSERT INTO `tran_lis_config` VALUES ('5039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'E-选择素测定', 'E-选择素', '426158', 'E-选择素测定--E-选择素');
INSERT INTO `tran_lis_config` VALUES ('5040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'FK506血清药物浓度测定', 'FK506血清药物浓度', '424612', 'FK506血清药物浓度测定--FK506血清药物浓度');
INSERT INTO `tran_lis_config` VALUES ('5041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Gerbich血型抗原鉴定', 'Gerbich血型抗原', '426159', 'Gerbich血型抗原鉴定--Gerbich血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'GM试验', 'GM试验', '424427', 'GM试验--GM试验');
INSERT INTO `tran_lis_config` VALUES ('5043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'G试验', 'G试验', '424038', 'G试验--G试验');
INSERT INTO `tran_lis_config` VALUES ('5044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HLA抗体特异性测定', 'HLA抗体', '425548', 'HLA抗体特异性测定--HLA抗体');
INSERT INTO `tran_lis_config` VALUES ('5045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'IgA免疫复合物测定', 'IgA免疫复合物', '426087', 'IgA免疫复合物--IgA免疫复合物');
INSERT INTO `tran_lis_config` VALUES ('5046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'IgG免疫复合物测定', 'IgG免疫复合物', '424790', 'IgG免疫复合物--IgG免疫复合物');
INSERT INTO `tran_lis_config` VALUES ('5047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'IgM免疫复合物测定', 'IgM免疫复合物', '424144', 'IgM免疫复合物--IgM免疫复合物');
INSERT INTO `tran_lis_config` VALUES ('5048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ii血型抗原鉴定', 'Ii血型抗原', '424329', 'Ii血型抗原鉴定--Ii血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Kell血型抗原鉴定', 'Kell血型抗原', '424461', 'Kell血型抗原鉴定--Kell血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Kidd血型抗原鉴定', 'Kidd血型抗原', '425016', 'Kidd血型抗原鉴定--Kidd血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Lewis血型抗原鉴定', 'Lewis血型抗原', '424620', 'Lewis血型抗原鉴定--Lewis血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Lutheran血型抗原鉴定', 'Lutheran血型抗原', '424292', 'Lutheran血型抗原鉴定--Lutheran血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'MNSs血型抗原鉴定', 'MNSs血型抗原', '425441', 'MNSs血型抗原鉴定--MNSs血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'M蛋白测定', 'M蛋白', '425099', 'M蛋白测定--M蛋白');
INSERT INTO `tran_lis_config` VALUES ('5055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'N15-尿氨排泄试验', 'N15-尿氨排泄试验', '424873', 'N15-尿氨排泄试验--N15-尿氨排泄试验');
INSERT INTO `tran_lis_config` VALUES ('5056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'N端-B型钠尿肽前体测定', 'N端-B型钠尿肽前体(NT-ProBNP)', '424417', 'N端-B型钠尿肽前体测定--N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `tran_lis_config` VALUES ('5057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'O-129试验', 'O-129试验', '424505', 'O-129试验--O-129试验');
INSERT INTO `tran_lis_config` VALUES ('5058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'p-选择素测定', 'p-选择素', '425755', 'p-选择素测定--p-选择素');
INSERT INTO `tran_lis_config` VALUES ('5059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'P血型抗原鉴定', 'P血型抗原', '425256', 'P血型抗原鉴定--P血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'RhD血型鉴定', 'RhD血型', '426144', 'RhD血型鉴定--RhD血型');
INSERT INTO `tran_lis_config` VALUES ('5061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Rh弱D血型鉴定', 'Rh弱D血型鉴定', '425118', 'Rh弱D血型鉴定--Rh弱D血型鉴定');
INSERT INTO `tran_lis_config` VALUES ('5062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'RH血型鉴定', 'RH血型', '425220', 'RH血型鉴定--RH血型');
INSERT INTO `tran_lis_config` VALUES ('5063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Rh血型系统抗体致新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测', '425570', 'Rh血型系统抗体致新生儿溶血病检测--ABO血型系统抗体致新生儿溶血病检测');
INSERT INTO `tran_lis_config` VALUES ('5064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ROS1蛋白免疫组化筛查', 'ROS1蛋白免疫组化筛查', '424585', 'ROS1蛋白免疫组化筛查--ROS1蛋白免疫组化筛查');
INSERT INTO `tran_lis_config` VALUES ('5065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'r-精浆蛋白测定', 'r-精浆蛋白(r-sm)', '424277', 'r-精浆蛋白测定--r-精浆蛋白(r-sm)');
INSERT INTO `tran_lis_config` VALUES ('5066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Scianna血型抗原鉴定', 'Scianna血型抗原', '424730', 'Scianna血型抗原鉴定--Scianna血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'TT病毒抗体测定', 'TT病毒抗体', '424554', 'TT病毒抗体测定--TT病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞花环试验', 'EtRFC', '424313', 'T淋巴细胞花环试验--EtRFC');
INSERT INTO `tran_lis_config` VALUES ('5069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞花环试验', 'EaRFC', '424721', 'T淋巴细胞花环试验--EaRFC');
INSERT INTO `tran_lis_config` VALUES ('5070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞花环试验', 'EsRFC', '424952', 'T淋巴细胞花环试验--EsRFC');
INSERT INTO `tran_lis_config` VALUES ('5071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'T淋巴细胞转化试验', 'T淋巴细胞转化率', '424771', 'T淋巴细胞转化试验--T淋巴细胞转化率');
INSERT INTO `tran_lis_config` VALUES ('5072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Xg血型抗原鉴定', 'Xg血型抗原', '424745', 'Xg血型抗原鉴定--Xg血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Yt血型抗原鉴定', 'Yt血型抗原', '424566', 'Yt血型抗原鉴定--Yt血型抗原');
INSERT INTO `tran_lis_config` VALUES ('5074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'α1抗胰蛋白酶测定', 'α1抗胰蛋白酶(α1-AT)', '424474', 'α1抗胰蛋白酶测定--α1抗胰蛋白酶(α1-AT)');
INSERT INTO `tran_lis_config` VALUES ('5075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'α-L-岩藻糖苷酶测定', 'α-L-岩藻糖苷酶(AFU)', '424440', 'α-L-岩藻糖苷酶测定--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `tran_lis_config` VALUES ('5076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'α羟基丁酸脱氢酶测定', 'α羟基丁酸脱氢酶(α-HBD)', '424590', 'α羟基丁酸脱氢酶测定--α羟基丁酸脱氢酶(α-HBD)');
INSERT INTO `tran_lis_config` VALUES ('5077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-N-乙酰氨基己糖苷酶同工酶测定', 'β-N-乙酰氨基己糖苷酶同工酶', '424970', 'β-N-乙酰氨基己糖苷酶同工酶测定--β-N-乙酰氨基己糖苷酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('5078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-胶原降解产物测定', 'β-胶原降解产物(β-CTX)', '424300', 'β-胶原降解产物测定--β-胶原降解产物(β-CTX)');
INSERT INTO `tran_lis_config` VALUES ('5079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-胶原特殊系列测定', 'β-胶原特殊系列(β-Crosslaps)', '425634', 'β-胶原特殊系列测定--β-胶原特殊系列(β-Crosslaps)');
INSERT INTO `tran_lis_config` VALUES ('5080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-内啡肽测定', 'β-内啡肽', '424145', 'β-内啡肽测定--β-内啡肽');
INSERT INTO `tran_lis_config` VALUES ('5081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-内酰胺类抗生素耐药测定', 'β-内酰胺类抗生素耐药测定', '425825', 'β-内酰胺类抗生素耐药测定--β-内酰胺类抗生素耐药测定');
INSERT INTO `tran_lis_config` VALUES ('5082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β—内酰胺酶试验', 'β—内酰胺酶试验', '425400', 'β—内酰胺酶试验--β—内酰胺酶试验');
INSERT INTO `tran_lis_config` VALUES ('5083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-羟丁酸测定', 'β-羟丁酸(β-HB)', '425403', 'β-羟丁酸测定--β-羟丁酸(β-HB)');
INSERT INTO `tran_lis_config` VALUES ('5084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人游离绒毛膜促性腺激素测定', 'β人游离绒毛膜促性腺激素(freeβ-HCG)', '424983', 'β人游离绒毛膜促性腺激素测定--β人游离绒毛膜促性腺激素(freeβ-HCG)');
INSERT INTO `tran_lis_config` VALUES ('5085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'γ-谷氨酰基转移酶测定', 'γ-谷氨酰基转移酶(GGT)', '424118', 'γ-谷氨酰基转移酶测定--γ-谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('5086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'δ-胆红素测定', 'δ-胆红素', '425316', 'δ-胆红素测定--δ-胆红素');
INSERT INTO `tran_lis_config` VALUES ('5087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阿米巴抗体测定', '阿米巴抗体', '425423', '阿米巴抗体测定--阿米巴抗体');
INSERT INTO `tran_lis_config` VALUES ('5088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阿司匹林耐量试验', '阿司匹林耐量试验', '424448', '阿司匹林耐量试验--阿司匹林耐量试验');
INSERT INTO `tran_lis_config` VALUES ('5089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '埃可病毒抗体测定', '埃可病毒抗体IgG', '425063', '埃可病毒抗体测定--埃可病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '埃可病毒抗体测定', '埃可病毒抗体IgM', '425062', '埃可病毒抗体测定--埃可病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '癌胚抗原测定', '癌胚抗原(CEA)', '425088', '癌胚抗原测定--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('5092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '艾滋病联合试验', '艾滋病联合试验', '425607', '艾滋病联合试验--艾滋病联合试验');
INSERT INTO `tran_lis_config` VALUES ('5093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '安体舒通试验', '安体舒通试验', '426126', '安体舒通试验--安体舒通试验');
INSERT INTO `tran_lis_config` VALUES ('5094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氨基己糖酶同工酶测定', '氨基己糖酶同工酶A', '425739', '氨基己糖酶同工酶测定--氨基己糖酶同工酶A');
INSERT INTO `tran_lis_config` VALUES ('5095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氨基己糖酶同工酶测定', '氨基己糖酶同工酶B', '425737', '氨基己糖酶同工酶测定--氨基己糖酶同工酶B');
INSERT INTO `tran_lis_config` VALUES ('5096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胺试验', '胺试验', '425507', '胺试验--胺试验');
INSERT INTO `tran_lis_config` VALUES ('5097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '螯合剂驱铅试验', '螯合剂驱铅试验', '424365', '螯合剂驱铅试验--螯合剂驱铅试验');
INSERT INTO `tran_lis_config` VALUES ('5098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白蛋白测定', '白蛋白(Alb)', '425766', '白蛋白测定--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('5099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白三烯B4测定', '白三烯B4', '424673', '白三烯B4测定--白三烯B4');
INSERT INTO `tran_lis_config` VALUES ('5100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白陶土部分凝血活酶时间测定', '白陶土部分凝血活酶时间(KPTT)', '424846', '白陶土部分凝血活酶时间测定--白陶土部分凝血活酶时间(KPTT)');
INSERT INTO `tran_lis_config` VALUES ('5101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-10测定', '白细胞介素-10(IL-10)', '425011', '白细胞介素-10测定--白细胞介素-10(IL-10)');
INSERT INTO `tran_lis_config` VALUES ('5102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-12p测定', '白细胞介素-12p(IL-12p)', '425753', '白细胞介素-12p测定--白细胞介素-12p(IL-12p)');
INSERT INTO `tran_lis_config` VALUES ('5103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-12测定', '白细胞介素-12(IL-12)', '424159', '白细胞介素-12测定--白细胞介素-12(IL-12)');
INSERT INTO `tran_lis_config` VALUES ('5104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-18测定', '白细胞介素-18(IL-18)', '425108', '白细胞介素-18测定--白细胞介素-18(IL-18)');
INSERT INTO `tran_lis_config` VALUES ('5105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-1β测定', '白细胞介素-1β(IL-1β)', '425730', '白细胞介素-1β测定--白细胞介素-1β(IL-1β)');
INSERT INTO `tran_lis_config` VALUES ('5106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-1测定', '白细胞介素-1(IL-1)', '425215', '白细胞介素-1测定--白细胞介素-1(IL-1)');
INSERT INTO `tran_lis_config` VALUES ('5107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-2测定', '白细胞介素-2(IL-2)', '425821', '白细胞介素-2测定--白细胞介素-2(IL-2)');
INSERT INTO `tran_lis_config` VALUES ('5108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-4测定', '白细胞介素-4(IL-4)', '426053', '白细胞介素-4测定--白细胞介素-4(IL-4)');
INSERT INTO `tran_lis_config` VALUES ('5109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-5测定', '白细胞介素-5(IL-5)', '425232', '白细胞介素-5测定--白细胞介素-5(IL-5)');
INSERT INTO `tran_lis_config` VALUES ('5110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-6测定', '白细胞介素-6(IL-6)', '425834', '白细胞介素-6测定--白细胞介素-6(IL-6)');
INSERT INTO `tran_lis_config` VALUES ('5111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素-8测定', '白细胞介素-8(IL-8)', '425555', '白细胞介素-8测定--白细胞介素-8(IL-8)');
INSERT INTO `tran_lis_config` VALUES ('5112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素受体测定', '白细胞介素受体2', '424140', '白细胞介素受体测定--白细胞介素受体2');
INSERT INTO `tran_lis_config` VALUES ('5113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素受体测定', '白细胞介素受体4', '424139', '白细胞介素受体测定--白细胞介素受体4');
INSERT INTO `tran_lis_config` VALUES ('5114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素受体测定', '白细胞介素受体6', '424142', '白细胞介素受体测定--白细胞介素受体6');
INSERT INTO `tran_lis_config` VALUES ('5115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞介素受体测定', '白细胞介素受体7', '424141', '白细胞介素受体测定--白细胞介素受体7');
INSERT INTO `tran_lis_config` VALUES ('5116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞黏附抑制试验', '白细胞黏附抑制试验', '425679', '白细胞黏附抑制试验--白细胞黏附抑制试验');
INSERT INTO `tran_lis_config` VALUES ('5117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞杀菌功能试验', '白细胞杀菌功能试验', '424865', '白细胞杀菌功能试验--白细胞杀菌功能试验');
INSERT INTO `tran_lis_config` VALUES ('5118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞杀伤功能试验', '白细胞杀伤功能试验', '425949', '白细胞杀伤功能试验--白细胞杀伤功能试验');
INSERT INTO `tran_lis_config` VALUES ('5119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞特异性和组织相关融性抗体测定', '组织相容性(HLA)抗体', '424394', '白细胞特异性和组织相关融性抗体测定--组织相容性(HLA)抗体');
INSERT INTO `tran_lis_config` VALUES ('5120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞特异性和组织相关融性抗体测定', 'HLA抗体', '425055', '白细胞特异性和组织相关融性抗体测定--HLA抗体');
INSERT INTO `tran_lis_config` VALUES ('5121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞吞噬功能试验', '白细胞吞噬功能试验', '426062', '白细胞吞噬功能试验--白细胞吞噬功能试验');
INSERT INTO `tran_lis_config` VALUES ('5122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白细胞粘附抑制试验', '白细胞粘附抑制试验', '425954', '白细胞粘附抑制试验--白细胞粘附抑制试验');
INSERT INTO `tran_lis_config` VALUES ('5123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '百日咳杆菌抗体测定', '百日咳杆菌抗体', '425394', '百日咳杆菌抗体--百日咳杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '斑疹伤寒抗体测定', '斑疹伤寒抗体', '425613', '斑疹伤寒抗体--斑疹伤寒抗体');
INSERT INTO `tran_lis_config` VALUES ('5125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '孢子丝菌免疫学试验', '孢子丝菌免疫学试验', '424793', '孢子丝菌免疫学试验--孢子丝菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('5126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鼻咽癌EB病毒抗体2项', 'EB病毒早期抗原(EA-IgA)', '426127', '鼻咽癌EB病毒抗体2项--EB病毒早期抗原(EA-IgA)');
INSERT INTO `tran_lis_config` VALUES ('5127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鼻咽癌EB病毒抗体2项', 'EB病毒壳抗原(VCA-IgA)', '425861', '鼻咽癌EB病毒抗体2项--EB病毒壳抗原(VCA-IgA)');
INSERT INTO `tran_lis_config` VALUES ('5128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '吡啶酚测定', '吡啶酚(PYD)', '424888', '吡啶酚测定--吡啶酚(PYD)');
INSERT INTO `tran_lis_config` VALUES ('5129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变性珠蛋白小体测定', '变性珠蛋白小体(Heinz小体)', '424170', '变性珠蛋白小体测定--变性珠蛋白小体(Heinz小体)');
INSERT INTO `tran_lis_config` VALUES ('5130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '变应原特异性IgE', '425233', '变应原特异性IgE测定--变应原特异性IgE');
INSERT INTO `tran_lis_config` VALUES ('5131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：矮豚草', '424816', '变应原特异性IgE测定--过敏原：矮豚草');
INSERT INTO `tran_lis_config` VALUES ('5132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：点青霉', '426164', '变应原特异性IgE测定--过敏原：点青霉');
INSERT INTO `tran_lis_config` VALUES ('5133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：烟曲霉', '424121', '变应原特异性IgE测定--过敏原：烟曲霉');
INSERT INTO `tran_lis_config` VALUES ('5134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：狗毛皮屑', '424851', '变应原特异性IgE测定--过敏原：狗毛皮屑');
INSERT INTO `tran_lis_config` VALUES ('5135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：鸡蛋白', '424372', '变应原特异性IgE测定--过敏原：鸡蛋白');
INSERT INTO `tran_lis_config` VALUES ('5136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：芒果', '425289', '变应原特异性IgE测定--过敏原：芒果');
INSERT INTO `tran_lis_config` VALUES ('5137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：猫毛皮屑', '424162', '变应原特异性IgE测定--过敏原：猫毛皮屑');
INSERT INTO `tran_lis_config` VALUES ('5138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：牛奶', '425697', '变应原特异性IgE测定--过敏原：牛奶');
INSERT INTO `tran_lis_config` VALUES ('5139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：牛肉', '425549', '变应原特异性IgE测定--过敏原：牛肉');
INSERT INTO `tran_lis_config` VALUES ('5140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：青贝', '424237', '变应原特异性IgE测定--过敏原：青贝');
INSERT INTO `tran_lis_config` VALUES ('5141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：沙尘螨', '425012', '变应原特异性IgE测定--过敏原：沙尘螨');
INSERT INTO `tran_lis_config` VALUES ('5142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：屋尘螨', '424113', '变应原特异性IgE测定--过敏原：屋尘螨');
INSERT INTO `tran_lis_config` VALUES ('5143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：梧/桐/杨/柳/榆树', '426189', '变应原特异性IgE测定--过敏原：梧/桐/杨/柳/榆树');
INSERT INTO `tran_lis_config` VALUES ('5144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：西瓜', '424772', '变应原特异性IgE测定--过敏原：西瓜');
INSERT INTO `tran_lis_config` VALUES ('5145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：虾', '424210', '变应原特异性IgE测定--过敏原：虾');
INSERT INTO `tran_lis_config` VALUES ('5146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：蟹', '424544', '变应原特异性IgE测定--过敏原：蟹');
INSERT INTO `tran_lis_config` VALUES ('5147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：羊肉', '425736', '变应原特异性IgE测定--过敏原：羊肉');
INSERT INTO `tran_lis_config` VALUES ('5148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：腰果', '425981', '变应原特异性IgE测定--过敏原：腰果');
INSERT INTO `tran_lis_config` VALUES ('5149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：鱼', '426098', '变应原特异性IgE测定--过敏原：鱼');
INSERT INTO `tran_lis_config` VALUES ('5150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：蟑螂', '425653', '变应原特异性IgE测定--过敏原：蟑螂');
INSERT INTO `tran_lis_config` VALUES ('5151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：自定义', '424415', '变应原特异性IgE测定--过敏原：自定义');
INSERT INTO `tran_lis_config` VALUES ('5152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙氨酸氨基转移酶测定', '丙氨酸氨基转移酶(ALT)', '424227', '丙氨酸氨基转移酶测定--丙氨酸氨基转移酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('5153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝RNA定量', '丙肝RNA定量', '426067', '丙肝RNA定量--丙肝RNA定量');
INSERT INTO `tran_lis_config` VALUES ('5154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝RNA定性', '丙肝RNA定性', '424470', '丙肝RNA定性--丙肝RNA定性');
INSERT INTO `tran_lis_config` VALUES ('5155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝核心抗原测定', '丙肝核心抗原(HCVCAg)', '425326', '丙肝核心抗原测定--丙肝核心抗原(HCVCAg)');
INSERT INTO `tran_lis_config` VALUES ('5156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙型肝炎核心抗原测定', '丙型肝炎核心抗原', '424778', '丙型肝炎核心抗原测定--丙型肝炎核心抗原');
INSERT INTO `tran_lis_config` VALUES ('5157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙型肝炎抗体测定', '丙型肝炎抗体', '425931', '丙型肝炎抗体测定--丙型肝炎抗体');
INSERT INTO `tran_lis_config` VALUES ('5158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体1抑制因子测定', '补体1抑制因子', '425897', '补体1抑制因子测定--补体1抑制因子');
INSERT INTO `tran_lis_config` VALUES ('5159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C1q测定', '补体C1q', '426005', '补体C1q测定--补体C1q');
INSERT INTO `tran_lis_config` VALUES ('5160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C1r测定', '补体C1r', '424948', '补体C1r测定--补体C1r');
INSERT INTO `tran_lis_config` VALUES ('5161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C1s测定', '补体C1s', '424539', '补体C1s测定--补体C1s');
INSERT INTO `tran_lis_config` VALUES ('5162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C2测定', '补体C2', '425699', '补体C2测定--补体C2');
INSERT INTO `tran_lis_config` VALUES ('5163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C3b受体花环试验', '补体C3b受体花环试验', '425948', '补体C3b受体花环试验--补体C3b受体花环试验');
INSERT INTO `tran_lis_config` VALUES ('5164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C3测定', '补体C3', '424420', '补体C3测定--补体C3');
INSERT INTO `tran_lis_config` VALUES ('5165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C4测定', '补体C4', '425347', '补体C4测定--补体C4');
INSERT INTO `tran_lis_config` VALUES ('5166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C5测定', '补体C5', '424628', '补体C5测定--补体C5');
INSERT INTO `tran_lis_config` VALUES ('5167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C6测定', '补体C6', '424453', '补体C6测定--补体C6');
INSERT INTO `tran_lis_config` VALUES ('5168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C7测定', '补体C7', '426190', '补体C7测定--补体C7');
INSERT INTO `tran_lis_config` VALUES ('5169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C8测定', '补体C8', '425726', '补体C8测定--补体C8');
INSERT INTO `tran_lis_config` VALUES ('5170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体C9测定', '补体C9', '424158', '补体C9测定--补体C9');
INSERT INTO `tran_lis_config` VALUES ('5171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体旁路B因子测定', '补体旁路B因子', '426050', '补体旁路B因子测定--补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('5172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不加热血清反应素试验', '不加热血清反应素试验(USR)', '424413', '不加热血清反应素试验--不加热血清反应素试验(USR)');
INSERT INTO `tran_lis_config` VALUES ('5173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育4项', '抗子宫内膜抗体(EMAb)', '425379', '不孕不育4项--抗子宫内膜抗体(EMAb)');
INSERT INTO `tran_lis_config` VALUES ('5174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育4项', '抗卵巢抗体(AoAb)', '425641', '不孕不育4项--抗卵巢抗体(AoAb)');
INSERT INTO `tran_lis_config` VALUES ('5175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育4项', '抗心磷脂抗体(ACA)', '424715', '不孕不育4项--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育4项', '抗精子抗体(AsAb)', '425882', '不孕不育4项--抗精子抗体(AsAb)');
INSERT INTO `tran_lis_config` VALUES ('5177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗子宫内膜抗体(EMAb)', '424288', '不孕不育7项--抗子宫内膜抗体(EMAb)');
INSERT INTO `tran_lis_config` VALUES ('5178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗卵巢抗体(AoAb)', '425109', '不孕不育7项--抗卵巢抗体(AoAb)');
INSERT INTO `tran_lis_config` VALUES ('5179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗心磷脂抗体(ACA)', '425965', '不孕不育7项--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗精子抗体(AsAb)', '425869', '不孕不育7项--抗精子抗体(AsAb)');
INSERT INTO `tran_lis_config` VALUES ('5181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗人绒毛膜促性腺激素抗体(HCGAb)', '425428', '不孕不育7项--抗人绒毛膜促性腺激素抗体(HCGAb)');
INSERT INTO `tran_lis_config` VALUES ('5182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗滋养层细胞膜抗体(TA-IgG)', '424913', '不孕不育7项--抗滋养层细胞膜抗体(TA-IgG)');
INSERT INTO `tran_lis_config` VALUES ('5183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不孕不育7项', '抗透明带抗体(AZPAb)', '425865', '不孕不育7项--抗透明带抗体(AZPAb)');
INSERT INTO `tran_lis_config` VALUES ('5184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '布氏杆菌凝集试验', '凝集效价', '424295', '布氏杆菌凝集试验--布氏杆菌凝集试验');
INSERT INTO `tran_lis_config` VALUES ('5185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '餐后1h葡萄糖测定', '葡萄糖(GLU)', '425550', '餐后1h葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '餐后2h葡萄糖测定', '葡萄糖(GLU)', '425225', '餐后2h葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '餐后胰岛素测定', '胰岛素(Ins)', '425688', '餐后胰岛素测定--胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('5188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '层粘连蛋白测定', '层粘连蛋白(LN)', '424972', '层粘连蛋白测定--层粘连蛋白(LN)');
INSERT INTO `tran_lis_config` VALUES ('5189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肠道病毒71型IgM抗体测定', '肠道病毒71型IgM抗体', '424954', '肠道病毒71型IgM抗体测定--肠道病毒71型IgM抗体');
INSERT INTO `tran_lis_config` VALUES ('5190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肠毒素测定', '肠毒素', '426101', '肠毒素测定--肠毒素');
INSERT INTO `tran_lis_config` VALUES ('5191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '超敏C反应蛋白测定', '超敏C反应蛋白(hs-CRP)', '424811', '超敏C反应蛋白测定--超敏C反应蛋白(hs-CRP)');
INSERT INTO `tran_lis_config` VALUES ('5192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '超敏肌钙蛋白测定', '超敏肌钙蛋白', '424513', '超敏肌钙蛋白测定--超敏肌钙蛋白');
INSERT INTO `tran_lis_config` VALUES ('5193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '超氧化物歧化酶测定', '超氧化物歧化酶(SOD)', '425268', '超氧化物歧化酶测定--超氧化物歧化酶(SOD)');
INSERT INTO `tran_lis_config` VALUES ('5194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出血时间测定', '出血时间(BT)', '425140', '出血时间测定--出血时间(BT)');
INSERT INTO `tran_lis_config` VALUES ('5195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '触珠蛋白测定', '触珠蛋白', '425566', '触珠蛋白测定--触珠蛋白');
INSERT INTO `tran_lis_config` VALUES ('5196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '肠杆菌科细菌', '425905', '创面分泌物培养-肠杆菌科细菌');
INSERT INTO `tran_lis_config` VALUES ('5197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '创面分泌物培养', '424024', '创面分泌物培养-创面分泌物培养');
INSERT INTO `tran_lis_config` VALUES ('5198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '化脓性链球菌', '424131', '创面分泌物培养-化脓性链球菌');
INSERT INTO `tran_lis_config` VALUES ('5199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '金黄色葡萄球菌', '424528', '创面分泌物培养-金黄色葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('5200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '诺卡菌', '425986', '创面分泌物培养-诺卡菌');
INSERT INTO `tran_lis_config` VALUES ('5201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '铜绿假单胞菌', '424955', '创面分泌物培养-铜绿假单胞菌');
INSERT INTO `tran_lis_config` VALUES ('5202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '厌氧菌', '424799', '创面分泌物培养-厌氧菌');
INSERT INTO `tran_lis_config` VALUES ('5203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '自定义', '425409', '创面分泌物培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('5204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌二醇测定', '雌二醇(E2)', '425253', '雌二醇测定--雌二醇(E2)');
INSERT INTO `tran_lis_config` VALUES ('5205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌三醇测定', '雌三醇(E3)', '425195', '雌三醇测定--雌三醇(E3)');
INSERT INTO `tran_lis_config` VALUES ('5206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌酮测定', '雌酮(E1)', '425368', '雌酮测定--雌酮(E1)');
INSERT INTO `tran_lis_config` VALUES ('5207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促红细胞生成素测定', '促红细胞生成素(EPO)', '424166', '促红细胞生成素测定--促红细胞生成素(EPO)');
INSERT INTO `tran_lis_config` VALUES ('5208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促黄体生成素测定', '促黄体生成素(LH)', '425373', '促黄体生成素测定--促黄体生成素(LH)');
INSERT INTO `tran_lis_config` VALUES ('5209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素测定', '促甲状腺激素(TSH)', '425787', '促甲状腺激素--促甲状腺激素(TSH)');
INSERT INTO `tran_lis_config` VALUES ('5210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素兴奋试验', '0minTSH', '424180', '促甲状腺激素释放激素兴奋试验--0minTSH');
INSERT INTO `tran_lis_config` VALUES ('5211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素兴奋试验', '15minTSH', '425410', '促甲状腺激素释放激素兴奋试验--15minTSH');
INSERT INTO `tran_lis_config` VALUES ('5212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素兴奋试验', '30minTSH', '425716', '促甲状腺激素释放激素兴奋试验--30minTSH');
INSERT INTO `tran_lis_config` VALUES ('5213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素兴奋试验', '60minTSH', '424758', '促甲状腺激素释放激素兴奋试验--60minTSH');
INSERT INTO `tran_lis_config` VALUES ('5214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺激素释放激素兴奋试验', '120minTSH', '424385', '促甲状腺激素释放激素兴奋试验--120minTSH');
INSERT INTO `tran_lis_config` VALUES ('5215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺素受体抗体测定', '促甲状腺素受体抗体(TRAb)', '424976', '促甲状腺素受体抗体测定--促甲状腺素受体抗体(TRAb)');
INSERT INTO `tran_lis_config` VALUES ('5216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素测定', '促肾上腺皮质激素(ACTH)', '426115', '促肾上腺皮质激素测定--促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('5217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '-15min促肾上腺皮质激素', '424381', '促肾上腺皮质激素释放激素兴奋试验---15min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '0min促肾上腺皮质激素', '424722', '促肾上腺皮质激素释放激素兴奋试验--0min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '15min促肾上腺皮质激素', '425089', '促肾上腺皮质激素释放激素兴奋试验--15min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '30min促肾上腺皮质激素', '425922', '促肾上腺皮质激素释放激素兴奋试验--30min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '60min促肾上腺皮质激素', '425942', '促肾上腺皮质激素释放激素兴奋试验--60min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '90min促肾上腺皮质激素', '425939', '促肾上腺皮质激素释放激素兴奋试验--90min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '120min促肾上腺皮质激素', '425676', '促肾上腺皮质激素释放激素兴奋试验--120min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '150min促肾上腺皮质激素', '424570', '促肾上腺皮质激素释放激素兴奋试验--150min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素兴奋试验', '180min促肾上腺皮质激素', '424622', '促肾上腺皮质激素释放激素兴奋试验--180min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('5226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿17—羟皮质类固醇(17-OH-CS)', '424281', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('5227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿17—酮皮质类固醇(17-KS)', '426070', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('5228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第一天24小时尿游离皮质醇', '425689', '促肾上腺皮质激素兴奋试验(传统法)--第一天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿17—羟皮质类固醇(17-OH-CS)', '424827', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('5230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿17—酮皮质类固醇(17-KS)', '425302', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('5231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第二天24小时尿游离皮质醇', '425528', '促肾上腺皮质激素兴奋试验(传统法)--第二天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿17—羟皮质类固醇(17-OH-CS)', '425703', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('5233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿17—酮皮质类固醇(17-KS)', '425767', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('5234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第三天24小时尿游离皮质醇', '425234', '促肾上腺皮质激素兴奋试验(传统法)--第三天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿17—羟皮质类固醇(17-OH-CS)', '424699', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('5236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿17—酮皮质类固醇(17-KS)', '424893', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('5237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(传统法)', '第四天24小时尿游离皮质醇', '425396', '促肾上腺皮质激素兴奋试验(传统法)--第四天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(快速法)', '注射前60分钟血皮质醇', '425857', '促肾上腺皮质激素兴奋试验(快速法)--注射前60分钟血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(快速法)', '注射前20分钟血皮质醇', '425300', '促肾上腺皮质激素兴奋试验(快速法)--注射前20分钟血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(快速法)', '注射后20分钟血皮质醇', '424582', '促肾上腺皮质激素兴奋试验(快速法)--注射后20分钟血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验(快速法)', '注射后60分钟血皮质醇', '424040', '促肾上腺皮质激素兴奋试验(快速法)--注射后60分钟血皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促性腺激素释放激素兴奋试验', '促性腺激素释放激素(GnRH)兴奋试验', '425525', '促性腺激素释放激素兴奋试验--促性腺激素释放激素(GnRH)兴奋试验');
INSERT INTO `tran_lis_config` VALUES ('5243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促胰液素测定', '促胰液素(secretin)', '425484', '促胰液素测定--促胰液素(secretin)');
INSERT INTO `tran_lis_config` VALUES ('5244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '醋酸去氨加压素试验', '醋酸去氨加压素试验', '424299', '醋酸去氨加压素试验--醋酸去氨加压素试验');
INSERT INTO `tran_lis_config` VALUES ('5245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '催产素激惹试验', '催产素激惹试验(OCT)', '425482', '催产素激惹试验--催产素激惹试验(OCT)');
INSERT INTO `tran_lis_config` VALUES ('5246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '大环内酯类抗生素耐药测定', '大环内酯类抗生素耐药测定', '424998', '大环内酯类抗生素耐药测定--大环内酯类抗生素耐药测定');
INSERT INTO `tran_lis_config` VALUES ('5247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '带状疱疹病毒抗体测定', '带状疱疹病毒抗体', '426037', '带状疱疹病毒抗体测定--带状疱疹病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单胺氧化酶测定', '单胺氧化酶(MAO)', '425985', '单胺氧化酶测定--单胺氧化酶(MAO)');
INSERT INTO `tran_lis_config` VALUES ('5249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单胺氧化酶同工酶测定', '单胺氧化酶同工酶', '425120', '单胺氧化酶同工酶测定--单胺氧化酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('5250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒II型抗体测定', '单纯疱疹病毒II型抗体IgG', '424177', '单纯疱疹病毒II型抗体测定--单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒II型抗体测定', '单纯疱疹病毒II型抗体IgM', '424179', '单纯疱疹病毒II型抗体测定--单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒I型抗体测定', '单纯疱疹病毒I型抗体IgG', '425635', '单纯疱疹病毒Ⅰ型抗体测定--单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒I型抗体测定', '单纯疱疹病毒I型抗体IgM', '425631', '单纯疱疹病毒Ⅰ型抗体测定--单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒抗体测定', '单纯疱疹病毒II型抗体IgG', '424837', '单纯疱疹病毒抗体测定--单纯疱疹病毒II型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒抗体测定', '单纯疱疹病毒II型抗体IgM', '424841', '单纯疱疹病毒抗体测定--单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒抗体测定', '单纯疱疹病毒I型抗体IgG', '424783', '单纯疱疹病毒抗体测定--单纯疱疹病毒I型抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒抗体测定', '单纯疱疹病毒I型抗体IgM', '424781', '单纯疱疹病毒抗体测定--单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒抗原测定', '单纯疱疹病毒抗原', '424943', '单纯疱疹病毒抗原测定--单纯疱疹病毒抗原');
INSERT INTO `tran_lis_config` VALUES ('5259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单核细胞增多性李斯特菌抗体测定', '单核细胞增多性李斯特菌抗体', '425361', '单核细胞增多性李斯特菌抗体--单核细胞增多性李斯特菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胆碱脂酶测定', '胆碱脂酶(ChE)', '424256', '胆碱脂酶测定--胆碱脂酶(ChE)');
INSERT INTO `tran_lis_config` VALUES ('5261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胆囊收缩素测定', '胆囊收缩素(CCK)', '425301', '胆囊收缩素测定--胆囊收缩素(CCK)');
INSERT INTO `tran_lis_config` VALUES ('5262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胆酸测定', '胆酸(BA)', '425839', '胆酸测定--胆酸(BA)');
INSERT INTO `tran_lis_config` VALUES ('5263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '等克分子前列腺特异抗原测定', '等克分子前列腺特异抗原', '425717', '等克分子前列腺特异抗原测定--等克分子前列腺特异抗原');
INSERT INTO `tran_lis_config` VALUES ('5264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '低分子肝素测定', '低分子肝素(LMWH)', '426119', '低分子肝素测定--低分子肝素(LMWH)');
INSERT INTO `tran_lis_config` VALUES ('5265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '低密度脂蛋白胆固醇测定', '低密度脂蛋白胆固醇(LDL-C)', '425553', '低密度脂蛋白胆固醇测定--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('5266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碘测定', '碘(I)', '424759', '碘测定--碘(I)');
INSERT INTO `tran_lis_config` VALUES ('5267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉样蛋白测定', '淀粉样蛋白(SAA)', '425875', '淀粉样蛋白测定--淀粉样蛋白(SAA)');
INSERT INTO `tran_lis_config` VALUES ('5268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丁型肝炎抗体测定', '丁肝病毒抗体(HDVAb)', '424664', '丁型肝炎抗体测定--丁型肝炎抗体');
INSERT INTO `tran_lis_config` VALUES ('5269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丁型肝炎抗原测定', '丁肝病毒抗原(HDVAg)', '425451', '丁型肝炎抗原测定--丁肝病毒抗原(HDVAg)');
INSERT INTO `tran_lis_config` VALUES ('5270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '血红蛋白浓度(HGB)', '424593', '动脉血气分析--血红蛋白(Hb)');
INSERT INTO `tran_lis_config` VALUES ('5271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '吸氧浓度(FIO2)', '424962', '动脉血气分析--吸氧浓度(FIO2)');
INSERT INTO `tran_lis_config` VALUES ('5272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '酸碱度(PH)', '425855', '动脉血气分析--酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('5273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '二氧化碳分压(PCO2)', '424402', '动脉血气分析--二氧化碳分压(PCO2)');
INSERT INTO `tran_lis_config` VALUES ('5274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '氧分压(PaO2)', '424359', '动脉血气分析--氧分压(PaO2)');
INSERT INTO `tran_lis_config` VALUES ('5275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '总二氧化碳(TCO2)', '424424', '动脉血气分析--总二氧化碳(TCO2)');
INSERT INTO `tran_lis_config` VALUES ('5276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '碳酸氢根(HCO3)', '424791', '动脉血气分析--碳酸氢根(HCO3)');
INSERT INTO `tran_lis_config` VALUES ('5277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '剩余碱(BE)', '425646', '动脉血气分析--剩余碱(BE)');
INSERT INTO `tran_lis_config` VALUES ('5278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '细胞外剩余碱(Beecf)', '425058', '动脉血气分析--细胞外剩余碱(Beecf)');
INSERT INTO `tran_lis_config` VALUES ('5279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '标准碳酸氢盐(SB)', '425264', '动脉血气分析--标准碳酸氢盐(SB)');
INSERT INTO `tran_lis_config` VALUES ('5280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '氧饱和度(O2sat)', '425259', '动脉血气分析--氧饱和度(O2sat)');
INSERT INTO `tran_lis_config` VALUES ('5281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '肺泡-静脉氧分压差(A-aDO2)', '425090', '动脉血气分析--肺泡-静脉氧分压差(A-aDO2)');
INSERT INTO `tran_lis_config` VALUES ('5282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动脉血气分析', '呼吸度(RI)', '424442', '动脉血气分析--呼吸度(RI)');
INSERT INTO `tran_lis_config` VALUES ('5283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动物性过敏原测定', '动物性过敏原', '425454', '动物性过敏原测定--动物性过敏原');
INSERT INTO `tran_lis_config` VALUES ('5284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '动物性过敏原特异性IgE测定', '动物性过敏原特异性IgE', '425470', '动物性过敏原特异性IgE测定--动物性过敏原特异性IgE');
INSERT INTO `tran_lis_config` VALUES ('5285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '端粒酶活性测定', '端粒酶活性', '424231', '端粒酶活性测定--端粒酶活性');
INSERT INTO `tran_lis_config` VALUES ('5286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '恶性肿瘤特异生长因子测定', '恶性肿瘤特异生长因子(TSGF)', '425769', '恶性肿瘤特异生长因子测定--恶性肿瘤特异生长因子(TSGF)');
INSERT INTO `tran_lis_config` VALUES ('5287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '二氧化碳结合力测定', '二氧化碳结合力(CO2CP)', '425695', '二氧化碳结合力测定--二氧化碳结合力(CO2CP)');
INSERT INTO `tran_lis_config` VALUES ('5288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '反T3测定', '反T3', '424518', '反T3测定--反T3');
INSERT INTO `tran_lis_config` VALUES ('5289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '非结合型雌三醇测定', '非结合型雌三醇(UE3)', '425180', '非结合型雌三醇测定--非结合型雌三醇(UE3)');
INSERT INTO `tran_lis_config` VALUES ('5290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PA', '425026', '肥达氏反应--PA');
INSERT INTO `tran_lis_config` VALUES ('5291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PB', '425025', '肥达氏反应--PB');
INSERT INTO `tran_lis_config` VALUES ('5292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PC', '425010', '肥达氏反应--PC');
INSERT INTO `tran_lis_config` VALUES ('5293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'TH', '425073', '肥达氏反应--TH');
INSERT INTO `tran_lis_config` VALUES ('5294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'TO', '425076', '肥达氏反应--TO');
INSERT INTO `tran_lis_config` VALUES ('5295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥大细胞脱颗粒试验', '肥大细胞脱颗粒试验', '424977', '肥大细胞脱颗粒试验--肥大细胞脱颗粒试验');
INSERT INTO `tran_lis_config` VALUES ('5296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺癌标志物5项', '癌胚抗原(CEA)', '425639', '肺癌标志物5项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('5297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺癌标志物5项', '神经元特异性烯醇化酶(NSE)', '425943', '肺癌标志物5项--神经元特异性烯醇化酶(NSE)');
INSERT INTO `tran_lis_config` VALUES ('5298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺癌标志物5项', '鳞状细胞癌相关抗原(SCC)', '425620', '肺癌标志物5项--鳞状细胞癌相关抗原(SCC)');
INSERT INTO `tran_lis_config` VALUES ('5299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺癌标志物5项', '糖类抗原CA-125', '425420', '肺癌标志物5项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('5300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺癌标志物5项', '细胞角蛋白19片段(CYFRA21-1)', '424421', '肺癌标志物5项--细胞角蛋白19片段(CYFRA21-1)');
INSERT INTO `tran_lis_config` VALUES ('5301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺吸虫抗原和抗体测定', '肺吸虫抗原', '426048', '肺吸虫抗原和抗体测定--肺吸虫抗原');
INSERT INTO `tran_lis_config` VALUES ('5302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺吸虫抗原和抗体测定', '肺吸虫抗体', '424387', '肺吸虫抗原和抗体测定--肺吸虫抗体');
INSERT INTO `tran_lis_config` VALUES ('5303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎克雷伯杆菌抗体测定', '肺炎克雷伯杆菌抗体', '425806', '肺炎克雷伯杆菌抗体测定--肺炎克雷伯杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎链球菌测定', '肺炎链球菌', '425913', '肺炎链球菌测定--肺炎链球菌');
INSERT INTO `tran_lis_config` VALUES ('5305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎衣原体抗体测定', '肺炎衣原体抗体(CP)', '424891', '肺炎衣原体抗体测定--肺炎衣原体抗体(CP)');
INSERT INTO `tran_lis_config` VALUES ('5306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体补体结合试验', '肺炎支原体补体结合试验', '425254', '肺炎支原体补体结合试验--肺炎支原体补体结合试验');
INSERT INTO `tran_lis_config` VALUES ('5307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体抗原测定', '肺炎支原体抗原', '425135', '肺炎支原体抗原测定--肺炎支原体抗原');
INSERT INTO `tran_lis_config` VALUES ('5308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体免疫学试验', '肺炎支原体免疫学试验', '424186', '肺炎支原体免疫学试验--肺炎支原体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('5309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '分泌型免疫球蛋白A测定', '分泌型免疫球蛋白A', '425799', '分泌型免疫球蛋白A测定--分泌型免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('5310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酚妥拉明试验', '酚妥拉明试验', '424918', '酚妥拉明试验--酚妥拉明试验');
INSERT INTO `tran_lis_config` VALUES ('5311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '颜色', '424283', '粪便常规--颜色');
INSERT INTO `tran_lis_config` VALUES ('5312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '性状', '425654', '粪便常规--性状');
INSERT INTO `tran_lis_config` VALUES ('5313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '寄生虫虫体', '425936', '粪便常规--寄生虫虫体');
INSERT INTO `tran_lis_config` VALUES ('5314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '红细胞计数(RBC)', '425157', '粪便常规--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('5315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '脓细胞计数', '424561', '粪便常规--脓细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '未消化食物', '424875', '粪便常规--未消化食物');
INSERT INTO `tran_lis_config` VALUES ('5317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪脂肪球', '426014', '粪便常规--粪脂肪球');
INSERT INTO `tran_lis_config` VALUES ('5318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便粘液', '424354', '粪便常规--粪便粘液');
INSERT INTO `tran_lis_config` VALUES ('5319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便寄生虫卵', '425535', '粪便常规--粪便寄生虫卵');
INSERT INTO `tran_lis_config` VALUES ('5320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '其他', '424984', '粪便常规--其他');
INSERT INTO `tran_lis_config` VALUES ('5321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '颜色', '424311', '粪便常规+隐血--颜色');
INSERT INTO `tran_lis_config` VALUES ('5322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '性状', '425119', '粪便常规+隐血--性状');
INSERT INTO `tran_lis_config` VALUES ('5323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '寄生虫虫体', '424672', '粪便常规+隐血--寄生虫虫体');
INSERT INTO `tran_lis_config` VALUES ('5324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '红细胞计数(RBC)', '426016', '粪便常规+隐血--红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '脓细胞计数', '424349', '粪便常规+隐血--脓细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '未消化食物', '426152', '粪便常规+隐血--未消化食物');
INSERT INTO `tran_lis_config` VALUES ('5327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '粪脂肪球', '424936', '粪便常规+隐血--粪脂肪球');
INSERT INTO `tran_lis_config` VALUES ('5328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '粪便粘液', '424418', '粪便常规+隐血--粪便粘液');
INSERT INTO `tran_lis_config` VALUES ('5329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '粪便寄生虫卵', '424856', '粪便常规+隐血--粪便寄生虫卵');
INSERT INTO `tran_lis_config` VALUES ('5330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '隐血', '425658', '粪便常规+隐血--隐血');
INSERT INTO `tran_lis_config` VALUES ('5331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规+隐血', '其他', '424479', '粪便常规+隐血--其他');
INSERT INTO `tran_lis_config` VALUES ('5332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便蛋白质定量', '蛋白质', '425636', '粪便蛋白质定量--蛋白质');
INSERT INTO `tran_lis_config` VALUES ('5333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便空肠弯曲菌抗原测定', '粪便空肠弯曲菌抗原', '424964', '粪便空肠弯曲菌抗原测定--粪便空肠弯曲菌抗原');
INSERT INTO `tran_lis_config` VALUES ('5334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便轮状病毒抗原测定', '轮状病毒抗原', '424850', '粪便轮状病毒抗原--轮状病毒抗原');
INSERT INTO `tran_lis_config` VALUES ('5335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便乳糖不耐受测定', '粪便乳糖不耐受', '424377', '粪便乳糖不耐受测定--粪便乳糖不耐受');
INSERT INTO `tran_lis_config` VALUES ('5336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便隐血试验', '粪便隐血', '424812', '粪便隐血试验--粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('5337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便幽门螺杆菌抗原测定', '幽门螺杆菌抗原', '425629', '粪便幽门螺杆菌抗原测定--幽门螺杆菌抗原');
INSERT INTO `tran_lis_config` VALUES ('5338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便脂肪定量测定', '粪便脂肪定量', '424543', '粪便脂肪定量测定--粪便脂肪定量');
INSERT INTO `tran_lis_config` VALUES ('5339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪胆色素检查', '胆红素(BIL)', '424530', '粪胆色素检查--胆红素(BIL)');
INSERT INTO `tran_lis_config` VALUES ('5340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪胆色素检查', '粪胆原', '425271', '粪胆色素检查--粪胆原');
INSERT INTO `tran_lis_config` VALUES ('5341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪胆色素检查', '粪胆素', '424540', '粪胆色素检查--粪胆素');
INSERT INTO `tran_lis_config` VALUES ('5342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪苏丹Ⅲ染色检查', '粪便苏丹Ⅲ染色', '425745', '粪苏丹Ⅲ染色检查--粪便苏丹Ⅲ染色');
INSERT INTO `tran_lis_config` VALUES ('5343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿3项', 'C反应蛋白(CRP)', '425244', '风湿3项--C反应蛋白(CRP)');
INSERT INTO `tran_lis_config` VALUES ('5344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿3项', '抗链球菌溶血素O(ASO)', '425670', '风湿3项--抗链球菌溶血素O(ASO)');
INSERT INTO `tran_lis_config` VALUES ('5345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿3项', '类风湿因子(RF)', '424536', '风湿3项--类风湿因子(RF)');
INSERT INTO `tran_lis_config` VALUES ('5346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿4项', 'C反应蛋白(CRP)', '424275', '风湿4项--C反应蛋白(CRP)');
INSERT INTO `tran_lis_config` VALUES ('5347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿4项', '抗链球菌溶血素O(ASO)', '425436', '风湿4项--抗链球菌溶血素O(ASO)');
INSERT INTO `tran_lis_config` VALUES ('5348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿4项', '类风湿因子(RF)', '424653', '风湿4项--类风湿因子(RF)');
INSERT INTO `tran_lis_config` VALUES ('5349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风湿4项', '红细胞沉降率(ESR)', '425440', '风湿4项--红细胞沉降率(ESR)');
INSERT INTO `tran_lis_config` VALUES ('5350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风疹病毒抗体测定', '风疹病毒抗体IgG', '426184', '风疹病毒抗体--风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '风疹病毒抗体测定', '风疹病毒抗体IgM', '426185', '风疹病毒抗体--风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氟喹诺酮类抗生素耐药测定', '氟喹诺酮类抗生素耐药测定', '425591', '氟喹诺酮类抗生素耐药测定--氟喹诺酮类抗生素耐药测定');
INSERT INTO `tran_lis_config` VALUES ('5353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '复钙交叉时间测定', '复钙交叉时间(CRT)', '424763', '复钙交叉时间测定--复钙交叉时间');
INSERT INTO `tran_lis_config` VALUES ('5354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '复钙时间及其纠正试验', '复钙时间及其纠正试验', '425426', '复钙时间及其纠正试验--复钙时间及其纠正试验');
INSERT INTO `tran_lis_config` VALUES ('5355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '复合前列腺特异性抗原测定', '复合前列腺特异性抗原(CPSA)', '425925', '复合前列腺特异性抗原测定--复合前列腺特异性抗原(CPSA)');
INSERT INTO `tran_lis_config` VALUES ('5356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '副百日咳杆菌抗体测定', '副百日咳杆菌抗体', '425674', '副百日咳杆菌抗体--副百日咳杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '副蛋白免疫学检查', '副蛋白免疫学检查', '424896', '副蛋白免疫学检查--副蛋白免疫学检查');
INSERT INTO `tran_lis_config` VALUES ('5358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '副流感病毒抗体测定', '副流感病毒抗体', '425711', '副流感病毒抗体测定--副流感病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '白蛋白', '424676', '腹膜透析液常规--白蛋白');
INSERT INTO `tran_lis_config` VALUES ('5360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '肌酐(Cr)', '426192', '腹膜透析液常规--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('5361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '尿素(Urea)', '425731', '腹膜透析液常规--尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('5362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '葡萄糖(GLU)', '424654', '腹膜透析液常规--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '钙(Ca)', '424903', '腹膜透析液常规--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('5364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '钾(K)', '425027', '腹膜透析液常规--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('5365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '氯(Cl)', '424407', '腹膜透析液常规--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('5366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液常规', '钠(Na)', '424476', '腹膜透析液常规--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('5367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液白蛋白测定', '白蛋白(Alb)', '424550', '腹腔积液白蛋白--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('5368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '外观', '425756', '腹腔积液常规--外观');
INSERT INTO `tran_lis_config` VALUES ('5369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '透明度', '424688', '腹腔积液常规--透明度');
INSERT INTO `tran_lis_config` VALUES ('5370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '细胞计数', '425539', '腹腔积液常规--细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '总蛋白定量', '424912', '腹腔积液常规--总蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('5372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '白蛋白定量', '424849', '腹腔积液常规--白蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('5373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '黏蛋白定性', '424510', '腹腔积液常规--黏蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('5374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '氯化物定量', '424686', '腹腔积液常规--氯化物定量');
INSERT INTO `tran_lis_config` VALUES ('5375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '葡萄糖(GLU)', '426117', '腹腔积液常规--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '淀粉酶(AMY)', '424247', '腹腔积液常规--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('5377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '乳酸脱氢酶(LD)', '426180', '腹腔积液常规--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('5378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液常规', '甘油三酯(TG)', '424713', '腹腔积液常规--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('5379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液淀粉酶测定', '淀粉酶(AMY)', '425622', '腹腔积液淀粉酶--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('5380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液乳糜试验', '腹腔积液乳糜试验', '425194', '腹腔积液乳糜试验--腹腔积液乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('5381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甘胆酸测定', '甘胆酸(CG)', '424981', '甘胆酸测定--甘胆酸(CG)');
INSERT INTO `tran_lis_config` VALUES ('5382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甘油测定', '甘油', '424500', '甘油测定--甘油');
INSERT INTO `tran_lis_config` VALUES ('5383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甘油三酯测定', '甘油三酯(TG)', '425002', '甘油三酯--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('5384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '白蛋白(Alb)', '424082', '肝功能12项--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('5385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '总蛋白(TP)', '424553', '肝功能12项--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('5386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '球蛋白(GLB)', '424392', '肝功能12项--球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('5387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '白/球蛋白比', '424624', '肝功能12项--白/球蛋白比');
INSERT INTO `tran_lis_config` VALUES ('5388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '总胆红素(T-Bil)', '425159', '肝功能12项--总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '直接胆红素(D-Bil)', '424931', '肝功能12项--直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '间接胆红素(I-Bil)', '425967', '肝功能12项--间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '谷丙转氨酶(ALT)', '424446', '肝功能12项--谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('5392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '谷草转氨酶(AST)', '425520', '肝功能12项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('5393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', 'AST/ALT', '426182', '肝功能12项--AST/ALT');
INSERT INTO `tran_lis_config` VALUES ('5394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '谷氨酰基转移酶(GGT)', '424328', '肝功能12项--谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('5395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能12项', '碱性磷酸酶(ALP)', '424820', '肝功能12项--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('5396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '白蛋白(Alb)', '425260', '肝功能15项--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('5397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '总蛋白(TP)', '425413', '肝功能15项--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('5398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '球蛋白(GLB)', '425672', '肝功能15项--球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('5399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '白/球蛋白比', '425430', '肝功能15项--白/球蛋白比');
INSERT INTO `tran_lis_config` VALUES ('5400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '总胆红素(T-Bil)', '425287', '肝功能15项--总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '直接胆红素(D-Bil)', '424951', '肝功能15项--直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '间接胆红素(I-Bil)', '425236', '肝功能15项--间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('5403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '谷丙转氨酶(ALT)', '424817', '肝功能15项--谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('5404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '谷草转氨酶(AST)', '424314', '肝功能15项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('5405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', 'AST/ALT', '424958', '肝功能15项--AST/ALT');
INSERT INTO `tran_lis_config` VALUES ('5406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '谷氨酰基转移酶(GGT)', '424724', '肝功能15项--谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('5407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '碱性磷酸酶(ALP)', '425048', '肝功能15项--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('5408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '总胆汁酸(TBA)', '425957', '肝功能15项--总胆汁酸(TBA)');
INSERT INTO `tran_lis_config` VALUES ('5409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', '甘氨酰脯氨酸二肽氨基酞酶', '425589', '肝功能15项--甘氨酰脯氨酸二肽氨基酞酶');
INSERT INTO `tran_lis_config` VALUES ('5410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能15项', 'α-L-岩藻糖苷酶(AFU)', '424475', '肝功能15项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `tran_lis_config` VALUES ('5411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝素辅因子Ⅱ活性测定', '肝素辅因子Ⅱ活性', '426118', '肝素辅因子Ⅱ活性测定--肝素辅因子Ⅱ活性');
INSERT INTO `tran_lis_config` VALUES ('5412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝素结合蛋白测定', '肝素结合蛋白(HBP)', '425610', '肝素结合蛋白测定--肝素结合蛋白(HBP)');
INSERT INTO `tran_lis_config` VALUES ('5413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝细胞膜特异性脂蛋白测定', '肝细胞膜特异性脂蛋白', '425376', '肝细胞膜特异性脂蛋白测定--肝细胞膜特异性脂蛋白');
INSERT INTO `tran_lis_config` VALUES ('5414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化4项', 'Ⅳ型胶原(CG-Ⅳ)', '424361', '肝纤维化4项--Ⅳ型胶原(CG-Ⅳ)');
INSERT INTO `tran_lis_config` VALUES ('5415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化4项', 'Ⅲ型前胶原肽(PC-Ⅲ)', '425623', '肝纤维化4项--Ⅲ型前胶原肽(PC-Ⅲ)');
INSERT INTO `tran_lis_config` VALUES ('5416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化4项', '透明质酸(HA)', '424842', '肝纤维化4项--透明质酸(HA)');
INSERT INTO `tran_lis_config` VALUES ('5417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化4项', '层粘连蛋白(LN)', '424945', '肝纤维化4项--层粘连蛋白(LN)');
INSERT INTO `tran_lis_config` VALUES ('5418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化5项', 'Ⅳ型胶原(CG-Ⅳ)', '426013', '肝纤维化5项--Ⅳ型胶原(CG-Ⅳ)');
INSERT INTO `tran_lis_config` VALUES ('5419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化5项', 'Ⅲ型前胶原肽(PC-Ⅲ)', '425493', '肝纤维化5项--Ⅲ型前胶原肽(PC-Ⅲ)');
INSERT INTO `tran_lis_config` VALUES ('5420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化5项', '透明质酸(HA)', '424119', '肝纤维化5项--透明质酸(HA)');
INSERT INTO `tran_lis_config` VALUES ('5421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化5项', '层粘连蛋白(LN)', '425612', '肝纤维化5项--层粘连蛋白(LN)');
INSERT INTO `tran_lis_config` VALUES ('5422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化5项', '单胺氧化酶(MAO)', '425343', '肝纤维化5项--单胺氧化酶(MAO)');
INSERT INTO `tran_lis_config` VALUES ('5423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '甲肝病毒抗体IgM(HAV-IgM)', '424651', '肝炎全套13项--甲肝病毒抗体IgM(HAV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('5424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝表面抗原定性(HBsAg)', '425378', '肝炎全套13项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('5425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝表面抗体定性(HBsAb)', '424615', '肝炎全套13项--乙肝表面抗体定性(HBsAb)');
INSERT INTO `tran_lis_config` VALUES ('5426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝e抗原定性(HBeAg)', '425883', '肝炎全套13项--乙肝e抗原定性(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('5427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝e抗体定性(HBeAb)', '426060', '肝炎全套13项--乙肝e抗体定性(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('5428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝核心抗体定性(HBcAb)', '426166', '肝炎全套13项--乙肝核心抗体定性(HBcAb)');
INSERT INTO `tran_lis_config` VALUES ('5429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '乙肝核心抗体IgM定性(HBc-IgM)', '426019', '肝炎全套13项--乙肝核心抗体IgM定性(HBc-IgM)');
INSERT INTO `tran_lis_config` VALUES ('5430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '丙肝病毒抗体(HCVAb)', '424498', '肝炎全套13项--丙肝病毒抗体(HCVAb)');
INSERT INTO `tran_lis_config` VALUES ('5431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '丁肝病毒抗原(HDVAg)', '425506', '肝炎全套13项--丁肝病毒抗原(HDVAg)');
INSERT INTO `tran_lis_config` VALUES ('5432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '丁肝病毒抗体(HDVAb)', '425237', '肝炎全套13项--丁肝病毒抗体(HDVAb)');
INSERT INTO `tran_lis_config` VALUES ('5433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '戊型肝炎病毒抗体(Anti-HEV)IgG', '424449', '肝炎全套13项--戊型肝炎病毒抗体(Anti-HEV)IgG');
INSERT INTO `tran_lis_config` VALUES ('5434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '戊型肝炎病毒抗体(Anti-HEV)IgM', '424457', '肝炎全套13项--戊型肝炎病毒抗体(Anti-HEV)IgM');
INSERT INTO `tran_lis_config` VALUES ('5435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝炎全套13项', '庚肝病毒抗体IgG(HGV-IgG)', '424091', '肝炎全套13项--庚肝病毒抗体IgG(HGV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('5436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物4项', '甲胎蛋白(AFP)', '426197', '肝脏肿瘤标志物4项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('5437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物4项', '癌胚抗原(CEA)', '425796', '肝脏肿瘤标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('5438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物4项', '糖类抗原CA-199', '425714', '肝脏肿瘤标志物4项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('5439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝脏肿瘤标志物4项', '铁蛋白(Fer)', '424497', '肝脏肿瘤标志物4项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('5440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '干扰素-α抗体测定', '干扰素-α抗体', '425005', '干扰素-α抗体测定--干扰素-α抗体');
INSERT INTO `tran_lis_config` VALUES ('5441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '干扰素测定', '干扰素(IFN)', '424639', '干扰素测定--干扰素(IFN)');
INSERT INTO `tran_lis_config` VALUES ('5442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高尔基体蛋白73测定', '高尔基体蛋白73(GP73)', '424364', '高尔基体蛋白73测定--高尔基体蛋白73(GP73)');
INSERT INTO `tran_lis_config` VALUES ('5443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高密度脂蛋白胆固醇测定', '高密度脂蛋白胆固醇(HDL-C)', '425617', '高密度脂蛋白胆固醇测定--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('5444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高渗盐水试验静脉法', '高渗盐水试验静脉法', '425415', '高渗盐水试验静脉法--高渗盐水试验静脉法');
INSERT INTO `tran_lis_config` VALUES ('5445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高渗盐水试验口服法', '高渗盐水试验口服法', '426156', '高渗盐水试验口服法--高渗盐水试验口服法');
INSERT INTO `tran_lis_config` VALUES ('5446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高铁血红蛋白测定', '高铁血红蛋白(MetHb)', '424658', '高铁血红蛋白测定--高铁血红蛋白(MetHb)');
INSERT INTO `tran_lis_config` VALUES ('5447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高铁血红蛋白还原试验', '高铁血红蛋白还原试验', '424883', '高铁血红蛋白还原试验--高铁血红蛋白还原试验');
INSERT INTO `tran_lis_config` VALUES ('5448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高铁血红素白蛋白过筛试验', '高铁血红素白蛋白过筛试验', '424929', '高铁血红素白蛋白过筛试验--高铁血红素白蛋白过筛试验');
INSERT INTO `tran_lis_config` VALUES ('5449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压3项', '肾素', '425374', '高血压3项--肾素');
INSERT INTO `tran_lis_config` VALUES ('5450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压3项', '血管紧张素Ⅰ(AngⅠ)', '426132', '高血压3项--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `tran_lis_config` VALUES ('5451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压3项', '血管紧张素Ⅱ(AngⅡ)', '425712', '高血压3项--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `tran_lis_config` VALUES ('5452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压4项', '肾素', '426148', '高血压4项--肾素');
INSERT INTO `tran_lis_config` VALUES ('5453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压4项', '醛固酮(ALD)', '424403', '高血压4项--醛固酮(ALD)');
INSERT INTO `tran_lis_config` VALUES ('5454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压4项', '血管紧张素Ⅰ(AngⅠ)', '426169', '高血压4项--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `tran_lis_config` VALUES ('5455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压4项', '血管紧张素Ⅱ(AngⅡ)', '426165', '高血压4项--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `tran_lis_config` VALUES ('5456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '睾酮测定', '睾酮(T)', '425649', '睾酮测定--睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('5457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '弓形虫检查', '弓形虫', '424541', '弓形虫检查--弓形虫');
INSERT INTO `tran_lis_config` VALUES ('5458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '弓形虫抗体测定', '弓形虫抗体', '426055', '弓形虫抗体测定--弓形虫抗体');
INSERT INTO `tran_lis_config` VALUES ('5459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈碘试验', '宫颈碘试验', '425851', '宫颈碘试验--宫颈碘试验');
INSERT INTO `tran_lis_config` VALUES ('5460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钩虫检查', '钩虫', '425944', '钩虫检查--钩虫');
INSERT INTO `tran_lis_config` VALUES ('5461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钩端螺旋体病免疫学测定', '钩端螺旋体病血清学试验', '424646', '钩端螺旋体病免疫学试验--钩端螺旋体病血清学试验');
INSERT INTO `tran_lis_config` VALUES ('5462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '谷氨酸脱氢酶测定', '谷氨酸脱氢酶(GDH)', '426105', '谷氨酸脱氢酶测定--谷氨酸脱氢酶(GDH)');
INSERT INTO `tran_lis_config` VALUES ('5463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '谷胱甘肽还原酶测定', '谷胱甘肽还原酶(GR)', '424805', '谷胱甘肽还原酶测定--谷胱甘肽还原酶(GR)');
INSERT INTO `tran_lis_config` VALUES ('5464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢3项', '总Ⅰ型胶原氨基端延长肽(Total-PINP)', '425160', '骨代谢3项--总Ⅰ型胶原氨基端延长肽(Total-PINP)');
INSERT INTO `tran_lis_config` VALUES ('5465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢3项', '骨钙素N端中分子片段(N-MID)', '425181', '骨代谢3项--骨钙素N端中分子片段(N-MID)');
INSERT INTO `tran_lis_config` VALUES ('5466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢3项', 'β-胶原降解产物(β-CTX)', '425856', '骨代谢3项--β-胶原降解产物(β-CTX)');
INSERT INTO `tran_lis_config` VALUES ('5467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢相关激素测定', '甲状旁腺激素(PTH)', '424463', '骨代谢相关激素--甲状旁腺激素(PTH)');
INSERT INTO `tran_lis_config` VALUES ('5468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢相关激素测定', 'PTH相关蛋白(PTHrP)', '425515', '骨代谢相关激素--PTH相关蛋白(PTHrP)');
INSERT INTO `tran_lis_config` VALUES ('5469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢相关激素测定', '维生素D(Vit-D)', '425008', '骨代谢相关激素--维生素D(Vit-D)');
INSERT INTO `tran_lis_config` VALUES ('5470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨代谢相关激素测定', '骨钙素(CT)', '425593', '骨代谢相关激素--骨钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('5471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨钙素N端中分子片段测定', '骨钙素N端中分子片段(N-MID)', '424934', '骨钙素N端中分子片段测定--骨钙素N端中分子片段(N-MID)');
INSERT INTO `tran_lis_config` VALUES ('5472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨钙素测定', '骨钙素(OC)', '425920', '骨钙素测定--骨钙素(OC)');
INSERT INTO `tran_lis_config` VALUES ('5473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨胶素测定', '骨胶素(CY211)', '425216', '骨胶素测定--骨胶素(CY211)');
INSERT INTO `tran_lis_config` VALUES ('5474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨密度测定', '骨密度(BMD)', '425177', '骨密度测定--骨密度(BMD)');
INSERT INTO `tran_lis_config` VALUES ('5475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓苏丹染色检查', '骨髓苏丹染色', '425733', '骨髓苏丹染色检查--骨髓苏丹染色');
INSERT INTO `tran_lis_config` VALUES ('5476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓铁染色检查', '骨髓铁染色检查', '424358', '骨髓铁染色检查--骨髓铁染色检查');
INSERT INTO `tran_lis_config` VALUES ('5477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓涂片细胞学检查', '骨髓有核细胞计数', '425741', '骨髓涂片细胞学检查--骨髓有核细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓涂片细胞学检查', '骨髓巨核细胞计数', '424679', '骨髓涂片细胞学检查--骨髓巨核细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓涂片细胞学检查', '造血干细胞计数', '424859', '骨髓涂片细胞学检查--造血干细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨型碱性磷酸酶质量测定', '骨型碱性磷酸酶(NBAP)', '424206', '骨型碱性磷酸酶质量测定--骨型碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('5481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胱抑素(Cys-C)测定', '胱抑素(Cys-C)', '426138', '胱抑素(Cys-C)--胱抑素(Cys-C)');
INSERT INTO `tran_lis_config` VALUES ('5482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '果糖测定', '果糖', '425849', '果糖测定--果糖');
INSERT INTO `tran_lis_config` VALUES ('5483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原测定', '过敏原', '424840', '过敏原测定--过敏原');
INSERT INTO `tran_lis_config` VALUES ('5484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过敏原特异IgE测定', '过敏原特异IgE', '424165', '过敏原特异IgE测定--过敏原特异IgE');
INSERT INTO `tran_lis_config` VALUES ('5485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前17α-羟孕酮(17α-OHP)', '425951', '过夜地塞米松抑制试验--服药前17α-羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('5486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前促肾上腺皮质激素(ACTH)', '425283', '过夜地塞米松抑制试验--服药前促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('5487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前睾酮(T)', '426078', '过夜地塞米松抑制试验--服药前睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('5488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前硫酸去氢表雄酮', '425990', '过夜地塞米松抑制试验--服药前硫酸去氢表雄酮');
INSERT INTO `tran_lis_config` VALUES ('5489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前皮质醇', '425093', '过夜地塞米松抑制试验--服药前皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后17α-羟孕酮(17α-OHP)', '425091', '过夜地塞米松抑制试验--服药后17α-羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('5491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后促肾上腺皮质激素(ACTH)', '425537', '过夜地塞米松抑制试验--服药后促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('5492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后睾酮(T)', '424254', '过夜地塞米松抑制试验--服药后睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('5493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后硫酸去氢表雄酮', '424784', '过夜地塞米松抑制试验--服药后硫酸去氢表雄酮');
INSERT INTO `tran_lis_config` VALUES ('5494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后皮质醇', '424486', '过夜地塞米松抑制试验--服药后皮质醇');
INSERT INTO `tran_lis_config` VALUES ('5495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞包涵体测定', '红细胞包涵体', '425074', '红细胞包涵体测定--红细胞包涵体');
INSERT INTO `tran_lis_config` VALUES ('5496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞变形能力测定', '红细胞变形能力', '425245', '红细胞变形能力测定--红细胞变形能力');
INSERT INTO `tran_lis_config` VALUES ('5497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞丙酮酸激酶测定', '红细胞丙酮酸激酶(PK)', '424589', '红细胞丙酮酸激酶--红细胞丙酮酸激酶(PK)');
INSERT INTO `tran_lis_config` VALUES ('5498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞沉降率测定', '红细胞沉降率(ESR)', '425070', '红细胞沉降率--红细胞沉降率(ESR)');
INSERT INTO `tran_lis_config` VALUES ('5499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞孵育渗透脆性试验', '红细胞孵育渗透脆性试验', '424853', '红细胞孵育渗透脆性试验--红细胞孵育渗透脆性试验');
INSERT INTO `tran_lis_config` VALUES ('5500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞谷胱甘肽含量测定', '红细胞谷胱甘肽(GSH)', '425131', '红细胞谷胱甘肽含量测定--红细胞谷胱甘肽(GSH)');
INSERT INTO `tran_lis_config` VALUES ('5501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞滚动试验', '滚动红细胞百分比', '424786', '红细胞滚动试验--滚动红细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('5502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞花环试验', 'EA-RFC', '424303', '红细胞花环试验--EA-RFC');
INSERT INTO `tran_lis_config` VALUES ('5503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞花环试验', 'EAC-RFC', '425926', '红细胞花环试验--EAC-RFC');
INSERT INTO `tran_lis_config` VALUES ('5504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞花环试验', 'M-RFC', '425822', '红细胞花环试验--M-RFC');
INSERT INTO `tran_lis_config` VALUES ('5505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞镰变试验', '红细胞镰变试验', '425037', '红细胞镰变试验--红细胞镰变试验');
INSERT INTO `tran_lis_config` VALUES ('5506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞流变特性检测', '红细胞压积(%)', '425906', '红细胞流变特性检测--红细胞压积(%)');
INSERT INTO `tran_lis_config` VALUES ('5507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞流变特性检测', '红细胞聚集指数', '425858', '红细胞流变特性检测--红细胞聚集指数');
INSERT INTO `tran_lis_config` VALUES ('5508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞流变特性检测', '红细胞刚性指数', '425529', '红细胞流变特性检测--红细胞刚性指数');
INSERT INTO `tran_lis_config` VALUES ('5509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞流变特性检测', '红细胞变形指数', '424189', '红细胞流变特性检测--红细胞变形指数');
INSERT INTO `tran_lis_config` VALUES ('5510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞流变特性检测', '红细胞电泳指数', '426137', '红细胞流变特性检测--红细胞电泳指数');
INSERT INTO `tran_lis_config` VALUES ('5511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞膜蛋白测定', '红细胞膜蛋白', '424504', '红细胞膜蛋白测定--红细胞膜蛋白');
INSERT INTO `tran_lis_config` VALUES ('5512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞渗透脆性试验', '开始溶血', '424581', '红细胞渗透脆性试验--开始溶血');
INSERT INTO `tran_lis_config` VALUES ('5513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞渗透脆性试验', '完全溶血', '425915', '红细胞渗透脆性试验--完全溶血');
INSERT INTO `tran_lis_config` VALUES ('5514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞叶酸测定', '红细胞叶酸', '425720', '红细胞叶酸测定--红细胞叶酸');
INSERT INTO `tran_lis_config` VALUES ('5515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞游离原卟啉测定', '红细胞游离原卟啉', '425115', '红细胞游离原卟啉测定--红细胞游离原卟啉');
INSERT INTO `tran_lis_config` VALUES ('5516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞自身溶血过筛试验', '红细胞自身溶血过筛试验', '424870', '红细胞自身溶血过筛试验--红细胞自身溶血过筛试验');
INSERT INTO `tran_lis_config` VALUES ('5517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞自身溶血试验及纠正试验', '红细胞自身溶血试验及纠正试验', '424529', '红细胞自身溶血试验及纠正试验--红细胞自身溶血试验及纠正试验');
INSERT INTO `tran_lis_config` VALUES ('5518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '呼吸道病毒抗体全套', '副流感病毒抗体IgM', '425083', '呼吸道病毒抗体全套--副流感病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '呼吸道病毒抗体全套', '抗腺病毒抗体IgM', '424033', '呼吸道病毒抗体全套--抗腺病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '呼吸道病毒抗体全套', '呼吸道合胞病毒抗体IgM', '425573', '呼吸道病毒抗体全套--呼吸道合胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '呼吸道合胞病毒抗体测定', '呼吸道合胞病毒抗体', '424725', '呼吸道合胞病毒抗体--呼吸道合胞病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '呼吸道合胞病毒抗原测定', '呼吸道合胞病毒抗原', '425898', '呼吸道合胞病毒抗原--呼吸道合胞病毒抗原');
INSERT INTO `tran_lis_config` VALUES ('5523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '外观', '424881', '滑膜液常规--外观');
INSERT INTO `tran_lis_config` VALUES ('5524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '透明度', '424558', '滑膜液常规--透明度');
INSERT INTO `tran_lis_config` VALUES ('5525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '量', '425508', '滑膜液常规--量');
INSERT INTO `tran_lis_config` VALUES ('5526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '黏稠性', '424324', '滑膜液常规--黏稠性');
INSERT INTO `tran_lis_config` VALUES ('5527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '白细胞计数(WBC)', '424822', '滑膜液常规--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('5528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '中性粒细胞计数', '425793', '滑膜液常规--中性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('5529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '镜检晶体', '425715', '滑膜液常规--镜检晶体');
INSERT INTO `tran_lis_config` VALUES ('5530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '环卵沉淀试验', '环卵沉淀试验', '424939', '环卵沉淀试验--环卵沉淀试验');
INSERT INTO `tran_lis_config` VALUES ('5531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '磺胺类药物耐药测定', '磺胺类药物耐药测定', '424032', '磺胺类药物耐药测定--磺胺类药物耐药测定');
INSERT INTO `tran_lis_config` VALUES ('5532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '活化部分凝血活酶时间测定', '活化部分凝血活酶时间(APTT)', '425516', '活化部分凝血活酶时间测定--活化部分凝血活酶时间(APTT)');
INSERT INTO `tran_lis_config` VALUES ('5533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '活化蛋白C抵抗试验', 'APCR比值', '424202', '活化蛋白C抵抗试验--APCR比值');
INSERT INTO `tran_lis_config` VALUES ('5534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '饥饿试验', '饥饿试验', '424625', '饥饿试验--饥饿试验');
INSERT INTO `tran_lis_config` VALUES ('5535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌钙蛋白I测定', '肌钙蛋白I(cTnI)', '425476', '肌钙蛋白I--肌钙蛋白I(cTnI)');
INSERT INTO `tran_lis_config` VALUES ('5536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌钙蛋白T测定', '肌钙蛋白T(cTnT)', '425255', '肌钙蛋白T--肌钙蛋白T(cTnT)');
INSERT INTO `tran_lis_config` VALUES ('5537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶测定', 'CK-MM', '424863', '肌酸激酶同工酶测定--CK-MM');
INSERT INTO `tran_lis_config` VALUES ('5538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶测定', 'CK-MB', '424867', '肌酸激酶同工酶测定--CK-MB');
INSERT INTO `tran_lis_config` VALUES ('5539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶测定', 'CK-BB', '424780', '肌酸激酶同工酶测定--CK-BB');
INSERT INTO `tran_lis_config` VALUES ('5540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶活性测定', '肌酸激酶同工酶活性(CK-MB)', '425523', '肌酸激酶同工酶活性测定--肌酸激酶同工酶活性(CK-MB)');
INSERT INTO `tran_lis_config` VALUES ('5541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶质量测定', '肌酸激酶同工酶质量(CK-MBmass)', '425365', '肌酸激酶同工酶质量测定--肌酸激酶同工酶质量(CK-MBmass)');
INSERT INTO `tran_lis_config` VALUES ('5542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脊髓灰质炎病毒抗体测定', '脊髓灰质炎病毒抗体IgG', '424187', '脊髓灰质炎病毒抗体--脊髓灰质炎病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脊髓灰质炎病毒抗体测定', '脊髓灰质炎病毒抗体IgM', '424188', '脊髓灰质炎病毒抗体--脊髓灰质炎病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲苯胺红不加热血清试验', '甲苯胺红不加热血清试验', '424103', '甲苯胺红不加热血清试验--甲苯胺红不加热血清试验');
INSERT INTO `tran_lis_config` VALUES ('5545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲苯胺蓝纠正试验', '甲苯胺蓝纠正试验', '424648', '甲苯胺蓝纠正试验--甲苯胺蓝纠正试验');
INSERT INTO `tran_lis_config` VALUES ('5546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲胎蛋白测定', '甲胎蛋白(AFP)', '425999', '甲胎蛋白测定--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('5547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲胎蛋白异质体测定', '甲胎蛋白异质体(AFP-L3)', '425293', '甲胎蛋白异质体测定--甲胎蛋白异质体(AFP-L3)');
INSERT INTO `tran_lis_config` VALUES ('5548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲型肝炎抗体测定', '甲型肝炎抗体(Anti-HAV)', '426172', '甲型肝炎抗体测定--甲型肝炎抗体(Anti-HAV)');
INSERT INTO `tran_lis_config` VALUES ('5549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲型肝炎抗原测定', '甲型肝炎抗原(HAVAg)', '425280', '甲型肝炎抗原测定--甲型肝炎抗原(HAVAg)');
INSERT INTO `tran_lis_config` VALUES ('5550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲型流感病毒抗体测定', '甲型流感病毒抗体', '424117', '甲型流感病毒抗体测定--甲型流感病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲型流感病毒抗原检测', '甲型流感病毒抗原', '424173', '甲型流感病毒抗原检测--甲型流感病毒抗原');
INSERT INTO `tran_lis_config` VALUES ('5552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲氧氯普胺兴奋催乳素动态试验', '甲氧氯普胺兴奋催乳素(PRL)动态试验', '424552', '甲氧氯普胺兴奋催乳素动态试验--甲氧氯普胺兴奋催乳素(PRL)动态试验');
INSERT INTO `tran_lis_config` VALUES ('5553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状旁腺激素测定', '甲状旁腺激素(PTH)', '425182', '甲状旁腺激素测定--甲状旁腺激素(PTH)');
INSERT INTO `tran_lis_config` VALUES ('5554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能5项', '三碘甲状原氨酸(T3)', '425626', '甲状腺功能7项--三碘甲状原氨酸(T3)');
INSERT INTO `tran_lis_config` VALUES ('5555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能5项', '甲状腺素(T4)', '424484', '甲状腺功能7项--甲状腺素(T4)');
INSERT INTO `tran_lis_config` VALUES ('5556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能5项', '游离三碘甲状原氨酸(FT3)', '424347', '甲状腺功能7项--游离三碘甲状原氨酸(FT3)');
INSERT INTO `tran_lis_config` VALUES ('5557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能5项', '游离甲状腺素(FT4)', '426002', '甲状腺功能7项--游离甲状腺素(FT4)');
INSERT INTO `tran_lis_config` VALUES ('5558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能5项', '促甲状腺激素(TSH)', '425056', '甲状腺功能7项--促甲状腺激素(TSH)');
INSERT INTO `tran_lis_config` VALUES ('5559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '三碘甲状原氨酸(T3)', '425626', '甲状腺功能7项--三碘甲状原氨酸(T3)');
INSERT INTO `tran_lis_config` VALUES ('5560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '甲状腺素(T4)', '424484', '甲状腺功能7项--甲状腺素(T4)');
INSERT INTO `tran_lis_config` VALUES ('5561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '游离三碘甲状原氨酸(FT3)', '424347', '甲状腺功能7项--游离三碘甲状原氨酸(FT3)');
INSERT INTO `tran_lis_config` VALUES ('5562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '游离甲状腺素(FT4)', '426002', '甲状腺功能7项--游离甲状腺素(FT4)');
INSERT INTO `tran_lis_config` VALUES ('5563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '促甲状腺激素(TSH)', '425056', '甲状腺功能7项--促甲状腺激素(TSH)');
INSERT INTO `tran_lis_config` VALUES ('5564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '抗甲状腺球蛋白抗体(TGAb)', '425204', '甲状腺功能7项--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `tran_lis_config` VALUES ('5565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能7项', '抗甲状腺过氧化物酶抗体(TPOAb)', '424526', '甲状腺功能7项--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `tran_lis_config` VALUES ('5566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺过氧化物酶测定', '甲状腺过氧化物酶(TPO)', '424818', '甲状腺过氧化物酶测定--甲状腺过氧化物酶(TPO)');
INSERT INTO `tran_lis_config` VALUES ('5567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺结合球蛋白测定', '甲状腺结合球蛋白(TBG)', '425321', '甲状腺结合球蛋白测定--甲状腺结合球蛋白(TBG)');
INSERT INTO `tran_lis_config` VALUES ('5568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺球蛋白测定', '甲状腺球蛋白(TG)', '424878', '甲状腺球蛋白--甲状腺球蛋白(TG)');
INSERT INTO `tran_lis_config` VALUES ('5569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺摄碘试验', '24h摄取率', '424029', '甲状腺摄碘试验--24h摄取率');
INSERT INTO `tran_lis_config` VALUES ('5570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺摄碘试验', '3h摄取率', '424028', '甲状腺摄碘试验--3h摄取率');
INSERT INTO `tran_lis_config` VALUES ('5571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺素测定', '甲状腺素(T4)', '424926', '甲状腺素--甲状腺素(T4)');
INSERT INTO `tran_lis_config` VALUES ('5572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体3项', '促甲状腺素受体抗体(TRAb)', '424148', '甲状腺自身抗体3项--促甲状腺素受体抗体(TRAb)');
INSERT INTO `tran_lis_config` VALUES ('5573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体3项', '抗甲状腺过氧化物酶抗体(TPOAb)', '426004', '甲状腺自身抗体3项--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `tran_lis_config` VALUES ('5574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体3项', '抗甲状腺球蛋白抗体(TGAb)', '424854', '甲状腺自身抗体3项--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `tran_lis_config` VALUES ('5575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钾测定', '钾(K)', '425197', '钾测定--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('5576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '间接抗人球蛋白试验', '间接抗人球蛋白试验', '424104', '间接抗人球蛋白试验--间接抗人球蛋白试验');
INSERT INTO `tran_lis_config` VALUES ('5577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '艰难梭菌测定', '艰难梭菌', '424384', '艰难梭菌测定--艰难梭菌');
INSERT INTO `tran_lis_config` VALUES ('5578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '艰难梭菌毒素测定', '艰难梭菌毒素', '425446', '艰难梭菌毒素测定--艰难梭菌毒素');
INSERT INTO `tran_lis_config` VALUES ('5579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '简易凝血活酶生成试验', '简易凝血活酶生成试验', '425153', '简易凝血活酶生成试验--简易凝血活酶生成试验');
INSERT INTO `tran_lis_config` VALUES ('5580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碱负荷试验', '碱负荷试验', '424617', '碱负荷试验--碱负荷试验');
INSERT INTO `tran_lis_config` VALUES ('5581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碱性磷酸酶测定', '碱性磷酸酶(ALP)', '424848', '碱性磷酸酶测定--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('5582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碱性髓鞘蛋白测定', '碱性髓鞘蛋白', '425500', '碱性髓鞘蛋白测定--碱性髓鞘蛋白');
INSERT INTO `tran_lis_config` VALUES ('5583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碱性胎儿蛋白测定', '碱性胎儿蛋白(BFP)', '425094', '碱性胎儿蛋白测定--碱性胎儿蛋白(BFP)');
INSERT INTO `tran_lis_config` VALUES ('5584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素测定', '降钙素(CT)', '426102', '降钙素测定--降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('5585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结肠癌标志物4项', '癌胚抗原(CEA)', '424623', '结肠癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('5586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结肠癌标志物4项', '糖类抗原CA-50', '426069', '结肠癌标志物4项--糖类抗原CA-50');
INSERT INTO `tran_lis_config` VALUES ('5587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结肠癌标志物4项', '糖类抗原CA-199', '425306', '结肠癌标志物4项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('5588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结肠癌标志物4项', '糖类抗原CA-242', '425764', '结肠癌标志物4项--糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('5589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结肠弯曲菌抗体测定', '结肠弯曲菌抗体', '425782', '结肠弯曲菌抗体--结肠弯曲菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核分枝杆菌抗体测定', '结核分枝杆菌抗体', '425895', '结核分枝杆菌抗体--结核分枝杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核分枝杆菌抗原测定', '结核分枝杆菌抗原', '424269', '结核分枝杆菌抗原--结核分枝杆菌抗原');
INSERT INTO `tran_lis_config` VALUES ('5592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核杆菌抗体测定', '结核杆菌抗体', '425030', '结核杆菌抗体--结核杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核感染T细胞斑点试验', '结核感染T细胞斑点试验', '425298', '结核感染T细胞斑点试验--结核感染T细胞斑点试验');
INSERT INTO `tran_lis_config` VALUES ('5594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核感染干扰素测定', '结核感染干扰素', '425459', '结核感染干扰素测定--结核感染干扰素');
INSERT INTO `tran_lis_config` VALUES ('5595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核菌素试验', '结核菌素试验', '426163', '结核菌素试验--结核菌素试验');
INSERT INTO `tran_lis_config` VALUES ('5596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲脲原体抗体测定', '解脲脲原体抗体', '424089', '解脲脲原体抗体测定--解脲脲原体抗体');
INSERT INTO `tran_lis_config` VALUES ('5597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体核酸测定', '解脲支原体核酸(UU-DNA)', '424388', '解脲支原体核酸测定--解脲支原体核酸(UU-DNA)');
INSERT INTO `tran_lis_config` VALUES ('5598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '禁水加压素试验', '禁水加压素试验', '425557', '禁水加压素试验--禁水加压素试验');
INSERT INTO `tran_lis_config` VALUES ('5599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '禁水试验', '禁水试验', '425022', '禁水试验--禁水试验');
INSERT INTO `tran_lis_config` VALUES ('5600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精氨酸兴奋试验', '精氨酸兴奋试验', '425955', '精氨酸兴奋试验--精氨酸兴奋试验');
INSERT INTO `tran_lis_config` VALUES ('5601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精浆果糖定性试验', '精浆果糖定性试验', '425667', '精浆果糖定性试验--精浆果糖定性试验');
INSERT INTO `tran_lis_config` VALUES ('5602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精浆柠檬酸测定', '柠檬酸', '425006', '精浆柠檬酸测定--柠檬酸');
INSERT INTO `tran_lis_config` VALUES ('5603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精浆乳酸脱氢酶X同工酶定量测定', '精浆乳酸脱氢酶X同工酶', '424789', '精浆乳酸脱氢酶X同工酶定量测定--精浆乳酸脱氢酶X同工酶');
INSERT INTO `tran_lis_config` VALUES ('5604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精浆锌测定', '锌(Zn)', '424503', '精浆锌测定--锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('5605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精浆中性α-葡萄糖苷酶测定', '中性α-葡萄糖苷酶', '424946', '精浆中性α-葡萄糖苷酶测定--中性α-葡萄糖苷酶');
INSERT INTO `tran_lis_config` VALUES ('5606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精液颜色', '426113', '精液常规--精液颜色');
INSERT INTO `tran_lis_config` VALUES ('5607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精液量', '425873', '精液常规--精液量');
INSERT INTO `tran_lis_config` VALUES ('5608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', 'pH', '426051', '精液常规--pH');
INSERT INTO `tran_lis_config` VALUES ('5609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精液液化时间', '424911', '精液常规--精液液化时间');
INSERT INTO `tran_lis_config` VALUES ('5610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子活动力', '424573', '精液常规--精子活动力');
INSERT INTO `tran_lis_config` VALUES ('5611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子存活率', '425114', '精液常规--精子存活率');
INSERT INTO `tran_lis_config` VALUES ('5612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子形态', '425335', '精液常规--精子形态');
INSERT INTO `tran_lis_config` VALUES ('5613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子计数', '425173', '精液常规--精子计数');
INSERT INTO `tran_lis_config` VALUES ('5614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液果糖定量试验', '果糖', '426017', '精液果糖定量试验--果糖');
INSERT INTO `tran_lis_config` VALUES ('5615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液渗透压测定', '精液渗透压(POP)', '424514', '精液渗透压测定--精液渗透压(POP)');
INSERT INTO `tran_lis_config` VALUES ('5616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '蛋白质', '424030', '精液生化-蛋白质');
INSERT INTO `tran_lis_config` VALUES ('5617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '果糖', '425662', '精液生化-果糖');
INSERT INTO `tran_lis_config` VALUES ('5618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '柠檬酸', '425455', '精液生化-柠檬酸');
INSERT INTO `tran_lis_config` VALUES ('5619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '酸性磷酸酶(ACP)', '425836', '精液生化-酸性磷酸酶(ACP)');
INSERT INTO `tran_lis_config` VALUES ('5620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '铁(Fe)', '425752', '精液生化-铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('5621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '铜(Cu)', '424807', '精液生化-铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('5622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '锌(Zn)', '424910', '精液生化-锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('5623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液酸性磷酸酶测定', '酸性磷酸酶', '424971', '精液酸性磷酸酶--酸性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('5624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子低渗肿胀试验', '精子低渗肿胀试验', '426074', '精子低渗肿胀试验--精子低渗肿胀试验');
INSERT INTO `tran_lis_config` VALUES ('5625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子混合抗球蛋白反应试验', '精子混合抗球蛋白反应试验', '425310', '精子混合抗球蛋白反应试验--精子混合抗球蛋白反应试验');
INSERT INTO `tran_lis_config` VALUES ('5626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子凝集试验', '精子凝集试验', '424221', '精子凝集试验--精子凝集试验');
INSERT INTO `tran_lis_config` VALUES ('5627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '0minC肽(C-P)', '424752', '静脉推注葡萄糖C肽释放试验--0minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '2minC肽(C-P)', '424095', '静脉推注葡萄糖C肽释放试验--2minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '3minC肽(C-P)', '424352', '静脉推注葡萄糖C肽释放试验--3minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '4minC肽(C-P)', '424549', '静脉推注葡萄糖C肽释放试验--4minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '5minC肽(C-P)', '425398', '静脉推注葡萄糖C肽释放试验--5minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '8minC肽(C-P)', '425779', '静脉推注葡萄糖C肽释放试验--8minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验', '10minC肽(C-P)', '424031', '静脉推注葡萄糖C肽释放试验--10minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '1minC肽(C-P)', '425338', '静脉推注葡萄糖C肽释放试验延长法--1minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '2minC肽(C-P)', '425351', '静脉推注葡萄糖C肽释放试验延长法--2minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '3minC肽(C-P)', '424767', '静脉推注葡萄糖C肽释放试验延长法--3minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '10minC肽(C-P)', '424490', '静脉推注葡萄糖C肽释放试验延长法--10minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '30minC肽(C-P)', '424228', '静脉推注葡萄糖C肽释放试验延长法--30minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '60minC肽(C-P)', '425188', '静脉推注葡萄糖C肽释放试验延长法--60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '120minC肽(C-P)', '424995', '静脉推注葡萄糖C肽释放试验延长法--120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖C肽释放试验延长法', '180minC肽(C-P)', '424731', '静脉推注葡萄糖C肽释放试验延长法--180minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '0min胰岛素(INS)', '425065', '静脉推注葡萄糖胰岛素释放试验--0min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '2min胰岛素(INS)', '425927', '静脉推注葡萄糖胰岛素释放试验--2min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '3min胰岛素(INS)', '425808', '静脉推注葡萄糖胰岛素释放试验--3min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '4min胰岛素(INS)', '425645', '静脉推注葡萄糖胰岛素释放试验--4min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '5min胰岛素(INS)', '425249', '静脉推注葡萄糖胰岛素释放试验--5min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '8min胰岛素(INS)', '424026', '静脉推注葡萄糖胰岛素释放试验--8min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验', '10min胰岛素(INS)', '425656', '静脉推注葡萄糖胰岛素释放试验--10min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '1min胰岛素(INS)', '426031', '静脉推注葡萄糖胰岛素释放试验延长法--1min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '2min胰岛素(INS)', '425891', '静脉推注葡萄糖胰岛素释放试验延长法--2min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '3min胰岛素(INS)', '425536', '静脉推注葡萄糖胰岛素释放试验延长法--3min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '10min胰岛素(INS)', '425147', '静脉推注葡萄糖胰岛素释放试验延长法--10min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '30min胰岛素(INS)', '425152', '静脉推注葡萄糖胰岛素释放试验延长法--30min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '60min胰岛素(INS)', '424054', '静脉推注葡萄糖胰岛素释放试验延长法--60min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '120min胰岛素(INS)', '424709', '静脉推注葡萄糖胰岛素释放试验延长法--120min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉推注葡萄糖胰岛素释放试验延长法', '180min胰岛素(INS)', '424669', '静脉推注葡萄糖胰岛素释放试验延长法--180min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '血红蛋白浓度(HGB)', '425885', '静脉血气分析--血红蛋白(Hb)');
INSERT INTO `tran_lis_config` VALUES ('5658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '吸氧浓度(FIO2)', '425738', '静脉血气分析--吸氧浓度(FIO2)');
INSERT INTO `tran_lis_config` VALUES ('5659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '酸碱度(PH)', '424769', '静脉血气分析--酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('5660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '二氧化碳分压(PCO2)', '424351', '静脉血气分析--二氧化碳分压(PCO2)');
INSERT INTO `tran_lis_config` VALUES ('5661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '氧分压(PaO2)', '424569', '静脉血气分析--氧分压(PaO2)');
INSERT INTO `tran_lis_config` VALUES ('5662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '总二氧化碳(TCO2)', '424821', '静脉血气分析--总二氧化碳(TCO2)');
INSERT INTO `tran_lis_config` VALUES ('5663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '碳酸氢根(HCO3)', '424185', '静脉血气分析--碳酸氢根(HCO3)');
INSERT INTO `tran_lis_config` VALUES ('5664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '剩余碱(BE)', '425014', '静脉血气分析--剩余碱(BE)');
INSERT INTO `tran_lis_config` VALUES ('5665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '细胞外剩余碱(Beecf)', '426027', '静脉血气分析--细胞外剩余碱(Beecf)');
INSERT INTO `tran_lis_config` VALUES ('5666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '标准碳酸氢盐(SB)', '424930', '静脉血气分析--标准碳酸氢盐(SB)');
INSERT INTO `tran_lis_config` VALUES ('5667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '氧饱和度(O2sat)', '424685', '静脉血气分析--氧饱和度(O2sat)');
INSERT INTO `tran_lis_config` VALUES ('5668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '肺泡-静脉氧分压差(A-aDO2)', '424355', '静脉血气分析--肺泡-静脉氧分压差(A-aDO2)');
INSERT INTO `tran_lis_config` VALUES ('5669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '静脉血气分析', '呼吸度(RI)', '425033', '静脉血气分析--呼吸度(RI)');
INSERT INTO `tran_lis_config` VALUES ('5670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酒石酸抑制酸性磷酸酶测定', '酒石酸抑制酸性磷酸酶', '425325', '酒石酸抑制酸性磷酸酶测定--酒石酸抑制酸性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('5671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨噬细胞趋化功能试验', '巨噬细胞趋化功能试验', '425700', '巨噬细胞趋化功能试验--巨噬细胞趋化功能试验');
INSERT INTO `tran_lis_config` VALUES ('5672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨噬细胞吞噬功能试验', '巨噬细胞吞噬功能试验', '425594', '巨噬细胞吞噬功能试验--巨噬细胞吞噬功能试验');
INSERT INTO `tran_lis_config` VALUES ('5673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒抗体测定', '巨细胞病毒抗体IgG', '425759', '巨细胞病毒抗体--巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒抗体测定', '巨细胞病毒抗体IgM', '425761', '巨细胞病毒抗体--巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒抗原测定', '巨细胞病毒抗原', '424410', '巨细胞病毒抗原测定--巨细胞病毒抗原');
INSERT INTO `tran_lis_config` VALUES ('5676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒抗原血症测定', '巨细胞病毒抗原血症(CMVPP65)', '425826', '巨细胞病毒抗原血症测定--巨细胞病毒抗原血症(CMVPP65)');
INSERT INTO `tran_lis_config` VALUES ('5677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '军团菌抗体测定', '军团菌抗体', '425521', '军团菌抗体--军团菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '军团菌抗原测定', '军团菌抗原', '424149', '军团菌抗原--军团菌抗原');
INSERT INTO `tran_lis_config` VALUES ('5679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗BB抗体蛋白测定', '抗BB抗体蛋白', '425110', '抗BB抗体蛋白测定--抗BB抗体蛋白');
INSERT INTO `tran_lis_config` VALUES ('5680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗BP180抗体测定', '抗BP180抗体', '424483', '抗BP180抗体测定--抗BP180抗体');
INSERT INTO `tran_lis_config` VALUES ('5681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗C1q抗体测定', '抗C1q抗体', '425043', '抗C1q抗体测定--抗C1q抗体');
INSERT INTO `tran_lis_config` VALUES ('5682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗DNP抗体测定', '抗DNP抗体', '425158', '抗DNP抗体--抗DNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗gp210抗体测定', '抗gp210抗体', '424100', '抗gp210抗体--抗gp210抗体');
INSERT INTO `tran_lis_config` VALUES ('5684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Jo-1抗体测定', '抗Jo-1抗体', '425768', '抗Jo-1抗体--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Ku抗体测定', '抗Ku抗体', '425853', '抗Ku抗体测定--抗Ku抗体');
INSERT INTO `tran_lis_config` VALUES ('5686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Mi-2抗体测定', '抗Mi-2抗体', '425625', '抗Mi-2抗体测定--抗Mi-2抗体');
INSERT INTO `tran_lis_config` VALUES ('5687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗nRNP/Sm抗体测定', '抗nRNP/Sm抗体', '426012', '抗nRNP/Sm抗体--抗nRNP/Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗PL-12抗体测定', '抗PL-12抗体', '424636', '抗PL-12抗体测定--抗PL-12抗体');
INSERT INTO `tran_lis_config` VALUES ('5689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗PL-7抗体测定', '抗PL-7抗体', '426198', '抗PL-7抗体测定--抗PL-7抗体');
INSERT INTO `tran_lis_config` VALUES ('5690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗PM-Scl抗体测定', '抗PM-Scl抗体', '424261', '抗PM-Scl抗体测定--抗PM-Scl抗体');
INSERT INTO `tran_lis_config` VALUES ('5691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗RA33抗体测定', '抗RA33抗体', '424404', '抗RA33抗体测定--抗RA33抗体');
INSERT INTO `tran_lis_config` VALUES ('5692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗RNP抗体测定', '抗RNP抗体', '425894', '抗RNP抗体测定--抗RNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Sa抗体测定', '抗Sa抗体', '425059', '抗Sa抗体测定--抗Sa抗体');
INSERT INTO `tran_lis_config` VALUES ('5694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Scl-70抗体测定', '抗Scl-70抗体', '424656', '抗Scl-70抗体测定--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗Sm抗体测定', '抗Sm抗体', '425896', '抗Sm抗体测定--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗sp100抗体测定', '抗sp100抗体', '425678', '抗sp100抗体测定--抗sp100抗体');
INSERT INTO `tran_lis_config` VALUES ('5697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗SSA52抗体测定', '抗SSA52抗体', '424706', '抗SSA52抗体测定--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗SSA60抗体测定', '抗SSA60抗体', '424443', '抗SSA60抗体测定--抗SSA60抗体');
INSERT INTO `tran_lis_config` VALUES ('5699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗SSA抗体测定', '抗SSA抗体', '425186', '抗SSA抗体测定--抗SSA抗体');
INSERT INTO `tran_lis_config` VALUES ('5700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗SS-B抗体测定', '抗SSB抗体', '425848', '抗SS-B抗体测定--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗α胞衬蛋白抗体测定', '抗α胞衬蛋白抗体', '424209', '抗α胞衬蛋白抗体测定--抗α胞衬蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗β2-糖蛋白1抗体测定', '抗β2-糖蛋白1抗体', '425192', '抗β2-糖蛋白1抗体测定--抗β2-糖蛋白1抗体');
INSERT INTO `tran_lis_config` VALUES ('5703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗白蛋白抗体测定', '抗白蛋白抗体', '425750', '抗白蛋白抗体--抗白蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗变异上皮抗体测定', '抗变异上皮抗体', '425113', '抗变异上皮抗体测定--抗变异上皮抗体');
INSERT INTO `tran_lis_config` VALUES ('5705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗表皮基底膜抗体测定', '抗表皮基底膜抗体', '426046', '抗表皮基底膜抗体测定--抗表皮基底膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗表皮棘细胞桥粒连接抗体测定', '抗表皮棘细胞桥粒连接抗体', '424438', '抗表皮棘细胞桥粒连接抗体测定--抗表皮棘细胞桥粒连接抗体');
INSERT INTO `tran_lis_config` VALUES ('5707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗表皮细胞基底膜抗体测定', '抗表皮细胞基底膜抗体(类天疱疮抗体)', '425207', '抗表皮细胞基底膜抗体测定--抗表皮细胞基底膜抗体(类天疱疮抗体)');
INSERT INTO `tran_lis_config` VALUES ('5708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗补体抗体测定', '抗补体抗体', '425331', '抗补体抗体测定--抗补体抗体');
INSERT INTO `tran_lis_config` VALUES ('5709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肠杯状细胞抗体测定', '抗肠杯状细胞抗体', '424200', '抗肠杯状细胞抗体测定--抗肠杯状细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗促甲状腺激素刺激激素受体抗体测定', '抗促甲状腺激素刺激激素(TSH)受体抗体', '426008', '抗促甲状腺激素刺激激素受体抗体测定--抗促甲状腺激素刺激激素(TSH)受体抗体');
INSERT INTO `tran_lis_config` VALUES ('5711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗促甲状腺素抗体测定', '抗促甲状腺素抗体', '425223', '抗促甲状腺素抗体测定--抗促甲状腺素抗体');
INSERT INTO `tran_lis_config` VALUES ('5712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗促甲状腺素受体抗体测定', '抗促甲状腺素受体抗体', '425000', '抗促甲状腺素受体抗体测定--抗促甲状腺素受体抗体');
INSERT INTO `tran_lis_config` VALUES ('5713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗单链DNA测定', '抗单链DNA', '424692', '抗单链DNA测定--抗单链DNA');
INSERT INTO `tran_lis_config` VALUES ('5714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肺泡基底膜抗体测定', '抗肺泡基底膜抗体', '425332', '抗肺泡基底膜抗体测定--抗肺泡基底膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体抗体测定', '抗肺炎支原体抗体(MP)', '425675', '肺炎支原体抗体测定--抗肺炎支原体抗体(MP)');
INSERT INTO `tran_lis_config` VALUES ('5716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗钙通道抗体测定', '抗钙通道抗体', '425966', '抗钙通道抗体测定--抗钙通道抗体');
INSERT INTO `tran_lis_config` VALUES ('5717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝/肾微粒体1型抗体测定', '抗肝/肾微粒体1型抗体(抗LKM-1抗体)', '425596', '抗肝/肾微粒体1型抗体测定--抗肝/肾微粒体1型抗体(抗LKM-1抗体)');
INSERT INTO `tran_lis_config` VALUES ('5718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝肾微粒体抗体测定', '抗肝肾微粒体抗体(LKM)', '424719', '抗肝肾微粒体抗体测定--抗肝肾微粒体抗体(LKM)');
INSERT INTO `tran_lis_config` VALUES ('5719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝细胞胞浆抗原1型抗体测定', '抗肝细胞胞浆抗原1型抗体(抗LC1抗体)', '425937', '抗肝细胞胞浆抗原1型抗体测定--抗肝细胞胞浆抗原1型抗体(抗LC1抗体)');
INSERT INTO `tran_lis_config` VALUES ('5720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝细胞抗体测定', '抗肝细胞抗体', '424171', '抗肝细胞抗体测定--抗肝细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝细胞膜抗体测定', '抗肝细胞膜抗体', '424216', '抗肝细胞膜抗体测定--抗肝细胞膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝细胞溶质抗原Ⅰ型抗体测定', '抗肝细胞溶质抗原Ⅰ型抗体(LC-1)', '425886', '抗肝细胞溶质抗原Ⅰ型抗体测定--抗肝细胞溶质抗原Ⅰ型抗体(LC-1)');
INSERT INTO `tran_lis_config` VALUES ('5723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肝细胞特异性脂蛋白抗体测定', '抗肝细胞特异性脂蛋白抗体', '425242', '抗肝细胞特异性脂蛋白抗体--抗肝细胞特异性脂蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗睾丸间质细胞抗体测定', '抗睾丸间质细胞抗体', '424234', '抗睾丸间质细胞抗体测定--抗睾丸间质细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗谷氨酸脱羧酶抗体测定', '抗谷氨酸脱羧酶抗体(GADAb)', '424041', '抗谷氨酸脱羧酶抗体--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `tran_lis_config` VALUES ('5726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗骨骼肌抗体测定', '抗骨骼肌抗体(ASA)', '425439', '抗骨骼肌抗体(ASA)测定--抗骨骼肌抗体(ASA)');
INSERT INTO `tran_lis_config` VALUES ('5727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗核抗体(ANA)', '425624', '抗核抗体10项--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗双链DNA抗体(抗dsDNA)', '425303', '抗核抗体10项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗SSA52抗体', '424787', '抗核抗体10项--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗SSB抗体', '425161', '抗核抗体10项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗Jo-1抗体', '425835', '抗核抗体10项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗Sm抗体', '426086', '抗核抗体10项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗nRNP抗体', '425304', '抗核抗体10项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗Scl-70抗体', '424150', '抗核抗体10项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗着丝点抗体', '425776', '抗核抗体10项--抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('5736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体10项', '抗心磷脂抗体(ACA)', '425998', '抗核抗体10项--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗核抗体(ANA)', '425060', '抗核抗体20项--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗双链DNA抗体(抗dsDNA)', '425969', '抗核抗体20项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗SSA52抗体', '424633', '抗核抗体20项--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗SSB抗体', '425461', '抗核抗体20项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗Jo-1抗体', '424181', '抗核抗体20项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗Sm抗体', '424151', '抗核抗体20项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗nRNP抗体', '425460', '抗核抗体20项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗Scl-70抗体', '425572', '抗核抗体20项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗着丝点抗体', '424794', '抗核抗体20项--抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('5746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗心磷脂抗体(ACA)', '425928', '抗核抗体20项--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗线粒体亚型抗体M2(AMA-M2)', '425367', '抗核抗体20项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('5748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗组蛋白抗体(AHA)', '425862', '抗核抗体20项--抗组蛋白抗体(AHA)');
INSERT INTO `tran_lis_config` VALUES ('5749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗肌动蛋白抗体', '425035', '抗核抗体20项--抗肌动蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗核糖体P蛋白抗体(rRNP)', '424137', '抗核抗体20项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `tran_lis_config` VALUES ('5751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗波形蛋白抗体', '425230', '抗核抗体20项--抗波形蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗PM-Scl抗体(抗PM-1抗体)', '426160', '抗核抗体20项--抗PM-Scl抗体(抗PM-1抗体)');
INSERT INTO `tran_lis_config` VALUES ('5753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗增殖细胞核抗原抗体(抗PCNA)', '425684', '抗核抗体20项--抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `tran_lis_config` VALUES ('5754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗核小体抗体(AnuA)', '424284', '抗核抗体20项--抗核小体抗体(AnuA)');
INSERT INTO `tran_lis_config` VALUES ('5755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗纺锤体抗体', '424814', '抗核抗体20项--抗纺锤体抗体');
INSERT INTO `tran_lis_config` VALUES ('5756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体20项', '抗高尔基抗体', '425780', '抗核抗体20项--抗高尔基抗体');
INSERT INTO `tran_lis_config` VALUES ('5757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗核抗体(ANA)', '425881', '抗核抗体22项--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗双链DNA抗体(抗dsDNA)', '424066', '抗核抗体22项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗SSA52抗体', '424478', '抗核抗体22项--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗SSB抗体', '424045', '抗核抗体22项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗Jo-1抗体', '425845', '抗核抗体22项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗Sm抗体', '425545', '抗核抗体22项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗nRNP抗体', '424315', '抗核抗体22项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗Scl-70抗体', '425307', '抗核抗体22项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗着丝点抗体', '424670', '抗核抗体22项--抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('5766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗心磷脂抗体(ACA)', '424753', '抗核抗体22项--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗线粒体亚型抗体M2(AMA-M2)', '426134', '抗核抗体22项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('5768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗中性粒细胞胞浆抗体(cANCA)', '425139', '抗核抗体22项--抗中性粒细胞胞浆抗体(cANCA)');
INSERT INTO `tran_lis_config` VALUES ('5769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗中性粒细胞核周抗体(pANCA)', '425330', '抗核抗体22项--抗中性粒细胞核周抗体(pANCA)');
INSERT INTO `tran_lis_config` VALUES ('5770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗组蛋白抗体(AHA)', '424598', '抗核抗体22项--抗组蛋白抗体(AHA)');
INSERT INTO `tran_lis_config` VALUES ('5771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗肌动蛋白抗体', '424127', '抗核抗体22项--抗肌动蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗高尔基抗体', '425907', '抗核抗体22项--抗高尔基抗体');
INSERT INTO `tran_lis_config` VALUES ('5773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗核小体抗体(AnuA)', '424953', '抗核抗体22项--抗核小体抗体(AnuA)');
INSERT INTO `tran_lis_config` VALUES ('5774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗核糖体P蛋白抗体(rRNP)', '425122', '抗核抗体22项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `tran_lis_config` VALUES ('5775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗波形蛋白抗体', '424674', '抗核抗体22项--抗波形蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗纺锤体抗体', '426096', '抗核抗体22项--抗纺锤体抗体');
INSERT INTO `tran_lis_config` VALUES ('5777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗增殖细胞核抗原抗体(抗PCNA)', '424889', '抗核抗体22项--抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `tran_lis_config` VALUES ('5778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体22项', '抗PM-Scl抗体(抗PM-1抗体)', '424046', '抗核抗体22项--抗PM-Scl抗体(抗PM-1抗体)');
INSERT INTO `tran_lis_config` VALUES ('5779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体2项', '抗核抗体(ANA)', '425668', '抗核抗体2项--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体2项', '抗双链DNA抗体(抗dsDNA)', '424746', '抗核抗体2项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗核抗体(ANA)', '425694', '抗核抗体8项--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗双链DNA抗体(抗dsDNA)', '424389', '抗核抗体8项--抗双链DNA抗体(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗SSA52抗体', '426092', '抗核抗体8项--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗SSB抗体', '426077', '抗核抗体8项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗Jo-1抗体', '424547', '抗核抗体8项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗Sm抗体', '424542', '抗核抗体8项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗nRNP抗体', '425841', '抗核抗体8项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体8项', '抗Scl-70抗体', '424923', '抗核抗体8项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体测定', '抗核抗体(ANA)', '425682', '抗核抗体测定--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('5790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗SSA52抗体', '426145', '抗核抗体谱八项--抗SSA52抗体');
INSERT INTO `tran_lis_config` VALUES ('5791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗SSA60抗体', '424371', '抗核抗体谱八项--抗SSA60抗体');
INSERT INTO `tran_lis_config` VALUES ('5792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗SSB抗体', '425445', '抗核抗体谱八项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗Jo-1抗体', '425541', '抗核抗体谱八项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗Sm抗体', '424059', '抗核抗体谱八项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗Scl-70抗体', '425783', '抗核抗体谱八项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗着丝点抗体', '425452', '抗核抗体谱八项--抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('5797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱八项', '抗RNP抗体', '424496', '抗核抗体谱八项--抗RNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核糖体P蛋白抗体测定', '抗核糖体P蛋白抗体(rRNP)', '424115', '抗核糖体P蛋白抗体测定--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `tran_lis_config` VALUES ('5799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗SSA抗体', '425751', '抗核提取物抗体七项--抗SSA抗体');
INSERT INTO `tran_lis_config` VALUES ('5800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗SSB抗体', '425637', '抗核提取物抗体七项--抗SSB抗体');
INSERT INTO `tran_lis_config` VALUES ('5801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗Jo-1抗体', '426057', '抗核提取物抗体七项--抗Jo-1抗体');
INSERT INTO `tran_lis_config` VALUES ('5802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗Sm抗体', '424289', '抗核提取物抗体七项--抗Sm抗体');
INSERT INTO `tran_lis_config` VALUES ('5803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗nRNP抗体', '425322', '抗核提取物抗体七项--抗nRNP抗体');
INSERT INTO `tran_lis_config` VALUES ('5804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗Scl-70抗体', '425040', '抗核提取物抗体七项--抗Scl-70抗体');
INSERT INTO `tran_lis_config` VALUES ('5805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核提取物抗体七项', '抗核糖体P蛋白抗体(rRNP)', '425704', '抗核提取物抗体七项--抗核糖体P蛋白抗体(rRNP)');
INSERT INTO `tran_lis_config` VALUES ('5806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核小体抗体测定', '抗核小体抗体(AnuA)', '425189', '抗核小体抗体测定--抗核小体抗体(AnuA)');
INSERT INTO `tran_lis_config` VALUES ('5807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核周因子抗体测定', '抗核周因子抗体(APF)', '424551', '抗核周因子抗体测定--抗核周因子抗体(APF)');
INSERT INTO `tran_lis_config` VALUES ('5808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗滑膜抗体测定', '抗滑膜抗体', '424373', '抗滑膜抗体测定--抗滑膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肌内膜抗体测定', '抗肌内膜抗体(EMA)', '425198', '抗肌内膜抗体测定--抗肌内膜抗体(EMA)');
INSERT INTO `tran_lis_config` VALUES ('5810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗甲状旁腺抗体测定', '抗甲状旁腺抗体', '424426', '抗甲状旁腺抗体测定--抗甲状旁腺抗体');
INSERT INTO `tran_lis_config` VALUES ('5811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗甲状腺过氧化物酶抗体测定', '抗甲状腺过氧化物酶抗体(TPOAb)', '425652', '抗甲状腺过氧化物酶抗体测定--抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `tran_lis_config` VALUES ('5812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗甲状腺球蛋白抗体测定', '抗甲状腺球蛋白抗体(TGAb)', '425171', '抗甲状腺球蛋白抗体测定--抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `tran_lis_config` VALUES ('5813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗甲状腺微粒体抗体测定', '抗甲状腺微粒体抗体(TMAb)', '425554', '抗甲状腺微粒体抗体测定--抗甲状腺微粒体抗体(TMAb)');
INSERT INTO `tran_lis_config` VALUES ('5814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗碱血红蛋白测定', '抗碱血红蛋白(HbF)', '424193', '抗碱血红蛋白测定--抗碱血红蛋白(HbF)');
INSERT INTO `tran_lis_config` VALUES ('5815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胶原I-VI抗体测定', '抗胶原I-VI抗体', '426059', '抗胶原I-VI抗体测定--抗胶原I-VI抗体');
INSERT INTO `tran_lis_config` VALUES ('5816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗角蛋白抗体测定', '抗角蛋白抗体(AKA)', '424077', '抗角蛋白抗体测定--抗角蛋白抗体(AKA)');
INSERT INTO `tran_lis_config` VALUES ('5817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗角蛋白丝聚集素抗体测定', '抗角蛋白丝聚集素抗体测定', '425020', '抗角蛋白丝聚集素抗体测定--抗角蛋白丝聚集素抗体测定');
INSERT INTO `tran_lis_config` VALUES ('5818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗结核抗体测定', '抗结核抗体', '425411', '抗结核抗体测定--抗结核抗体');
INSERT INTO `tran_lis_config` VALUES ('5819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗精子抗体混合凝集试验', '抗精子抗体混合凝集试验', '426167', '抗精子抗体混合凝集试验--抗精子抗体混合凝集试验');
INSERT INTO `tran_lis_config` VALUES ('5820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗聚角蛋白微丝蛋白抗体测定', '抗聚角蛋白微丝蛋白抗体(AFA)', '426129', '抗聚角蛋白微丝蛋白抗体测定--抗聚角蛋白微丝蛋白抗体(AFA)');
INSERT INTO `tran_lis_config` VALUES ('5821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗酪氨酸磷酸酶抗体测定', '抗酪氨酸磷酸酶抗体(IA2)', '425418', '抗酪氨酸磷酸酶抗体测定--抗酪氨酸磷酸酶抗体(IA2)');
INSERT INTO `tran_lis_config` VALUES ('5822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗泪腺外分泌腺排出道和腺泡抗体测定', '抗泪腺外分泌腺排出道和腺泡抗体', '424409', '抗泪腺外分泌腺排出道和腺泡抗体测定--抗泪腺外分泌腺排出道和腺泡抗体');
INSERT INTO `tran_lis_config` VALUES ('5823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗类风湿关节炎核抗原抗体测定', '抗类风湿关节炎核抗原抗体', '424924', '抗类风湿关节炎核抗原抗体测定--抗类风湿关节炎核抗原抗体');
INSERT INTO `tran_lis_config` VALUES ('5824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗利尿激素测定', '抗利尿激素(ADH)', '425360', '抗利尿激素测定--抗利尿激素(ADH)');
INSERT INTO `tran_lis_config` VALUES ('5825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗粒细胞特异性抗核抗体测定', '抗粒细胞特异性抗核抗体', '426175', '抗粒细胞特异性抗核抗体测定--抗粒细胞特异性抗核抗体');
INSERT INTO `tran_lis_config` VALUES ('5826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌激酶抗体测定', '抗链球菌激酶抗体', '424267', '抗链球菌激酶抗体测定--抗链球菌激酶抗体');
INSERT INTO `tran_lis_config` VALUES ('5827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O测定', '抗链球菌溶血素O(ASO)', '425870', '抗链球菌溶血素O测定--抗链球菌溶血素O(ASO)');
INSERT INTO `tran_lis_config` VALUES ('5828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O定量', '抗链球菌溶血素O定量', '424258', '抗链球菌溶血素O定量--抗链球菌溶血素O定量');
INSERT INTO `tran_lis_config` VALUES ('5829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O定性', '抗链球菌溶血素O定性', '425959', '抗链球菌溶血素O定性--抗链球菌溶血素O定性');
INSERT INTO `tran_lis_config` VALUES ('5830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌透明质酸酶试验', '抗链球菌透明质酸酶试验', '425172', '抗链球菌透明质酸酶试验--抗链球菌透明质酸酶试验');
INSERT INTO `tran_lis_config` VALUES ('5831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗磷壁酸抗体测定', '抗磷壁酸抗体', '425519', '抗磷壁酸抗体测定--抗磷壁酸抗体');
INSERT INTO `tran_lis_config` VALUES ('5832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗磷脂酰丝氨酸抗体测定', '抗磷脂酰丝氨酸抗体', '425314', '抗磷脂酰丝氨酸抗体测定--抗磷脂酰丝氨酸抗体');
INSERT INTO `tran_lis_config` VALUES ('5833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗卵巢抗体测定', '抗卵巢抗体', '425571', '抗卵巢抗体测定--抗卵巢抗体');
INSERT INTO `tran_lis_config` VALUES ('5834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗麦胶蛋白抗体测定', '抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)', '425466', '抗麦胶蛋白抗体测定--抗麦胶蛋白(麦醇溶蛋白)抗体(AGA)');
INSERT INTO `tran_lis_config` VALUES ('5835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗苗勒氏管激素测定', '抗苗勒氏管激素(AMH)', '424499', '抗苗勒氏管激素测定--抗苗勒氏管激素(AMH)');
INSERT INTO `tran_lis_config` VALUES ('5836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脑垂体抗体测定', '抗脑垂体抗体', '424259', '抗脑垂体抗体测定--抗脑垂体抗体');
INSERT INTO `tran_lis_config` VALUES ('5837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脑组织抗体测定', '抗脑组织抗体', '425577', '抗脑组织抗体测定--抗脑组织抗体');
INSERT INTO `tran_lis_config` VALUES ('5838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗内皮细胞抗体测定', '抗内皮细胞抗体(AECA)', '425015', '抗内皮细胞抗体测定--抗内皮细胞抗体(AECA)');
INSERT INTO `tran_lis_config` VALUES ('5839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗内因子抗体测定', '抗内因子抗体(IFA)', '425988', '抗内因子抗体测定--抗内因子抗体(IFA)');
INSERT INTO `tran_lis_config` VALUES ('5840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗酿酒酵母抗体测定', '抗酿酒酵母抗体(ASCA)', '424839', '抗酿酒酵母抗体测定--抗酿酒酵母(ASCA)抗体');
INSERT INTO `tran_lis_config` VALUES ('5841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血酶Ⅲ复合物测定', '抗凝血酶Ⅲ复合物(TAT)', '425690', '抗凝血酶Ⅲ复合物测定--抗凝血酶Ⅲ复合物(TAT)');
INSERT INTO `tran_lis_config` VALUES ('5842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗凝血酶原抗体测定', '抗凝血酶原抗体', '425852', '抗凝血酶原抗体测定--抗凝血酶原抗体');
INSERT INTO `tran_lis_config` VALUES ('5843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗平滑肌抗体测定', '抗平滑肌抗体(SMA)', '425918', '抗平滑肌抗体测定--抗平滑肌抗体(SMA)');
INSERT INTO `tran_lis_config` VALUES ('5844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗桥粒芯糖蛋白-1抗体测定', '抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)', '424205', '抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)测定--抗桥粒芯糖蛋白-1抗体(抗Dsg-1抗体)');
INSERT INTO `tran_lis_config` VALUES ('5845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗鞘磷脂抗体测定', '抗鞘磷脂抗体', '426140', '抗鞘磷脂抗体测定--抗鞘磷脂抗体');
INSERT INTO `tran_lis_config` VALUES ('5846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗去非唾液糖蛋白受体测定', '抗去非唾液糖蛋白受体', '425031', '抗去非唾液糖蛋白受体(抗ASGPR抗体)测定--抗去非唾液糖蛋白受体');
INSERT INTO `tran_lis_config` VALUES ('5847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗染色体抗体测定', '抗染色体抗体', '426111', '抗染色体抗体测定--抗染色体抗体');
INSERT INTO `tran_lis_config` VALUES ('5848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗人绒毛膜促性腺激素抗体测定', '抗人绒毛膜促性腺激素抗体(AHCGAb)', '425297', '抗人绒毛膜促性腺激素抗体测定--抗人绒毛膜促性腺激素抗体(AHCGAb)');
INSERT INTO `tran_lis_config` VALUES ('5849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗人乳头瘤病毒抗体测定', '抗人乳头瘤病毒抗体(HPV-Ab)', '425983', '抗人乳头瘤病毒抗体(HPV-Ab)测定--抗人乳头瘤病毒抗体(HPV-Ab)');
INSERT INTO `tran_lis_config` VALUES ('5850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗软骨抗体测定', '抗软骨抗体', '425104', '抗软骨抗体测定--抗软骨抗体');
INSERT INTO `tran_lis_config` VALUES ('5851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗腮腺管抗体测定', '抗腮腺管抗体', '425576', '抗腮腺管抗体测定--抗腮腺管抗体');
INSERT INTO `tran_lis_config` VALUES ('5852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗腮腺外分泌腺排出道和腺泡抗体测定', '抗腮腺外分泌腺排出道和腺泡抗体', '424467', '抗腮腺外分泌腺排出道和腺泡抗体测定--抗腮腺外分泌腺排出道和腺泡抗体');
INSERT INTO `tran_lis_config` VALUES ('5853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗杀菌通透性增高蛋白抗体测定', '抗杀菌通透性增高蛋白(BPI)抗体', '425705', '抗杀菌通透性增高蛋白抗体测定--抗杀菌通透性增高蛋白(BPI)抗体');
INSERT INTO `tran_lis_config` VALUES ('5854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经节苷脂抗体测定', '抗神经节苷脂抗体IgG', '424201', '抗神经节苷脂抗体测定--抗神经节苷脂抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经节苷脂抗体测定', '抗神经节苷脂抗体IgM', '424203', '抗神经节苷脂抗体测定--抗神经节苷脂抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经抗原抗体测定', '抗神经抗原抗体', '424460', '抗神经抗原抗体测定--抗神经抗原抗体');
INSERT INTO `tran_lis_config` VALUES ('5857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾上腺皮质抗体测定', '抗肾上腺皮质抗体', '426058', '抗肾上腺皮质抗体测定--抗肾上腺皮质抗体');
INSERT INTO `tran_lis_config` VALUES ('5858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾上腺细胞抗体测定', '抗肾上腺细胞抗体(AAA)', '425199', '抗肾上腺细胞抗体测定--抗肾上腺细胞抗体(AAA)');
INSERT INTO `tran_lis_config` VALUES ('5859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾小球基底膜抗体测定', '抗肾小球基底膜抗体', '424370', '抗肾小球基底膜抗体测定--抗肾小球基底膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗生长激素抗体测定', '抗生长激素抗体', '424083', '抗生长激素抗体测定--抗生长激素抗体');
INSERT INTO `tran_lis_config` VALUES ('5861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗双链DNA测定', '抗双链DNA(抗dsDNA)', '424591', '抗双链DNA测定--抗双链DNA(抗dsDNA)');
INSERT INTO `tran_lis_config` VALUES ('5862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗髓鞘相关糖蛋白抗体测定', '抗髓鞘相关糖蛋白抗体', '424897', '抗髓鞘相关糖蛋白抗体测定--抗髓鞘相关糖蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胎盘合体滋养层细胞抗体测定', '抗胎盘合体滋养层细胞抗体', '425166', '抗胎盘合体滋养层细胞抗体测定--抗胎盘合体滋养层细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胎盘抗原抗体测定', '抗胎盘抗原抗体', '425804', '抗胎盘抗原抗体测定--抗胎盘抗原抗体');
INSERT INTO `tran_lis_config` VALUES ('5865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗体依赖性细胞毒性试验', '抗体依赖性细胞毒性试验', '425247', '抗体依赖性细胞毒性试验--抗体依赖性细胞毒性试验');
INSERT INTO `tran_lis_config` VALUES ('5866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗透明带抗体测定', '抗透明带抗体', '426196', '抗透明带抗体测定--抗透明带抗体');
INSERT INTO `tran_lis_config` VALUES ('5867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗突变型瓜氨酸波型蛋白抗体测定', '抗突变型瓜氨酸波型蛋白(MCV)抗体', '424174', '抗突变型瓜氨酸波型蛋白抗体测定--抗突变型瓜氨酸波型蛋白(MCV)抗体');
INSERT INTO `tran_lis_config` VALUES ('5868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脱氧核糖核酸酶抗体测定', '抗脱氧核糖核酸酶抗体', '425940', '抗脱氧核糖核酸酶抗体--抗脱氧核糖核酸酶抗体');
INSERT INTO `tran_lis_config` VALUES ('5869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗网硬蛋白抗体测定', '抗网硬蛋白抗体', '424567', '抗网硬蛋白抗体测定--抗网硬蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胃G细胞抗体测定', '抗胃G细胞抗体', '424575', '抗胃G细胞抗体测定--抗胃G细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胃壁细胞抗体测定', '抗胃壁细胞抗体(PCA)', '426176', '抗胃壁细胞抗体测定--抗胃壁细胞抗体(PCA)');
INSERT INTO `tran_lis_config` VALUES ('5872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗无髓神经纤维抗体测定', '抗无髓神经纤维抗体', '424239', '抗无髓神经纤维抗体测定--抗无髓神经纤维抗体');
INSERT INTO `tran_lis_config` VALUES ('5873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗细胞浆抗体测定', '抗细胞浆抗体', '425910', '抗细胞浆抗体测定--抗细胞浆抗体');
INSERT INTO `tran_lis_config` VALUES ('5874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗下丘脑抗体测定', '抗下丘脑抗体', '424422', '抗下丘脑抗体测定--抗下丘脑抗体');
INSERT INTO `tran_lis_config` VALUES ('5875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗涎/腮腺导管抗体测定', '抗涎/腮腺导管抗体', '424060', '抗涎/腮腺导管抗体测定--抗涎/腮腺导管抗体');
INSERT INTO `tran_lis_config` VALUES ('5876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗线粒体M2亚型抗体测定', '抗线粒体M2亚型抗体(AMA-M2)', '425132', '抗线粒体M2亚型抗体测定--抗线粒体M2亚型抗体(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('5877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗线粒体抗体测定', '抗线粒体抗体(AMA)', '425777', '抗线粒体抗体测定--抗线粒体抗体(AMA)');
INSERT INTO `tran_lis_config` VALUES ('5878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗小肠杯状细胞抗体测定', '抗小肠杯状细胞抗体', '425510', '抗小肠杯状细胞抗体测定--抗小肠杯状细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心肌抗体测定', '抗心肌抗体(AHA)', '424990', '抗心肌抗体测定--抗心肌抗体(AHA)');
INSERT INTO `tran_lis_config` VALUES ('5880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心磷脂抗体测定', '抗心磷脂抗体(ACA)', '425809', '抗心磷脂抗体--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('5881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPIb)', '424062', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPIb)');
INSERT INTO `tran_lis_config` VALUES ('5882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPⅡb)', '425481', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPⅡb)');
INSERT INTO `tran_lis_config` VALUES ('5883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPⅢa)', '425946', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPⅢa)');
INSERT INTO `tran_lis_config` VALUES ('5884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗血小板膜糖蛋白自身抗体测定', '抗血小板膜糖蛋白自身抗体(GPIX)', '426141', '抗血小板膜糖蛋白自身抗体测定--抗血小板膜糖蛋白自身抗体(GPIX)');
INSERT INTO `tran_lis_config` VALUES ('5885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗血液细胞抗体测定', '抗血液细胞抗体', '425075', '抗血液细胞抗体测定--抗血液细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗眼部结构抗体测定', '抗眼部结构抗体', '424445', '抗眼部结构抗体测定--抗眼部结构抗体');
INSERT INTO `tran_lis_config` VALUES ('5887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗眼肌抗体测定', '抗眼肌抗体', '425130', '抗眼肌抗体测定--抗眼肌抗体');
INSERT INTO `tran_lis_config` VALUES ('5888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胰岛素抗体测定', '抗胰岛素抗体(IAA)', '425001', '抗胰岛素抗体测定--抗胰岛素抗体(IAA)');
INSERT INTO `tran_lis_config` VALUES ('5889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胰岛素受体抗体测定', '抗胰岛素受体抗体', '425551', '抗胰岛素受体抗体测定--抗胰岛素受体抗体');
INSERT INTO `tran_lis_config` VALUES ('5890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胰外分泌腺排出道和腺泡抗体测定', '抗胰外分泌腺排出道和腺泡抗体', '425356', '抗胰外分泌腺排出道和腺泡抗体测定--抗胰外分泌腺排出道和腺泡抗体');
INSERT INTO `tran_lis_config` VALUES ('5891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胰腺腺胞抗体测定', '抗胰腺腺胞抗体', '424898', '抗胰腺腺胞抗体测定--抗胰腺腺胞抗体');
INSERT INTO `tran_lis_config` VALUES ('5892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗乙酰胆碱受体抗体测定', '抗乙酰胆碱受体抗体', '424155', '抗乙酰胆碱受体抗体测定--抗乙酰胆碱受体抗体');
INSERT INTO `tran_lis_config` VALUES ('5893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗有髓神经纤维抗体测定', '抗有髓神经纤维抗体', '424134', '抗有髓神经纤维抗体测定--抗有髓神经纤维抗体');
INSERT INTO `tran_lis_config` VALUES ('5894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗载脂蛋白抗体测定', '抗载脂蛋白抗体', '424564', '抗载脂蛋白抗体测定--抗载脂蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗着丝点抗体测定', '抗着丝点抗体', '425041', '抗着丝点抗体测定--抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('5896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗中心粒抗体测定', '抗中心粒抗体', '425901', '抗中心粒抗体测定--抗中心粒抗体');
INSERT INTO `tran_lis_config` VALUES ('5897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗中性粒细胞胞浆抗体测定', '抗中性粒细胞胞浆抗体(cANCA)', '424276', '抗中性粒细胞胞浆抗体测定--抗中性粒细胞胞浆抗体(cANCA)');
INSERT INTO `tran_lis_config` VALUES ('5898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗中性粒细胞溶菌酶抗体测定', '抗中性粒细胞溶菌酶抗体', '424599', '抗中性粒细胞溶菌酶抗体测定--抗中性粒细胞溶菌酶抗体');
INSERT INTO `tran_lis_config` VALUES ('5899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗中性粒细胞乳铁蛋白抗体测定', '抗中性粒细胞乳铁蛋白抗体', '424965', '抗中性粒细胞乳铁蛋白抗体测定--抗中性粒细胞乳铁蛋白抗体');
INSERT INTO `tran_lis_config` VALUES ('5900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗中性粒细胞组织蛋白酶G抗体测定', '抗中性粒细胞组织蛋白酶G抗体', '425202', '抗中性粒细胞组织蛋白酶G抗体测定--抗中性粒细胞组织蛋白酶G抗体');
INSERT INTO `tran_lis_config` VALUES ('5901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗主动脉抗体测定', '抗主动脉抗体', '425877', '抗主动脉抗体测定--抗主动脉抗体');
INSERT INTO `tran_lis_config` VALUES ('5902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗滋养膜抗体测定', '抗滋养膜抗体', '424601', '抗滋养膜抗体测定--抗滋养膜抗体');
INSERT INTO `tran_lis_config` VALUES ('5903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗组蛋白抗体测定', '抗组蛋白抗体(AHA)', '424718', '抗组蛋白抗体测定--抗组蛋白抗体(AHA)');
INSERT INTO `tran_lis_config` VALUES ('5904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇B型病毒抗体测定', '柯萨奇B型病毒抗体(CBVAb)', '425935', '柯萨奇B型病毒抗体测定--柯萨奇B型病毒抗体(CBVAb)');
INSERT INTO `tran_lis_config` VALUES ('5905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒抗体测定', '柯萨奇病毒抗体IgG', '425353', '柯萨奇病毒抗体测定--柯萨奇病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒抗体测定', '柯萨奇病毒抗体IgM', '425348', '柯萨奇病毒抗体测定--柯萨奇病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '可乐宁试验', '可乐宁试验', '425468', '可乐宁试验--可乐宁试验');
INSERT INTO `tran_lis_config` VALUES ('5908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '可溶性细胞间粘附因子-1测定', '可溶性细胞间黏附分子-1(sICAM-1)', '424736', '可溶性细胞间黏附分子-1测定--可溶性细胞间黏附分子-1(sICAM-1)');
INSERT INTO `tran_lis_config` VALUES ('5909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '可溶性血小板膜α颗粒膜蛋白140测定', '可溶性血小板膜α颗粒膜蛋白140(GMP-140)', '424250', '可溶性血小板膜α颗粒膜蛋白140测定--可溶性血小板膜α颗粒膜蛋白140(GMP-140)');
INSERT INTO `tran_lis_config` VALUES ('5910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '可溶性转铁蛋白受体测定', '可溶性转铁蛋白受体(sTfR)', '425619', '可溶性转铁蛋白受体测定--可溶性转铁蛋白受体(sTfR)');
INSERT INTO `tran_lis_config` VALUES ('5911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空肠弯曲菌抗体测定', '空肠弯曲菌抗体', '424726', '空肠弯曲菌抗体测定--空肠弯曲菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹葡萄糖测定', '葡萄糖(GLU)', '424434', '空腹葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹胃液量测定', '空腹胃液量', '424744', '空腹胃液量--空腹胃液量');
INSERT INTO `tran_lis_config` VALUES ('5914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹胰岛素测定', '胰岛素(Ins)', '425318', '空腹胰岛素--胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('5915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '30min葡萄糖(GLU)', '424294', '口服葡萄糖耐量试验--30min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '60min葡萄糖(GLU)', '425235', '口服葡萄糖耐量试验--60min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '120min葡萄糖(GLU)', '424330', '口服葡萄糖耐量试验--120min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '180min葡萄糖(GLU)', '424356', '口服葡萄糖耐量试验--180min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '240min葡萄糖(GLU)', '425471', '口服葡萄糖耐量试验--240min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '300min葡萄糖(GLU)', '424749', '口服葡萄糖耐量试验--300min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('5921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验3小时法', '30min胰岛素(INS)', '424317', '口服葡萄糖胰岛素释放试验3小时法--30min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验3小时法', '60min胰岛素(INS)', '425444', '口服葡萄糖胰岛素释放试验3小时法--60min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验3小时法', '120min胰岛素(INS)', '424532', '口服葡萄糖胰岛素释放试验3小时法--120min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验3小时法', '180min胰岛素(INS)', '424219', '口服葡萄糖胰岛素释放试验3小时法--180min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '30min胰岛素(INS)', '425407', '口服葡萄糖胰岛素释放试验5小时法--30min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '60min胰岛素(INS)', '424301', '口服葡萄糖胰岛素释放试验5小时法--60min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '120min胰岛素(INS)', '426084', '口服葡萄糖胰岛素释放试验5小时法--120min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '180min胰岛素(INS)', '425823', '口服葡萄糖胰岛素释放试验5小时法--180min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '240min胰岛素(INS)', '424815', '口服葡萄糖胰岛素释放试验5小时法--240min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖胰岛素释放试验5小时法', '300min胰岛素(INS)', '425758', '口服葡萄糖胰岛素释放试验5小时法--300min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('5931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '快速尿素酶试验', '快速尿素酶试验', '425478', '快速尿素酶试验--快速尿素酶试验');
INSERT INTO `tran_lis_config` VALUES ('5932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '快速血浆反应素试验', '快速血浆反应素试验', '424128', '快速血浆反应素试验--快速血浆反应素试验');
INSERT INTO `tran_lis_config` VALUES ('5933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '狂犬病毒抗体测定', '狂犬病毒抗体', '425866', '狂犬病毒抗体测定--狂犬病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '莱姆氏螺旋体抗体测定', '莱姆氏螺旋体抗体', '425079', '莱姆氏螺旋体抗体测定--莱姆氏螺旋体抗体');
INSERT INTO `tran_lis_config` VALUES ('5935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '狼疮抗凝物质测定', '狼疮抗凝物质(LAC)', '426125', '狼疮抗凝物质测定--狼疮抗凝物质测定');
INSERT INTO `tran_lis_config` VALUES ('5936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酪胺激发试验', '酪胺激发试验', '426108', '酪胺激发试验--酪胺激发试验');
INSERT INTO `tran_lis_config` VALUES ('5937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿性关节炎自身抗体测定', '类风湿因子(RF)', '424363', '类风湿性关节炎自身抗体--类风湿因子(RF)');
INSERT INTO `tran_lis_config` VALUES ('5938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿性关节炎自身抗体测定', '抗环瓜氨酸肽抗体(CCP)', '424899', '类风湿性关节炎自身抗体--抗环瓜氨酸肽抗体(CCP)');
INSERT INTO `tran_lis_config` VALUES ('5939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿性关节炎自身抗体测定', '抗RA33抗体', '424357', '类风湿性关节炎自身抗体--抗RA33抗体');
INSERT INTO `tran_lis_config` VALUES ('5940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿性关节炎自身抗体测定', '抗角蛋白抗体(AKA)', '424485', '类风湿性关节炎自身抗体--抗角蛋白抗体(AKA)');
INSERT INTO `tran_lis_config` VALUES ('5941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿性关节炎自身抗体测定', '抗核周因子抗体(APF)', '424857', '类风湿性关节炎自身抗体--抗核周因子抗体(APF)');
INSERT INTO `tran_lis_config` VALUES ('5942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子测定', '类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)', '425480', '类胰岛素样生长因子测定--类胰岛素样生长因子-Ⅰ(IGF-Ⅰ)');
INSERT INTO `tran_lis_config` VALUES ('5943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子测定', '类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)', '426146', '类胰岛素样生长因子测定--类胰岛素样生长因子-Ⅱ(IGF-Ⅱ)');
INSERT INTO `tran_lis_config` VALUES ('5944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子结合蛋白-3测定', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', '426064', '类胰岛素样生长因子结合蛋白-3测定--类胰岛素样生长因子结合蛋白-3(IGF-BP3)');
INSERT INTO `tran_lis_config` VALUES ('5945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '冷凝集试验', '冷凝集试验', '424501', '冷凝集试验--冷凝集试验');
INSERT INTO `tran_lis_config` VALUES ('5946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '冷溶血试验', '冷溶血试验', '425509', '冷溶血试验--冷溶血试验');
INSERT INTO `tran_lis_config` VALUES ('5947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '立克次体免疫学试验', '立克次体免疫学试验', '426025', '立克次体免疫学试验--立克次体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('5948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粒细胞集落刺激因子测定', '粒细胞集落刺激因子', '424379', '粒细胞集落刺激因子--粒细胞集落刺激因子');
INSERT INTO `tran_lis_config` VALUES ('5949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '连续血浆鱼精蛋白稀释试验', '连续血浆鱼精蛋白稀释试验', '425735', '连续血浆鱼精蛋白稀释试验--连续血浆鱼精蛋白稀释试验');
INSERT INTO `tran_lis_config` VALUES ('5950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞毒试验', '淋巴细胞毒试验', '426120', '淋巴细胞毒试验--淋巴细胞毒试验');
INSERT INTO `tran_lis_config` VALUES ('5951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚类测定', '淋巴细胞亚类测定', '426024', '淋巴细胞亚类测定--淋巴细胞亚类测定');
INSERT INTO `tran_lis_config` VALUES ('5952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD3+', '425987', '淋巴细胞亚群计数--CD3+');
INSERT INTO `tran_lis_config` VALUES ('5953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD4+', '425854', '淋巴细胞亚群计数--CD4+');
INSERT INTO `tran_lis_config` VALUES ('5954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD4+/CD8+', '424430', '淋巴细胞亚群计数--CD4+/CD8+');
INSERT INTO `tran_lis_config` VALUES ('5955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD8+', '425909', '淋巴细胞亚群计数--CD8+');
INSERT INTO `tran_lis_config` VALUES ('5956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞转化试验', '淋巴细胞转化试验', '424606', '淋巴细胞转化试验--淋巴细胞转化试验');
INSERT INTO `tran_lis_config` VALUES ('5957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋病奈瑟菌药敏试验', '淋病奈瑟菌药敏试验', '424649', '淋病奈瑟菌药敏试验--淋病奈瑟菌药敏试验');
INSERT INTO `tran_lis_config` VALUES ('5958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '磷测定', '磷(P)', '426090', '磷测定--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('5959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '磷酸葡萄糖变位酶测定', '磷酸葡萄糖变位酶(PGM)', '425178', '磷酸葡萄糖变位酶测定--磷酸葡萄糖变位酶(PGM)');
INSERT INTO `tran_lis_config` VALUES ('5960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '磷酸葡萄糖异构酶测定', '磷酸葡萄糖异构酶(GPI)', '425474', '磷酸葡萄糖异构酶测定--磷酸葡萄糖异构酶(GPI)');
INSERT INTO `tran_lis_config` VALUES ('5961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鳞状细胞癌相关抗原测定', '鳞状细胞癌相关抗原(SCC)', '424305', '鳞状细胞癌相关抗原测定--鳞状细胞癌相关抗原(SCC)');
INSERT INTO `tran_lis_config` VALUES ('5962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流感嗜血杆菌抗体测定', '流感嗜血杆菌抗体', '425004', '流感嗜血杆菌抗体测定--流感嗜血杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('5963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热病毒抗体测定', '流行性出血热病毒抗体IgG', '425102', '流行性出血热病毒抗体--流行性出血热病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热病毒抗体测定', '流行性出血热病毒抗体IgM', '425106', '流行性出血热病毒抗体--流行性出血热病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性腮腺炎病毒抗体测定', '流行性腮腺炎病毒抗体IgG', '425938', '流行性腮腺炎病毒抗体--流行性腮腺炎病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性腮腺炎病毒抗体测定', '流行性腮腺炎病毒抗体IgM', '425934', '流行性腮腺炎病毒抗体--流行性腮腺炎病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性乙型脑炎病毒抗体测定', '流行性乙型脑炎病毒抗体IgG', '425009', '流行性乙型脑炎病毒抗体--流行性乙型脑炎病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('5968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性乙型脑炎病毒抗体测定', '流行性乙型脑炎病毒抗体IgM', '425007', '流行性乙型脑炎病毒抗体--流行性乙型脑炎病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('5969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '硫化血红蛋白测定', '硫化血红蛋白(SulfHb)', '425491', '硫化血红蛋白测定--硫化血红蛋白(SulfHb)');
INSERT INTO `tran_lis_config` VALUES ('5970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '硫酸去氢表雄酮测定', '硫酸去氢表雄酮(DHEAS)', '425098', '硫酸去氢表雄酮测定--硫酸去氢表雄酮(DHEAS)');
INSERT INTO `tran_lis_config` VALUES ('5971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物5项', '甲胎蛋白(AFP)', '425522', '卵巢肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('5972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物5项', '癌胚抗原(CEA)', '425366', '卵巢肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('5973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物5项', '糖类抗原CA-199', '425431', '卵巢肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('5974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物5项', '糖类抗原CA-125', '425248', '卵巢肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('5975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵巢肿瘤标志物5项', 'β人绒毛膜促性腺激素(β-HCG)', '424055', '卵巢肿瘤标志物5项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('5976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卵泡刺激素测定', '卵泡刺激素(FSH)', '424992', '卵泡刺激素测定--卵泡刺激素(FSH)');
INSERT INTO `tran_lis_config` VALUES ('5977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒抗体测定', '轮状病毒抗体', '424466', '轮状病毒抗体测定--轮状病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('5978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氯测定', '氯(Cl)', '425921', '氯测定--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('5979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐C肽释放试验', '50minC肽(C-P)', '424251', '馒头餐C肽释放试验--50minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐C肽释放试验', '60minC肽(C-P)', '424132', '馒头餐C肽释放试验--60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐C肽释放试验', '120minC肽(C-P)', '424480', '馒头餐C肽释放试验--120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐C肽释放试验', '240minC肽(C-P)', '424044', '馒头餐C肽释放试验--240minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐C肽释放试验', '300minC肽(C-P)', '424494', '馒头餐C肽释放试验--300minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('5984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐胰岛功能相关激素释放试验', '馒头餐胰岛功能相关激素释放试验', '425250', '馒头餐胰岛功能相关激素释放试验--馒头餐胰岛功能相关激素释放试验');
INSERT INTO `tran_lis_config` VALUES ('5985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '毛细血管脆性试验', '毛细血管脆性试验', '425496', '毛细血管脆性试验--毛细血管脆性试验');
INSERT INTO `tran_lis_config` VALUES ('5986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒螺旋体抗体测定', '梅毒螺旋体抗体(TP-Ab)', '424074', '梅毒螺旋体抗体测定--梅毒螺旋体抗体(TP-Ab)');
INSERT INTO `tran_lis_config` VALUES ('5987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒螺旋体抗原血清试验', '梅毒螺旋体抗原血清试验', '425744', '梅毒螺旋体抗原血清试验--梅毒螺旋体抗原血清试验');
INSERT INTO `tran_lis_config` VALUES ('5988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒螺旋体血细胞凝集试验', '梅毒螺旋体血细胞凝集试验', '425603', '梅毒螺旋体血细胞凝集试验--梅毒螺旋体血细胞凝集试验');
INSERT INTO `tran_lis_config` VALUES ('5989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒特异性抗体测定', '梅毒特异性抗体', '424632', '梅毒特异性抗体测定--梅毒特异性抗体');
INSERT INTO `tran_lis_config` VALUES ('5990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '镁测定', '镁(Mg)', '424183', '镁测定--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('5991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '泌乳素测定', '泌乳素(PRL)', '426032', '泌乳素测定--泌乳素(PRL)');
INSERT INTO `tran_lis_config` VALUES ('5992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '密螺旋体颗粒凝集试验', '密螺旋体颗粒凝集(TPPA)试验', '425282', '密螺旋体颗粒凝集试验--密螺旋体颗粒凝集(TPPA)试验');
INSERT INTO `tran_lis_config` VALUES ('5993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白A定量', '免疫球蛋白A(IgA)', '426021', '免疫球蛋白A定量--免疫球蛋白A(IgA)');
INSERT INTO `tran_lis_config` VALUES ('5994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白D定量', '免疫球蛋白D(IgD)', '425187', '免疫球蛋白D定量--免疫球蛋白D(IgD)');
INSERT INTO `tran_lis_config` VALUES ('5995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白E定量', '免疫球蛋白E(IgE)', '424577', '免疫球蛋白E定量--免疫球蛋白E(IgE)');
INSERT INTO `tran_lis_config` VALUES ('5996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白G定量', '免疫球蛋白G(IgG)', '424750', '免疫球蛋白G定量--免疫球蛋白G(IgG)');
INSERT INTO `tran_lis_config` VALUES ('5997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白M定量', '免疫球蛋白M(IgM)', '425349', '免疫球蛋白M定量--免疫球蛋白M(IgM)');
INSERT INTO `tran_lis_config` VALUES ('5998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白轻链测定', '免疫球蛋白轻链测定', '424120', '免疫球蛋白轻链测定--免疫球蛋白轻链测定');
INSERT INTO `tran_lis_config` VALUES ('5999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgA1', '424607', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgA1');
INSERT INTO `tran_lis_config` VALUES ('6000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgA2', '424605', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgA2');
INSERT INTO `tran_lis_config` VALUES ('6001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG1', '424650', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG1');
INSERT INTO `tran_lis_config` VALUES ('6002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG2', '424643', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG2');
INSERT INTO `tran_lis_config` VALUES ('6003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG3', '424645', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG3');
INSERT INTO `tran_lis_config` VALUES ('6004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量', '免疫球蛋白亚类定量测定IgG4', '424641', '免疫球蛋白亚类定量--免疫球蛋白亚类定量测定IgG4');
INSERT INTO `tran_lis_config` VALUES ('6005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白游离轻链测定', '免疫球蛋白游离轻链测定', '426142', '免疫球蛋白游离轻链测定--免疫球蛋白游离轻链测定');
INSERT INTO `tran_lis_config` VALUES ('6006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '木糖测定', '木糖', '425713', '木糖测定--木糖');
INSERT INTO `tran_lis_config` VALUES ('6007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钠测定', '钠(Na)', '424279', '钠测定--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耐甲氧西林葡萄球菌测定', '耐甲氧西林葡萄球菌', '425143', '耐甲氧西林葡萄球菌测定--耐甲氧西林葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('6009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耐甲氧西林葡萄球菌药敏定量试验', '耐甲氧西林葡萄球菌药敏定量试验', '425702', '耐甲氧西林葡萄球菌药敏定量试验--耐甲氧西林葡萄球菌药敏定量试验');
INSERT INTO `tran_lis_config` VALUES ('6010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耐甲氧西林葡萄球菌药敏定性试验', '耐甲氧西林葡萄球菌药敏定性试验', '425708', '耐甲氧西林葡萄球菌药敏定性试验--耐甲氧西林葡萄球菌药敏定性试验');
INSERT INTO `tran_lis_config` VALUES ('6011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物5项', '甲胎蛋白(AFP)', '424225', '男性肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物5项', '癌胚抗原(CEA)', '424592', '男性肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物5项', '糖类抗原CA-199', '425315', '男性肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物5项', '糖类抗原CA-125', '424908', '男性肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物5项', '总前列腺特异性抗原(TPSA)', '424808', '男性肿瘤标志物5项--总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('6016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '甲胎蛋白(AFP)', '425169', '男性肿瘤标志物6项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '癌胚抗原(CEA)', '424588', '男性肿瘤标志物6项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '糖类抗原CA-199', '424268', '男性肿瘤标志物6项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '糖类抗原CA-125', '424416', '男性肿瘤标志物6项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '总前列腺特异性抗原(TPSA)', '424138', '男性肿瘤标志物6项--总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('6021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物6项', '铁蛋白(Fer)', '426038', '男性肿瘤标志物6项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '甲胎蛋白(AFP)', '424560', '男性肿瘤标志物7项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '癌胚抗原(CEA)', '425795', '男性肿瘤标志物7项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '糖类抗原CA-199', '425923', '男性肿瘤标志物7项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '糖类抗原CA-125', '426110', '男性肿瘤标志物7项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '总前列腺特异性抗原(TPSA)', '424603', '男性肿瘤标志物7项--总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('6027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '铁蛋白(Fer)', '424502', '男性肿瘤标志物7项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '男性肿瘤标志物7项', '游离前列腺特异性抗原(FPSA)', '424578', '男性肿瘤标志物7项--游离前列腺特异性抗原(FPSA)');
INSERT INTO `tran_lis_config` VALUES ('6029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '囊虫病补体结合试验', '囊虫病补体结合试验', '426036', '囊虫病补体结合试验--囊虫病补体结合试验');
INSERT INTO `tran_lis_config` VALUES ('6030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液β-内啡肽测定', 'β-内啡肽', '425728', '脑脊液β-内啡肽测定--β-内啡肽');
INSERT INTO `tran_lis_config` VALUES ('6031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '颜色', '425044', '脑脊液常规+生化--颜色');
INSERT INTO `tran_lis_config` VALUES ('6032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '透明度', '424022', '脑脊液常规+生化--透明度');
INSERT INTO `tran_lis_config` VALUES ('6033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '比重(SG)', '425350', '脑脊液常规+生化--比重(SG)');
INSERT INTO `tran_lis_config` VALUES ('6034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '酸碱度(PH)', '425859', '脑脊液常规+生化--酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('6035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '压力', '425176', '脑脊液常规+生化--压力');
INSERT INTO `tran_lis_config` VALUES ('6036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '葡萄糖(GLU)', '425950', '脑脊液常规+生化--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '白蛋白', '424302', '脑脊液常规+生化--白蛋白');
INSERT INTO `tran_lis_config` VALUES ('6038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '蛋白质定量', '425450', '脑脊液常规+生化--蛋白质定量');
INSERT INTO `tran_lis_config` VALUES ('6039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '氯化物定量', '424432', '脑脊液常规+生化--氯化物定量');
INSERT INTO `tran_lis_config` VALUES ('6040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '乳酸', '425627', '脑脊液常规+生化--乳酸');
INSERT INTO `tran_lis_config` VALUES ('6041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '腺苷脱氨酶(ADA)', '424325', '脑脊液常规+生化--腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('6042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '白细胞计数(WBC)', '425693', '脑脊液常规+生化--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('6043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '单核细胞百分比(MONO%)', '425786', '脑脊液常规+生化--单核细胞百分比(MONO%)');
INSERT INTO `tran_lis_config` VALUES ('6044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '红细胞计数(RBC)', '424345', '脑脊液常规+生化--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('6045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '淋巴细胞百分比(LYM%)', '425887', '脑脊液常规+生化--淋巴细胞百分比(LYM%)');
INSERT INTO `tran_lis_config` VALUES ('6046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '中性粒细胞百分比(NEUT%)', '424097', '脑脊液常规+生化--中性粒细胞百分比(NEUT%)');
INSERT INTO `tran_lis_config` VALUES ('6047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '革兰染色', '426171', '脑脊液常规+生化--革兰染色');
INSERT INTO `tran_lis_config` VALUES ('6048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '抗酸染色', '424695', '脑脊液常规+生化--抗酸染色');
INSERT INTO `tran_lis_config` VALUES ('6049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液促甲状腺素测定', '促甲状腺激素(TSH)', '424703', '脑脊液促甲状腺素--促甲状腺激素(TSH)');
INSERT INTO `tran_lis_config` VALUES ('6050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', 'β2-巨球蛋白(β2-MG)', '425388', '脑脊液免疫球蛋白--β2-巨球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白A', '425724', '脑脊液免疫球蛋白--免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('6052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白G', '425723', '脑脊液免疫球蛋白--免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('6053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白M', '425718', '脑脊液免疫球蛋白--免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('6054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '髓鞘碱性蛋白', '425389', '脑脊液免疫球蛋白--髓鞘碱性蛋白');
INSERT INTO `tran_lis_config` VALUES ('6055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液溶菌酶测定', '溶菌酶(LYSO)', '424075', '脑脊液溶菌酶--溶菌酶');
INSERT INTO `tran_lis_config` VALUES ('6056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液乳酸测定', '乳酸(LA)', '424797', '脑脊液乳酸--乳酸(LA)');
INSERT INTO `tran_lis_config` VALUES ('6057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑膜炎奈瑟菌抗体测定', '脑膜炎奈瑟菌抗体', '425399', '脑膜炎奈瑟菌抗体--脑膜炎奈瑟菌抗体');
INSERT INTO `tran_lis_config` VALUES ('6058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定量试验', '内毒素鲎定量试验', '424242', '内毒素鲎定量试验--内毒素鲎定量试验');
INSERT INTO `tran_lis_config` VALUES ('6059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定性试验', '内毒素鲎定性试验', '424335', '内毒素鲎定性试验--内毒素鲎定性试验');
INSERT INTO `tran_lis_config` VALUES ('6060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内皮生长因子测定', '内皮生长因子', '424519', '内皮生长因子测定--内皮生长因子');
INSERT INTO `tran_lis_config` VALUES ('6061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内生肌酐清除率测定', '肌酐清除率(CCr)', '425107', '内生肌酐清除率测定--肌酐清除率(CCr)');
INSERT INTO `tran_lis_config` VALUES ('6062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '念珠菌病免疫学试验', '念珠菌病免疫学试验', '424021', '念珠菌病免疫学试验--念珠菌病免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿17-羟皮质类固醇测定', '尿17-羟皮质类固醇(17-OHCS)', '425116', '尿17-羟皮质类固醇测定--17-羟皮质类固醇(17-OHCS)');
INSERT INTO `tran_lis_config` VALUES ('6064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿17-酮皮质类固醇测定', '尿17-酮皮质类固醇(17-KS)', '424146', '尿17-酮皮质类固醇测定--尿17-酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('6065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿C肽定量(24h)', 'C肽(C-P)', '424249', '尿C肽定量(24h)--C肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿N-乙酰-β-D-葡萄糖苷酶测定', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '424495', '尿N-乙酰-β-D-葡萄糖苷酶测定--尿N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `tran_lis_config` VALUES ('6067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿T-H糖蛋白定量(24h)', '尿T-H糖蛋白', '425390', '尿T-H糖蛋白定量(24h)--尿T-H糖蛋白');
INSERT INTO `tran_lis_config` VALUES ('6068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿α1微量球蛋白测定', 'α1微量球蛋白', '425355', '尿α1微量球蛋白测定--α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿α1微量球蛋白定量(24h)', 'α1微量球蛋白', '424164', '尿α1微量球蛋白定量(24h)--α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿α1微球蛋白测定', 'α1微球蛋白(α1-MG)', '425742', '尿α1微球蛋白测定--α1微球蛋白(α1-MG)');
INSERT INTO `tran_lis_config` VALUES ('6071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '424788', '尿β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿β2微球蛋白定量(24h)', 'β2微球蛋白(β2-MG)', '424735', '尿β2微球蛋白定量(24h)--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿β-D-半乳糖苷酶测定', 'β-D-半乳糖苷酶(GAL)', '425979', '尿β-D-半乳糖苷酶测定--β-D-半乳糖苷酶(GAL)');
INSERT INTO `tran_lis_config` VALUES ('6074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿人绒毛膜促性腺激素定量', '尿人绒毛膜促性腺激素(HCG)', '425061', '尿人绒毛膜促性腺激素定量--尿人绒毛膜促性腺激素(HCG)');
INSERT INTO `tran_lis_config` VALUES ('6075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿β人绒毛膜促性腺激素定量', '尿β人绒毛膜促性腺激素(β-HCG)', '424362', '尿β人绒毛膜促性腺激素定量--尿β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿人绒毛膜促性腺激素定性', '尿人绒毛膜促性腺激素定性(HCG)', '425968', '尿人绒毛膜促性腺激素定性--尿人绒毛膜促性腺激素定性(HCG)');
INSERT INTO `tran_lis_config` VALUES ('6077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿β人绒毛膜促性腺激素定性', '尿β人绒毛膜促性腺激素定性(β-HCG)', '424375', '尿β人绒毛膜促性腺激素定性--尿β人绒毛膜促性腺激素定性(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿γ-谷氨酰转移酶测定', '尿γ-谷氨酰转移酶(GGT)', '424348', '尿γ-谷氨酰转移酶测定--尿γ-谷氨酰转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('6079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿白蛋白排泄率测定', '尿白蛋白排泄率(UAE)', '425324', '尿白蛋白排泄率测定--尿白蛋白排泄率');
INSERT INTO `tran_lis_config` VALUES ('6080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿半乳糖定量(24h)', '半乳糖', '425790', '尿半乳糖测定--半乳糖');
INSERT INTO `tran_lis_config` VALUES ('6081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿半乳糖定性', '尿半乳糖定性', '425112', '尿半乳糖定性--尿半乳糖定性');
INSERT INTO `tran_lis_config` VALUES ('6082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿包涵体测定', '包涵体', '424342', '尿包涵体测定--包涵体');
INSERT INTO `tran_lis_config` VALUES ('6083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿本周氏蛋白定性试验', '尿本周氏蛋白定性试验', '425663', '尿本周氏蛋白定性试验--尿本周氏蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('6084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿苯丙酮酸定量(24h)', '苯丙酮酸(PKU)', '424322', '尿苯丙酮酸定量(24h)--苯丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('6085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿苯丙酮酸测定', '苯丙酮酸(PKU)', '425427', '尿苯丙酮酸测定--苯丙酮酸(PKU)');
INSERT INTO `tran_lis_config` VALUES ('6086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿苯丙酮酸定性', '尿苯丙酮酸定性', '424720', '尿苯丙酮酸定性--尿苯丙酮酸定性');
INSERT INTO `tran_lis_config` VALUES ('6087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿比重3h试验', '尿比重3h试验', '426179', '尿比重3h试验--尿比重3h试验');
INSERT INTO `tran_lis_config` VALUES ('6088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿比重测定', '比重(SG)', '425375', '尿比重测定--比重(SG)');
INSERT INTO `tran_lis_config` VALUES ('6089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿吡啶酚测定', '吡啶酚(Pyr)', '425863', '尿吡啶酚测定--吡啶酚(Pyr)');
INSERT INTO `tran_lis_config` VALUES ('6090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿丙氨酸氨基肽酶测定', '丙氨酸氨基肽酶', '425477', '尿丙氨酸氨基肽酶测定--尿丙氨酸氨基肽酶');
INSERT INTO `tran_lis_config` VALUES ('6091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿卟啉定量(24h)', '尿卟啉', '425210', '尿卟啉定量(24h)--尿卟啉');
INSERT INTO `tran_lis_config` VALUES ('6092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿卟啉定性', '尿卟啉定性', '425429', '尿卟啉定性--尿卟啉定性');
INSERT INTO `tran_lis_config` VALUES ('6093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿补体C3定量(24h)', '补体C3', '424346', '尿补体C3定量(24h)--补体C3');
INSERT INTO `tran_lis_config` VALUES ('6094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿草酸盐定量(24h)', '尿草酸盐', '424070', '尿草酸盐定量(24h)--尿草酸盐');
INSERT INTO `tran_lis_config` VALUES ('6095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '葡萄糖(GLU)', '425778', '尿常规11联-葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '胆红素(BIL)', '424940', '尿常规11联-胆红素(BIL)');
INSERT INTO `tran_lis_config` VALUES ('6097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '尿酮体(KET)', '424613', '尿常规11联-尿酮体(KET)');
INSERT INTO `tran_lis_config` VALUES ('6098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '比重(SG)', '425385', '尿常规11联-比重(SG)');
INSERT INTO `tran_lis_config` VALUES ('6099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '酸碱度(PH)', '424754', '尿常规11联-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('6100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '尿蛋白(PRO-U)', '424556', '尿常规11联-尿蛋白(PRO)');
INSERT INTO `tran_lis_config` VALUES ('6101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '尿胆原(URO-U)', '424860', '尿常规11联-尿胆原(URO)');
INSERT INTO `tran_lis_config` VALUES ('6102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '亚硝酸盐(NIT)', '425815', '尿常规11联-亚硝酸盐(NIT)');
INSERT INTO `tran_lis_config` VALUES ('6103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '隐血(BLD)', '426187', '尿常规11联-隐血(BLD)');
INSERT INTO `tran_lis_config` VALUES ('6104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '白细胞脂酶(LEU)', '424454', '尿常规11联-白细胞脂酶(LEU)');
INSERT INTO `tran_lis_config` VALUES ('6105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规11联', '维生素C(VC)', '424265', '尿常规11联-维生素C(VC)');
INSERT INTO `tran_lis_config` VALUES ('6106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣检查', '红细胞计数(RBC)', '424178', '尿沉渣检查--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('6107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣检查', '白细胞计数(WBC)', '424489', '尿沉渣检查--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('6108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣检查', '上皮细胞计数', '426186', '尿沉渣检查--上皮细胞计数');
INSERT INTO `tran_lis_config` VALUES ('6109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣检查', '管型', '425833', '尿沉渣检查--管型');
INSERT INTO `tran_lis_config` VALUES ('6110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣检查', '细菌', '426121', '尿沉渣检查--细菌');
INSERT INTO `tran_lis_config` VALUES ('6111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胆红素定性试验', '尿胆红素定性试验', '424477', '尿胆红素定性试验--尿胆红素定性试验');
INSERT INTO `tran_lis_config` VALUES ('6112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胆素定性试验', '尿胆素定性试验', '425467', '尿胆素定性试验--尿胆素定性试验');
INSERT INTO `tran_lis_config` VALUES ('6113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胆原定性试验', '尿胆原定性试验', '425597', '尿胆原定性试验--尿胆原定性试验');
INSERT INTO `tran_lis_config` VALUES ('6114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '纤维蛋白降解产物(FDP)', '425659', '尿蛋白电泳分析--纤维蛋白降解产物(FDP)');
INSERT INTO `tran_lis_config` VALUES ('6115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '425538', '尿蛋白电泳分析--N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `tran_lis_config` VALUES ('6116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '视黄醇结合蛋白(RBP)', '425240', '尿蛋白电泳分析--视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('6117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', 'α1微量球蛋白', '424382', '尿蛋白电泳分析--α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', 'α2巨球蛋白(α2-MG)', '424975', '尿蛋白电泳分析--α2巨球蛋白(α2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', 'β2微球蛋白(β2-MG)', '424243', '尿蛋白电泳分析--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', 'β3微球蛋白', '426039', '尿蛋白电泳分析--β3微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '免疫球蛋白IgG', '424682', '尿蛋白电泳分析--免疫球蛋白IgG');
INSERT INTO `tran_lis_config` VALUES ('6122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '轻链KAPPA', '425357', '尿蛋白电泳分析--轻链KAPPA');
INSERT INTO `tran_lis_config` VALUES ('6123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '轻链LAMBDA', '425336', '尿蛋白电泳分析--轻链LAMBDA');
INSERT INTO `tran_lis_config` VALUES ('6124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '微量白蛋白', '424094', '尿蛋白电泳分析--微量白蛋白');
INSERT INTO `tran_lis_config` VALUES ('6125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '中分子带', '425532', '尿蛋白电泳分析--中分子带');
INSERT INTO `tran_lis_config` VALUES ('6126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '转铁蛋白(TRF)', '424810', '尿蛋白电泳分析--转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('6127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量(24h)', '尿蛋白', '424568', '尿蛋白定量(24h)--尿蛋白');
INSERT INTO `tran_lis_config` VALUES ('6128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', '总蛋白(TP)', '424879', '尿蛋白定量分析--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('6129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', '微量白蛋白(mALB)', '424423', '尿蛋白定量分析--微量白蛋白(mALB)');
INSERT INTO `tran_lis_config` VALUES ('6130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', '尿转铁蛋白(TRF)', '425068', '尿蛋白定量分析--转铁蛋白(TRFU)');
INSERT INTO `tran_lis_config` VALUES ('6131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', '免疫球蛋白G(IgG)', '424290', '尿蛋白定量分析--免疫球蛋白G(IgG)');
INSERT INTO `tran_lis_config` VALUES ('6132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', 'α1微球蛋白(α1-MG)', '425740', '尿蛋白定量分析--α1微球蛋白(α1-MG)');
INSERT INTO `tran_lis_config` VALUES ('6133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', 'β2微球蛋白(β2-MG)', '424025', '尿蛋白定量分析--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', '视黄醇结合蛋白(RBP)', '424616', '尿蛋白定量分析--视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('6135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', 'λ型游离轻链', '424270', '尿蛋白定量分析--λ型游离轻链');
INSERT INTO `tran_lis_config` VALUES ('6136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', 'k型游离轻链', '426188', '尿蛋白定量分析--k型游离轻链');
INSERT INTO `tran_lis_config` VALUES ('6137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定量分析', 'α2巨球蛋白(α2-MG)', '424521', '尿蛋白定量分析--α2巨球蛋白(α2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白定性', '尿蛋白定性', '425490', '尿蛋白定性--尿蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('6139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '二氧化碳(CO2)', '425947', '尿电解质--二氧化碳(CO2)');
INSERT INTO `tran_lis_config` VALUES ('6140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '钾(K)', '424640', '尿电解质--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '离子钙(Ca2+)', '424704', '尿电解质--离子钙(Ca2+)');
INSERT INTO `tran_lis_config` VALUES ('6142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '磷(P)', '424320', '尿电解质--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('6143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '氯(Cl)', '424072', '尿电解质--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '镁(Mg)', '424894', '尿电解质--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '钠(Na)', '424861', '尿电解质--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '总钙(Ca)', '424874', '尿电解质--总钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质测定', '阴离子隙(AG)', '424052', '尿电解质--阴离子隙(AG)');
INSERT INTO `tran_lis_config` VALUES ('6148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质定量(24h)', '钠(Na)', '424909', '尿电解质定量(24h)--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质定量(24h)', '钾(K)', '425346', '尿电解质定量(24h)--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质定量(24h)', '氯(Cl)', '424047', '尿电解质定量(24h)--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿电解质定量(24h)', '酸氢根(HCO3-)', '424310', '尿电解质定量(24h)--酸氢根(HCO3-)');
INSERT INTO `tran_lis_config` VALUES ('6152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿淀粉酶测定', '淀粉酶(AMY)', '424147', '尿淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿多巴胺定量(24h)', '多巴胺', '425614', '尿多巴胺24h定量--多巴胺');
INSERT INTO `tran_lis_config` VALUES ('6154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺定量(24h)', '儿茶酚胺', '425568', '尿儿茶酚胺定量(24h)--儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('6155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺定量(24h)', '去甲肾上腺素(NE)', '424741', '尿儿茶酚胺定量(24h)--去甲肾上腺素(NE)');
INSERT INTO `tran_lis_config` VALUES ('6156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺定量(24h)', '肾上腺素(AD)', '424775', '尿儿茶酚胺定量(24h)--肾上腺素(AD)');
INSERT INTO `tran_lis_config` VALUES ('6157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺定量(24h)', '多巴胺', '424037', '尿儿茶酚胺定量(24h)--多巴胺');
INSERT INTO `tran_lis_config` VALUES ('6158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿二胆检查', '胆红素(BIL)', '424471', '尿二胆检查--胆红素(BIL)');
INSERT INTO `tran_lis_config` VALUES ('6159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酚红排泄试验', '15min', '424252', '尿酚红排泄试验--15min');
INSERT INTO `tran_lis_config` VALUES ('6160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酚红排泄试验', '30min', '425226', '尿酚红排泄试验--30min');
INSERT INTO `tran_lis_config` VALUES ('6161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酚红排泄试验', '60min', '424876', '尿酚红排泄试验--60min');
INSERT INTO `tran_lis_config` VALUES ('6162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酚红排泄试验', '120min', '425569', '尿酚红排泄试验--120min');
INSERT INTO `tran_lis_config` VALUES ('6163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酚红排泄试验', '120min总量', '424143', '尿酚红排泄试验--120min总量');
INSERT INTO `tran_lis_config` VALUES ('6164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氟测定', '尿氟', '424828', '尿氟测定--尿氟');
INSERT INTO `tran_lis_config` VALUES ('6165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氟定量(24h)', '尿氟', '424755', '尿氟定量(24h)--尿氟');
INSERT INTO `tran_lis_config` VALUES ('6166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钙测定', '钙(Ca)', '425843', '尿钙测定--尿钙');
INSERT INTO `tran_lis_config` VALUES ('6167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钙定量(24h)', '钙(Ca)', '425929', '尿钙定量(24h)--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿铬定量(24h)', '铬(Cr)', '425305', '尿铬定量(24h)--铬(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿汞定量(24h)', '汞(Hg)', '424751', '尿汞定量(24h)--汞(Hg)');
INSERT INTO `tran_lis_config` VALUES ('6170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿谷草转氨酶测定', '尿谷草转氨酶(AST)', '425581', '尿谷草转氨酶测定--尿谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胱氨酸定量(24h)', '尿胱氨酸', '424662', '尿胱氨酸定量(24h)--尿胱氨酸');
INSERT INTO `tran_lis_config` VALUES ('6172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胱氨酸定性试验', '尿胱氨酸定性试验', '424728', '尿胱氨酸定性试验--尿胱氨酸定性试验');
INSERT INTO `tran_lis_config` VALUES ('6173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿含铁血黄素定性', '尿含铁血黄素定性', '424208', '尿含铁血黄素定性--尿含铁血黄素定性');
INSERT INTO `tran_lis_config` VALUES ('6174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿核基质蛋白测定', '尿核基质蛋白(NMP22)', '424396', '尿核基质蛋白测定--尿核基质蛋白(NMP22)');
INSERT INTO `tran_lis_config` VALUES ('6175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿黑色素试验', '尿黑色素试验', '424900', '尿黑色素试验--尿黑色素试验');
INSERT INTO `tran_lis_config` VALUES ('6176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '尿液外观', '424973', '尿红细胞位相--尿液外观');
INSERT INTO `tran_lis_config` VALUES ('6177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '尿液颜色', '426063', '尿红细胞位相--尿液颜色');
INSERT INTO `tran_lis_config` VALUES ('6178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '尿液酸碱度', '425976', '尿红细胞位相--尿液酸碱度');
INSERT INTO `tran_lis_config` VALUES ('6179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '红细胞计数(RBC)', '424108', '尿红细胞位相--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('6180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '畸形红细胞', '425312', '尿红细胞位相--畸形红细胞');
INSERT INTO `tran_lis_config` VALUES ('6181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', '正形红细胞', '424307', '尿红细胞位相--正形红细胞');
INSERT INTO `tran_lis_config` VALUES ('6182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞位相', 'G1细胞', '426000', '尿红细胞位相--G1细胞');
INSERT INTO `tran_lis_config` VALUES ('6183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿环磷酸腺苷测定', '环磷酸腺苷(cAMP)', '425707', '尿环磷酸腺苷测定--环磷酸腺苷(cAMP)');
INSERT INTO `tran_lis_config` VALUES ('6184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌酐测定', '肌酐(Cr)', '425054', '尿肌酐测定--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌酐定量(24h)', '肌酐(Cr)', '425601', '尿肌酐定量(24h)--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌红蛋白测定', '肌红蛋白(Mb)', '425442', '尿肌红蛋白测定--肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('6187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌红蛋白定性试验', '尿肌红蛋白定性试验', '425183', '尿肌红蛋白定性试验--尿肌红蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('6188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钾测定', '钾(K)', '425053', '尿钾测定--尿钾');
INSERT INTO `tran_lis_config` VALUES ('6189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钾定量(24h)', '钾(K)', '425141', '尿钾定量(24h)--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿可的松定量(24h)', '可的松', '425590', '尿可的松定量(24h)--可的松');
INSERT INTO `tran_lis_config` VALUES ('6191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿可滴定酸测定', '尿可滴定酸', '424465', '尿可滴定酸测定--尿可滴定酸');
INSERT INTO `tran_lis_config` VALUES ('6192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿亮氨酰氨基肽酶测定', '尿亮氨酰氨基肽酶', '424545', '尿亮氨酰氨基肽酶测定--尿亮氨酰氨基肽酶');
INSERT INTO `tran_lis_config` VALUES ('6193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷测定', '磷(P)', '425391', '尿磷测定--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('6194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷定量(24h)', '磷(P)', '424644', '尿磷定量(24h)--磷(U)');
INSERT INTO `tran_lis_config` VALUES ('6195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷酸盐定量(24h)', '磷酸盐', '424748', '尿磷酸盐定量(24h)--磷酸盐');
INSERT INTO `tran_lis_config` VALUES ('6196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氯定量(24h)', '氯(Cl)', '425206', '尿氯定量(24h)--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿苯丙氨酸测定', '苯丙氨酸(PHE)', '425774', '尿苯丙氨酸测定--苯丙氨酸(PKU)');
INSERT INTO `tran_lis_config` VALUES ('6198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿苯丙氨酸定量(24h)', '苯丙氨酸(PHE)', '424832', '尿苯丙氨酸定量(24h)--苯丙氨酸(PKU)');
INSERT INTO `tran_lis_config` VALUES ('6199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镁测定', '镁(Mg)', '424114', '尿镁测定--尿镁');
INSERT INTO `tran_lis_config` VALUES ('6200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镁定量(24h)', '镁(Mg)', '425434', '尿镁定量(24h)--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', '尿微量白蛋白(mAlb)', '425155', '尿敏感肾功能9项--尿微量白蛋白(mAlb)');
INSERT INTO `tran_lis_config` VALUES ('6202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', 'β2微球蛋白(β2-MG)', '424126', '尿敏感肾功能9项--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', '尿转铁蛋白(TRF)', '425276', '尿敏感肾功能9项--尿转铁蛋白(TF)');
INSERT INTO `tran_lis_config` VALUES ('6204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', '尿免疫球蛋白IgG', '425962', '尿敏感肾功能9项--尿免疫球蛋白IgG');
INSERT INTO `tran_lis_config` VALUES ('6205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', '视黄醇结合蛋白(RBP)', '424260', '尿敏感肾功能9项--视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('6206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', 'N-乙酰-β-D-葡萄糖苷酶(NAG)', '424966', '尿敏感肾功能9项--N-乙酰-β-D-葡萄糖苷酶(NAG)');
INSERT INTO `tran_lis_config` VALUES ('6207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', '肌酐(Cr)', '424154', '尿敏感肾功能9项--尿肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', 'NAG/Cr', '425824', '尿敏感肾功能9项--NAG/Cr');
INSERT INTO `tran_lis_config` VALUES ('6209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿敏感肾功能9项', 'mALB/Cr', '424982', '尿敏感肾功能9项--mALB/Cr');
INSERT INTO `tran_lis_config` VALUES ('6210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钠测定', '钠(Na)', '424051', '尿钠测定--尿钠');
INSERT INTO `tran_lis_config` VALUES ('6211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钠定量(24h)', '钠(Na)', '424871', '尿钠定量(24h)--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿素氮测定', '尿素氮(BUN)', '424610', '尿尿素氮测定--尿素氮(BUN)');
INSERT INTO `tran_lis_config` VALUES ('6213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿素氮定量(24h)', '尿素氮(BUN)', '424248', '尿尿素氮定量(24h)--尿素氮(BUN)');
INSERT INTO `tran_lis_config` VALUES ('6214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿酸测定', '尿酸(UA)', '424677', '尿尿酸测定--尿尿酸');
INSERT INTO `tran_lis_config` VALUES ('6215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿酸定量(24h)', '尿酸(UA)', '425812', '尿尿酸定量(24h)--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镍定量(24h)', '镍(Ni)', '425341', '尿镍定量(24h)--镍(Ni)');
INSERT INTO `tran_lis_config` VALUES ('6217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿浓缩稀释试验', '尿浓缩稀释试验', '424459', '尿浓缩稀释试验--尿浓缩稀释试验');
INSERT INTO `tran_lis_config` VALUES ('6218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿葡萄糖定量(24h)', '葡萄糖(GLU)', '425698', '尿葡萄糖定量(24h)--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿葡萄糖定性', '葡萄糖(GLU)', '425311', '尿葡萄糖定性--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿葡萄糖二酸测定', '葡萄糖二酸(UGA)', '424107', '尿葡萄糖二酸测定--葡萄糖二酸(UGA)');
INSERT INTO `tran_lis_config` VALUES ('6221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿铅定量(24h)', '铅(Pb)', '425710', '尿铅定量(24h)--铅(Pb)');
INSERT INTO `tran_lis_config` VALUES ('6222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿前列腺素定量(24h)', '前列腺素E(PGE)', '424535', '尿前列腺素定量(24h)--前列腺素E(PGE)');
INSERT INTO `tran_lis_config` VALUES ('6223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿前列腺素定量(24h)', '前列腺素F(PGF)', '425344', '尿前列腺素定量(24h)--前列腺素F(PGF)');
INSERT INTO `tran_lis_config` VALUES ('6224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿羟脯氨酸定量(24h)', '羟脯氨酸(Hyp)', '426001', '尿羟脯氨酸定量(24h)--羟脯氨酸(Hyp)');
INSERT INTO `tran_lis_config` VALUES ('6225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿去甲肾上腺素测定', '去甲肾上腺素(NE)', '424824', '尿去甲肾上腺素测定--去甲肾上腺素(NE)');
INSERT INTO `tran_lis_config` VALUES ('6226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿去甲肾上腺素定量(24h)', '去甲肾上腺素(NE)', '426191', '尿去甲肾上腺素定量(24h)--去甲肾上腺素(NE)');
INSERT INTO `tran_lis_config` VALUES ('6227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿醛固酮定量(24h)', '醛固酮(ALD)', '424065', '尿醛固酮定量(24h)--醛固酮(ALD)');
INSERT INTO `tran_lis_config` VALUES ('6228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿妊娠胶乳凝集抑制试验', '尿妊娠胶乳凝集抑制试验', '424255', '尿妊娠胶乳凝集抑制试验--尿妊娠胶乳凝集抑制试验');
INSERT INTO `tran_lis_config` VALUES ('6229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿妊娠试验', '尿妊娠试验', '424257', '尿妊娠试验--尿妊娠试验');
INSERT INTO `tran_lis_config` VALUES ('6230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿绒毛膜促性腺激素测定', '尿绒毛膜促性腺激素(HCG)', '425019', '尿绒毛膜促性腺激素测定--尿绒毛膜促性腺激素(HCG)');
INSERT INTO `tran_lis_config` VALUES ('6231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿溶菌酶测定', '溶菌酶(LYSO)', '425628', '尿溶菌酶--溶菌酶');
INSERT INTO `tran_lis_config` VALUES ('6232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿乳糜试验', '乳糜试验', '424076', '尿乳糜试验--乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('6233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿三杯试验', '尿三杯试验', '425746', '尿三杯试验--尿三杯试验');
INSERT INTO `tran_lis_config` VALUES ('6234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿三胆检查', '胆红素(BIL)', '425587', '尿三胆检查--胆红素(BIL)');
INSERT INTO `tran_lis_config` VALUES ('6235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿三胆检查', '尿胆原', '424386', '尿三胆检查--尿胆原');
INSERT INTO `tran_lis_config` VALUES ('6236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿三胆检查', '尿胆素', '424587', '尿三胆检查--尿胆素');
INSERT INTO `tran_lis_config` VALUES ('6237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿三氯化铁试验', '尿三氯化铁试验', '424452', '尿三氯化铁试验--尿三氯化铁试验');
INSERT INTO `tran_lis_config` VALUES ('6238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肾上腺素定量(24h)', '肾上腺素(AD)', '424978', '尿肾上腺素定量(24h)--肾上腺素(AD)');
INSERT INTO `tran_lis_config` VALUES ('6239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿渗透压测定', '尿渗透压', '425421', '尿渗透压测定--尿渗透压');
INSERT INTO `tran_lis_config` VALUES ('6240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿生化', '尿生化', '424732', '尿生化--尿生化');
INSERT INTO `tran_lis_config` VALUES ('6241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿素测定', '尿素', '425914', '尿素测定--尿素');
INSERT INTO `tran_lis_config` VALUES ('6242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酸化功能测定', '尿酸化功能', '425993', '尿酸化功能测定--尿酸化功能');
INSERT INTO `tran_lis_config` VALUES ('6243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿碳酸氢根定量(24h)', '酸氢根(HCO3-)', '424986', '尿碳酸氢根定量(24h)--酸氢根(HCO3-)');
INSERT INTO `tran_lis_config` VALUES ('6244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿铁定量(24h)', '铁(Fe)', '424096', '尿铁定量(24h)--铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('6245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿铜定量(24h)', '铜(Cu)', '425919', '尿铜定量(24h)--铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('6246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿酮体定性试验', '尿酮体定性试验', '425754', '尿酮体定性试验--尿酮体定性试验');
INSERT INTO `tran_lis_config` VALUES ('6247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿脱氧吡啶酚测定', '脱氧吡啶酚(D-Pyr)', '425211', '尿脱氧吡啶酚测定--脱氧吡啶酚(D-Pyr)');
INSERT INTO `tran_lis_config` VALUES ('6248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量蛋白4项', '尿微量白蛋白(mAlb)', '424073', '尿微量蛋白4项--尿微量白蛋白(mAlb)');
INSERT INTO `tran_lis_config` VALUES ('6249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量蛋白4项', 'β2微球蛋白(β2-MG)', '424436', '尿微量蛋白4项--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量蛋白4项', '尿免疫球蛋白IgG', '425416', '尿微量蛋白4项--尿免疫球蛋白IgG');
INSERT INTO `tran_lis_config` VALUES ('6251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量蛋白4项', '视黄醇结合蛋白(RBP)', '425164', '尿微量蛋白4项--视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('6252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿香草苦杏仁酸测定', '香草苦杏仁酸(VMA)', '424472', '尿香草苦杏仁酸测定--香草苦杏仁酸(VMA)');
INSERT INTO `tran_lis_config` VALUES ('6253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿锌定量(24h)', '锌(Zn)', '425121', '尿锌定量(24h)--锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('6254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿血红蛋白定性试验', '尿血红蛋白定性试验', '425422', '尿血红蛋白定性试验--尿血红蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('6255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液人类免疫缺陷病毒Ⅰ型抗体测定', '尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体', '426081', '尿液人类免疫缺陷病毒Ⅰ型抗体测定--尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体');
INSERT INTO `tran_lis_config` VALUES ('6256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液酸性磷酸酶测定', '酸性磷酸酶(ACP)', '424455', '尿液酸性磷酸酶测定--酸性磷酸酶(ACP)');
INSERT INTO `tran_lis_config` VALUES ('6257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胰蛋白酶原-2测定', '胰蛋白酶原-2', '425669', '尿胰蛋白酶原-2测定--胰蛋白酶原-2');
INSERT INTO `tran_lis_config` VALUES ('6258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿胰淀粉酶测定', '胰淀粉酶', '425489', '尿胰淀粉酶测定--胰淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('6259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿隐血', '隐血', '424405', '尿隐血--尿隐血');
INSERT INTO `tran_lis_config` VALUES ('6260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿游离皮质醇定量(24h)', '尿游离皮质醇', '424694', '尿游离皮质醇定量(24h)--尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('6261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿早孕试验', '尿早孕试验', '425760', '尿早孕试验--尿早孕试验');
INSERT INTO `tran_lis_config` VALUES ('6262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血4项', '凝血酶原时间(PT)', '426177', '凝血4项--凝血酶原时间(PT)');
INSERT INTO `tran_lis_config` VALUES ('6263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血4项', '活化部分凝血活酶时间(APTT)', '424830', '凝血4项--部分活化凝血活酶时间(APTT)');
INSERT INTO `tran_lis_config` VALUES ('6264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血4项', '凝血酶时间(TT)', '425643', '凝血4项--凝血酶时间(TT)');
INSERT INTO `tran_lis_config` VALUES ('6265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血4项', '纤维蛋白原(FG)', '424555', '凝血4项--纤维蛋白原(FG)');
INSERT INTO `tran_lis_config` VALUES ('6266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血酶抗凝血酶复合物测定', '凝血酶抗凝血酶复合物(TAT)', '425251', '凝血酶抗凝血酶复合物--凝血酶抗凝血酶复合物(TAT)');
INSERT INTO `tran_lis_config` VALUES ('6267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血酶原时间纠正试验', '凝血酶原时间纠正试验', '425432', '凝血酶原时间纠正试验--凝血酶原时间纠正试验');
INSERT INTO `tran_lis_config` VALUES ('6268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血酶原消耗及纠正试验', '凝血酶原消耗及纠正试验', '424451', '凝血酶原消耗及纠正试验--凝血酶原消耗及纠正试验');
INSERT INTO `tran_lis_config` VALUES ('6269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血时间测定', '凝血时间(CT)', '425404', '凝血时间测定--凝血时间(CT)');
INSERT INTO `tran_lis_config` VALUES ('6270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅷ(FⅧ:C)', '425364', '凝血因子活性--凝血因子Ⅷ(FⅧ:C)');
INSERT INTO `tran_lis_config` VALUES ('6271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅸ(FⅨ:C)', '425772', '凝血因子活性--凝血因子Ⅸ(FⅨ:C)');
INSERT INTO `tran_lis_config` VALUES ('6272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅺ(FⅪ:C)', '424884', '凝血因子活性--凝血因子Ⅺ(FⅪ:C)');
INSERT INTO `tran_lis_config` VALUES ('6273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅻ(FⅫ:C)', '425630', '凝血因子活性--凝血因子Ⅻ(FⅫ:C)');
INSERT INTO `tran_lis_config` VALUES ('6274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅱ(FⅡ:C)', '426047', '凝血因子活性--凝血因子Ⅱ(FⅡ:C)');
INSERT INTO `tran_lis_config` VALUES ('6275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅴ(FⅤ:C)', '425472', '凝血因子活性--凝血因子Ⅴ(FⅤ:C)');
INSERT INTO `tran_lis_config` VALUES ('6276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅶ(FⅦ:C)', '424160', '凝血因子活性--凝血因子Ⅶ(FⅦ:C)');
INSERT INTO `tran_lis_config` VALUES ('6277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子活性测定', '凝血因子Ⅹ(FⅩ:C)', '424447', '凝血因子活性--凝血因子Ⅹ(FⅩ:C)');
INSERT INTO `tran_lis_config` VALUES ('6278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫抗原和抗体测定', '疟原虫抗体', '424777', '疟原虫抗原和抗体--疟原虫抗体');
INSERT INTO `tran_lis_config` VALUES ('6279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫抗原和抗体测定', '疟原虫抗原', '424167', '疟原虫抗原和抗体--疟原虫抗原');
INSERT INTO `tran_lis_config` VALUES ('6280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物5项', '甲胎蛋白(AFP)', '425840', '女性肿瘤标志物5项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物5项', '癌胚抗原(CEA)', '424071', '女性肿瘤标志物5项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物5项', '糖类抗原CA-199', '425722', '女性肿瘤标志物5项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物5项', '糖类抗原CA-125', '426072', '女性肿瘤标志物5项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物5项', '糖类抗原CA-153', '425792', '女性肿瘤标志物5项--糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('6285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '甲胎蛋白(AFP)', '425021', '女性肿瘤标志物6项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '癌胚抗原(CEA)', '425145', '女性肿瘤标志物6项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '糖类抗原CA-199', '425762', '女性肿瘤标志物6项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '糖类抗原CA-125', '424523', '女性肿瘤标志物6项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '糖类抗原CA-153', '424439', '女性肿瘤标志物6项--糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('6290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物6项', '铁蛋白(Fer)', '424214', '女性肿瘤标志物6项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '甲胎蛋白(AFP)', '424473', '女性肿瘤标志物7项--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '癌胚抗原(CEA)', '424064', '女性肿瘤标志物7项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '糖类抗原CA-199', '425017', '女性肿瘤标志物7项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '糖类抗原CA-125', '425064', '女性肿瘤标志物7项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '糖类抗原CA-153', '425081', '女性肿瘤标志物7项--糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('6296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', '铁蛋白(Fer)', '424634', '女性肿瘤标志物7项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '女性肿瘤标志物7项', 'β人绒毛膜促性腺激素(β-HCG)', '425272', '女性肿瘤标志物7项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '潘氏试验', '潘氏试验(Pandy)', '424834', '潘氏试验--潘氏试验(Pandy)');
INSERT INTO `tran_lis_config` VALUES ('6299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '皮内试验', '皮内试验', '424437', '皮内试验--皮内试验');
INSERT INTO `tran_lis_config` VALUES ('6300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '皮质素水试验', '皮质素水试验', '424583', '皮质素水试验--皮质素水试验');
INSERT INTO `tran_lis_config` VALUES ('6301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '贫血四项', '叶酸(FA)', '425163', '贫血四项--叶酸(FA)');
INSERT INTO `tran_lis_config` VALUES ('6302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '贫血四项', '维生素B12(VitB12)', '424733', '贫血四项--维生素B12(VitB12)');
INSERT INTO `tran_lis_config` VALUES ('6303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '贫血四项', '转铁蛋白(TRF)', '425486', '贫血四项--转铁蛋白(TF)');
INSERT INTO `tran_lis_config` VALUES ('6304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '贫血四项', '铁蛋白(Fer)', '424905', '贫血四项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '破伤风杆菌抗体测定', '破伤风杆菌抗体', '425879', '破伤风杆菌抗体--破伤风杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('6306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '葡萄糖6-磷酸脱氢酶活性测定', '葡萄糖6-磷酸脱氢酶活性', '425469', '葡萄糖6-磷酸脱氢酶活性--葡萄糖6-磷酸脱氢酶活性');
INSERT INTO `tran_lis_config` VALUES ('6307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '葡萄糖6-磷酸脱氢酶荧光斑点试验', '葡萄糖6-磷酸脱氢酶荧光斑点试验', '424635', '葡萄糖6-磷酸脱氢酶荧光斑点试验--葡萄糖6-磷酸脱氢酶荧光斑点试验');
INSERT INTO `tran_lis_config` VALUES ('6308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '葡萄糖6-磷酸异构酶抗原测定', '葡萄糖6-磷酸异构酶(GPI)抗原', '424078', '葡萄糖-6-磷酸异构酶抗原测定--葡萄糖-6-磷酸异构酶(GPI)抗原');
INSERT INTO `tran_lis_config` VALUES ('6309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '葡萄糖抑制生长激素试验', '葡萄糖抑制生长激素(GH)试验', '425608', '葡萄糖抑制生长激素试验--葡萄糖抑制生长激素(GH)试验');
INSERT INTO `tran_lis_config` VALUES ('6310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前白蛋白测定', '前白蛋白(PA)', '424411', '前白蛋白测定--前白蛋白(PA)');
INSERT INTO `tran_lis_config` VALUES ('6311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺素测定', '前列腺素(PG)', '424768', '前列腺素测定--前列腺素(PG)');
INSERT INTO `tran_lis_config` VALUES ('6312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺酸性磷酸酶测定', '前列腺酸性磷酸酶(PAP)', '426153', '前列腺酸性磷酸酶测定--前列腺酸性磷酸酶(PAP)');
INSERT INTO `tran_lis_config` VALUES ('6313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '白细胞计数(WBC)', '425334', '前列腺液常规检查--白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('6314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '淀粉样体', '424343', '前列腺液常规检查--淀粉样体');
INSERT INTO `tran_lis_config` VALUES ('6315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '红细胞计数(RBC)', '424729', '前列腺液常规检查--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('6316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '卵磷脂小体', '425526', '前列腺液常规检查--卵磷脂小体');
INSERT INTO `tran_lis_config` VALUES ('6317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)', '425542', '前列腺液常规检查--其他(精子/滴虫/细菌/癌细胞/颗粒细胞/脓细胞)');
INSERT INTO `tran_lis_config` VALUES ('6318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '粘液', '426018', '前列腺液常规检查--粘液');
INSERT INTO `tran_lis_config` VALUES ('6319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺肿瘤标志物2项', '游离前列腺特异性抗原(FPSA)', '426015', '前列腺肿瘤标志物2项--游离前列腺特异性抗原(FPSA)');
INSERT INTO `tran_lis_config` VALUES ('6320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺肿瘤标志物2项', '总前列腺特异性抗原(TPSA)', '425433', '前列腺肿瘤标志物2项--总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('6321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '桥粒芯糖蛋白-3抗体测定', '桥粒芯糖蛋白-3抗体(抗Dsg-3抗体)', '425443', '桥粒芯糖蛋白-3抗体测定--桥粒芯糖蛋白-3抗体(抗Dsg-3抗体)');
INSERT INTO `tran_lis_config` VALUES ('6322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '禽型流感病毒抗体测定', '禽型流感病毒抗体', '425085', '禽型流感病毒抗体测定--禽型流感病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('6323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '青霉素抗体测定', '青霉素抗体', '424327', '青霉素抗体测定--青霉素抗体');
INSERT INTO `tran_lis_config` VALUES ('6324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '球孢子菌免疫学试验', '球孢子菌免疫学试验', '424657', '球孢子菌免疫学试验--球孢子菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '曲霉菌免疫学试验', '曲霉菌免疫学试验', '424175', '曲霉菌免疫学试验--曲霉菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '去氨加压素治疗试验', '去氨加压素(DDAVP)治疗试验', '425036', '去氨加压素治疗试验--去氨加压素(DDAVP)治疗试验');
INSERT INTO `tran_lis_config` VALUES ('6327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '去甲肾上腺素测定', '去甲肾上腺素(NE)', '426007', '去甲肾上腺素测定--去甲肾上腺素(NE)');
INSERT INTO `tran_lis_config` VALUES ('6328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '全血粘度测定(低切)', '全血粘度', '425748', '全血粘度(低切)--全血粘度');
INSERT INTO `tran_lis_config` VALUES ('6329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '全血粘度测定(高切)', '全血粘度', '425719', '全血粘度(高切)--全血粘度');
INSERT INTO `tran_lis_config` VALUES ('6330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '全血粘度测定(中切)', '全血粘度', '425899', '全血粘度(中切)--全血粘度');
INSERT INTO `tran_lis_config` VALUES ('6331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '醛缩酶测定', '醛缩酶(ALD)', '425547', '醛缩酶测定--醛缩酶(ALD)');
INSERT INTO `tran_lis_config` VALUES ('6332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '缺血修饰白蛋白测定', '缺血修饰白蛋白(IMA)', '424993', '缺血修饰白蛋白测定--缺血修饰白蛋白(IMA)');
INSERT INTO `tran_lis_config` VALUES ('6333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '群体反应抗体确定试验', '群体反应抗体确定试验', '425556', '群体反应抗体确定试验--群体反应抗体确定试验');
INSERT INTO `tran_lis_config` VALUES ('6334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '群体反应抗体筛查试验', '群体反应抗体筛查试验', '424531', '群体反应抗体筛查试验--群体反应抗体筛查试验');
INSERT INTO `tran_lis_config` VALUES ('6335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '热不稳定试验', '热不稳定试验', '425319', '热不稳定试验--热不稳定试验');
INSERT INTO `tran_lis_config` VALUES ('6336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '热溶血试验', '热溶血试验', '425291', '热溶血试验--热溶血试验');
INSERT INTO `tran_lis_config` VALUES ('6337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '热盐水试验', '热盐水试验', '425252', '热盐水试验--热盐水试验');
INSERT INTO `tran_lis_config` VALUES ('6338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人附睾分泌蛋白测定', '人附睾分泌蛋白(HE4)', '425208', '人附睾分泌蛋白测定--人附睾分泌蛋白(HE4)');
INSERT INTO `tran_lis_config` VALUES ('6339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类白细胞抗原测定', '人类白细胞抗原(HLA)', '425802', '人类白细胞抗原测定--人类白细胞抗原(HLA)');
INSERT INTO `tran_lis_config` VALUES ('6340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒抗体测定', '人类免疫缺陷病毒抗体(HIV-Ab)', '426023', '人类免疫缺陷病毒抗体测定--人类免疫缺陷病毒抗体(HIV-Ab)');
INSERT INTO `tran_lis_config` VALUES ('6341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人免疫缺陷病毒P24抗原测定', '人类免疫缺陷病毒P24抗原', '424204', '人类免疫缺陷病毒P24抗原检测--人类免疫缺陷病毒P24抗原');
INSERT INTO `tran_lis_config` VALUES ('6342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人免疫缺陷病毒抗体确认试验', '人免疫缺陷病毒抗体确认试验', '425217', '人免疫缺陷病毒抗体确认试验--人免疫缺陷病毒抗体确认试验');
INSERT INTO `tran_lis_config` VALUES ('6343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人绒毛膜促性腺激素兴奋试验', '-15min睾酮(T)', '425534', '人绒毛膜促性腺激素兴奋试验---15min睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人绒毛膜促性腺激素兴奋试验', '0min睾酮(T)', '424961', '人绒毛膜促性腺激素兴奋试验--0min睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人绒毛膜促性腺激素兴奋试验', '24min睾酮(T)', '424980', '人绒毛膜促性腺激素兴奋试验--24min睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人绒毛膜促性腺激素兴奋试验', '48min睾酮(T)', '425972', '人绒毛膜促性腺激素兴奋试验--48min睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人绒毛膜促性腺激素兴奋试验', '72min睾酮(T)', '425791', '人绒毛膜促性腺激素兴奋试验--72min睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人型支原体抗体测定', '人型支原体抗体', '425339', '人型支原体抗体测定--人型支原体抗体');
INSERT INTO `tran_lis_config` VALUES ('6349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人组织相容性抗原II类分型(低分辨率)', '人组织相容性抗原II类分型', '425991', '人组织相容性抗原II类分型(低分辨率)--人组织相容性抗原II类分型');
INSERT INTO `tran_lis_config` VALUES ('6350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人组织相容性抗原II类分型(高分辨率)', '人组织相容性抗原II类分型', '425773', '人组织相容性抗原II类分型(高分辨率)--人组织相容性抗原II类分型');
INSERT INTO `tran_lis_config` VALUES ('6351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人组织相容性抗原I类分型(低分辨率)', '人组织相容性抗原I类分型', '425154', '人组织相容性抗原I类分型(低分辨率)--人组织相容性抗原I类分型');
INSERT INTO `tran_lis_config` VALUES ('6352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人组织相容性抗原I类分型(高分辨率)', '人组织相容性抗原I类分型', '425817', '人组织相容性抗原I类分型(高分辨率)--人组织相容性抗原I类分型');
INSERT INTO `tran_lis_config` VALUES ('6353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妊娠相关蛋白A测定', '妊娠相关蛋白A(PAPP)', '424092', '妊娠相关蛋白A测定--妊娠相关蛋白A(PAPP)');
INSERT INTO `tran_lis_config` VALUES ('6354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶测定', '乳酸脱氢酶(LD)', '425956', '乳酸脱氢酶测定--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶同工酶测定', 'LDH1', '426076', '乳酸脱氢酶同工酶测定--LDH1');
INSERT INTO `tran_lis_config` VALUES ('6356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶同工酶测定', 'LDH2', '426075', '乳酸脱氢酶同工酶测定--LDH2');
INSERT INTO `tran_lis_config` VALUES ('6357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶同工酶测定', 'LDH3', '426073', '乳酸脱氢酶同工酶测定--LDH3');
INSERT INTO `tran_lis_config` VALUES ('6358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶同工酶测定', 'LDH4', '426080', '乳酸脱氢酶同工酶测定--LDH4');
INSERT INTO `tran_lis_config` VALUES ('6359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳酸脱氢酶同工酶测定', 'LDH5', '426079', '乳酸脱氢酶同工酶测定--LDH5');
INSERT INTO `tran_lis_config` VALUES ('6360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳腺癌标志物4项', '癌胚抗原(CEA)', '424087', '乳腺癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳腺癌标志物4项', '糖类抗原CA-153', '424836', '乳腺癌标志物4项--糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('6362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳腺癌标志物4项', '铁蛋白(Fer)', '425832', '乳腺癌标志物4项--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳腺癌标志物4项', 'β人绒毛膜促性腺激素(β-HCG)', '425437', '乳腺癌标志物4项--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瑞斯托霉素辅因子测定', '瑞斯托霉素辅因子(VWF:ROOF)', '424866', '瑞斯托霉素辅因子测定--瑞斯托霉素辅因子(VWF:ROOF)');
INSERT INTO `tran_lis_config` VALUES ('6365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瑞斯托霉素诱导血小板试验', '瑞斯托霉素诱导血小板试验', '425149', '瑞斯托霉素诱导血小板试验--瑞斯托霉素诱导血小板试验');
INSERT INTO `tran_lis_config` VALUES ('6366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '三碘甲状原氨酸测定', '三碘甲状原氨酸(T3)', '425219', '三碘甲状原氨酸测定--三碘甲状原氨酸(T3)');
INSERT INTO `tran_lis_config` VALUES ('6367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体核酸测定', '沙眼衣原体核酸(CT-DNA)', '425785', '沙眼衣原体核酸测定--沙眼衣原体核酸(CT-DNA)');
INSERT INTO `tran_lis_config` VALUES ('6368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体抗体测定', '沙眼衣原体抗体', '425860', '沙眼衣原体抗体--沙眼衣原体抗体');
INSERT INTO `tran_lis_config` VALUES ('6369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体免疫学试验', '沙眼衣原体免疫学试验', '424507', '沙眼衣原体免疫学试验--沙眼衣原体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '沙眼衣原体脱氧核糖核酸扩增测定', '沙眼衣原体脱氧核糖核酸扩增测定', '424129', '沙眼衣原体脱氧核糖核酸扩增测定--沙眼衣原体脱氧核糖核酸扩增测定');
INSERT INTO `tran_lis_config` VALUES ('6371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '上呼吸道感染EB病毒抗体4项', 'EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)', '424533', '上呼吸道感染EB病毒抗体4项--EB病毒壳膜抗原抗体IgG(EBV-CA-IgG)');
INSERT INTO `tran_lis_config` VALUES ('6372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '上呼吸道感染EB病毒抗体4项', 'EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)', '424350', '上呼吸道感染EB病毒抗体4项--EB病毒壳膜抗原抗体IgM(EBV-CA-IgM)');
INSERT INTO `tran_lis_config` VALUES ('6373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '上呼吸道感染EB病毒抗体4项', 'EB病毒核抗原抗体IgG(EBV-NA-IgG)', '425023', '上呼吸道感染EB病毒抗体4项--EB病毒核抗原抗体IgG(EBV-NA-IgG)');
INSERT INTO `tran_lis_config` VALUES ('6374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '上呼吸道感染EB病毒抗体4项', 'EB病毒早期抗原抗体IgG(EBV-EA-IgG)', '425543', '上呼吸道感染EB病毒抗体4项--EB病毒早期抗原抗体IgG(EBV-EA-IgG)');
INSERT INTO `tran_lis_config` VALUES ('6375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '蛇毒因子溶血试验', '蛇毒因子溶血试验', '424627', '蛇毒因子溶血试验--蛇毒因子溶血试验');
INSERT INTO `tran_lis_config` VALUES ('6376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '神经元特异性烯醇化酶测定', '神经元特异性烯醇化酶(NSE)', '425487', '神经元特异性烯醇化酶测定--神经元特异性烯醇化酶(NSE)');
INSERT INTO `tran_lis_config` VALUES ('6377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾动态显像肾小球滤过率测定', '肾动态显像肾小球滤过率(GFR)', '424222', '肾动态显像肾小球滤过率测定--肾动态显像肾小球滤过率(GFR)');
INSERT INTO `tran_lis_config` VALUES ('6378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能常规3项', '尿酸(UA)', '424353', '肾功能常规3项--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能常规3项', '肌酐(Cr)', '425184', '肾功能常规3项--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能常规3项', '尿素(Urea)', '424684', '肾功能常规3项--尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('6381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素测定', '肾素', '424985', '肾素--肾素');
INSERT INTO `tran_lis_config` VALUES ('6382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '醛固酮(ALD)(立位)', '425970', '肾素卧立位试验--醛固酮(ALD)(立位)');
INSERT INTO `tran_lis_config` VALUES ('6383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '醛固酮(ALD)(卧位)', '425743', '肾素卧立位试验--醛固酮(ALD)(卧位)');
INSERT INTO `tran_lis_config` VALUES ('6384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '肾素(立位)', '425647', '肾素卧立位试验--肾素(立位)');
INSERT INTO `tran_lis_config` VALUES ('6385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '肾素(卧位)', '424297', '肾素卧立位试验--肾素(卧位)');
INSERT INTO `tran_lis_config` VALUES ('6386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '血管紧张素(立位)', '424211', '肾素卧立位试验--血管紧张素(立位)');
INSERT INTO `tran_lis_config` VALUES ('6387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '血管紧张素(卧位)', '424433', '肾素卧立位试验--血管紧张素(卧位)');
INSERT INTO `tran_lis_config` VALUES ('6388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾血流量测定', '肾血流量(RPF)', '424263', '肾血流量测定--肾血流量(RPF)');
INSERT INTO `tran_lis_config` VALUES ('6389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '蛋白C抵抗(APCR)', '425003', '生理抗凝因子测定--蛋白C抵抗(APCR)');
INSERT INTO `tran_lis_config` VALUES ('6390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '蛋白C活性(PC)', '425563', '生理抗凝因子测定--蛋白C活性(PC)');
INSERT INTO `tran_lis_config` VALUES ('6391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '蛋白C抗原(PC:Ag)', '425013', '生理抗凝因子测定--蛋白C抗原(PC:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '蛋白S含量(PS:Ag)', '424723', '生理抗凝因子测定--蛋白S含量(PS:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '抗凝血酶复合物(TAT)', '424932', '生理抗凝因子测定--抗凝血酶复合物(TAT)');
INSERT INTO `tran_lis_config` VALUES ('6394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '抗凝血酶活性(AT:A)', '424395', '生理抗凝因子测定--抗凝血酶活性(AT:A)');
INSERT INTO `tran_lis_config` VALUES ('6395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子测定', '抗凝血酶抗原(AT:Ag)', '425218', '生理抗凝因子测定--抗凝血酶抗原(AT:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿生长激素测定', '生长激素(GH)', '425504', '尿生长激素测定--生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血生长激素测定', '生长激素(GH)', '424991', '血生长激素测定--生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生长激素释放激素兴奋试验', '生长激素释放激素(GRH)兴奋试验', '425803', '生长激素释放激素兴奋试验--生长激素释放激素(GRH)兴奋试验');
INSERT INTO `tran_lis_config` VALUES ('6399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生长抑素测定', '生长抑素(SS)', '425644', '生长抑素测定--生长抑素(SS)');
INSERT INTO `tran_lis_config` VALUES ('6400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '食入物变应原测定', '食入物变应原', '424757', '食入物变应原测定--食入物变应原');
INSERT INTO `tran_lis_config` VALUES ('6401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '嗜异性凝集试验', '嗜异性凝集试验', '425034', '嗜异性凝集试验--嗜异性凝集试验');
INSERT INTO `tran_lis_config` VALUES ('6402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瘦素测定', '瘦素(LP)', '425995', '瘦素测定--瘦素(LP)');
INSERT INTO `tran_lis_config` VALUES ('6403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '输血前4项', '乙肝表面抗原定性(HBsAg)', '425749', '输血前4项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('6404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '输血前4项', '丙肝病毒抗体(HCVAb)', '424737', '输血前4项--丙肝病毒抗体(HCVAb)');
INSERT INTO `tran_lis_config` VALUES ('6405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '输血前4项', '人免疫缺陷病毒抗体(HIVAb)', '425185', '输血前4项--人免疫缺陷病毒抗体(HIVAb)');
INSERT INTO `tran_lis_config` VALUES ('6406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '输血前4项', '甲苯胺红不加热血清试验(TRUST)', '425725', '输血前4项--甲苯胺红不加热血清试验(TRUST)');
INSERT INTO `tran_lis_config` VALUES ('6407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鼠疫免疫学试验', '鼠疫免疫学试验', '425265', '鼠疫免疫学试验--鼠疫免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '术前4项', '乙肝表面抗原定性(HBsAg)', '424462', '术前4项--乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('6409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '术前4项', '丙肝病毒抗体(HCVAb)', '424801', '术前4项--丙肝病毒抗体(HCVAb)');
INSERT INTO `tran_lis_config` VALUES ('6410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '术前4项', '人免疫缺陷病毒抗体(HIVAb)', '424130', '术前4项--人免疫缺陷病毒抗体(HIVAb)');
INSERT INTO `tran_lis_config` VALUES ('6411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '术前4项', '甲苯胺红不加热血清试验(TRUST)', '425638', '术前4项--甲苯胺红不加热血清试验(TRUST)');
INSERT INTO `tran_lis_config` VALUES ('6412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '双氢睾酮测定', '双氢睾酮(DHT)', '425651', '双氢睾酮测定--双氢睾酮(DHT)');
INSERT INTO `tran_lis_config` VALUES ('6413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '水负荷试验', '水负荷试验', '424229', '水负荷试验--水负荷试验');
INSERT INTO `tran_lis_config` VALUES ('6414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '水利尿试验', '水利尿试验', '426174', '水利尿试验--水利尿试验');
INSERT INTO `tran_lis_config` VALUES ('6415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酸负荷试验', '酸负荷试验', '425274', '酸负荷试验--酸负荷试验');
INSERT INTO `tran_lis_config` VALUES ('6416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酸化甘油溶血试验', '酸化甘油溶血试验', '425527', '酸化甘油溶血试验--酸化甘油溶血试验');
INSERT INTO `tran_lis_config` VALUES ('6417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酸性糖蛋白测定', '酸性糖蛋白', '425148', '酸性糖蛋白测定--酸性糖蛋白');
INSERT INTO `tran_lis_config` VALUES ('6418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酸性铁蛋白测定', '酸性铁蛋白(AIF)', '424852', '酸性铁蛋白测定--酸性铁蛋白(AIF)');
INSERT INTO `tran_lis_config` VALUES ('6419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '随机葡萄糖测定', '葡萄糖(GLU)', '424517', '随机葡萄糖测定--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胎儿血红蛋白酸洗脱试验', '胎儿血红蛋白(HbF)酸洗脱试验', '425961', '胎儿血红蛋白酸洗脱试验--胎儿血红蛋白(HbF)酸洗脱试验');
INSERT INTO `tran_lis_config` VALUES ('6421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肽链裂解试验', '肽链裂解试验', '424847', '肽链裂解试验--肽链裂解试验');
INSERT INTO `tran_lis_config` VALUES ('6422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '颜色', '425574', '痰液常规--颜色');
INSERT INTO `tran_lis_config` VALUES ('6423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '性状', '424762', '痰液常规--性状');
INSERT INTO `tran_lis_config` VALUES ('6424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '痰液量', '424563', '痰液常规--痰液量');
INSERT INTO `tran_lis_config` VALUES ('6425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '气味', '425358', '痰液常规--气味');
INSERT INTO `tran_lis_config` VALUES ('6426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '结晶', '424153', '痰液常规--结晶');
INSERT INTO `tran_lis_config` VALUES ('6427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '弹力纤维', '424042', '痰液常规--弹力纤维');
INSERT INTO `tran_lis_config` VALUES ('6428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '革兰染色', '424318', '痰液常规--革兰染色');
INSERT INTO `tran_lis_config` VALUES ('6429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '抗酸染色', '424157', '痰液常规--抗酸染色');
INSERT INTO `tran_lis_config` VALUES ('6430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '隐血', '424376', '痰液常规--隐血');
INSERT INTO `tran_lis_config` VALUES ('6431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '细胞', '425362', '痰液常规--细胞');
INSERT INTO `tran_lis_config` VALUES ('6432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '寄生虫', '426091', '痰液常规--寄生虫');
INSERT INTO `tran_lis_config` VALUES ('6433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '其他', '425401', '痰液常规--其他');
INSERT INTO `tran_lis_config` VALUES ('6434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碳青霉烯类抗生素耐药测定', '碳青霉烯类抗生素耐药测定', '424264', '碳青霉烯类抗生素耐药测定--碳青霉烯类抗生素耐药测定');
INSERT INTO `tran_lis_config` VALUES ('6435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '碳氧血红蛋白测定', '碳氧血红蛋白(COHb)', '425599', '碳氧血红蛋白测定--碳氧血红蛋白(COHb)');
INSERT INTO `tran_lis_config` VALUES ('6436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唐氏综合征二联筛查', '甲胎蛋白(AFP)', '425497', '唐氏综合征二联筛查--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唐氏综合征二联筛查', 'β人绒毛膜促性腺激素(β-HCG)', '424895', '唐氏综合征二联筛查--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唐氏综合征三联筛查', '甲胎蛋白(AFP)', '424374', '唐氏综合征三联筛查--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('6439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唐氏综合征三联筛查', 'β人绒毛膜促性腺激素(β-HCG)', '425488', '唐氏综合征三联筛查--β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唐氏综合征三联筛查', '非结合型雌三醇(UE3)', '425221', '唐氏综合征三联筛查--非结合型雌三醇(UE3)');
INSERT INTO `tran_lis_config` VALUES ('6441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖化白蛋白测定', '糖化白蛋白(GA)', '425586', '糖化白蛋白--糖化白蛋白(GA)');
INSERT INTO `tran_lis_config` VALUES ('6442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖化血红蛋白测定', '糖化血红蛋白(HbA1c)', '424090', '糖化血红蛋白--糖化血红蛋白(HbA1c)');
INSERT INTO `tran_lis_config` VALUES ('6443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖化血清蛋白测定', '糖化血清蛋白(GSP)', '425266', '糖化血清蛋白--糖化血清蛋白(GSP)');
INSERT INTO `tran_lis_config` VALUES ('6444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-125测定', '糖类抗原CA-125', '424398', '糖类抗原CA-125--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-130测定', '糖类抗原CA-130', '424880', '糖类抗原CA-130--糖类抗原CA-130');
INSERT INTO `tran_lis_config` VALUES ('6446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-153测定', '糖类抗原CA-153', '425911', '糖类抗原CA-153--糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('6447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-199测定', '糖类抗原CA-199', '424773', '糖类抗原CA-199--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-242测定', '糖类抗原CA-242', '425425', '糖类抗原CA-242--糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('6449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-27测定', '糖类抗原CA-27', '425380', '糖类抗原CA-27--糖类抗原CA-27');
INSERT INTO `tran_lis_config` VALUES ('6450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-29测定', '糖类抗原CA-29', '424508', '糖类抗原CA-29--糖类抗原CA-29');
INSERT INTO `tran_lis_config` VALUES ('6451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-50测定', '糖类抗原CA-50', '424274', '糖类抗原CA-50--糖类抗原CA-50');
INSERT INTO `tran_lis_config` VALUES ('6452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-549测定', '糖类抗原CA-549', '426178', '糖类抗原CA-549--糖类抗原CA-549');
INSERT INTO `tran_lis_config` VALUES ('6453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖类抗原CA-724测定', '糖类抗原CA-724', '426100', '糖类抗原CA-724--糖类抗原CA-724');
INSERT INTO `tran_lis_config` VALUES ('6454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体2项', '抗谷氨酸脱羧酶抗体(GADAb)', '426109', '糖尿病自身抗体2项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `tran_lis_config` VALUES ('6455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体2项', '抗胰岛细胞抗体(ICA)', '424855', '糖尿病自身抗体2项--抗胰岛细胞抗体(ICA)');
INSERT INTO `tran_lis_config` VALUES ('6456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体3项', '抗谷氨酸脱羧酶抗体(GADAb)', '425453', '糖尿病自身抗体3项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `tran_lis_config` VALUES ('6457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体3项', '抗胰岛细胞抗体(ICA)', '424886', '糖尿病自身抗体3项--抗胰岛细胞抗体(ICA)');
INSERT INTO `tran_lis_config` VALUES ('6458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体3项', '抗胰岛素抗体(IAA)', '425621', '糖尿病自身抗体3项--抗胰岛素抗体(IAA)');
INSERT INTO `tran_lis_config` VALUES ('6459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体4项', '抗谷氨酸脱羧酶抗体(GADAb)', '425584', '糖尿病自身抗体4项--抗谷氨酸脱羧酶抗体(GADAb)');
INSERT INTO `tran_lis_config` VALUES ('6460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体4项', '抗酪氨酸磷酸酶抗体(IA2)', '425930', '糖尿病自身抗体4项--抗酪氨酸磷酸酶抗体(IA2)');
INSERT INTO `tran_lis_config` VALUES ('6461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体4项', '抗胰岛细胞抗体(ICA)', '424792', '糖尿病自身抗体4项--抗胰岛细胞抗体(ICA)');
INSERT INTO `tran_lis_config` VALUES ('6462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖尿病自身抗体4项', '抗胰岛素抗体(IAA)', '425945', '糖尿病自身抗体4项--抗胰岛素抗体(IAA)');
INSERT INTO `tran_lis_config` VALUES ('6463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖缺失性转铁蛋白测定', '糖缺失性转铁蛋白(CDT)', '425052', '糖缺失性转铁蛋白测定--糖缺失性转铁蛋白(CDT)');
INSERT INTO `tran_lis_config` VALUES ('6464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '特殊变应原测定', '特殊变应原', '424838', '特殊变应原测定--特殊变应原');
INSERT INTO `tran_lis_config` VALUES ('6465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '体外血栓形成试验', '长度', '425831', '体外血栓形成试验--长度');
INSERT INTO `tran_lis_config` VALUES ('6466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '体外血栓形成试验', '湿度', '424877', '体外血栓形成试验--湿度');
INSERT INTO `tran_lis_config` VALUES ('6467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '体外血栓形成试验', '干重', '424813', '体外血栓形成试验--干重');
INSERT INTO `tran_lis_config` VALUES ('6468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '体液淀粉酶测定', '淀粉酶(AMY)', '424660', '体液淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '体液乳糜试验', '乳糜试验', '425499', '体液乳糜试验--乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('6470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '天门冬氨酸氨基转移酶测定', '天门冬氨酸氨基转移酶(AST)', '424671', '天门冬氨酸氨基转移酶测定--天门冬氨酸氨基转移酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '天疱疮抗体测定', '天疱疮抗体', '424738', '天疱疮抗体测定--天疱疮抗体');
INSERT INTO `tran_lis_config` VALUES ('6472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁测定', '铁(Fe)', '424080', '铁测定--铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('6473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁蛋白测定', '铁蛋白(Fer)', '425492', '铁蛋白测定--铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('6474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '同型半胱氨酸测定', '同型半胱氨酸(Hcy)', '426195', '同型半胱氨酸测定--同型半胱氨酸(Hcy)');
INSERT INTO `tran_lis_config` VALUES ('6475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铜蓝蛋白测定', '铜蓝蛋白(CER)', '425598', '铜蓝蛋白测定--铜蓝蛋白(CER)');
INSERT INTO `tran_lis_config` VALUES ('6476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '透明质酸测定', '透明质酸(HA)', '424800', '透明质酸测定--透明质酸(HA)');
INSERT INTO `tran_lis_config` VALUES ('6477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '土拉伦斯杆菌凝集试验', '土拉伦斯杆菌凝集试验', '424689', '土拉伦斯杆菌凝集试验--土拉伦斯杆菌凝集试验');
INSERT INTO `tran_lis_config` VALUES ('6478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脱敏免疫球蛋白IgG4测定', '脱敏免疫球蛋白IgG4', '425024', '脱敏免疫球蛋白IgG4--脱敏免疫球蛋白IgG4');
INSERT INTO `tran_lis_config` VALUES ('6479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脱敏免疫球蛋白IgG测定', '脱敏免疫球蛋白IgG', '426045', '脱敏免疫球蛋白IgG--脱敏免疫球蛋白IgG');
INSERT INTO `tran_lis_config` VALUES ('6480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脱氧吡啶酚测定', '脱氧吡啶酚(DPD)', '424663', '脱氧吡啶酚--脱氧吡啶酚(DPD)');
INSERT INTO `tran_lis_config` VALUES ('6481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唾液溶菌酶测定', '溶菌酶(LYSO)', '425125', '唾液溶菌酶--溶菌酶');
INSERT INTO `tran_lis_config` VALUES ('6482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '唾液酸测定', '唾液酸', '425664', '唾液酸--唾液酸');
INSERT INTO `tran_lis_config` VALUES ('6483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外斐氏反应', '外斐氏反应', '425129', '外斐氏反应--外斐氏反应');
INSERT INTO `tran_lis_config` VALUES ('6484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量白蛋白测定', '微量白蛋白(mAlb)', '424196', '微量白蛋白测定--微量白蛋白(mAlb)');
INSERT INTO `tran_lis_config` VALUES ('6485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素5项', '铜(Cu)', '425989', '微量元素5项--铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('6486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素5项', '锌(Zn)', '426139', '微量元素5项--锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('6487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素5项', '钙(Ca)', '425683', '微量元素5项--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素5项', '镁(Mg)', '425963', '微量元素5项--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素5项', '铁(Fe)', '424332', '微量元素5项--铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('6490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '铜(Cu)', '425721', '微量元素6项--铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('6491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '锌(Zn)', '425201', '微量元素6项--锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('6492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '钙(Ca)', '425281', '微量元素6项--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '镁(Mg)', '424230', '微量元素6项--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '铁(Fe)', '426135', '微量元素6项--铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('6495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素6项', '铅(Pb)', '424110', '微量元素6项--铅(Pb)');
INSERT INTO `tran_lis_config` VALUES ('6496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量总蛋白测定', '微量总蛋白(mTP)', '426168', '微量总蛋白测定--微量总蛋白(mTP)');
INSERT INTO `tran_lis_config` VALUES ('6497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微丝蚴检查', '微丝蚴', '425137', '微丝蚴检查--微丝蚴');
INSERT INTO `tran_lis_config` VALUES ('6498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃癌标志物4项', '癌胚抗原(CEA)', '425505', '胃癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃癌标志物4项', '糖类抗原CA-199', '425228', '胃癌标志物4项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃癌标志物4项', '糖类抗原CA-242', '425086', '胃癌标志物4项--糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('6501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃癌标志物4项', '糖类抗原CA-724', '424340', '胃癌标志物4项--糖类抗原CA-724');
INSERT INTO `tran_lis_config` VALUES ('6502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原测定', '胃蛋白酶原I', '425830', '胃蛋白酶原--胃蛋白酶原I');
INSERT INTO `tran_lis_config` VALUES ('6503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原测定', '胃蛋白酶原II', '424806', '胃蛋白酶原--胃蛋白酶原II');
INSERT INTO `tran_lis_config` VALUES ('6504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原测定', '胃蛋白酶原PGI/II比值', '424667', '胃蛋白酶原--胃蛋白酶原PGI/II比值');
INSERT INTO `tran_lis_config` VALUES ('6505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃泌素测定', '胃泌素', '426173', '胃泌素测定--胃泌素');
INSERT INTO `tran_lis_config` VALUES ('6506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃泌素释放肽前体测定', '胃泌素释放肽前体(ProGRP)', '424795', '胃泌素释放肽前体测定--胃泌素释放肽前体(ProGRP)');
INSERT INTO `tran_lis_config` VALUES ('6507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '高峰泌酸量(PAO)', '424994', '胃酸分泌试验--高峰泌酸量(PAO)');
INSERT INTO `tran_lis_config` VALUES ('6508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '基础泌酸量(BAO)', '424586', '胃酸分泌试验--基础泌酸量(BAO)');
INSERT INTO `tran_lis_config` VALUES ('6509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '最大泌酸量(MAO)', '424390', '胃酸分泌试验--最大泌酸量(MAO)');
INSERT INTO `tran_lis_config` VALUES ('6510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', 'BAO/MAO', '424638', '胃酸分泌试验--BAO/MAO');
INSERT INTO `tran_lis_config` VALUES ('6511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', 'BAO/PAO', '425277', '胃酸分泌试验--BAO/PAO');
INSERT INTO `tran_lis_config` VALUES ('6512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液乳酸测定', '乳酸(LA)', '424914', '胃液乳酸--乳酸(LA)');
INSERT INTO `tran_lis_config` VALUES ('6513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '五肽胃泌素激发试验', '3min降钙素(CT)', '425138', '五肽胃泌素激发试验--3min降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('6514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '五肽胃泌素激发试验', '5min降钙素(CT)', '424711', '五肽胃泌素激发试验--5min降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('6515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '五肽胃泌素激发试验', '10min降钙素(CT)', '424223', '五肽胃泌素激发试验--10min降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('6516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '五肽胃泌素激发试验', '15min降钙素(CT)', '426162', '五肽胃泌素激发试验--15min降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('6517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊型肝炎DNA定量', '戊型肝炎DNA定量', '424690', '戊型肝炎DNA定量--戊型肝炎DNA定量');
INSERT INTO `tran_lis_config` VALUES ('6518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊型肝炎DNA定性', '戊型肝炎DNA定性', '424380', '戊型肝炎DNA定性--戊型肝炎DNA定性');
INSERT INTO `tran_lis_config` VALUES ('6519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊型肝炎抗体测定', '戊型肝炎病毒抗体(Anti-HEV)IgG', '424885', '戊型肝炎抗体测定--戊型肝炎病毒抗体(Anti-HEV)IgG');
INSERT INTO `tran_lis_config` VALUES ('6520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊型肝炎抗体测定', '戊型肝炎病毒抗体(Anti-HEV)IgM', '424956', '戊型肝炎抗体测定--戊型肝炎病毒抗体(Anti-HEV)IgM');
INSERT INTO `tran_lis_config` VALUES ('6521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '吸入物变应原测定', '吸入物变应原', '424652', '吸入物变应原测定--吸入物变应原');
INSERT INTO `tran_lis_config` VALUES ('6522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '吸收放散试验', '吸收放散试验', '424960', '吸收放散试验--吸收放散试验');
INSERT INTO `tran_lis_config` VALUES ('6523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '系统性红斑狼疮因子试验', '系统性红斑狼疮因子(LEF)试验', '424233', '系统性红斑狼疮因子试验--系统性红斑狼疮因子(LEF)试验');
INSERT INTO `tran_lis_config` VALUES ('6524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细胞胞浆抗原测定', '细胞胞浆抗原', '424056', '细胞胞浆抗原测定--细胞胞浆抗原');
INSERT INTO `tran_lis_config` VALUES ('6525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细胞角蛋白18片段测定', '细胞角蛋白18片段', '425816', '细胞角蛋白18片段测定--细胞角蛋白18片段');
INSERT INTO `tran_lis_config` VALUES ('6526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细胞角蛋白19片段测定', '细胞角蛋白19片段(CYFRA21-1)', '426112', '细胞角蛋白19片段测定--细胞角蛋白19片段(CYFRA21-1)');
INSERT INTO `tran_lis_config` VALUES ('6527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细胞内粘附分子测定', '细胞内粘附分子', '425600', '细胞内粘附分子测定--细胞内粘附分子');
INSERT INTO `tran_lis_config` VALUES ('6528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌毒素测定', '细菌毒素', '424712', '细菌毒素测定--细菌毒素');
INSERT INTO `tran_lis_config` VALUES ('6529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定测定', '细菌抗体', '425502', '细菌抗体测定--细菌抗体');
INSERT INTO `tran_lis_config` VALUES ('6530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗原测定', '细菌抗原', '426093', '细菌抗原测定--细菌抗原');
INSERT INTO `tran_lis_config` VALUES ('6531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌内毒素定量测定', '细菌内毒素定量', '424482', '细菌内毒素定量测定--细菌内毒素定量');
INSERT INTO `tran_lis_config` VALUES ('6532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎快速检测', '细菌性阴道炎快速检测', '426149', '细菌性阴道炎快速检测--细菌性阴道炎快速检测');
INSERT INTO `tran_lis_config` VALUES ('6533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤维蛋白降解产物测定', '纤维蛋白降解产物(FDP)', '425893', '纤维蛋白降解产物测定--纤维蛋白降解产物(FDP)');
INSERT INTO `tran_lis_config` VALUES ('6534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤维蛋白溶解试验', '纤维蛋白溶解试验', '426083', '纤维蛋白溶解试验--纤维蛋白溶解试验');
INSERT INTO `tran_lis_config` VALUES ('6535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤维连接蛋白测定', '纤维连接蛋白(FN)', '425524', '纤维连接蛋白测定--纤维连接蛋白(FN)');
INSERT INTO `tran_lis_config` VALUES ('6536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '显形胶质蛋白测定', '显形胶质蛋白(AP)', '425661', '显形胶质蛋白测定--显形胶质蛋白(AP)');
INSERT INTO `tran_lis_config` VALUES ('6537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '线粒体抗体3项', '抗线粒体亚型抗体M2(AMA-M2)', '424085', '线粒体抗体3项--抗线粒体亚型抗体M2(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('6538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '线粒体抗体3项', '抗线粒体亚型抗体M4(AMA-M4)', '425363', '线粒体抗体3项--抗线粒体亚型抗体M4(AMA-M4)');
INSERT INTO `tran_lis_config` VALUES ('6539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '线粒体抗体3项', '抗线粒体亚型抗体M9(AMA-M9)', '425757', '线粒体抗体3项--抗线粒体亚型抗体M9(AMA-M9)');
INSERT INTO `tran_lis_config` VALUES ('6540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腺病毒抗体测定', '抗腺病毒抗体IgG(ADV-IgG)', '424367', '腺病毒抗体测定--抗腺病毒抗体IgG(ADV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('6541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腺病毒抗体测定', '抗腺病毒抗体IgM(ADV-IgM)', '424192', '腺病毒抗体测定--抗腺病毒抗体IgM(ADV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('6542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '硝基四氮唑蓝还原试验', '硝基四氮唑蓝还原试验', '425328', '硝基四氮唑蓝还原试验--硝基四氮唑蓝还原试验');
INSERT INTO `tran_lis_config` VALUES ('6543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '小肠结肠炎耶尔森氏菌抗体测定', '小肠结肠炎耶尔森氏菌抗体', '424271', '小肠结肠炎耶尔森氏菌抗体测定--小肠结肠炎耶尔森氏菌抗体');
INSERT INTO `tran_lis_config` VALUES ('6544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '小而密低密度脂蛋白测定', '小而密低密度脂蛋白(sdLDL)', '425229', '小而密低密度脂蛋白测定--小而密低密度脂蛋白(sdLDL)');
INSERT INTO `tran_lis_config` VALUES ('6545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '白细胞计数(WBC)', '425819', '心包积液常规-白细胞');
INSERT INTO `tran_lis_config` VALUES ('6546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '比重(SG)', '425864', '心包积液常规-比重(SG)');
INSERT INTO `tran_lis_config` VALUES ('6547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '葡萄糖(GLU)', '425095', '心包积液常规-葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '乳酸脱氢酶(LD)', '424941', '心包积液常规-乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '酸碱度(PH)', '425701', '心包积液常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('6550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '透明度', '425288', '心包积液常规-透明度');
INSERT INTO `tran_lis_config` VALUES ('6551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物测定', '肌钙蛋白I(cTnI)', '426104', '心肌梗死标志物--肌钙蛋白I(cTnI)');
INSERT INTO `tran_lis_config` VALUES ('6552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物测定', '肌酸激酶同工酶(CK-MB)', '425449', '心肌梗死标志物--肌酸激酶同工酶(CK-MB)');
INSERT INTO `tran_lis_config` VALUES ('6553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物测定', '肌红蛋白(Mb)', '424661', '心肌梗死标志物--肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('6554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物测定', '心脏脂肪酸结核蛋白(H-FABP)', '425729', '心肌梗死标志物--心脏脂肪酸结核蛋白(H-FABP)');
INSERT INTO `tran_lis_config` VALUES ('6555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱4项', '肌酸激酶(CK)', '424319', '心肌酶谱4项--肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('6556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱4项', '谷草转氨酶(AST)', '425585', '心肌酶谱4项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱4项', '乳酸脱氢酶(LD)', '425917', '心肌酶谱4项--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱4项', '肌酸激酶同工酶(CK-MB)', '424456', '心肌酶谱4项--肌酸激酶同工酶(CK-MB)');
INSERT INTO `tran_lis_config` VALUES ('6559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱5项', '肌酸激酶(CK)', '425067', '心肌酶谱5项--肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('6560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱5项', '谷草转氨酶(AST)', '426200', '心肌酶谱5项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱5项', '乳酸脱氢酶(LD)', '425397', '心肌酶谱5项--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱5项', '肌酸激酶同工酶(CK-MB)', '424831', '心肌酶谱5项--肌酸激酶同工酶(CK-MB)');
INSERT INTO `tran_lis_config` VALUES ('6563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱5项', 'α羟基丁酸脱氢酶(α-HBD)', '425868', '心肌酶谱5项--α羟基丁酸脱氢酶(α-HBD)');
INSERT INTO `tran_lis_config` VALUES ('6564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌缺血标志物测定', '缺血修饰白蛋白(IMA)', '425829', '心肌缺血标志物--缺血修饰白蛋白(IMA)');
INSERT INTO `tran_lis_config` VALUES ('6565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌损伤早期标志物测定', '肌红蛋白(Mb)', '425788', '心肌损伤早期标志物--肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('6566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌损伤早期标志物测定', '心脏脂肪酸结核蛋白(H-FABP)', '424406', '心肌损伤早期标志物--心脏脂肪酸结核蛋白(H-FABP)');
INSERT INTO `tran_lis_config` VALUES ('6567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心力衰竭标志物测定', 'B型钠尿肽(BNP)', '426028', '心力衰竭标志物--B型钠尿肽(BNP)');
INSERT INTO `tran_lis_config` VALUES ('6568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心力衰竭标志物测定', 'N端-B型钠尿肽前体(NT-ProBNP)', '424282', '心力衰竭标志物--N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `tran_lis_config` VALUES ('6569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新斯的明试验', '新斯的明试验', '424401', '新斯的明试验--新斯的明试验');
INSERT INTO `tran_lis_config` VALUES ('6570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新型隐球菌荚膜抗原测定', '新型隐球菌荚膜抗原', '424369', '新型隐球菌荚膜抗原测定--新型隐球菌荚膜抗原');
INSERT INTO `tran_lis_config` VALUES ('6571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新型隐球菌墨汁染色镜检', '新型隐球菌墨汁染色镜检', '425953', '新型隐球菌墨汁染色镜检--新型隐球菌墨汁染色镜检');
INSERT INTO `tran_lis_config` VALUES ('6572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性病混合感染3项', '沙眼衣原体核酸(CT-DNA)', '425239', '性病混合感染3项--沙眼衣原体核酸(CT-DNA)');
INSERT INTO `tran_lis_config` VALUES ('6573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性病混合感染3项', '淋球菌核酸(NG-DNA)', '424383', '性病混合感染3项--淋球菌核酸(NG-DNA)');
INSERT INTO `tran_lis_config` VALUES ('6574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性病混合感染3项', '解脲脲原体核酸(UU-DNA)', '425278', '性病混合感染3项--解脲脲原体核酸(UU-DNA)');
INSERT INTO `tran_lis_config` VALUES ('6575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '雌二醇(E2)', '424614', '性激素6项--雌二醇(E2)');
INSERT INTO `tran_lis_config` VALUES ('6576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '促黄体生成素(LH)', '424068', '性激素6项--促黄体生成素(LH)');
INSERT INTO `tran_lis_config` VALUES ('6577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '睾酮(T)', '424099', '性激素6项--睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '卵泡刺激素(FSH)', '424959', '性激素6项--卵泡刺激素(FSH)');
INSERT INTO `tran_lis_config` VALUES ('6579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '泌乳素(PRL)', '424747', '性激素6项--泌乳素(PRL)');
INSERT INTO `tran_lis_config` VALUES ('6580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', '孕酮(P)', '426170', '性激素6项--孕酮(P)');
INSERT INTO `tran_lis_config` VALUES ('6581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素6项', 'LH/FSH', '424027', '性激素6项--LH/FSH');
INSERT INTO `tran_lis_config` VALUES ('6582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素结合球蛋白测定', '性激素结合球蛋白(SHBG)', '424524', '性激素结合球蛋白--性激素结合球蛋白(SHBG)');
INSERT INTO `tran_lis_config` VALUES ('6583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液淀粉酶测定', '淀粉酶(AMY)', '425775', '胸腔积液淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液乳糜试验', '胸腔积液乳糜试验', '424122', '胸腔积液乳糜试验--胸腔积液乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('6585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄烯二酮测定', '雄烯二酮(A2)', '424312', '雄烯二酮测定--雄烯二酮(A2)');
INSERT INTO `tran_lis_config` VALUES ('6586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素测定', '睾酮(T)', '424698', '雄性激素测定--睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('6587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素测定', '双氢睾酮(DHT)', '425844', '雄性激素测定--双氢睾酮(DHT)');
INSERT INTO `tran_lis_config` VALUES ('6588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素测定', '去氢表雄酮(DHEA)', '425284', '雄性激素测定--去氢表雄酮(DHEA)');
INSERT INTO `tran_lis_config` VALUES ('6589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素测定', '硫酸去氢表雄酮(DHEAS)', '424058', '雄性激素测定--硫酸去氢表雄酮(DHEAS)');
INSERT INTO `tran_lis_config` VALUES ('6590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '溴隐停抑制催乳素试验', '溴隐停抑制催乳素(PRL)试验', '424511', '溴隐停抑制催乳素试验--溴隐停抑制催乳素(PRL)试验');
INSERT INTO `tran_lis_config` VALUES ('6591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血1-25双羟维生素D测定', '1,25双羟维生素D(1,25(OH)2D)', '426082', '血1-25双羟维生素D测定--1,25双羟维生素D(1,25(OH)2D)');
INSERT INTO `tran_lis_config` VALUES ('6592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血25羟基维生素D3测定', '25羟基维生素D3(25(OH)D3)', '425392', '血25羟基维生素D3测定--25羟基维生素D3(25(OH)D3)');
INSERT INTO `tran_lis_config` VALUES ('6593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血25羟基维生素D测定', '25羟基维生素D(25(OH)D)', '425798', '血25羟基维生素D测定--25羟基维生素D(25(OH)D)');
INSERT INTO `tran_lis_config` VALUES ('6594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血α1微球蛋白测定', 'α1微球蛋白(α1-MG)', '425518', '血α1微球蛋白测定--α1微球蛋白(α1-MG)');
INSERT INTO `tran_lis_config` VALUES ('6595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血α2巨球蛋白测定', 'α2巨球蛋白(α2-MG)', '425333', '血α2巨球蛋白--α2巨球蛋白(α2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血β人绒毛膜促性腺激素测定', '血β人绒毛膜促性腺激素(β-HCG)', '424464', '血β人绒毛膜促性腺激素测定--血β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('6597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血氨测定', '血氨', '425080', '血氨测定--血氨');
INSERT INTO `tran_lis_config` VALUES ('6598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血半乳糖测定', '半乳糖', '425151', '血半乳糖测定--半乳糖');
INSERT INTO `tran_lis_config` VALUES ('6599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血苯丙氨酸测定', '苯丙氨酸(PHE)', '426065', '血苯丙氨酸测定--苯丙氨酸(PKU)');
INSERT INTO `tran_lis_config` VALUES ('6600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血苯丙酮酸测定', '苯丙酮酸(PKU)', '425671', '血苯丙酮酸测定--血苯丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('6601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血丙酮酸测定', '丙酮酸(PA)', '424825', '血丙酮酸测定--血丙酮酸(PA)');
INSERT INTO `tran_lis_config` VALUES ('6602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '白细胞计数(WBC)', '425517', '血常规--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('6603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞计数(RBC)', '424584', '血常规--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('6604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血红蛋白浓度(HGB)', '425642', '血常规--血红蛋白浓度(HGB)');
INSERT INTO `tran_lis_config` VALUES ('6605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞压积(HCT)', '425209', '血常规--红细胞压积(HCT)');
INSERT INTO `tran_lis_config` VALUES ('6606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均红细胞体积(MCV)', '424296', '血常规--平均红细胞体积(MCV)');
INSERT INTO `tran_lis_config` VALUES ('6607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均血红蛋白含量(MCH)', '425419', '血常规--平均血红蛋白含量(MCH)');
INSERT INTO `tran_lis_config` VALUES ('6608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均血红蛋白浓度(MCHC)', '424927', '血常规--平均血红蛋白浓度(MCHC)');
INSERT INTO `tran_lis_config` VALUES ('6609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板计数(PLT)', '425794', '血常规--血小板计数(PLT)');
INSERT INTO `tran_lis_config` VALUES ('6610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞百分比(LYM%)', '425473', '血常规--淋巴细胞百分比(LYM%)');
INSERT INTO `tran_lis_config` VALUES ('6611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞百分比(MONO%)', '424262', '血常规--单核细胞百分比(MONO%)');
INSERT INTO `tran_lis_config` VALUES ('6612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞百分比(NEUT%)', '426181', '血常规--中性粒细胞百分比(NEUT%)');
INSERT INTO `tran_lis_config` VALUES ('6613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞百分比(EO%)', '424266', '血常规--嗜酸性粒细胞百分比(EO%)');
INSERT INTO `tran_lis_config` VALUES ('6614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞百分比(BA%)', '425133', '血常规--嗜碱性粒细胞百分比(BA%)');
INSERT INTO `tran_lis_config` VALUES ('6615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞绝对计数(LYM)', '426161', '血常规--淋巴细胞绝对计数(LYM)');
INSERT INTO `tran_lis_config` VALUES ('6616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞绝对计数(MONO)', '425685', '血常规--单核细胞绝对计数(MONO)');
INSERT INTO `tran_lis_config` VALUES ('6617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞绝对计数(NEUT)', '424716', '血常规--中性粒细胞绝对计数(NEUT)');
INSERT INTO `tran_lis_config` VALUES ('6618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞绝对计数(EO)', '424764', '血常规--嗜酸性粒细胞绝对计数(EO)');
INSERT INTO `tran_lis_config` VALUES ('6619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞绝对计数(BA)', '424306', '血常规--嗜碱性粒细胞绝对计数(BA)');
INSERT INTO `tran_lis_config` VALUES ('6620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞体积分布宽度(RDW-SD)', '424441', '血常规--红细胞体积分布宽度(RDW-SD)');
INSERT INTO `tran_lis_config` VALUES ('6621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞分布宽度(RDW)', '425530', '血常规--红细胞分布宽度(RDW)');
INSERT INTO `tran_lis_config` VALUES ('6622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板体积分布宽度(PDW)', '424630', '血常规--血小板体积分布宽度(PDW)');
INSERT INTO `tran_lis_config` VALUES ('6623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '大型血小板比例(P-LCR)', '425066', '血常规--大型血小板比例(P-LCR)');
INSERT INTO `tran_lis_config` VALUES ('6624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均血小板体积(MPV)', '424819', '血常规--平均血小板体积(MPV)');
INSERT INTO `tran_lis_config` VALUES ('6625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板压积(PCT)', '424393', '血常规--血小板压积(PCT)');
INSERT INTO `tran_lis_config` VALUES ('6626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质3项', '钾(K)', '426130', '血电解质3项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质3项', '钠(Na)', '425706', '血电解质3项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质3项', '氯(Cl)', '424916', '血电解质3项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质4项', '钾(K)', '425611', '血电解质4项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质4项', '钠(Na)', '425317', '血电解质4项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质4项', '氯(Cl)', '424527', '血电解质4项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质4项', '钙(Ca)', '424996', '血电解质4项--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '钾(K)', '425871', '血电解质6项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '钠(Na)', '425686', '血电解质6项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '氯(Cl)', '425402', '血电解质6项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '钙(Ca)', '424235', '血电解质6项--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '镁(Mg)', '425359', '血电解质6项--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质6项', '磷(P)', '425213', '血电解质6项--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('6639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '二氧化碳(CO2)', '425618', '血电解质测定--二氧化碳(CO2)');
INSERT INTO `tran_lis_config` VALUES ('6640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '钾(K)', '425916', '血电解质测定--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '离子钙(Ca2+)', '425904', '血电解质测定--离子钙(Ca2+)');
INSERT INTO `tran_lis_config` VALUES ('6642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '磷(P)', '424798', '血电解质测定--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('6643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '氯(Cl)', '424937', '血电解质测定--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '镁(Mg)', '425800', '血电解质测定--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '钠(Na)', '424101', '血电解质测定--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '总钙(Ca)', '424864', '血电解质测定--总钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血电解质测定', '阴离子隙(AG)', '425457', '血电解质测定--阴离子隙(AG)');
INSERT INTO `tran_lis_config` VALUES ('6648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血淀粉酶同工酶测定', '淀粉酶同工酶', '425438', '淀粉酶同工酶测定--淀粉酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('6649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素Ⅰ测定', '血管紧张素Ⅰ(AngⅠ)', '425588', '血管紧张素Ⅰ--血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `tran_lis_config` VALUES ('6650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素Ⅱ测定', '血管紧张素Ⅱ(AngⅡ)', '424135', '血管紧张素Ⅱ--血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `tran_lis_config` VALUES ('6651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素转化酶测定', '血管紧张素转化酶(ACE)', '424999', '血管紧张素转化酶测定--血管紧张素转化酶(ACE)');
INSERT INTO `tran_lis_config` VALUES ('6652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管性血友病因子活性测定', '血管性血友病因子(VWF)活性', '425458', '血管性血友病因子活性--血管性血友病因子(VWF)活性');
INSERT INTO `tran_lis_config` VALUES ('6653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管性血友病因子抗原测定', '血管性血友病因子(VWF)抗原', '426066', '血管性血友病因子抗原--血管性血友病因子(VWF)抗原');
INSERT INTO `tran_lis_config` VALUES ('6654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白C试验', '血红蛋白C试验', '424176', '血红蛋白C试验--血红蛋白C试验');
INSERT INTO `tran_lis_config` VALUES ('6655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白F包涵体生成试验', '血红蛋白F包涵体生成试验', '425912', '血红蛋白F包涵体生成试验--血红蛋白F包涵体生成试验');
INSERT INTO `tran_lis_config` VALUES ('6656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白F包涵体生成试验', '含HbF包涵体的红细胞', '424079', '血红蛋白F包涵体生成试验--含HbF包涵体的红细胞');
INSERT INTO `tran_lis_config` VALUES ('6657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白F酸洗脱试验', '血红蛋白F(HbF)酸洗脱试验', '424285', '血红蛋白F酸洗脱试验--血红蛋白F(HbF)酸洗脱试验');
INSERT INTO `tran_lis_config` VALUES ('6658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白H包涵体试验', '血红蛋白H(HbH)包涵体阳性红细胞的百分率', '424571', '血红蛋白H包涵体试验--血红蛋白H(HbH)包涵体阳性红细胞的百分率');
INSERT INTO `tran_lis_config` VALUES ('6659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白S溶解度试验', '血红蛋白S溶解度试验', '424696', '血红蛋白S溶解度试验--血红蛋白S溶解度试验');
INSERT INTO `tran_lis_config` VALUES ('6660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆17α羟孕酮测定', '17α羟孕酮(17α-OHP)', '426122', '血浆17α羟孕酮测定--17α羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('6661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆6-酮前列腺素F1α测定', '6-酮前列腺素F1α', '424921', '血浆6-酮前列腺素F1α测定--6-酮前列腺素F1α');
INSERT INTO `tran_lis_config` VALUES ('6662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆D-二聚体测定', 'D-二聚体(D-Dimer)', '424659', '血浆D-二聚体测定--D-二聚体(D-Dimer)');
INSERT INTO `tran_lis_config` VALUES ('6663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆α2纤溶酶抑制物活性测定', '血浆α2纤溶酶抑制物活性(α2-PI:A)', '425292', '血浆α2纤溶酶抑制物活性--血浆α2纤溶酶抑制物活性(α2-PI:A)');
INSERT INTO `tran_lis_config` VALUES ('6664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆α2纤溶酶抑制物抗原测定', '血浆α2纤溶酶抑制物抗原(α2-PI:Ag)', '424035', '血浆α2纤溶酶抑制物抗原--血浆α2纤溶酶抑制物抗原(α2-PI:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '425212', '血浆β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆β-血小板球蛋白测定', 'β-血小板球蛋白', '424334', '血浆β-血小板球蛋白--β-血小板球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆蛋白C活性测定', '血浆蛋白C活性(PC)', '424774', '血浆蛋白C活性测定--血浆蛋白C活性(PC)');
INSERT INTO `tran_lis_config` VALUES ('6668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆蛋白C抗原测定', '血浆蛋白C抗原(PC:Ag)', '424761', '血浆蛋白C抗原测定--血浆蛋白C抗原(PC:Ag)测定');
INSERT INTO `tran_lis_config` VALUES ('6669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆蛋白S含量测定', '血浆蛋白S含量(PS:Ag)', '425709', '血浆蛋白S含量测定--血浆蛋白S含量(PS:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆肝素含量测定', '肝素', '425828', '血浆肝素含量测定--肝素');
INSERT INTO `tran_lis_config` VALUES ('6671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆激肽释放酶原测定', '血浆激肽释放酶原', '424890', '血浆激肽释放酶原测定--血浆激肽释放酶原');
INSERT INTO `tran_lis_config` VALUES ('6672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆抗凝血酶活性测定', '血浆抗凝血酶活性(AT:A)', '424468', '血浆抗凝血酶活性测定--血浆抗凝血酶活性(AT:A)');
INSERT INTO `tran_lis_config` VALUES ('6673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆抗凝血酶抗原测定', '血浆抗凝血酶抗原(AT:Ag)', '424668', '血浆抗凝血酶抗原测定--血浆抗凝血酶抗原(AT:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆蝰蛇毒磷脂时间测定', '血浆蝰蛇毒磷脂时间', '425387', '血浆蝰蛇毒磷脂时间测定--血浆蝰蛇毒磷脂时间');
INSERT INTO `tran_lis_config` VALUES ('6675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆蝰蛇毒时间测定', '血浆蝰蛇毒时间', '425880', '血浆蝰蛇毒时间测定--血浆蝰蛇毒时间');
INSERT INTO `tran_lis_config` VALUES ('6676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆内皮素测定', '内皮素(ET)', '426099', '血浆内皮素测定--内皮素(ET)');
INSERT INTO `tran_lis_config` VALUES ('6677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆凝血酶调节蛋白活性测定', '血浆凝血酶调节蛋白活性(TMA)', '424680', '血浆凝血酶调节蛋白活性测定--血浆凝血酶调节蛋白活性(TMA)');
INSERT INTO `tran_lis_config` VALUES ('6678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆凝血酶调节蛋白活性测定', '血浆凝血酶调节蛋白活性(TM:A)', '424902', '血浆凝血酶调节蛋白活性测定--血浆凝血酶调节蛋白活性(TM:A)');
INSERT INTO `tran_lis_config` VALUES ('6679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆凝血酶调节蛋白抗原测定', '血浆凝血酶调节蛋白抗原(TMAg)', '425371', '血浆凝血酶调节蛋白抗原测定--血浆凝血酶调节蛋白抗原(TMAg)');
INSERT INTO `tran_lis_config` VALUES ('6680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆凝血酶调节蛋白抗原测定', '血浆凝血酶调节蛋白抗原(TM:Ag)', '425673', '血浆凝血酶调节蛋白抗原测定--血浆凝血酶调节蛋白抗原(TM:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆凝血酶原片段(F1+2)测定', '血浆凝血酶原片段(F1+2)', '425687', '血浆凝血酶原片段(F1+2)测定--血浆凝血酶原片段(F1+2)');
INSERT INTO `tran_lis_config` VALUES ('6682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆渗透压测定', '血浆渗透压(POP)', '425846', '血浆渗透压测定--血浆渗透压(POP)');
INSERT INTO `tran_lis_config` VALUES ('6683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤溶酶-抗纤溶酶复合物测定', '抗纤溶酶复合物(PAP)', '424949', '血浆纤溶酶-抗纤溶酶复合物测定--抗纤溶酶复合物(PAP)');
INSERT INTO `tran_lis_config` VALUES ('6684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤溶酶原活性测定', '血浆纤溶酶原活性(PLG:A)', '424043', '血浆纤溶酶原活性测定--血浆纤溶酶原活性(PLG:A)');
INSERT INTO `tran_lis_config` VALUES ('6685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤溶酶原抗原测定', '血浆纤溶酶原抗原(PLG:Ag)', '425464', '血浆纤溶酶原抗原测定--血浆纤溶酶原抗原(PLG:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤维蛋白肽A测定', '纤维蛋白肽A', '425562', '血浆纤维蛋白肽A测定--纤维蛋白肽A');
INSERT INTO `tran_lis_config` VALUES ('6687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤维蛋白肽B测定', '纤维蛋白肽BP15-42', '425889', '血浆纤维蛋白肽B测定--纤维蛋白肽BP15-42');
INSERT INTO `tran_lis_config` VALUES ('6688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤维蛋白肽B测定', '纤维蛋白肽Bβ1-42', '426061', '血浆纤维蛋白肽B测定--纤维蛋白肽Bβ1-42');
INSERT INTO `tran_lis_config` VALUES ('6689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆纤维蛋白原测定', '纤维蛋白原(FG)', '424161', '血浆纤维蛋白原测定--血浆纤维蛋白原');
INSERT INTO `tran_lis_config` VALUES ('6690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆血栓烷B2测定', '血浆血栓烷B2(TXB2)', '424036', '血浆血栓烷B2测定--血浆血栓烷B2(TXB2)');
INSERT INTO `tran_lis_config` VALUES ('6691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆因子Ⅷ抑制物定量测定', '血浆因子Ⅷ抑制物定量', '424458', '血浆因子Ⅷ抑制物定量测定--血浆因子Ⅷ抑制物定量');
INSERT INTO `tran_lis_config` VALUES ('6692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆因子Ⅷ抑制物定性测定', '血浆因子Ⅷ抑制物定性', '425243', '血浆因子Ⅷ抑制物定性测定--血浆因子Ⅷ抑制物定性');
INSERT INTO `tran_lis_config` VALUES ('6693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆因子XIII缺乏筛选试验', '血浆因子XIII缺乏筛选试验', '424194', '血浆因子XIII缺乏筛选试验--血浆因子XIII缺乏筛选试验');
INSERT INTO `tran_lis_config` VALUES ('6694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆游离皮质醇测定', '游离皮质醇', '424336', '血浆游离皮质醇测定--游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('6695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆游离血红蛋白测定', '游离血红蛋白', '426085', '血浆游离血红蛋白测定--游离血红蛋白');
INSERT INTO `tran_lis_config` VALUES ('6696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆鱼精蛋白副凝试验', '血浆鱼精蛋白副凝试验', '425680', '血浆鱼精蛋白副凝试验--血浆鱼精蛋白副凝试验');
INSERT INTO `tran_lis_config` VALUES ('6697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆粘度测定', '血浆粘度', '424957', '血浆粘度测定--血浆粘度');
INSERT INTO `tran_lis_config` VALUES ('6698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆组织纤溶酶原活化物活性测定', '血浆组织纤溶酶原活化物活性(t-PA:A)', '424273', '血浆组织纤溶酶原活化物活性测定--血浆组织纤溶酶原活化物活性(t-PA:A)');
INSERT INTO `tran_lis_config` VALUES ('6699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆组织纤溶酶原活化物抗原测定', '血浆组织纤溶酶原活化物抗原(t-PA:Ag', '424488', '血浆组织纤溶酶原活化物抗原测定--血浆组织纤溶酶原活化物抗原(t-PA:Ag');
INSERT INTO `tran_lis_config` VALUES ('6700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆组织纤溶酶原活化物抑制物活性测定', '血浆组织纤溶酶原活化物抑制物活性(PAI:A)', '425127', '血浆组织纤溶酶原活化物抑制物活性测定--血浆组织纤溶酶原活化物抑制物活性(PAI:A)');
INSERT INTO `tran_lis_config` VALUES ('6701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血浆组织纤溶酶原活化物抑制物抗原测定', '血浆组织纤溶酶原活化物抑制物抗原(PAI:Ag)', '424133', '血浆组织纤溶酶原活化物抑制物抗原测定--血浆组织纤溶酶原活化物抑制物抗原(PAI:Ag)');
INSERT INTO `tran_lis_config` VALUES ('6702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血块收缩时间测定', '血块收缩时间', '426052', '血块收缩时间测定--血块收缩时间');
INSERT INTO `tran_lis_config` VALUES ('6703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血亮氨酰氨基肽酶测定', '亮氨酰氨基肽酶(LAP)', '424594', '血亮氨酰氨基肽酶测定--亮氨酰氨基肽酶(LAP)');
INSERT INTO `tran_lis_config` VALUES ('6704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '细菌名', '424629', '血培养+鉴定+药敏--细菌名');
INSERT INTO `tran_lis_config` VALUES ('6705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '氨苄西林', '425290', '血培养+鉴定+药敏--氨苄西林');
INSERT INTO `tran_lis_config` VALUES ('6706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '阿米卡星', '424734', '血培养+鉴定+药敏--阿米卡星');
INSERT INTO `tran_lis_config` VALUES ('6707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '环丙沙星', '425393', '血培养+鉴定+药敏--环丙沙星');
INSERT INTO `tran_lis_config` VALUES ('6708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢曲松', '424770', '血培养+鉴定+药敏--头孢曲松');
INSERT INTO `tran_lis_config` VALUES ('6709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '庆大霉素', '424802', '血培养+鉴定+药敏--庆大霉素');
INSERT INTO `tran_lis_config` VALUES ('6710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '左氧氟沙星', '425395', '血培养+鉴定+药敏--左氧氟沙星');
INSERT INTO `tran_lis_config` VALUES ('6711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢他啶', '425408', '血培养+鉴定+药敏--头孢他啶');
INSERT INTO `tran_lis_config` VALUES ('6712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢吡肟', '425578', '血培养+鉴定+药敏--头孢吡肟');
INSERT INTO `tran_lis_config` VALUES ('6713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '替加环素', '425128', '血培养+鉴定+药敏--替加环素');
INSERT INTO `tran_lis_config` VALUES ('6714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '厄他培南', '425677', '血培养+鉴定+药敏--厄他培南');
INSERT INTO `tran_lis_config` VALUES ('6715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '氨曲南', '424565', '血培养+鉴定+药敏--氨曲南');
INSERT INTO `tran_lis_config` VALUES ('6716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢替坦', '424700', '血培养+鉴定+药敏--头孢替坦');
INSERT INTO `tran_lis_config` VALUES ('6717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢唑林', '426088', '血培养+鉴定+药敏--头孢唑林');
INSERT INTO `tran_lis_config` VALUES ('6718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '呋喃妥因', '425123', '血培养+鉴定+药敏--呋喃妥因');
INSERT INTO `tran_lis_config` VALUES ('6719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '亚胺培南', '424608', '血培养+鉴定+药敏--亚胺培南');
INSERT INTO `tran_lis_config` VALUES ('6720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '复方新诺明', '425696', '血培养+鉴定+药敏--复方新诺明');
INSERT INTO `tran_lis_config` VALUES ('6721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '帕拉西林', '425057', '血培养+鉴定+药敏--帕拉西林');
INSERT INTO `tran_lis_config` VALUES ('6722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养+鉴定+药敏', '头孢哌酮', '426029', '血培养+鉴定+药敏--头孢哌酮');
INSERT INTO `tran_lis_config` VALUES ('6723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血皮质醇测定', '皮质醇', '424947', '血皮质醇测定--皮质醇');
INSERT INTO `tran_lis_config` VALUES ('6724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '空腹C肽测定', 'C肽(C-P)', '424925', '空腹C肽测定--C肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清C肽测定', 'C肽(C-P)', '425214', '血清C肽测定--C肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清β2微球蛋白测定', 'β2微球蛋白(β2-MG)', '424779', '血清β2微球蛋白测定--β2微球蛋白(β2-MG)');
INSERT INTO `tran_lis_config` VALUES ('6727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳分析', '白蛋白', '424304', '血清蛋白电泳分析--白蛋白');
INSERT INTO `tran_lis_config` VALUES ('6728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳分析', 'α1-球蛋白', '425279', '血清蛋白电泳分析--α1-球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳分析', 'α2-球蛋白', '424272', '血清蛋白电泳分析--α2-球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳分析', 'β-球蛋白', '426033', '血清蛋白电泳分析--β-球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳分析', 'γ-球蛋白', '424901', '血清蛋白电泳分析--γ-球蛋白');
INSERT INTO `tran_lis_config` VALUES ('6732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清淀粉酶测定', '淀粉酶(AMY)', '424515', '血清淀粉酶测定--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清淀粉样蛋白A测定', '淀粉样蛋白A', '425805', '血清淀粉样蛋白A测定--血清淀粉样蛋白A');
INSERT INTO `tran_lis_config` VALUES ('6734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清环磷酸鸟苷测定', '环磷酸鸟苷(cGMP)', '424431', '环磷酸鸟苷测定--环磷酸鸟苷(cGMP)');
INSERT INTO `tran_lis_config` VALUES ('6735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清肌红蛋白测定', '肌红蛋白(Mb)', '424218', '血清肌红蛋白测定--肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('6736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清肌酸激酶测定', '肌酸激酶(CK)', '425203', '血清肌酸激酶测定--肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('6737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清结合珠蛋白测定', '结合珠蛋白(HP)', '424391', '血清结合珠蛋白测定--结合珠蛋白(HP)');
INSERT INTO `tran_lis_config` VALUES ('6738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清可溶性血小板膜糖蛋白测定', '血清可溶性血小板膜糖蛋白', '425560', '血清可溶性血小板膜糖蛋白测定--血清可溶性血小板膜糖蛋白');
INSERT INTO `tran_lis_config` VALUES ('6739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清磷脂测定', '磷脂', '424506', '血清磷脂测定--磷脂');
INSERT INTO `tran_lis_config` VALUES ('6740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清尿酸测定', '尿酸(UA)', '424337', '血清尿酸--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清溶菌酶测定', '溶菌酶(LYSO)', '424308', '血清溶菌酶测定--血清溶菌酶(ULYSO)');
INSERT INTO `tran_lis_config` VALUES ('6742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清肾上腺素测定', '肾上腺素(AD)', '425996', '血清肾上腺素--肾上腺素(AD)');
INSERT INTO `tran_lis_config` VALUES ('6743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清视黄醇结合蛋白测定', '视黄醇结合蛋白(RBP)', '424493', '血清视黄醇结合蛋白测定--视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('6744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酸化溶血试验', '血清酸化溶血试验', '425262', '血清酸化溶血试验--血清酸化溶血试验');
INSERT INTO `tran_lis_config` VALUES ('6745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清酸性磷酸酶测定', '酸性磷酸酶(ACP)', '424199', '血清酸性磷酸酶测定--酸性磷酸酶(ACP)');
INSERT INTO `tran_lis_config` VALUES ('6746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '地高辛', '425084', '血清药物浓度--地高辛');
INSERT INTO `tran_lis_config` VALUES ('6747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '环胞霉素', '424195', '血清药物浓度--环胞霉素');
INSERT INTO `tran_lis_config` VALUES ('6748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '卡马西平', '424963', '血清药物浓度--卡马西平');
INSERT INTO `tran_lis_config` VALUES ('6749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '可的松', '424212', '血清药物浓度--可的松');
INSERT INTO `tran_lis_config` VALUES ('6750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '丙戊酸钠', '425583', '血清药物浓度--丙戊酸钠');
INSERT INTO `tran_lis_config` VALUES ('6751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清总铁结合力测定', '总铁结合力(TIBC)', '424293', '血清总铁结合力测定--总铁结合力(TIBC)');
INSERT INTO `tran_lis_config` VALUES ('6752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血醛固酮测定', '醛固酮(ALD)', '424109', '血醛固酮--醛固酮(ALD)');
INSERT INTO `tran_lis_config` VALUES ('6753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血人绒毛膜促性腺激素测定', '血人绒毛膜促性腺激素(HCG)', '425511', '血人绒毛膜促性腺激素--人绒毛膜促性腺激素(HCG)');
INSERT INTO `tran_lis_config` VALUES ('6754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血绒毛膜促性腺激素测定', '血绒毛膜促性腺激素(HCG)', '426040', '血绒毛膜促性腺激素--血绒毛膜促性腺激素(HCG)');
INSERT INTO `tran_lis_config` VALUES ('6755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血乳酸测定', '乳酸(LA)', '424112', '血乳酸测定--乳酸(LA)');
INSERT INTO `tran_lis_config` VALUES ('6756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血栓弹力图试验', '血栓弹力图试验', '424428', '血栓弹力图试验--血栓弹力图试验');
INSERT INTO `tran_lis_config` VALUES ('6757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血酮体测定', '血酮体(KET)', '424666', '血酮体测定--血酮体(KET)');
INSERT INTO `tran_lis_config` VALUES ('6758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素A测定', '维生素A(VitA)', '425267', '血维生素A测定--维生素A(VitA)');
INSERT INTO `tran_lis_config` VALUES ('6759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B12测定', '维生素B12(VitB12)', '425142', '血维生素B12测定--维生素B12(VitB12)');
INSERT INTO `tran_lis_config` VALUES ('6760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B1测定', '维生素B1(VitB)', '426054', '血维生素B1测定--维生素B1(VitB)');
INSERT INTO `tran_lis_config` VALUES ('6761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B2测定', '维生素B2(VitB)', '426150', '血维生素B2测定--维生素B2(VitB)');
INSERT INTO `tran_lis_config` VALUES ('6762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B3测定', '维生素B3(VitB)', '425960', '血维生素B3测定--维生素B3(VitB)');
INSERT INTO `tran_lis_config` VALUES ('6763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B6测定', '维生素B6(VitB)', '425372', '血维生素B6测定--维生素B6(VitB)');
INSERT INTO `tran_lis_config` VALUES ('6764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素B9测定', '维生素B9(VitB9)', '425872', '血维生素B9测定--维生素B9(VitB9)');
INSERT INTO `tran_lis_config` VALUES ('6765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素C测定', '维生素C(VitC)', '426128', '血维生素C测定--维生素C(VitC)');
INSERT INTO `tran_lis_config` VALUES ('6766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素D2测定', '血维生素D2(VitD2)', '425205', '血维生素D2测定--血维生素D2(VitD2)');
INSERT INTO `tran_lis_config` VALUES ('6767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素E测定', '维生素E(VitE)', '425069', '血维生素E测定--维生素E(VitE)');
INSERT INTO `tran_lis_config` VALUES ('6768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血维生素K测定', '维生素K(VitK)', '424378', '血维生素K测定--维生素K(VitK)');
INSERT INTO `tran_lis_config` VALUES ('6769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血吸虫检查', '血吸虫抗体', '426131', '血吸虫检查--血吸虫抗体');
INSERT INTO `tran_lis_config` VALUES ('6770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血细胞簇分化抗原系列测定', 'CD4/CD8', '424919', '血细胞簇分化抗原系列测定--CD4/CD8');
INSERT INTO `tran_lis_config` VALUES ('6771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血细胞簇分化抗原系列测定', 'CD3+', '425978', '血细胞簇分化抗原系列测定--CD3');
INSERT INTO `tran_lis_config` VALUES ('6772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血细胞簇分化抗原系列测定', 'CD8+', '425977', '血细胞簇分化抗原系列测定--CD8');
INSERT INTO `tran_lis_config` VALUES ('6773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血细胞簇分化抗原系列测定', 'CD4', '425980', '血细胞簇分化抗原系列测定--CD4');
INSERT INTO `tran_lis_config` VALUES ('6774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血腺苷脱氨酶测定', '腺苷脱氨酶(ADA)', '425345', '血腺苷脱氨酶测定--腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('6775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板ATP释放试验', '血小板ATP释放试验', '424287', '血小板ATP释放试验--血小板ATP释放试验');
INSERT INTO `tran_lis_config` VALUES ('6776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板第3因子测定', '血小板第3因子(PF3)', '425092', '血小板第3因子测定--血小板第3因子有效性(PF3)');
INSERT INTO `tran_lis_config` VALUES ('6777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板第4因子测定', '血小板第4因子(PF4)', '425595', '血小板第4因子测定--血小板第4因子(PF4)');
INSERT INTO `tran_lis_config` VALUES ('6778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板钙流测定', '血小板钙流测定', '424693', '血小板钙流--血小板钙流测定');
INSERT INTO `tran_lis_config` VALUES ('6779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能测定', '血小板聚集试验', '424048', '血小板功能--血小板聚集试验');
INSERT INTO `tran_lis_config` VALUES ('6780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能测定', '血小板黏附试验', '424697', '血小板功能--血小板黏附试验');
INSERT INTO `tran_lis_config` VALUES ('6781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能测定', '血块收缩时间', '424124', '血小板功能--血块收缩时间');
INSERT INTO `tran_lis_config` VALUES ('6782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能测定', '血栓烷B2(TXB2)', '424491', '血小板功能--血栓烷B2(TXB2)');
INSERT INTO `tran_lis_config` VALUES ('6783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能测定', 'β-血小板球蛋白(β-TG)', '424835', '血小板功能--β-血小板球蛋白(β-TG)');
INSERT INTO `tran_lis_config` VALUES ('6784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板聚集试验', '血小板聚集率', '425309', '血小板聚集试验--血小板聚集率');
INSERT INTO `tran_lis_config` VALUES ('6785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板表面抗体IgG', '424705', '血小板抗体测定--血小板表面抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('6786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板表面抗体IgM', '424683', '血小板抗体测定--血小板表面抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('6787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板表面抗体IgA', '424708', '血小板抗体测定--血小板表面抗体IgA');
INSERT INTO `tran_lis_config` VALUES ('6788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '补体C3', '424989', '血小板抗体测定--补体C3');
INSERT INTO `tran_lis_config` VALUES ('6789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板膜糖蛋白Ⅰb(GPⅠb)', '424061', '血小板抗体测定--血小板膜糖蛋白Ⅰb(GPⅠb)');
INSERT INTO `tran_lis_config` VALUES ('6790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板膜糖蛋白Ⅱb(GPⅡb)', '425377', '血小板抗体测定--血小板膜糖蛋白Ⅱb(GPⅡb)');
INSERT INTO `tran_lis_config` VALUES ('6791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板膜糖蛋白Ⅲa(GpⅢa)', '425269', '血小板抗体测定--血小板膜糖蛋白Ⅲa(GpⅢa)');
INSERT INTO `tran_lis_config` VALUES ('6792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '血小板膜糖蛋白IX(GPIX)', '426157', '血小板抗体测定--血小板膜糖蛋白IX(GPIX)');
INSERT INTO `tran_lis_config` VALUES ('6793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板抗体测定', '抗心磷脂抗体(ACA)', '425648', '血小板抗体测定--抗心磷脂抗体(ACA)');
INSERT INTO `tran_lis_config` VALUES ('6794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板膜α颗粒膜蛋白140测定', '血小板膜α颗粒膜蛋白140(GMP-140)', '424093', '血小板膜α颗粒膜蛋白140测定--血小板膜α颗粒膜蛋白140(GMP-140)');
INSERT INTO `tran_lis_config` VALUES ('6795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板膜糖蛋白测定', '血小板膜糖蛋白', '426123', '血小板膜糖蛋白测定--血小板膜糖蛋白');
INSERT INTO `tran_lis_config` VALUES ('6796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板寿命测定', '血小板寿命', '425971', '血小板寿命测定--血小板寿命');
INSERT INTO `tran_lis_config` VALUES ('6797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板相关补体C3测定', '血小板相关补体C3(PAC3)', '424086', '血小板相关补体C3测定--血小板相关补体C3(PAC3)');
INSERT INTO `tran_lis_config` VALUES ('6798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgA)', '425167', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgA)');
INSERT INTO `tran_lis_config` VALUES ('6799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgG)', '425354', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgG)');
INSERT INTO `tran_lis_config` VALUES ('6800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板相关免疫球蛋白测定', '血小板相关免疫球蛋白(PAIgM)', '424868', '血小板相关免疫球蛋白测定--血小板相关免疫球蛋白(PAIgM)');
INSERT INTO `tran_lis_config` VALUES ('6801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板粘附试验', '血小板粘附(PAdT)试验', '424509', '血小板粘附试验--血小板粘附(PAdT)试验');
INSERT INTO `tran_lis_config` VALUES ('6802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血叶酸测定', '叶酸(FA)', '425294', '血叶酸测定--叶酸(FA)');
INSERT INTO `tran_lis_config` VALUES ('6803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液病相关基因定量测定', '血液病相关基因定量', '424331', '血液病相关基因定量--血液病相关基因定量');
INSERT INTO `tran_lis_config` VALUES ('6804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液病相关基因定性测定', '血液病相关基因定性', '425162', '血液病相关基因定性--血液病相关基因定性');
INSERT INTO `tran_lis_config` VALUES ('6805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液黑热病利-杜氏体测定', '血液黑热病利-杜氏体', '424414', '血液黑热病利-杜氏体--血液黑热病利-杜氏体');
INSERT INTO `tran_lis_config` VALUES ('6806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液回归热螺旋体测定', '血液回归热螺旋体', '424621', '血液回归热螺旋体--血液回归热螺旋体');
INSERT INTO `tran_lis_config` VALUES ('6807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液疟原虫检查', '血液疟原虫检查', '425224', '血液疟原虫检查--血液疟原虫检查');
INSERT INTO `tran_lis_config` VALUES ('6808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '总胆红素(T-Bil)', '426020', '血液生化18项--总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '直接胆红素(D-Bil)', '425660', '血液生化18项--直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '间接胆红素(I-Bil)', '425575', '血液生化18项--间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '总蛋白(TP)', '424323', '血液生化18项--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('6812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '白蛋白(Alb)', '425582', '血液生化18项--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('6813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '球蛋白(GLB)', '424968', '血液生化18项--球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('6814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', 'ALB/GLB', '424845', '血液生化18项--ALB/GLB');
INSERT INTO `tran_lis_config` VALUES ('6815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '谷丙转氨酶(ALT)', '425691', '血液生化18项--谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('6816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '葡萄糖(GLU)', '425650', '血液生化18项--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '尿酸(UA)', '424906', '血液生化18项--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '肌酐(Cr)', '424125', '血液生化18项--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '尿素(Urea)', '425462', '血液生化18项--尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('6820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '钾(K)', '424756', '血液生化18项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '钠(Na)', '424339', '血液生化18项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '氯(Cl)', '424804', '血液生化18项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '甘油三酯(TG)', '426143', '血液生化18项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '总胆固醇(TC)', '425813', '血液生化18项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化18项测定', '高密度脂蛋白胆固醇(HDL-C)', '424701', '血液生化18项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '总胆汁酸(TBA)', '425285', '血液生化29项--总胆汁酸(TBA)');
INSERT INTO `tran_lis_config` VALUES ('6827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '总胆红素(T-Bil)', '425412', '血液生化29项--总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '直接胆红素(D-Bil)', '425890', '血液生化29项--直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '间接胆红素(I-Bil)', '424809', '血液生化29项--间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '总蛋白(TP)', '425051', '血液生化29项--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('6831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '白蛋白(Alb)', '425814', '血液生化29项--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('6832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '球蛋白(GLB)', '424717', '血液生化29项--球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('6833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', 'ALB/GLB', '425435', '血液生化29项--ALB/GLB');
INSERT INTO `tran_lis_config` VALUES ('6834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '谷丙转氨酶(ALT)', '424597', '血液生化29项--谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('6835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '谷草转氨酶(AST)', '425797', '血液生化29项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', 'AST/ALT', '425447', '血液生化29项--AST/ALT');
INSERT INTO `tran_lis_config` VALUES ('6837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '谷氨酰基转移酶(GGT)', '424548', '血液生化29项--谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('6838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '碱性磷酸酶(ALP)', '425867', '血液生化29项--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('6839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '乳酸脱氢酶(LD)', '426010', '血液生化29项--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '肌酸激酶(CK)', '424067', '血液生化29项--肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('6841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', 'α-L-岩藻糖苷酶(AFU)', '424714', '血液生化29项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `tran_lis_config` VALUES ('6842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '甘氨酸脯氨酸二肽氨基肽', '424419', '血液生化29项--甘氨酸脯氨酸二肽氨基肽');
INSERT INTO `tran_lis_config` VALUES ('6843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '淀粉酶(AMY)', '425512', '血液生化29项--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '葡萄糖(GLU)', '424217', '血液生化29项--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '尿酸(UA)', '424444', '血液生化29项--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '肌酐(Cr)', '425884', '血液生化29项--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '尿素(Urea)', '424084', '血液生化29项--尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('6848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '钾(K)', '425874', '血液生化29项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '钠(Na)', '425565', '血液生化29项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '氯(Cl)', '425837', '血液生化29项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '甘油三酯(TG)', '424341', '血液生化29项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '总胆固醇(TC)', '425633', '血液生化29项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '高密度脂蛋白胆固醇(HDL-C)', '424681', '血液生化29项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化29项测定', '低密度脂蛋白胆固醇(LDL-C)', '425770', '血液生化29项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '总胆汁酸(TBA)', '425227', '血液生化36项--总胆汁酸(TBA)');
INSERT INTO `tran_lis_config` VALUES ('6856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '总胆红素(T-Bil)', '425028', '血液生化36项--总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '直接胆红素(D-Bil)', '425727', '血液生化36项--直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '间接胆红素(I-Bil)', '424823', '血液生化36项--间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('6859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '总蛋白(TP)', '425982', '血液生化36项--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('6860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '白蛋白(Alb)', '425465', '血液生化36项--白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('6861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '球蛋白(GLB)', '424637', '血液生化36项--球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('6862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', 'ALB/GLB', '425932', '血液生化36项--ALB/GLB');
INSERT INTO `tran_lis_config` VALUES ('6863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '谷丙转氨酶(ALT)', '425850', '血液生化36项--谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('6864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '谷草转氨酶(AST)', '424435', '血液生化36项--谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('6865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', 'AST/ALT', '425414', '血液生化36项--AST/ALT');
INSERT INTO `tran_lis_config` VALUES ('6866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '谷氨酰基转移酶(GGT)', '425640', '血液生化36项--谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('6867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '碱性磷酸酶(ALP)', '426116', '血液生化36项--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('6868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '乳酸脱氢酶(LD)', '425513', '血液生化36项--乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('6869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '肌酸激酶(CK)', '424182', '血液生化36项--肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('6870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', 'α-L-岩藻糖苷酶(AFU)', '425579', '血液生化36项--α-L-岩藻糖苷酶(AFU)');
INSERT INTO `tran_lis_config` VALUES ('6871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '腺苷脱氨酶(ADA)', '426124', '血液生化36项--腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('6872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '甘氨酸脯氨酸二肽氨基肽', '425050', '血液生化36项--甘氨酸脯氨酸二肽氨基肽');
INSERT INTO `tran_lis_config` VALUES ('6873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '淀粉酶(AMY)', '426030', '血液生化36项--淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('6874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '超敏C反应蛋白(hs-CRP)', '425029', '血液生化36项--超敏C反应蛋白(hs-CRP)');
INSERT INTO `tran_lis_config` VALUES ('6875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '葡萄糖(GLU)', '424537', '血液生化36项--葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '尿酸(UA)', '425665', '血液生化36项--尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('6877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '肌酐(Cr)', '424742', '血液生化36项--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('6878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '尿素(Urea)', '424224', '血液生化36项--尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('6879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '钾(K)', '425448', '血液生化36项--钾(K)');
INSERT INTO `tran_lis_config` VALUES ('6880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '钠(Na)', '425087', '血液生化36项--钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('6881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '氯(Cl)', '424280', '血液生化36项--氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('6882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '钙(Ca)', '425320', '血液生化36项--钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('6883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '镁(Mg)', '424316', '血液生化36项--镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('6884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '磷(P)', '425604', '血液生化36项--磷(P)');
INSERT INTO `tran_lis_config` VALUES ('6885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '甘油三酯(TG)', '426147', '血液生化36项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '总胆固醇(TC)', '425383', '血液生化36项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '高密度脂蛋白胆固醇(HDL-C)', '424023', '血液生化36项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '低密度脂蛋白胆固醇(LDL-C)', '424190', '血液生化36项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '载脂蛋白A1(apoA1)', '425498', '血液生化36项--载脂蛋白A1(apoA1)');
INSERT INTO `tran_lis_config` VALUES ('6890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液生化36项测定', '载脂蛋白B(apoB)', '425546', '血液生化36项--载脂蛋白B(apoB)');
INSERT INTO `tran_lis_config` VALUES ('6891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液苏丹染色检查', '血液苏丹染色', '425561', '血液苏丹染色检查--血液苏丹染色');
INSERT INTO `tran_lis_config` VALUES ('6892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液铁染色检查', '血液铁染色检查', '425424', '血液铁染色检查--血液铁染色检查');
INSERT INTO `tran_lis_config` VALUES ('6893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液锌原卟啉测定', '血液锌原卟啉测定', '425258', '血液锌原卟啉测定--血液锌原卟啉测定');
INSERT INTO `tran_lis_config` VALUES ('6894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血胰淀粉酶测定', '胰淀粉酶(AMS)', '426154', '血胰淀粉酶测定--胰淀粉酶(AMS)');
INSERT INTO `tran_lis_config` VALUES ('6895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血游离脂肪酸测定', '游离脂肪酸(FFA)', '424933', '血游离脂肪酸测定--游离脂肪酸(FFA)');
INSERT INTO `tran_lis_config` VALUES ('6896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血有机酸测定', '血有机酸', '424105', '血有机酸测定--血有机酸');
INSERT INTO `tran_lis_config` VALUES ('6897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血粘蛋白测定', '粘蛋白', '424063', '血粘蛋白测定--粘蛋白');
INSERT INTO `tran_lis_config` VALUES ('6898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂4项', '总胆固醇(TC)', '425381', '血脂4项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂4项', '甘油三酯(TG)', '425078', '血脂4项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂4项', '高密度脂蛋白胆固醇(HDL-C)', '424618', '血脂4项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂4项', '低密度脂蛋白胆固醇(LDL-C)', '425888', '血脂4项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '总胆固醇(TC)', '424574', '血脂6项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '甘油三酯(TG)', '425329', '血脂6项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '高密度脂蛋白胆固醇(HDL-C)', '425592', '血脂6项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '低密度脂蛋白胆固醇(LDL-C)', '424843', '血脂6项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '载脂蛋白A1(apoA1)', '425558', '血脂6项--载脂蛋白A1(apoA1)');
INSERT INTO `tran_lis_config` VALUES ('6907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂6项', '载脂蛋白B(apoB)', '424707', '血脂6项--载脂蛋白B(apoB)');
INSERT INTO `tran_lis_config` VALUES ('6908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '总胆固醇(TC)', '426011', '血脂7项--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('6909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '甘油三酯(TG)', '426103', '血脂7项--甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('6910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '高密度脂蛋白胆固醇(HDL-C)', '425144', '血脂7项--高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '低密度脂蛋白胆固醇(LDL-C)', '425097', '血脂7项--低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('6912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '载脂蛋白A1(apoA1)', '424796', '血脂7项--载脂蛋白A1(apoA1)');
INSERT INTO `tran_lis_config` VALUES ('6913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '载脂蛋白B(apoB)', '424572', '血脂7项--载脂蛋白B(apoB)');
INSERT INTO `tran_lis_config` VALUES ('6914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂7项', '脂蛋白a(LPa)', '424678', '血脂7项--脂蛋白a(LPa)');
INSERT INTO `tran_lis_config` VALUES ('6915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '循环免疫复合物测定', '循环免疫复合物(CIC)', '425382', '循环免疫复合物测定--循环免疫复合物(CIC)');
INSERT INTO `tran_lis_config` VALUES ('6916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '芽生菌补体结合试验', '芽生菌补体结合试验', '424487', '芽生菌补体结合试验--芽生菌补体结合试验');
INSERT INTO `tran_lis_config` VALUES ('6917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '芽生菌免疫学试验', '芽生菌免疫学试验', '424522', '芽生菌免疫学试验--芽生菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '芽生菌血清学试验', '芽生菌血清学试验', '424098', '芽生菌血清学试验--芽生菌血清学试验');
INSERT INTO `tran_lis_config` VALUES ('6919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '盐水输注试验', '盐水输注试验', '425200', '盐水输注试验--盐水输注试验');
INSERT INTO `tran_lis_config` VALUES ('6920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '氧合血红蛋白测定', '氧合血红蛋白(FO2Hb)', '425997', '氧合血红蛋白测定--氧合血红蛋白(FO2Hb)');
INSERT INTO `tran_lis_config` VALUES ('6921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '药物兴奋催乳素动态试验', '药物兴奋催乳素(PRL)动态试验', '424039', '药物兴奋催乳素动态试验--药物兴奋催乳素(PRL)动态试验');
INSERT INTO `tran_lis_config` VALUES ('6922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耶尔森氏菌免疫学试验', '耶尔森氏菌免疫学试验', '424321', '耶尔森氏菌免疫学试验--耶尔森氏菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '野兔热免疫学试验', '野兔热免疫学试验', '424611', '野兔热免疫学试验--野兔热免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('6924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一氧化氮分析', '一氧化氮', '424974', '一氧化氮分析--一氧化氮');
INSERT INTO `tran_lis_config` VALUES ('6925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一氧化碳测定', '一氧化碳', '426034', '一氧化碳测定--一氧化碳');
INSERT INTO `tran_lis_config` VALUES ('6926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '依酚氯胺试验', '依酚氯胺试验', '424691', '依酚氯胺试验--依酚氯胺试验');
INSERT INTO `tran_lis_config` VALUES ('6927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰癌胚抗原测定', '胰癌胚抗原(POA)', '425657', '胰癌胚抗原--胰癌胚抗原(POA)');
INSERT INTO `tran_lis_config` VALUES ('6928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛功能测定', '胰岛素(INS)', '425609', '胰岛功能测定--胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛功能测定', 'C肽(C-P)', '424191', '胰岛功能测定--C肽(CP)');
INSERT INTO `tran_lis_config` VALUES ('6930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛功能测定', '胰岛素原', '424782', '胰岛功能测定--胰岛素原');
INSERT INTO `tran_lis_config` VALUES ('6931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素测定', '胰岛素(Ins)', '425246', '胰岛素--胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('6932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '0min葡萄糖(GLU)', '425602', '胰岛素低血糖兴奋试验--0min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '0min生长激素(GH)', '424979', '胰岛素低血糖兴奋试验--0min生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '30min葡萄糖(GLU)', '424687', '胰岛素低血糖兴奋试验--30min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '30min生长激素(GH)', '424232', '胰岛素低血糖兴奋试验--30min生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '60min葡萄糖(GLU)', '424803', '胰岛素低血糖兴奋试验--60min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '60min生长激素(GH)', '425170', '胰岛素低血糖兴奋试验--60min生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '90min葡萄糖(GLU)', '424655', '胰岛素低血糖兴奋试验--90min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '90min生长激素(GH)', '425042', '胰岛素低血糖兴奋试验--90min生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '120min葡萄糖(GLU)', '425807', '胰岛素低血糖兴奋试验--120min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素低血糖兴奋试验', '120min生长激素(GH)', '426095', '胰岛素低血糖兴奋试验--120min生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('6942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素钳夹试验', '胰岛素钳夹试验', '424168', '胰岛素钳夹试验--胰岛素钳夹试验');
INSERT INTO `tran_lis_config` VALUES ('6943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素原测定', '胰岛素原', '424172', '胰岛素原测定--胰岛素原');
INSERT INTO `tran_lis_config` VALUES ('6944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高糖素儿茶酚胺激发试验', '胰高糖素儿茶酚胺激发试验', '424469', '胰高糖素儿茶酚胺激发试验--胰高糖素儿茶酚胺激发试验');
INSERT INTO `tran_lis_config` VALUES ('6945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '0min葡萄糖(GLU)', '425126', '胰高血糖素C肽刺激试验--0min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '0min胰岛素(INS)', '425531', '胰高血糖素C肽刺激试验--0min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '0minC肽(C-P)', '425270', '胰高血糖素C肽刺激试验--0minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '2min葡萄糖(GLU)', '425847', '胰高血糖素C肽刺激试验--2min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '2min胰岛素(INS)', '424872', '胰高血糖素C肽刺激试验--2min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '2minC肽(C-P)', '424429', '胰高血糖素C肽刺激试验--2minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '3min葡萄糖(GLU)', '424492', '胰高血糖素C肽刺激试验--3min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '3min胰岛素(INS)', '424595', '胰高血糖素C肽刺激试验--3min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '3minC肽(C-P)', '424481', '胰高血糖素C肽刺激试验--3minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '4min葡萄糖(GLU)', '425038', '胰高血糖素C肽刺激试验--4min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '4min胰岛素(INS)', '425984', '胰高血糖素C肽刺激试验--4min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '4minC肽(C-P)', '424525', '胰高血糖素C肽刺激试验--4minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '5min葡萄糖(GLU)', '424609', '胰高血糖素C肽刺激试验--5min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '5min胰岛素(INS)', '424198', '胰高血糖素C肽刺激试验--5min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '5minC肽(C-P)', '424516', '胰高血糖素C肽刺激试验--5minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '8min葡萄糖(GLU)', '425501', '胰高血糖素C肽刺激试验--8min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '8min胰岛素(INS)', '425136', '胰高血糖素C肽刺激试验--8min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '8minC肽(C-P)', '425417', '胰高血糖素C肽刺激试验--8minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '10min葡萄糖(GLU)', '424740', '胰高血糖素C肽刺激试验--10min葡萄糖(GLU)');
INSERT INTO `tran_lis_config` VALUES ('6964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '10min胰岛素(INS)', '425146', '胰高血糖素C肽刺激试验--10min胰岛素(INS)');
INSERT INTO `tran_lis_config` VALUES ('6965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素C肽刺激试验', '10minC肽(C-P)', '425974', '胰高血糖素C肽刺激试验--10minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('6966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素测定', '胰高血糖素', '425190', '胰高血糖素--胰高血糖素');
INSERT INTO `tran_lis_config` VALUES ('6967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰腺癌标志物4项', '癌胚抗原(CEA)', '425994', '胰腺癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('6968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰腺癌标志物4项', '糖类抗原CA-50', '424967', '胰腺癌标志物4项--糖类抗原CA-50');
INSERT INTO `tran_lis_config` VALUES ('6969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰腺癌标志物4项', '糖类抗原CA-125', '425308', '胰腺癌标志物4项--糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('6970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰腺癌标志物4项', '糖类抗原CA-199', '424938', '胰腺癌标志物4项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('6971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰腺特异性抗原测定', '胰腺特异性抗原', '425580', '胰腺特异性抗原--胰腺特异性抗原');
INSERT INTO `tran_lis_config` VALUES ('6972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙醇胶试验', '乙醇胶试验', '424207', '乙醇胶试验--乙醇胶试验');
INSERT INTO `tran_lis_config` VALUES ('6973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝二对半', '乙肝表面抗原定性(HBsAg)', '425479', '乙肝二对半--乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('6974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝二对半', '乙肝表面抗体定性(HBsAb)', '424291', '乙肝二对半--乙肝表面抗体定性(HBsAb)');
INSERT INTO `tran_lis_config` VALUES ('6975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝二对半', '乙肝e抗原定性(HBeAg)', '424111', '乙肝二对半--乙肝e抗原定性(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('6976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝二对半', '乙肝e抗体定性(HBeAb)', '425405', '乙肝二对半--乙肝e抗体定性(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('6977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝二对半', '乙肝核心抗体定性(HBcAb)', '424776', '乙肝二对半--乙肝核心抗体定性(HBcAb)');
INSERT INTO `tran_lis_config` VALUES ('6978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝表面抗原定量(HBsAg)', '425975', '乙肝三系定量--乙肝表面抗原定量(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('6979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝表面抗体定量(HBsAb)', '425615', '乙肝三系定量--乙肝表面抗体定量(HBsAb)');
INSERT INTO `tran_lis_config` VALUES ('6980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝e抗原定量(HBeAg)', '424604', '乙肝三系定量--乙肝e抗原定量(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('6981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝e抗体定量(HBeAb)', '424928', '乙肝三系定量--乙肝e抗体定量(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('6982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝核心抗体定量(HBcAb)', '425632', '乙肝三系定量--乙肝核心抗体定量(HBcAb)');
INSERT INTO `tran_lis_config` VALUES ('6983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定量', '乙肝核心抗体IgM定量(HBc-IgM)', '425340', '乙肝三系定量--乙肝核心抗体IgM定量(HBc-IgM)');
INSERT INTO `tran_lis_config` VALUES ('6984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝表面抗原定性(HBsAg)', '424368', '乙肝三系定性--乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('6985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝表面抗体定性(HBsAb)', '425352', '乙肝三系定性--乙肝表面抗体定性(HBsAb)');
INSERT INTO `tran_lis_config` VALUES ('6986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝e抗原定性(HBeAg)', '424169', '乙肝三系定性--乙肝e抗原定性(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('6987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝e抗体定性(HBeAb)', '425552', '乙肝三系定性--乙肝e抗体定性(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('6988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝核心抗体定性(HBcAb)', '425337', '乙肝三系定性--乙肝核心抗体定性(HBcAb)');
INSERT INTO `tran_lis_config` VALUES ('6989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝三系定性', '乙肝核心抗体IgM定性(HBc-IgM)', '425296', '乙肝三系定性--乙肝核心抗体IgM定性(HBc-IgM)');
INSERT INTO `tran_lis_config` VALUES ('6990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙酰胆碱酯酶测定', '乙酰胆碱酯酶', '424546', '乙酰胆碱酯酶测定--乙酰胆碱酯酶');
INSERT INTO `tran_lis_config` VALUES ('6991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型肝炎病毒外膜大蛋白抗原测定', '乙型肝炎病毒外膜大蛋白抗原', '424326', '乙型肝炎病毒外膜大蛋白抗原测定--乙型肝炎病毒外膜大蛋白抗原');
INSERT INTO `tran_lis_config` VALUES ('6992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型肝炎病毒外膜蛋白前S1抗体测定', '乙型肝炎病毒外膜蛋白前S1抗体', '425941', '乙型肝炎病毒外膜蛋白前S1抗体--乙型肝炎病毒外膜蛋白前S1抗体');
INSERT INTO `tran_lis_config` VALUES ('6993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型肝炎病毒外膜蛋白前S1抗原测定', '乙型肝炎病毒外膜蛋白前S1抗原', '425168', '乙型肝炎病毒外膜蛋白前S1抗原--乙型肝炎病毒外膜蛋白前S1抗原');
INSERT INTO `tran_lis_config` VALUES ('6994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型肝炎病毒外膜蛋白前S2抗体测定', '乙型肝炎病毒外膜蛋白前S2抗体', '425747', '乙型肝炎病毒外膜蛋白前S2抗体--乙型肝炎病毒外膜蛋白前S2抗体');
INSERT INTO `tran_lis_config` VALUES ('6995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型肝炎病毒外膜蛋白前S2抗原测定', '乙型肝炎病毒外膜蛋白前S2抗原', '425544', '乙型肝炎病毒外膜蛋白前S2抗原--乙型肝炎病毒外膜蛋白前S2抗原');
INSERT INTO `tran_lis_config` VALUES ('6996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙型流感病毒抗体测定', '乙型流感病毒抗体测定', '425077', '乙型流感病毒抗体测定--乙型流感病毒抗体测定');
INSERT INTO `tran_lis_config` VALUES ('6997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '异丙醇试验', '异丙醇试验', '426201', '异丙醇试验--异丙醇试验');
INSERT INTO `tran_lis_config` VALUES ('6998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '白细胞酯酶', '425781', '阴道分泌物常规--白细胞酯酶');
INSERT INTO `tran_lis_config` VALUES ('6999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '清洁度', '424244', '阴道分泌物常规--清洁度');
INSERT INTO `tran_lis_config` VALUES ('7000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '滴虫', '424053', '阴道分泌物常规--滴虫');
INSERT INTO `tran_lis_config` VALUES ('7001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '霉菌', '425117', '阴道分泌物常规--霉菌');
INSERT INTO `tran_lis_config` VALUES ('7002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '白细胞计数(WBC)', '425763', '阴道分泌物常规--白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('7003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '红细胞计数(RBC)', '424727', '阴道分泌物常规--红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('7004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '线索细胞', '425789', '阴道分泌物常规--线索细胞');
INSERT INTO `tran_lis_config` VALUES ('7005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', 'pH', '425124', '阴道分泌物常规--pH');
INSERT INTO `tran_lis_config` VALUES ('7006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '胺试验', '426107', '阴道分泌物常规--胺试验');
INSERT INTO `tran_lis_config` VALUES ('7007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物涂片检查', '清洁度', '424969', '阴道分泌物涂片检查--清洁度');
INSERT INTO `tran_lis_config` VALUES ('7008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物涂片检查', '杆菌', '425616', '阴道分泌物涂片检查--杆菌');
INSERT INTO `tran_lis_config` VALUES ('7009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物涂片检查', '球菌', '426009', '阴道分泌物涂片检查--球菌');
INSERT INTO `tran_lis_config` VALUES ('7010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物涂片检查', '上皮细胞', '424743', '阴道分泌物涂片检查--上皮细胞');
INSERT INTO `tran_lis_config` VALUES ('7011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物涂片检查', '脓细胞或白细胞', '425165', '阴道分泌物涂片检查--脓细胞或白细胞');
INSERT INTO `tran_lis_config` VALUES ('7012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐球菌病补体结合试验', '隐球菌病补体结合试验', '425734', '隐球菌病补体结合试验--隐球菌病补体结合试验');
INSERT INTO `tran_lis_config` VALUES ('7013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐球菌病胶乳凝集试验', '隐球菌病胶乳凝集试验', '425384', '隐球菌病胶乳凝集试验--隐球菌病胶乳凝集试验');
INSERT INTO `tran_lis_config` VALUES ('7014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '鹦鹉热衣原体测定', '鹦鹉热衣原体', '424920', '鹦鹉热衣原体测定--鹦鹉热衣原体');
INSERT INTO `tran_lis_config` VALUES ('7015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优球蛋白溶解时间测定', '优球蛋白溶解时间(ELT)', '425241', '优球蛋白溶解时间--优球蛋白溶解时间(ELT)');
INSERT INTO `tran_lis_config` VALUES ('7016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '巨细胞病毒抗体IgM(CMV-IgM)', '426094', '优生优育10项--巨细胞病毒抗体IgM(CMV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '巨细胞病毒抗体IgG(CMV-IgG)', '425231', '优生优育10项--巨细胞病毒抗体IgG(CMV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '425193', '优生优育10项--单纯疱疹病毒I型抗体IgM(HSV-I-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '单纯疱疹病毒I型抗体IgG(HSV-I-IgG)', '425606', '优生优育10项--单纯疱疹病毒I型抗体IgG(HSV-I-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)', '424833', '优生优育10项--单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)', '425039', '优生优育10项--单纯疱疹病毒II型抗体IgG(HSV-Ⅱ-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '风疹病毒抗体IgM(RV-IgM)', '425406', '优生优育10项--风疹病毒抗体IgM(RV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '风疹病毒抗体IgG(RV-IgG)', '425263', '优生优育10项--风疹病毒抗体IgG(RV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '弓形虫抗体IgM(TOXO-IgM)', '425100', '优生优育10项--弓形虫抗体IgM(TOXO-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育10项', '弓形虫抗体IgG(TOXO-IgG)', '425692', '优生优育10项--弓形虫抗体IgG(TOXO-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '巨细胞病毒抗体IgM(CMV-IgM)', '424631', '优生优育8项--巨细胞病毒抗体IgM(CMV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '巨细胞病毒抗体IgG(CMV-IgG)', '424887', '优生优育8项--巨细胞病毒抗体IgG(CMV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '单纯疱疹病毒I型抗体IgM(HSV-I-IgM)', '424081', '优生优育8项--单纯疱疹病毒I型抗体IgM(HSV-I-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)', '424034', '优生优育8项--单纯疱疹病毒II型抗体IgM(HSV-Ⅱ-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '风疹病毒抗体IgM(RV-IgM)', '425047', '优生优育8项--风疹病毒抗体IgM(RV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '风疹病毒抗体IgG(RV-IgG)', '424520', '优生优育8项--风疹病毒抗体IgG(RV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '弓形虫抗体IgM(TOXO-IgM)', '424512', '优生优育8项--弓形虫抗体IgM(TOXO-IgM)');
INSERT INTO `tran_lis_config` VALUES ('7033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育8项', '弓形虫抗体IgG(TOXO-IgG)', '424397', '优生优育8项--弓形虫抗体IgG(TOXO-IgG)');
INSERT INTO `tran_lis_config` VALUES ('7034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌粪便抗原测定', '幽门螺杆菌粪便抗原', '424245', '幽门螺杆菌粪便抗原测定--幽门螺杆菌粪便抗原');
INSERT INTO `tran_lis_config` VALUES ('7035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌尿素酶试验', '幽门螺杆菌尿素酶试验', '424338', '幽门螺杆菌尿素酶试验--幽门螺杆菌尿素酶试验');
INSERT INTO `tran_lis_config` VALUES ('7036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离甲状腺素测定', '游离甲状腺素(FT4)', '424102', '游离甲状腺素测定--游离甲状腺素(FT4)');
INSERT INTO `tran_lis_config` VALUES ('7037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离前列腺特异性抗原测定', '游离前列腺特异性抗原(FPSA)', '425275', '游离前列腺特异性抗原测定--游离前列腺特异性抗原(FPSA)');
INSERT INTO `tran_lis_config` VALUES ('7038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离三碘甲状原氨酸测定', '游离三碘甲状原氨酸(FT3)', '425564', '游离三碘甲状原氨酸测定--游离三碘甲状原氨酸(FT3)');
INSERT INTO `tran_lis_config` VALUES ('7039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '有核红细胞计数', '有核红细胞计数', '424412', '有核红细胞计数--有核红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('7040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '孕激素试验', '孕激素试验', '424619', '孕激素试验--孕激素试验');
INSERT INTO `tran_lis_config` VALUES ('7041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '孕酮测定', '孕酮(P)', '424278', '孕酮测定--孕酮(P)');
INSERT INTO `tran_lis_config` VALUES ('7042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甾体激素受体测定', '甾体激素受体', '426193', '甾体激素受体测定--甾体激素受体');
INSERT INTO `tran_lis_config` VALUES ('7043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白A1测定', '载脂蛋白A1(apoA1)', '424238', '载脂蛋白A1测定--载脂蛋白A1(apoA1)');
INSERT INTO `tran_lis_config` VALUES ('7044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白AⅡ测定', '载脂蛋白AⅡ(apoAⅡ)', '425174', '载脂蛋白AⅡ测定--载脂蛋白AⅡ(apoAⅡ)');
INSERT INTO `tran_lis_config` VALUES ('7045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白a测定', '载脂蛋白a(apoa)', '426155', '载脂蛋白a测定--载脂蛋白a(apoa)');
INSERT INTO `tran_lis_config` VALUES ('7046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白B测定', '载脂蛋白B(apoB)', '424710', '载脂蛋白B测定--载脂蛋白B(apoB)');
INSERT INTO `tran_lis_config` VALUES ('7047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白CⅡ测定', '载脂蛋白CⅡ(apoCⅡ)', '426194', '载脂蛋白CⅡ测定--载脂蛋白CⅡ(apoCⅡ)');
INSERT INTO `tran_lis_config` VALUES ('7048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白CⅢ测定', '载脂蛋白CⅢ(apoCⅢ)', '424069', '载脂蛋白CⅢ测定--载脂蛋白CⅢ(apoCⅢ)');
INSERT INTO `tran_lis_config` VALUES ('7049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '载脂蛋白E测定', '载脂蛋白E(apoE)', '425045', '载脂蛋白E测定--载脂蛋白E(apoE)');
INSERT INTO `tran_lis_config` VALUES ('7050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '造血干细胞计数', '造血干细胞', '424935', '造血干细胞计数--造血干细胞');
INSERT INTO `tran_lis_config` VALUES ('7051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '蔗糖溶血试验', '蔗糖溶血试验', '424136', '蔗糖溶血试验--蔗糖溶血试验');
INSERT INTO `tran_lis_config` VALUES ('7052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '阿奇霉素', '425732', '支原体药敏试验--阿奇霉素');
INSERT INTO `tran_lis_config` VALUES ('7053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '红霉素', '424562', '支原体药敏试验--红霉素');
INSERT INTO `tran_lis_config` VALUES ('7054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '环丙沙星', '425666', '支原体药敏试验--环丙沙星');
INSERT INTO `tran_lis_config` VALUES ('7055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '交沙霉素', '424765', '支原体药敏试验--交沙霉素');
INSERT INTO `tran_lis_config` VALUES ('7056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '克拉霉素', '425503', '支原体药敏试验--克拉霉素');
INSERT INTO `tran_lis_config` VALUES ('7057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '罗红霉素', '424253', '支原体药敏试验--罗红霉素');
INSERT INTO `tran_lis_config` VALUES ('7058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '米诺环素', '424226', '支原体药敏试验--米诺环素');
INSERT INTO `tran_lis_config` VALUES ('7059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '强力霉素', '425908', '支原体药敏试验--强力霉素');
INSERT INTO `tran_lis_config` VALUES ('7060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '司巴沙星', '425386', '支原体药敏试验--司巴沙星');
INSERT INTO `tran_lis_config` VALUES ('7061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '四环素', '425295', '支原体药敏试验--四环素');
INSERT INTO `tran_lis_config` VALUES ('7062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '氧氟沙星', '425902', '支原体药敏试验--氧氟沙星');
INSERT INTO `tran_lis_config` VALUES ('7063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '左氧沙星', '425567', '支原体药敏试验--左氧沙星');
INSERT INTO `tran_lis_config` VALUES ('7064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脂蛋白a测定', '脂蛋白a(LPa)', '425179', '脂蛋白a测定--脂蛋白a(LPa)');
INSERT INTO `tran_lis_config` VALUES ('7065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脂多糖结合蛋白测定', '脂多糖结合蛋白', '425049', '脂多糖结合蛋白测定--脂多糖结合蛋白');
INSERT INTO `tran_lis_config` VALUES ('7066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脂肪酶测定', '脂肪酶(LPS)', '424156', '脂肪酶测定--脂肪酶(LPS)');
INSERT INTO `tran_lis_config` VALUES ('7067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直肠癌标志物4项', '癌胚抗原(CEA)', '424246', '直肠癌标志物4项--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('7068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直肠癌标志物4项', '糖类抗原CA-50', '425369', '直肠癌标志物4项--糖类抗原CA-50');
INSERT INTO `tran_lis_config` VALUES ('7069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直肠癌标志物4项', '糖类抗原CA-199', '425475', '直肠癌标志物4项--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('7070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直肠癌标志物4项', '糖类抗原CA-242', '425096', '直肠癌标志物4项--糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('7071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直接抗人球蛋白试验', '直接抗人球蛋白试验', '424298', '直接抗人球蛋白试验--直接抗人球蛋白试验');
INSERT INTO `tran_lis_config` VALUES ('7072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直接涂片抗酸染色镜检', '直接涂片抗酸染色镜检', '424858', '直接涂片抗酸染色镜检--直接涂片抗酸染色镜检');
INSERT INTO `tran_lis_config` VALUES ('7073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '指甲肌酐测定', '肌酐(Cr)', '424184', '指甲肌酐测定--肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('7074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酯酶染色检查', '酯酶染色检查', '424596', '酯酶染色检查--酯酶染色检查');
INSERT INTO `tran_lis_config` VALUES ('7075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '中枢神经特异蛋白测定', '中枢神经特异蛋白(S100β)', '424425', '中枢神经特异蛋白测定--中枢神经特异蛋白(S100β)');
INSERT INTO `tran_lis_config` VALUES ('7076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '中性粒细胞趋化功能试验', '中性粒细胞趋化功能试验', '425533', '中性粒细胞趋化功能试验--中性粒细胞趋化功能试验');
INSERT INTO `tran_lis_config` VALUES ('7077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '终末补体复合物测定', '终末补体复合物', '425842', '终末补体复合物--终末补体复合物');
INSERT INTO `tran_lis_config` VALUES ('7078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤坏死因子α测定', '肿瘤坏死因子α(TNF-α)', '425463', '肿瘤坏死因子α测定--肿瘤坏死因子α(TNF-α)');
INSERT INTO `tran_lis_config` VALUES ('7079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤坏死因子测定', '肿瘤坏死因子(TNF)', '424882', '肿瘤坏死因子测定--肿瘤坏死因子(TNF)');
INSERT INTO `tran_lis_config` VALUES ('7080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤坏死因子受体测定', '肿瘤坏死因子受体', '424241', '肿瘤坏死因子受体测定--肿瘤坏死因子受体');
INSERT INTO `tran_lis_config` VALUES ('7081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤相关抗原测定', '肿瘤相关抗原(MG-Ags)', '425540', '肿瘤相关抗原测定--肿瘤相关抗原(MG-Ags)');
INSERT INTO `tran_lis_config` VALUES ('7082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤相关抗原测定', '肿瘤相关抗原(TA-2)', '424602', '肿瘤相关抗原测定--肿瘤相关抗原(TA-2)');
INSERT INTO `tran_lis_config` VALUES ('7083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '昼夜尿比重试验', '昼夜尿比重试验', '424286', '昼夜尿比重试验--昼夜尿比重试验');
INSERT INTO `tran_lis_config` VALUES ('7084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '猪囊尾蚴抗原和抗体测定', '猪囊尾蚴抗原', '424213', '猪囊尾蚴抗原和抗体测定--猪囊尾蚴抗原');
INSERT INTO `tran_lis_config` VALUES ('7085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '猪囊尾蚴抗原和抗体测定', '猪囊尾蚴抗体', '426006', '猪囊尾蚴抗原和抗体测定--猪囊尾蚴抗体');
INSERT INTO `tran_lis_config` VALUES ('7086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '专项变应原测定', '专项变应原', '425150', '专项变应原测定--专项变应原');
INSERT INTO `tran_lis_config` VALUES ('7087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '转铁蛋白测定', '转铁蛋白(TRF)', '424579', '转铁蛋白测定--转铁蛋白(TF)');
INSERT INTO `tran_lis_config` VALUES ('7088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自然杀伤淋巴细胞功能试验', '自然杀伤淋巴细胞功能试验', '425903', '自然杀伤淋巴细胞功能试验--自然杀伤淋巴细胞功能试验');
INSERT INTO `tran_lis_config` VALUES ('7089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自然杀伤细胞抗肿瘤活性测定', '自然杀伤(NK)细胞抗肿瘤活性测定', '424766', '自然杀伤(NK)细胞抗肿瘤活性测定--自然杀伤(NK)细胞抗肿瘤活性测定');
INSERT INTO `tran_lis_config` VALUES ('7090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗线粒体M2亚型抗体(AMA-M2)', '424163', '自身免疫性肝病抗体--抗线粒体M2亚型抗体(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('7091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗肝肾微粒体抗体(LKM)', '424309', '自身免疫性肝病抗体--抗肝肾微粒体抗体(LKM)');
INSERT INTO `tran_lis_config` VALUES ('7092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗可溶性肝抗原/肝-胰抗原抗体(SLA/LP)', '426056', '自身免疫性肝病抗体--抗可溶性肝抗原/肝-胰抗原抗体(SLA/LP)');
INSERT INTO `tran_lis_config` VALUES ('7093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗平滑肌抗体(SMA)', '424559', '自身免疫性肝病抗体--抗平滑肌抗体(SMA)');
INSERT INTO `tran_lis_config` VALUES ('7094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗核抗体(ANA)', '426049', '自身免疫性肝病抗体--抗核抗体(ANA)');
INSERT INTO `tran_lis_config` VALUES ('7095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗线粒体抗体(AMA)', '425801', '自身免疫性肝病抗体--抗线粒体抗体(AMA)');
INSERT INTO `tran_lis_config` VALUES ('7096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性肝病抗体测定', '抗肝细胞胞浆抗原1型抗体(抗LC1抗体)', '424049', '自身免疫性肝病抗体--抗肝细胞胞浆抗原1型抗体(抗LC1抗体)');
INSERT INTO `tran_lis_config` VALUES ('7097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性血管炎抗体3项', '抗中性粒细胞组织蛋白酶G抗体', '424922', '自身免疫性血管炎抗体3项--抗中性粒细胞组织蛋白酶G抗体');
INSERT INTO `tran_lis_config` VALUES ('7098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性血管炎抗体3项', '抗髓过氧化物酶抗体', '425111', '自身免疫性血管炎抗体3项--抗髓过氧化物酶抗体');
INSERT INTO `tran_lis_config` VALUES ('7099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '自身免疫性血管炎抗体3项', '抗肾小球基底膜抗体', '424702', '自身免疫性血管炎抗体3项--抗肾小球基底膜抗体');
INSERT INTO `tran_lis_config` VALUES ('7100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总Ⅰ型胶原氨基端延长肽测定', '总Ⅰ型胶原氨基端延长肽(Total-P1NP)', '425810', '总Ⅰ型胶原氨基端延长肽测定--总Ⅰ型胶原氨基端延长肽(Total-P1NP)');
INSERT INTO `tran_lis_config` VALUES ('7101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总IgE测定', '总IgE', '424360', '总IgE--总IgE');
INSERT INTO `tran_lis_config` VALUES ('7102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总补体测定', '总补体(CH50)', '426133', '总补体测定--总补体(CH50)');
INSERT INTO `tran_lis_config` VALUES ('7103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总胆固醇测定', '总胆固醇(TC)', '424862', '总胆固醇测定--总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('7104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总胆汁酸测定', '总胆汁酸(TBA)', '424829', '总胆汁酸测定--总胆汁酸(TBA)');
INSERT INTO `tran_lis_config` VALUES ('7105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总蛋白测定', '总蛋白(TP)', '425105', '总蛋白测定--总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('7106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总二氧化碳测定', '总二氧化碳(TCO2)', '424538', '总二氧化碳测定--总二氧化碳(TCO2)');
INSERT INTO `tran_lis_config` VALUES ('7107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总钙测定', '总钙(Ca)', '425370', '总钙测定--总钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('7108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总前列腺特异性抗原测定', '总前列腺特异性抗原(TPSA)', '424665', '总前列腺特异性抗原测定--总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('7109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '组织胺测定', '组织胺(Histamine)', '424197', '组织胺测定--组织胺(Histamine)');
INSERT INTO `tran_lis_config` VALUES ('7110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '组织胞浆菌免疫学试验', '组织胞浆菌免疫学试验', '425032', '组织胞浆菌免疫学试验--组织胞浆菌免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('7111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '组织胞浆菌血清学试验', '组织胞浆菌血清学试验', '426044', '组织胞浆菌血清学试验--组织胞浆菌血清学试验');
INSERT INTO `tran_lis_config` VALUES ('7112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '组织多肽特异抗原测定', '组织多肽特异抗原(TPS)', '425784', '组织多肽特异抗原测定--组织多肽特异抗原(TPS)');
INSERT INTO `tran_lis_config` VALUES ('7113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '组织相容性抗体测定', '组织相容性(HLA)抗体', '426026', '组织相容性(HLA)抗体--组织相容性(HLA)抗体');
INSERT INTO `tran_lis_config` VALUES ('7114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '左旋多巴抑制催乳素试验', '左旋多巴抑制催乳素(PRL)试验', '425456', '左旋多巴抑制催乳素试验--左旋多巴抑制催乳素(PRL)试验');
INSERT INTO `tran_lis_config` VALUES ('7115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '锌测定', '锌(Zn)', '424408', '锌测定--锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('7116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铜测定', '铜(Cu)', '425838', '铜测定--铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('7117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '硒测定', '硒(Se)', '425191', '硒测定--硒(Se)');
INSERT INTO `tran_lis_config` VALUES ('7118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '锶测定', '锶(Si)', '425514', '锶测定--锶(Si)');
INSERT INTO `tran_lis_config` VALUES ('7119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '镉测定', '镉(Cd)', '424647', '镉测定--镉(Cd)');
INSERT INTO `tran_lis_config` VALUES ('7120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '汞测定', '汞(Hg)', '424366', '汞测定--汞(Hg)');
INSERT INTO `tran_lis_config` VALUES ('7121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铝测定', '铝(Al)', '425327', '铝测定--铝(Al)');
INSERT INTO `tran_lis_config` VALUES ('7122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '锰测定', '锰(Mn)', '425196', '锰测定--锰(Mn)');
INSERT INTO `tran_lis_config` VALUES ('7123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钼测定', '钼(Mo)', '424917', '钼测定--钼(Mo)');
INSERT INTO `tran_lis_config` VALUES ('7124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '锂测定', '锂(Li)', '425964', '锂测定--锂(Li)');
INSERT INTO `tran_lis_config` VALUES ('7125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '砷测定', '砷(As)', '424675', '砷测定--砷(As)');
INSERT INTO `tran_lis_config` VALUES ('7126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铬测定', '铬(Cr)', '426068', '铬测定--铬(Cr)');
INSERT INTO `tran_lis_config` VALUES ('7127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铅测定', '铅(Pb)', '425273', '铅测定--铅(Pb)');
INSERT INTO `tran_lis_config` VALUES ('7128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钙离子测定', '钙离子(Ca2+)', '425958', '钙离子测定--钙(Ca2+)');
INSERT INTO `tran_lis_config` VALUES ('7129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '亮氨酰氨基肽酶测定', '亮氨酰氨基肽酶(LAP)', '425175', '亮氨酰氨基肽酶测定--亮氨酰氨基肽酶(LAP)');
INSERT INTO `tran_lis_config` VALUES ('7130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '羟脯氨酸测定', '羟脯氨酸', '426199', '羟脯氨酸测定--羟脯氨酸');
INSERT INTO `tran_lis_config` VALUES ('7131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素原测定', '降钙素原(PCT)', '425286', '降钙素原测定--降钙素原(PCT)');
INSERT INTO `tran_lis_config` VALUES ('7132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '庚肝病毒抗体测定', '庚肝病毒抗体(Anti-HGVIgG)', '424739', '庚肝病毒抗体测定--庚肝病毒抗体(Anti-HGVIgG)');
INSERT INTO `tran_lis_config` VALUES ('7133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈癌相关抗原测定', '宫颈癌相关抗原(TA-4)', '424997', '宫颈癌相关抗原测定--宫颈癌相关抗原(TA-4)');
INSERT INTO `tran_lis_config` VALUES ('7134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '缓冲碱测定', '缓冲碱(BB)', '425485', '缓冲碱测定--缓冲碱(BB)');
INSERT INTO `tran_lis_config` VALUES ('7135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D-葡聚糖测定', 'D-葡聚糖', '424869', 'D-葡聚糖测定--D-葡聚糖');
INSERT INTO `tran_lis_config` VALUES ('7136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基去甲肾上腺素测定', '甲氧基去甲肾上腺素(NMN)', '426003', '尿甲氧基去甲肾上腺素测定--甲氧基去甲肾上腺素(NMN)');
INSERT INTO `tran_lis_config` VALUES ('7137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基去甲肾上腺素定量(24h)', '甲氧基去甲肾上腺素(NMN)', '424400', '尿甲氧基去甲肾上腺素定量(24h)--甲氧基去甲肾上腺素(NMN)');
INSERT INTO `tran_lis_config` VALUES ('7138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿碱性磷酸酶测定', '碱性磷酸酶(ALP)', '425046', '尿碱性磷酸酶测定--碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('7139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗体测定', '幽门螺杆菌CAgA抗体', '426071', '幽门螺杆菌抗体测定--幽门螺杆菌CAgA抗体');
INSERT INTO `tran_lis_config` VALUES ('7140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗体测定', '幽门螺杆菌UreA抗体', '424399', '幽门螺杆菌抗体测定--幽门螺杆菌UreA抗体');
INSERT INTO `tran_lis_config` VALUES ('7141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗体测定', '幽门螺杆菌UreB抗体', '424785', '幽门螺杆菌抗体测定--幽门螺杆菌UreB抗体');
INSERT INTO `tran_lis_config` VALUES ('7142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗体测定', '幽门螺杆菌VacA抗体', '424450', '幽门螺杆菌抗体测定--幽门螺杆菌VacA抗体');
INSERT INTO `tran_lis_config` VALUES ('7143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '异常糖链糖蛋白测定', '异常糖链糖蛋白', '425261', '异常糖链糖蛋白测定--异常糖链糖蛋白');
INSERT INTO `tran_lis_config` VALUES ('7144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙醇测定', '乙醇', '426041', '乙醇测定--乙醇');
INSERT INTO `tran_lis_config` VALUES ('7145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '极低密度脂蛋白胆固醇测定', '极低密度脂蛋白胆固醇', '426183', '极低密度脂蛋白胆固醇测定--极低密度脂蛋白胆固醇');
INSERT INTO `tran_lis_config` VALUES ('7146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血红蛋白A2测定', '血红蛋白A2', '425892', '血红蛋白A2测定--血红蛋白A2');
INSERT INTO `tran_lis_config` VALUES ('7147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心梗三联', '肌钙蛋白I(cTnI)', '424344', '心梗三联--肌钙蛋白I(cTnI)');
INSERT INTO `tran_lis_config` VALUES ('7148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心梗三联', '肌红蛋白(Mb)', '425827', '心梗三联--肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('7149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心梗三联', '肌酸激酶同工酶质量(CK-MBmass)', '426114', '心梗三联--肌酸激酶同工酶质量(CK-MBmass)');
INSERT INTO `tran_lis_config` VALUES ('7150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物5项测定', '癌胚抗原(CEA)', '426022', '消化道肿瘤标志物5项测定--癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('7151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物5项测定', '甲胎蛋白(AFP)', '424534', '消化道肿瘤标志物5项测定--甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('7152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物5项测定', '糖类抗原CA-199', '425559', '消化道肿瘤标志物5项测定--糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('7153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物5项测定', '糖类抗原CA-242', '425924', '消化道肿瘤标志物5项测定--糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('7154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '消化道肿瘤标志物5项测定', '糖类抗原CA-724', '425765', '消化道肿瘤标志物5项测定--糖类抗原CA-724');
INSERT INTO `tran_lis_config` VALUES ('7155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '溶脲脲原体测定', '溶脲脲原体', '425071', '溶脲脲原体测定--溶脲脲原体');
INSERT INTO `tran_lis_config` VALUES ('7156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '溶脲支原体测定', '溶脲支原体', '424106', '溶脲支原体测定--溶脲支原体');
INSERT INTO `tran_lis_config` VALUES ('7157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'SRAS病毒检测', 'SRAS病毒', '424642', 'SRAS病毒检测--SRAS病毒');
INSERT INTO `tran_lis_config` VALUES ('7158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '网织红细胞血红蛋白含量测定', '网织红细胞血红蛋白含量', '426136', '网织红细胞血红蛋白含量测定--网织红细胞血红蛋白含量');
INSERT INTO `tran_lis_config` VALUES ('7159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '卡托普利试验', '卡托普利试验', '424944', '卡托普利试验--卡托普利试验');
INSERT INTO `tran_lis_config` VALUES ('7160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗子宫内膜抗体测定', '抗子宫内膜抗体(EMAb)', '425605', '抗子宫内膜抗体测定--抗子宫内膜抗体(EMAb)');
INSERT INTO `tran_lis_config` VALUES ('7161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内因子阻断抗体测定', '内因子阻断抗体', '425103', '内因子阻断抗体测定--内因子阻断抗体');
INSERT INTO `tran_lis_config` VALUES ('7162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗环瓜氨酸肽抗体测定', '抗环瓜氨酸肽抗体(抗CCP)', '425992', '抗环瓜氨酸肽抗体测定--抗环瓜氨酸肽抗体(抗CCP)');
INSERT INTO `tran_lis_config` VALUES ('7163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒抗原测定', '轮状病毒抗原(RV)', '424088', '轮状病毒抗原测定--轮状病毒抗原(RV)');
INSERT INTO `tran_lis_config` VALUES ('7164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出凝血时间测定', '出血时间(BT)', '424600', '出凝血时间测定--出血时间(BT)');
INSERT INTO `tran_lis_config` VALUES ('7165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出凝血时间测定', '凝血时间(CT)', '426097', '出凝血时间测定--凝血时间(CT)');
INSERT INTO `tran_lis_config` VALUES ('7166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃抗体测定', '抗胃壁细胞抗体(PCA)', '425655', '胃抗体测定--抗胃壁细胞抗体(PCA)');
INSERT INTO `tran_lis_config` VALUES ('7167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃抗体测定', '抗内因子抗体(IFA)', '425238', '胃抗体测定--抗内因子抗体(IFA)');
INSERT INTO `tran_lis_config` VALUES ('7168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃抗体测定', '胃泌素分泌细胞抗体(GCA)', '425313', '胃抗体测定--胃泌素分泌细胞抗体(GCA)');

-- ----------------------------
-- Table structure for tran_pacs_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_pacs_config`;
CREATE TABLE `tran_pacs_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='辅检项目公表映射配置表';

-- ----------------------------
-- Records of tran_pacs_config
-- ----------------------------
INSERT INTO `tran_pacs_config` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_胸部CT', '胸部CT');
INSERT INTO `tran_pacs_config` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_心电图', '心电图');

-- ----------------------------
-- Table structure for tran_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_patient_info`;
CREATE TABLE `tran_patient_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) NOT NULL COMMENT '医院编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院患者编号',
  `name` varchar(32) DEFAULT NULL COMMENT '患者姓名',
  `sex` int(1) DEFAULT NULL COMMENT '性别1男2女',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `identity_num` varchar(18) DEFAULT NULL COMMENT '身份证号',
  `postcode` varchar(10) DEFAULT NULL COMMENT '家庭邮编',
  `contacts` varchar(32) DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(12) DEFAULT NULL COMMENT '联系人电话',
  `work_unit` varchar(32) DEFAULT NULL COMMENT '就职单位名称',
  `operation` varchar(32) DEFAULT NULL COMMENT '职业',
  `country` varchar(8) DEFAULT NULL COMMENT '国籍',
  `nationality` varchar(8) DEFAULT NULL COMMENT '民族',
  `matrimony` int(2) DEFAULT NULL COMMENT '婚姻状况：0未婚，1已婚，2未知',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='患者信息表';

-- ----------------------------
-- Records of tran_patient_info
-- ----------------------------
INSERT INTO `tran_patient_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1600', '沈强', '1', '1991-01-01 20:04:03', null, '9696969', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1601', '张三', '1', '2016-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1602', '白烨', '2', '2000-06-13 14:02:01', '', '987654', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1603', '测试jdy', '2', '2000-12-30 14:02:01', '', '2100009', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1604', '测试yjs', '1', '2000-12-08 14:02:01', '', '2100009', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1', '周男', '1', '1979-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '2', '周女', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1605', '测试lzg', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3', '周男', '1', '1960-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '4', '周女', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);

-- ----------------------------
-- Table structure for tran_sys_set
-- ----------------------------
DROP TABLE IF EXISTS `tran_sys_set`;
CREATE TABLE `tran_sys_set` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) DEFAULT NULL COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) DEFAULT NULL COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `sys_type` int(11) DEFAULT NULL COMMENT '访问的系统类型(1, "user-service"),(2, "diagbotman-service"),(3, "uaa-service"),(4, "log-service"),(5, "bi-service"),(6, "ltapi-service"),(7, "feedback-service"),(8, "icss-old-service"),(9, "triage-service"),(10, "appkey"),(11, "icss-service"),(12, "icssman-service"),(13, "knowledgeman-service"),(14, "tran-service"),(15, "aipt-service"),(16, "data-service"),(17, "prec-service");',
  `name` varchar(100) DEFAULT NULL COMMENT '配置名称',
  `code` varchar(100) DEFAULT NULL COMMENT '配置编码',
  `value` int(11) DEFAULT NULL COMMENT '配置值',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COMMENT='医院所有配置信息';

-- ----------------------------
-- Records of tran_sys_set
-- ----------------------------
INSERT INTO `tran_sys_set` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '化验导入', 'import_way_lis', '3', 'ICSS化验导入方式(0默认不导入，1本地导入，2检查系统导入，3本地导入和检查系统导入)');
INSERT INTO `tran_sys_set` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '是否对接', 'connect', '0', '是否对接（0-不对接，1-对接）');
INSERT INTO `tran_sys_set` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '辅检导入', 'import_way_pacs', '2', 'ICSS化验导入方式(0默认不导入，1本地导入，2检查系统导入，3本地导入和检查系统导入)');
INSERT INTO `tran_sys_set` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '儿童体质测试', 'constitution_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '症状情况', 'symptoms_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '诊疗情况', 'diagnosis_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '其他病史', 'omhistory_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '17', '补充内容', 'replenish_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '全科病例', 'general_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '推荐诊断', 'diagnose_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '问诊症状', 'inquiry_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '体格检查', 'health_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '病情提示', 'illness_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '治疗方案', 'cure_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '建议化验', 'lis_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '建议检查', 'pacs_show_h', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '推荐诊断', 'diagnose_no_h', '7', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '问诊症状', 'inquiry_no_h', '1', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '体格检查', 'health_no_h', '2', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '病情提示', 'illness_no_h', '3', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '治疗方案', 'cure_no_h', '6', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '建议化验', 'lis_no_h', '4', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '建议检查', 'pacs_no_h', '5', '显示顺序');
INSERT INTO `tran_sys_set` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '16', '是否对接', 'connect', '1', '是否对接（0-不对接，1-对接）');
INSERT INTO `tran_sys_set` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '11', '急诊', 'emergency_show', '1', '是否显示（1是，0否）');
INSERT INTO `tran_sys_set` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', null, null, 'A001', '6', '是否对接', 'connect', '1', '是否对接（0-不对接，1-对接）');
