  /*
Navicat MySQL Data Transfer

Source Server         : 192.168.2.235
Source Server Version : 50640
Source Host           : 192.168.2.235:3306
Source Database       : med-dev

Target Server Type    : MYSQL
Target Server Version : 50640
File Encoding         : 65001

Date: 2019-05-24 10:34:57
*/

drop database if exists `med-dev`;
CREATE DATABASE `med-dev`  DEFAULT CHARSET utf8 COLLATE utf8_general_ci;
use `med-dev`;

-- ----------------------------
-- Table structure for kl_clinical_finding
-- ----------------------------
DROP TABLE IF EXISTS `kl_clinical_finding`;
CREATE TABLE `kl_clinical_finding` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `bodypart` varchar(100) DEFAULT NULL COMMENT '部位',
  `code` varchar(100) DEFAULT NULL COMMENT '术语身份编码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='症状体征表';

-- ----------------------------
-- Records of kl_clinical_finding
-- ----------------------------

-- ----------------------------
-- Table structure for kl_concept
-- ----------------------------
DROP TABLE IF EXISTS `kl_concept`;
CREATE TABLE `kl_concept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,概念id',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `lib_id` bigint(20) NOT NULL COMMENT '对应术语id',
  `lib_name` varchar(200) DEFAULT NULL COMMENT '概念名称(冗余)',
  `lib_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '概念词性type(冗余)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `LIB_ID_INDEX` (`lib_id`,`lib_name`,`lib_type`) USING BTREE COMMENT 'lib_id在全表数据中必须唯一'
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8 COMMENT='概念表';

-- ----------------------------
-- Records of kl_concept
-- ----------------------------
INSERT INTO `kl_concept` VALUES ('1', 'N', '1970-01-01 12:00:00', '2019-05-17 10:33:32', '0', '105', '1', '糖尿病', '18');
INSERT INTO `kl_concept` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '密西根糖尿病周围神经病评分（MDNS）', '48');
INSERT INTO `kl_concept` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '糖尿病量表1', '48');
INSERT INTO `kl_concept` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '糖尿病量表2', '48');
INSERT INTO `kl_concept` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '高血压', '18');
INSERT INTO `kl_concept` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '46');
INSERT INTO `kl_concept` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '急性心肌梗死', '18');
INSERT INTO `kl_concept` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '随机血糖', '46');
INSERT INTO `kl_concept` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '餐后2小时血糖', '46');
INSERT INTO `kl_concept` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '糖化血清蛋白', '46');
INSERT INTO `kl_concept` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '血压', '0');
INSERT INTO `kl_concept` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '慢病', '51');
INSERT INTO `kl_concept` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '急诊', '51');
INSERT INTO `kl_concept` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '头部区域', '52');
INSERT INTO `kl_concept` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '头部', '3');
INSERT INTO `kl_concept` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '眼睛', '3');
INSERT INTO `kl_concept` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '耳', '3');
INSERT INTO `kl_concept` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '全身区域', '52');
INSERT INTO `kl_concept` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '全身症状', '3');
INSERT INTO `kl_concept` VALUES ('21', 'N', '1970-01-01 12:00:00', '2019-05-15 12:00:00', '0', '0', '16', '发热', '1');
INSERT INTO `kl_concept` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '体表', '3');
INSERT INTO `kl_concept` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '头痛', '1');
INSERT INTO `kl_concept` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '头晕', '1');
INSERT INTO `kl_concept` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '耳鸣', '1');
INSERT INTO `kl_concept` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '耳痛', '1');
INSERT INTO `kl_concept` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '全身乏力', '1');
INSERT INTO `kl_concept` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '儿科', '47');
INSERT INTO `kl_concept` VALUES ('29', 'N', '1970-01-01 12:00:00', '2019-05-15 12:00:00', '0', '0', '25', '血常规', '12');
INSERT INTO `kl_concept` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '血白细胞', '12');
INSERT INTO `kl_concept` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '腹部B超', '15');
INSERT INTO `kl_concept` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '腹部CT', '15');
INSERT INTO `kl_concept` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '呼吸道感染', '18');
INSERT INTO `kl_concept` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '咽红', '33');
INSERT INTO `kl_concept` VALUES ('41', 'N', '2019-05-16 11:16:59', '2019-05-16 17:26:51', '1', '105', '44', '呕吐', '41');
INSERT INTO `kl_concept` VALUES ('43', 'N', '2019-05-16 11:30:44', '2019-05-16 11:51:57', '1', '1', '47', '恶心', '12');
INSERT INTO `kl_concept` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '量表1', '48');
INSERT INTO `kl_concept` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '量表2', '48');
INSERT INTO `kl_concept` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '量表3', '48');
INSERT INTO `kl_concept` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '量表4', '48');
INSERT INTO `kl_concept` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '58', '量表5', '48');
INSERT INTO `kl_concept` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '59', '量表6', '48');
INSERT INTO `kl_concept` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '60', '量表7', '48');
INSERT INTO `kl_concept` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '量表8', '48');
INSERT INTO `kl_concept` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '量表9', '48');
INSERT INTO `kl_concept` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '量表10', '48');
INSERT INTO `kl_concept` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '量表11', '48');
INSERT INTO `kl_concept` VALUES ('55', 'N', '2019-05-16 17:27:50', '2019-05-16 17:27:50', '98', '98', '65', '白细胞', '13');
INSERT INTO `kl_concept` VALUES ('56', 'N', '2019-05-17 09:37:53', '2019-05-17 09:37:53', '97', '97', '66', '测试标准词', '5');
INSERT INTO `kl_concept` VALUES ('57', 'N', '2019-05-17 09:55:32', '2019-05-17 09:55:32', '97', '97', '68', '测试化验子项', '13');
INSERT INTO `kl_concept` VALUES ('58', 'N', '2019-05-17 11:43:00', '2019-05-17 11:43:00', '98', '98', '69', '血红细胞', '13');
INSERT INTO `kl_concept` VALUES ('59', 'N', '2019-05-17 15:06:43', '2019-05-17 15:06:43', '98', '98', '70', '化验标准词', '12');
INSERT INTO `kl_concept` VALUES ('60', 'N', '2019-05-17 15:06:59', '2019-05-17 15:06:59', '98', '98', '71', '化验子项', '13');
INSERT INTO `kl_concept` VALUES ('61', 'Y', '2019-05-17 15:46:03', '2019-05-17 15:46:31', '100', '100', '72', '医学术语', '4');
INSERT INTO `kl_concept` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '全科', '47');

-- ----------------------------
-- Table structure for kl_concept_common
-- ----------------------------
DROP TABLE IF EXISTS `kl_concept_common`;
CREATE TABLE `kl_concept_common` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `sex_type` int(11) NOT NULL DEFAULT '3' COMMENT '性别：1:男, 2:女, 3:通用',
  `min_age` int(11) NOT NULL DEFAULT '0' COMMENT '症状发生的最小年龄',
  `max_age` int(11) NOT NULL DEFAULT '200' COMMENT '症状发生的最大年龄',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '科室概念id',
  `code` varchar(100) DEFAULT NULL COMMENT '术语身份编码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COMMENT='属于通用扩展表';

-- ----------------------------
-- Records of kl_concept_common
-- ----------------------------
INSERT INTO `kl_concept_common` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '3', '0', '200', '22', null, null);
INSERT INTO `kl_concept_common` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '1', '0', '100', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '2', '0', '100', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '1', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '58', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '59', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '60', '3', '0', '200', null, null, null);
INSERT INTO `kl_concept_common` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '3', '0', '200', null, null, null);

-- ----------------------------
-- Table structure for kl_concept_detail
-- ----------------------------
DROP TABLE IF EXISTS `kl_concept_detail`;
CREATE TABLE `kl_concept_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '提示概念id',
  `title` varchar(100) DEFAULT NULL COMMENT '提示明细标题',
  `content` mediumtext COMMENT '提示明细内容',
  `text` mediumtext COMMENT '纯文本',
  `order_no` int(11) DEFAULT NULL COMMENT '提示明细序号',
  `position` varchar(11) DEFAULT '2' COMMENT '显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书，6-不良反应，7-描述信息(智能分诊症状提示信息)',
  `is_reason` int(11) DEFAULT '0' COMMENT '是否诊断依据（1-是，0-否）',
  `source` varchar(50) DEFAULT NULL COMMENT '静态知识来源',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `CON_SOU_TT_INDEX` (`concept_id`,`source`,`title`) USING BTREE COMMENT '概念id+来源+标题，确定数据唯一性',
  KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT 'concept_id'
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='提示信息明细表';

-- ----------------------------
-- Records of kl_concept_detail
-- ----------------------------
INSERT INTO `kl_concept_detail` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '诊断依据', '1.症状：多饮,多尿,口渴,多食,消瘦<br/>2.化验：空腹血糖（FBG）≥7mmol/L,餐后2小时血糖≥11.1mmol/L,随机血糖≥11.1mmol/L', '1.症状：多饮,多尿,口渴,多食,消瘦2.化验：空腹血糖（FBG）≥7mmol/L,餐后2小时血糖≥11.1mmol/L,随机血糖≥11.1mmol/L', '0', '1,2', '1', null);
INSERT INTO `kl_concept_detail` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '摘要', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。</p>', '糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。', '1', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '概述', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '糖尿病（diabetes mellitus，DM）是一组常见的以葡萄糖和脂肪代谢紊乱、血浆葡萄糖水平增高为特征的代谢内分泌疾病，比较复杂，但由于篇幅有限，本文糖尿病重点叙述最常见的2型DM，简要叙述妊娠与糖尿病，部分节段提及1型糖尿病和某些较少见的类型。糖尿病的基本病理生理为绝对或相对胰岛素分泌不足和胰高血糖素活性增高所引起的代谢紊乱，包括糖、蛋白质、脂肪、水及电解质等，严重时常导致酸碱平衡失调；其特征为高血糖、糖尿、葡萄糖耐量减低及胰岛素释放试验异常。临床上早期无症状，至症状期才有多食、多饮、多尿、烦渴、善饥、消瘦或肥胖、疲乏无力等症群，久病者常伴发心脑血管、肾、眼及神经等病变。严重病例或应激时可发生酮症酸中毒、高渗性昏迷、乳酸性酸中毒而威胁生命，常易并发化脓性感染、尿路感染、肺结核等。自从胰岛素及抗生素问世后酮症及感染已少见，病死率明显下降。如能及早防治，严格和持久控制高血糖、高血压、高血脂可明显减少慢性并发症，有些患者病情是可以逆转的，患者体力可接近正常。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '2', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '流行病学', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1994年世界糖尿病患者为1.2亿，1997年为1.35亿，2000年为1.75亿，2010年为2.39亿，预测2030年则可达3亿。我国首次糖尿病调查于1978—1979年在上海，10万人口中发现患病率为10.12‰（标化患病率9.29‰），1980—1981年在全国14个省30万人口中患病率为6.09‰（标化患病率6.74‰），当时我国有700万糖尿病患者。本病多见于中老年，患病率随年龄而增长，自45岁后明显上升，至60岁达高峰。研究显示干部、知识分子、退休工人、家庭妇女较高，农民较低，脑力劳动者高于体力劳动者，城市居民高于农村居民。体重超重者（体质指数BMI≥24）患病率3倍于体重正常者。回族患病率最高，汉族次之，其他少数民族与汉族相仿。近年研究显示青少年人群2型糖尿病患病率快速增加，几乎与1型糖尿病各占一半。1994—1995年在全国约25万人口中（＞25岁），又进行了一次调查，发现糖尿病和糖耐量异常（impaired glucose tolerance，IGT）各占3.5%和2.5%。2008年应用糖耐量筛查20岁以上人群结果显示2型糖尿病高达9.7%。其主要原因是生活水平提高，生活方式改变，体力活动减少，营养过剩。因此必须提倡平衡饮食和活动，以便控制快速增长的势头。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '1994年世界糖尿病患者为1.2亿，1997年为1.35亿，2000年为1.75亿，2010年为2.39亿，预测2030年则可达3亿。我国首次糖尿病调查于1978—1979年在上海，10万人口中发现患病率为10.12‰（标化患病率9.29‰），1980—1981年在全国14个省30万人口中患病率为6.09‰（标化患病率6.74‰），当时我国有700万糖尿病患者。本病多见于中老年，患病率随年龄而增长，自45岁后明显上升，至60岁达高峰。研究显示干部、知识分子、退休工人、家庭妇女较高，农民较低，脑力劳动者高于体力劳动者，城市居民高于农村居民。体重超重者（体质指数BMI≥24）患病率3倍于体重正常者。回族患病率最高，汉族次之，其他少数民族与汉族相仿。近年研究显示青少年人群2型糖尿病患病率快速增加，几乎与1型糖尿病各占一半。1994—1995年在全国约25万人口中（＞25岁），又进行了一次调查，发现糖尿病和糖耐量异常（impaired glucose tolerance，IGT）各占3.5%和2.5%。2008年应用糖耐量筛查20岁以上人群结果显示2型糖尿病高达9.7%。其主要原因是生活水平提高，生活方式改变，体力活动减少，营养过剩。因此必须提倡平衡饮食和活动，以便控制快速增长的势头。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '3', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '病因与分类', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大部分糖尿病患者可归为两大发病机制范畴。一类（1型）为胰岛素分泌的绝对缺乏。大多数1型糖尿病患者经血清或DNA检查可发现免疫反应指标或基因标志。另一类（2型）的原因为胰岛素抵抗和胰岛素代偿性分泌反应不足的联合。在后一类患者中，虽已有足以引起慢性并发症的高血糖症，但患者在被确诊前可以长期毫无症状。这两个类型的糖尿病在发病机制、自然病史、治疗原则和反应以及预防均有明显不同。此外，尚有少数的糖尿病患者有其特有的病因和发病机制，可归于其他特殊类型。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前我国应用的糖尿病的分型以及诊断的方法和指标，是1997年ADA/WHO制定的内容：</p><p>（一）1型糖尿病（type 1diabetes mellitus）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">β细胞毁坏，常导致胰岛素绝对不足。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.自身免疫性急发型和缓发型，GAD和（或）胰岛细胞抗体阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.特发性无自身免疫证据。</p><p>（二）2型糖尿病（type 2diabetes mellitus）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素抵抗和（或）胰岛素分泌障碍。</p><p>（三）特殊类型糖尿病1.β细胞功能基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如MODY1，2，3型；线粒体DNA。</p><p>2.胰岛素作用遗传性缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰岛素基因突变、胰岛素受体缺陷A型胰岛素抵抗、妖精综合征、脂肪萎缩性糖尿病等。</p><p>3.胰腺外分泌病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰腺炎症、外伤、手术或肿瘤。</p><p>4.内分泌疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如肢端肥大症、库欣综合征、胰高糖素瘤、嗜铬细胞瘤和甲状腺功能亢进症等。</p><p>5.药物或化学品所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如杀鼠药、烟草酸、糖皮质激素、甲状腺激素、噻嗪类药物、β-肾上腺能类似物、苯妥英钠、IFN-α和二氮嗪等，大多数均能引起糖耐量减退。</p><p>6.感染所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如风疹、巨细胞病毒等。</p><p>7.少见的免疫介导糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Stiff-man综合征，抗胰岛素受体抗体等。</p><p>8.伴糖尿病的其他遗传综合征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Down、Klinefelter、Turner、Wolfram、Lawrence Moon Beidel等综合征和Huntington舞蹈病等。</p><p>（四）妊娠期糖尿病（gestational diabetes mellitus，GDM）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\"><br/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠期糖尿病指在妊娠期发现的糖尿病，但不排除于妊娠前原有糖耐量异常而未被确认者，已知是糖尿病的患者妊娠时不属此型。多数患者于分娩后可恢复正常，近30%以下患者于5～10年随访中转变为糖尿病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '大部分糖尿病患者可归为两大发病机制范畴。一类（1型）为胰岛素分泌的绝对缺乏。大多数1型糖尿病患者经血清或DNA检查可发现免疫反应指标或基因标志。另一类（2型）的原因为胰岛素抵抗和胰岛素代偿性分泌反应不足的联合。在后一类患者中，虽已有足以引起慢性并发症的高血糖症，但患者在被确诊前可以长期毫无症状。这两个类型的糖尿病在发病机制、自然病史、治疗原则和反应以及预防均有明显不同。此外，尚有少数的糖尿病患者有其特有的病因和发病机制，可归于其他特殊类型。目前我国应用的糖尿病的分型以及诊断的方法和指标，是1997年ADA/WHO制定的内容：（一）1型糖尿病（type 1diabetes mellitus）β细胞毁坏，常导致胰岛素绝对不足。1.自身免疫性急发型和缓发型，GAD和（或）胰岛细胞抗体阳性。2.特发性无自身免疫证据。（二）2型糖尿病（type 2diabetes mellitus）胰岛素抵抗和（或）胰岛素分泌障碍。（三）特殊类型糖尿病1.β细胞功能基因缺陷如MODY1，2，3型；线粒体DNA。2.胰岛素作用遗传性缺陷如胰岛素基因突变、胰岛素受体缺陷A型胰岛素抵抗、妖精综合征、脂肪萎缩性糖尿病等。3.胰腺外分泌病如胰腺炎症、外伤、手术或肿瘤。4.内分泌疾病如肢端肥大症、库欣综合征、胰高糖素瘤、嗜铬细胞瘤和甲状腺功能亢进症等。5.药物或化学品所致糖尿病如杀鼠药、烟草酸、糖皮质激素、甲状腺激素、噻嗪类药物、β-肾上腺能类似物、苯妥英钠、IFN-α和二氮嗪等，大多数均能引起糖耐量减退。6.感染所致糖尿病如风疹、巨细胞病毒等。7.少见的免疫介导糖尿病如Stiff-man综合征，抗胰岛素受体抗体等。8.伴糖尿病的其他遗传综合征如Down、Klinefelter、Turner、Wolfram、Lawrence Moon Beidel等综合征和Huntington舞蹈病等。（四）妊娠期糖尿病（gestational diabetes mellitus，GDM）妊娠期糖尿病指在妊娠期发现的糖尿病，但不排除于妊娠前原有糖耐量异常而未被确认者，已知是糖尿病的患者妊娠时不属此型。多数患者于分娩后可恢复正常，近30%以下患者于5～10年随访中转变为糖尿病。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '4', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '糖尿病几个主要类型的特点', '<p>（一）1型糖尿病特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①起病较急；②典型病例见于小儿及青少年，但任何年龄均可发病；③血浆胰岛素及C肽水平低，服糖刺激后分泌仍呈低平曲线；④必须依赖胰岛素治疗，一旦骤停胰岛素则易发生酮症酸中毒，甚而威胁生命；⑤遗传为重要因素，表现为第6对染色体上HLA某些抗原的阳性率增减；⑥胰岛β细胞自身抗体常呈阳性反应，包括胰岛细胞自身抗体（ICAs）、胰岛素自身抗体（IAAs）、谷氨酸脱羧酶（GAD 65）自身抗体和酪氨酸磷酸酶自身抗体（IA2和IA2β），其中以GAD抗体最具特征。85%～90%的1型患者空腹血糖开始升高时，可检测到一种或多种上述自身抗体。有些患者病情发展较慢，胰岛素分泌极少，体形消瘦，必须注射外源胰岛素才能防治酮症酸中毒，每到成年期方通过血清GAD抗体测定，才被发现是1型糖尿病。这类患者称为成人缓慢进展自身免疫性糖尿病（latent autoimmune diabetes in adults，LADA）。近年国内大样本LADA研究显示其患病率大约为6%，与2型糖尿病相比，LADA者年龄和体重均较低，且随年龄或体重增加患病率下降。LADA患者C肽水平及合并有高脂血症、高血压、肥胖的比例均较2型糖尿病低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">特发性1型糖尿病原因未明，为1型中的少数，多属非洲或亚洲人种，虽有永久胰岛素分泌缺乏和酮症酸中毒，但无自身免疫证据，也无HLA特点。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">晚近日本学者提出了暴发性1型糖尿病的概念，目前国际上多采用日本学者Imagawa等提出的诊断指标：①出现高血糖症状1周内发生酮症或酮症酸中毒；②血清空腹C肽＜0.1nmol/L，而餐后2小时（胰高血糖素释放试验）C肽＜0.17nmol/L；③初诊时血糖＞16mmol/L而HbA1c＜8.5%。按照ADA和WHO的糖尿病分类标准，暴发性1型糖尿病属于特发性1型糖尿病的一种亚型。该病来势凶猛，进展迅速，预后极差。表现为起病更加急骤、病情更加凶险的一类糖尿病。如果在临床上见到患者血糖极高、进展迅速、病情危重的患者，伴有胰酶升高，要考虑暴发性1型糖尿病。</p><p>（二）2型糖尿病特征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①起病较慢；②典型病例见于中老年人，偶见于幼儿；③血浆胰岛素水平仅相对性不足，且在糖刺激后呈延迟释放，有时肥胖患者空腹血浆胰岛素基值可偏高，糖刺激后胰岛素亦高于正常人，但比相同体重的非糖尿病肥胖者为低；④遗传因素甚为重要，但HLA属阴性；⑤ICA常呈阴性；⑥胰岛素效应往往甚差；⑦早期时单用口服抗糖尿病药物，一般可以控制血糖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病患者主要由于胰岛素抵抗合并有相对性胰岛素分泌不足所致。这类患者并不依赖外源胰岛素而生存，但有些需用胰岛素以控制高血糖症。在这类患者中可能有一些是特殊类型的糖尿病，明确后这类型比例可能会下降。该型大部分的患者伴肥胖，肥胖症本身可引起胰岛素抵抗。即使以传统体重指标鉴定并不肥胖的患者，仍可在内脏有体脂的积聚。由于高血糖症发展甚慢，早期症状很轻微而不典型或无症状，故常经过许多年始被确诊，然而，患者很容易发生大血管和微血管并发症。面对胰岛素抵抗和高血糖症，尽管β细胞分泌更多的胰岛素，血胰岛素水平常高于正常，仍不能使血糖正常化，说明β细胞分泌功能有一定缺陷，不足以代偿胰岛素抵抗。已观察到糖尿病患者胰腺组织中炎症因子高表达，但无β细胞自身免疫破坏，推测2型糖尿病是多基因突变或多态性变化有关的疾病，确切的机制尚未阐明。</p><p>（三）特殊型糖尿病为较少见的类型，其中有些特殊类型的机制已被阐明。1.β细胞基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有些特殊类型伴有β细胞的单基因缺陷。如青年人中的成年发病型糖尿病（MODY），发病年龄常在25岁之前，伴轻度高血糖症，是常染色体显性遗传，在不同染色体上的基因位点发生异常。其主要特征为胰岛素分泌减少而其作用没有或极少缺陷。MODY 1型基因变异发生在染色体12上的肝细胞核因子（HNF-4α）；MODY 2型基因变异发生在染色体7p上的葡萄糖激酶基因，导致葡萄糖激酶分子的缺陷，因而要求较高的血浆葡萄糖才能兴奋出正常的胰岛素分泌水平。MODY 3型基因变异发生在染色体20q的HNF-1α上。MODY 4型与染色体13的胰岛素启动因子（IPF-1）基因的突变有关。MODY 5型与染色体17上的肝细胞核因子1β（HNF-1β）基因突变有关。MODY 6型则与位于第2染色体的神经源性分化因子/β细胞E-盒转录激活物2（Neuro DI/BETA2）有关。晚近研究证实，MODY 7、MODY 8分别与KLF 11 （Kruppel-like factor 11）和CEL（carboxyl ester lipase）有关，但是MODY 8罕见。线粒体DNA点变异引起糖尿病伴耳聋，最常见的变异发生在tRNA leucine基因的3243位，导致A至G的转变。其临床特点为起病年龄早，不胖或较消瘦，属母系遗传，疾病初期呈2型糖尿病表现，无酮症酸中毒倾向，以后β细胞功能日渐减退，最后常会发展至需用胰岛素才能控制的高血糖症。患者在糖尿病发生前后，尚可伴有不同程度听力障碍，可有神经、肌肉和眼病表现等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此外，少数家族有常染色体遗传的基因异常，在胰岛素原转变为胰岛素时发生困难，或合成变异的胰岛素，影响其与胰岛素受体的结合。</p><p>2.胰岛素作用的基因缺陷</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如胰岛素受体的变异，有些患者可伴有黑棘皮病，女性患者可有男性化和卵巢囊肿，过去这类患者称为A型胰岛素抵抗。在儿童中，胰岛素受体基因变异可引起严重胰岛素抵抗，称为妖精综合征（leprechaunism）和Rabson-Mendenhall综合征。</p><p>3.药物或化学品所致糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如Vacor（鼠药）和Pentamidine（喷他脒）能永久性破坏β细胞；烟草酸和糖皮质激素可损害胰岛素的功能；IFN-α可导致糖尿病并常伴有胰岛抗体等。</p><p>4.外分泌胰腺病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些弥漫性胰腺组织损害可引起糖尿病，主要有胰腺炎、外伤、感染、胰腺手术、肿瘤等，当然一些胰腺肿瘤引起糖尿病的机制可能不仅仅是简单的β细胞数量的减少。</p><p>5.内分泌疾病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一些激素（生长激素、皮质醇、胰高血糖素、肾上腺素）可以对抗胰岛素作用，当其过量可以引起糖尿病，典型的表现为过量激素去除后血糖可以恢复。</p><p>6.新生儿糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">出生后6个月内发病的糖尿病称新生儿糖尿病，是一种少见的特殊类型糖尿病，临床上分为短暂性新生儿糖尿病和永久性新生儿糖尿病。此病由一些特殊基因突变所致，其中30%～58%的新生儿糖尿病由Kir6.2基因突变引起，这一突变影响到胰岛素分泌的钾离子通道。其他新生儿糖尿病有关的基因如杂合子激活的KCNJ11变异和ABCC8变异等。短暂性新生儿糖尿病可以缓解并终止治疗，但患者成年后可能复发。永久性新生儿糖尿病需要终身治疗。用胰岛素治疗这类疾病效果欠佳，改用磺脲类等口服降糖药物进行治疗效果较好。</p><p>（四）妊娠期糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠期糖尿病指在妊娠期发现的糖尿病患者，在妊娠前已有糖尿病的患者不属于妊娠糖尿病而属于糖尿病伴妊娠。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '（一）1型糖尿病特征①起病较急；②典型病例见于小儿及青少年，但任何年龄均可发病；③血浆胰岛素及C肽水平低，服糖刺激后分泌仍呈低平曲线；④必须依赖胰岛素治疗，一旦骤停胰岛素则易发生酮症酸中毒，甚而威胁生命；⑤遗传为重要因素，表现为第6对染色体上HLA某些抗原的阳性率增减；⑥胰岛β细胞自身抗体常呈阳性反应，包括胰岛细胞自身抗体（ICAs）、胰岛素自身抗体（IAAs）、谷氨酸脱羧酶（GAD 65）自身抗体和酪氨酸磷酸酶自身抗体（IA2和IA2β），其中以GAD抗体最具特征。85%～90%的1型患者空腹血糖开始升高时，可检测到一种或多种上述自身抗体。有些患者病情发展较慢，胰岛素分泌极少，体形消瘦，必须注射外源胰岛素才能防治酮症酸中毒，每到成年期方通过血清GAD抗体测定，才被发现是1型糖尿病。这类患者称为成人缓慢进展自身免疫性糖尿病（latent autoimmune diabetes in adults，LADA）。近年国内大样本LADA研究显示其患病率大约为6%，与2型糖尿病相比，LADA者年龄和体重均较低，且随年龄或体重增加患病率下降。LADA患者C肽水平及合并有高脂血症、高血压、肥胖的比例均较2型糖尿病低。特发性1型糖尿病原因未明，为1型中的少数，多属非洲或亚洲人种，虽有永久胰岛素分泌缺乏和酮症酸中毒，但无自身免疫证据，也无HLA特点。晚近日本学者提出了暴发性1型糖尿病的概念，目前国际上多采用日本学者Imagawa等提出的诊断指标：①出现高血糖症状1周内发生酮症或酮症酸中毒；②血清空腹C肽＜0.1nmol/L，而餐后2小时（胰高血糖素释放试验）C肽＜0.17nmol/L；③初诊时血糖＞16mmol/L而HbA1c＜8.5%。按照ADA和WHO的糖尿病分类标准，暴发性1型糖尿病属于特发性1型糖尿病的一种亚型。该病来势凶猛，进展迅速，预后极差。表现为起病更加急骤、病情更加凶险的一类糖尿病。如果在临床上见到患者血糖极高、进展迅速、病情危重的患者，伴有胰酶升高，要考虑暴发性1型糖尿病。（二）2型糖尿病特征①起病较慢；②典型病例见于中老年人，偶见于幼儿；③血浆胰岛素水平仅相对性不足，且在糖刺激后呈延迟释放，有时肥胖患者空腹血浆胰岛素基值可偏高，糖刺激后胰岛素亦高于正常人，但比相同体重的非糖尿病肥胖者为低；④遗传因素甚为重要，但HLA属阴性；⑤ICA常呈阴性；⑥胰岛素效应往往甚差；⑦早期时单用口服抗糖尿病药物，一般可以控制血糖。2型糖尿病患者主要由于胰岛素抵抗合并有相对性胰岛素分泌不足所致。这类患者并不依赖外源胰岛素而生存，但有些需用胰岛素以控制高血糖症。在这类患者中可能有一些是特殊类型的糖尿病，明确后这类型比例可能会下降。该型大部分的患者伴肥胖，肥胖症本身可引起胰岛素抵抗。即使以传统体重指标鉴定并不肥胖的患者，仍可在内脏有体脂的积聚。由于高血糖症发展甚慢，早期症状很轻微而不典型或无症状，故常经过许多年始被确诊，然而，患者很容易发生大血管和微血管并发症。面对胰岛素抵抗和高血糖症，尽管β细胞分泌更多的胰岛素，血胰岛素水平常高于正常，仍不能使血糖正常化，说明β细胞分泌功能有一定缺陷，不足以代偿胰岛素抵抗。已观察到糖尿病患者胰腺组织中炎症因子高表达，但无β细胞自身免疫破坏，推测2型糖尿病是多基因突变或多态性变化有关的疾病，确切的机制尚未阐明。（三）特殊型糖尿病为较少见的类型，其中有些特殊类型的机制已被阐明。1.β细胞基因缺陷有些特殊类型伴有β细胞的单基因缺陷。如青年人中的成年发病型糖尿病（MODY），发病年龄常在25岁之前，伴轻度高血糖症，是常染色体显性遗传，在不同染色体上的基因位点发生异常。其主要特征为胰岛素分泌减少而其作用没有或极少缺陷。MODY 1型基因变异发生在染色体12上的肝细胞核因子（HNF-4α）；MODY 2型基因变异发生在染色体7p上的葡萄糖激酶基因，导致葡萄糖激酶分子的缺陷，因而要求较高的血浆葡萄糖才能兴奋出正常的胰岛素分泌水平。MODY 3型基因变异发生在染色体20q的HNF-1α上。MODY 4型与染色体13的胰岛素启动因子（IPF-1）基因的突变有关。MODY 5型与染色体17上的肝细胞核因子1β（HNF-1β）基因突变有关。MODY 6型则与位于第2染色体的神经源性分化因子/β细胞E-盒转录激活物2（Neuro DI/BETA2）有关。晚近研究证实，MODY 7、MODY 8分别与KLF 11 （Kruppel-like factor 11）和CEL（carboxyl ester lipase）有关，但是MODY 8罕见。线粒体DNA点变异引起糖尿病伴耳聋，最常见的变异发生在tRNA leucine基因的3243位，导致A至G的转变。其临床特点为起病年龄早，不胖或较消瘦，属母系遗传，疾病初期呈2型糖尿病表现，无酮症酸中毒倾向，以后β细胞功能日渐减退，最后常会发展至需用胰岛素才能控制的高血糖症。患者在糖尿病发生前后，尚可伴有不同程度听力障碍，可有神经、肌肉和眼病表现等。此外，少数家族有常染色体遗传的基因异常，在胰岛素原转变为胰岛素时发生困难，或合成变异的胰岛素，影响其与胰岛素受体的结合。2.胰岛素作用的基因缺陷如胰岛素受体的变异，有些患者可伴有黑棘皮病，女性患者可有男性化和卵巢囊肿，过去这类患者称为A型胰岛素抵抗。在儿童中，胰岛素受体基因变异可引起严重胰岛素抵抗，称为妖精综合征（leprechaunism）和Rabson-Mendenhall综合征。3.药物或化学品所致糖尿病如Vacor（鼠药）和Pentamidine（喷他脒）能永久性破坏β细胞；烟草酸和糖皮质激素可损害胰岛素的功能；IFN-α可导致糖尿病并常伴有胰岛抗体等。4.外分泌胰腺病一些弥漫性胰腺组织损害可引起糖尿病，主要有胰腺炎、外伤、感染、胰腺手术、肿瘤等，当然一些胰腺肿瘤引起糖尿病的机制可能不仅仅是简单的β细胞数量的减少。5.内分泌疾病一些激素（生长激素、皮质醇、胰高血糖素、肾上腺素）可以对抗胰岛素作用，当其过量可以引起糖尿病，典型的表现为过量激素去除后血糖可以恢复。6.新生儿糖尿病出生后6个月内发病的糖尿病称新生儿糖尿病，是一种少见的特殊类型糖尿病，临床上分为短暂性新生儿糖尿病和永久性新生儿糖尿病。此病由一些特殊基因突变所致，其中30%～58%的新生儿糖尿病由Kir6.2基因突变引起，这一突变影响到胰岛素分泌的钾离子通道。其他新生儿糖尿病有关的基因如杂合子激活的KCNJ11变异和ABCC8变异等。短暂性新生儿糖尿病可以缓解并终止治疗，但患者成年后可能复发。永久性新生儿糖尿病需要终身治疗。用胰岛素治疗这类疾病效果欠佳，改用磺脲类等口服降糖药物进行治疗效果较好。（四）妊娠期糖尿病妊娠期糖尿病指在妊娠期发现的糖尿病患者，在妊娠前已有糖尿病的患者不属于妊娠糖尿病而属于糖尿病伴妊娠。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '5', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '发病机制', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素绝对不足大多见于1型糖尿病患者，相对不足大多见于2型糖尿病患者。绝对不足的证据有以下几点：①空腹血浆胰岛素浓度很低，一般＜4μU/ml（正常值为5～20μU/ml），甚至测不出；血及24小时尿中C肽均很低，常不能测出；②用葡萄糖或胰高血糖素刺激后血浆胰岛素及C肽仍低，呈扁平曲线；③对磺酰脲类治疗无效；④病理切片上示胰岛炎，早期有淋巴细胞等浸润；后期β细胞呈透明变性、纤维化，β细胞数仅及原来的10%。1型糖尿病患者每日胰岛素分泌量甚少，空腹基值及糖刺激后峰值均明显低于正常，提示绝对分泌不足（图14-4-1）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126086352020715.jpg\" title=\"1527126086352020715.jpg\" alt=\"P14-4-1_42476.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 463px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-1　胰岛素释放试验中正常人、非糖尿病肥胖者及2型糖尿病肥胖者与1型糖尿病患者血浆胰岛素浓度对比</p><p class=\"p_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①正常人空腹血浆胰岛素浓度为5～20μU/ml，口服100g葡萄糖后30～60分钟达最高峰，约8～10倍于基值，3小时渐恢复至原来水平；②肥胖者（非糖尿病患者）空腹血浆胰岛素浓度比正常人为高，口服100g葡萄糖后明显增高，约45分钟时达最高峰，胰岛素浓度为250μU/ml以上，3小时后未恢复正常；③1型糖尿病患者空腹血浆胰岛素浓度稍低于正常，口服100g葡萄糖后90～120分钟才出现高峰，但低于正常；④2型糖尿病肥胖者空腹血浆胰岛素高于正常或正常，口服100g葡萄糖后2小时才达高峰，较正常者明显增高，但较相应体重肥胖而非糖尿病患者为低；⑤上述数据说明糖尿病患者分泌胰岛素较正常相应体重者为低，且高峰延迟出现，提示胰岛素分泌相对不足，1型糖尿病患者（幼年型、消瘦者）分泌更少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相对性胰岛素分泌不足表现于空腹血浆胰岛素及葡萄糖刺激后胰岛素释放试验中的浓度均低于相应体重的非糖尿病患者。但肥胖的2型糖尿病患者血浆胰岛素浓度基值或刺激后高峰均比正常对照为高，仅比相应体重而非糖尿病患者低且高峰延迟出现。葡萄糖刺激后正常人胰岛素高峰见于口服糖后30～60分钟内，2型患者的高峰约延迟30～45分钟出现（图14-4-1）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的病因和发病机制甚为复杂，至今尚未明了。各种类型糖尿病的病因及机制相差甚大，以下分别简述1型和2型糖尿病的机制。</p><p>（一）1型糖尿病1.遗传因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">不少患者有阳性家族史，遗传因素不论在1型或2型均较肯定。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">据近代孪生儿研究，1型中单卵双胞胎发生一致率为30%～50%，其β细胞自身免疫反应一致性为2/3。1型患者第6对染色体短臂上人白细胞抗原（HLA）等位点上出现频率增减，提示遗传易感性倾向，且随人类染色体研究中已知种族而异。研究证实，DQβ57非天门冬氨酸和DQα52精氨酸可明显增强1型糖尿病的易感性，尤其在白种人中更为显著。2型患者无HLA特殊标志。</p><p>2.自身免疫</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者细胞和体液免疫的证据有：①患者可伴有多种其他免疫性疾病，如Graves病、桥本甲状腺炎、恶性贫血、原发性慢性肾上腺皮质功能减退症等；②可伴有脏器特异性抗体，包括甲状腺、胃壁细胞及抗肾上腺抗体等；③起病较急而于6个月内死亡者有胰岛炎，其中有T淋巴细胞、NK细胞和K细胞浸润；④白细胞移动抑制试验阳性；⑤胰岛细胞抗体（ICA）免疫荧光测定阳性，在1型病例发病1～2年内可高达85%（正常人阳性率仅0.5%～1.7%），后渐下降，后又发现胰岛细胞表面抗体（ICsA）、补体结合胰岛细胞抗体（CF ICA）、细胞毒性胰岛细胞抗体（cytotoxic-ICA）、64K和38K免疫沉淀抗体等，其中ICsA、CF ICA和免疫沉淀抗体选择性地作用于β细胞；⑥近年发现1型患者中针对胰岛细胞抗原的抗体，经鉴定是谷氨酸脱羧酶（GAD），在近期发病的1型患者中阳性率为69%，在发病3～42年的患者中仍有59%阳性率，远较病程＞3年以上的1型患者的ICA阳性率为高；⑦抑制性T淋巴细胞数及功能降低，K细胞数及活性增高。1型患者发病机制见图14-4-2。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126119190017367.jpg\" title=\"1527126119190017367.jpg\" alt=\"P14-4-2_42482.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 462px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-2　1型糖尿病发病机制</p><p>（二）2型糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型患者的发病机制与1型不同，并非因自身免疫β细胞破坏所致，主要在基因缺陷的基础上存在胰岛素抵抗和胰岛素分泌障碍两个环节。现在认为两者均与发病有关。</p><p>1.β细胞功能的损伤</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者胰岛功能衰竭比以前人们估计得早得多，空腹血糖受损（impaired fasting glucose，IFG）和葡萄糖耐量减退（IGT）者胰岛功能损伤已达50%左右。大部分2型糖尿病患者1相胰岛素分泌减退或消失。导致胰岛功能衰竭的因素包括：</p><p>（1）遗传因素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">家系发病调查发现2型糖尿病患者的38%的兄妹和1/3后代有糖尿病或IGT，单卵双生的发病一致率可能为70%～85%，另外种族患病率调查也进一步证实遗传在2型糖尿病中的作用。研究认为2型糖尿病是一种异质性、多基因遗传病。利用全基因组相关性分析（GWAS）方法已经发现30多个和2型糖尿病发病相关的SNP位点。这些SNP有关基因包括：TCF7L2、FT0、KCNJ11、等，上述基因SNP的表型多与胰岛的损伤有关。如转录因子7类似物2 （transcription factor 7-like 2，TCF7L2）的变异体rs7903146与2型糖尿病密切相关，华山医院研究组（华山组）证实rs7903146亦与中国内地2型糖尿病相关，认为可能与影响WNT基因的表达（包括GLP-1）有关。</p><p>（2）胰岛素抵抗：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括胰岛α、β细胞胰岛素抵抗（详见下文）。</p><p>（3）脂毒性：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在β细胞中脂肪酸氧化被抑制，长链脂酰辅酶A集聚，长链脂酰辅酶A可以通过开放β细胞钾通道减少胰岛素分泌，还可增加UCP-2表达减少胰岛素分泌。此外可能通过脂肪酸或甘油三酯诱导的神经酰胺合成或NO生长诱导β细胞凋亡。</p><p>（4）糖毒性：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在β细胞中，正常血糖者氧化的糖代谢产生的ROS可以被超氧化物歧化酶清除，而在高糖时ROS生产增加，不能完全被清除，导致细胞内元件受损。如过高的ROS影响胰腺十二指肠同源盒1（PDX-1）表达，PDX-1为胰岛素启动子活性的一个关键调节剂，其受损导致胰岛素基因转录减少。此外，ROS增加NF-κB活性，诱导β细胞凋亡。</p><p>（5）胰沉淀素过度沉积，</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">β细胞功能进行性下降；内源性促胰岛素分泌功能失调。</p><p>（6）GLP-1缺乏：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在2型糖尿病患者中餐后血浆GLP-1下降，且对GIP的胰岛素刺激作用抵抗。</p><p>（7）增龄：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">随着增龄因ROS的增加而诱导FoxO基因的表达。FoxO家族是转录调节因子在动物细胞的分化、增殖、免疫、衰老等调节功能方面起重要调节作用。FoxO蛋白能和β-cat竞争结合TCF，因而抑制TCF靶基因的表达，包括GLP-1基因的表达。因而此为老年人易患糖尿病的原因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">综上所述，防治糖尿病必须包括对IGT和IFG的干预治疗，并且要考虑去除导致胰岛功能损伤及糖尿病的因素。</p><p>2.胰岛素抵抗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型患者可以通过以下三个水平表现其胰岛素抵抗性。</p><p>（1）胰岛素受体前水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素基因突变而形成结构异常和生物活性降低的胰岛素导致糖尿病：B链上第25个氨基酸（苯丙氨酸）为亮氨酸所替代，第24个氨基酸（苯丙氨酸）为丝氨酸所替代；A链上第3个氨基酸（缬氨酸）为亮氨酸所替代；连接肽上第65个氨基酸（精氨酸）为组氨酸所替代，也有由于连接肽酶可能有缺陷不能使胰岛素原（proinsulin）分解去C肽而形成胰岛素，以致血循环中胰岛素原过多而胰岛素不足等，均可导致糖尿病。但此种异常胰岛素引起的糖尿病在病因中仅占极少数。近年认为50%胰岛素抵抗的作用是因胰岛素转运减慢所致。</p><p>（2）胰岛素受体水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素受体是一跨膜的大分子糖蛋白，由两个α亚基和两个β亚基组成。胰岛素与细胞α亚基特异性结合后发生构型改变，导致细胞内β亚基的酪氨酸激酶活化，这是胰岛素发挥其作用的细胞内修饰的第一步。胰岛素受体基因突变可通过多种方式影响受体的功能：受体生物合成率降低；受体插入细胞膜过程异常；受体与胰岛素的亲和力下降；酪氨酸激酶活性降低；受体降解加速。现已有30种以上胰岛素受体基因点状突变或片段缺失与严重的胰岛素抵抗有关。临床上也已发现多个综合征与胰岛素受体基因突变有关，如妖精综合征、脂肪萎缩性糖尿病等。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126165367031554.jpg\" title=\"1527126165367031554.jpg\" alt=\"P14-4-3_42490.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 656px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-3　2型糖尿病发病机制</p><p>（3）受体后水平：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素与其受体的α亚基结合，β亚基酪氨酸激酶活化后，进而使胰岛素敏感组织细胞内的胰岛素受体底物（insulin receptor substrate，IRS）磷酸化，从而诱发一系列生化改变。胰岛素促进各组织的葡萄糖转运及酵解、肝和肌肉的糖原合成、糖异生和糖原分解的抑制。过程中胰岛素需依赖葡萄糖运载体4（GLUT4）及许多关键酶如葡萄糖激酶、糖原合成酶、磷酸果糖激酶、丙酮酸激酶和丙酮酸脱氢酶等的活性。GLUT4转运葡萄糖依赖于胰岛素，后者激活GLUT4并促进其由细胞内微粒体向细胞膜转位，从而促进葡萄糖转入细胞内。已发现肥胖症和2型糖尿病患者的脂肪细胞内GLUT4基因表达降低，肿瘤坏死因子（TNF-α）表达增多，致使脂肪分解增加，FFA浓度增高，通过脂肪酸-葡萄糖循环，相互影响糖和脂肪的代谢，导致胰岛素作用减弱和胰岛素抵抗。尤为甚者，增高的FFA和甘油三酯尚可异位沉积于β细胞，导致功能减退，沉积于肝和平滑肌导致两者对胰岛素不敏感。脂代谢紊乱在2型糖尿病发病机制中起重要作用，因而糖尿病也有糖脂病（diabetes mellitus）之称。2型糖尿病发病机制见图14-4-3。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '胰岛素绝对不足大多见于1型糖尿病患者，相对不足大多见于2型糖尿病患者。绝对不足的证据有以下几点：①空腹血浆胰岛素浓度很低，一般＜4μU/ml（正常值为5～20μU/ml），甚至测不出；血及24小时尿中C肽均很低，常不能测出；②用葡萄糖或胰高血糖素刺激后血浆胰岛素及C肽仍低，呈扁平曲线；③对磺酰脲类治疗无效；④病理切片上示胰岛炎，早期有淋巴细胞等浸润；后期β细胞呈透明变性、纤维化，β细胞数仅及原来的10%。1型糖尿病患者每日胰岛素分泌量甚少，空腹基值及糖刺激后峰值均明显低于正常，提示绝对分泌不足（图14-4-1）。图14-4-1　胰岛素释放试验中正常人、非糖尿病肥胖者及2型糖尿病肥胖者与1型糖尿病患者血浆胰岛素浓度对比①正常人空腹血浆胰岛素浓度为5～20μU/ml，口服100g葡萄糖后30～60分钟达最高峰，约8～10倍于基值，3小时渐恢复至原来水平；②肥胖者（非糖尿病患者）空腹血浆胰岛素浓度比正常人为高，口服100g葡萄糖后明显增高，约45分钟时达最高峰，胰岛素浓度为250μU/ml以上，3小时后未恢复正常；③1型糖尿病患者空腹血浆胰岛素浓度稍低于正常，口服100g葡萄糖后90～120分钟才出现高峰，但低于正常；④2型糖尿病肥胖者空腹血浆胰岛素高于正常或正常，口服100g葡萄糖后2小时才达高峰，较正常者明显增高，但较相应体重肥胖而非糖尿病患者为低；⑤上述数据说明糖尿病患者分泌胰岛素较正常相应体重者为低，且高峰延迟出现，提示胰岛素分泌相对不足，1型糖尿病患者（幼年型、消瘦者）分泌更少相对性胰岛素分泌不足表现于空腹血浆胰岛素及葡萄糖刺激后胰岛素释放试验中的浓度均低于相应体重的非糖尿病患者。但肥胖的2型糖尿病患者血浆胰岛素浓度基值或刺激后高峰均比正常对照为高，仅比相应体重而非糖尿病患者低且高峰延迟出现。葡萄糖刺激后正常人胰岛素高峰见于口服糖后30～60分钟内，2型患者的高峰约延迟30～45分钟出现（图14-4-1）。糖尿病的病因和发病机制甚为复杂，至今尚未明了。各种类型糖尿病的病因及机制相差甚大，以下分别简述1型和2型糖尿病的机制。（一）1型糖尿病1.遗传因素不少患者有阳性家族史，遗传因素不论在1型或2型均较肯定。据近代孪生儿研究，1型中单卵双胞胎发生一致率为30%～50%，其β细胞自身免疫反应一致性为2/3。1型患者第6对染色体短臂上人白细胞抗原（HLA）等位点上出现频率增减，提示遗传易感性倾向，且随人类染色体研究中已知种族而异。研究证实，DQβ57非天门冬氨酸和DQα52精氨酸可明显增强1型糖尿病的易感性，尤其在白种人中更为显著。2型患者无HLA特殊标志。2.自身免疫1型糖尿病患者细胞和体液免疫的证据有：①患者可伴有多种其他免疫性疾病，如Graves病、桥本甲状腺炎、恶性贫血、原发性慢性肾上腺皮质功能减退症等；②可伴有脏器特异性抗体，包括甲状腺、胃壁细胞及抗肾上腺抗体等；③起病较急而于6个月内死亡者有胰岛炎，其中有T淋巴细胞、NK细胞和K细胞浸润；④白细胞移动抑制试验阳性；⑤胰岛细胞抗体（ICA）免疫荧光测定阳性，在1型病例发病1～2年内可高达85%（正常人阳性率仅0.5%～1.7%），后渐下降，后又发现胰岛细胞表面抗体（ICsA）、补体结合胰岛细胞抗体（CF ICA）、细胞毒性胰岛细胞抗体（cytotoxic-ICA）、64K和38K免疫沉淀抗体等，其中ICsA、CF ICA和免疫沉淀抗体选择性地作用于β细胞；⑥近年发现1型患者中针对胰岛细胞抗原的抗体，经鉴定是谷氨酸脱羧酶（GAD），在近期发病的1型患者中阳性率为69%，在发病3～42年的患者中仍有59%阳性率，远较病程＞3年以上的1型患者的ICA阳性率为高；⑦抑制性T淋巴细胞数及功能降低，K细胞数及活性增高。1型患者发病机制见图14-4-2。图14-4-2　1型糖尿病发病机制（二）2型糖尿病2型患者的发病机制与1型不同，并非因自身免疫β细胞破坏所致，主要在基因缺陷的基础上存在胰岛素抵抗和胰岛素分泌障碍两个环节。现在认为两者均与发病有关。1.β细胞功能的损伤糖尿病患者胰岛功能衰竭比以前人们估计得早得多，空腹血糖受损（impaired fasting glucose，IFG）和葡萄糖耐量减退（IGT）者胰岛功能损伤已达50%左右。大部分2型糖尿病患者1相胰岛素分泌减退或消失。导致胰岛功能衰竭的因素包括：（1）遗传因素：家系发病调查发现2型糖尿病患者的38%的兄妹和1/3后代有糖尿病或IGT，单卵双生的发病一致率可能为70%～85%，另外种族患病率调查也进一步证实遗传在2型糖尿病中的作用。研究认为2型糖尿病是一种异质性、多基因遗传病。利用全基因组相关性分析（GWAS）方法已经发现30多个和2型糖尿病发病相关的SNP位点。这些SNP有关基因包括：TCF7L2、FT0、KCNJ11、等，上述基因SNP的表型多与胰岛的损伤有关。如转录因子7类似物2 （transcription factor 7-like 2，TCF7L2）的变异体rs7903146与2型糖尿病密切相关，华山医院研究组（华山组）证实rs7903146亦与中国内地2型糖尿病相关，认为可能与影响WNT基因的表达（包括GLP-1）有关。（2）胰岛素抵抗：包括胰岛α、β细胞胰岛素抵抗（详见下文）。（3）脂毒性：在β细胞中脂肪酸氧化被抑制，长链脂酰辅酶A集聚，长链脂酰辅酶A可以通过开放β细胞钾通道减少胰岛素分泌，还可增加UCP-2表达减少胰岛素分泌。此外可能通过脂肪酸或甘油三酯诱导的神经酰胺合成或NO生长诱导β细胞凋亡。（4）糖毒性：在β细胞中，正常血糖者氧化的糖代谢产生的ROS可以被超氧化物歧化酶清除，而在高糖时ROS生产增加，不能完全被清除，导致细胞内元件受损。如过高的ROS影响胰腺十二指肠同源盒1（PDX-1）表达，PDX-1为胰岛素启动子活性的一个关键调节剂，其受损导致胰岛素基因转录减少。此外，ROS增加NF-κB活性，诱导β细胞凋亡。（5）胰沉淀素过度沉积，β细胞功能进行性下降；内源性促胰岛素分泌功能失调。（6）GLP-1缺乏：在2型糖尿病患者中餐后血浆GLP-1下降，且对GIP的胰岛素刺激作用抵抗。（7）增龄：随着增龄因ROS的增加而诱导FoxO基因的表达。FoxO家族是转录调节因子在动物细胞的分化、增殖、免疫、衰老等调节功能方面起重要调节作用。FoxO蛋白能和β-cat竞争结合TCF，因而抑制TCF靶基因的表达，包括GLP-1基因的表达。因而此为老年人易患糖尿病的原因之一。综上所述，防治糖尿病必须包括对IGT和IFG的干预治疗，并且要考虑去除导致胰岛功能损伤及糖尿病的因素。2.胰岛素抵抗2型患者可以通过以下三个水平表现其胰岛素抵抗性。（1）胰岛素受体前水平：胰岛素基因突变而形成结构异常和生物活性降低的胰岛素导致糖尿病：B链上第25个氨基酸（苯丙氨酸）为亮氨酸所替代，第24个氨基酸（苯丙氨酸）为丝氨酸所替代；A链上第3个氨基酸（缬氨酸）为亮氨酸所替代；连接肽上第65个氨基酸（精氨酸）为组氨酸所替代，也有由于连接肽酶可能有缺陷不能使胰岛素原（proinsulin）分解去C肽而形成胰岛素，以致血循环中胰岛素原过多而胰岛素不足等，均可导致糖尿病。但此种异常胰岛素引起的糖尿病在病因中仅占极少数。近年认为50%胰岛素抵抗的作用是因胰岛素转运减慢所致。（2）胰岛素受体水平：胰岛素受体是一跨膜的大分子糖蛋白，由两个α亚基和两个β亚基组成。胰岛素与细胞α亚基特异性结合后发生构型改变，导致细胞内β亚基的酪氨酸激酶活化，这是胰岛素发挥其作用的细胞内修饰的第一步。胰岛素受体基因突变可通过多种方式影响受体的功能：受体生物合成率降低；受体插入细胞膜过程异常；受体与胰岛素的亲和力下降；酪氨酸激酶活性降低；受体降解加速。现已有30种以上胰岛素受体基因点状突变或片段缺失与严重的胰岛素抵抗有关。临床上也已发现多个综合征与胰岛素受体基因突变有关，如妖精综合征、脂肪萎缩性糖尿病等。图14-4-3　2型糖尿病发病机制（3）受体后水平：胰岛素与其受体的α亚基结合，β亚基酪氨酸激酶活化后，进而使胰岛素敏感组织细胞内的胰岛素受体底物（insulin receptor substrate，IRS）磷酸化，从而诱发一系列生化改变。胰岛素促进各组织的葡萄糖转运及酵解、肝和肌肉的糖原合成、糖异生和糖原分解的抑制。过程中胰岛素需依赖葡萄糖运载体4（GLUT4）及许多关键酶如葡萄糖激酶、糖原合成酶、磷酸果糖激酶、丙酮酸激酶和丙酮酸脱氢酶等的活性。GLUT4转运葡萄糖依赖于胰岛素，后者激活GLUT4并促进其由细胞内微粒体向细胞膜转位，从而促进葡萄糖转入细胞内。已发现肥胖症和2型糖尿病患者的脂肪细胞内GLUT4基因表达降低，肿瘤坏死因子（TNF-α）表达增多，致使脂肪分解增加，FFA浓度增高，通过脂肪酸-葡萄糖循环，相互影响糖和脂肪的代谢，导致胰岛素作用减弱和胰岛素抵抗。尤为甚者，增高的FFA和甘油三酯尚可异位沉积于β细胞，导致功能减退，沉积于肝和平滑肌导致两者对胰岛素不敏感。脂代谢紊乱在2型糖尿病发病机制中起重要作用，因而糖尿病也有糖脂病（diabetes mellitus）之称。2型糖尿病发病机制见图14-4-3。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '6', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '病理生理', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病是由于遗传易感基因的基础和某些环境因素的作用下，诱发针对β细胞的免疫性炎症，β细胞受破坏而致功能严重损害或丧失所引起的一类糖尿病。1型糖尿病患者胰岛β细胞破坏高达90%以上，胰岛素绝对缺乏，因而1型糖尿病病理生理过程及糖蛋白、脂肪代谢紊乱与胰岛素的缺乏有关（图14-4-4）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病是一种慢性病，病程漫长，少则数年，长则数十年；从正常血糖到间歇餐后高血糖，以致发展到持续性空腹高血糖；从无糖尿到有糖尿；从无症状到有症状，从无并发症到有并发症是一个长期的从病理生化和病理生理发展到病理解剖严重损坏阶段的病变过程，反映着胰岛β细胞储备功能逐渐低下与胰岛素分泌障碍的演变过程。</p><p>（一）糖代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">葡萄糖利用减少和肝糖输出增多是高血糖的主要原因。当胰岛素活性不足时，则发生下列病理生理变化：</p><p>1.糖进入细胞减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当葡萄糖进入脂肪及肌肉细胞膜时需有胰岛素促进其转运，当胰岛素不足时葡萄糖进入减少。在肝细胞中，胰岛素能诱导合成葡萄糖激酶（为己糖激酶的同工酶），在糖尿病中此酶活性下降，于是磷酸化减弱，引起葡萄糖利用减少。</p><p>2.糖原合成减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素有加强糖原合成酶催化作用，当缺少时糖原合成减少，血糖增高。</p><p>3.糖酵解减少</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素可促进磷酸果糖激酶的合成，又可诱导肝中L-型丙酮酸激酶的合成。当胰岛素不足时，这两个酶合成减少，于是糖酵解减弱。</p><p>4.磷酸戊糖通路减弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在此戊糖通路中6-磷酸葡萄糖脱氢酶及6-磷酸葡萄糖酸脱氢酶促进相应底物脱氢而生成还原型辅酶Ⅱ（NADPH），此酶为主要供氢体，对脂肪酸、胆固醇及类固醇激素的生物合成起重要作用，当胰岛素缺少时，NADPH生成减少，因而不仅磷酸戊糖通路减弱，而且影响脂肪酸与胆固醇等的合成。但当2型糖尿病早期，尤其轻症患者胰岛素分泌相对增多，则脂肪合成可增多。故不少患者较肥胖，伴高甘油三酯血症与高胆固醇血症，属高脂蛋白血症中第Ⅳ及Ⅱ型。</p><p>5.三羧酸循环减弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">三羧酸循环是乙酰辅酶A氧化生成CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>和H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O的通路。乙酰辅酶A是糖、脂肪及蛋白质分解代谢的中间产物。当葡萄糖酵解形成丙酮酸后，在线粒体膜上经丙酮酸脱氢酶系催化而脱氢氧化并脱羧后成为乙酰辅酶A。当乙酰辅酶A进入三羧酸循环进行氧化时，首先必须与草酰乙酸在柠檬酸合成酶的催化下形成柠檬酸。胰岛素能直接加强丙酮酸脱氢酶系活性，还能促进柠檬酸合成酶的作用，使三羧酸循环进行有氧氧化。当胰岛素不足时，则三羧酸循环氧化减弱。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">上述5个环节为在肝、肌肉及脂肪等组织内葡萄糖利用减少的病理生理。此外由于胰岛素缺乏对肝及肌糖原分解抑制减弱，对糖原异生及肝糖生成的抑制过程减弱，以致引起肝糖输出增多，其病理生理机制如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.糖原分解增多　胰岛素可抑制肝和脂肪组织中cAMP，与胰高血糖素和邻苯二酚胺有拮抗作用。当胰岛素分泌减少时，糖原分解增多，肝糖输出增多，而使血糖上升。在正常人体内高血糖对胰高血糖素起抑制作用，但在糖尿病中血糖虽升高而胰高血糖素分泌不受抑制。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.糖异生作用增强 由非糖物质转变为葡萄糖和糖原的过程，称为糖异生作用。主要由成糖氨基酸、丙酮酸、乳酸、甘油等经糖酵解的逆向形成，在生理条件下主要在肝内进行。当饥饿和酸中毒时，也可在肾内进行。在糖酵解过程中，大多数反应是可逆的，但是由己糖激酶（葡萄糖激酶）、磷酸果糖激酶和丙酮酸激酶所催化的三个反应，因释放热能较多，难于逆向进行，故丙酮酸必须首先经羧化为草酰乙酸，再经磷酸烯醇式丙酮酸羧激酶催化生成磷酸烯醇式丙酮酸，并再经果糖1，6-二磷酸酶及葡萄糖6-磷酸酶的作用而完成糖异生过程。在此过程中受胰高血糖素、邻苯二酚胺和肾上腺糖皮质激素的促进，而胰岛素则拮抗之。当胰岛素缺少而胰高血糖素等增多时，糖异生作用加强而肝糖输出增多。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于丙酮酸羧化酶存在于线粒体中，故丙酮酸必须进入线粒体才能羧化生成草酰乙酸，但草酰乙酸不能透过线粒体内膜逸出，必须经谷草转氨酶（或苹果酸脱氢酶）形成门冬氨酸（或苹果酸）后才能逸出到胞浆，再经胞浆内谷草转氨酶（或苹果酸脱氢酶）转化为草酰乙酸后由磷酸烯醇式丙酮酸羧激酶催化为磷酸烯醇式丙酮酸。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.肝糖生成增多 在肝中与肌肉中不同，有磷酸酶可促进6-磷酸葡萄糖分解为游离葡萄糖，从肝中输出经肝静脉入血循环。当肝糖原分解或糖异生加强而6-磷酸-葡萄糖增多，肝糖输出增多而使血糖升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">总结上述因胰岛素活性不足所致糖利用减少而肝糖生成增多，其病理生化过程可归纳于图14-4-4。近年的研究证实另外一些组织功能的缺陷或代谢紊乱亦参与2型糖尿病糖代谢紊乱的病理生理过程，如脂代谢紊乱；GLP-1下降及GIP水平升高，导致胰岛素分泌减少及肝糖输出增加；基础胰高血糖素升高及基础的肝糖输出增加；肾对葡萄糖的处理失调，T2DM人类肾近曲小管细胞钠依赖性葡萄糖转运体（sodium dependent glucose transporter 2，SGLT2）mRNA及蛋白升高，增加肾对葡萄糖重吸收能力；神经递质紊乱，葡萄糖摄取后室旁核和腹正中核两个区域被持续抑制，肥胖者达到最大抑制反应的时间明显延长。上述各种因素影响的主要结果为高血糖和糖尿。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126219834052106.jpg\" title=\"1527126219834052106.jpg\" alt=\"P14-4-4_42506.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 881px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-4　糖尿病病理生理过程及糖、蛋白质、脂肪代谢紊乱</p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126287741064341.jpg\" title=\"1527126287741064341.jpg\" alt=\"PCT_1006_308_1073_938_1489_69949.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 631px; table-layout: fixed;\"/></p><p>（二）脂肪代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病严重者未经适当控制时常有下列脂代谢紊乱：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.由于磷酸戊糖通路明显减弱，还原型辅酶Ⅱ（NADPH）减少，脂肪合成常减少，患者多消瘦；但早期2型轻症患者则由于多食而肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.由于肝糖原合成及贮藏减少，在腺垂体、脑垂体及肾上腺等分泌激素的调节下，脂肪入肝沉积，肝细胞变性，肝大为脂肪肝。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.在重症病例中，脂肪大量动员分解为α甘油磷酸及游离脂肪酸，在肉毒碱脂酰转换酶催化下经线粒体膜而入线粒体进行氧化，生成大量乙酰辅酶A；又因糖酵解失常草酰乙酸减少，乙酰辅酶A未能充分氧化而转化为大量酮体。当酮体生成过多、过速，氧化利用减慢（由于胰岛素活性高度不足）时，则积聚而成为酮血症和酮尿。临床上出现酮症、酮症酸中毒，严重时发生糖尿病性昏迷，详见后文。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在严重病例还原型辅酶Ⅱ供应缺少时，胆固醇合成减少，但在轻症早期2型患者中NADPH供应尚充沛时，胆固醇合成旺盛，形成高胆固醇血症。且常伴有高甘油三酯血症，游离脂肪酸、LDL、VLDL增高，形成高脂血症和高脂蛋白血症。尤以第Ⅳ、Ⅱb及Ⅲ、Ⅴ型为多见。HDL常降低，ApoA1、ApoA2亦降低，ApoB升高。升高的FFA损伤葡萄糖代谢是通过降低胰岛素对肌肉作用，同时升高基础肝糖原异生，胰岛素抑制肝糖原产生作用下降。细胞质的长链脂肪酰基辅酶A（LCFA-CoA）是FFA的代谢产物，在肝及肌肉可以损伤胰岛素作用。吡格列酮改善胰岛素敏感性。凡此脂代谢紊乱为糖尿病患者动脉粥样硬化发病机制中重要的物质基础。</p><p>（三）蛋白质代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者蛋白质代谢常紊乱，尤其是未妥善控制，甚或酮症时，肌肉及肝中蛋白质合成减少而分解增多，呈氮质负平衡。胰岛素不足时糖异生旺盛，血浆中成糖氨基酸包括丙氨酸、甘氨酸、苏氨酸、丝氨酸及谷氨酸下降，被肝摄取后转化为糖，使血糖进一步升高。同时成酮氨基酸包括亮氨酸、异亮氨酸、缬氨酸及α氨基丁酸成倍上升，尤其是前两者在肝中脱氨生酮，使血酮升高形成酮血症，严重时发展为酮症酸中毒。此外，血中氨基酸、非蛋白氮浓度升高，尿中尿素氮及有机酸也增高，影响水和酸碱平衡，使失水及酸中毒进一步恶化。由于蛋白质呈负平衡，患者消瘦、乏力、抵抗力差、易感染，创口不易愈合，小儿生长发育受阻。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿病控制不良时持久性高血糖症可使血浆和组织蛋白发生过度非酶糖化反应，蛋白质的构型和功能因而发生异常改变。如糖化血红蛋白（HbA1c）增高时引起组织缺氧，血浆LDL、纤维蛋白原和血小板以及组织胶原蛋白糖化增高可导致血黏度增加，血流淤滞，抗凝机制异常，自由基产量增加等。凡此均与糖尿病大、小血管等慢性并发症的发生有密切关系。</p><p>（四）电解质代谢、水代谢、酸碱平衡和维生素代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常引起各主要脏器功能失常，尤其在酮症酸中毒时更严重，详见后文。</p><p>（五）维生素代谢紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尤其是维生素B族缺乏。糖尿病中病理生理影响非常广泛，几乎与所有体内主要物质代谢均有关系，尤其以糖、脂肪和蛋白质的影响更大，重点表现在肝、肌肉及脂肪组织中。</p><p>（六）自身性炎症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究表明外周血炎症标志物（如CRP、IL-6）是2型糖尿病的独立危险因素。巨噬细胞参与了动脉粥样硬化慢性炎症反应的全过程。巨噬细胞在肝、脂肪、胰岛等代谢器官的募集和激活导致胰岛素抵抗和2型糖尿病的发生。抗炎作用的药物（如阿司匹林、IL-1受体拮抗剂等）可以降低血糖和外周血炎症标志物，减低2型糖尿病的发病风险。综上所述，代谢性炎症参与2型糖尿病及其慢性并发症的病理生理，抗炎治疗可改善糖尿病糖脂代谢紊乱，因此认为2型糖尿病可考虑为慢性低度自身炎症性疾病（autoinflammatory disease）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '1型糖尿病是由于遗传易感基因的基础和某些环境因素的作用下，诱发针对β细胞的免疫性炎症，β细胞受破坏而致功能严重损害或丧失所引起的一类糖尿病。1型糖尿病患者胰岛β细胞破坏高达90%以上，胰岛素绝对缺乏，因而1型糖尿病病理生理过程及糖蛋白、脂肪代谢紊乱与胰岛素的缺乏有关（图14-4-4）。2型糖尿病是一种慢性病，病程漫长，少则数年，长则数十年；从正常血糖到间歇餐后高血糖，以致发展到持续性空腹高血糖；从无糖尿到有糖尿；从无症状到有症状，从无并发症到有并发症是一个长期的从病理生化和病理生理发展到病理解剖严重损坏阶段的病变过程，反映着胰岛β细胞储备功能逐渐低下与胰岛素分泌障碍的演变过程。（一）糖代谢紊乱葡萄糖利用减少和肝糖输出增多是高血糖的主要原因。当胰岛素活性不足时，则发生下列病理生理变化：1.糖进入细胞减少当葡萄糖进入脂肪及肌肉细胞膜时需有胰岛素促进其转运，当胰岛素不足时葡萄糖进入减少。在肝细胞中，胰岛素能诱导合成葡萄糖激酶（为己糖激酶的同工酶），在糖尿病中此酶活性下降，于是磷酸化减弱，引起葡萄糖利用减少。2.糖原合成减少胰岛素有加强糖原合成酶催化作用，当缺少时糖原合成减少，血糖增高。3.糖酵解减少胰岛素可促进磷酸果糖激酶的合成，又可诱导肝中L-型丙酮酸激酶的合成。当胰岛素不足时，这两个酶合成减少，于是糖酵解减弱。4.磷酸戊糖通路减弱在此戊糖通路中6-磷酸葡萄糖脱氢酶及6-磷酸葡萄糖酸脱氢酶促进相应底物脱氢而生成还原型辅酶Ⅱ（NADPH），此酶为主要供氢体，对脂肪酸、胆固醇及类固醇激素的生物合成起重要作用，当胰岛素缺少时，NADPH生成减少，因而不仅磷酸戊糖通路减弱，而且影响脂肪酸与胆固醇等的合成。但当2型糖尿病早期，尤其轻症患者胰岛素分泌相对增多，则脂肪合成可增多。故不少患者较肥胖，伴高甘油三酯血症与高胆固醇血症，属高脂蛋白血症中第Ⅳ及Ⅱ型。5.三羧酸循环减弱三羧酸循环是乙酰辅酶A氧化生成CO2和H2O的通路。乙酰辅酶A是糖、脂肪及蛋白质分解代谢的中间产物。当葡萄糖酵解形成丙酮酸后，在线粒体膜上经丙酮酸脱氢酶系催化而脱氢氧化并脱羧后成为乙酰辅酶A。当乙酰辅酶A进入三羧酸循环进行氧化时，首先必须与草酰乙酸在柠檬酸合成酶的催化下形成柠檬酸。胰岛素能直接加强丙酮酸脱氢酶系活性，还能促进柠檬酸合成酶的作用，使三羧酸循环进行有氧氧化。当胰岛素不足时，则三羧酸循环氧化减弱。上述5个环节为在肝、肌肉及脂肪等组织内葡萄糖利用减少的病理生理。此外由于胰岛素缺乏对肝及肌糖原分解抑制减弱，对糖原异生及肝糖生成的抑制过程减弱，以致引起肝糖输出增多，其病理生理机制如下：1.糖原分解增多　胰岛素可抑制肝和脂肪组织中cAMP，与胰高血糖素和邻苯二酚胺有拮抗作用。当胰岛素分泌减少时，糖原分解增多，肝糖输出增多，而使血糖上升。在正常人体内高血糖对胰高血糖素起抑制作用，但在糖尿病中血糖虽升高而胰高血糖素分泌不受抑制。2.糖异生作用增强 由非糖物质转变为葡萄糖和糖原的过程，称为糖异生作用。主要由成糖氨基酸、丙酮酸、乳酸、甘油等经糖酵解的逆向形成，在生理条件下主要在肝内进行。当饥饿和酸中毒时，也可在肾内进行。在糖酵解过程中，大多数反应是可逆的，但是由己糖激酶（葡萄糖激酶）、磷酸果糖激酶和丙酮酸激酶所催化的三个反应，因释放热能较多，难于逆向进行，故丙酮酸必须首先经羧化为草酰乙酸，再经磷酸烯醇式丙酮酸羧激酶催化生成磷酸烯醇式丙酮酸，并再经果糖1，6-二磷酸酶及葡萄糖6-磷酸酶的作用而完成糖异生过程。在此过程中受胰高血糖素、邻苯二酚胺和肾上腺糖皮质激素的促进，而胰岛素则拮抗之。当胰岛素缺少而胰高血糖素等增多时，糖异生作用加强而肝糖输出增多。由于丙酮酸羧化酶存在于线粒体中，故丙酮酸必须进入线粒体才能羧化生成草酰乙酸，但草酰乙酸不能透过线粒体内膜逸出，必须经谷草转氨酶（或苹果酸脱氢酶）形成门冬氨酸（或苹果酸）后才能逸出到胞浆，再经胞浆内谷草转氨酶（或苹果酸脱氢酶）转化为草酰乙酸后由磷酸烯醇式丙酮酸羧激酶催化为磷酸烯醇式丙酮酸。3.肝糖生成增多 在肝中与肌肉中不同，有磷酸酶可促进6-磷酸葡萄糖分解为游离葡萄糖，从肝中输出经肝静脉入血循环。当肝糖原分解或糖异生加强而6-磷酸-葡萄糖增多，肝糖输出增多而使血糖升高。总结上述因胰岛素活性不足所致糖利用减少而肝糖生成增多，其病理生化过程可归纳于图14-4-4。近年的研究证实另外一些组织功能的缺陷或代谢紊乱亦参与2型糖尿病糖代谢紊乱的病理生理过程，如脂代谢紊乱；GLP-1下降及GIP水平升高，导致胰岛素分泌减少及肝糖输出增加；基础胰高血糖素升高及基础的肝糖输出增加；肾对葡萄糖的处理失调，T2DM人类肾近曲小管细胞钠依赖性葡萄糖转运体（sodium dependent glucose transporter 2，SGLT2）mRNA及蛋白升高，增加肾对葡萄糖重吸收能力；神经递质紊乱，葡萄糖摄取后室旁核和腹正中核两个区域被持续抑制，肥胖者达到最大抑制反应的时间明显延长。上述各种因素影响的主要结果为高血糖和糖尿。图14-4-4　糖尿病病理生理过程及糖、蛋白质、脂肪代谢紊乱（二）脂肪代谢紊乱糖尿病严重者未经适当控制时常有下列脂代谢紊乱：1.由于磷酸戊糖通路明显减弱，还原型辅酶Ⅱ（NADPH）减少，脂肪合成常减少，患者多消瘦；但早期2型轻症患者则由于多食而肥胖。2.由于肝糖原合成及贮藏减少，在腺垂体、脑垂体及肾上腺等分泌激素的调节下，脂肪入肝沉积，肝细胞变性，肝大为脂肪肝。3.在重症病例中，脂肪大量动员分解为α甘油磷酸及游离脂肪酸，在肉毒碱脂酰转换酶催化下经线粒体膜而入线粒体进行氧化，生成大量乙酰辅酶A；又因糖酵解失常草酰乙酸减少，乙酰辅酶A未能充分氧化而转化为大量酮体。当酮体生成过多、过速，氧化利用减慢（由于胰岛素活性高度不足）时，则积聚而成为酮血症和酮尿。临床上出现酮症、酮症酸中毒，严重时发生糖尿病性昏迷，详见后文。在严重病例还原型辅酶Ⅱ供应缺少时，胆固醇合成减少，但在轻症早期2型患者中NADPH供应尚充沛时，胆固醇合成旺盛，形成高胆固醇血症。且常伴有高甘油三酯血症，游离脂肪酸、LDL、VLDL增高，形成高脂血症和高脂蛋白血症。尤以第Ⅳ、Ⅱb及Ⅲ、Ⅴ型为多见。HDL常降低，ApoA1、ApoA2亦降低，ApoB升高。升高的FFA损伤葡萄糖代谢是通过降低胰岛素对肌肉作用，同时升高基础肝糖原异生，胰岛素抑制肝糖原产生作用下降。细胞质的长链脂肪酰基辅酶A（LCFA-CoA）是FFA的代谢产物，在肝及肌肉可以损伤胰岛素作用。吡格列酮改善胰岛素敏感性。凡此脂代谢紊乱为糖尿病患者动脉粥样硬化发病机制中重要的物质基础。（三）蛋白质代谢紊乱糖尿病患者蛋白质代谢常紊乱，尤其是未妥善控制，甚或酮症时，肌肉及肝中蛋白质合成减少而分解增多，呈氮质负平衡。胰岛素不足时糖异生旺盛，血浆中成糖氨基酸包括丙氨酸、甘氨酸、苏氨酸、丝氨酸及谷氨酸下降，被肝摄取后转化为糖，使血糖进一步升高。同时成酮氨基酸包括亮氨酸、异亮氨酸、缬氨酸及α氨基丁酸成倍上升，尤其是前两者在肝中脱氨生酮，使血酮升高形成酮血症，严重时发展为酮症酸中毒。此外，血中氨基酸、非蛋白氮浓度升高，尿中尿素氮及有机酸也增高，影响水和酸碱平衡，使失水及酸中毒进一步恶化。由于蛋白质呈负平衡，患者消瘦、乏力、抵抗力差、易感染，创口不易愈合，小儿生长发育受阻。由于糖尿病控制不良时持久性高血糖症可使血浆和组织蛋白发生过度非酶糖化反应，蛋白质的构型和功能因而发生异常改变。如糖化血红蛋白（HbA1c）增高时引起组织缺氧，血浆LDL、纤维蛋白原和血小板以及组织胶原蛋白糖化增高可导致血黏度增加，血流淤滞，抗凝机制异常，自由基产量增加等。凡此均与糖尿病大、小血管等慢性并发症的发生有密切关系。（四）电解质代谢、水代谢、酸碱平衡和维生素代谢紊乱常引起各主要脏器功能失常，尤其在酮症酸中毒时更严重，详见后文。（五）维生素代谢紊乱尤其是维生素B族缺乏。糖尿病中病理生理影响非常广泛，几乎与所有体内主要物质代谢均有关系，尤其以糖、脂肪和蛋白质的影响更大，重点表现在肝、肌肉及脂肪组织中。（六）自身性炎症研究表明外周血炎症标志物（如CRP、IL-6）是2型糖尿病的独立危险因素。巨噬细胞参与了动脉粥样硬化慢性炎症反应的全过程。巨噬细胞在肝、脂肪、胰岛等代谢器官的募集和激活导致胰岛素抵抗和2型糖尿病的发生。抗炎作用的药物（如阿司匹林、IL-1受体拮抗剂等）可以降低血糖和外周血炎症标志物，减低2型糖尿病的发病风险。综上所述，代谢性炎症参与2型糖尿病及其慢性并发症的病理生理，抗炎治疗可改善糖尿病糖脂代谢紊乱，因此认为2型糖尿病可考虑为慢性低度自身炎症性疾病（autoinflammatory disease）。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '7', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '病理解剖', '<p>（一）胰岛病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在1型与2型中病理变化不同。1型中大多呈胰岛炎，胰岛数量和β细胞数大减，提示绝对性胰岛素缺乏。2型中尤其是肥胖者早期胰岛大于正常，β细胞多于正常；呈特殊染色，切片示β细胞颗粒减少。当糖尿病发生5年以上者，则胰岛数、大小及β细胞数均见减少，直至死亡后解剖见几种典型变化。据Warren等分析811例各种年龄糖尿病患者胰岛病理结果如下：正常33%，透明变性41%，纤维化23%，水肿变性4%及淋巴细胞浸润1%。胰岛透明变性者其组织化学呈透明物质染伊红色，分布于β细胞内，为一种糖蛋白。于电镜下其亚微结构性质与淀粉样沉淀物类似，可能即为胰淀素。此种病变较多见于40岁以上的2型糖尿病患者及得病10年以上者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">纤维化者不论1型还是2型糖尿病患者均可呈胰岛纤维化，尤以老年人为多见。在幼年型患者中提示为胰岛炎后果，终于胰岛完全纤维化，β细胞常＜10%。在2型病例中胰岛纤维化常伴胰腺泡纤维化与胰内血管硬化。</p><p>（二）血管病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前威胁糖尿病患者生命最严重的病理为心血管病变，约70%以上患者死于心血管性病变的各种并发症；血管病变非常广泛，不论大中小血管、动脉、毛细血管和静脉，均可累及，常并发许多脏器病变，特别是心血管、肾、眼底、神经、肌肉、皮肤等的微血管病变。</p><p>1.动脉</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">动脉粥样硬化见于半数以上患者，发病不受年龄限制，主要累及主动脉、冠状动脉、脑动脉等，常引起心、脑、肾严重并发症而致死。周围动脉尤其是下肢足背动脉等硬化可引起坏疽。</p><p>2.微血管</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括毛细血管、微动脉、微静脉，从光镜及电镜下发现糖尿病中微血管病变的特征为毛细血管基膜增厚：正常基膜厚约80～250nm，糖尿病患者基膜增厚可达500～800nm。基膜中有糖类沉积，其中主要为羟赖氨酸与葡萄糖基半乳糖结合物（一种糖蛋白）沉积，而赖氨酸相应按比例减少，提示赖氨酸被羟化而成羟赖氨酸，此种微血管病变常伴有微循环异常，为并发许多脏器病变的病理基础。分布非常广泛，尤以肾小球、眼底、神经、心肌、肌肉等的微血管为主，引起肾病变、眼底病变、神经病变及心肌等肌肉病变，成为决定患者预后的主要因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基膜增厚的发病机制有两种学说：</p><p>（1）代谢紊乱学说：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">基膜增厚是由于糖蛋白沉积，最明确者为肾小球基膜，也见于肾小球系膜中。肾小球内皮细胞、上皮细胞及系膜细胞都能合成此基膜中的物质，在伴有微量白蛋白尿的糖尿病患者中，肾小球系膜细胞及动脉肌中层（myomedial）细胞增殖，两者均能合成胶原蛋白Ⅳ，连接蛋白和硫酸类肝素蛋白多糖（HSPG）等细胞外基质（ECM），不仅在数量上较无微量白蛋白尿患者异常增多，且其质量也有改变。在肾小球硬化症中的肾小球基膜（GBM）内带负电荷的HSPG含量明显降低，在冠状动脉中也有类似改变。ECM或GBM中HSPG的降低导致GBM的负电荷降低，白蛋白易于自GBM漏出，动脉也易于发生硬化。因而微量白蛋白尿不仅是糖尿病肾病的，而且也是心血管病的危险因素。毛细血管基底膜增厚与高血糖症和生长素旺盛，促使糖化蛋白合成增强、分解减慢有密切关系。</p><p>（2）遗传学说：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">毛细血管基膜增厚可见于糖尿病前期，但此时代谢紊乱尚不明显，故认为由于遗传因素所致。基膜或ECM主要功能为：保持结构完整和抗增殖作用。基膜增厚时，交联度发生改变，加以负电荷降低，通透性增高，小分子蛋白漏出形成微量白蛋白尿，以致蛋白尿和晚期肾病变。并可发生眼底视网膜病变和动脉硬化症。</p><p>（三）肾脏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有糖尿病性肾小球硬化者占25%～44%，可分结节型、弥漫型及渗出型3种。尤以1型糖尿病中为多见，此外，肾盂肾炎及肾小动脉硬化亦常见，坏死性肾乳突炎罕见。足细胞是附着在肾小球基底膜外的高度分化的上皮细胞。2型糖尿病患者糖尿病肾病（diabetic nephropathy，DN）早期足细胞数目和密度已开始减少，并随病变加重而加重，足细胞病变不仅导致大量蛋白尿发生，而且与K-W结节形成、肾小球硬化和肾功能损伤密切相关。死于糖尿病昏迷者可发生急性肾衰竭伴肾小管坏死。详见后文。</p><p>（四）肝</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常肿大，有脂肪浸润、水肿变性及糖原减少，脂肪肝亦常见。</p><p>（五）心脏</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">除心壁内、外冠状动脉及其壁内分支呈广泛动脉粥样硬化伴心肌梗死等病变外，心肌病变亦已肯定，有尸检及多种动物模型等许多佐证。心肌细胞内肌丝明显减少，电镜下可见大量肌原纤维蛋白丧失，严重时心肌纤维出现灶性坏死。心肌细胞内有许多脂滴和糖原颗粒沉积。线粒体肿胀、嵴断裂、基质空化，心肌细胞膜破裂，并可见髓质小体、脂褐素颗粒等形成。</p><p>（六）神经系统</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">全身神经均可累及。以周围神经病变最为常见，呈鞘膜水肿、变性、断裂而脱落；轴突变性、纤维化、运动终板肿胀等。自主神经呈染色质溶解，胞浆空泡变性及核坏死，胆碱酯酶活力减少或缺乏，组织切片示自主神经呈念珠状或梭状断裂，空泡变性等。脊髓及其神经根呈萎缩及橡皮样变，髓鞘膜变薄，轴突变薄，重度胶质纤维化伴空泡变性，前角细胞萎缩而代之以脂肪组织。糖尿病昏迷死亡者脑水肿常见，神经节细胞多水肿变性。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '（一）胰岛病理在1型与2型中病理变化不同。1型中大多呈胰岛炎，胰岛数量和β细胞数大减，提示绝对性胰岛素缺乏。2型中尤其是肥胖者早期胰岛大于正常，β细胞多于正常；呈特殊染色，切片示β细胞颗粒减少。当糖尿病发生5年以上者，则胰岛数、大小及β细胞数均见减少，直至死亡后解剖见几种典型变化。据Warren等分析811例各种年龄糖尿病患者胰岛病理结果如下：正常33%，透明变性41%，纤维化23%，水肿变性4%及淋巴细胞浸润1%。胰岛透明变性者其组织化学呈透明物质染伊红色，分布于β细胞内，为一种糖蛋白。于电镜下其亚微结构性质与淀粉样沉淀物类似，可能即为胰淀素。此种病变较多见于40岁以上的2型糖尿病患者及得病10年以上者。纤维化者不论1型还是2型糖尿病患者均可呈胰岛纤维化，尤以老年人为多见。在幼年型患者中提示为胰岛炎后果，终于胰岛完全纤维化，β细胞常＜10%。在2型病例中胰岛纤维化常伴胰腺泡纤维化与胰内血管硬化。（二）血管病变目前威胁糖尿病患者生命最严重的病理为心血管病变，约70%以上患者死于心血管性病变的各种并发症；血管病变非常广泛，不论大中小血管、动脉、毛细血管和静脉，均可累及，常并发许多脏器病变，特别是心血管、肾、眼底、神经、肌肉、皮肤等的微血管病变。1.动脉动脉粥样硬化见于半数以上患者，发病不受年龄限制，主要累及主动脉、冠状动脉、脑动脉等，常引起心、脑、肾严重并发症而致死。周围动脉尤其是下肢足背动脉等硬化可引起坏疽。2.微血管包括毛细血管、微动脉、微静脉，从光镜及电镜下发现糖尿病中微血管病变的特征为毛细血管基膜增厚：正常基膜厚约80～250nm，糖尿病患者基膜增厚可达500～800nm。基膜中有糖类沉积，其中主要为羟赖氨酸与葡萄糖基半乳糖结合物（一种糖蛋白）沉积，而赖氨酸相应按比例减少，提示赖氨酸被羟化而成羟赖氨酸，此种微血管病变常伴有微循环异常，为并发许多脏器病变的病理基础。分布非常广泛，尤以肾小球、眼底、神经、心肌、肌肉等的微血管为主，引起肾病变、眼底病变、神经病变及心肌等肌肉病变，成为决定患者预后的主要因素。基膜增厚的发病机制有两种学说：（1）代谢紊乱学说：基膜增厚是由于糖蛋白沉积，最明确者为肾小球基膜，也见于肾小球系膜中。肾小球内皮细胞、上皮细胞及系膜细胞都能合成此基膜中的物质，在伴有微量白蛋白尿的糖尿病患者中，肾小球系膜细胞及动脉肌中层（myomedial）细胞增殖，两者均能合成胶原蛋白Ⅳ，连接蛋白和硫酸类肝素蛋白多糖（HSPG）等细胞外基质（ECM），不仅在数量上较无微量白蛋白尿患者异常增多，且其质量也有改变。在肾小球硬化症中的肾小球基膜（GBM）内带负电荷的HSPG含量明显降低，在冠状动脉中也有类似改变。ECM或GBM中HSPG的降低导致GBM的负电荷降低，白蛋白易于自GBM漏出，动脉也易于发生硬化。因而微量白蛋白尿不仅是糖尿病肾病的，而且也是心血管病的危险因素。毛细血管基底膜增厚与高血糖症和生长素旺盛，促使糖化蛋白合成增强、分解减慢有密切关系。（2）遗传学说：毛细血管基膜增厚可见于糖尿病前期，但此时代谢紊乱尚不明显，故认为由于遗传因素所致。基膜或ECM主要功能为：保持结构完整和抗增殖作用。基膜增厚时，交联度发生改变，加以负电荷降低，通透性增高，小分子蛋白漏出形成微量白蛋白尿，以致蛋白尿和晚期肾病变。并可发生眼底视网膜病变和动脉硬化症。（三）肾脏有糖尿病性肾小球硬化者占25%～44%，可分结节型、弥漫型及渗出型3种。尤以1型糖尿病中为多见，此外，肾盂肾炎及肾小动脉硬化亦常见，坏死性肾乳突炎罕见。足细胞是附着在肾小球基底膜外的高度分化的上皮细胞。2型糖尿病患者糖尿病肾病（diabetic nephropathy，DN）早期足细胞数目和密度已开始减少，并随病变加重而加重，足细胞病变不仅导致大量蛋白尿发生，而且与K-W结节形成、肾小球硬化和肾功能损伤密切相关。死于糖尿病昏迷者可发生急性肾衰竭伴肾小管坏死。详见后文。（四）肝常肿大，有脂肪浸润、水肿变性及糖原减少，脂肪肝亦常见。（五）心脏除心壁内、外冠状动脉及其壁内分支呈广泛动脉粥样硬化伴心肌梗死等病变外，心肌病变亦已肯定，有尸检及多种动物模型等许多佐证。心肌细胞内肌丝明显减少，电镜下可见大量肌原纤维蛋白丧失，严重时心肌纤维出现灶性坏死。心肌细胞内有许多脂滴和糖原颗粒沉积。线粒体肿胀、嵴断裂、基质空化，心肌细胞膜破裂，并可见髓质小体、脂褐素颗粒等形成。（六）神经系统全身神经均可累及。以周围神经病变最为常见，呈鞘膜水肿、变性、断裂而脱落；轴突变性、纤维化、运动终板肿胀等。自主神经呈染色质溶解，胞浆空泡变性及核坏死，胆碱酯酶活力减少或缺乏，组织切片示自主神经呈念珠状或梭状断裂，空泡变性等。脊髓及其神经根呈萎缩及橡皮样变，髓鞘膜变薄，轴突变薄，重度胶质纤维化伴空泡变性，前角细胞萎缩而代之以脂肪组织。糖尿病昏迷死亡者脑水肿常见，神经节细胞多水肿变性。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '8', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '临床表现', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是一慢性进行性疾患，除1型起病较急外，2型一般起病徐缓，难于估计时日。后者早期轻症常无症状，但重症及有并发症者则症状明显且较典型。病程漫长，无症状期因难于估计，至症状出现或临床上确诊后常历时数年至数十年不等。有时可始终无症状，直至脑血管或心脏等严重并发症在临终前不久才被发现有糖尿病基础。兹将2型糖尿病各期临床表现分述如下：</p><p>（一）无症状期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约90%是中年以上2型糖尿病患者，食欲良好，体态肥胖，精神体力一如常人，往往因体检或检查其他疾病或妊娠检查时偶然发现食后有少量糖尿。空腹血糖正常或稍高，但饭后2小时血糖高峰超过正常，糖耐量试验往往显示糖尿病。不少患者可先发现常见的兼有病或并发症，如高血压、动脉硬化、肥胖症及心血管病、高脂血症或高脂蛋白血症，或屡发化脓性皮肤感染及尿路感染等。1型患者有时因生长迟缓、体力虚弱、消瘦或有酮症等明显症状而易被发现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在2型糖尿病无症状期或仅处于IGT状态时，患者常常已有高胰岛素血症，而在1型糖尿病出现症状前往往已有ICA和GAD阳性。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状期之前实际上尚有一般试验包括糖耐量试验均阴性的阶段，但这些对象可能有糖尿病家族史、巨婴史或伴有代谢综合征，如胰岛素抵抗、高胰岛素血症、高血压、高LDL血症和肥胖等，均属于糖尿病的高危对象。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无症状期糖尿病经饮食和（或）运动等治疗，可使病情较易得到控制，防止和减少慢性并发症，有些患者不必终身用药，甚至逆转。</p><p>（二）症状期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此期患者常有轻重不等的症状，且常伴有某些并发症、伴随症或兼有病。有时本病症状非常轻微，但兼有病或并发症的症状可非常严重，且有时先于糖尿病症状出现，或以主要症状的形式出现而将糖尿病本身症状掩蔽。如老年患者常先有冠心病症候群（心绞痛、心肌梗死、心律不齐和心力衰竭等），或脑血管意外症候群，但糖尿病症候群非常轻微，故临床上常被忽视或漏诊。中年患者可先有尿路感染、肺结核、皮肤疖痈或某些外科情况如胆囊炎、胰腺炎等症状出现。幼年患者有时可以酮症酸中毒为首发症状。如空腹及餐后血糖均明显升高者，一般有下列典型症状：</p><p>1.多尿、烦渴、多饮</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于糖尿，尿渗透压升高而肾小管回吸收水减少，尿量常增多。患者尿意频频，多者一日夜可二十余次，夜间多次起床，影响睡眠。不仅每次尿多与尿频，一日尿总量常在2～3升以上，偶可达10余升。由于多尿失水，患者烦渴，喝水量及次数增多，可与血糖浓度及尿量和失糖量成正比；当胰岛素缺乏及酮症酸中毒时，钠、钾离子回吸收更困难，多尿加重；常使血浆浓缩，影响渗透压，可酿成高渗性昏迷等严重后果。</p><p>2.善饥多食</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于失糖，糖分未能充分利用，伴以高血糖刺激胰岛素分泌，食欲常亢进，易有饥饿感，主食有时达1～2斤，菜肴比正常人多一倍以上，尚不能满足。但有时患者食欲忽然降低，则应注意有否感染、发热、酸中毒，或已诱发酮症等并发症。多尿、多饮及多食临床上常称“三多症”。</p><p>3.疲乏、体重减轻、虚弱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于代谢失常，能量利用减少，负氮平衡，失水和电解质，酮症时更严重，患者感疲乏、虚弱无力。尤其是幼年（1型）及重症（2型）患者消瘦明显，体重下降可达数十斤，劳动力常减弱。久病幼儿生长发育受抑制，身材矮小、脸色萎黄、毛发少光泽，体力多虚弱。但中年以上2型轻症患者常因多食而肥胖。</p><p>4.皮肤瘙痒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于女性阴部，由于尿糖刺激局部所致。有时并发白色念珠菌等真菌性阴道炎，瘙痒更严重，常伴以白带等分泌。失水后皮肤干燥，亦可发生全身瘙痒，但较少见。</p><p>5.其他症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有四肢酸痛、麻木、腰痛、性欲减退、阳痿不育、月经失调、便秘、视力障碍等。有时有顽固性腹泻，每日大便2～3次至5～6次不等，呈稀糊状，一般属非炎症性而为功能性腹泻，可能与自主神经功能紊乱有关。有时有直立性低血压、大汗淋漓、大小便失禁等亦属严重神经系统表现，许多症状由于并发症与兼有病所致。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">早期轻症，大多无体征。久病者常可发现因失水、营养障碍、继发感染、心血管、神经、肾、眼部、肌肉、关节等并发症而出现各种体征。可肝大，尤多见于1型患者，适当治疗后可恢复。国内病例中呈皮肤黄瘤及胡萝卜素血症者罕见。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病虽各个年龄组均可发病，但多发生于儿童及青少年时期，“三多一少”症状往往比2型糖尿病明显。发病初期往往有较明显的体重下降，且起病迅速，常有酮症倾向，以致出现酮症酸中毒，临床表现为食欲减退、恶心、呕吐、头痛、烦躁、呼吸深快及尿量减少等症状，甚至出现昏迷。具有特征性的临床表现是呼气中有烂苹果味（丙酮气味）。据上述临床特点，尚可鉴别1型和2型糖尿病，若有困难时则需检测胰岛素和相关抗体。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '糖尿病是一慢性进行性疾患，除1型起病较急外，2型一般起病徐缓，难于估计时日。后者早期轻症常无症状，但重症及有并发症者则症状明显且较典型。病程漫长，无症状期因难于估计，至症状出现或临床上确诊后常历时数年至数十年不等。有时可始终无症状，直至脑血管或心脏等严重并发症在临终前不久才被发现有糖尿病基础。兹将2型糖尿病各期临床表现分述如下：（一）无症状期约90%是中年以上2型糖尿病患者，食欲良好，体态肥胖，精神体力一如常人，往往因体检或检查其他疾病或妊娠检查时偶然发现食后有少量糖尿。空腹血糖正常或稍高，但饭后2小时血糖高峰超过正常，糖耐量试验往往显示糖尿病。不少患者可先发现常见的兼有病或并发症，如高血压、动脉硬化、肥胖症及心血管病、高脂血症或高脂蛋白血症，或屡发化脓性皮肤感染及尿路感染等。1型患者有时因生长迟缓、体力虚弱、消瘦或有酮症等明显症状而易被发现。在2型糖尿病无症状期或仅处于IGT状态时，患者常常已有高胰岛素血症，而在1型糖尿病出现症状前往往已有ICA和GAD阳性。无症状期之前实际上尚有一般试验包括糖耐量试验均阴性的阶段，但这些对象可能有糖尿病家族史、巨婴史或伴有代谢综合征，如胰岛素抵抗、高胰岛素血症、高血压、高LDL血症和肥胖等，均属于糖尿病的高危对象。无症状期糖尿病经饮食和（或）运动等治疗，可使病情较易得到控制，防止和减少慢性并发症，有些患者不必终身用药，甚至逆转。（二）症状期此期患者常有轻重不等的症状，且常伴有某些并发症、伴随症或兼有病。有时本病症状非常轻微，但兼有病或并发症的症状可非常严重，且有时先于糖尿病症状出现，或以主要症状的形式出现而将糖尿病本身症状掩蔽。如老年患者常先有冠心病症候群（心绞痛、心肌梗死、心律不齐和心力衰竭等），或脑血管意外症候群，但糖尿病症候群非常轻微，故临床上常被忽视或漏诊。中年患者可先有尿路感染、肺结核、皮肤疖痈或某些外科情况如胆囊炎、胰腺炎等症状出现。幼年患者有时可以酮症酸中毒为首发症状。如空腹及餐后血糖均明显升高者，一般有下列典型症状：1.多尿、烦渴、多饮由于糖尿，尿渗透压升高而肾小管回吸收水减少，尿量常增多。患者尿意频频，多者一日夜可二十余次，夜间多次起床，影响睡眠。不仅每次尿多与尿频，一日尿总量常在2～3升以上，偶可达10余升。由于多尿失水，患者烦渴，喝水量及次数增多，可与血糖浓度及尿量和失糖量成正比；当胰岛素缺乏及酮症酸中毒时，钠、钾离子回吸收更困难，多尿加重；常使血浆浓缩，影响渗透压，可酿成高渗性昏迷等严重后果。2.善饥多食由于失糖，糖分未能充分利用，伴以高血糖刺激胰岛素分泌，食欲常亢进，易有饥饿感，主食有时达1～2斤，菜肴比正常人多一倍以上，尚不能满足。但有时患者食欲忽然降低，则应注意有否感染、发热、酸中毒，或已诱发酮症等并发症。多尿、多饮及多食临床上常称“三多症”。3.疲乏、体重减轻、虚弱由于代谢失常，能量利用减少，负氮平衡，失水和电解质，酮症时更严重，患者感疲乏、虚弱无力。尤其是幼年（1型）及重症（2型）患者消瘦明显，体重下降可达数十斤，劳动力常减弱。久病幼儿生长发育受抑制，身材矮小、脸色萎黄、毛发少光泽，体力多虚弱。但中年以上2型轻症患者常因多食而肥胖。4.皮肤瘙痒多见于女性阴部，由于尿糖刺激局部所致。有时并发白色念珠菌等真菌性阴道炎，瘙痒更严重，常伴以白带等分泌。失水后皮肤干燥，亦可发生全身瘙痒，但较少见。5.其他症状有四肢酸痛、麻木、腰痛、性欲减退、阳痿不育、月经失调、便秘、视力障碍等。有时有顽固性腹泻，每日大便2～3次至5～6次不等，呈稀糊状，一般属非炎症性而为功能性腹泻，可能与自主神经功能紊乱有关。有时有直立性低血压、大汗淋漓、大小便失禁等亦属严重神经系统表现，许多症状由于并发症与兼有病所致。早期轻症，大多无体征。久病者常可发现因失水、营养障碍、继发感染、心血管、神经、肾、眼部、肌肉、关节等并发症而出现各种体征。可肝大，尤多见于1型患者，适当治疗后可恢复。国内病例中呈皮肤黄瘤及胡萝卜素血症者罕见。1型糖尿病虽各个年龄组均可发病，但多发生于儿童及青少年时期，“三多一少”症状往往比2型糖尿病明显。发病初期往往有较明显的体重下降，且起病迅速，常有酮症倾向，以致出现酮症酸中毒，临床表现为食欲减退、恶心、呕吐、头痛、烦躁、呼吸深快及尿量减少等症状，甚至出现昏迷。具有特征性的临床表现是呼气中有烂苹果味（丙酮气味）。据上述临床特点，尚可鉴别1型和2型糖尿病，若有困难时则需检测胰岛素和相关抗体。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '9', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '实验室检查', '<p>（一）尿1.尿糖测定</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖阳性是诊断糖尿病的重要线索，但是尿糖阴性不能排除糖尿病，尤其是在2型患者。决定有无糖尿及尿糖量的因素有三个：①血糖浓度；②肾小球滤过率；③肾小管回吸收葡萄糖率（可能与SGLT2有关）。正常人肾糖阈为8.9～10.0mmol/L；如菊糖清除率为125ml/ min，肾小管能回吸收肾小球滤液中葡萄糖250～300mg/ min，故血糖正常时尿中无糖。但不少晚期患者由于肾小动脉硬化、肾小球硬化症等病变，肾血流量减少，肾小球滤过率减低而肾小管回吸收糖的功能相对尚好时，则血糖浓度虽高而无糖尿，临床上称为肾糖阈增高。反之如肾小管再吸收糖的功能降至120mg/min以下，则血糖浓度虽在5.6mmol/L左右仍可有糖尿，临床上称为肾糖阈降低，见于肾性糖尿，为本病重要鉴别诊断之一。</p><p>2.蛋白尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般无并发症患者阴性或偶有白蛋白尿，低于30mg/d或20μg/min，白蛋白尿排泄率在30～300mg/d时称微量白蛋白尿，表明患者已有早期糖尿病肾病；白蛋白尿排泄率＞300mg/d时，称临床或大量白蛋白尿，常规尿检可出现蛋白尿，此时病变已非早期，随病变发展尿蛋白量较多，可达0.5g%（相当于4+），每日丢失蛋白质可在3g以上（正常人＜30mg/d），常引起严重低蛋白血症和肾病综合征。高血压、肾小动脉硬化症、心力衰竭者亦常有少量蛋白尿，有时于酮症酸中毒、高渗昏迷伴循环衰竭者或休克失水严重影响肾循环时亦可出现蛋白尿。</p><p>3.酮尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于重症或饮食失调伴酮症酸中毒时，也可因感染、高热等进食很少（饥饿性酮症）。</p><p>4.管型尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">往往与大量蛋白尿同时发现，多见于弥漫型肾小球硬化症，大都属透明管型及颗粒管型。</p><p>5.镜下血尿及其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">偶见于伴高血压、肾小球硬化症、肾小动脉硬化症、肾盂肾炎、肾乳头炎伴坏死或心力衰竭等病例中。有大量白细胞者常提示有尿路感染或肾盂肾炎，往往比非糖尿病患者为多见。有肾乳头坏死者有时可排出肾乳头坏死组织，为诊断该病的有力佐证。</p><p>（二）血</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">无并发症者血常规大多正常，但有下列生化改变：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.血糖 本病2型中轻症病例空腹血糖可正常，餐后常超过11.1mmol/L，重症及1型病例则显著增高，常在11.1～22.0mmol/L范围内，有时可高达33.0mmol/L以上。华山医院1例2型患者高达66.0mmol/L；但此类患者常伴高渗昏迷及糖尿病酮症而失水严重，经治疗后可迅速下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.血脂 未经妥善控制者或未治患者常伴以高脂血症和高脂蛋白血症。典型的表现主要是甘油三酯（TG）升高、低密度脂蛋白（LDL）升高、高密度脂蛋白（HDL）降低。尤以2型肥胖患者为多，但有时消瘦的患者亦可发生。血浆可呈乳白色混浊液，其中脂肪成分均增高，特别是甘油三酯、胆固醇及游离脂肪酸。有时有乳白色奶油盖，其最上层为乳糜微粒。大都属高脂蛋白血症第Ⅴ型。甘油三酯可自正常浓度上升4～6倍，游离脂肪酸自正常浓度上升2倍余，总胆固醇、磷脂、低密度脂蛋白（LDL）均明显增高。尤其是有动脉硬化性心血管病及肾病的糖尿病患者，脂质上升更明显，而单纯性糖尿病患者则升高较少。游离脂肪酸上升更提示脂肪分解加速，反映糖尿病控制较差，与血糖升高有密切关系，较甘油三酯升高更敏感。高密度脂蛋白尤其是亚型2（HDL2Ch）降低，ApoA1、ApoA2亦降低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.血酮、电解质、酸碱度、CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>结合力与尿素氮等变化将在酮症酸中毒、高渗昏迷、乳酸性酸中毒和肾病变等有关节段中叙述。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.抗体检查 使用较多的抗体有：胰岛细胞抗体（ICA）、胰岛素抗体（IAA）、谷氨酸脱羧酶自身抗体（GADAb），其中以GADAb的价值最大，这些抗体对于鉴别糖尿病类型有很大帮助。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.HbA1c 测定对空腹血糖正常而血糖波动较大者可反映近2～3个月中血糖情况，对糖代谢控制状况和与糖尿病慢性并发症的相关性优于血糖测定结果。HbA1c正常值为3.2%～6.4%，糖尿病患者常高于正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.果糖胺和糖化血清白蛋白测定 可反映近2～3周中血糖情况，与HbA1c相平行，糖尿病患者不论1型、2型均增高，尤以1型为高。注意测定结果受白蛋白浓度的影响。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对部分患者需估计其胰岛素抵抗、β细胞功能或血糖控制情况时，尚可以做下列测定：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.空腹血浆胰岛素测定 华山医院放射免疫法测定空腹血浆胰岛素正常范围为5～20μU/ml，1型患者往往在5μU/ml以下，甚至不能测出。2型患者血浆胰岛素浓度一般正常，少数患者偏低，肥胖患者常高于正常，增高明显者呈高胰岛素血症，提示有胰岛素抵抗。后者为代谢综合征中的一个组成，可认为是冠心病的危险因素之一，近年来备受关注。胰岛素和胰岛素原有免疫交叉性，因此均能为一般放免测定法测出，而对心血管的不良影响，胰岛素原可能更甚于胰岛素。已有研究胰岛素原的测定应用于临床。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.胰岛素释放试验 于进行口服葡萄糖耐量试验时可同时测定血浆胰岛素浓度，以反映胰岛β细胞储备功能。1型患者除空腹水平很低外，糖刺激后胰岛素水平仍很低，呈低平曲线，尤其是计算同时的葡萄糖（G）与胰岛素（IRI）的比值，IRI/G，提示胰岛素分泌偏低（正常值为25μU/ ml）。2型患者空腹水平可正常或偏高，刺激后呈延迟释放。葡萄糖刺激后如胰岛素水平无明显上升或低平，提示β细胞功能低下。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.C肽测定 从胰岛β细胞释放的胰岛素经肝、肾后受胰岛素酶等灭能，周围血中每次循环将有80%被破坏，且其半衰期仅4.8分钟，故血浓度仅能代表其分泌总量的极小部分。C肽是从胰岛素原分裂而成的与胰岛素等分子肽类物，不受肝酶的灭能，仅受肾作用而排泄，且其半衰期为10～11分钟，故血中浓度可更好地反映胰岛β细胞储备功能。测定C肽时不受胰岛素抗体所干扰，与测定胰岛素无交叉免疫反应，也不受外来胰岛素注射的影响，故近年来仍用测定C肽血浓度或24小时尿中排泄量以反映β细胞分泌功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）血清C肽浓度测定：用放射免疫法测定空腹时正常人血清C肽为1.0ng/ml±0.23ng/ml，当口服葡萄糖后峰值见于60分钟时，浓度为3.1ng/ml。据Block等测定，正常人口服100g葡萄糖后血清C肽于60分钟后从1.3ng/ml±0.3ng/ml上升至4.4ng/ml±0.8ng/ml，2型糖尿病患者2小时后仅上升2.3ng/ml。另5例1型患者曾以胰岛素治疗5年以上者C肽水平很低，无论空腹时及刺激后均未能测出。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）24小时尿C肽测定：正常人24小时尿C肽为36μg±4μg，1型患者仅1.1μg±0.5μg，2型患者为24μg± 7μg，每日C肽的排出量约相当于胰岛素分泌量的5%，而胰岛素排出量仅占0.1%。但是临床应用较少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.按患者临床征象估计胰岛素敏感性 高血压或心肌梗死、2型糖尿病家族史各为2分，腰围/臀围（WHR）＞0.85、高血压（＞140/90mmHg）、高甘油三酯（＞1.9mmol/ L）、高尿酸血症（＞386.8mmol/L）和脂肪肝（γ-GT＞25IU/ L或B超密度异常）各判为1分。若总分≥3时疑为有胰岛素抵抗，可做OGTT，如证实为IGT或DM即可考虑胰岛素抵抗。如血糖正常可测定血胰岛素水平，如≥15μU/ ml则也可认为胰岛素抵抗。如总分＜3时胰岛素抵抗的可能性不大。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.稳态模型（Homa model）的胰岛素抵抗指数（Homa-IR）及胰岛素作用指数 胰岛素抵抗的“金标准”是正常血糖高胰岛素钳夹试验，但体质指数（BMI）、腰围（W）、腰臀比（WHR）、空腹胰岛素（FINS）、空腹血糖/空腹胰岛素（FPG/FINS）、胰岛素作用指数（IAI）和Homa-IR因操作简单、价格便宜、对患者几乎无损伤而受广泛欢迎。其中Homa-IR是基于血糖和胰岛素在不同器官的相互影响而建立的数学模型，该模型仅用空腹血糖和胰岛素值来评估机体的胰岛素抵抗（Homa-IR）和β细胞功能（胰岛素分泌指数Homa-IS）：Homa-IR＝（FINS×FPG）/22.5，并对结果行对数转换或Homa-IR＝FINS/22.5e lnFPG，Homa-IS＝20×FINS/（FPG 3.5），其中胰岛素单位为μU/ml，葡萄糖为mmol/L。Homa-IR、Homa-IS仅涉及空腹状态下血糖和胰岛素值。普遍认为Homa-IR评价胰岛素抵抗适用于：对人群进行大规模流行病学的研究，描述IR的情况；纵向观察个体或者某个群体IR的变化情况，以便了解糖尿病的自然病程以及药物对IR的作用和影响；不同种族和不同糖耐量人群间IR的比较。罗格列酮治疗后能明显降低Homa-IR。但在糖耐量异常和糖尿病患者运用Homa-IR时，应同时了解患者的病程、治疗情况，作综合分析。计算空腹血糖与胰岛素乘积的倒数［1/（FPG× FINS）］，并取其自然对数即为胰岛素作用指数。计算公式：IAI＝ln［1/（FINS×FPG）］。研究结果显示在糖耐量正常、糖耐量减低和2型糖尿病人群IAI与Clamp测定的胰岛素敏感性的相关系数高度显著相关，分别为-0.78（n＝150）、-0.71（n＝62）和- 0.71（n＝29）。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '（一）尿1.尿糖测定尿糖阳性是诊断糖尿病的重要线索，但是尿糖阴性不能排除糖尿病，尤其是在2型患者。决定有无糖尿及尿糖量的因素有三个：①血糖浓度；②肾小球滤过率；③肾小管回吸收葡萄糖率（可能与SGLT2有关）。正常人肾糖阈为8.9～10.0mmol/L；如菊糖清除率为125ml/ min，肾小管能回吸收肾小球滤液中葡萄糖250～300mg/ min，故血糖正常时尿中无糖。但不少晚期患者由于肾小动脉硬化、肾小球硬化症等病变，肾血流量减少，肾小球滤过率减低而肾小管回吸收糖的功能相对尚好时，则血糖浓度虽高而无糖尿，临床上称为肾糖阈增高。反之如肾小管再吸收糖的功能降至120mg/min以下，则血糖浓度虽在5.6mmol/L左右仍可有糖尿，临床上称为肾糖阈降低，见于肾性糖尿，为本病重要鉴别诊断之一。2.蛋白尿一般无并发症患者阴性或偶有白蛋白尿，低于30mg/d或20μg/min，白蛋白尿排泄率在30～300mg/d时称微量白蛋白尿，表明患者已有早期糖尿病肾病；白蛋白尿排泄率＞300mg/d时，称临床或大量白蛋白尿，常规尿检可出现蛋白尿，此时病变已非早期，随病变发展尿蛋白量较多，可达0.5g%（相当于4+），每日丢失蛋白质可在3g以上（正常人＜30mg/d），常引起严重低蛋白血症和肾病综合征。高血压、肾小动脉硬化症、心力衰竭者亦常有少量蛋白尿，有时于酮症酸中毒、高渗昏迷伴循环衰竭者或休克失水严重影响肾循环时亦可出现蛋白尿。3.酮尿见于重症或饮食失调伴酮症酸中毒时，也可因感染、高热等进食很少（饥饿性酮症）。4.管型尿往往与大量蛋白尿同时发现，多见于弥漫型肾小球硬化症，大都属透明管型及颗粒管型。5.镜下血尿及其他偶见于伴高血压、肾小球硬化症、肾小动脉硬化症、肾盂肾炎、肾乳头炎伴坏死或心力衰竭等病例中。有大量白细胞者常提示有尿路感染或肾盂肾炎，往往比非糖尿病患者为多见。有肾乳头坏死者有时可排出肾乳头坏死组织，为诊断该病的有力佐证。（二）血无并发症者血常规大多正常，但有下列生化改变：1.血糖 本病2型中轻症病例空腹血糖可正常，餐后常超过11.1mmol/L，重症及1型病例则显著增高，常在11.1～22.0mmol/L范围内，有时可高达33.0mmol/L以上。华山医院1例2型患者高达66.0mmol/L；但此类患者常伴高渗昏迷及糖尿病酮症而失水严重，经治疗后可迅速下降。2.血脂 未经妥善控制者或未治患者常伴以高脂血症和高脂蛋白血症。典型的表现主要是甘油三酯（TG）升高、低密度脂蛋白（LDL）升高、高密度脂蛋白（HDL）降低。尤以2型肥胖患者为多，但有时消瘦的患者亦可发生。血浆可呈乳白色混浊液，其中脂肪成分均增高，特别是甘油三酯、胆固醇及游离脂肪酸。有时有乳白色奶油盖，其最上层为乳糜微粒。大都属高脂蛋白血症第Ⅴ型。甘油三酯可自正常浓度上升4～6倍，游离脂肪酸自正常浓度上升2倍余，总胆固醇、磷脂、低密度脂蛋白（LDL）均明显增高。尤其是有动脉硬化性心血管病及肾病的糖尿病患者，脂质上升更明显，而单纯性糖尿病患者则升高较少。游离脂肪酸上升更提示脂肪分解加速，反映糖尿病控制较差，与血糖升高有密切关系，较甘油三酯升高更敏感。高密度脂蛋白尤其是亚型2（HDL2Ch）降低，ApoA1、ApoA2亦降低。3.血酮、电解质、酸碱度、CO2结合力与尿素氮等变化将在酮症酸中毒、高渗昏迷、乳酸性酸中毒和肾病变等有关节段中叙述。4.抗体检查 使用较多的抗体有：胰岛细胞抗体（ICA）、胰岛素抗体（IAA）、谷氨酸脱羧酶自身抗体（GADAb），其中以GADAb的价值最大，这些抗体对于鉴别糖尿病类型有很大帮助。5.HbA1c 测定对空腹血糖正常而血糖波动较大者可反映近2～3个月中血糖情况，对糖代谢控制状况和与糖尿病慢性并发症的相关性优于血糖测定结果。HbA1c正常值为3.2%～6.4%，糖尿病患者常高于正常。6.果糖胺和糖化血清白蛋白测定 可反映近2～3周中血糖情况，与HbA1c相平行，糖尿病患者不论1型、2型均增高，尤以1型为高。注意测定结果受白蛋白浓度的影响。对部分患者需估计其胰岛素抵抗、β细胞功能或血糖控制情况时，尚可以做下列测定：1.空腹血浆胰岛素测定 华山医院放射免疫法测定空腹血浆胰岛素正常范围为5～20μU/ml，1型患者往往在5μU/ml以下，甚至不能测出。2型患者血浆胰岛素浓度一般正常，少数患者偏低，肥胖患者常高于正常，增高明显者呈高胰岛素血症，提示有胰岛素抵抗。后者为代谢综合征中的一个组成，可认为是冠心病的危险因素之一，近年来备受关注。胰岛素和胰岛素原有免疫交叉性，因此均能为一般放免测定法测出，而对心血管的不良影响，胰岛素原可能更甚于胰岛素。已有研究胰岛素原的测定应用于临床。2.胰岛素释放试验 于进行口服葡萄糖耐量试验时可同时测定血浆胰岛素浓度，以反映胰岛β细胞储备功能。1型患者除空腹水平很低外，糖刺激后胰岛素水平仍很低，呈低平曲线，尤其是计算同时的葡萄糖（G）与胰岛素（IRI）的比值，IRI/G，提示胰岛素分泌偏低（正常值为25μU/ ml）。2型患者空腹水平可正常或偏高，刺激后呈延迟释放。葡萄糖刺激后如胰岛素水平无明显上升或低平，提示β细胞功能低下。3.C肽测定 从胰岛β细胞释放的胰岛素经肝、肾后受胰岛素酶等灭能，周围血中每次循环将有80%被破坏，且其半衰期仅4.8分钟，故血浓度仅能代表其分泌总量的极小部分。C肽是从胰岛素原分裂而成的与胰岛素等分子肽类物，不受肝酶的灭能，仅受肾作用而排泄，且其半衰期为10～11分钟，故血中浓度可更好地反映胰岛β细胞储备功能。测定C肽时不受胰岛素抗体所干扰，与测定胰岛素无交叉免疫反应，也不受外来胰岛素注射的影响，故近年来仍用测定C肽血浓度或24小时尿中排泄量以反映β细胞分泌功能。（1）血清C肽浓度测定：用放射免疫法测定空腹时正常人血清C肽为1.0ng/ml±0.23ng/ml，当口服葡萄糖后峰值见于60分钟时，浓度为3.1ng/ml。据Block等测定，正常人口服100g葡萄糖后血清C肽于60分钟后从1.3ng/ml±0.3ng/ml上升至4.4ng/ml±0.8ng/ml，2型糖尿病患者2小时后仅上升2.3ng/ml。另5例1型患者曾以胰岛素治疗5年以上者C肽水平很低，无论空腹时及刺激后均未能测出。（2）24小时尿C肽测定：正常人24小时尿C肽为36μg±4μg，1型患者仅1.1μg±0.5μg，2型患者为24μg± 7μg，每日C肽的排出量约相当于胰岛素分泌量的5%，而胰岛素排出量仅占0.1%。但是临床应用较少。4.按患者临床征象估计胰岛素敏感性 高血压或心肌梗死、2型糖尿病家族史各为2分，腰围/臀围（WHR）＞0.85、高血压（＞140/90mmHg）、高甘油三酯（＞1.9mmol/ L）、高尿酸血症（＞386.8mmol/L）和脂肪肝（γ-GT＞25IU/ L或B超密度异常）各判为1分。若总分≥3时疑为有胰岛素抵抗，可做OGTT，如证实为IGT或DM即可考虑胰岛素抵抗。如血糖正常可测定血胰岛素水平，如≥15μU/ ml则也可认为胰岛素抵抗。如总分＜3时胰岛素抵抗的可能性不大。5.稳态模型（Homa model）的胰岛素抵抗指数（Homa-IR）及胰岛素作用指数 胰岛素抵抗的“金标准”是正常血糖高胰岛素钳夹试验，但体质指数（BMI）、腰围（W）、腰臀比（WHR）、空腹胰岛素（FINS）、空腹血糖/空腹胰岛素（FPG/FINS）、胰岛素作用指数（IAI）和Homa-IR因操作简单、价格便宜、对患者几乎无损伤而受广泛欢迎。其中Homa-IR是基于血糖和胰岛素在不同器官的相互影响而建立的数学模型，该模型仅用空腹血糖和胰岛素值来评估机体的胰岛素抵抗（Homa-IR）和β细胞功能（胰岛素分泌指数Homa-IS）：Homa-IR＝（FINS×FPG）/22.5，并对结果行对数转换或Homa-IR＝FINS/22.5e lnFPG，Homa-IS＝20×FINS/（FPG 3.5），其中胰岛素单位为μU/ml，葡萄糖为mmol/L。Homa-IR、Homa-IS仅涉及空腹状态下血糖和胰岛素值。普遍认为Homa-IR评价胰岛素抵抗适用于：对人群进行大规模流行病学的研究，描述IR的情况；纵向观察个体或者某个群体IR的变化情况，以便了解糖尿病的自然病程以及药物对IR的作用和影响；不同种族和不同糖耐量人群间IR的比较。罗格列酮治疗后能明显降低Homa-IR。但在糖耐量异常和糖尿病患者运用Homa-IR时，应同时了解患者的病程、治疗情况，作综合分析。计算空腹血糖与胰岛素乘积的倒数［1/（FPG× FINS）］，并取其自然对数即为胰岛素作用指数。计算公式：IAI＝ln［1/（FINS×FPG）］。研究结果显示在糖耐量正常、糖耐量减低和2型糖尿病人群IAI与Clamp测定的胰岛素敏感性的相关系数高度显著相关，分别为-0.78（n＝150）、-0.71（n＝62）和- 0.71（n＝29）。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '10', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '诊断与鉴别诊断', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国糖尿病协会（ADA）于1997年发表了新的糖尿病诊断标准与分型的文件如表14-4-1所述。专家委员会将FPG≥6.1mmol/L（110mg/dl）但＜7.0mmol/L（126mg/ dl）称为空腹血糖受损（impaired fasting glucose，IFG），将OGTT中2小时静脉血浆葡萄糖（2hPG）≥7.8mmol/L （140mg/dl）但＜11.1mmol/L（200mg/dl）称为糖耐量异常（impaired glucose tolerance，IGT）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">WHO广泛征求了世界各地糖尿病分型及诊断意见后，1999年公布WHO糖尿病诊断及分型文件，文件中诊断标准与1997年ADA诊断标准相同，也就是目前使用的糖尿病诊断标准。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病诊断尚需查明有无各种并发症和伴随症，并估计其病情轻重、类型、发展阶段和主要脏器功能状态等，对本病的治疗和预后非常重要。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-1　1997年ADA糖尿病诊断标准</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126405755002981.jpg\" title=\"1527126405755002981.jpg\" alt=\"T14-4-1_70021.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 493px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注：OGTT不推荐作为临床常规使用；对于未有明确高血糖者，应于另外一日重复FPG试验来诊断；对无症状者至少有两次血糖异常。儿童葡萄糖服量按1.75克/公斤体重计算，计算总量超过75g时以75g为准。目前标准与原有标准的主要不同：①空腹血糖诊断标准自原来的FPG≥7.8mmol/L（140mg/dl）降至FPG≥7.0mmol/L（126mg/dl）；②提出空腹血糖受损这一类别</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">鉴别诊断方面须除外下列几种情况：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.非葡萄糖尿 如乳糖尿见于哺乳期妇女或孕妇及幼婴。果糖及戊糖尿偶见于进食大量水果后，为非常罕见的先天性疾患。发现尿糖阳性后，应联系临床情况分析判断，不宜立即肯定为糖尿病。鉴别方法有生化及发酵试验等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.非糖尿病性葡萄糖尿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）饥饿性糖尿：当饥饿相当时日后，忽进食大量糖类食物，胰岛素分泌一时不能适应，可产生糖尿及葡萄糖耐量异常，鉴别时注意分析病情，注意饮食史、进食总量，空腹血糖常正常甚可偏低，必要时可给糖类每日250g以上，3日后重复糖耐量试验。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）食后糖尿：糖尿发生于摄食大量糖类食物后，或因吸收太快，血糖浓度升高暂时超过肾糖阈而发生糖尿，但空腹血糖及糖耐量试验正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）肾性糖尿：由于肾小管再吸收糖的能力减低，肾糖阈低下，血糖虽正常而有糖尿，见于少数妊娠妇女，有暂时性肾糖阈降低时，必须进行产后随访，以资鉴别。肾炎、肾病等也可因肾小管再吸收功能损伤而发生肾性糖尿，应与糖尿病性肾小球硬化症鉴别。真正的肾性糖尿，如范克尼综合征为肾小管酶系缺乏，颇为罕见。空腹血糖及糖耐量试验完全正常，还可进行肾糖阈测定、肾小管最大葡萄糖吸收率测定等以资鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）应激性糖尿：见于脑出血、大量消化道出血、脑瘤、颅骨骨折、窒息、麻醉时，有时血糖呈暂时性过高伴糖尿，可于病情随访中加以鉴别。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.其他特殊类型的糖尿病。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '美国糖尿病协会（ADA）于1997年发表了新的糖尿病诊断标准与分型的文件如表14-4-1所述。专家委员会将FPG≥6.1mmol/L（110mg/dl）但＜7.0mmol/L（126mg/ dl）称为空腹血糖受损（impaired fasting glucose，IFG），将OGTT中2小时静脉血浆葡萄糖（2hPG）≥7.8mmol/L （140mg/dl）但＜11.1mmol/L（200mg/dl）称为糖耐量异常（impaired glucose tolerance，IGT）。WHO广泛征求了世界各地糖尿病分型及诊断意见后，1999年公布WHO糖尿病诊断及分型文件，文件中诊断标准与1997年ADA诊断标准相同，也就是目前使用的糖尿病诊断标准。糖尿病诊断尚需查明有无各种并发症和伴随症，并估计其病情轻重、类型、发展阶段和主要脏器功能状态等，对本病的治疗和预后非常重要。表14-4-1　1997年ADA糖尿病诊断标准注：OGTT不推荐作为临床常规使用；对于未有明确高血糖者，应于另外一日重复FPG试验来诊断；对无症状者至少有两次血糖异常。儿童葡萄糖服量按1.75克/公斤体重计算，计算总量超过75g时以75g为准。目前标准与原有标准的主要不同：①空腹血糖诊断标准自原来的FPG≥7.8mmol/L（140mg/dl）降至FPG≥7.0mmol/L（126mg/dl）；②提出空腹血糖受损这一类别鉴别诊断方面须除外下列几种情况：1.非葡萄糖尿 如乳糖尿见于哺乳期妇女或孕妇及幼婴。果糖及戊糖尿偶见于进食大量水果后，为非常罕见的先天性疾患。发现尿糖阳性后，应联系临床情况分析判断，不宜立即肯定为糖尿病。鉴别方法有生化及发酵试验等。2.非糖尿病性葡萄糖尿（1）饥饿性糖尿：当饥饿相当时日后，忽进食大量糖类食物，胰岛素分泌一时不能适应，可产生糖尿及葡萄糖耐量异常，鉴别时注意分析病情，注意饮食史、进食总量，空腹血糖常正常甚可偏低，必要时可给糖类每日250g以上，3日后重复糖耐量试验。（2）食后糖尿：糖尿发生于摄食大量糖类食物后，或因吸收太快，血糖浓度升高暂时超过肾糖阈而发生糖尿，但空腹血糖及糖耐量试验正常。（3）肾性糖尿：由于肾小管再吸收糖的能力减低，肾糖阈低下，血糖虽正常而有糖尿，见于少数妊娠妇女，有暂时性肾糖阈降低时，必须进行产后随访，以资鉴别。肾炎、肾病等也可因肾小管再吸收功能损伤而发生肾性糖尿，应与糖尿病性肾小球硬化症鉴别。真正的肾性糖尿，如范克尼综合征为肾小管酶系缺乏，颇为罕见。空腹血糖及糖耐量试验完全正常，还可进行肾糖阈测定、肾小管最大葡萄糖吸收率测定等以资鉴别。（4）应激性糖尿：见于脑出血、大量消化道出血、脑瘤、颅骨骨折、窒息、麻醉时，有时血糖呈暂时性过高伴糖尿，可于病情随访中加以鉴别。3.其他特殊类型的糖尿病。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '11', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '治疗', '<h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">一、饮食治疗</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">饮食治疗是糖尿病的基本治疗方法，各种类型的糖尿病患者都应该坚持科学合理的饮食，即平衡饮食（balance diet），而并非简单地控制进食量，因此建议以平衡饮食替代饮食控制的概念。使之配合运动和药物的作用，良好控制血糖、血脂及血压。</p><p>饮食治疗的原则</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.调控每日摄入的总热量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.均衡饮食，合理安排各种营养成分，提倡多食粗粮。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.规律、定量饮食，少食多餐。与运动、药物治疗密切配合。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.戒烟、限酒。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.饮食治疗个体化，满足生长发育，满足妊娠、哺乳妇女的特殊需要。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.严格遵守，长期坚持。</p><p>每日总热量的估计</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">以成人为例：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">控制每日热量摄入，以维持成人理想体重，保证儿童正常的生长发育，对妊娠和哺乳的妇女要保证充足的营养，对合并其他慢性消耗性疾病的患者应有利于其康复。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）对每日总热量的限制以维持标准体重为原则，可按下列公式粗略计算：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1）桂法：［身高（cm）-100］×0.9</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2）Broca法：身高（cm）-110（身高在165cm以上）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">身高（cm）-105（身高在165cm以下）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">其中用桂法计算的结果比较接近我国承认的标准体重表。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）营养状况的评价：实际体重在标准体重上下10%范围内为正常体重，超过标准体重20%为肥胖，超过10%～20%为超重，低于标准体重10%～20%为体重不足，低于20%为消瘦。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">也可以用体质指数BMI＝［体重（kg）/身高2（m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］评价。按中国标准，正常范围是18.5～22.6，小于18.5为体重过低，大于23为超重，大于25为肥胖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）劳动强度的评价见表14-4-3。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）计算总热卡：见表14-4-4。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-3　劳动强度的评价</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126470631071259.jpg\" title=\"1527126470631071259.jpg\" alt=\"T14-4-3_77650.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 518px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-4　不同劳动强度每千克体重每日所需热量（kJ/kcal）</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126489762062696.jpg\" title=\"1527126489762062696.jpg\" alt=\"T14-4-4_77651.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 514px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：儿童、妊娠和哺乳期妇女按168kJ计算</p><p>各种营养物质的分配和摄入量1.碳水化合物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">占总膳食热量的50%～55%，多用米面和一定杂粮，女性以200～250g/d大米，男性以300～350g/d大米为宜。</p><p>2.蛋白质</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约占15%～20%。推荐每日摄入0.8～1.2g/kg标准体重，处于生长发育阶段的儿童或糖尿病患者合并感染、妊娠、哺乳、营养不良以及慢性消耗性疾病者，这一比例应适当增加。可每日1.2～1.5g/kg体重计算；儿童每日2g/kg体重。糖尿病肾病患者减至0.6～0.8g/kg体重。其中动物蛋白占到1/3以上。</p><p>3.脂类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脂类＜30%。每日0.6～1.0g/kg体重。单不饱和脂肪酸占10%～15%，多不饱和脂肪酸＜10%，避免反式不饱和脂肪酸，胆固醇＜300mg/d；若血清LDL≥100mmol/dl，则饱和脂肪酸＜7%，胆固醇＜200mg/d。</p><p>4.维生素、无机盐与微量元素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">维生素和矿物质充足，尤其是维生素B类和钙。食盐小于3～6g/d。如无心脏和肾、肝病变，进水不限量。</p><p>5.膳食纤维</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">20～35g/d。</p><p>6.戒烟、限酒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">红酒每天少于150ml，白酒每天不超过30ml。酒精可增加低血糖的危险性，应与食物同时摄入。</p><p>膳食设计</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每克碳水化合物、蛋白质均产热16.7kJ（4kcal），每克脂肪产热37.7kJ（9kcal）。按照每日所需总热量和各营养素的比例，将热量换算为食物重量。膳食设计时先计算碳水化合物，然后计算蛋白质量，再计算脂肪需要量，最后用炒菜油补足脂肪的需要量。三餐能量一般按1/5、2/5、2/5 或1/7、2/7、2/7、2/7或1/3、1/3、1/3分配。可根据个人饮食习惯、病情和配合药物治疗的需要适当调整。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2007年国际糖尿病联盟（IDF）颁布的餐后血糖管理指南，详细阐述了血糖指数（glucose index，GI）和血糖负荷（glucose load，GL）的概念及其在饮食治疗中的应用。GI是指食入含50g碳水化合物的食物后在一定时间（一般为2小时）体内血糖反应水平，与食入相当量的葡萄糖后血糖反应水平的百分比值，反映食物与葡萄糖相比升高血糖的速度和能力。通常将葡萄糖的GI值定为100。一般GI＜55为低GI食物，56～69为中GI食物，＞70为高GI食物。食物摄入后血糖水平还与食物中碳水化合物的含量有关。将摄入碳水化合物的质量和含量结合起来，就产生了一个新的概念，即血糖负荷（GL）。GL值的大小为食物GI值与其碳水化合物含量乘积的百分比。GL值＜10为低GL食物，11～19为中GL食物，GL＞20为高GL食物。下表14-4-5列出常见食物GI值和相应的GL值。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-5　食物血糖指数和血糖负荷食品分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126520963090156.jpg\" title=\"1527126520963090156.jpg\" alt=\"T14-4-5_70051.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1001px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">例如，西瓜有相对高的葡萄糖指数（72），但每个单位西瓜中含有相对低的碳水化合物（6），所以糖负荷相对较低，72× 6/100＝4.3，对血糖的影响也相应较低。而烤土豆的葡萄糖指数是85，每个单位中包含30克碳水化合物，对血糖的影响就高得多，85×30/100＝25.5。GL已是心肌梗死的一个独立危险因素。研究结果显示综合考虑血糖指数和血糖负荷有助于餐后血糖波动的控制，并能减少心血管病的危险因素。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">二、运动疗法</h6><p>（一）糖尿病运动疗法的作用和意义</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">①可增强组织对胰岛素的敏感性；②调节糖代谢、降低血脂；③有利于血糖的控制，加速脂肪分解，降低体脂和控制肥胖；④改善心肺功能，降低血压；⑤改善凝血功能，降低心血管危险；⑥促进心理健康、改善睡眠，提高机体的适应性。</p><p>（二）适应证和禁忌证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要适用于轻中度2型糖尿病患者，尤其是肥胖者，1型糖尿病患者接受胰岛素治疗病情稳定者亦可。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合并各种急性感染，伴有心功能不全或心律失常，患有严重糖尿病慢性并发症，新近发生的血管栓塞，空腹血糖大于16.7mmol/L，立位低血压，糖尿病急性并发症等情况下不宜进行运动疗法。</p><p>（三）实施1.运动项目</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有氧代谢运动特点是强度低、有节奏、不中断和持续时间较长，但简单易坚持，此类运动包括：步行、慢跑、骑车、游泳、太极拳、徒手体操、羽毛球、扭秧歌、做健身操等。</p><p>2.运动量</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">运动量＝运动强度×运动时间，运动强度可以用运动后心率来衡量，如实际运动后心率（靶心率）＝170-年龄（岁），则这样的运动量属于中等。一般以达到靶心率后持续20～30分钟为好。运动后精力充沛、不易疲劳，心率在运动后十分钟内恢复至安静时心率数说明运动量比较适合。也可测定心率指数（运动后心率除以运动前心率）来判断是否到达有氧代谢运动。如果心率指数介于1.3～1.5之间可以认为达到有氧代谢运动。每周至少运动3～5次，累计时间150分钟为好。</p><p>3.运动时间的选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">推荐餐后30分钟～1小时后运动为宜。</p><p>4.几种常用的运动方法（1）步行：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">走平路速度在80～100m/min比较适宜，每天走3000m，如果体力不能耐受或时间不允许，可以走10分钟，休息5分钟再走，或者稍放慢速度，不急于求成，应该循序渐进。</p><p>（2）慢跑：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可自10分钟开始，逐步延长至30～40分钟，慢跑速度100m/min比较合适，可以跑步和走路交替进行，也可穿插必要的间歇时间。运动时间和运动强度共同决定了运动量，两者可协调配合。</p><p>（3）骑自行车：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可用功率自行车在室内锻炼，运动强度为450～700kg/（m？min）。也可在室外，但应注意安全，最好在晨间或运动场内进行，速度以8～15km/h为宜。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">三、口服抗糖尿病药</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前临床使用的口服抗糖尿病药主要包括非促胰岛素分泌剂（双胍类、α-葡萄糖苷酶抑制剂和噻唑烷二酮类）和促胰岛素分泌剂（磺酰脲类、格列奈类），近年研制的二肽基肽酶4（DPP-4）抑制剂可阻断胰高血糖素样肽1（GLP-1）的降解而备受青睐。上述药物的作用机制是针对2型糖尿病各种不同的病理生理过程，并有不同的常规剂量和剂型（表14-4-6）。临床医师应据降糖效应、安全性、副作用、耐受性、依从性、降糖外的作用及患者胰岛损伤和胰岛素抵抗的程度、经济状态等，综合平衡多方面因素后选择适当的口服抗糖尿病药，常能获得比较满意的效果。最近专家强调在设计降糖时必须考虑和观察心血管危险因素是否下降。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-6　主要口服降糖药的特点</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126707838064097.jpg\" title=\"1527126707838064097.jpg\" alt=\"T14-4-6_70068.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1023px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">a</span>仅在欧洲/美国使用；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">b</span>在美国未获批准；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">c</span>在美国被限制处方；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">d</span>在欧洲已撤市；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">e</span>2012年将大幅降价</p><p>双胍类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">双胍类主要改善胰岛素敏感性，减少肝葡萄糖的生成，抑制葡萄糖在肠道的吸收，轻度改善外周组织对葡萄糖的利用等多种作用，降低空腹和餐后血糖，减轻胰岛素抵抗，改善血脂谱及适当地减轻体重，但对胰岛素分泌并无刺激作用，故不引起高胰岛素血症，被公认为胰岛素增敏剂之一。如单用本剂，对正常人或患者不致引出低血糖症。现知双胍类改善胰岛素敏感性的机制主要通过抑制在2型糖尿病患者中过度表达的浆细胞膜糖蛋白1（PC-1），后者活性的增高，可引起胰岛素抵抗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">本类药临床应用的有苯乙双胍和二甲双胍（metformin），前者因严重的不良反应而被弃用。二甲双胍餐时服用，从小剂量开始，初始剂量为500mg/d，每日1次或2次，每1～3周增加500mg，2～3次/天，最有效的剂量是2000mg/d，最大剂量是2550mg/d。目前已有此类药物的缓释型及与格列本脲、格列吡嗪的复合制剂。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二甲双胍适用于经单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖患者疗效更佳；用磺酰脲类药物，效果不理想者，可联合此药物；胰岛素治疗的1、2型糖尿病患者，加服双胍类药物可减少胰岛素用量。研究提示，对2型糖尿病的高危人群应用二甲双胍可推迟或防止其发展成2型糖尿病。荟萃分析及UKPDS研究均显示，二甲双胍能更有效地改善大血管病变所致危险。二甲双胍是目前唯一一个既兼顾疗效，又兼顾费用及安全的降糖药物，几乎各个糖尿病指南均将二甲双胍推荐为2型糖尿病治疗的一线用药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">二甲双胍单药治疗不会导致低血糖的发生，但长期的剧烈运动后可发生低血糖。二甲双胍可增加乳酸酸中毒的危险，但非常罕见，其发生率低于1/100 000，故不应在肾功能不全、任何形式的酸中毒、充血性心力衰竭、肝病和严重缺氧患者中使用，在男性血肌酐＞1.5mg/dl或女性＞1.4mg/dl者禁用，如肌酐清除率不正常亦禁用，定期检查肾功能。其最常见的胃肠道不良反应是腹泻、厌食、恶心、金属味等，通过调节剂量可以有效避免。在危重、不能进食、接受放射显影造影剂的患者应停用，并使用胰岛素一直到再次服用二甲双胍。由于该类药在肝代谢，故不应在肝疾病或重度酒精摄入的患者中使用。</p><p>磺酰脲类（一）作用机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">磺酰脲类药物是通过与胰岛β细胞膜上的磺酰脲受体结合，关闭β细胞ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>通道，导致β细胞去极化，促进钙离子内流增加，促进胰岛素释放，发挥降糖作用。其降糖作用有赖于尚存的相当数量（30%以上）有功能的胰岛β细胞组织。此外，目前认为磺酰脲类药物不是单纯的胰岛素促分泌剂，有很强的胰外降糖作用，包括增强靶组织对胰岛素的敏感性，改善胰岛素受体和（或）受体后缺陷等作用。</p><p>（二）适应证和禁忌证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">磺酰脲类适用于：①饮食治疗和体育锻炼不能获得良好控制的非肥胖2型糖尿病患者；②肥胖2型糖尿病患者应用双胍类降糖药血糖控制仍不满意，或因胃肠道反应不能耐受，可加用或改用磺酰脲类降糖药；③磺酰脲类继发性失效后可与胰岛素联合；④每日胰岛素需要量在0.3U/kg体重以下者。下述情况禁用磺酰脲类药物而应予胰岛素治疗：①1型糖尿病患者；②糖尿病急性并发症者；③2型糖尿病合并严重慢性并发症；④急性严重感染、手术、创伤等应激；⑤严重肝、肾功能不全。</p><p>（三）磺酰脲类失效</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者初用磺酰脲类药物，应用足量［如每天格列齐特（达美康）240mg］，1个月后未见明显的降糖效应（＞14mmol/L），称为原发性失效。其发生率约为20%～30%，可能与缺乏饮食控制、严重的胰岛β细胞功能损害等有关，此时应加用或改用α-葡萄糖苷酶抑制剂或胰岛素等治疗。使用磺酰脲类药物已取得良好疗效，但在使用过程（1个月以上，多数在1年以上）中突然或逐渐疗效消失，虽使用至足量（次足量）仍不能达到良好的血糖控制（空腹血糖仍然高于11.1mmol/L，餐后2小时血糖高于14mmol/L），称继发性失效，发生率约为20%～30%，其发生率随使用时间的延长而增多。继发性失效与胰岛素β细胞功能下降和外周组织的胰岛素抵抗等密切相关，应重新审查适应证及可能存在的可消除性诱因。继发性失效者宜联合应用其他类型的抗糖尿病药物或改用胰岛素治疗。</p><p>（四）不良反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要的不良反应有低血糖反应、体重增加、高胰岛素血症，其中低血糖反应常在夜间、空腹或餐后4～6小时发生，通常与过量服用、饮食不配合、体力活动增加、酒精摄入或肾功能不全等有关，尤其在老年患者多见。体重增加是由胰岛素水平增加及血糖控制好转所致。其他少见的副作用有胃肠道反应、皮肤反应（皮肤瘙痒、红斑、剥脱性皮炎等）、血液系统反应（白细胞减少、粒细胞缺乏、贫血、血小板减少等）、中毒性肝炎等，一旦出现，应立即停药，并给予相应处理。</p><p>（五）注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">要酌情调整磺酰脲类药物，应从低剂量开始，每4～7天增减剂量一次，根据自我监测血糖结果调整药量。餐前半小时服用疗效最佳，因为服药后1.5小时药效最强，而餐后1小时又是血糖最高，故两个高峰重叠就可以取得更好疗效。但由于磺酰脲类药效时间较长，餐后服用药效相对温和，尤其对高龄患者，餐后服药可避免遗忘，对预防发生低血糖更有意义。磺酰脲类药都在肝内代谢，建议定期评估肝功能。应用时还要注意与其他药物的相互作用，如水杨酸制剂、磺胺类药物、保泰松、氯霉素、胍乙啶、利舍平、β-肾上腺素与拮抗剂、单胺氧化酶抑制剂等药可减弱糖异生或降低磺酰脲类与血浆蛋白结合，或降低磺酰脲类（SU）在肝的代谢和肾的排泄等机制，增强SU的降糖效应；噻嗪类利尿药、呋塞米、依他尼酸（利尿酸）、糖皮质激素、雌激素、钙拮抗药、苯妥英钠、苯巴比妥等药物因抑制胰岛素，或拮抗胰岛素作用，或促进磺酰脲类在肝降解等，可减低磺酰脲类药的降糖作用。</p><p>（六）选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最大剂量时，一般情况下，不推荐使用第一代磺酰脲类药物，除非患者有良好的服药史。第二代磺酰脲类药物副作用较小，可提供更佳的预期疗效。其次应根据患者的一般情况如年龄、并发症、患者的依从性、肝肾功能及药物的临床特点等选用不同的药物。如对老年、合并糖尿病并发症尤其是肾并发症或肝肾功能较差的患者，应选用短半衰期的速效药物，防止低血糖的发生；而依从性差的患者，则可选用使用方便、作用时间较长的药物，以达到良好的血糖控制；肾功能较差的患者可选用格列喹酮，以防止药物蓄积引起的低血糖反应。再次选择时还要考虑到药物的缺血预适应，对有心、脑等缺血性疾病的2型糖尿病患者，应选用对β细胞膜ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>有高亲和力和高选择性的磺酰脲类。临床研究证实格列齐特、格列吡嗪缓释片等在治疗浓度下不阻断心、脑ATP-K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>开放所激发的舒血管效应。</p><p>（七）第二代磺酰脲类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">有格列本脲（优降糖）、格列吡嗪（美吡达或优哒灵，其控释片为瑞易宁，注意控释片只能整片服用，切割后便失去控释功能）、格列齐特（达美康）、格列波脲（克糖利）、格列喹酮（糖适平）及格列美脲等药。格列本脲的降糖作用在口服降糖药中最强，最大副作用是较容易引起低血糖，甚至导致严重或顽固性低血糖及低血糖昏迷。故老年糖尿病，肝、肾功能不全和有心脑血管并发症的患者，应慎用或禁用。格列吡嗪24小时内经肾排泄达97%。一般不易发生体内蓄积，不会发生持续的低血糖。在肾功能减退者优先选用，剂量大于15mg时，应分次服用。格列齐特60%～70%从肾排泄，10%～20%自胃肠道排出，比较适用于老年糖尿病患者。大多数患者对此药耐受性好，偶有腹痛、恶心、头晕及皮疹，剂量过大者也可引起低血糖反应。Advance研究证实以格列齐特（达美康）为基础的降糖治疗可使2型糖尿病患者糖化血红蛋白长期稳定在6.5%以下，且显著降低新发和恶化肾病发生率及大量蛋白尿的发生率。格列波脲主要从肾排泄。格列喹酮95%从胆道经肠随粪便排泄，仅5%由肾排出。适用于老年糖尿病，糖尿病伴轻、中度肾功能减退及服用其他磺酰脲类药物反复发生低血糖的患者。格列美脲具有胰岛磺酰脲类受体结合特异性、更快的起效时间、更短的作用时间，临床研究发现其对心血管作用及低血糖反应较少。适合与胰岛素联合治疗，显示有一定的胰岛素增敏作用。</p><p>格列奈类（一）作用机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">格列奈类药物是一种非磺酰脲类的促胰岛素分泌剂，是苯甲酸或苯丙氨酸的衍生物，与胰岛β细胞膜ATP敏感钾离子通道上的受体结合后，关闭β细胞膜上的ATP依赖性钾通道，使细胞膜去极化，造成钙离子内流，细胞内钙离子浓度增加而引起胰岛素的释放，降低餐后血糖。但与磺酰脲类药物的结合位点完全不同，格列奈类药物结合于ATP依赖性钾通道36kDa的磺酰脲类受体，不影响β细胞的胞吐作用。此类药物可有效增强胰岛素基础分泌、第一相分泌，增强胰岛素脉冲分泌的振幅，对胰岛素第二相分泌无影响或影响很小。因其起效快，作用时间较短，通常应在进餐当时服用。格列奈类刺激胰岛β细胞释放胰岛素的作用是依赖于一定的血浆葡萄糖水平，在葡萄糖浓度较低的情况下，其对基础胰岛素分泌的刺激作用也微弱。此外，格列奈类还能保护β细胞数量，不诱导β细胞凋亡。</p><p>（二）临床应用</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前应用于临床的有瑞格列奈和那格列奈。适用于饮食控制、降低体重及运动治疗尚不能有效控制的2型糖尿病患者，其中新诊断的非肥胖者可作为首选，对餐后血糖增高者更适合。可单独使用，也可与双胍类、噻唑烷二酮类联合用药。瑞格列奈在新诊断的或HbA1c＜8%的2型糖尿病时，剂量每餐0.5mg，HbA1c＞8%时每餐1～2mg。瑞格列奈92%经大小便、胆汁途径排出，不加重肾负担，无因肾功能不全引起的药物蓄积，是2型糖尿病并发肾功能不全患者的首选用药。那格列奈引起餐后胰岛素快速、短期分泌，起效比瑞格列奈快，持续作用时间为2小时，每次60～120mg，餐前即时服用。在妊娠期及哺乳期妇女、1型糖尿病患者、糖尿病酮症酸中毒、严重肝功能不全及对本品产生变态反应者禁用。</p><p>（三）不良反应及注意事项</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">瑞格列奈的不良反应有低血糖反应、体重增加和高胰岛素血症，肝、肾功能减退者慎用。那格列奈发生低血糖的可能性小，无明显禁忌证，但中、重度肝病应慎用，需定期评估肝功能。此外有轻度的胃肠道反应、暂时性视觉异常、皮肤变态反应等。格列奈类起效快（口服30分钟内起效）、达峰时间早（1小时达峰），为了减少餐后血糖漂移，峰群居高不降，也可在餐前15～30分钟给药。根据进餐时间灵活掌握，即进餐、服药，不进餐、不服药。</p><p>噻唑烷二酮类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">噻唑烷二酮类（thiazolidinediones）降糖药是过氧化物酶体增殖物活化受体-γ（PPAR-γ）激动剂，通过结合和激活PPAR-γ，从而改善胰岛素抵抗，促进葡萄糖吸收和脂肪分化，轻度降低肝葡萄糖输出；保护β细胞功能；减轻血管炎症反应。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前在临床上可使用的有吡格列酮和罗格列酮，尽管不能进行两者之间的直接比较，但它们有相似的疗效。罗格列酮单次或分次剂量开始为4mg/d，必要时12周内增加至8mg/d，最大剂量为8mg/d；吡格列酮开始剂量为15～30mg/d，单药治疗最大剂量为45mg/d，联合治疗为30mg/d。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">噻唑烷二酮类药物增加胰岛素敏感性，同时降低空腹血糖和餐后血糖，防治糖尿病血管并发症。糖尿病终点进展试验（ADOPT）研究结果显示，单一药物治疗糖尿病时，罗格列酮比二甲双胍或格列本脲在延缓药物失效方面的效果更加显著，罗格列酮能延缓进行性高血糖，优于二甲双胍或格列本脲。因此，此类药物适用于2型糖尿病的胰岛素抵抗及糖耐量减低的治疗，此外，妊娠期糖尿病、肥胖、高血压、血脂异常、多囊卵巢综合征等常伴有胰岛素抵抗，也可使用本类药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该类药物可引起轻度体重增加（1～2kg），轻中度外周性水肿，血细胞比容下降和血容量增加。研究显示该类药物应用后心衰发生率增加，但心衰病死率没增加，提示心衰与水钠潴留有关。另外，如果谷丙转氨酶（ALT）大于正常上限2.5倍应避免使用，ALT大于正常上限3倍应停用。因此肝病或充血性心力衰竭患者禁忌使用噻唑烷二酮类。我国FDA将罗格列酮的适应证修改为其他降糖药物无法达到血糖控制目标的2型糖尿病患者。</p><p>α-葡萄糖苷酶抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">α-葡萄糖苷酶抑制剂（α-glucosidase inhibitor）是通过抑制小肠绒毛中分解寡糖为单糖的葡萄糖苷酶活性，延缓复杂碳水化合物和双糖的分解和消化，延迟并减少肠腔对葡萄糖的吸收，主要降低餐后血糖，而不影响葡萄糖利用和胰岛素分泌。阿卡波糖主要抑制α-淀粉酶，伏格列波糖主要抑制麦芽糖酶和蔗糖酶。长期应用可以降低空腹血糖，这是由于持续抑制餐后高血糖而减少了胰岛素的需要量和消除了高葡萄糖毒性，因此减轻了胰腺β细胞的负荷。该药还可以增加外周组织对胰岛素的敏感性、减轻对胰岛素抵抗的作用。本类药物常用有阿卡波糖（acarbose）、伏格列波糖、米格列醇等。适用于单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖者更优，可单独使用，也可与双胍类、磺酰脲类、胰岛素联合用药；糖耐量减低（IGT）的干预治疗；1型糖尿病患者的餐后高血糖，不能单独用α-葡萄糖苷酶抑制剂，应与胰岛素联合应用。该类药要和第一口糖类食物同时服用，饮食成分中有一定碳水化合物时才能发挥效果。因此，特别适合于传统中国饮食结构的人群。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单用此药一般不会引起低血糖，但若与磺酰脲类或胰岛素联合应用时，可能出现低血糖。此时应使用葡萄糖来纠正，而不能给蔗糖口服，因为复合糖的降解和吸收迟缓，且该类药可抑制蔗糖吸收。主要的副作用有肠胃胀气、腹胀、腹泻，可能与寡糖排至大肠增加有关。采用小剂量开始，逐渐加量法，可减轻胃肠道反应，如需要，可以阿卡波糖25mg，每日两次开始，每隔1～2周，每日增加25mg至预定每日用量。如果同时存在胃肠道疾病，不宜应用本药，并且应避免与消化酶制剂、抗酸剂同时治疗。此类药物部分从肾排泄，故血肌酐大于177μmol/L时应避免使用。阿卡波糖可引起肝损伤，因此服药第1年应该每3个月检查血清转氨酶。</p><p>二肽基肽酶4（DPP-4）抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年研究证实IGT和T2DM患者餐后GLP-1下降，应用GLP-1的类似物（exenatide）明显改善血糖，其机制涉及增加胰岛素分泌、抑制胰高血糖素分泌、减少肝糖输出、抑制肠道葡萄糖吸收及改善β细胞的功能。GLP-1从肠道L细胞分泌至血循环很快降解。DPP-4抑制剂阻断GLP-1的降解，DPP-4抑制剂（西格列汀、沙格列汀等）已获批准临床应用并获得好评。在二甲双胍基础上加用西格列汀的疗效与加用磺酰脲类药物格列吡嗪相当，HbA1c从基线7.5%下降了0.7%，而且前者具有耐受性良好的优点，患者体重显著减轻（-1.5kg，+1.1kg），低血糖发生率也降低（5%对32%）。由于西格列汀的安全性好（尤其是低血糖事件减少），使其在大多数患者中与二甲双胍早期联合应用成为可能。临床研究显示，西格列汀（50mg，每日2次）与二甲双胍（1000mg，每日2次）联用，HbA1c水平在第1年和第2年时分别下降1.8%和1.7%。最常见报告的不良反应是鼻塞或流涕，以及咽喉痛、上呼吸道感染和头痛。因其79%以原形从尿排出，故在肾功能减退的患者应减量。DPP-4抑制剂不适用1型糖尿病及糖尿病酮症酸中毒的治疗。近期上市的利格列汀（Tradjenta<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">？</span>5mg每日给药一次）应用于已经接受了饮食控制和体育锻炼的成年T2D患者的血糖水平的改善。在利格列汀治疗过程中，无需因患者肾功能或肝功能的下降而进行剂量调整。</p><p>胆汁酸螯合剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胆汁酸螯合剂通过在胃肠道交换胆汁酸中的氯离子，将其从肠肝循环中螯合出来，阻断胆汁从肠道的再吸收。一般用于降低胆固醇，近年研究证明胆汁酸螯合剂（4g，每日3次）可改善血糖控制，减少肝糖合成并抑制糖原分解，激活GLP-1受体；通过激活棕色脂肪和肌肉中G蛋白偶联受体TGR5，诱导GLP-1释放，改善胰腺功能，减少肝糖输出，提高葡萄糖耐量。副作用主要表现为便秘、腹泻和腹胀等胃肠道不良反应。</p><p>溴隐亭</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2009年美国FDA批准速效溴隐亭Cycloset可以作为饮食运动控制不佳的2型糖尿病患者的辅助治疗。与以往降糖药物作用机制完全不同，Cycloset属于一种麦角类生物碱，主要是通过作用于中枢多巴胺D<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>受体影响营养物质代谢的昼夜节律达到调控血糖的目的。速效溴隐亭（每天2.5～5mg）与安慰剂相比能够降低糖化血红蛋白0.5%～0.7%，能够显著降低空腹及三餐后游离脂肪酸和甘油三酯浓度，减少心血管事件。除此之外对于体重无明显影响，而且有轻度降低血压作用。副作用主要是轻度的恶心，低血糖发生率极低。</p><p>钠-葡萄糖同向转运蛋白抑制剂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">钠-葡萄糖同向转运蛋白（sodium glucose cotransporter）（SGLT）是一种广泛分布的膜蛋白。SGLT共有6种，即SGLT（1～6），其中SGLTl主要分布在胃肠道，主要作用为吸收、转运葡萄糖进入血液；SGLT2几乎仅在肾近端小管的S1段表达。SGLT2主要调控肾小管葡萄糖的重吸收。SGLT2抑制剂（达格列净）通过增加肾脏葡萄糖的清除率降低血糖，可减弱肾脏对葡萄糖的重吸收，使多余的葡萄糖从尿液排出，从而降低血糖，为糖尿病的治疗提供了新的降糖药物。经二甲双胍单药治疗不能充分控制血糖的2型糖尿病患者给予达格列净治疗，与安慰剂组相比，空腹血糖水平有明显下降。达格列净可改善单用二甲双胍治疗控制不良患者的血糖水平，且安全性和耐受性较好。其作用机制不依赖于胰岛素，且能降低体重，不增加低血糖风险。但可增加尿道感染的机会。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">四、胰岛素治疗</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1921年Banting和Best成功地发现胰岛素并应用于临床取得显著疗效，自此开创了人类胰岛素治疗的历史。随着现代科学技术的进步，胰岛素制剂及其应用技术均得到不断完善和发展，胰岛素应用越来越广泛。1型糖尿病患者需外源性胰岛素控制血糖，并依赖胰岛素而生存。对2型糖尿病而言，胰岛素抵抗和胰岛素分泌不足均存在。尽管胰岛素抵抗是其发病的主要原因，但随着病程进展，胰岛素分泌不足便成为主要矛盾，最终大部分患者亦需外源胰岛素治疗控制血糖。因此，胰岛素治疗几乎是所有类型糖尿病控制血糖的重要手段。</p><p>胰岛素应用指征（一）1型糖尿病（二）2型糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据病情及β细胞功能测定，可分长期适应证及短期适应证两类。</p><p>1.长期适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①胰岛β细胞功能衰竭。目前趋向于对2型糖尿病患者在合理饮食控制、体力活动并排除各种应激因素时，若联合足量的口服药［如格列本脲（优降糖）20mg/d］应用血糖仍不能达标［空腹血糖FBG＞7.8mmol/L和（或）血糖化血红蛋白HbA1c＞7%］，提示有胰岛素应用的指征。同时，糖负荷后C肽或胰岛素释放水平亦有较强的指导意义。尤其对体重正常或消瘦的糖尿病患者，使用胰岛素的态度应该更加积极。②由于肝、肾功能不全及药物的副作用，而无法坚持口服药物治疗。③存在严重的糖尿病慢性并发症，如3期及以上的视网膜病变、临床糖尿病肾病等。</p><p>2.短期适应证</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括：①严重急性代谢并发症，如糖尿病酮症酸中毒、非酮症高渗性昏迷和乳酸性酸中毒等。待病情稳定后，可根据其胰岛功能决定是否改用口服降糖药或联合或单独胰岛素应用。②急性或慢性应激状态。急性应激状态如：严重感染，急性脑卒中，急性心血管事件，开胸、开腹、截肢或骨科大手术的围术期等。慢性应激状态如：慢性活动性肺结核，慢性活动性肝炎等。③“糖毒性”状态，尤对于空腹血糖高于15mmol/L（也包括初发的患者）。目前认为，此类患者普遍存在高血糖对胰岛β细胞的毒性损伤，为尽快解除葡萄糖毒性作用，可立即予以胰岛素治疗。同时可结合其胰岛功能，若葡萄糖负荷后胰岛素、C肽均低（有建议以2.5倍左右作为参考），则提示有胰岛功能不足存在，胰岛素治疗的指征强。若胰岛功能并不太差，则建议至少须和胰岛素敏感剂合用。</p><p>（三）糖尿病合并妊娠或妊娠糖尿病（四）其他因素引起的糖尿病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如垂体性糖尿病、胰源性糖尿病等。</p><p>胰岛素制剂分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.按照其来源不同 可分为动物胰岛素（牛胰岛素、猪胰岛素、牛-猪混合胰岛素）、半合成人胰岛素、生物合成人胰岛素（即基因工程胰岛素如诺和灵、优泌林等）、胰岛素类似物（速效类似物Lispro、Aspart；特慢类似物Glargine、Detemir）等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.根据其纯度不同 又可分成结晶胰岛素、纯化胰岛素、单组分胰岛素、人胰岛素。常规的结晶胰岛素制剂含有的杂质小于10 000ppm，单组分胰岛素杂质含量小于50ppm，而超纯化制剂的杂质在1～10ppm。胰岛素中的“杂质”主要指胰岛素原、小量的胰岛素二聚体、胰岛素原样产物、胰高血糖素、胰源性多肽、生长激素释放抑制素和某些血管活性多肽等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.根据其作用时间的不同 胰岛素可分为超短效、短效、中效和长效4种。速效（超短效）胰岛素类似物目前在临床上应用的主要有两种：其一是赖脯人胰岛素（Lispro），是用基因工程技术将人胰岛素B28位与B29位氨基酸互换；其二是门冬胰岛素（诺和锐，Aspart），是通过基因工程技术将人胰岛素B28位的脯氨酸替换为门冬氨酸，主要特点是吸收快，作用集中而短，注射时间可在餐前15分钟或餐前即刻。可溶性长效胰岛素类似物制剂目前临床应用的主要也有两种：其一是甘精胰岛素（insulin glargine），其通过胰岛素分子内氨基酸的置换（A21位门冬氨酸被甘氨酸替代，且在人胰岛素B链末端增加2个精氨酸）；其二是长效胰岛素类似物地特胰岛素（insulin detemir），其去除了人胰岛素B30位的氨基酸，并在B29位的赖氨酸上增加了一个肉豆蔻酸侧链。在有锌离子存在的药液中，胰岛素分子仍以六聚体形式存在，而C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">14</span>-脂肪酸链的修饰会使六聚体在皮下组织的扩散和吸收减慢。在单体状态下，含有C<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">14</span>-的脂肪酸链又会与白蛋白结合，进一步减慢吸收入血循环的速度。在血浆中，98%～99%的地特胰岛素与白蛋白结合，因此，向靶组织的扩散也较未结合白蛋白的胰岛素要慢。另外，把不同作用时间的胰岛素按一定比例混合又衍生出新的制剂，即预混胰岛素（表14-4-7），如诺和锐（Aspart）30及优泌乐（Lispro）25。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.目前国际医药市场上胰岛素制剂的品种繁多，国内常用的胰岛素见表14-4-8。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-7　按作用时间分类的胰岛素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126791644071541.jpg\" title=\"1527126791644071541.jpg\" alt=\"T14-4-7_70112.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1014px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：表中各种胰岛素的作用高峰时间和作用持续时间为估计值，仅供参考。在实际应用中可因皮下注射后吸收情况的不同、患者循环中胰岛素抗体浓度和个人的反应不同而产生较大的差异表</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-8　国内常用的胰岛素</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126820907088971.jpg\" title=\"1527126820907088971.jpg\" alt=\"T14-4-8_70111.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1005px; table-layout: fixed;\"/></p><p>胰岛素制剂的使用方式</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统的胰岛素制剂使用方式不外乎静脉滴注、皮下注射两种。但随着科技进步，在胰岛素制剂不断发展的同时，胰岛素应用技术亦得到不断完善。吸入胰岛素（肺吸入、鼻腔吸入、颊黏膜吸入等）、口服胰岛素、胰岛素泵及微针技术等不断进入临床试验。埋植式人工内分泌胰岛、胰岛移植、基因治疗等亦在不断研制中。</p><p>胰岛素的治疗方案与选择</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素治疗方法可因所应用的制剂不同、每天注射的次数不同而产生显著的差异，最终的效果也有明显的区别。</p><p>（一）1型糖尿病的胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者需要胰岛素以控制血糖及维持生存。目前常采用以下胰岛素治疗方案：</p><p>1.分剂混合方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R+N-R+N，早、晚餐前皮下注射短效加中效胰岛素。通常以普通胰岛素（RI）与低精蛋白锌胰岛素（NPH）或慢胰岛素锌悬液（Lente insulin）混合后注射。近年来，常直接使用预混的人胰岛素制剂，其中RI占30%～50%，NPH占50%～70%。在国内亦常使用动物RI与长效制剂（精蛋白锌胰岛素，PZI）混合后注射，其中RI与PZI比例为（2～3）∶1。分剂方案比强化胰岛素治疗时所采用的方案简便易行，在部分患者可获得较好控制。但尚有如下缺点：①血糖较难达到严格控制目标；②晚餐前中效胰岛素作用常不能维持至次日凌晨，致黎明现象突出，增加中效剂量则常于夜间达高峰作用时引起低血糖；③早餐前人中效胰岛素常不能有效控制晚餐前的血糖，换用高峰作用时间出现较晚的动物NPH，则往往不能提供中餐时所需的胰岛素高峰浓度。</p><p>2.改进的分剂混合方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">为防止出现夜间低血糖，克服早晨空腹高血糖，本方案推迟晚餐前中效胰岛素至夜晚睡前注射，在许多患者可收到满意效果。如晚餐前血糖控制不佳，可于中餐前增加注射1次RI。该两种改进方案的缺点是均需将胰岛素注射增至每天3次，并要求进餐时间和进餐量的相对恒定。如患者不愿注射3次，为克服黎明现象，可将传统分剂混合方案中的晚餐前中效换成长效制剂，如超慢胰岛素锌悬液（ultralente）；而对晚餐前血糖控制不佳者，可在早餐前RI加NPH（或Lente）基础上加入适量的Ultralente。这样均可使2次注射的效果接近于3次注射。</p><p>3.多剂注射方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">亦称1日多次胰岛素方案（MDI），即三餐前皮下注射RI，睡前注射中效胰岛素（NPH或Lente）。餐前注射的RI可提供随进餐所需的胰岛素高峰浓度，睡前注射中效胰岛素旨在提供夜间及次晨基础状态下胰岛素血浓度，本方案在强化胰岛素治疗时较常采用。主要优点是：①较易使血糖达到严格控制的目标；②可允许进食量的变化，即可根据即将进餐的食量事先调整一下餐前RI的剂量。其缺点是：①仍需保持进餐时间的相对恒定；②每天注射多达4次。</p><p>4.改进的多剂注射方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">每天餐前仍注射RI，但以长效制剂如Ultralente（或PZI）取代中效制剂进行注射而获基础状态下所需胰岛素浓度，长效胰岛素于睡前注射或晚餐前给予，亦可分早晚两次餐前注射。虽然PZI一次皮下注射后作用可持续24～36小时，但其高峰出现时机并不符合机体生理需求，且其过长的作用有可能导致清晨胰岛素需要量最少时出现低血糖症，故在北美等地已不再使用，而首选人Ultralente。优点是：①血糖较易达到严格控制的目标，而很少引起夜间或清晨低血糖；②首选人Ultralente，早晚2次餐前与RI同时注射，这样每天仅需注射3次，比传统的MDI方案减少1次，但效果更优；③对生活方式影响小，允许进餐量和进餐时间的变动，即使省去1餐（同时省去餐前RI）也不会出现低血糖。其缺点是：①皮下始终保留较多量的胰岛素积存，吸收可能会有变动；②存积胰岛素动员时有导致长时间低血糖的可能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另一改进方案是用Lispro胰岛素取代RI，其中早晚餐前与Ultralente（或NPH）混合，中餐前单独注射Lispro。由于Lispro吸收比RI更快，降糖高峰出现于60～90分钟，故较注射RI更符合生理需要，且可于餐前5～10分钟注射，更为方便，但目前价格较高。</p><p>5.胰岛素泵治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前投入临床使用的主要有两种：</p><p>（1）持续性皮下胰岛素输注（CSII）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">该泵可模拟体内胰岛素基础分泌，持续向皮下输注微量RI或Lispro，并于进餐时显著增加胰岛素释放量，模拟进餐相关的胰岛素分泌。优点是：①可允许进餐量和进餐时间的变化；②可避免皮下大量胰岛素存积。但有如下缺点：①胰岛素补充途径与生理性分泌不同，可产生外周高胰岛素血症和体重增加；②因缺乏皮下胰岛素存积，在泵发生故障且未及时发现时，有可能引起糖尿病性酮症酸中毒；③价格昂贵，有能力并愿意接受CSII治疗的患者较少。</p><p>（2）腹腔内植入型胰岛素输注泵：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此泵经手术植入于腹壁皮下脂肪与腹直肌鞘之间，泵的导管穿过肌鞘悬在腹腔中。与CSII比较，此型泵释放的胰岛素吸收与生理途径相似，进入腹腔的胰岛素大部分被吸收入门静脉，进入肝发挥效应，并约有50%被降解，可避免外周高胰岛素血症，也使血糖更易控制而低血糖发生较少。但该泵需手术植入，增加了患者痛苦和发生感染的机会。此外，治疗费用较高也是其难以推广的一个原因。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">强化胰岛素治疗：DCCT和UKPDS结果的相继发表，证实加强胰岛素治疗，使血糖严格控制可显著减少1型糖尿病慢性并发症的发生率。强化治疗多采用MDI方案，改进的多剂注射方案或CSII治疗。但主要缺点是低血糖发生率显著增高和体重增加。故强化治疗主要用于新诊断的1型患者且无严重并发症、青少年、妊娠糖尿病或糖尿病合并妊娠，以及胰岛素泵治疗者。其他患者是否采用强化治疗，需根据患者各方面情况和条件全盘考虑后确定。</p><p>（二）2型糖尿病的胰岛素治疗1.胰岛素联合口服药治疗方案</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多个临床研究显示，2型糖尿病患者口服降糖药物失效后与胰岛素联合治疗是首选方案。因为只要患者仍有部分内生胰岛功能，内源胰岛素的作用方式更符合生理状况，而且口服降糖药联合胰岛素比单纯胰岛素治疗在长期血糖控制中效果更好，体重上升少，且低血糖发生也较少。在除外饮食不节制及生活不规律的基础上，糖尿病患者的FPG持续升高往往与内源胰岛素缺乏呈线性相关，即FPG越高，胰岛素缺乏越严重。FPG升高的原因有三种情况：药物在夜间作用不足（无论是胰岛素缺乏或肝对胰岛素抵抗严重）；黎明现象；Somogyi现象（低血糖后的高血糖反应）。如果能排除Somogyi现象，均应加强夜间药物作用的强度。因此，建议当FPG＞7mmol/L，应在原治疗基础上联合治疗，FPG＞10mmol/L，应使用胰岛素进行强化治疗。</p><p>（1）睡前联合NPH或长效胰岛素方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">优点是：①无须住院；②使用NPH剂量相对偏小，由于NPH睡前注射6～8U后达峰时恰在黎明时分，降低FPG作用最强，前半夜很少发生低血糖；③血浆INS水平升高轻微；④体重增加少；⑤FPG下降后，白天口服降糖药物作用加强。使用方法：①睡前22：00左右使用NPH或长效胰岛素；起始剂量为0.1～0.2U/（kg？d），每3～5天调整1次胰岛素用量；监测FPG，达标＜6mmol/L。若连续3次＞8mmol/L，上调2～4U；若连续3次在7～8mmol/L，上调2U；②若晚餐后2小时血糖＞10mmol/L，则可使用预混胰岛素，在晚餐前皮下注射，其中普通胰岛素帮助晚餐后血糖控制，NPH在夜间到清晨控制FPG。使用剂量估计：睡前NPH起始剂量一般为4～6U，肥胖者因IR明显或FPG很高时血糖毒性严重，起步量可酌情增加，一般使用剂量肥胖者10～15U，非肥胖者5～10U。</p><p>（2）早餐前和睡前2次NPH注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在睡前NPH方案治疗后，如果FPG达标，早餐后和午餐后血糖下降明显但晚餐后血糖仍高，可在早餐前加用NPH注射，改成NPH 2次注射方案，如果患者需要2次胰岛素注射才能满意控制血糖，表明患者内生胰岛功能较差，可停用磺酰脲类或其他胰岛素促分泌剂。</p><p>2.替代治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病在口服药物联合胰岛素治疗后，随病程延长，如果联合外源胰岛素的日剂量接近生理剂量时，口服促胰岛素分泌剂作用很差，可停用，是否继续使用加强胰岛素作用的药物（如双胍类、噻唑烷二酮类）可视患者使用的胰岛素日剂量和肥胖程度而定，如果胰岛素日剂量 ＞40U，肥胖者可联合上述药物。</p><p>（1）2次预混胰岛素治疗方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">将胰岛素日剂量大约分为3份，2/3用在早餐前，1/3用在晚餐前，注射预混胰岛素（一般为30R或50R），并因人而异地调整剂量。优点是简单、患者依从性好。缺点为：①如果患者内生胰岛功能较差，此方案不符合生理要求；②10∶00～11∶00易出现低血糖，尤其是早餐后2小时血糖＜9mmol/L时；③午餐后血糖很难控制满意，一般需口服α-葡萄糖苷酶抑制剂或双胍类药物帮助改善餐后血糖。此方案一般不适用于内生胰岛功能很差的患者。</p><p>（2）3次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R-R-R+N，三餐前注射。此方案较2次给予预混胰岛素注射更趋近生理需求，但须注意若晚餐前NPH用量大时，前半夜容易发生低血糖。</p><p>（3）4次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R-R-R-NPH，三餐前和睡前注射。此方案为目前推荐的强化治疗方案之一，在2型糖尿病或老年糖尿病需替代胰岛素治疗者使用普遍。优点：①三餐后血糖及FPG均能控制满意，剂量调整易行；②使用得当，不容易发生低血糖。缺点：胰岛素极度缺乏者需全天基础胰岛素补充时，睡前NPH不能覆盖24小时，故注射后16小时基础胰岛素浓度较低，需补充另一剂量NPH以便满足全天基础胰岛素需求。</p><p>（4）5次胰岛素注射方案：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即R+NPH-R-R-NPH，早餐前和睡前NPH和三餐前R注射方案。2次（早8∶00左右，睡前22∶00左右）NPH注射覆盖24小时补充基础胰岛素，三餐前R补充餐后胰岛素，是目前强化治疗模拟生理性胰岛素分泌模式的最理想方案。优点是：与生理性胰岛素分泌模式最接近，2次NPH注射，24小时内基础胰岛素控制餐前及过夜FPG，三餐前R控制进餐后血糖峰值。缺点为：注射次数较多。具体方法：①2次NPH量作为全天基础量的补充，一般占全日胰岛素用量的30%～50%；②其余胰岛素用量分配到三餐前，根据用餐及餐后血糖值适当调整。</p><p>胰岛素剂量调整与注射部位</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素临床应用时，要提倡个体化的用药原则，针对不同患者的文化背景、民族习惯等因素进行必要的调整。血糖控制的成功与否与许多因素有关，其中最主要的是与患者的进食量、活动量及胰岛素用量三者间的平衡密切有关。此外，胰岛素注射部位和深度的不同，以及所使用的胰岛素制剂品种和浓度的不同，都会使药物的吸收发生改变，降糖效果各异。因此胰岛素治疗时剂量应尽量准确，在使用中效或预混制剂时，要进行适当混匀摇晃，切忌振荡，同时注意剂型及药物外观，固定就餐时间和饮食量。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">正常人基础状态下胰岛素每小时分泌1～2U，进餐后每小时约分泌4～5U，1日合计分泌40～50U，多数患者起始剂量为18～24U。各次注射量的分配原则为：早餐前30%～45%，中餐前20%～25%，晚餐前25%～30%，睡前中效胰岛素20%。胰岛素剂量调整的基础是严密监察血糖的控制情况。如餐前血糖高应增加前一餐前的短效胰岛素剂量，餐后血糖高则增加本次餐前的胰岛素剂量，睡前血糖高，应增加晚餐前胰岛素剂量；如血糖偏低，则可相应地减少胰岛素剂量。若早晨高血糖又不能判断原因时，应加测凌晨3～5点的血糖，如属“黎明现象”则增加中效胰岛素1～2U；如属“Somogyi效应”，应减少睡前中效胰岛素1～2U；为减少胰岛素用量和增加体重等原因，可加用口服药物，如二甲双胍或阿卡波糖（拜糖平）等；胰岛素全天用量在20～30U者，可改用口服药物治疗；使用动物胰岛素的患者，换用人基因重组胰岛素时，应减少胰岛素用量2～4U。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注射部位可短期轮流选择上臂、臀部、下肢或腹部皮下。各部位吸收速率如下：腹部＞上臂＞大腿＞臀部。</p><p>胰岛素治疗的主要并发症（一）低血糖反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">低血糖较多发生在希望严格控制血糖的病例，用药时间不当容易促使其发生。应尽量避免低血糖反应，经常发生严重的低血糖反应是极其有害的，对中枢神经系统肯定有不良反应。近年研究证明下丘脑腹内侧核（VMH）是感应血糖的中枢，糖尿病患者VMH葡萄糖感知及信号系统受损，因此糖尿病患者易并发严重的低血糖。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果在控制过程中经常出现低血糖，那明智的措施是减少胰岛素用量，使血糖达到一般控制即可。在实际诊疗时，尤其应重视低血糖反应引起的“Somogyi现象”。</p><p>（二）变态反应</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少数患者在注射部位发生各种变态反应，表现为局部痒、红斑、各种皮肤损害或皮下结节，甚至发生注射局部的脂肪萎缩性增生。这些反应随着高纯度胰岛素的应用而明显减少，可以使用抗组胺药物治疗，也可把高纯度的猪胰岛素或人工合成胰岛素直接再注射到脂肪萎缩的部位，使局部脂肪得以再生。</p><p>（三）胰岛素性水肿</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常出现于血糖控制后4～6日，可能与胰岛素促进肾小管回吸收钠有关。继续应用胰岛素后常可自行消退。</p><p>（四）屈光失常</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此种屈光变化多见于血糖波动较大的幼年型患者。由于治疗时血糖迅速下降，影响晶状体及玻璃体内渗透压，使晶状体屈光率下降，发生远视。此属暂时性变化，一般可随血糖浓度恢复正常而迅速消失，不致发生永久性的改变。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">五、GLP-1类似物</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰高血糖素样肽-1（GLP-1）是肠促胰岛素分泌激素之一，主要是肠道L细胞受营养物质刺激后分泌，经血液循环到达胰腺刺激胰岛β细胞分泌胰岛素。由于天然GLP-1很快就被体内的二肽基酶所灭活，半衰期很短，因此GLP-1类似物改变了其天然结构使其半衰期明显延长以便于临床使用。目前上市的艾塞那肽（每天皮下1次，注1.8mg）和利拉鲁肽（10μg，每天皮下2次）均是这类药物。以肠促胰素分泌为基础的降糖治疗已经获得美国ADA以及中华糖尿病学会的推荐。临床研究表明GLP-1类似物平均能够使HbA1c下降0.97%，与其他降糖药物效果相当。另外，GLP-1类似物具有减轻体重，促进β细胞增殖，改善血脂、收缩压的作用，因此在糖尿病早期使用GLP-1的益处可能会更大。GLP-1类似物最常见的副作用是恶性、腹泻、呕吐。最严重的副作用是胰腺炎和甲状腺肿瘤，但是因果关系并不明确。GLP-1周剂和月剂也正在临床试用中。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">六、减肥手术</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大量证据显示减肥手术能够明显降低伴肥胖的2型糖尿病患者的血糖，甚至可以使一些患者糖尿病完全缓解。主要的类型有胃限制术、胃肠旁路术、十二指肠转置术以及小肠切除术。这些手术对于体重和血糖控制均有效，但是胃肠旁路术效果最好，应用最为广泛。一般推荐BMI大于35的患者可行手术治疗，使大约55%～95%的2型糖尿病患者缓解。BMI30～35之间的2型糖尿病患者减肥手术能够使80%的患者糖尿病缓解（血糖恢复正常并且不用药物控制），而且这种效果可以持续5年以上。减肥手术术后30天手术相关的死亡率为0.28%。长期的并发症主要是营养不良、维生素和微量元素缺乏以及严重低血糖，这些因素是患者远期死亡的危险因素。因此无论采用何种手术都需要一个综合性团队来制定患者的治疗措施和严格掌握手术指针以减少术后近、远期并发症。手术治疗肥胖型2型糖尿病血糖达标率较高，提示某些2型糖尿病患者病况是可逆转的，甚至有些患者是可能治愈的。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '一、饮食治疗饮食治疗是糖尿病的基本治疗方法，各种类型的糖尿病患者都应该坚持科学合理的饮食，即平衡饮食（balance diet），而并非简单地控制进食量，因此建议以平衡饮食替代饮食控制的概念。使之配合运动和药物的作用，良好控制血糖、血脂及血压。饮食治疗的原则1.调控每日摄入的总热量。2.均衡饮食，合理安排各种营养成分，提倡多食粗粮。3.规律、定量饮食，少食多餐。与运动、药物治疗密切配合。4.戒烟、限酒。5.饮食治疗个体化，满足生长发育，满足妊娠、哺乳妇女的特殊需要。6.严格遵守，长期坚持。每日总热量的估计以成人为例：控制每日热量摄入，以维持成人理想体重，保证儿童正常的生长发育，对妊娠和哺乳的妇女要保证充足的营养，对合并其他慢性消耗性疾病的患者应有利于其康复。（1）对每日总热量的限制以维持标准体重为原则，可按下列公式粗略计算：1）桂法：［身高（cm）-100］×0.92）Broca法：身高（cm）-110（身高在165cm以上）身高（cm）-105（身高在165cm以下）其中用桂法计算的结果比较接近我国承认的标准体重表。（2）营养状况的评价：实际体重在标准体重上下10%范围内为正常体重，超过标准体重20%为肥胖，超过10%～20%为超重，低于标准体重10%～20%为体重不足，低于20%为消瘦。也可以用体质指数BMI＝［体重（kg）/身高2（m2）］评价。按中国标准，正常范围是18.5～22.6，小于18.5为体重过低，大于23为超重，大于25为肥胖。（3）劳动强度的评价见表14-4-3。（4）计算总热卡：见表14-4-4。表14-4-3　劳动强度的评价表14-4-4　不同劳动强度每千克体重每日所需热量（kJ/kcal）注：儿童、妊娠和哺乳期妇女按168kJ计算各种营养物质的分配和摄入量1.碳水化合物占总膳食热量的50%～55%，多用米面和一定杂粮，女性以200～250g/d大米，男性以300～350g/d大米为宜。2.蛋白质约占15%～20%。推荐每日摄入0.8～1.2g/kg标准体重，处于生长发育阶段的儿童或糖尿病患者合并感染、妊娠、哺乳、营养不良以及慢性消耗性疾病者，这一比例应适当增加。可每日1.2～1.5g/kg体重计算；儿童每日2g/kg体重。糖尿病肾病患者减至0.6～0.8g/kg体重。其中动物蛋白占到1/3以上。3.脂类脂类＜30%。每日0.6～1.0g/kg体重。单不饱和脂肪酸占10%～15%，多不饱和脂肪酸＜10%，避免反式不饱和脂肪酸，胆固醇＜300mg/d；若血清LDL≥100mmol/dl，则饱和脂肪酸＜7%，胆固醇＜200mg/d。4.维生素、无机盐与微量元素维生素和矿物质充足，尤其是维生素B类和钙。食盐小于3～6g/d。如无心脏和肾、肝病变，进水不限量。5.膳食纤维20～35g/d。6.戒烟、限酒红酒每天少于150ml，白酒每天不超过30ml。酒精可增加低血糖的危险性，应与食物同时摄入。膳食设计每克碳水化合物、蛋白质均产热16.7kJ（4kcal），每克脂肪产热37.7kJ（9kcal）。按照每日所需总热量和各营养素的比例，将热量换算为食物重量。膳食设计时先计算碳水化合物，然后计算蛋白质量，再计算脂肪需要量，最后用炒菜油补足脂肪的需要量。三餐能量一般按1/5、2/5、2/5 或1/7、2/7、2/7、2/7或1/3、1/3、1/3分配。可根据个人饮食习惯、病情和配合药物治疗的需要适当调整。2007年国际糖尿病联盟（IDF）颁布的餐后血糖管理指南，详细阐述了血糖指数（glucose index，GI）和血糖负荷（glucose load，GL）的概念及其在饮食治疗中的应用。GI是指食入含50g碳水化合物的食物后在一定时间（一般为2小时）体内血糖反应水平，与食入相当量的葡萄糖后血糖反应水平的百分比值，反映食物与葡萄糖相比升高血糖的速度和能力。通常将葡萄糖的GI值定为100。一般GI＜55为低GI食物，56～69为中GI食物，＞70为高GI食物。食物摄入后血糖水平还与食物中碳水化合物的含量有关。将摄入碳水化合物的质量和含量结合起来，就产生了一个新的概念，即血糖负荷（GL）。GL值的大小为食物GI值与其碳水化合物含量乘积的百分比。GL值＜10为低GL食物，11～19为中GL食物，GL＞20为高GL食物。下表14-4-5列出常见食物GI值和相应的GL值。表14-4-5　食物血糖指数和血糖负荷食品分类例如，西瓜有相对高的葡萄糖指数（72），但每个单位西瓜中含有相对低的碳水化合物（6），所以糖负荷相对较低，72× 6/100＝4.3，对血糖的影响也相应较低。而烤土豆的葡萄糖指数是85，每个单位中包含30克碳水化合物，对血糖的影响就高得多，85×30/100＝25.5。GL已是心肌梗死的一个独立危险因素。研究结果显示综合考虑血糖指数和血糖负荷有助于餐后血糖波动的控制，并能减少心血管病的危险因素。二、运动疗法（一）糖尿病运动疗法的作用和意义①可增强组织对胰岛素的敏感性；②调节糖代谢、降低血脂；③有利于血糖的控制，加速脂肪分解，降低体脂和控制肥胖；④改善心肺功能，降低血压；⑤改善凝血功能，降低心血管危险；⑥促进心理健康、改善睡眠，提高机体的适应性。（二）适应证和禁忌证主要适用于轻中度2型糖尿病患者，尤其是肥胖者，1型糖尿病患者接受胰岛素治疗病情稳定者亦可。合并各种急性感染，伴有心功能不全或心律失常，患有严重糖尿病慢性并发症，新近发生的血管栓塞，空腹血糖大于16.7mmol/L，立位低血压，糖尿病急性并发症等情况下不宜进行运动疗法。（三）实施1.运动项目有氧代谢运动特点是强度低、有节奏、不中断和持续时间较长，但简单易坚持，此类运动包括：步行、慢跑、骑车、游泳、太极拳、徒手体操、羽毛球、扭秧歌、做健身操等。2.运动量运动量＝运动强度×运动时间，运动强度可以用运动后心率来衡量，如实际运动后心率（靶心率）＝170-年龄（岁），则这样的运动量属于中等。一般以达到靶心率后持续20～30分钟为好。运动后精力充沛、不易疲劳，心率在运动后十分钟内恢复至安静时心率数说明运动量比较适合。也可测定心率指数（运动后心率除以运动前心率）来判断是否到达有氧代谢运动。如果心率指数介于1.3～1.5之间可以认为达到有氧代谢运动。每周至少运动3～5次，累计时间150分钟为好。3.运动时间的选择推荐餐后30分钟～1小时后运动为宜。4.几种常用的运动方法（1）步行：走平路速度在80～100m/min比较适宜，每天走3000m，如果体力不能耐受或时间不允许，可以走10分钟，休息5分钟再走，或者稍放慢速度，不急于求成，应该循序渐进。（2）慢跑：可自10分钟开始，逐步延长至30～40分钟，慢跑速度100m/min比较合适，可以跑步和走路交替进行，也可穿插必要的间歇时间。运动时间和运动强度共同决定了运动量，两者可协调配合。（3）骑自行车：可用功率自行车在室内锻炼，运动强度为450～700kg/（m？min）。也可在室外，但应注意安全，最好在晨间或运动场内进行，速度以8～15km/h为宜。三、口服抗糖尿病药目前临床使用的口服抗糖尿病药主要包括非促胰岛素分泌剂（双胍类、α-葡萄糖苷酶抑制剂和噻唑烷二酮类）和促胰岛素分泌剂（磺酰脲类、格列奈类），近年研制的二肽基肽酶4（DPP-4）抑制剂可阻断胰高血糖素样肽1（GLP-1）的降解而备受青睐。上述药物的作用机制是针对2型糖尿病各种不同的病理生理过程，并有不同的常规剂量和剂型（表14-4-6）。临床医师应据降糖效应、安全性、副作用、耐受性、依从性、降糖外的作用及患者胰岛损伤和胰岛素抵抗的程度、经济状态等，综合平衡多方面因素后选择适当的口服抗糖尿病药，常能获得比较满意的效果。最近专家强调在设计降糖时必须考虑和观察心血管危险因素是否下降。表14-4-6　主要口服降糖药的特点注：a仅在欧洲/美国使用；b在美国未获批准；c在美国被限制处方；d在欧洲已撤市；e2012年将大幅降价双胍类双胍类主要改善胰岛素敏感性，减少肝葡萄糖的生成，抑制葡萄糖在肠道的吸收，轻度改善外周组织对葡萄糖的利用等多种作用，降低空腹和餐后血糖，减轻胰岛素抵抗，改善血脂谱及适当地减轻体重，但对胰岛素分泌并无刺激作用，故不引起高胰岛素血症，被公认为胰岛素增敏剂之一。如单用本剂，对正常人或患者不致引出低血糖症。现知双胍类改善胰岛素敏感性的机制主要通过抑制在2型糖尿病患者中过度表达的浆细胞膜糖蛋白1（PC-1），后者活性的增高，可引起胰岛素抵抗。本类药临床应用的有苯乙双胍和二甲双胍（metformin），前者因严重的不良反应而被弃用。二甲双胍餐时服用，从小剂量开始，初始剂量为500mg/d，每日1次或2次，每1～3周增加500mg，2～3次/天，最有效的剂量是2000mg/d，最大剂量是2550mg/d。目前已有此类药物的缓释型及与格列本脲、格列吡嗪的复合制剂。二甲双胍适用于经单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖患者疗效更佳；用磺酰脲类药物，效果不理想者，可联合此药物；胰岛素治疗的1、2型糖尿病患者，加服双胍类药物可减少胰岛素用量。研究提示，对2型糖尿病的高危人群应用二甲双胍可推迟或防止其发展成2型糖尿病。荟萃分析及UKPDS研究均显示，二甲双胍能更有效地改善大血管病变所致危险。二甲双胍是目前唯一一个既兼顾疗效，又兼顾费用及安全的降糖药物，几乎各个糖尿病指南均将二甲双胍推荐为2型糖尿病治疗的一线用药。二甲双胍单药治疗不会导致低血糖的发生，但长期的剧烈运动后可发生低血糖。二甲双胍可增加乳酸酸中毒的危险，但非常罕见，其发生率低于1/100 000，故不应在肾功能不全、任何形式的酸中毒、充血性心力衰竭、肝病和严重缺氧患者中使用，在男性血肌酐＞1.5mg/dl或女性＞1.4mg/dl者禁用，如肌酐清除率不正常亦禁用，定期检查肾功能。其最常见的胃肠道不良反应是腹泻、厌食、恶心、金属味等，通过调节剂量可以有效避免。在危重、不能进食、接受放射显影造影剂的患者应停用，并使用胰岛素一直到再次服用二甲双胍。由于该类药在肝代谢，故不应在肝疾病或重度酒精摄入的患者中使用。磺酰脲类（一）作用机制磺酰脲类药物是通过与胰岛β细胞膜上的磺酰脲受体结合，关闭β细胞ATP-K+通道，导致β细胞去极化，促进钙离子内流增加，促进胰岛素释放，发挥降糖作用。其降糖作用有赖于尚存的相当数量（30%以上）有功能的胰岛β细胞组织。此外，目前认为磺酰脲类药物不是单纯的胰岛素促分泌剂，有很强的胰外降糖作用，包括增强靶组织对胰岛素的敏感性，改善胰岛素受体和（或）受体后缺陷等作用。（二）适应证和禁忌证磺酰脲类适用于：①饮食治疗和体育锻炼不能获得良好控制的非肥胖2型糖尿病患者；②肥胖2型糖尿病患者应用双胍类降糖药血糖控制仍不满意，或因胃肠道反应不能耐受，可加用或改用磺酰脲类降糖药；③磺酰脲类继发性失效后可与胰岛素联合；④每日胰岛素需要量在0.3U/kg体重以下者。下述情况禁用磺酰脲类药物而应予胰岛素治疗：①1型糖尿病患者；②糖尿病急性并发症者；③2型糖尿病合并严重慢性并发症；④急性严重感染、手术、创伤等应激；⑤严重肝、肾功能不全。（三）磺酰脲类失效糖尿病患者初用磺酰脲类药物，应用足量［如每天格列齐特（达美康）240mg］，1个月后未见明显的降糖效应（＞14mmol/L），称为原发性失效。其发生率约为20%～30%，可能与缺乏饮食控制、严重的胰岛β细胞功能损害等有关，此时应加用或改用α-葡萄糖苷酶抑制剂或胰岛素等治疗。使用磺酰脲类药物已取得良好疗效，但在使用过程（1个月以上，多数在1年以上）中突然或逐渐疗效消失，虽使用至足量（次足量）仍不能达到良好的血糖控制（空腹血糖仍然高于11.1mmol/L，餐后2小时血糖高于14mmol/L），称继发性失效，发生率约为20%～30%，其发生率随使用时间的延长而增多。继发性失效与胰岛素β细胞功能下降和外周组织的胰岛素抵抗等密切相关，应重新审查适应证及可能存在的可消除性诱因。继发性失效者宜联合应用其他类型的抗糖尿病药物或改用胰岛素治疗。（四）不良反应主要的不良反应有低血糖反应、体重增加、高胰岛素血症，其中低血糖反应常在夜间、空腹或餐后4～6小时发生，通常与过量服用、饮食不配合、体力活动增加、酒精摄入或肾功能不全等有关，尤其在老年患者多见。体重增加是由胰岛素水平增加及血糖控制好转所致。其他少见的副作用有胃肠道反应、皮肤反应（皮肤瘙痒、红斑、剥脱性皮炎等）、血液系统反应（白细胞减少、粒细胞缺乏、贫血、血小板减少等）、中毒性肝炎等，一旦出现，应立即停药，并给予相应处理。（五）注意事项要酌情调整磺酰脲类药物，应从低剂量开始，每4～7天增减剂量一次，根据自我监测血糖结果调整药量。餐前半小时服用疗效最佳，因为服药后1.5小时药效最强，而餐后1小时又是血糖最高，故两个高峰重叠就可以取得更好疗效。但由于磺酰脲类药效时间较长，餐后服用药效相对温和，尤其对高龄患者，餐后服药可避免遗忘，对预防发生低血糖更有意义。磺酰脲类药都在肝内代谢，建议定期评估肝功能。应用时还要注意与其他药物的相互作用，如水杨酸制剂、磺胺类药物、保泰松、氯霉素、胍乙啶、利舍平、β-肾上腺素与拮抗剂、单胺氧化酶抑制剂等药可减弱糖异生或降低磺酰脲类与血浆蛋白结合，或降低磺酰脲类（SU）在肝的代谢和肾的排泄等机制，增强SU的降糖效应；噻嗪类利尿药、呋塞米、依他尼酸（利尿酸）、糖皮质激素、雌激素、钙拮抗药、苯妥英钠、苯巴比妥等药物因抑制胰岛素，或拮抗胰岛素作用，或促进磺酰脲类在肝降解等，可减低磺酰脲类药的降糖作用。（六）选择最大剂量时，一般情况下，不推荐使用第一代磺酰脲类药物，除非患者有良好的服药史。第二代磺酰脲类药物副作用较小，可提供更佳的预期疗效。其次应根据患者的一般情况如年龄、并发症、患者的依从性、肝肾功能及药物的临床特点等选用不同的药物。如对老年、合并糖尿病并发症尤其是肾并发症或肝肾功能较差的患者，应选用短半衰期的速效药物，防止低血糖的发生；而依从性差的患者，则可选用使用方便、作用时间较长的药物，以达到良好的血糖控制；肾功能较差的患者可选用格列喹酮，以防止药物蓄积引起的低血糖反应。再次选择时还要考虑到药物的缺血预适应，对有心、脑等缺血性疾病的2型糖尿病患者，应选用对β细胞膜ATP-K+有高亲和力和高选择性的磺酰脲类。临床研究证实格列齐特、格列吡嗪缓释片等在治疗浓度下不阻断心、脑ATP-K+开放所激发的舒血管效应。（七）第二代磺酰脲类有格列本脲（优降糖）、格列吡嗪（美吡达或优哒灵，其控释片为瑞易宁，注意控释片只能整片服用，切割后便失去控释功能）、格列齐特（达美康）、格列波脲（克糖利）、格列喹酮（糖适平）及格列美脲等药。格列本脲的降糖作用在口服降糖药中最强，最大副作用是较容易引起低血糖，甚至导致严重或顽固性低血糖及低血糖昏迷。故老年糖尿病，肝、肾功能不全和有心脑血管并发症的患者，应慎用或禁用。格列吡嗪24小时内经肾排泄达97%。一般不易发生体内蓄积，不会发生持续的低血糖。在肾功能减退者优先选用，剂量大于15mg时，应分次服用。格列齐特60%～70%从肾排泄，10%～20%自胃肠道排出，比较适用于老年糖尿病患者。大多数患者对此药耐受性好，偶有腹痛、恶心、头晕及皮疹，剂量过大者也可引起低血糖反应。Advance研究证实以格列齐特（达美康）为基础的降糖治疗可使2型糖尿病患者糖化血红蛋白长期稳定在6.5%以下，且显著降低新发和恶化肾病发生率及大量蛋白尿的发生率。格列波脲主要从肾排泄。格列喹酮95%从胆道经肠随粪便排泄，仅5%由肾排出。适用于老年糖尿病，糖尿病伴轻、中度肾功能减退及服用其他磺酰脲类药物反复发生低血糖的患者。格列美脲具有胰岛磺酰脲类受体结合特异性、更快的起效时间、更短的作用时间，临床研究发现其对心血管作用及低血糖反应较少。适合与胰岛素联合治疗，显示有一定的胰岛素增敏作用。格列奈类（一）作用机制格列奈类药物是一种非磺酰脲类的促胰岛素分泌剂，是苯甲酸或苯丙氨酸的衍生物，与胰岛β细胞膜ATP敏感钾离子通道上的受体结合后，关闭β细胞膜上的ATP依赖性钾通道，使细胞膜去极化，造成钙离子内流，细胞内钙离子浓度增加而引起胰岛素的释放，降低餐后血糖。但与磺酰脲类药物的结合位点完全不同，格列奈类药物结合于ATP依赖性钾通道36kDa的磺酰脲类受体，不影响β细胞的胞吐作用。此类药物可有效增强胰岛素基础分泌、第一相分泌，增强胰岛素脉冲分泌的振幅，对胰岛素第二相分泌无影响或影响很小。因其起效快，作用时间较短，通常应在进餐当时服用。格列奈类刺激胰岛β细胞释放胰岛素的作用是依赖于一定的血浆葡萄糖水平，在葡萄糖浓度较低的情况下，其对基础胰岛素分泌的刺激作用也微弱。此外，格列奈类还能保护β细胞数量，不诱导β细胞凋亡。（二）临床应用目前应用于临床的有瑞格列奈和那格列奈。适用于饮食控制、降低体重及运动治疗尚不能有效控制的2型糖尿病患者，其中新诊断的非肥胖者可作为首选，对餐后血糖增高者更适合。可单独使用，也可与双胍类、噻唑烷二酮类联合用药。瑞格列奈在新诊断的或HbA1c＜8%的2型糖尿病时，剂量每餐0.5mg，HbA1c＞8%时每餐1～2mg。瑞格列奈92%经大小便、胆汁途径排出，不加重肾负担，无因肾功能不全引起的药物蓄积，是2型糖尿病并发肾功能不全患者的首选用药。那格列奈引起餐后胰岛素快速、短期分泌，起效比瑞格列奈快，持续作用时间为2小时，每次60～120mg，餐前即时服用。在妊娠期及哺乳期妇女、1型糖尿病患者、糖尿病酮症酸中毒、严重肝功能不全及对本品产生变态反应者禁用。（三）不良反应及注意事项瑞格列奈的不良反应有低血糖反应、体重增加和高胰岛素血症，肝、肾功能减退者慎用。那格列奈发生低血糖的可能性小，无明显禁忌证，但中、重度肝病应慎用，需定期评估肝功能。此外有轻度的胃肠道反应、暂时性视觉异常、皮肤变态反应等。格列奈类起效快（口服30分钟内起效）、达峰时间早（1小时达峰），为了减少餐后血糖漂移，峰群居高不降，也可在餐前15～30分钟给药。根据进餐时间灵活掌握，即进餐、服药，不进餐、不服药。噻唑烷二酮类噻唑烷二酮类（thiazolidinediones）降糖药是过氧化物酶体增殖物活化受体-γ（PPAR-γ）激动剂，通过结合和激活PPAR-γ，从而改善胰岛素抵抗，促进葡萄糖吸收和脂肪分化，轻度降低肝葡萄糖输出；保护β细胞功能；减轻血管炎症反应。目前在临床上可使用的有吡格列酮和罗格列酮，尽管不能进行两者之间的直接比较，但它们有相似的疗效。罗格列酮单次或分次剂量开始为4mg/d，必要时12周内增加至8mg/d，最大剂量为8mg/d；吡格列酮开始剂量为15～30mg/d，单药治疗最大剂量为45mg/d，联合治疗为30mg/d。噻唑烷二酮类药物增加胰岛素敏感性，同时降低空腹血糖和餐后血糖，防治糖尿病血管并发症。糖尿病终点进展试验（ADOPT）研究结果显示，单一药物治疗糖尿病时，罗格列酮比二甲双胍或格列本脲在延缓药物失效方面的效果更加显著，罗格列酮能延缓进行性高血糖，优于二甲双胍或格列本脲。因此，此类药物适用于2型糖尿病的胰岛素抵抗及糖耐量减低的治疗，此外，妊娠期糖尿病、肥胖、高血压、血脂异常、多囊卵巢综合征等常伴有胰岛素抵抗，也可使用本类药。该类药物可引起轻度体重增加（1～2kg），轻中度外周性水肿，血细胞比容下降和血容量增加。研究显示该类药物应用后心衰发生率增加，但心衰病死率没增加，提示心衰与水钠潴留有关。另外，如果谷丙转氨酶（ALT）大于正常上限2.5倍应避免使用，ALT大于正常上限3倍应停用。因此肝病或充血性心力衰竭患者禁忌使用噻唑烷二酮类。我国FDA将罗格列酮的适应证修改为其他降糖药物无法达到血糖控制目标的2型糖尿病患者。α-葡萄糖苷酶抑制剂α-葡萄糖苷酶抑制剂（α-glucosidase inhibitor）是通过抑制小肠绒毛中分解寡糖为单糖的葡萄糖苷酶活性，延缓复杂碳水化合物和双糖的分解和消化，延迟并减少肠腔对葡萄糖的吸收，主要降低餐后血糖，而不影响葡萄糖利用和胰岛素分泌。阿卡波糖主要抑制α-淀粉酶，伏格列波糖主要抑制麦芽糖酶和蔗糖酶。长期应用可以降低空腹血糖，这是由于持续抑制餐后高血糖而减少了胰岛素的需要量和消除了高葡萄糖毒性，因此减轻了胰腺β细胞的负荷。该药还可以增加外周组织对胰岛素的敏感性、减轻对胰岛素抵抗的作用。本类药物常用有阿卡波糖（acarbose）、伏格列波糖、米格列醇等。适用于单纯饮食治疗和体育锻炼不能满意控制的2型糖尿病，尤其是肥胖者更优，可单独使用，也可与双胍类、磺酰脲类、胰岛素联合用药；糖耐量减低（IGT）的干预治疗；1型糖尿病患者的餐后高血糖，不能单独用α-葡萄糖苷酶抑制剂，应与胰岛素联合应用。该类药要和第一口糖类食物同时服用，饮食成分中有一定碳水化合物时才能发挥效果。因此，特别适合于传统中国饮食结构的人群。单用此药一般不会引起低血糖，但若与磺酰脲类或胰岛素联合应用时，可能出现低血糖。此时应使用葡萄糖来纠正，而不能给蔗糖口服，因为复合糖的降解和吸收迟缓，且该类药可抑制蔗糖吸收。主要的副作用有肠胃胀气、腹胀、腹泻，可能与寡糖排至大肠增加有关。采用小剂量开始，逐渐加量法，可减轻胃肠道反应，如需要，可以阿卡波糖25mg，每日两次开始，每隔1～2周，每日增加25mg至预定每日用量。如果同时存在胃肠道疾病，不宜应用本药，并且应避免与消化酶制剂、抗酸剂同时治疗。此类药物部分从肾排泄，故血肌酐大于177μmol/L时应避免使用。阿卡波糖可引起肝损伤，因此服药第1年应该每3个月检查血清转氨酶。二肽基肽酶4（DPP-4）抑制剂近年研究证实IGT和T2DM患者餐后GLP-1下降，应用GLP-1的类似物（exenatide）明显改善血糖，其机制涉及增加胰岛素分泌、抑制胰高血糖素分泌、减少肝糖输出、抑制肠道葡萄糖吸收及改善β细胞的功能。GLP-1从肠道L细胞分泌至血循环很快降解。DPP-4抑制剂阻断GLP-1的降解，DPP-4抑制剂（西格列汀、沙格列汀等）已获批准临床应用并获得好评。在二甲双胍基础上加用西格列汀的疗效与加用磺酰脲类药物格列吡嗪相当，HbA1c从基线7.5%下降了0.7%，而且前者具有耐受性良好的优点，患者体重显著减轻（-1.5kg，+1.1kg），低血糖发生率也降低（5%对32%）。由于西格列汀的安全性好（尤其是低血糖事件减少），使其在大多数患者中与二甲双胍早期联合应用成为可能。临床研究显示，西格列汀（50mg，每日2次）与二甲双胍（1000mg，每日2次）联用，HbA1c水平在第1年和第2年时分别下降1.8%和1.7%。最常见报告的不良反应是鼻塞或流涕，以及咽喉痛、上呼吸道感染和头痛。因其79%以原形从尿排出，故在肾功能减退的患者应减量。DPP-4抑制剂不适用1型糖尿病及糖尿病酮症酸中毒的治疗。近期上市的利格列汀（Tradjenta？5mg每日给药一次）应用于已经接受了饮食控制和体育锻炼的成年T2D患者的血糖水平的改善。在利格列汀治疗过程中，无需因患者肾功能或肝功能的下降而进行剂量调整。胆汁酸螯合剂胆汁酸螯合剂通过在胃肠道交换胆汁酸中的氯离子，将其从肠肝循环中螯合出来，阻断胆汁从肠道的再吸收。一般用于降低胆固醇，近年研究证明胆汁酸螯合剂（4g，每日3次）可改善血糖控制，减少肝糖合成并抑制糖原分解，激活GLP-1受体；通过激活棕色脂肪和肌肉中G蛋白偶联受体TGR5，诱导GLP-1释放，改善胰腺功能，减少肝糖输出，提高葡萄糖耐量。副作用主要表现为便秘、腹泻和腹胀等胃肠道不良反应。溴隐亭2009年美国FDA批准速效溴隐亭Cycloset可以作为饮食运动控制不佳的2型糖尿病患者的辅助治疗。与以往降糖药物作用机制完全不同，Cycloset属于一种麦角类生物碱，主要是通过作用于中枢多巴胺D2受体影响营养物质代谢的昼夜节律达到调控血糖的目的。速效溴隐亭（每天2.5～5mg）与安慰剂相比能够降低糖化血红蛋白0.5%～0.7%，能够显著降低空腹及三餐后游离脂肪酸和甘油三酯浓度，减少心血管事件。除此之外对于体重无明显影响，而且有轻度降低血压作用。副作用主要是轻度的恶心，低血糖发生率极低。钠-葡萄糖同向转运蛋白抑制剂钠-葡萄糖同向转运蛋白（sodium glucose cotransporter）（SGLT）是一种广泛分布的膜蛋白。SGLT共有6种，即SGLT（1～6），其中SGLTl主要分布在胃肠道，主要作用为吸收、转运葡萄糖进入血液；SGLT2几乎仅在肾近端小管的S1段表达。SGLT2主要调控肾小管葡萄糖的重吸收。SGLT2抑制剂（达格列净）通过增加肾脏葡萄糖的清除率降低血糖，可减弱肾脏对葡萄糖的重吸收，使多余的葡萄糖从尿液排出，从而降低血糖，为糖尿病的治疗提供了新的降糖药物。经二甲双胍单药治疗不能充分控制血糖的2型糖尿病患者给予达格列净治疗，与安慰剂组相比，空腹血糖水平有明显下降。达格列净可改善单用二甲双胍治疗控制不良患者的血糖水平，且安全性和耐受性较好。其作用机制不依赖于胰岛素，且能降低体重，不增加低血糖风险。但可增加尿道感染的机会。四、胰岛素治疗1921年Banting和Best成功地发现胰岛素并应用于临床取得显著疗效，自此开创了人类胰岛素治疗的历史。随着现代科学技术的进步，胰岛素制剂及其应用技术均得到不断完善和发展，胰岛素应用越来越广泛。1型糖尿病患者需外源性胰岛素控制血糖，并依赖胰岛素而生存。对2型糖尿病而言，胰岛素抵抗和胰岛素分泌不足均存在。尽管胰岛素抵抗是其发病的主要原因，但随着病程进展，胰岛素分泌不足便成为主要矛盾，最终大部分患者亦需外源胰岛素治疗控制血糖。因此，胰岛素治疗几乎是所有类型糖尿病控制血糖的重要手段。胰岛素应用指征（一）1型糖尿病（二）2型糖尿病根据病情及β细胞功能测定，可分长期适应证及短期适应证两类。1.长期适应证包括：①胰岛β细胞功能衰竭。目前趋向于对2型糖尿病患者在合理饮食控制、体力活动并排除各种应激因素时，若联合足量的口服药［如格列本脲（优降糖）20mg/d］应用血糖仍不能达标［空腹血糖FBG＞7.8mmol/L和（或）血糖化血红蛋白HbA1c＞7%］，提示有胰岛素应用的指征。同时，糖负荷后C肽或胰岛素释放水平亦有较强的指导意义。尤其对体重正常或消瘦的糖尿病患者，使用胰岛素的态度应该更加积极。②由于肝、肾功能不全及药物的副作用，而无法坚持口服药物治疗。③存在严重的糖尿病慢性并发症，如3期及以上的视网膜病变、临床糖尿病肾病等。2.短期适应证包括：①严重急性代谢并发症，如糖尿病酮症酸中毒、非酮症高渗性昏迷和乳酸性酸中毒等。待病情稳定后，可根据其胰岛功能决定是否改用口服降糖药或联合或单独胰岛素应用。②急性或慢性应激状态。急性应激状态如：严重感染，急性脑卒中，急性心血管事件，开胸、开腹、截肢或骨科大手术的围术期等。慢性应激状态如：慢性活动性肺结核，慢性活动性肝炎等。③“糖毒性”状态，尤对于空腹血糖高于15mmol/L（也包括初发的患者）。目前认为，此类患者普遍存在高血糖对胰岛β细胞的毒性损伤，为尽快解除葡萄糖毒性作用，可立即予以胰岛素治疗。同时可结合其胰岛功能，若葡萄糖负荷后胰岛素、C肽均低（有建议以2.5倍左右作为参考），则提示有胰岛功能不足存在，胰岛素治疗的指征强。若胰岛功能并不太差，则建议至少须和胰岛素敏感剂合用。（三）糖尿病合并妊娠或妊娠糖尿病（四）其他因素引起的糖尿病如垂体性糖尿病、胰源性糖尿病等。胰岛素制剂分类1.按照其来源不同 可分为动物胰岛素（牛胰岛素、猪胰岛素、牛-猪混合胰岛素）、半合成人胰岛素、生物合成人胰岛素（即基因工程胰岛素如诺和灵、优泌林等）、胰岛素类似物（速效类似物Lispro、Aspart；特慢类似物Glargine、Detemir）等。2.根据其纯度不同 又可分成结晶胰岛素、纯化胰岛素、单组分胰岛素、人胰岛素。常规的结晶胰岛素制剂含有的杂质小于10 000ppm，单组分胰岛素杂质含量小于50ppm，而超纯化制剂的杂质在1～10ppm。胰岛素中的“杂质”主要指胰岛素原、小量的胰岛素二聚体、胰岛素原样产物、胰高血糖素、胰源性多肽、生长激素释放抑制素和某些血管活性多肽等。3.根据其作用时间的不同 胰岛素可分为超短效、短效、中效和长效4种。速效（超短效）胰岛素类似物目前在临床上应用的主要有两种：其一是赖脯人胰岛素（Lispro），是用基因工程技术将人胰岛素B28位与B29位氨基酸互换；其二是门冬胰岛素（诺和锐，Aspart），是通过基因工程技术将人胰岛素B28位的脯氨酸替换为门冬氨酸，主要特点是吸收快，作用集中而短，注射时间可在餐前15分钟或餐前即刻。可溶性长效胰岛素类似物制剂目前临床应用的主要也有两种：其一是甘精胰岛素（insulin glargine），其通过胰岛素分子内氨基酸的置换（A21位门冬氨酸被甘氨酸替代，且在人胰岛素B链末端增加2个精氨酸）；其二是长效胰岛素类似物地特胰岛素（insulin detemir），其去除了人胰岛素B30位的氨基酸，并在B29位的赖氨酸上增加了一个肉豆蔻酸侧链。在有锌离子存在的药液中，胰岛素分子仍以六聚体形式存在，而C14-脂肪酸链的修饰会使六聚体在皮下组织的扩散和吸收减慢。在单体状态下，含有C14-的脂肪酸链又会与白蛋白结合，进一步减慢吸收入血循环的速度。在血浆中，98%～99%的地特胰岛素与白蛋白结合，因此，向靶组织的扩散也较未结合白蛋白的胰岛素要慢。另外，把不同作用时间的胰岛素按一定比例混合又衍生出新的制剂，即预混胰岛素（表14-4-7），如诺和锐（Aspart）30及优泌乐（Lispro）25。4.目前国际医药市场上胰岛素制剂的品种繁多，国内常用的胰岛素见表14-4-8。表14-4-7　按作用时间分类的胰岛素注：表中各种胰岛素的作用高峰时间和作用持续时间为估计值，仅供参考。在实际应用中可因皮下注射后吸收情况的不同、患者循环中胰岛素抗体浓度和个人的反应不同而产生较大的差异表表14-4-8　国内常用的胰岛素胰岛素制剂的使用方式传统的胰岛素制剂使用方式不外乎静脉滴注、皮下注射两种。但随着科技进步，在胰岛素制剂不断发展的同时，胰岛素应用技术亦得到不断完善。吸入胰岛素（肺吸入、鼻腔吸入、颊黏膜吸入等）、口服胰岛素、胰岛素泵及微针技术等不断进入临床试验。埋植式人工内分泌胰岛、胰岛移植、基因治疗等亦在不断研制中。胰岛素的治疗方案与选择胰岛素治疗方法可因所应用的制剂不同、每天注射的次数不同而产生显著的差异，最终的效果也有明显的区别。（一）1型糖尿病的胰岛素治疗1型糖尿病患者需要胰岛素以控制血糖及维持生存。目前常采用以下胰岛素治疗方案：1.分剂混合方案即R+N-R+N，早、晚餐前皮下注射短效加中效胰岛素。通常以普通胰岛素（RI）与低精蛋白锌胰岛素（NPH）或慢胰岛素锌悬液（Lente insulin）混合后注射。近年来，常直接使用预混的人胰岛素制剂，其中RI占30%～50%，NPH占50%～70%。在国内亦常使用动物RI与长效制剂（精蛋白锌胰岛素，PZI）混合后注射，其中RI与PZI比例为（2～3）∶1。分剂方案比强化胰岛素治疗时所采用的方案简便易行，在部分患者可获得较好控制。但尚有如下缺点：①血糖较难达到严格控制目标；②晚餐前中效胰岛素作用常不能维持至次日凌晨，致黎明现象突出，增加中效剂量则常于夜间达高峰作用时引起低血糖；③早餐前人中效胰岛素常不能有效控制晚餐前的血糖，换用高峰作用时间出现较晚的动物NPH，则往往不能提供中餐时所需的胰岛素高峰浓度。2.改进的分剂混合方案为防止出现夜间低血糖，克服早晨空腹高血糖，本方案推迟晚餐前中效胰岛素至夜晚睡前注射，在许多患者可收到满意效果。如晚餐前血糖控制不佳，可于中餐前增加注射1次RI。该两种改进方案的缺点是均需将胰岛素注射增至每天3次，并要求进餐时间和进餐量的相对恒定。如患者不愿注射3次，为克服黎明现象，可将传统分剂混合方案中的晚餐前中效换成长效制剂，如超慢胰岛素锌悬液（ultralente）；而对晚餐前血糖控制不佳者，可在早餐前RI加NPH（或Lente）基础上加入适量的Ultralente。这样均可使2次注射的效果接近于3次注射。3.多剂注射方案亦称1日多次胰岛素方案（MDI），即三餐前皮下注射RI，睡前注射中效胰岛素（NPH或Lente）。餐前注射的RI可提供随进餐所需的胰岛素高峰浓度，睡前注射中效胰岛素旨在提供夜间及次晨基础状态下胰岛素血浓度，本方案在强化胰岛素治疗时较常采用。主要优点是：①较易使血糖达到严格控制的目标；②可允许进食量的变化，即可根据即将进餐的食量事先调整一下餐前RI的剂量。其缺点是：①仍需保持进餐时间的相对恒定；②每天注射多达4次。4.改进的多剂注射方案每天餐前仍注射RI，但以长效制剂如Ultralente（或PZI）取代中效制剂进行注射而获基础状态下所需胰岛素浓度，长效胰岛素于睡前注射或晚餐前给予，亦可分早晚两次餐前注射。虽然PZI一次皮下注射后作用可持续24～36小时，但其高峰出现时机并不符合机体生理需求，且其过长的作用有可能导致清晨胰岛素需要量最少时出现低血糖症，故在北美等地已不再使用，而首选人Ultralente。优点是：①血糖较易达到严格控制的目标，而很少引起夜间或清晨低血糖；②首选人Ultralente，早晚2次餐前与RI同时注射，这样每天仅需注射3次，比传统的MDI方案减少1次，但效果更优；③对生活方式影响小，允许进餐量和进餐时间的变动，即使省去1餐（同时省去餐前RI）也不会出现低血糖。其缺点是：①皮下始终保留较多量的胰岛素积存，吸收可能会有变动；②存积胰岛素动员时有导致长时间低血糖的可能。另一改进方案是用Lispro胰岛素取代RI，其中早晚餐前与Ultralente（或NPH）混合，中餐前单独注射Lispro。由于Lispro吸收比RI更快，降糖高峰出现于60～90分钟，故较注射RI更符合生理需要，且可于餐前5～10分钟注射，更为方便，但目前价格较高。5.胰岛素泵治疗目前投入临床使用的主要有两种：（1）持续性皮下胰岛素输注（CSII）：该泵可模拟体内胰岛素基础分泌，持续向皮下输注微量RI或Lispro，并于进餐时显著增加胰岛素释放量，模拟进餐相关的胰岛素分泌。优点是：①可允许进餐量和进餐时间的变化；②可避免皮下大量胰岛素存积。但有如下缺点：①胰岛素补充途径与生理性分泌不同，可产生外周高胰岛素血症和体重增加；②因缺乏皮下胰岛素存积，在泵发生故障且未及时发现时，有可能引起糖尿病性酮症酸中毒；③价格昂贵，有能力并愿意接受CSII治疗的患者较少。（2）腹腔内植入型胰岛素输注泵：此泵经手术植入于腹壁皮下脂肪与腹直肌鞘之间，泵的导管穿过肌鞘悬在腹腔中。与CSII比较，此型泵释放的胰岛素吸收与生理途径相似，进入腹腔的胰岛素大部分被吸收入门静脉，进入肝发挥效应，并约有50%被降解，可避免外周高胰岛素血症，也使血糖更易控制而低血糖发生较少。但该泵需手术植入，增加了患者痛苦和发生感染的机会。此外，治疗费用较高也是其难以推广的一个原因。强化胰岛素治疗：DCCT和UKPDS结果的相继发表，证实加强胰岛素治疗，使血糖严格控制可显著减少1型糖尿病慢性并发症的发生率。强化治疗多采用MDI方案，改进的多剂注射方案或CSII治疗。但主要缺点是低血糖发生率显著增高和体重增加。故强化治疗主要用于新诊断的1型患者且无严重并发症、青少年、妊娠糖尿病或糖尿病合并妊娠，以及胰岛素泵治疗者。其他患者是否采用强化治疗，需根据患者各方面情况和条件全盘考虑后确定。（二）2型糖尿病的胰岛素治疗1.胰岛素联合口服药治疗方案多个临床研究显示，2型糖尿病患者口服降糖药物失效后与胰岛素联合治疗是首选方案。因为只要患者仍有部分内生胰岛功能，内源胰岛素的作用方式更符合生理状况，而且口服降糖药联合胰岛素比单纯胰岛素治疗在长期血糖控制中效果更好，体重上升少，且低血糖发生也较少。在除外饮食不节制及生活不规律的基础上，糖尿病患者的FPG持续升高往往与内源胰岛素缺乏呈线性相关，即FPG越高，胰岛素缺乏越严重。FPG升高的原因有三种情况：药物在夜间作用不足（无论是胰岛素缺乏或肝对胰岛素抵抗严重）；黎明现象；Somogyi现象（低血糖后的高血糖反应）。如果能排除Somogyi现象，均应加强夜间药物作用的强度。因此，建议当FPG＞7mmol/L，应在原治疗基础上联合治疗，FPG＞10mmol/L，应使用胰岛素进行强化治疗。（1）睡前联合NPH或长效胰岛素方案：优点是：①无须住院；②使用NPH剂量相对偏小，由于NPH睡前注射6～8U后达峰时恰在黎明时分，降低FPG作用最强，前半夜很少发生低血糖；③血浆INS水平升高轻微；④体重增加少；⑤FPG下降后，白天口服降糖药物作用加强。使用方法：①睡前22：00左右使用NPH或长效胰岛素；起始剂量为0.1～0.2U/（kg？d），每3～5天调整1次胰岛素用量；监测FPG，达标＜6mmol/L。若连续3次＞8mmol/L，上调2～4U；若连续3次在7～8mmol/L，上调2U；②若晚餐后2小时血糖＞10mmol/L，则可使用预混胰岛素，在晚餐前皮下注射，其中普通胰岛素帮助晚餐后血糖控制，NPH在夜间到清晨控制FPG。使用剂量估计：睡前NPH起始剂量一般为4～6U，肥胖者因IR明显或FPG很高时血糖毒性严重，起步量可酌情增加，一般使用剂量肥胖者10～15U，非肥胖者5～10U。（2）早餐前和睡前2次NPH注射方案：在睡前NPH方案治疗后，如果FPG达标，早餐后和午餐后血糖下降明显但晚餐后血糖仍高，可在早餐前加用NPH注射，改成NPH 2次注射方案，如果患者需要2次胰岛素注射才能满意控制血糖，表明患者内生胰岛功能较差，可停用磺酰脲类或其他胰岛素促分泌剂。2.替代治疗2型糖尿病在口服药物联合胰岛素治疗后，随病程延长，如果联合外源胰岛素的日剂量接近生理剂量时，口服促胰岛素分泌剂作用很差，可停用，是否继续使用加强胰岛素作用的药物（如双胍类、噻唑烷二酮类）可视患者使用的胰岛素日剂量和肥胖程度而定，如果胰岛素日剂量 ＞40U，肥胖者可联合上述药物。（1）2次预混胰岛素治疗方案：将胰岛素日剂量大约分为3份，2/3用在早餐前，1/3用在晚餐前，注射预混胰岛素（一般为30R或50R），并因人而异地调整剂量。优点是简单、患者依从性好。缺点为：①如果患者内生胰岛功能较差，此方案不符合生理要求；②10∶00～11∶00易出现低血糖，尤其是早餐后2小时血糖＜9mmol/L时；③午餐后血糖很难控制满意，一般需口服α-葡萄糖苷酶抑制剂或双胍类药物帮助改善餐后血糖。此方案一般不适用于内生胰岛功能很差的患者。（2）3次胰岛素注射方案：即R-R-R+N，三餐前注射。此方案较2次给予预混胰岛素注射更趋近生理需求，但须注意若晚餐前NPH用量大时，前半夜容易发生低血糖。（3）4次胰岛素注射方案：即R-R-R-NPH，三餐前和睡前注射。此方案为目前推荐的强化治疗方案之一，在2型糖尿病或老年糖尿病需替代胰岛素治疗者使用普遍。优点：①三餐后血糖及FPG均能控制满意，剂量调整易行；②使用得当，不容易发生低血糖。缺点：胰岛素极度缺乏者需全天基础胰岛素补充时，睡前NPH不能覆盖24小时，故注射后16小时基础胰岛素浓度较低，需补充另一剂量NPH以便满足全天基础胰岛素需求。（4）5次胰岛素注射方案：即R+NPH-R-R-NPH，早餐前和睡前NPH和三餐前R注射方案。2次（早8∶00左右，睡前22∶00左右）NPH注射覆盖24小时补充基础胰岛素，三餐前R补充餐后胰岛素，是目前强化治疗模拟生理性胰岛素分泌模式的最理想方案。优点是：与生理性胰岛素分泌模式最接近，2次NPH注射，24小时内基础胰岛素控制餐前及过夜FPG，三餐前R控制进餐后血糖峰值。缺点为：注射次数较多。具体方法：①2次NPH量作为全天基础量的补充，一般占全日胰岛素用量的30%～50%；②其余胰岛素用量分配到三餐前，根据用餐及餐后血糖值适当调整。胰岛素剂量调整与注射部位胰岛素临床应用时，要提倡个体化的用药原则，针对不同患者的文化背景、民族习惯等因素进行必要的调整。血糖控制的成功与否与许多因素有关，其中最主要的是与患者的进食量、活动量及胰岛素用量三者间的平衡密切有关。此外，胰岛素注射部位和深度的不同，以及所使用的胰岛素制剂品种和浓度的不同，都会使药物的吸收发生改变，降糖效果各异。因此胰岛素治疗时剂量应尽量准确，在使用中效或预混制剂时，要进行适当混匀摇晃，切忌振荡，同时注意剂型及药物外观，固定就餐时间和饮食量。正常人基础状态下胰岛素每小时分泌1～2U，进餐后每小时约分泌4～5U，1日合计分泌40～50U，多数患者起始剂量为18～24U。各次注射量的分配原则为：早餐前30%～45%，中餐前20%～25%，晚餐前25%～30%，睡前中效胰岛素20%。胰岛素剂量调整的基础是严密监察血糖的控制情况。如餐前血糖高应增加前一餐前的短效胰岛素剂量，餐后血糖高则增加本次餐前的胰岛素剂量，睡前血糖高，应增加晚餐前胰岛素剂量；如血糖偏低，则可相应地减少胰岛素剂量。若早晨高血糖又不能判断原因时，应加测凌晨3～5点的血糖，如属“黎明现象”则增加中效胰岛素1～2U；如属“Somogyi效应”，应减少睡前中效胰岛素1～2U；为减少胰岛素用量和增加体重等原因，可加用口服药物，如二甲双胍或阿卡波糖（拜糖平）等；胰岛素全天用量在20～30U者，可改用口服药物治疗；使用动物胰岛素的患者，换用人基因重组胰岛素时，应减少胰岛素用量2～4U。注射部位可短期轮流选择上臂、臀部、下肢或腹部皮下。各部位吸收速率如下：腹部＞上臂＞大腿＞臀部。胰岛素治疗的主要并发症（一）低血糖反应低血糖较多发生在希望严格控制血糖的病例，用药时间不当容易促使其发生。应尽量避免低血糖反应，经常发生严重的低血糖反应是极其有害的，对中枢神经系统肯定有不良反应。近年研究证明下丘脑腹内侧核（VMH）是感应血糖的中枢，糖尿病患者VMH葡萄糖感知及信号系统受损，因此糖尿病患者易并发严重的低血糖。如果在控制过程中经常出现低血糖，那明智的措施是减少胰岛素用量，使血糖达到一般控制即可。在实际诊疗时，尤其应重视低血糖反应引起的“Somogyi现象”。（二）变态反应少数患者在注射部位发生各种变态反应，表现为局部痒、红斑、各种皮肤损害或皮下结节，甚至发生注射局部的脂肪萎缩性增生。这些反应随着高纯度胰岛素的应用而明显减少，可以使用抗组胺药物治疗，也可把高纯度的猪胰岛素或人工合成胰岛素直接再注射到脂肪萎缩的部位，使局部脂肪得以再生。（三）胰岛素性水肿常出现于血糖控制后4～6日，可能与胰岛素促进肾小管回吸收钠有关。继续应用胰岛素后常可自行消退。（四）屈光失常此种屈光变化多见于血糖波动较大的幼年型患者。由于治疗时血糖迅速下降，影响晶状体及玻璃体内渗透压，使晶状体屈光率下降，发生远视。此属暂时性变化，一般可随血糖浓度恢复正常而迅速消失，不致发生永久性的改变。五、GLP-1类似物胰高血糖素样肽-1（GLP-1）是肠促胰岛素分泌激素之一，主要是肠道L细胞受营养物质刺激后分泌，经血液循环到达胰腺刺激胰岛β细胞分泌胰岛素。由于天然GLP-1很快就被体内的二肽基酶所灭活，半衰期很短，因此GLP-1类似物改变了其天然结构使其半衰期明显延长以便于临床使用。目前上市的艾塞那肽（每天皮下1次，注1.8mg）和利拉鲁肽（10μg，每天皮下2次）均是这类药物。以肠促胰素分泌为基础的降糖治疗已经获得美国ADA以及中华糖尿病学会的推荐。临床研究表明GLP-1类似物平均能够使HbA1c下降0.97%，与其他降糖药物效果相当。另外，GLP-1类似物具有减轻体重，促进β细胞增殖，改善血脂、收缩压的作用，因此在糖尿病早期使用GLP-1的益处可能会更大。GLP-1类似物最常见的副作用是恶性、腹泻、呕吐。最严重的副作用是胰腺炎和甲状腺肿瘤，但是因果关系并不明确。GLP-1周剂和月剂也正在临床试用中。六、减肥手术大量证据显示减肥手术能够明显降低伴肥胖的2型糖尿病患者的血糖，甚至可以使一些患者糖尿病完全缓解。主要的类型有胃限制术、胃肠旁路术、十二指肠转置术以及小肠切除术。这些手术对于体重和血糖控制均有效，但是胃肠旁路术效果最好，应用最为广泛。一般推荐BMI大于35的患者可行手术治疗，使大约55%～95%的2型糖尿病患者缓解。BMI30～35之间的2型糖尿病患者减肥手术能够使80%的患者糖尿病缓解（血糖恢复正常并且不用药物控制），而且这种效果可以持续5年以上。减肥手术术后30天手术相关的死亡率为0.28%。长期的并发症主要是营养不良、维生素和微量元素缺乏以及严重低血糖，这些因素是患者远期死亡的危险因素。因此无论采用何种手术都需要一个综合性团队来制定患者的治疗措施和严格掌握手术指针以减少术后近、远期并发症。手术治疗肥胖型2型糖尿病血糖达标率较高，提示某些2型糖尿病患者病况是可逆转的，甚至有些患者是可能治愈的。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '12', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '预防', '<p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病的预防包括一、二、三级3个层面，即：一级预防是预防糖尿病的发生；二级预防是预防糖尿病并发症的发生；三级预防就是减少糖尿病的致残率和死亡率，改善糖尿病患者的生活质量。DCCT试验和UKPDS试验均已证实，严格地控制好血糖可以降低糖尿病患者慢性并发症的发生及其病死率和致残率。通过有效的治疗可能终止或逆转早期慢性并发症的发展。以下简述糖尿病的一级预防：</p><p>宣传糖尿病的防治知识</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括在一般人群中宣传糖尿病的防治知识，如糖尿病的定义、症状、体征、常见的并发症以及危险因素，提倡健康的行为，如合理饮食、适量运动、戒烟限酒、心理平衡等。复旦大学音像出版社出版的首部糖尿病教育电视连续剧将糖尿病防治知识融化在日常生活中，比较贴近实际，提高糖尿病教育的效率，可推广使用。</p><p>糖尿病筛查（一）糖尿病高危人群中加强糖尿病筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">建议采用简易糖耐量（空腹及75g无水葡萄糖2小时）筛查。一旦发现有糖耐量受损（IGT）或空腹血糖受损（IFG），应及早实行干预，以降低糖尿病的发病率。防治糖尿病并发症的关键是尽早和尽可能地控制好患者的血糖、血压，纠正血脂紊乱和肥胖、戒烟等导致并发症的危险因素。筛查对象包括：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.有糖尿病家族史者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.年龄≥45岁，BMI≥24，以往有IGT或IFG者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.有高密度脂蛋白胆固醇降低（≤0.91mmol/L，即35mg/dl）和（或）高甘油三酯血症（≥2.75mmol/L，即250mg/dl）者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.有高血压（成人血压≥140/90mmHg）和（或）心脑血管病变者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.年龄≥30岁的妊娠妇女；有妊娠糖尿病史者；曾有分娩巨大儿（出生体重≥4kg）者；有不能解释的滞产者；有多囊卵巢综合征的妇女。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.常年不参加体力活动者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">7.使用一些特殊药物者，如糖皮质激素、利尿药等。</p><p>（二）一般人群的筛查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.体检，如单位集中体检、产前体检、婚前体检、出国前体检等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.通过各级医院门诊检查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.对于一些因大血管病变、高血脂、肥胖及其他与糖尿病有关的疾病住院者，进行常规筛查。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.加强对非内分泌专科医生的培训，使之能尽早发现糖尿病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">筛查的方法可采用空腹血糖（FPG）或口服75g葡萄糖负荷后2小时血糖（2hPG），结果判断详见糖尿病诊断和鉴别诊断。</p><p>糖耐量受损的干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">饮食治疗及运动。二甲双胍及α-葡萄糖苷酶抑制剂可减少糖耐量受损者糖尿病的发生。</p><p>一级预防的目标</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.提高糖尿病的检出率，尽早发现和及时处理糖尿病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.纠正或减少可控制的糖尿病危险因素，预防或降低糖尿病的发生。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '糖尿病的预防包括一、二、三级3个层面，即：一级预防是预防糖尿病的发生；二级预防是预防糖尿病并发症的发生；三级预防就是减少糖尿病的致残率和死亡率，改善糖尿病患者的生活质量。DCCT试验和UKPDS试验均已证实，严格地控制好血糖可以降低糖尿病患者慢性并发症的发生及其病死率和致残率。通过有效的治疗可能终止或逆转早期慢性并发症的发展。以下简述糖尿病的一级预防：宣传糖尿病的防治知识包括在一般人群中宣传糖尿病的防治知识，如糖尿病的定义、症状、体征、常见的并发症以及危险因素，提倡健康的行为，如合理饮食、适量运动、戒烟限酒、心理平衡等。复旦大学音像出版社出版的首部糖尿病教育电视连续剧将糖尿病防治知识融化在日常生活中，比较贴近实际，提高糖尿病教育的效率，可推广使用。糖尿病筛查（一）糖尿病高危人群中加强糖尿病筛查建议采用简易糖耐量（空腹及75g无水葡萄糖2小时）筛查。一旦发现有糖耐量受损（IGT）或空腹血糖受损（IFG），应及早实行干预，以降低糖尿病的发病率。防治糖尿病并发症的关键是尽早和尽可能地控制好患者的血糖、血压，纠正血脂紊乱和肥胖、戒烟等导致并发症的危险因素。筛查对象包括：1.有糖尿病家族史者。2.年龄≥45岁，BMI≥24，以往有IGT或IFG者。3.有高密度脂蛋白胆固醇降低（≤0.91mmol/L，即35mg/dl）和（或）高甘油三酯血症（≥2.75mmol/L，即250mg/dl）者。4.有高血压（成人血压≥140/90mmHg）和（或）心脑血管病变者。5.年龄≥30岁的妊娠妇女；有妊娠糖尿病史者；曾有分娩巨大儿（出生体重≥4kg）者；有不能解释的滞产者；有多囊卵巢综合征的妇女。6.常年不参加体力活动者。7.使用一些特殊药物者，如糖皮质激素、利尿药等。（二）一般人群的筛查1.体检，如单位集中体检、产前体检、婚前体检、出国前体检等。2.通过各级医院门诊检查。3.对于一些因大血管病变、高血脂、肥胖及其他与糖尿病有关的疾病住院者，进行常规筛查。4.加强对非内分泌专科医生的培训，使之能尽早发现糖尿病。筛查的方法可采用空腹血糖（FPG）或口服75g葡萄糖负荷后2小时血糖（2hPG），结果判断详见糖尿病诊断和鉴别诊断。糖耐量受损的干预饮食治疗及运动。二甲双胍及α-葡萄糖苷酶抑制剂可减少糖耐量受损者糖尿病的发生。一级预防的目标1.提高糖尿病的检出率，尽早发现和及时处理糖尿病。2.纠正或减少可控制的糖尿病危险因素，预防或降低糖尿病的发生。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '13', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '并发症', '<h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">慢性并发症</h4><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病慢性并发症发病机制概述</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病慢性并发症（chronic complications of diabetes mellitus）已经成为糖尿病致残、致死的主要原因，普遍认为其发病机制涉及多元醇旁路、蛋白激酶C、己糖胺激活及晚期糖基化产物（AGEs）的多寡，近来发现高血糖诱导的线粒体产生反应性氧化产物（ROS）生成增加可能是糖尿病慢性并发症的共同基础。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病并发症包括心脏和大血管上的微血管病变、心肌病变、心脏自主神经病变和冠心病。1型或2型糖尿病患者心血管并发症的危险性明显增加，外周动脉病变、充血性心力衰竭、冠状动脉疾病、心肌梗死和猝死风险增高1～5倍。心血管病变是2型糖尿病患者的主要死亡原因，也是糖尿病直接和间接费用增加的主要原因。美国国家胆固醇教育计划（NCEP）成人治疗组第三次报告（ATPⅢ）将糖尿病视为冠心病的等同病症。冠心病（CHD）是糖尿病的主要大血管并发症，研究显示糖尿病患者CHD的死亡风险比非糖尿病人群高3～5倍，与非糖尿病的心肌梗死者相似。由于糖尿病并发冠心病时病理改变较严重，其临床表现、治疗与预后与非糖尿病患者不尽相同，且存在的亚临床冠状动脉狭窄可能导致心肌梗死、猝死等并发症，因此在糖尿病人群中筛查CHD具有重要的意义。</p><p>（一）糖尿病冠心病的危险因素及机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">危险因素有高血糖、高收缩压、高胆固醇、低密度脂蛋白增高、高密度脂蛋白下降、年龄、性别、吸烟、家族史等；另外高胰岛素血症、胰岛素抵抗、载脂蛋白B和小而密的LDL增高，白蛋白尿、血小板聚集异常等亦与糖尿病冠心病的发生有关。1型糖尿病病程可作为冠心病是否早发的重要预测因子，病程长短与冠心病发生有关，有白蛋白尿和高血压的1型糖尿病患者冠心病的发生率上升。有些2型糖尿病患者得病若干年后并发冠心病或在发生心绞痛、充血性心力衰竭、心肌梗死时才首次发现患有糖尿病。糖耐量异常与冠心病死亡率上升有关，餐后2小时血糖浓度与动脉粥样硬化病变程度相关。2型糖尿病患者有以下情况应仔细检查，以便确定有无冠状动脉疾病及其严重程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.有典型或非典型的心血管疾病的症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.有周围血管或颈动脉闭塞性疾病。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.基础心电图提示有心肌缺血或梗死。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.长期静坐的生活方式，年龄在35岁以上，计划开始强烈的体育锻炼时。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.除糖尿病外还有以下2种以上危险因素存在的患者：①总胆固醇≥6.24mmol/L，低密度脂蛋白（LDL）胆固醇≥4.16mmol/L，或高密度脂蛋白（HDL）胆固醇＜0.91mmol/L；②血压＞140/90mmHg；③有冠心病家族史；④吸烟史；⑤尿中有微量或大量蛋白者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病理机制是动脉粥样硬化，当粥样硬化斑块破溃或继发血栓形成就触发心血管事件发生，在病理形态学上糖尿病患者的粥样硬化与非糖尿病患者是相似的，但糖尿病中冠状动脉被累及的范围较广，常有多支冠状动脉的病变与内皮功能障碍、微小血管病变并存。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可表现为心绞痛、急性冠状动脉综合征、心肌梗死，重者表现为充血性心力衰竭、心源性休克、心律失常、猝死等，但糖尿病患者存在自主神经病变，在临床上无症状的冠心病较常见，有时亦表现为疲乏、胃肠道症状、劳力性呼吸困难等非典型症状。由于糖尿病患者冠状动脉狭窄程度严重，冠状动脉常为弥漫性病变，预后比非糖尿病患者差。</p><p>（三）辅助检查1.常规心电图</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">相应导联ST段改变，异常Q波等心肌缺血表现。</p><p>2.生化检测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血肌钙蛋白T或I（TnT或TnI）、肌酸激酶（CK-MB）等心肌损伤的生化标记物升高。</p><p>3.心脏负荷试验</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对典型或不典型的心脏症状、静息心电图异常者进行诊断性心脏负荷试验；对存在外周动脉闭塞或颈动脉闭塞史、久坐的生活方式，年龄大于35岁、计划进行体育锻炼者进行心脏应激性筛查试验。而负荷或运动核素心肌灌注试验、负荷超声心动图试验，属于有价值的两类诊断试验。</p><p>4.冠脉造影</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">仍然是诊断冠心病的金标准。</p><p>5.非损伤性检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如有条件可行正电子发射断层显像、磁共振成像。冠状动脉内灌注乙酰胆碱是评价冠状动脉内皮功能的金标准，能够评价动脉直径、血流及血管阻力。另外，还有超声检查血流介导的血管扩张功能、测定纤溶酶原激活剂抑制因子1、血管性血友病因子等标记物。</p><p>（四）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2008年ADA建议：①对于无症状者，应该评估心血管病危险因素，用10年危险度分级和给予相应的治疗；②对于已知冠心病患者，如果无禁忌证，应该给予ACEI、阿司匹林及他汀类治疗以降低心血管病事件；③对于既往有心肌梗死病史者，应该加用受体阻断药（如无禁忌证）以便降低死亡率，年龄大于40岁、不管有无高血压、只要有另外一个心血管危险因素（高血压、冠心病家族史、血脂异常、微量白蛋白尿、心血管自主神经病变或吸烟），如无禁忌亦应该给予ACEI、阿司匹林及他汀类治疗以便降低心血管病事件。</p><p>1.生活方式干预</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括戒烟、节制饮酒、优化饮食结构、限制钠盐、适当增加体力活动等。吸烟与糖尿病大血管和微血管病变的提前发生有关，还可能促进2型糖尿病的发生。</p><p>2.控制血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应该强化控制血糖，使血糖和糖化血红蛋白达标。应选择对心肌毒性小或心肌缺血预适应保护作用的降糖药。例如格列本脲对患者有潜在的心血管不良影响，而新一代磺脲类药物———格列美脲对胰岛β细胞选择特异性较高，对心血管的不良影响很小。对于慢性充血性心力衰竭患者，禁用二甲双胍、噻唑烷二酮类（TZDs）。目前研究显示良好的血糖控制并不能最终降低心血管病死亡率，因此，在控制血糖的基础上，应积极纠正存在的心血管危险因素。</p><p>3.冠状动脉血流重建术</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如果冠心病诊断明确，应进行侵入性干预，但在糖尿病患者冠状动脉疾病血管形成术包括经皮冠状动脉介入（PCI）和冠状动脉旁路移植术（CABG）效果欠佳，再狭窄率较高、长期存活率更低，药物洗脱支架的引进一定程度上改善了糖尿病冠心病的预后。因此对糖尿病患者的冠心病重在预防。</p><p>4.抗血小板药物治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于糖尿病和非糖尿病患者，阿司匹林（75～162mg/d）已经被推荐为预防心脑血管事件的一级和二级治疗。但小于30岁患者不推荐使用阿司匹林，由于阿司匹林可能诱发“雷尔综合征”，小于21岁患者禁用阿司匹林。对于阿司匹林过敏者、正在接受抗凝治疗伴有出血倾向者、近期胃肠出血者、临床活动性肝病等不适合阿司匹林治疗的高危患者，可选择其他抗血小板药物代替，如糖蛋白Ⅱb/Ⅲa受体拮抗剂氯吡格雷。研究已证实氯吡格雷能够降低糖尿病患者心脑血管病的发病率。可以作为非常高危患者的辅助治疗，或阿司匹林不耐受患者的替代治疗。</p><p>5.纠正心血管危险因素</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病心血管病危险因素包括血脂异常、高血压、肥胖、体力活动减少和烟酒；糖尿病人群特异的其他危险因素包括微量白蛋白尿、总蛋白尿、血肌酐升高和血小板功能异常。研究表明减少心血管危险因素能够有效预防和延缓心血管病的发生，因此要早期识别并治疗糖尿病心血管并发症的高危患者。对糖尿病患者至少每年检测一次心血管病危险因素，以筛查无症状性冠心病。</p><p>（1）调脂：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高脂血症治疗的先后次序是：①降低LDLC；②升高HDL-C；③降低TG。治疗策略取决于脂蛋白异常的类型。LDL-C是导致冠心病的重要危险因素，血脂异常的首要治疗是降低LDL-C＜2.6mmol/L（100mg/dl）。首要治疗是予以生活方式干预包括医学营养治疗、减重、增加体力活动和戒烟等，而营养治疗的要点是减少饱和脂肪酸、胆固醇、反式不饱和脂肪酸的摄取。此外，良好的血糖控制可降低甘油三酯，轻度升高HDL。首选药是降低LDL 的HMG CoA还原酶抑制剂（他汀类）。对于确有心血管病者、年龄40岁以上者或存在其他心血管病危险因素的糖尿病患者，不管LDL-C基线水平如何，除改善生活方式外，则应该加用他汀类治疗。如果最大耐受剂量的他汀类治疗仍不能达到以上目标，LDL-C基线降低约40%为供选的治疗目标。对于升高HDL，烟酸衍生物是有效的药物，但大剂量（＞2g/d）可能恶化血糖控制和增加胰岛素抵抗。对于TG非常高、血糖控制差的患者，如果已改善生活方式和血糖，而TG好转不达标，应该应用贝特类治疗。</p><p>（2）降压：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病和高血压常常合并存在，高血压可能会加重糖尿病其他并发症，尤其是心血管病和肾病，1型糖尿病多在并发肾病后出现高血压，而2型糖尿病往往合并原发性高血压，可以在2型糖尿病发病之前、同时或之后出现。糖尿病患者每次就诊均应该测量血压。如两次收缩压≥130mmHg或舒张压≥80mmHg时则确诊为高血压。降压的目标是使糖尿病患者的收缩压＜130mmHg，舒张压＜80mmHg。对于收缩压130～139mmHg或者舒张压80～89mmHg的患者仅需要改变生活方式，如果疗程达到3个月，血压仍然不达标，则加用降压药物。而对于收缩压≥140mmHg，或者舒张压≥90mmHg的高血压患者，除了接受生活方式和行为治疗外，应该接受药物治疗。并且应该根据患者存在的危险因素、药物的优缺点选择降压药，同时考虑到糖尿病相关情况，如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">初始选择的药物应该减少糖尿病患者心血管事件，包括血管紧张素转化酶抑制剂（ACEI）、血管紧张素受体阻断药（ARBs）、β受体阻断药、利尿药、钙拮抗药。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有糖尿病患者的高血压治疗方案应该包括ACEI或者ARBs；如果其中的一种不能耐受，应该以另一种代替。如果血压仍然未达标，估算的肾小球滤过率（GFR）≥50ml/（min？1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）加用噻嗪利尿药，GFR＜50ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）加用襻利尿药。糖尿病患者优先选择非二氢吡啶钙拮抗药（维拉帕米和地尔硫<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1024_908_1492_926_1509.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>），而不是二氢吡啶类药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型糖尿病患者出现高血压和任何程度的白蛋白尿时，ACEI能够延缓肾病的进展，2型DM患者出现高血压和微量白蛋白尿时，ACEI和ARBs能够延缓病情进展到大量白蛋白尿。T2DM患者出现高血压、大量白蛋白尿和肾功能不全时，ARBs能够延缓肾病的进展。而其他降压药对糖尿病肾病的作用尚不明确。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于单药治疗往往难以控制血压（尤其2型糖尿病患者），当血压未达到控制目标（＜130/80mmHg），常常需要多种降压药联合治疗。由于糖尿病患者动脉粥样硬化性疾病概率增加，当血压不易控制时，应考虑是否存在肾血管性高血压。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">妊娠糖尿病患者（GDM）出现慢性高血压时，为了母亲长期健康和减少胎儿生长受损，建议血压目标值应该是110～129mmHg/65～79mmHg。妊娠期间，ACEI和ARBs均属禁忌。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病性脑血管病</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病是指由糖尿病所并发的脑血管病，在糖、脂肪、蛋白质等代谢紊乱的基础上，所产生的颅内大血管和微血管病变。糖尿病特别是2型糖尿病患者，约有20%～40%最终要发生脑血管病，并成为糖尿病主要死亡原因之一。临床上主要表现为脑动脉硬化、缺血性脑血管病、脑出血、脑萎缩等。其发病机制、临床特点、治疗和预后均有别于非糖尿病性脑血管病。</p><p>（一）流行病学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病是脑血管病的一个强的独立危险因素，可使脑卒中的危险增加1.5～6倍，各国报道结果差异较大，这可能与民族和地区差异、病例来源、诊断标准及统计方法等因素有关。但无论是1型还是2型糖尿病，都与动脉硬化症的发展和脑血管病并发症患病风险率增高密切相关。糖尿病也是TIA早期（发作后30天内）发生脑卒中的独立危险因素和晚期（发作30天以后）出现脑卒中复发或其他血管事件的危险因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与非糖尿病患者相比糖尿病脑血管病患者的预后更差，除了脑卒中死亡率增加外，与脑卒中有关的痴呆和脑卒中复发危险均明显增高。国外研究显示，超过2/3的慢性脑卒中患者和超过1/3的急性脑卒中患者合并高血糖症。糖尿病患者脑梗死发病年龄较非糖尿病患者平均要早5年左右。</p><p>（二）危险因子</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">危险因素包括糖尿病病程、慢性高血糖、急性高血糖、低血糖、血浆胰岛素水平、高血压、增龄、缺血性心脏病、高血脂、房颤、吸烟、颈动脉病变（包括颈动脉硬化、斑块）、饮酒、性别、颈椎病、低血压、遗传因素等。</p><p>（三）病理生理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病包括颅内大血管病变和微血管病变。大血管病变的主要病理改变为动脉粥样硬化。动脉粥样斑块一般发生在切变应力较低的部位如血管分叉和弯曲处，故大血管病变主要发生在大脑中动脉及其分支、椎-基底动脉及其分支。糖尿病颅内微血管病变的主要病理改变是毛细血管基底膜的增厚。糖尿病微血管病变以微血管血流动力学异常为首发环节，最后形成微血管瘤、微血栓和微血管闭塞。微血管基底膜增厚、微血管瘤和微循环障碍是糖尿病微血管病变的典型病理改变。</p><p>（四）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病脑血管病的发病机制主要与糖尿病代谢紊乱所致的大血管病变、微血管病变、血液流变学改变以及抗凝纤溶系统异常有关。现分别将糖尿病颅内大血管病变和微血管病变的发病机制概括如下。</p><p>1.糖尿病颅内大血管病变发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）高血糖：高血糖可使脑细胞的葡萄糖转运体Ⅰ（GlutⅠ）活性增强。细胞内高糖引起的各种损伤介质产生过多［如转化生长因子（TGF-β）、血管紧张素（AngⅡ）等］，又促进了GlutⅠ活性的进一步增强，进而使更多葡萄糖转移进细胞内。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）内皮功能紊乱：血管内皮功能障碍可导致血管张力及血流动力学改变，增加血管通透性，激活凝血系统和血小板，内皮素增加。后者促进血管平滑肌增殖和血管管腔狭窄并加重缺血、缺氧，并通过TNF-α及其位于血管内皮细胞的受体引起血管内皮通透性增加，破坏血管内皮功能。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）胰岛素抵抗与高胰岛素血症：高胰岛素血症对脑内的小血管存在明显的损伤作用。脑卒中急性期胰岛素水平及胰岛素抵抗程度与患者的病情与预后有关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）脂质代谢异常：脂质代谢紊乱促进脑动脉硬化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）血小板功能异常：促进凝血或血栓形成，从而加重大血管病变和动脉粥样硬化的程度。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（6）纤维蛋白溶解障碍及凝血功能障碍。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（7）高同型半胱氨酸血症：通过影响血管内皮细胞、平滑肌细胞及凝血系统，引起动脉粥样硬化和血栓形成，从而加速血管病变的发生和发展。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（8）高血压：糖尿病并发高血压加速了动脉硬化的进程，使脑血管病的患病率大幅度提高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（9）血流动力学障碍。</p><p>2.糖尿病颅内微血管病变发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病颅内微血管病变多以微血管血流动力学异常为首发环节，逐渐导致微血栓和微血管闭塞。糖尿病微血管病变除了具有部分上述大血管病变的发病机制外，还有其独特的发病机制，近年来发现某些血管活性因子、生长因子、细胞因子以及红细胞形态与微血管病变的发生、发展密切相关。</p><p>（五）临床特点</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性脑血管病在发病年龄、发病率、临床特点、治疗及预后方面均有别于一般脑血管病。常见以下几种临床表现：</p><p>1.脑动脉硬化</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">病程在5年以下的糖尿病患者，脑动脉硬化的发生率为31%，病程在5年以上者可达70%。临床上常见以下几种表现。</p><p>（1）神经衰弱综合征：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要表现为头昏、头痛、失眠、乏力、健忘、注意力不集中、工作效率低下、情绪不稳定，神经系统多无明确阳性体征。</p><p>（2）皮质下动脉硬化性脑病（Binswanger病）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是一种发生在脑动脉硬化基础上，以进行性痴呆为主要临床特征的脑血管病。是血管性痴呆的一个重要类型。病理特征是脑白质变性、脱髓鞘及胶质细胞增生，CT检查显示皮质下脑白质对称性低密度。发病机制是由于大脑白质深穿支小动脉硬化，管腔狭窄，血流减少，白质血管广泛变性，致脑室周围和半卵圆中心白质进行性缺血、神经纤维脱髓鞘，甚至导致多发性腔隙梗死。临床表现：①痴呆：几乎所有病例均有不同程度的痴呆，记忆力减退或缺失，计算力、定向力差，部分患者有情绪和性格改变，表现为固执、多疑、自私、活动兴趣丧失，亦可有欣快、淡漠、抑郁、反应迟钝等精神症状；②假性延髓性麻痹：表现为说话不清，吞咽困难、饮水呛咳，同时伴强哭强笑；③锥体束症状：不同程度的偏瘫或轻偏瘫，病理征阳性，几乎所有患者掌颏反射阳性；④锥体外系症状：表现为四肢强直性肌张力增高，动作缓慢，似帕金森综合征，有肢体共济失调。部分患者还可表现为多灶性脑梗死性痴呆。</p><p>2.无症状脑卒中</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是指无临床症状或临床症状轻微，未引起患者或医生注意，或者是未被揭示或未被认定的脑卒中。部分无症状脑卒中患者可有头痛、眩晕、老年抑郁症及肢体沉重和麻木等自觉症状。无症状脑梗死约占无症状脑卒中的74%，无症状脑出血约占26%。无症状脑梗死分腔隙性脑梗死和非腔隙性脑梗死。前者在无症状脑梗死中约占83%，梗死部位以基底节区多见，其次是放射冠区，病变部位较深，病灶较小。非腔隙性无症状脑梗死是指未被揭示的或未被认定的脑梗死。病变多累及大脑皮质，通常病灶较大。无症状分水岭梗死，也称交界区梗死。病变多位于大脑前和中动脉、大脑中和后动脉供血的交界区，在皮质形成一个楔形的低密度灶，对未累及到肢体运动和感觉功能的病灶，血压降低时所出现的头晕和其他不适容易被患者忽略。无症状脑出血是以壳核、屏状核、外囊多见。无症状脑出血仅表现一般轻度神经系统症状，临床上容易被忽略。无症状脑微出血，为梯度回波T<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>加权MRI检查出的均匀一致的卵圆形信号减低区，直径2～5mm，周围无水肿。无症状脑微出血可能与易于出血的微血管病变有关。</p><p>3.急性脑血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床特点之一是主要表现为脑血栓形成，而脑出血均较少，这可能是由于糖尿病患者对缺血损伤的耐受能力下降所致。另一特点是中、小动脉梗死和多发性病灶多见，尤其是腔隙性梗死更常见。这一特点与糖尿病所致的广泛性的微血管病变和损害有关。脑梗死在发病部位上以椎-基底动脉系统支配的小脑、脑干和大脑中动脉支配的皮质和皮质下部位的梗死较多见。常见部位是脑桥、基底节、丘脑等小穿通动脉。临床症状往往较轻，但常反复发作，进行性加重，恢复困难。老年糖尿病性脑梗死反复发生之后易导致假性延髓性麻痹和血管性痴呆。前者表现为吞咽障碍，强哭、强笑等精神症状。后者早期可仅有轻微认知功能障碍，严重者可发展为血管性痴呆。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病急性脑血管病仅有少部分表现为出血性脑卒中，包括脑出血和蛛网膜下腔出血，但临床特点与非糖尿病性脑血管病类似。</p><p>（六）临床检查1.一般血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可有空腹血糖、餐后血糖、HbA1c等指标增高；血脂异常；血流动力学异常；纤维蛋白原升高；凝血功能异常。</p><p>2.特殊血液检查（1）高尿酸血症：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是中年型糖尿病患者发生脑卒中的较强的预测因子和独立危险因素。</p><p>（2）微量白蛋白尿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可以作为糖尿病微血管病变的预测因素和良好的评价指标。</p><p>（3）瘦素：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">瘦素是独立于其他危险因素外的与脑卒中发病相关的危险因素。</p><p>3.脑脊液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数压力、细胞数和蛋白均正常，色清。若出现血性脑脊液应注意鉴别，脑出血者的脑脊液除见有大量成熟红细胞外，还可见红细胞吞噬细胞、激活型单核细胞等。</p><p>4.神经电生理检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">脑电图对继发性癫痫的诊断有重要价值，对昏迷患者大脑皮质功能的评价比较敏感，但易受麻醉药和镇静药的影响；脑干听觉诱发电位（BAEP）评价脑桥的听觉传导通路；模式翻转视觉诱发电位（VEP）评价视觉传导通路；体感诱发电位（SEP）不仅评价脑干和皮质感觉通路，而且间接评价周围神经、感觉根和脊髓。BAEP结合SEP是评价脑干功能的有力工具。</p><p>5.CT检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是应用最广泛的脑血管病影像学检查法，快速且价格相对低廉。CT对显示出血相当灵敏，出血性脑血管病急性期新鲜血肿表现为密度极高影，病灶周围可见低密度脑水肿带。但对于小脑、脑桥等颅后窝出血，CT的敏感度较低，常显示不良。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CT在梗死的超急性期（0～6小时）对于判断有无出血及其他溶栓禁忌证非常灵敏，低密度区的出现高度提示大脑存在不可逆的缺血性损伤。有学者认为这种低密度区的范围在一定程度上提示溶栓后出血的风险。传统CT对脑缺血的敏感度较低，发病3～6小时内的CT图像多数正常，但使用不同的窗宽和中心水平时，灰白质的对比会增强，此时的CT可表现为：①占位效应；②局部灰质结构显示不清；③一条或多条大动脉显像。</p><p>6.磁共振检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">敏感度及特异度较CT更高，并可排除颅内出血，还能鉴别脑水肿、脑肿瘤、血管畸形、感染等与脑血管病临床表现类似的病变。</p><p>7.脑血管造影检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）CT血管造影：近年来问世的CT血管造影属无创检查，是诊断脑血管病及术前评估的一种快速、简单而可靠的新型影像学技术。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）磁共振血管造影：具有无创、较快捷、无辐射、价格相对低廉等特点，能从不同的角度来观察血管形态，并能提供血管及其周围软组织的整体信息。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）数字减影血管造影：能清楚发现各种脑血管病变，是脑血管病变诊断的金标准。缺点是有创检查，具有一定放射性，操作费时，价格昂贵，很少作为首选的诊断手段，多为进一步介入治疗提供帮助。</p><p>8.超声多普勒检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括经颅多普勒和经颅彩色双功能超声检查，可无创检查颅底动脉的血流速度，并通过血流速度的改变来间接反映脑血管狭窄的程度、部位、范围、侧支循环及血管闭塞后的再通情况。可用于检查脑动脉有无狭窄或闭塞及狭窄、闭塞的程度，结果与脑血管造影的一致率较高，还可用于检测颅内动脉闭塞后的再通情况。</p><p>9.眼底检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">眼底的血管作为全身唯一可直接观察到的血管，对糖尿病血管并发症、高血压、糖尿病患者的病情评价和临床诊断有着重要的参考价值。</p><p>（七）诊断和鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所谓糖尿病性脑血管病的临床诊断应是糖尿病与脑血管病的叠加，无论是在糖尿病的基础上发生脑血管病，还是患脑血管病后又证实有糖尿病，均可诊断为糖尿病性脑血管病。一些糖尿病患者在脑血管病发生前症状可以很轻，甚至缺乏，在发生急性脑血管病时，由于机体的应激状态，血糖会明显升高。一些非糖尿病患者发生急性脑卒中后，也可引起血糖升高，尿糖阳性。这种“应激性糖尿”随着病情的稳定，血糖水平将逐渐恢复正常。若是糖耐量减退所致，可在患者康复后行糖耐量试验来确诊。若为糖尿病引起，病情稳定后，血糖仍将高于正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">下列情况之一的脑血管病患者应进一步明确是否存在糖尿病：①既往有高血糖史者；②有糖尿病家族史者；③年龄较轻、病因不明者；④多发性腔隙性梗死者；⑤肥胖、高血压和冠心病患者。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床上应注意与以下各种常见的糖代谢障碍所伴发的脑部症状进行鉴别：①低血糖；②糖尿病非酮症性高渗性昏迷；③糖尿病酮症酸中毒；④糖尿病乳酸酸中毒。</p><p>（八）防治糖尿病性脑血管病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在治疗脑血管病的同时，应严格控制血糖、血脂、血压、血黏度、吸烟及体重等动脉粥样硬化的危险因素，才能避免或减少糖尿病性脑血管病的进一步加重和复发。治疗中还应注意以下几点：</p><p>1.血糖的控制与监测</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖过高或过低都可影响脑卒中的恢复和预后。适宜的血糖控制是糖尿病性脑血管病的治疗基础，严密的血糖监测是预防糖尿病并发急性代谢紊乱的必要手段。对于糖尿病缺血性脑卒中患者，胰岛素的治疗作用是多方面的。胰岛素对中枢神经系统有直接的保护作用，还可降低脑卒中患者血压，减少应激反应引起的激素释放。</p><p>2.抗血小板药物</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血小板拮抗剂可降低脑卒中、心肌梗死和死亡的危险，提示对糖尿病伴动脉粥样硬化者进行长期抗血小板治疗的重要性。由于多数糖尿病患者的血小板功能存在异常，而且许多已有动脉粥样硬化的糖尿病患者临床表现不明显，因此，对尚无动脉粥样硬化临床表现的糖尿病患者也需进行抗血小板治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿司匹林可使脑卒中或TIA发作后严重血管事件的概率降低17%，大多数学者建议首选中等剂量阿司匹林（75～325mg）来预防缺血性脑卒中。</p><p>3.血压控制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">英国前瞻性糖尿病研究（UKPDS）发现阿替洛尔和卡托普利（开博通）两种药物都能够同样有效地降低糖尿病脑卒中和死亡的危险。在各种降压药中，血管紧张素转换酶抑制剂类最有效，即使在患者血压正常、没有左室功能障碍时，雷米普利仍可使心脑血管事件总发生率和死亡率下降。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在糖尿病脑卒中特别是出血的急性期，应慎重掌握降压治疗指征和降压程度：如血压小于180/120mmHg，不需要进行降压治疗。如果血压超过200/140mmHg，最好及时降压治疗，但血压不宜过低，收缩压控制在160mmHg，舒张压控制在110mmHg为宜；降压治疗不能过于追求快速降压效应，或反复、大量甚至联合使用多种强效降压药物，一般不推荐使用强烈扩张血管的药物。</p><p>4.调脂</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">心脏保护研究（HPS）前瞻性研究结果显示他汀类药物治疗可使糖尿病的复合终点事件（脑卒中、冠心病和血管重建）的危险性下降了34%，认为他汀类药物治疗可使40岁以上的2型糖尿病患者明显受益，应推荐使用。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">维生素C和维生素E作为抗氧化剂，能够减少内皮依赖性血管舒张的异常，有研究认为多种维生素联合治疗能够减慢动脉粥样硬化的进展。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病神经病变</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病神经病变（diabetic neuropathy）是糖尿病的主要慢性并发症之一，其最常见的类型为慢性远端对称性感觉运动性多发性神经病变和自主神经病变，部分糖尿病患者在新诊断时已存在糖尿病周围神经病变而常被漏诊，不能不引起注意。</p><p>（一）分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">按Thomas提出的糖尿病神经病变分类见表14-4-9。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-9　糖尿病神经病变分类</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527126943326077664.jpg\" title=\"1527126943326077664.jpg\" alt=\"T14-4-9_70233.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 500px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：医师应警惕发生在糖尿病患者的可治性神经病变如：CIDP、单克隆球蛋白病、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏等。糖尿病神经病变最常见的类型为慢性远端对称性感觉运动性多发性神经病（糖尿病周围神经病变）和自主神经病。本文侧重叙述糖尿病周围神经病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病周围神经病变（diabetic peripheral neuropathy，DPN）是指在排除其他原因的情况下，糖尿病患者出现周围神经功能障碍相关的症状和（或）体征的病变，患病率由于诊断标准不同差异较大（28%～90%），吸烟、年龄≥40岁及血糖控制差的糖尿病患者中神经病变的发病率更高。</p><p>（二）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年的研究表明，糖尿病神经病变发病机制主要与高血糖引起的代谢紊乱、血管损伤、神经营养障碍、氧化应激及遗传因素等有关。涉及多元醇通路激活；非酶蛋白糖基化作用，糖基化终末产物（AGE）堆积；活性氧自由基对神经元DNA和神经蛋白具有直接的损伤；毛细血管基底膜增厚、血管内皮细胞增生、糖蛋白沉积、血黏度增加、血小板功能异常、微血栓形成导致管腔狭窄，易造成神经组织低灌注；神经生长因子（NGF）的缺失及同型半胱氨酸与糖尿病神经病变也有关。</p><p>（三）临床表现1.急性感觉神经病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">少见，常发生在代谢控制较差的时期（如糖尿病酮症酸中毒）或血糖控制变化较大时。主要的临床表现为感觉症状极为严重，并且夜间明显加重，但是神经系统体征较少。</p><p>2.慢性感觉运动性神经病变（DPN）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">此为糖尿病神经病变中最常见的类型。超过半数的患者可能有症状，最常见的为烧灼样疼痛、电击样或针刺样感觉、感觉麻木和感觉过敏。典型的神经性疼痛常在夜间加重，症状最常出现在足部和下肢，一些患者也可累及手部，呈手套、袜子样分布。近半数的患者可以无症状，仅在神经系统体格检查或在神经传导速度仪器检测时发现异常，故甚易漏诊。神经系统体格检查常出现振动觉、触觉、痛觉、温度觉和踝反射缺失，同时也常存在外周自主神经病变功能紊乱的体征如皮肤干燥、皮温低等。</p><p>3.局灶性及多灶性神经病</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">单神经病起病较突然，表现为受累神经所支配区域的疼痛、感觉麻木、感觉减退甚至感觉消失和运动性无力。糖尿病患者神经卡压及椎管狭窄也较为常见，易发生卡压的神经包括尺神经和正中神经等，神经卡压起病较为缓慢，逐步进展，如未予干预将持续存在，不能自行缓解。脑神经病变少见，可累及Ⅲ，Ⅳ，Ⅵ及Ⅶ对等脑神经。第Ⅲ对脑神经即动眼神经受累最常见，表现为复视，体格检查显示眼睑下垂和眼肌麻痹，但瞳孔对光反射正常。脑神经病变发生机制可能为微血管梗死，其常可在数月后自行缓解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病多神经根病是一种以单根或多根神经根分布区内的剧烈疼痛为特征，可伴有运动性无力。肋间或躯干神经根病可导致胸部或腹部疼痛。腰神经丛或股神经受累可导致股部或髋部疼痛，并可伴有髋部屈肌或伸肌的肌无力，糖尿病多神经根病通常为自限性疾病，可于半年到一年缓解。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病性肌萎缩常见于年长的2型糖尿病患者，部分患者进行神经活检证实为神经外膜微血管炎。临床表现为严重神经性疼痛，单侧或双侧的肌肉无力及近端股部肌肉的萎缩。</p><p>4.自主神经病变</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病自主神经病变可以影响全身多个系统，包括心血管系统、胃肠道系统、泌尿生殖系统、排汗系统和代谢系统。心血管自主神经病变（CAN）最主要也危害最大，可引起静息心动过速和直立性低血压，有时还可导致猝死。静息心率＞100次/分、体位变化未伴有相应的心率反应及存在其他系统自主神经病变时应考虑可能存在糖尿病心血管自主神经病变。通过病史和体格检查诊断糖尿病心血管自主神经病变效果不佳，ADA推荐采用三个非侵袭性试验进行诊断：R-R变异性、Valsalva动作及体位性血压变化。胃肠道功能紊乱最明显的胃肠道表现是胃排空延迟（胃轻瘫）和肠功能性改变（便秘或腹泻）。胃轻瘫常伴随食欲减退、恶心、呕吐、早饱感和腹胀等症状。泌尿生殖器功能障碍，包括膀胱病变、勃起功能障碍和女性性功能障碍，糖尿病膀胱病变症状包括排尿不尽、排尿不畅、排尿次数减少、尿失禁和反复尿路感染等。交感神经功能紊乱可表现为上肢多汗，而下肢无汗，足部无汗能促进足部皮肤的干裂，增加足部溃疡的发生率。自主神经病变还可减少升糖激素的释放，导致机体对低血糖的反应下降，可能发生严重低血糖。</p><p>（四）神经病变检查方法1.神经系统体格检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2型糖尿病患者应每年筛查DPN，主要检查针刺痛觉、温度觉、振动觉（使用128MHz音叉）、触觉（使用10g单纤维尼龙丝）及踝反射。如若以上检查中有两项或以上阳性，筛查DPN的敏感性可高达87%。10g单纤维尼龙丝缺失可以预见足溃疡。</p><p>2.神经病变评分体系</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用于临床工作和科研进行DPN诊断，目前较公认及广泛使用的有两个：</p><p>（1）密歇根糖尿病神经病变评分法（MDNS）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括两部分，第一部分为8分段临床筛选检查，根据足外观（畸形、皮肤干燥、胼胝、感染或溃疡），踝反射及大<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1028_1007_1064_1024_1081.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>趾振动觉（128MHz音叉）进行评分，若足外观正常记0分，不正常记1分（畸形、皮肤干燥、胼胝或感染），若有溃疡再加1分，踝反射正常记0分，重叩击出现记0.5分，消失记1分，大<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1028_1090_1156_1108_1173.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>趾振动觉正常记0分，减弱记0.5分，消失记1分，积分＞2分则认为有神经病变，诊断的特异性为95%，敏感性为80%。第二部分评价神经病变的严重性。</p><p>（2）多伦多DPN临床积分系统：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">根据症状积分、踝反射积分及感觉检查积分进行评估，见表14-4-10。</p><p>3.辅助检查（1）振动感觉阈值（VPT）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">简便、无创、重复性好、患者顺应性好。VPT＞25伏特的糖尿病人群，其未来发生足溃疡的危险性是VPT＜15伏特的人群的7倍，故临床常以VPT＞25伏特作为评判足溃疡风险的重要指标。</p><p>（2）定量感觉试验（QST）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">计算机辅助的QST检查可以有效地进行各种感觉（包括触压觉、温度觉、痛觉和振动觉）阈值的检查。该检查方法可靠，但价格高昂、操作烦琐，并受室内温度、测试部位的皮肤厚度等影响。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-10　Toronto评分体系</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127015160003406.jpg\" title=\"1527127015160003406.jpg\" alt=\"T14-4-10_70256.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 502px; table-layout: fixed;\"/></p><p>（3）神经传导速度（NCV）：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是诊断周围神经病变的“金标准”。糖尿病神经病变多表现为轴索损害，通过NCV和肌电图检查可鉴别诊断CIDP、运动神经元病及炎性肌病。但由于NCV检查主要反映大神经纤维受累情况，故阴性结果不能排除DPN。</p><p>（4）活组织检查：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">腓肠神经的活检可直接根据形态学改变判断神经病变是否存在，并可反映受损神经的性质、严重程度，排除血管炎等非糖尿病性神经病变，但为一侵入性检查，并且仅提供一个时间点一个位置的信息。皮肤斑点活检相对简单、损伤较小，可明确表皮间神经纤维（intraepidermal nerve fibers，IENFs）密度，从而判断神经病变的存在与严重性。</p><p>（5）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">如角膜共聚焦显微镜检测（corneal confocal microscopy，CCM）、轴索反射介导的灼热反应测定及激光多普勒血流仪等。</p><p>4.自主神经检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CAN检查包括心率变异性、Valsalva试验（最长R-R间期与最短之比）、握拳试验（持续握拳3分钟测血压）、体位性血压变化测定、24小时动态血压监测、频谱分析等。提示有胃肠功能紊乱的患者应进行胃排空试验。对于存在泌尿系统症状患者可行膀胱残余尿量检查。近来研究显示Neuropad足贴可能可以通过足部汗液分泌情况反映小纤维受累情况，有助于早期诊断糖尿病神经病变。近年发现低频区（lf）的测量值与Ezscan数据有明显的相关性，提示Ezscan检查能快速简便地筛查糖尿病自主神经并发症。</p><p>（五）DPN诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于较多DPN者可以无任何临床症状，所以诊断必须依靠详细的下肢体格检查。如果存在典型的神经病变症状合并远端感觉缺失及踝反射缺失，或存在多个神经系统体征不伴有症状，均高度提示DPN。一般认为以下5项检查中如果有2项或2项以上异常则诊断为DPN：①温度觉异常；②尼龙丝检查，足部感觉减退或消失；③振动觉异常；④膝反射消失；⑤神经传导速度（NCV）有2项或2项以上减慢。临床诊断中还可以选择定量感觉检查、定量自主神经检查及神经活检等作参考。DPN诊断同时应排除其他原因所致的周围神经病变和糖尿病患者易伴发的神经病变包括CIDP、维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏、甲状腺功能减退及贫血等。</p><p>（六）防治1.预防（1）控制代谢紊乱：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">严格控制血糖可以减少DPN的风险。</p><p>（2）加强足部护理：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">选择合适的鞋袜，软皮皮鞋、运动鞋是最理想的鞋子，还要经常检查并取出鞋内可能存在的异物。正确洗脚和护脚，建议糖尿病患者每日洗脚。秋冬季节足部易干裂，可用润肤霜均匀涂擦在足的表面，汗脚可撒些滑石粉。</p><p>（3）定期进行筛查及病情评价：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">在诊断为糖尿病后至少每年筛查一次DPN；对于长期使用二甲双胍的患者，应重视体内潜在的维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>缺乏的可能；对于糖尿病病程较长，或合并有眼底病变、肾病等微血管并发症的患者应该每隔3～6个月检查双足感觉；一旦诊断为糖尿病性多发性末梢神经病变，应该特别保护丧失感觉的双足。</p><p>2.病因治疗（1）稳定地控制血糖：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">已有少量观察性研究显示神经病变的症状不仅与血糖控制水平相关，同时与血糖的明显波动密切相关。有时由于自主神经病变和未感觉有低血糖反应而使血糖控制复杂化。</p><p>（2）改善神经微循环：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">可酌情选用PGE<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>、己酮可可碱、山莨菪碱、西洛他唑、活血化瘀药等药物以改善微循环，改善神经的循环血供。</p><p>（3）神经营养及修复药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常用为甲基维生素B<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">12</span>（甲钴胺），此外神经营养因子、C肽、肌醇、神经节苷脂（GS）和亚麻酸等基础与临床研究显示可能有一定疗效。</p><p>（4）其他：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来研究显示α-硫辛酸（抑制氧化应激）具有较好地改善糖尿病神经病变症状的作用。此外醛糖还原酶抑制剂（ARIs）、氨基胍、γ-油酸、乙酰-L-肉毒碱抗氧化剂、PKC-β抑制剂也已在临床试验或已在临床应用。</p><p>3.DPN症状治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">许多患者需要药物控制疼痛，但是DPN治疗的任何阶段使用非药物、局部或理疗均可能有效，包括针灸、辣椒碱、硝酸甘油喷雾或贴剂等。常用的流程见图14-4-5。</p><p>4.自主神经病变治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">CAN患者当出现体位性低血压或晕厥时治疗较为棘手，可采用氟氢可的松、可乐定、奥曲肽、米多君等药物治疗，但作用有限，非药物方法（足够的盐摄入、避免脱水和利尿药使用、下肢支撑长筒袜等）可能有一定疗效。胃轻瘫可选用易消化、脂肪和纤维含量低的食物，少食多餐，尽可能减轻胃轻瘫症状。西沙必利（每餐前10～20mg）可能是最有效的药物，此外其他药物如多巴胺激动剂（多潘立酮每餐前10～20mg）及红霉素可能也有一定疗效。糖尿病膀胱病变应利用定时排尿或自我放置导尿管进行治疗。氯贝胆碱（乌拉胆碱）的疗效不一。勃起功能障碍可选用磷酸二酯酶-5（PDE-5）抑制剂等药物如西地那非等。女性性功能障碍可通过使用阴道润滑剂、治疗阴道感染及必要时的全身或局部雌激素替代治疗得到改善。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127057345026937.jpg\" title=\"1527127057345026937.jpg\" alt=\"P14-4-5_42971.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 463px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-5　DPN的诊治流程</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病视网膜病变</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病视网膜病变（diabetic retinopathy，DR）属于微血管病变，包括各种各样病理性视网膜病变，是糖尿病常见慢性并发症之一。在美国是成年人致盲的首要原因，糖尿病患者致盲几率比非糖尿病患者高25倍，突显了问题的严重性。DR在1型糖尿病中特别严重，也常见于2型糖尿病。DR的发生与糖尿病患者病程明显相关，美国威斯康辛糖尿病视网膜病变流行病学研究（WESDR）发现，30岁以前发病的糖尿病（1型糖尿病为主）中DR发生率为71%，四年发生率59%，11%进展为增殖型糖尿病视网膜病变；在年龄较长的（2型糖尿病为主）糖尿病中DR发生率为39%，四年发生率为34%，3%进展为增殖型糖尿病视网膜病变。</p><p>（一）病因与发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR发生和糖尿病病程及血糖控制程度密切相关。长期高血糖是DR发生的重要病理生理基础，DCCT和UKPDS均证实严格的血糖控制可以明显减少DR的发生。研究结果显示，DR发生是在遗传的基础上，高血糖导致视网膜多元醇通路活性增加、蛋白质非酶糖基化、毛细血管壁细胞代谢紊乱、自由基氧化作用、凝血-纤溶系统紊乱、促新生血管的生长因子增多、局部RAS系统异常等诸多因素共同作用的结果。</p><p>（二）病理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR的病理变化主要表现为视网膜上出现微血管瘤、软性或硬性渗出物、视网膜水肿、新生血管形成、出血、纤维组织增生和视网膜脱离等。根据发生程度的不同，可以简单分为：</p><p>1.非增殖型糖尿病视网膜病变（NPDR）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是最常见的类型，曾称为背景型视网膜病变，其特征是毛细血管通透性增加、微血管瘤、出血、渗出和水肿。具体表现为眼底出现微血管瘤、出血斑、硬性渗出、棉絮斑，视网膜和黄斑水肿等。如果这些病变侵犯黄斑中心凹，则影响视力。即使患者未诊断糖尿病，一旦出现上述眼底表现，应高度怀疑患有糖尿病。</p><p>2.增殖型糖尿病视网膜病变（PDR）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最重要的特征是视网膜有异常的新生血管形成。新生血管在玻璃体表面或伸入玻璃体腔内。视网膜上的新生血管常位于毛细血管无灌注区的外围，如丝网状或聚集成团。视盘上如果出现大量的新生血管，可如海星样伸向视盘外。新生血管易于渗漏和破裂出血，导致屈光间质的混浊。疾病进展阶段可发生新生血管膜，早期的新生血管裸露，以后逐渐有纤维胶质组织伴随而成纤维血管膜。可引起牵拉性视网膜脱离。糖尿病还导致黄斑病变，包括黄斑水肿、渗出、缺血及PDR对黄斑的侵犯，成为视力减退的主要原因之一。</p><p>（三）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DR的临床表现轻重不一，进展速度也不一，还受是否合并白内障、青光眼等其他眼部疾病的影响。视力的改变为DR的主要临床表现，与视网膜病变的程度和部位有关。早期可无症状，随着病变的发展，表现为视力逐渐减退或闪光感，由于DR经常伴有视网膜水肿引起光散射，故有闪光感。视力的突然丧失，往往意味着眼底出血或视网膜脱离的发生。</p><p>（四）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">较长的糖尿病病史，视力改变的临床表现，要考虑DR发生的可能，检眼镜检查眼底和眼底摄片能提供一定帮助，并排除一些其他病变，但眼底荧光血管造影具有决定性的诊断价值。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">美国“早期治疗糖尿病视网膜病变研究”（ETDRS）分级基于7个视野所拍立体彩色眼底照相来分级，统一了观察标准，被视为金标准。该分级细致，有标准图对比，但耗费人力物力，对临床显得不够实用。基于此，美国眼科学会于2002年推出了由16个国家31位糖尿病眼底病专家共同制定的新的“糖尿病视网膜病变和糖尿病黄斑水肿疾病严重程度分级标准”，以作为全球统一、实用、便利的分级标准（表14-4-11）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-11　DR分级标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127108424067784.jpg\" title=\"1527127108424067784.jpg\" alt=\"T14-4-11_70285.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 503px; table-layout: fixed;\"/></p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">我国现行采用的DR分期标准是1985年第三届全国眼科学术会议讨论通过的六级分期（表14-4-12）。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-12　DR分期标准</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127159135026390.jpg\" title=\"1527127159135026390.jpg\" alt=\"T14-4-12_70288.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 502px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：“较少”，“容易数”，“较多”，“不易数”均包括出血斑点</p><p>（五）预防和治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对已经发生的DR，治疗难以完全逆转，严格控制血糖对于防止DR的发生有着极其重要的意义，严格控制血糖也能延缓DR的进一步发展。DCCT、UKPDS、WESDR等大型临床调查研究均提示严格控制血糖、血压、血脂等对于预防和延缓DR的发生及进展有着重要的意义，还应该尽可能戒除吸烟等对视网膜病变有害的因素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者一旦发现有增殖型视网膜病变，即应考虑行视网膜激光治疗，部分视网膜被激光凝固后，剩余视网膜可得到较丰富的血氧供应，阻断对血管新生的刺激作用。早期激光治疗效果较好，因此糖尿病患者应该定期检查眼底，以及早发现病变，及早治疗，才能获得好的效果。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病肾病</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">约30%的T1DM者和20%～50%的T2DM者发生糖尿病肾病（diabetic nephropathy，DN）。DN已是糖尿病常见的慢性并发症之一，亦是目前美国和欧洲终末期肾病（ESRD）最常见的单一病因，据统计高达44.5%，在我国约占25%。我国住院糖尿病患者DN的检测率达33.6%。近年提出慢性肾病（chronic kidney disease，CKD）和糖尿病肾脏病变（diabetic kidney disease，DKD）定义，因而DN实际上包括了部分CKD及DKD。DN的发生有较大的种族差异：美国土著人、西班牙裔人（尤其是墨西哥裔美国人）以及非洲裔美国人T2DM ESRD的危险性显著高于非西班牙裔的白种人。亚洲糖尿病肾脏病变发生率最高。研究显示，积极适当的干预措施能明显减少和延缓DN的发生，尤其是病程早期干预治疗效果甚佳。</p><p>（一）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">确切的机制尚未明确，但研究表明某些因素与DN有关：如高血糖相关的生化代谢异常，包括多元醇、PKC途径的激活、蛋白非酶糖基化和大分子终末产物的合成，以及细胞因子、生长因子、炎症、介质及信号因子的参与。近年来研究证实过多的ROS可激活多元醇、AGE、PKC和己糖途径，而上述四种途径的激活又加剧ROS的产生，因而ROS的过度产生是DN的基础。流行病学资料显示：DN有家族聚集性，此可能与某些基因的突变或多态性变化有关，如RAS TGF-β，醛糖还原酶基因等。</p><p>（二）临床表现和分期</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">一般将DN分为五期：第Ⅰ、Ⅱ期为临床前期，第Ⅲ、Ⅳ、Ⅴ期为临床诊断。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅰ期：通常表现为肾体积增大和肾小球滤过率（GFR）增高，肾血浆流量（RPF）和肾小球毛细血管灌注压增高。这些变化与高血糖水平一致。此期患者肾结构和功能无明显改变。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅱ期：运动后微量白蛋白尿，此期肾小球已显示结构改变，肾小球基底膜（GBM）和系膜基质增加，GFR＞150ml/ min和白蛋白排泄率（AER）＜30μg/min。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅲ期：持续微量白蛋白尿，AER常为20～200μg/min 或UAE在30～300mg/24h，临床常规化验蛋白尿多为正常。此期患者GFR大致正常，血压可轻度升高。GBM增厚和系膜细胞增加较Ⅱ期更明显，病理检查可见肾小球结节性和弥漫性病变，临床研究显示积极干预治疗可阻止或延缓大量蛋白尿的发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅳ期：为临床蛋白尿，AER＞200μg/min或UAE＞300mg/24h或尿蛋白＞0.5g/24h。此期血压增高，GFR开始进行性下降，水肿多较为严重，对利尿药反应差。肾小管功能障碍出现较早，近曲小管对水、钠以及糖重吸收增加，病理显示GBM明显增厚，系膜基质明显增加。T1DM诊断15～20年以及T2DM诊断5年以上者易发生Ⅳ期DN，该期患者常并发微血管并发症如视网膜病变、外周神经病变等。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Ⅴ期为尿毒症期（ESRD），可有尿毒症的临床表现，GFR进行性下降，持续蛋白尿，低蛋白血症，水肿，高血压，此期患者常伴发视网膜病变。</p><p>（三）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">微量白蛋白尿（microalbuminuria，MA）是DN的最早临床证据及筛选早期DN的主要指标，亦是T1DM和T2DM患者心血管疾病发生率及死亡率显著升高的标志。早期DN（微量白蛋白尿期）：AER 20～200μg/ min或UAE 30～300mg/24h。目前主张采集晨尿样本测白蛋白/肌酐（A/Cr）。尿白蛋白/肌酐30～300mg/g为早期DN。血糖急剧升高、运动、泌尿道感染、显著高血压、心力衰竭以及急性发作性疾病均可致尿白蛋白排出量短暂性升高，因而在6个月内需连续测3次尿，其中至少2次尿白蛋白排出量增加方可确诊早期DN。通常情况下，若出现持续性或间歇性蛋白尿，若能排除其他原因引起的肾损伤且伴肾功能不全即要考虑DN的诊断，若伴有糖尿病特异性视网膜病变，DN诊断可确定。活检证实约30%DN者无微量蛋白尿，因而在下述情况下可考虑行肾活检以便鉴别诊断：曾有非糖尿病肾病者；有明显蛋白尿但无视网膜病变者；短期内蛋白尿明显增加者；24小时尿白蛋白大于5g者；肾炎性尿沉渣（畸形红细胞、多型性细胞管型）。肾小球损伤分为4级：Ⅰ级，基底膜增厚；Ⅱa级，轻度系膜增生；Ⅱb级，重度系膜增生；Ⅲ级，一个以上结节性硬化（KW结节）；Ⅳ级，晚期糖尿病肾小球硬化。研究结果显示该病理分级与eGFR、5年生存率呈负相关，Ⅳ级的eGFR为各分级中最低，5年生存期分别为Ⅰ级、Ⅱa级100.0%，Ⅱb级75.0%，Ⅲ级66.7%，Ⅳ级38.1%。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1999年美国肾病基金会（NKF）提出了CKD定义，CKD是基于肾损伤的证据和肾小球滤过率（GFR）。慢性肾病的标准为：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.肾损伤（肾结构或功能异常）≥3个月，可以有或无GFR下降，可表现为下面任何一条：①病理学检查异常；②肾损伤的指标：包括血、尿成分异常或影像学检查异常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.GFR＜60ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）≥3个月，有或无肾损伤证据。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">NKF将CKD分为5期：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1期，肾损伤伴正常或升高的肾小球滤过率［GFR≥90ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2期，肾损伤伴肾小球滤过率轻度下降［GFR＝60～89ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3期，肾小球滤过率中度降低［GFR＝30～59ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4期，肾小球滤过率重度降低［GFR＝15～29ml/（min ×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）］；</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5期，肾衰竭，肾小球滤过率＜15ml/（min×1.73m<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">2</span>）或透析。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">白蛋白尿及GFR是CKD诊断的主要指标。NKF及ADA建议使用CG、MDRD等公式评价GFR，并每年筛查糖尿病患者CKD。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者CKD的患病率及其相关危险因素，并分析了CKD和DR的关系。研究结果显示上海市中心城区已诊断2型糖尿病患者CKD（1～5期）的患病率为63.9%，其中1期为8.8%，2期为22.3%，3～5期为32.8%。CKD患病率随年龄增长而增加。CKD患者与非患者相比，年龄更大，糖尿病病程更长，收缩压、尿素氮、肌酐及尿ACR更高。CKD的主要危险因素为糖尿病病程、高龄、收缩压和高尿素氮水平。GFR的下降与糖尿病视网膜病变明显相关。因此建议即使正常白蛋白尿患者也应定期检查GFR。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2007年NKF提出DKD的诊断概念及线索：糖尿病患者伴有大量白蛋白尿；或2型糖尿病患者同时伴微量白蛋白尿及糖尿病视网膜病变；或10年以上T1DM伴微量白蛋白尿。需排除其他原因导致的CKD，如无糖尿病视网膜病变；GFR快速降低；快速增加蛋白尿或肾病综合征；难治性高血压；活性尿沉渣；系统性疾病的症状、体征和在开始应用ACE或ARB抑制物2～3个月内GFR下降超过30%。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者DKD的患病率，结果显示上海市中心城区已诊断2型糖尿病患者DKD的患病率仅为16%。</p><p>（四）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DN的治疗应是综合性的，常规治疗措施包括饮食治疗、控制血糖、控制血压、纠正脂代谢紊乱以及ACEI或ARB类药物的应用等。</p><p>1.饮食治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾功能正常的DN患者饮食蛋白质0.8g/（kg？d）；肾功能不全非透析期患者0.6g/（kg？d）。</p><p>2.控制血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">具体方略参见糖尿病。目标尽可能使患者的HbA1c＜6.5%。</p><p>3.降压治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目标血压：尿蛋白＜1g/d，血压应降至130/80mmHg；尿蛋白＞1g/d时，血压应降至125/ 75mmHg。</p><p>（1）ACEI：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">卡托普利（开博通）25mg，口服，每日3次。</p><p>（2）ARB：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氯沙坦（科素亚）50mg，口服，每日1次，或缬沙坦（代文，缬克）80mg，口服，每日1次。</p><p>（3）钙拮抗药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">硝本地平控释片（拜心同）30mg，口服，每日1次；或氨氯地平（络活喜，兰迪，安内真）5mg，口服，每日1次。</p><p>（4）β受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">阿替洛尔30mg，口服，每日1次。</p><p>（5）利尿药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">氢氯噻嗪25mg，口服，每日1次或每日3次，如长期用大剂量，须观察代谢不良反应。</p><p>（6）α受体阻断药：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">应注意反射性心动过速及直立性低血压。</p><p>4.调脂治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DN时也应使用他汀类药物严格纠正血脂紊乱，如辛伐他汀（舒降之）。</p><p>5.其他治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰激肽原酶（怡开）120U，口服，每日3次；保肾康100～200mg，口服，每日3次。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病足</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足（diabetic foot）指糖尿病患者由于合并神经病变及不同程度的血管病变而导致下肢感染、溃疡形成和（或）深部组织的损伤。全球约15%糖尿病患者在其生活的某一时间发生过足溃疡或坏疽，糖尿病足造成的截肢是非糖尿病患者的15倍。</p><p>（一）发病机制</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病足的病变基础是糖尿病血管病变和神经病变。糖尿病性感觉神经受损可导致肢体末梢的保护性感觉减弱或丧失，自主神经功能受损可引起皮肤干燥，运动神经受损可引起姿势与协调缺陷，出现足部生物力学的改变等。糖尿病血管病变可引起缺血，在一些诱因如外伤、鞋袜不合适等作用下可出现足溃疡，严重者导致截肢（图14-4-6）。</p><p>（二）糖尿病足分级</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">临床常用的分级为Wagner分级（表14-4-13）。此外2007年国际糖尿病足指南提出了新的分级建议（PEDIS法），目前该分级方法处于探讨阶段，其主要通过五个方面即血流灌注、溃疡面积、溃疡深度/组织缺失、感染及足感觉情况进行评价。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127214613089347.jpg\" title=\"1527127214613089347.jpg\" alt=\"P14-4-6_43011.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 946px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-6　糖尿病足的发病机制</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-13　糖尿病足的Wagner分级</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127235359054629.jpg\" title=\"1527127235359054629.jpg\" alt=\"T14-4-13_70319.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 500px; table-layout: fixed;\"/></p><p>（三）预防1.定期检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">所有患者至少每年检查一次足相关问题，如存在糖尿病足危险因子应检查更频繁。检查内容包括：①询问病史：先前存在溃疡或截肢；糖尿病足教育；独居；不愿就医；赤脚行走；②神经病变检查；③血管状态评估；④足部皮肤情况；⑤检查鞋袜。</p><p>2.教育</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">教育高危患者，如每日检查足部，包括足趾间区域；如果该患者不能自己检查足部，应由其他人帮助检查；定期洗脚，仔细擦干，特别是趾缝间；水温一般要在37℃以下；避免户内或户外赤足行走，避免穿鞋不穿袜；不使用化学药物或贴剂祛除胼胝或鸡眼；每日检查鞋子内部；干燥皮肤应使用润滑油或膏；每日更换袜子；水平修剪指甲；应由专业医护人员处理鸡眼和胼胝；患者应知晓定期复诊检查足部。医护人员也应定期接受培训。</p><p>3.鞋袜</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">合适的鞋子特别是改善生物力学负荷和足部畸形的鞋子可以有效地防治足溃疡。鞋子不应太紧或太松：一般鞋子内部应较足本身长1～2cm，内部宽度应与跖趾关节部位的足宽度相等，高度应考虑给足趾充分空间。如果由于足部畸形导致过紧或存在异常足部负荷的征象（如充血、鸡眼、溃疡），建议患者穿特制的鞋子包括鞋垫及矫形器械。</p><p>（四）治疗前评估1.溃疡病因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">即使在“纯缺血性”溃疡，鞋子不合适也是溃疡最常见的原因，所以所有患者均应仔细检查鞋袜。</p><p>2.溃疡类型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数溃疡可被分为神经性、缺血性或神经-缺血性，该分类有利于进一步治疗。</p><p>3.血管情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">治疗前必须评估血管情况（足背动脉搏动、踝肱比值，进一步的检查包括彩色多普勒超声、血管造影、CT血管显像及磁共振血管显像等）。</p><p>4.足溃疡位置、面积及深度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">神经性溃疡经常发生在足底面或骨性畸形区域，缺血性或神经-缺血性溃疡常发生在足趾末端及足侧边。由于胼胝或坏死组织的存在常使溃疡深度较难确定，所以存在胼胝和坏死的神经性溃疡应尽快清创。</p><p>5.感染征象</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">感染征象包括发热、疼痛或白细胞升高等，感染会加重组织损伤甚至出现溃疡。还应确定有无骨髓炎，可以通过针探查、影像学检查等。浅表溃疡多为革兰阳性细菌引起，深部感染应对最深部组织进行革兰染色和培养，这些感染多为多细菌混合感染，包括厌氧菌和革兰阳/阴性菌。</p><p>6.全身情况</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">包括血糖等各代谢指标情况、各脏器功能、其他并发症、凝血功能及营养状态等。</p><p>（五）糖尿病足溃疡的处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">需多学科协作，基础治疗需要贯穿整个治疗过程的始终，主要包括控制血糖、改善微循环、纠正相关的糖尿病并发症及营养支持等。其他治疗措施主要包括以下六个方面：减压、清创、伤口敷料、控制感染、血管重建及截肢。</p><p>1.减压</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">Paul W.Brand教授曾说过“所有问题实际是一个力学问题，而不是医学问题”，可见减压在糖尿病足治疗中的作用。通过限制站立及行走可以有效地对足部溃疡减压，此外可通过器械协助减压，包括拐杖、完全接触支具（完全按照足部形态塑形）或其他支具及个体化鞋垫等。</p><p>2.清创</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病治疗过程中要处理好局部与整体的关系，忌只见局部伤口，忽略全身状态的做法。局部伤口清创是糖尿病足治疗的重要手段，但也不宜过分清创手术处理以防止坏疽蔓延扩大。清除坏死组织时宜采用蚕食的方法，逐渐清除坏死组织。</p><p>3.伤口敷料</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">传统敷料如纱布、绷带等，其较为经济、有一定吸收性、可松散填塞伤口并且具有较好的清创效果，但是伤口容易干燥损伤、无法吸收多量的渗液、伤口周围皮肤容易浸湿及溃烂、肉芽容易受损、上皮层不易移行增生。近年来湿润性伤口敷料不断涌现，为糖尿病足的治疗提供了更多手段，包括油纱敷料、透明薄膜类敷料、渗液吸收类敷料（水胶体敷料、泡沫类敷料、藻酸盐敷料等）、清创类敷料（水凝胶敷料、酶学清创敷料等）、银离子敷料及生物活性敷料等。临床诊治糖尿病足过程中应根据足溃疡愈合过程的不同阶段选择合适的敷料。</p><p>4.血管重建</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">主要通过外科手术及介入对阻塞血管进行血管重建。</p><p>5.控制感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对于无感染伤口无证据支持使用抗生素。对于表浅足溃疡，感染的病菌主要为金黄色葡萄球菌和（或）链球菌。对于骨髓炎和深部脓肿，其病菌可能包括多种需氧的G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>细菌、G<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>杆菌，如大肠杆菌、变异杆菌、克雷伯菌属及厌氧菌，如类杆菌属、链球菌。抗感染治疗一定应考虑病原学情况，此外足溃疡者合理采集标本，进行细菌培养及药敏可有效地指导抗感染治疗。</p><p>6.截肢</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见的截肢手术指征包括：无法控制的感染；无法控制的静息疼痛及足部大面积坏疽。</p><h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">糖尿病与感染</h4><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1型和2型糖尿病患者的感染发生率较高，而且比较严重，许多常见的感染在糖尿病人群中发生更频繁、更严重。在高血糖高渗状态，一些罕见的感染如鼻脑型毛霉菌病、气肿性胆囊炎、恶性或坏死性外耳炎等也会光顾糖尿病患者。侵袭性外耳炎往往继发于外耳道周围软组织的铜绿假单胞菌感染，常常以疼痛和分泌物为首发症状，然后迅速进展为骨髓炎和脑膜炎。糖尿病与感染是两种相互影响的疾病，糖尿病患者易于并发感染，而感染又可引起和加重糖尿病。据报道糖尿病并发医院感染的病例占住院病例的0.41%，占住院糖尿病患者的36.65%，占全院感染构成比的9.52%。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病患者易患感染因素与机制</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">研究显示糖尿病患者易患感染的危险因素包括年龄、糖尿病病程、住院天数、抗菌药物的使用、血糖的控制程度、手术及侵入性操作、糖尿病的并发症及糖尿病患者的慢性基础性疾病等。糖尿病医院感染的主要部位为肺部感染，其次为泌尿道感染、切口感染及肠道感染、口腔感染等。其可能的机制包括：</p><p>（一）机体天然的和获得性免疫防御功能降低</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">天然免疫（innate immunity）是机体对各种理化损伤因素或周围环境改变而启动的快速防御性的体系。经典的天然免疫系统包括巨噬细胞、抗原提呈B细胞和树状突细胞。巨噬细胞激活后分泌多种免疫反应因子包括细胞因子，后者可以诱发急性时相反应，分泌和释放大量活性物质。研究证实糖尿病患者免疫功能紊乱，粒细胞的黏附、吞噬能力降低，抑制性T淋巴细胞功能低下。T细胞对植物凝血素（PHA）刺激后的幼稚化反应功能降低。集落刺激因子减少，引起粒细胞分化异常。糖尿病伴营养不良与低蛋白血症时，B淋巴细胞产生免疫球蛋白，抗体生成明显减少，高血糖还可引起免疫球蛋白与补体发生糖基化，使其功能降低。综上所述，糖尿病患者尤其在合并严重并发症时，由于严重的代谢紊乱，机体天然和获得性免疫的各种防御功能缺陷，包括中和毒素、吞噬功能、细胞内杀菌作用、血清调理素和细胞免疫作用的抑制或下调，因此对入侵微生物的各种抵御反应多被抑制，故糖尿病患者极易感染，且感染严重。</p><p>（二）长期高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者体内长期高血糖状态导致细胞介导的免疫和巨噬细胞功能异常，机体免疫功能降低，当细菌、病毒、化学毒素等侵害机体时其反应能力减弱，因而极易感染，且常常比非糖尿病患者严重；另外长期高血糖导致各种体液含糖量增高，有利于外来生物体定居生长和繁殖（如念珠菌和其他真菌类）。</p><p>（三）糖尿病慢性并发症</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者的高血糖、高血脂可致内皮细胞损伤，单核细胞黏附、迁移、移行进入血管壁分化为巨噬细胞，巨噬细胞吞噬脂质转变成巨噬泡沫细胞。这些细胞因子一方面加剧了血管壁的慢性炎症反应，同时也进一步加重内皮细胞损伤，并促进血管平滑肌细胞增殖及分泌细胞因子，血管平滑肌细胞亦可吞噬脂质而转变成泡沫细胞。故糖尿病患者易发生血管病变，使血管结构和功能异常，导致局部血液循环障碍，血流缓慢，组织血液供应减少，组织缺氧，影响局部组织对感染的反应。缺氧时有利于厌氧菌生长，严重时可引起组织坏死。糖尿病周围神经和自主神经病变，对外来刺激不敏感，对痛、温、触觉等感觉的保护性反应减退，容易遭受损伤（溃破、挫伤、烫伤），而且不易早期发现，易致感染。由于周围循环差，创伤不易愈合，下肢血管病变易致肢端缺血坏疽甚至截肢致残。研究显示伴有微血管病变的糖尿病患者，抗生素吸收缓慢且减少，可影响其作用，导致感染不愈甚至恶化。伴有神经源性膀胱炎、尿潴留的糖尿病患者容易尿路感染。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病感染的临床特点与诊断</h6><p>（一）常见的感染1.呼吸道感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肺炎、支气管炎、肺脓肿、肺结核。肺部感染的病原体一般与非糖尿病患者相似，但革兰阴性菌、金黄色葡萄球菌、结核分支杆菌是较常见的病原体。近年革兰阳性球菌感染率渐增多，常见的有肠球菌、表皮葡萄球菌、金黄色葡萄球菌等，同时一些少见菌种，如铜绿假单胞菌、变形杆菌、克雷伯菌、白色念珠菌、新型隐球菌等亦明显增多。临床表现为发热、恶寒、咳嗽、咳痰、胸闷胸痛、呼吸急促或伴有恶心、呕吐、腹胀，甚至抽搐昏迷；可闻及支气管呼吸音及湿啰音，血白细胞明显升高，老年或重症者白细胞数可正常，影像学可协助诊断。糖尿病患者患肺结核较非糖尿病患者高2～4倍。临床表现消瘦、咳嗽、咯血、低热、盗汗、胸痛、血沉快、OT试验（结核菌素试验）阳性，影像学检查可协助诊断。</p><p>2.泌尿系感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">肾盂肾炎、尿道炎、膀胱炎、前列腺炎等。女性糖尿病患者发生泌尿系统感染者比非糖尿病患者增加2～3倍。糖尿病患者易并发肾盂肾炎、膀胱炎及真菌性阴道炎，尤其在发生了神经系统并发症之后，神经源性膀胱致尿潴留，或用导尿管后更增加了感染的机会，严重者可致肾衰竭。尿常规检查常可发现白细胞增多，尿培养可有细菌生长。致病菌主要为革兰阴性菌，其中80%是大肠杆菌，其次为变形杆菌、铜绿假单胞菌和厌氧杆菌等。但也可见真菌感染，可能与不适当地应用广谱抗生素有关，其中膀胱炎和肾盂肾炎最常见，偶可并发急性肾乳头坏死。值得注意的是部分患者表现为无症状性菌尿。</p><p>3.肝胆道感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病时急性和慢性胆囊炎的发生率增高，尤其在肥胖的2型糖尿病患者中，更是多见，往往胆囊炎与胆石症并见。糖尿病患者胆囊往往增大，且收缩功能不良，后者可能是与糖尿病患者合并自主神经病变有关，因此容易继发感染。革兰阴性菌是主要的致病菌，尤其是大肠杆菌。急性胆囊炎的严重后遗症是胆囊坏疽和穿孔。</p><p>4.皮肤及其他感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">因为周围血管神经病变，糖尿病患者的皮肤较易损伤，且不容易发现和自愈，因此糖尿病患者易发生多种皮肤及软组织感染，其中糖尿病患者并发皮肤化脓性感染约占20%。临床上以疮、疖、痈、疽、癣、皮炎、牙周炎、鼻窦炎、中耳炎、胃肠炎等细菌感染为多见，可发生各种化脓性感染；近年来大量广谱抗生素的应用以及糖尿病患者生存期的延长，细菌谱发生了明显的改变。真菌也是糖尿病患者皮肤感染的常见致病菌，表现为足癣、手癣、股癣、妇女外阴部白色念珠菌感染等。糖尿病足感染则主要以金黄色葡萄球菌和大肠埃希菌多见，革兰阳性球菌亦呈上升之势。主要病原菌对常用抗生素耐药率较高。</p><p>（二）糖尿病特殊感染</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病患者出现非糖尿病患者不易被发现的细菌和（或）真菌感染。</p><p>1.鼻脑型毛霉菌病（rhinocerebral mucormycosis，RCM）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">毛霉菌（mucoraceae）是广泛存在于自然界的腐物寄生菌，临床表现复杂且诊断困难。原发于鼻窦的毛霉菌病临床少见，多发生在机体衰弱、免疫力低下等慢性消耗性疾病个体（如糖尿病），死亡率很高，达85%～90%。糖尿病并发RCM，早期症状常为发热、眶周及颞部疼痛，逐渐出现眶周皮肤蜂窝织炎并出血坏死，鼻腔黑痂，可并有脑膜刺激征和偏瘫。额叶等部位出血性坏死，镜下可见鼻窦黏膜表面、眼眶及脑内坏死组织有大量毛霉菌。糖尿病RCM好发于糖尿病酮症酸中毒患者，感染部位是鼻部的皮下组织内，属于深部真菌感染，病菌极易通过鼻窦或眼部播散，并感染脑部，故病死率高。一旦诊断应该及时积极控制血糖和酮症酸中毒，并使用两性霉素B等控制霉菌。</p><p>2.恶性或坏死性外耳道炎（necrotizing external otitis，NEO）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">坏死性外耳道炎是一种伴有侵袭性骨质破坏的进行性、恶性外耳道炎。多见于老年糖尿病患者或有免疫缺陷的患者。致病菌常为铜绿假单胞菌。临床表现为耳痛，有浆液、脓性耳漏，听力下降，下颌关节运动障碍，也可伴有出血，有臭味。本病炎性骨质破坏可呈进行性发展，常累及腮腺颌后窝、颅底、脑神经和脑组织，最终因出血、脑膜炎、脑脓肿等危及患者生命。糖尿病患者合并进行性发展的外耳道炎，尤其是老年患者或经积极抗炎治疗无效者，应考虑本病，送脓液培养，颞骨X线断层拍片或CT扫描可估计病变范围或有无死骨形成，外耳道峡部底壁出现肉芽组织有助于诊断。</p><p>3.气肿性胆囊炎（emphysematous cholecystitis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是急性胆囊炎的一种特殊类型，在胆囊发炎的同时，还产生气体，因而也称气肿性胆囊炎、气性胆囊炎或含气性胆囊炎。男性患病为女性的3倍，且大约20%的病例患有糖尿病。细菌，如大肠杆菌、链球菌、葡萄球菌，特别是梭状芽孢杆菌等侵入胆囊，在生长繁殖的过程中产生气体，气泡可出现在胆囊腔内、胆囊壁中、胆囊间隙，偶见于胆管内。气肿性胆囊炎症状常较严重，病情发展很快，患者往往突然感到中上腹或右上腹疼痛，伴有恶心、呕吐，可出现高热和休克。腹部X线平片和CT显示胆囊内积气、组织间气肿、可特征性地显示出胆囊轮廓，站立位摄片可见到气体下有液平面。该病病死率较高，一旦诊断为气肿性胆囊炎，应及时手术治疗，去除病变组织，应用有效抗生素如大剂量青霉素。</p><p>4.气肿性肾盂肾炎（emphysematous pyelonephritis）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是罕见的肾实质及周围组织的以弥漫性坏死为特征的急性坏死性感染性疾病，在肾实质和肾筋膜内产生大量气体。据有关学者观察，本病87%的患者伴有糖尿病，非糖尿病患者气肿性肾盂肾炎几乎常常伴有输尿管梗阻，男女发病之比为1∶1.8。厌氧菌如大肠埃希菌、变形杆菌、克雷伯菌等发酵，葡萄糖产生乳酸和CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>。现认为CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>是造成肾及周围组织内含有气体的主要因素。单侧多见，亦有双肾发病者；后者大多数存在尿路梗阻，预后极差，死亡率高达50%。临床上如果遇到反复出现泌尿系统感染的糖尿病患者，血糖控制不理想，伴有发热，病程中出现腰痛或季肋部疼痛时，应警惕发生气肿性肾盂肾炎的可能。B超、KUB检查及双肾CT检查有助于提高气肿性肾盂肾炎等并发症的早期诊断率。B型超声波检查：患侧肾后方受压变形并可见较多气体反射。CT检查：患侧肾实质及相邻肾周可见低密度影和气体影。虽然气肿性肾盂肾炎偶见，但其症状危重，发展迅速，常可并发败血症、感染性休克及急性肾衰竭，需给予尽早诊断和积极治疗。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病感染的防治</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病因感染致死者仍高达10%以上，而老年糖尿病合并感染者死亡率更高。故应加强预防并及早诊断、及早治疗。糖尿病并发感染防治措施原则如下：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（1）坚持参加适当的体育锻炼，增强体质，增加机体抗病能力。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（2）注意卫生，加强基础护理，防止皮肤感染和褥疮发生：特别要注意及时治疗甲沟炎、鸡眼、胼胝、脚癣、甲癣等感染，以防细菌扩散。合并末梢神经炎病变者，避免外伤、烫伤。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（3）积极控制和治疗糖尿病：纠正代谢紊乱，严格控制血糖。一旦合并感染，血糖会明显升高，此时要加强降糖治疗，必要时使用胰岛素强化治疗。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（4）合理应用抗生素：①通常选择高效、广谱、敏感的杀菌剂，必要时联合用药。②最好根据药敏试验选用抗生素。③较非糖尿病患者感染，本症应用抗生素的剂量较大且时间更长，若为严重的感染，应静脉给药。④伴肝、肾功能损伤者，选择毒副作用小的抗生素，尽量避免使用氨基糖苷类、万古霉素等肾毒性较大的抗生素，必要时需监测血药浓度。⑤注意抗生素与降糖药物的相互作用：氯霉素具抑制肝药酶的作用，可使口服降糖药的血浓度升高，导致低血糖反应。而利福平则引导肝药酶，使口服降糖药降解加速，引起血糖增高。异烟肼也影响糖代谢，导致血糖升高等。⑥联合用药：感染严重者以静脉给药、联合用药为原则。如妥布霉素和替卡西林与庆大霉素联合应用，有协同作用，可提高治疗恶性或坏死性外耳道炎疗效，还可应用多黏菌素b等对铜绿假单胞菌敏感的药物。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">（5）外科治疗：对合并痈、蜂窝织炎、皮肤感染的，常需清创或切开引流等外科治疗；如气肿性肾盂肾炎在内科保守治疗无效的情况下，及时施行了保留肾的切开引流术，疗效较满意。</p><h4 style=\"box-sizing: border-box; margin: 10px 0px; padding: 0px; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; font-size: 18px;\">急性并发症</h4><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">糖尿病酮症酸中毒</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">糖尿病酮症酸中毒（diabetic ketoacidosis，DKA）是常见的糖尿病急性并发症（acute complications of diabetes mellitus）之一。是由于胰岛素活性重度缺乏及升糖激素不适当升高，引起糖、脂肪和蛋白质代谢紊乱，以致水、电解质和酸碱平衡失调，出现高血糖、酮症、代谢性酸中毒和脱水为主要表现的临床综合征。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA的发生与糖尿病类型有关，与病程无关，约20%以上新诊断的1型糖尿病和部分2型糖尿病患者可出现DKA。有些糖尿病患者以DKA为首发表现，1型糖尿病有发生DKA的倾向，而2型糖尿病通常在某些诱因下发生。DKA不仅是糖尿病最常见的急性并发症，同时也是内科常见的急症之一，近年来其发病率不断上升，2003年一项统计资料表明，美国每年因DKA入院的患者人数达到11.5万，因此，尽早诊断和及时治疗DKA在临床上有着重要的意义。</p><p>（一）诱因</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA的诱发因素主要包括以下几个方面：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">1.感染是DKA最常见的诱因，尤其是糖尿病患者伴发急性全身性感染，如肺炎、泌尿道感染、急性胰腺炎、败血症、腹膜炎等常诱发此症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">2.降糖药物应用不规范诱发DKA已经越来越受到重视。近年来研究表明由于体重增加、低血糖、患者依从性差等因素致使胰岛素用量不足、不适当减量或突然中断已经成为DKA最主要的诱因之一。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">3.某些影响糖代谢的药物，如皮质激素，噻嗪类利尿药，多巴酚丁胺，第二代的神经镇定药等可诱发DKA，而可卡因与DKA的反复发作密切相关。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">4.心肌梗死、脑血管意外、胃肠疾病（呕吐、腹泻等）。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5.手术、创伤、妊娠、分娩。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">6.饮食不当和心理障碍是1型糖尿病患者DKA反复发作的重要诱因。</p><p>（二）发病机制和病理生理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">胰岛素活性的重度或绝对缺乏和升糖激素过多（如胰高血糖素、儿茶酚胺类、皮质醇和生长激素）是DKA发病的主要原因。胰岛素缺乏和胰高血糖素升高是DKA发展的基本因素。胰岛素和胰高血糖素比率下降促进糖异生、糖原分解和肝酮体生成，肝的酶作用底物（游离脂肪酸、氨基酸）产生增加，导致高血糖、酮症和酸中毒（图14-4-7）。</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127350463020389.jpg\" title=\"1527127350463020389.jpg\" alt=\"P14-4-7_43051.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 768px; table-layout: fixed;\"/></p><p class=\"p_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">图14-4-7　DKA的发病机制</p><p>1.高血糖</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者的血糖多呈中等程度的升高，主要是由于葡萄糖生成（包括糖原分解和糖异生）增多以及葡萄糖利用（糖酵解、脂肪酸合成和糖原合成）减少所致。胰高血糖素和儿茶酚胺类激素水平升高，胰岛素水平减低促进糖原分解。胰岛素缺乏还可减少GLUT4葡萄糖运载体，从而抑制骨骼肌和脂肪组织的葡萄糖摄取，抑制细胞内葡萄糖代谢。</p><p>2.酮症和代谢性酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酮症是由于脂肪细胞生成游离脂肪酸增多，肝酮体合成增加所致。胰岛素水平下降，儿茶酚胺和生长激素升高促进脂肪分解，生成游离脂肪酸（FFA）和甘油。在DKA时，胰岛素高度缺乏，足以促使脂肪分解，生成大量FFA，同时胰高血糖素和胰岛素的比率增加，降低了丙二酰辅酶A（CoA）的浓度，导致FFA进入线粒体生成酮体。正常情况下，酮体促进胰岛素从胰腺释放，而胰岛素可反馈抑制酮体生成。在胰岛素高度缺乏状态下，无法足够抑制酮体生成，因而致使大量酮体生成。生理pH情况下，酮体以酮酸的形式存在，碳酸氢根可中和酮体。DKA时，由于酮体生成增加，碳酸氢根不断地被消耗，另外，乳酸生成增多，肾排酸失碱加重，再则脱水和休克造成机体排酸（图14-4-7）障碍，最终导致代谢性酸中毒的发生。</p><p>3.脱水</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时，血糖和血酮浓度升高使血浆渗透压增高，细胞外液高渗时细胞内液向细胞外转移，细胞脱水伴渗透性利尿。蛋白质和脂肪分解加速，大量酸性代谢物的排出带出水分。酮体从肺排出也带出水分。酸中毒失代偿时的厌食、恶心、呕吐使水摄入量减少及丢失过多。这些因素相互和累加作用，引起患者脱水，严重者血容量不足，血压下降，甚至出现循环衰竭。</p><p>4.电解质平衡紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">渗透性利尿、呕吐及摄入减少、细胞内外水分及电解质的转移以及血液浓缩等因素，均可导致电解质平衡紊乱。</p><p>（三）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA起病急，病程通常小于24小时，根据酸中毒的程度，可以将其分为轻度、中度和重度。轻度是指只有酮症，无酸中毒（糖尿病酮症）；中度是指除酮症外，伴有轻至中度酸中毒（DKA）；重度是指DKA伴意识障碍，或虽无意识障碍，但二氧化碳结合力低于10mmol/L者。</p><p>1.症状</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多数患者起病时有多尿、烦渴多饮和乏力等糖尿病症状加重或首次出现，如未及时治疗，患者病情恶化，可出现恶心、呕吐、食欲减退等症状，少数患者可出现腹痛的症状，腹痛可能由酮症本身或原发病引起，腹痛与酸中毒的严重程度有关，50%～75%的腹痛患者疼痛剧烈似急腹症，临床上容易误诊。DKA的患者如有胃肠道出血可表现为呕血。约30%的DKA患者可同时伴有高渗状态。发病早期患者多神志清楚，随着病情的进展，常出现不同程度的意识障碍，嗜睡、昏睡或昏迷。另外注意患者有无诱发疾病的表现，如泌尿系统感染的症状，有无咳嗽、发热、寒战，冠心病患者近期胸痛情况等。</p><p>2.体征</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体检时，患者常有脱水征象。评价脱水的程度十分重要，患者皮肤、黏膜干燥、弹性下降、眼球下陷提示脱水达5%，单纯体位性脉搏变化提示细胞外液体丢失约10%，当出现心率加快、直立性低血压（＞15/10mmHg）和脉搏细弱等循环衰竭表现时，体液丢失达15%以上，当出现卧位低血压，提示严重脱水，体液丢失超过20%，也可能合并败血症。老年人或自主神经功能紊乱的患者本身可有直立性低血压，评价此类患者的脱水程度有一定困难。酸中毒时有Kussmaul呼吸，部分患者呼气中有烂苹果味（丙酮气味）。合并潜在感染的患者可发热、但是无发热并不能排除感染，因为酸中毒可使血管扩张，导致体温下降，低体温是病情严重的征兆，提示预后不良。</p><p>（四）实验室及辅助检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">体格检查、高血糖和酮尿强烈提示DKA，而DKA的确诊需要进行一系列详细的实验室检查，包括血浆葡萄糖、血尿素氮/肌酐、血酮体、电解质、血渗透压、尿常规、尿酮体、动脉血气分析和计算阴离子间隙等，其他的辅助检查还包括心电图、胸片和血培养。</p><p>1.尿液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖、尿酮常呈强阳性，当肾功能严重损害时，肾小球滤过率减少，而肾糖阈及酮阈升高，可出现尿糖与酮体减少，甚至消失，此时应注意诊断应以血酮为主。另外分析酮体水平时还需注意，重度DKA机体缺氧时，有较多的乙酰乙酸被还原为β-羟丁酸，此时尿酮测定反应呈阴性或弱阳性，DKA病情减轻后，β-羟丁酸转为乙酰乙酸，使尿酮反应呈阳性或强阳性，避免错误分析病情。</p><p>2.血糖和血酮</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血糖升高，一般在16.7～33.3mmol/L （300～600mg/dl），超过33.3mmol/L时多伴有高渗状态或有肾功能障碍。血酮体增高，多在4.8mmol/L（50mg/dl）以上。当留取尿样有困难或肝、肾功能可能对尿酮测定有影响时，可测定血酮体，一般用酮体粉作血酮半定量测定，正常血酮体20～40mg/L时与酮体粉不起呈色反应，当达100mg/L时才起反应，故呈阳性反应的血清稀释倍数乘以10即是血酮体半定量的mg/dl值。DKA时1∶16稀释血清仍可呈阳性反应。但需注意，丙酮和β-羟丁酸的生成速度是乙酰乙酸的三倍以上，而我们通常使用的酮体检测试剂（硝普盐）主要检测乙酰乙酸，测量血清或血浆的β-羟丁酸能更准确地反映体内酮体的水平。某些药物如卡托普利或青霉胺可能会引起假阳性反应，应注意询问相关病史以免误诊。</p><p>3.血电解质及尿素氮（BUN）、肌酐（Cr）</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由于高血糖可导致细胞内水分转移至细胞外，入院时患者血钠水平多降低，而严重脱水时体内总钠耗竭，但由于血液浓缩，血钠可升高。酸中毒时钾向细胞外转移，因此虽然总体钾水平下降，但患者血钾可表现为升高、正常或降低。而胰岛素治疗和纠正酸中毒后，钾离子向细胞内转移，有机酸钾盐经尿液丢失，出现低血钾。机体总氯、磷和镁也有所下降，但由于脱水和高血糖，血中浓度高低不定。血尿素氮（BUN）和肌酐可轻、中度升高，经治疗后仍高者提示肾功能受损。</p><p>4.血酸碱度</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">最常见的酸碱平衡紊乱是代谢性酸中毒，血pH和二氧化碳结合力（CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>CP）及<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1038_976_360_1041_385.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>下降，阴离子间隙明显增大［AG＝Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-（Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>+<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1038_957_383_1012_415.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>）］。但也能出现其他情况，如高氯性酸中毒（AG正常），合并明显呕吐时可能出现代谢性碱中毒。高氯性酸中毒多出现在DKA治疗中，由于补充了大量液体和氯化钠，尿酮排泄，血碳酸氢盐浓度随之下降，血氯增多，出现正常AG性高氯性酸中毒。DKA时大量呕吐使氢离子丢失过多，出现代谢性碱中毒，血清氯离子浓度下降，碳酸氢盐浓度正常。</p><p>5.其他</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者血常规检查白细胞可增多，无感染时也可高达10×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L，尤以中性粒细胞增高更为显著，如白细胞计数超过25×10<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">9</span>/L强烈提示患者有感染，需要密切随访。血游离脂肪酸、甘油三酯、脂蛋白可升高。最近研究发现，16%～25%的DKA患者血淀粉酶和脂肪酶可有非特异性的增高，如同时伴随明显腹痛，还需与急性胰腺炎鉴别。</p><p>（五）诊断和鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">详细地询问病史和发病过程，结合体检发现意识障碍、Kussmaul呼吸、脱水、休克等临床表现，要考虑DKA的可能性。实验室检查示尿糖和酮体强阳性，同时血糖、血酮明显升高，且血pH和二氧化碳结合力降低，则无论有无糖尿病病史，均可诊断为DKA。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA主要包括高血糖、酮症和代谢性酸中毒三联症，而糖尿病其他急性并发症也可有这些代谢紊乱，出现类似DKA的表现。DKA与其他急性并发症的鉴别见表14-4-14。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-14　DKA与其他并发症鉴别</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127418249043143.jpg\" title=\"1527127418249043143.jpg\" alt=\"T14-4-14_70417.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1019px; table-layout: fixed;\"/></p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">续表</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127436052077486.jpg\" title=\"1527127436052077486.jpg\" alt=\"T14-4-14_1_70420.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1023px; table-layout: fixed;\"/></p><p>（六）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA一经诊断，应立即治疗，并启动代谢和心、肾功能监护，观察神志变化。治疗重点是纠正病理生理变化、补充液体和电解质，控制血糖，纠正酸碱失衡，去除诱因，防止可能导致复发的因素。具体治疗方案应根据患者病情轻重决定，对于轻度DKA患者应鼓励进食、进水，补充胰岛素，以利血糖的下降和酮体的消除，中、重度酮症酸中毒应用小剂量胰岛素疗法，纠正水、电解质及酸碱平衡紊乱。</p><p>1.胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA发病的主要因素是胰岛素缺乏，因此，迅速补充胰岛素是治疗的关键。目前多采用小剂量普通胰岛素持续静脉滴注的方法，可以有效抑制脂肪分解和肝糖异生，且并发症（如低血糖、低血钾、低血磷、低血镁症、高乳酸血症和渗透压失调）发生率低。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">绝大多数患者在补液的同时即应开始胰岛素治疗，先给予0.1U/kg体重的普通胰岛素静脉负荷量，随后采用普通胰岛素生理盐水溶液，以0.1U/（kg？h）的速度持续静脉滴注，成人通常用5～7U/h，一般不超过10U/h。如患者合并休克或血钾低于3.3mmol/L，在使用胰岛素治疗之前需先补液或补钾，待休克纠正，血钾升至3.3mmol/L以上后，尽快使用胰岛素。静脉滴注胰岛素后其血浓度足以抑制脂肪分解、蛋白分解、酮体生成和肝糖异生，可使血糖每小时下降4.2～5.6mmol/L。每1～2小时密切监测血糖、血酮、血K和其他电解质水平，必要时监测肾功能和血气分析，及时调整治疗措施。如血糖每小时下降＜4.2mmol/L，在排除其他可能导致治疗无效的原因（包括酸中毒恶化和补液不足）之后，需适当增加胰岛素用量，通常每1～2小时可增加胰岛素1U。一旦血糖降至13.9mmol/L以下，可改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，如500ml 5%葡萄糖液中加入胰岛素6～12U，胰岛素滴注率下调至0.05U/（kg？h），持续静脉滴注。当血糖降至11.1mmol/L以下，碳酸氢盐＞18mmol/L，pH＞7.3，酮体阴性后，可以开始皮下注射胰岛素治疗方案。皮下注射短效胰岛素后，静脉胰岛素仍需继续维持1～2小时以防止血糖回升。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">近年来已陆续有报道应用速效胰岛素类似物，如门冬胰岛素（insulin aspart）或赖脯人胰岛素（lispro）每1～2小时皮下注射治疗无并发症的糖尿病酮症酸中毒，可得到与普通胰岛素静脉滴注治疗相似的效果，尚待积累更多经验。</p><p>2.补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">大多数DKA患者存在液体和电解质的丢失，补液不仅能纠正失水，还有助于血糖下降和酮体的清除。先快速静脉输注生理盐水，旨在扩充细胞外容量，恢复肾灌注，最初每小时静脉滴注15～20ml/kg。随后根据脱水程度、血清离子浓度和尿量选择输液类型和速度，在血压已稳定正常但血钠和血渗透压仍较高的患者，可短暂改用0.45%～0.6%的氯化钠［速率4～14ml/（kg？h）］，并加强对神志的观测，一旦血渗透压和血钠有所下降，即应考虑改回用生理盐水（参见高渗性高血糖状态），而血钠较低的患者可继续输注生理盐水［速率4～14ml/（kg？h）］。补液应先快后慢，如无心力衰竭，在开始1小时内输入1000～1500ml，以后根据血液、心率、每小时尿量、周围循环状况决定输液量和速度，在第3～6小时输入1000～2000ml，第1个24小时输液总量一般为4000～5000ml，严重失水者可达6000～8000ml。如治疗前已有低血压和休克，快速补液不能有效升高血压时，应输入胶体溶液，并采用其他抗休克措施。老年患者、充血性心力衰竭或肾功能不全患者需酌情调整补液速度和液体种类。儿童患者的补液速度为前4小时10～20ml/（kg？h），一般不超过50ml/（kg？h）。补液速度需控制，在48小时以上纠正脱水。脱水和渗透压纠正过快导致脑水肿的情况尽管少见，但是后果严重，而且在儿童中发生率相对较高。</p><p>3.纠正电解质紊乱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">通过输注生理盐水，低钠、低氯血症一般可获纠正。DKA时总体钾丢失严重［估计损失量3～5mmol/kg］。补液、胰岛素治疗和纠正酸中毒使钾离子向细胞内转移，血钾水平更低。为了防止低血钾，在开始治疗时，只要患者血钾＜5.5mmol/L，且尿量足够，即可开始补钾，并注意血钾和心电监测。如治疗前已有高血钾，等血钾降至正常范围开始补钾。每升液体需加入20～40mmol钾。为了防止血氯增加，可用磷酸钾或醋酸钾替代氯化钾治疗。通过治疗要使血钾＞3.5mmol/L。如治疗前血钾低于3.3mmol/L，在使用胰岛素之前需先补钾，血钾升至3.3mmol/L（3.3meq/L）以上后，再开始使用胰岛素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时磷缺乏也十分常见，当血磷严重下降，低于0.48mmol/L，且血钙正常才考虑补磷。小剂量静脉应用磷酸钾合并氯化钾较为安全和有效。一旦患者可以进食，则推荐口服补磷。</p><p>4.补碱</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA患者经上述治疗后，酸中毒随代谢紊乱的纠正而恢复，通常不需要补碱。而当血pH低至6.9～7.1时，可引起一些不良心血管反应，包括低血压、心脏输出量降低、外周血管阻力降低，肺动脉阻力增高、心动过缓和心律失常；也可导致肾和肠系膜缺血、脑血管扩张、脑脊液压力增高和昏迷，使缓冲碱剩余大大减少，也可引起胰岛素抵抗，则应予以补碱治疗，但过多过快补碱会产生不良反应，包括碱中毒，脑脊液pH反而降低、低钾血症、容量负荷过量、组织氧化作用改变和酮体生成过多。因此，除非pH低于7.0或出现明显的酸中毒临床表现，否则补碱治疗需慎重。如pH在6.9～7.0时，以50mmol/L碳酸氢钠，稀释于200ml的0.45%盐水中1小时内滴完；如pH＜6.9，以100mmol/L碳酸氢钠，稀释于400ml的0.45%盐水中2小时内滴完。30分钟后复查血pH，若pH仍低于7.0，可再次补充碳酸氢钠，如pH升至7.2，即可停止补碱。</p><p>5.诱因和并发症治疗（1）感染：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">既可是诱因，也可是并发症，常因DKA的严重症状而被忽略，须予以针对性的处理，以免影响整体疗效。</p><p>（2）肺水肿、呼吸窘迫：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">常见于老年人，可能是补液速度过快、左心室功能不全或毛细血管瘘综合征。因此，动态监测氧饱和度、液体出入量甚至有创性血流动力学检查均十分必要。</p><p>（3）心力衰竭、心律失常：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">年老或合并冠心病尤其是急性心肌梗死、输液过多等可导致心力衰竭和肺水肿，应注意预防，一旦出现，及早治疗。血钾过低、过高均可引起严重心律失常，应在心电监护下，尽早发现，及时治疗。</p><p>（4）肾衰竭：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">DKA时失水、休克，或原来已有肾病变以及治疗延误等，均可引起急性肾衰竭。注意预防，一旦发生，及时处理。</p><p>（5）脑水肿：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">是DKA最严重的并发症，多见于儿童，约占儿童患者的1%，成人少见。就诊时二氧化碳分压较低和血尿素氮水平高，治疗时血钠上升缓慢，需要补充碳酸氢钠治疗的患者均有出现脑水肿的威胁。儿童患者脑水肿的发生与补液速度或血糖降低速度无明显相关性。儿童DKA患者在治疗过程中突发神志改变，需警惕脑水肿可能，一旦发现，应采用高渗性脱水治疗。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">高渗性高血糖状态</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">高渗性高血糖状态（hyperosmolar hyperglycemic state，HHS）是糖尿病严重急性并发症之一，多发生于那些已有数周多尿、体重减轻和饮食减少病史的老年2型糖尿病患者，指上述患者最终出现的精神错乱、昏睡或昏迷的状态。临床上多表现为严重高血糖而基本上无酮症酸中毒、血浆渗透压升高、失水和意识障碍等精神神经系统症状。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的常见诱因有感染、急性胃肠炎、胰腺炎、脑血管意外、严重肾疾患、血液或腹膜透析、水摄入不足、大量摄入含糖饮料等；许多药物也可成为HHS的诱因，包括糖皮质激素（尤其是肾移植患者）、利尿药（如噻嗪类和呋塞米）、免疫抑制剂、氯丙嗪等；大量输注葡萄糖、长期静脉内营养支持亦可诱发或促进HHS的发生。</p><p>（一）发病机制和病理生理学</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS是体内胰岛素相对缺乏使血糖升高，并进一步引起脱水，最终导致的严重高渗状态。胰岛素相对不足、液体摄入减少是HHS的基本病因。胰岛素缺乏促进肝葡萄糖输出（通过糖原分解和糖异生）、损伤了骨骼肌对葡萄糖的利用（见上文DKA），高血糖的渗透性利尿作用导致血容量不足，如补液不充分，患者病情加重。另外，HHS的发生发展受到一系列因素的影响：存在感染、外伤、脑血管意外等诱发因素的情况下，胰岛素分泌进一步减少，对抗胰岛素的激素水平升高，血糖明显升高；HHS多发生于老年患者，口渴中枢不敏感，加上主动饮水的欲望降低和肾功能不全，失水常相当严重，而钠的丢失少于失水，致血钠明显增高；脱水和低血钾一方面能引起皮质醇、儿茶酚胺和胰高血糖素等升糖激素的分泌增多，另一方面进一步抑制胰岛素分泌，继而造成高血糖状态的继续加重，形成恶性循环，最终导致HHS发生。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS与DKA都是由于胰岛素缺乏而引起的糖尿病急性并发症，DKA主要表现为高血糖、酮症和酸中毒，而HHS以严重高血糖和高渗透压为特征。这两种代谢紊乱临床表现的差别，可能的原因为：①HHS时胰岛素只是相对缺乏，分泌的胰岛素虽足以抑制脂肪分解和酮体生成，但却不能抑制糖异生，故主要为血糖的明显升高；但在DKA胰岛素是高度缺乏，已不能抑制酮体生成；②胰高血糖素等升糖激素升高较轻，促进脂肪分解和生酮作用较弱；③HHS时失水严重，不利于酮体产生；④部分HHS患者血浆非酯化脂肪酸水平高而无酮症，提示肝生酮功能障碍；⑤严重高血糖和酮体生成之间可能存在拮抗作用。由此可见，HHS与DKA是不同程度的胰岛素缺乏所导致的两种状态，两者可能同时存在，实际上，1/3的高血糖患者可同时表现出HHS和DKA的特征。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS发病率低于DKA，多见于60岁以上老年人，男女发病率大致相同，约2/3患者过去有糖尿病病史，且多为2型糖尿病。HHS起病多隐匿，从发病到出现典型的临床表现一般为1～2周，偶尔急性起病。患者起病初期多有口渴、多饮、多尿、乏力等糖尿病症状出现或加重，可同时伴有恶心、呕吐、食欲减退、反应迟钝、表情淡漠等临床表现。随着病情进展，逐渐出现典型的HHS临床表现，主要表现为严重脱水和中枢神经系统损害。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者常有严重的脱水征，体格检查可见皮肤黏膜干燥、弹性减退，眼球凹陷，唇舌干裂，随着病情进展，可出现脉细速，卧位时颈静脉充盈不全，直立性低血压等周围循环衰竭表现。不少患者就诊时已处于休克状态，但因脱水严重，体检时可无冷汗。部分患者虽有严重脱水，但因血浆的高渗状态促使细胞内液外出，补充了血容量，可能掩盖了失水的严重程度，而使血压仍然维持正常。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者中枢神经系统损害的症状非常突出，患者意识水平主要决定于血浆渗透压升高的程度。通常患者血浆有效渗透压超过320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，即可出现精神症状，如淡漠、嗜睡等，而当患者血浆有效渗透压超过350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，可有定向力障碍、幻觉、上肢拍击样粗震颤、癫痫样抽搐、失语、偏盲、肢体瘫痪、昏迷及锥体束征阳性等表现。这些体征提示患者可能有因脱水、血液浓缩或血管栓塞而引起的大脑皮质或皮质下损害。经治疗后，上述神经系统症状、体征多可完全恢复正常，但少数患者可能在HHS纠正后一段时间内仍遗留部分中枢神经系统损害表现。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS常由严重的并发疾病如心肌梗死或脑卒中诱发。败血症、肺炎和其他一些感染是HHS常见的诱因。另外，一些导致机体抵抗力下降的因素如脑卒中前或痴呆对HHS的发生发展有促进作用。所以在处理HHS患者时也应注意有无诱发疾病表现，及时纠正。</p><p>（三）实验室检查1.尿液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">尿糖强阳性，肾功能不全可使肾糖阈值升高，但尿糖阴性者罕见；尿酮阴性或弱阳性；可有蛋白尿和管型，与肾小管功能受损有关。</p><p>2.血液检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者主要的血生化指标检查与DKA的比较见表14-4-15。最显著的特征是高血糖、高血渗透压和肾前性氮质血症。血酮体正常或略高，半定量测定多不超过4.8mmol/L（50mg/dl）。另外，因血糖每升高5.6mmol/L，血钠下降1.6mmol/L左右，HHS时存在严重高血糖，可造成血钠水平假性降低。渗透压可直接测定，也可用公式计算，即血浆总渗透压（mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O）＝2× （Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>）+血糖（mmol/L）+BUN（mmol/L），因BUN能自由通过细胞膜，不构成细胞外液的有效渗透压，略去BUN的值即为有效血浆渗透压。HHS时，有效血浆渗透压明显升高，一般在350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O以上。</p><p class=\"t_title\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">表14-4-15　糖尿病酮症酸中毒（DKA）和高渗性高血糖状态（HHS）实验室检查</p><p style=\"text-align: center;\"><img src=\"{imageUrlPrefix}/group1/M00/00/00/image-20180524-1527127492878011030.jpg\" title=\"1527127492878011030.jpg\" alt=\"T14-4-15_70444.jpg\" width=\"100%\" height=\"auto\" style=\"width: 100%; height: auto; max-width: 1001px; table-layout: fixed;\"/></p><p class=\"t_note\" style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important; text-align: center;\">注：<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">*</span>治疗过程中会发生极大变化；<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">**</span>血浆水平表现为正常或增高，机体的储备量减少</p><p>（四）诊断与鉴别诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS的诊断并不困难，关键要提高对本病的认识和警惕，及早发现，及时治疗。如发现中、老年患者有显著的精神障碍和严重的脱水，而无明显的深大呼吸，应考虑到发生本病的可能，并立即作相应实验室检查和辅助检查，包括血糖、血酮、血电解质、血尿素氮和肌酐、血气分析、尿糖、尿酮体、心电图等。HHS的诊断依据是：①中、老年患者，血糖≥33.3mmol/L；②有效血浆渗透压≥320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O；③血清碳酸氢根≥15mmol/L或动脉血pH≥7.30；④尿糖强阳性，血酮体阴性或弱阳性。另外，要注意HHS有并发DKA或乳酸性酸中毒的可能性，因此诊断依据中的①、③或④不符合时不能作为否定诊断的依据。但HHS患者均存在明显的高渗状态，如昏迷患者血浆有效渗透压低于320mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，应考虑到其他疾病引起昏迷的可能性，HHS与其他疾病的鉴别见表14-4-14、表14-4-15。</p><p>（五）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对患者需启动代谢、心、肾功能监护，并观察神经系统症状和体征变化。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">血容量不足和高血糖是HHS和DKA的共同主要特征。因此在这方面的治疗有共同的特点，而HHS基本上无酸中毒或甚轻微，DKA则酸中毒明显，因而HHS对胰岛素的需要量远较DKA为小。在HHS和DKA时，监测患者液体补液情况，实验室检查结果和胰岛素输注率至关重要。另外，应积极寻找和去除诱发因素。HHS患者由于病程长，液体丢失和脱水的情况较DKA更加显著。HHS患者通常年龄比较大，更容易发生精神状态的改变和伴发其他威胁生命的疾病。因此即使予以及时治疗，HHS患者的死亡率仍然比DKA要高（临床统计显示死亡率可高达15%），故要特别强调预防、早期诊断和治疗。</p><p>1.补液</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者均有严重脱水，而高渗状态引起的脑细胞脱水是威胁患者生命的主要原因，单纯补液即可使血糖每小时下降1.1mmol/L（20mg/dl），可使血浆渗透压下降，减轻脑细胞水肿。因此积极补液在治疗中至关重要，对预后起决定性作用。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">对HHS患者而言，首选生理盐水，因生理盐水的渗透压为308mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，相对于HHS情况下的血浆高渗透压而言是低渗的。输注生理盐水能迅速有效地补充血容量，改善肾功能并降低血糖。如治疗前已有休克，可先补充生理盐水和适量胶体溶液，以尽快纠正休克。如无休克，经输注生理盐水1000～2000ml后，血浆渗透压仍＞350mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O，血钠＞155mmol/L，可谨慎给一定量的低渗溶液（0.45%～0.6%盐水），并在中心静脉压及血浆渗透压监测下调整补液量和速度；当渗透压降至330mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，再改为等渗溶液。治疗过程中应注意大量使用生理盐水可使患者的血钠和血氯升高，导致高氯血症。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">5%葡萄糖液的渗透压为278mmol/L，虽为等渗，但糖浓度约为正常血糖的50倍，5%葡萄糖盐水的渗透压为586mmol/L，因此，在治疗早期两者均不适用，以免加剧高血糖、高血钠及高渗状态。当血糖降至16.7mmol/L （300mg/dl）时，可开始输入5%葡萄糖液并酌情加用胰岛素。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">输液总量一般按患者原体重的10%～12%估算，补液速度应先快后慢，通常开始2小时内输1000～2000ml，头12小时给输液总量的1/2再加上当日尿量的液体量，其余在24小时内输入。输液中要观察尿量、心功能、神经系统表现和体征变化，必要时监测中心静脉压。</p><p>2.胰岛素治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">与DKA的治疗一样，尽管最初的补液和容量扩张可以降低血糖，HHS患者仍需要胰岛素治疗，由于患者一般对胰岛素比DKA患者敏感，通常所需胰岛素的剂量比酮症酸中毒时少。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">目前多主张小剂量胰岛素治疗方案，可先静脉推注普通胰岛素5～10U，继续用静脉滴注维持治疗（3～7U/h）。血糖和电解质等的监测要求与DKA相似。当患者血糖降至16.7mmol/L，血浆渗透压＜330mOsm/kg H<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>O时，转为第二阶段治疗，改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，若此时血钠低于正常值，用5%葡萄糖盐水效果更佳。持续静脉输注胰岛素，直到患者恢复正常饮食，且可以用皮下注射胰岛素控制血糖为止。患者出院时均需用胰岛素控制血糖，部分患者日后可试改用口服降糖药物治疗。</p><p>3.补钾</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">HHS患者体内钾丢失严重，约丢失5～10mmol/kg，总量可达400～1000mmol，因为高血糖引起渗透性利尿，部分患者有酸中毒，细胞内钾移向细胞外，患者治疗前血钾往往正常，而在输注生理盐水的过程中可出现低钾血症。因此，只要患者血钾不高，尿量充足，治疗开始时即应补钾，可在1000ml生理盐水中加入10%氯化钾，每天可补4～6g，另外应鼓励患者同时口服补钾。静脉补钾过程中需监测血钾和心电图，如患者肾功能不全，补钾时尤应注意。</p><p>4.其他治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">注意纠正电解质紊乱，积极去除诱因，输氧，尿少者可静脉静滴呋塞米，特别是高钠血症患者。对于合并DKA的患者，应按DKA治疗原则纠正酸中毒。对昏迷患者需加强护理，留置导尿管以观察尿量变化，并选用适当抗生素以预防和控制感染，密切观察患者病情变化。</p><h6 style=\"box-sizing: border-box; font-family: inherit; font-weight: 500; line-height: 1.1; color: inherit; margin-top: 10px; margin-bottom: 10px; font-size: 12px;\">乳酸性酸中毒</h6><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒（lactic acidosis）是由于各种原因导致组织缺氧，乳酸生成过多，或由于肝的病变致使乳酸利用减少，清除障碍，血乳酸浓度明显升高引起。它是糖尿病的急性并发症之一，多发生于伴有全身性疾病或大量服用双胍类药物的患者。</p><p>（一）发病机制与分类</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">当组织缺氧时，线粒体功能障碍，丙酮酸堆积在胞浆转化成乳酸，从而引发乳酸性酸中毒。正常情况下，机体代谢产生的乳酸主要在肝中氧化利用，或被转变成糖原储存，少量乳酸经肾排出。而在肝肾疾病的情况下，乳酸利用和排出减少也可诱发和加重乳酸性酸中毒。乳酸性酸中毒分为先天性和获得性两大类。先天性乳酸性酸中毒是由遗传性酶的缺陷（如葡萄糖-6-磷酸酶、丙酮酸脱氢酶和丙酮酸羧化酶），造成乳酸、丙酮酸代谢障碍引起。而获得性乳酸酸中毒根据发病原因主要分为A型和B型两大类，具体如下：</p><p>1.A型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">由组织缺氧引起，见于各种休克、贫血、右心衰竭、窒息、低氧血症、CO中毒等。</p><p>2.B型</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">非组织低氧所致。</p><p>（1）系统性疾病引起：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">见于糖尿病、恶性肿瘤、肝衰竭、严重感染、尿毒症、惊厥、胰腺炎及胃肠病等。</p><p>（2）药物及毒素引起：</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">多见于双胍类、果糖、山梨醇、甲醇、乙醇、水杨酸类及乙二醇、可卡因、氰化物、儿茶酚胺等。</p><p>（二）临床表现</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者起病较急，有深大呼吸（不伴铜臭味）、神志模糊、嗜睡、木僵、昏迷等症状，可伴有恶心、呕吐、腹痛。缺氧引起者有发绀、休克及原发病表现。药物引起者常有服药史及各种中毒表现。系统性疾病引起者，除原发病症状外，以酸中毒为主。但本病症状与体征可无特异性，轻症者临床表现可不明显，可能仅表现为呼吸稍深快，常被原发或诱发疾病的症状所掩盖，应注意避免误诊或漏诊。</p><p>（三）实验室检查</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">患者乳酸浓度多超过5mmol/L，有时可达35mmol/L，血乳酸浓度超过25mmol/L的患者通常预后不佳。丙酮酸浓度相应升高达0.2～1.5mmol/L，乳酸/丙酮酸≥30∶1。<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_318_635_372_654.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>明显降低，常＜10mmol/L，CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>结合力常＜9mmol/L，阴离子间隙［Na<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>+K<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">+</span>-<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_139_695_193_717.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>+Cl<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; top: -0.5em;\">-</span>）］常＞18mmol/L，一般为25～45mmol/L。酮体可正常或轻度升高。</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">另外乳酸性酸中毒的患者血白细胞多明显升高。</p><p>（四）诊断</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒是糖尿病的急性并发症之一，其发生率低，死亡率高，预后较差，因此早期的诊断对其治疗有着重要意义。对口服双胍类药物的糖尿病患者如出现严重的酸中毒而血酮体无明显升高应考虑到本病的可能，如患者血乳酸＞5mmol/L，乳酸/丙酮酸≥30∶1，<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_130_939_184_964.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>＜10mmol/L，阴离子间隙＞18mmol/L，可诊断为糖尿病乳酸性酸中毒。</p><p>（五）治疗</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">乳酸性酸中毒应以预防为主。因为双胍类药物可诱发乳酸性酸中毒，而肝肾功能不全者，药物在体内的代谢、降解、排泄减少，可导致双胍类药物在体内蓄积，引起乳酸性酸中毒，因此对于肝肾功能不全的患者应尽量避免使用双胍类药物，以免发生本症。而一旦发生乳酸性酸中毒，应积极地治疗，其治疗注意以下几点：</p><p>1.病因治疗和对症处理</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">积极寻找乳酸性酸中毒的诱因，停用双胍类药物，胰岛素不足诱发者应采用胰岛素治疗。缺氧的患者应立即予以吸氧，休克者应积极补液扩容改善组织灌注，减少乳酸产生，促进利尿排酸。另外在治疗过程中，密切监测患者的生命体征变化，及时检测血乳酸、血气分析、血糖和血电解质。</p><p>2.纠正酸中毒</p><p style=\"box-sizing: border-box; margin-top: 0px; margin-bottom: 10px; line-height: 25px; padding: 10px; border: 0px !important;\">酸中毒经确诊后应立即治疗，目前主张给予小剂量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>持续静脉滴注的方式，使<img class=\"BZ\" src=\"http://ccdas.ipmph.com/jeesitede/static/xmlBook/booksPics/%E5%AE%9E%E7%94%A8%E5%86%85%E7%A7%91%E5%AD%A6_%E5%85%A82%E5%86%8C(%E4%B8%8A)_978-7-117-17272-1/pics/BZ_1043_545_1395_598_1418.png\" style=\"box-sizing: border-box; border: 0px; vertical-align: middle; position: relative; top: 4px; width: 35px !important; height: 20px !important;\"/>上升4～6mmol/L，维持在14～16mmol/L，动脉血pH高于7.2。而以往强调的大量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>静脉滴注的方法多不主张采用，因为大剂量NaHCO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">3</span>可引起高血钠、高血渗透压，加重了容量负荷，血乳酸反而升高。这是因为碳酸氢钠静脉滴注后，CO<span style=\"box-sizing: border-box; position: relative; font-size: 12px; line-height: 0; vertical-align: baseline; bottom: -0.25em;\">2</span>产生增多，进入细胞使细胞内pH下降，加重细胞内酸中毒，可导致心肌收缩力减弱，心排血量减少，组织血氧灌注降低，无氧代谢加强，乳酸及氢离子产生增多，加重酸中毒，增加死亡率。</p><p style=\"text-align: right;\">来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)</p><p><br/></p>', '慢性并发症糖尿病慢性并发症发病机制概述糖尿病慢性并发症（chronic complications of diabetes mellitus）已经成为糖尿病致残、致死的主要原因，普遍认为其发病机制涉及多元醇旁路、蛋白激酶C、己糖胺激活及晚期糖基化产物（AGEs）的多寡，近来发现高血糖诱导的线粒体产生反应性氧化产物（ROS）生成增加可能是糖尿病慢性并发症的共同基础。糖尿病心血管病并发症包括心脏和大血管上的微血管病变、心肌病变、心脏自主神经病变和冠心病。1型或2型糖尿病患者心血管并发症的危险性明显增加，外周动脉病变、充血性心力衰竭、冠状动脉疾病、心肌梗死和猝死风险增高1～5倍。心血管病变是2型糖尿病患者的主要死亡原因，也是糖尿病直接和间接费用增加的主要原因。美国国家胆固醇教育计划（NCEP）成人治疗组第三次报告（ATPⅢ）将糖尿病视为冠心病的等同病症。冠心病（CHD）是糖尿病的主要大血管并发症，研究显示糖尿病患者CHD的死亡风险比非糖尿病人群高3～5倍，与非糖尿病的心肌梗死者相似。由于糖尿病并发冠心病时病理改变较严重，其临床表现、治疗与预后与非糖尿病患者不尽相同，且存在的亚临床冠状动脉狭窄可能导致心肌梗死、猝死等并发症，因此在糖尿病人群中筛查CHD具有重要的意义。（一）糖尿病冠心病的危险因素及机制危险因素有高血糖、高收缩压、高胆固醇、低密度脂蛋白增高、高密度脂蛋白下降、年龄、性别、吸烟、家族史等；另外高胰岛素血症、胰岛素抵抗、载脂蛋白B和小而密的LDL增高，白蛋白尿、血小板聚集异常等亦与糖尿病冠心病的发生有关。1型糖尿病病程可作为冠心病是否早发的重要预测因子，病程长短与冠心病发生有关，有白蛋白尿和高血压的1型糖尿病患者冠心病的发生率上升。有些2型糖尿病患者得病若干年后并发冠心病或在发生心绞痛、充血性心力衰竭、心肌梗死时才首次发现患有糖尿病。糖耐量异常与冠心病死亡率上升有关，餐后2小时血糖浓度与动脉粥样硬化病变程度相关。2型糖尿病患者有以下情况应仔细检查，以便确定有无冠状动脉疾病及其严重程度。1.有典型或非典型的心血管疾病的症状。2.有周围血管或颈动脉闭塞性疾病。3.基础心电图提示有心肌缺血或梗死。4.长期静坐的生活方式，年龄在35岁以上，计划开始强烈的体育锻炼时。5.除糖尿病外还有以下2种以上危险因素存在的患者：①总胆固醇≥6.24mmol/L，低密度脂蛋白（LDL）胆固醇≥4.16mmol/L，或高密度脂蛋白（HDL）胆固醇＜0.91mmol/L；②血压＞140/90mmHg；③有冠心病家族史；④吸烟史；⑤尿中有微量或大量蛋白者。病理机制是动脉粥样硬化，当粥样硬化斑块破溃或继发血栓形成就触发心血管事件发生，在病理形态学上糖尿病患者的粥样硬化与非糖尿病患者是相似的，但糖尿病中冠状动脉被累及的范围较广，常有多支冠状动脉的病变与内皮功能障碍、微小血管病变并存。（二）临床表现可表现为心绞痛、急性冠状动脉综合征、心肌梗死，重者表现为充血性心力衰竭、心源性休克、心律失常、猝死等，但糖尿病患者存在自主神经病变，在临床上无症状的冠心病较常见，有时亦表现为疲乏、胃肠道症状、劳力性呼吸困难等非典型症状。由于糖尿病患者冠状动脉狭窄程度严重，冠状动脉常为弥漫性病变，预后比非糖尿病患者差。（三）辅助检查1.常规心电图相应导联ST段改变，异常Q波等心肌缺血表现。2.生化检测血肌钙蛋白T或I（TnT或TnI）、肌酸激酶（CK-MB）等心肌损伤的生化标记物升高。3.心脏负荷试验对典型或不典型的心脏症状、静息心电图异常者进行诊断性心脏负荷试验；对存在外周动脉闭塞或颈动脉闭塞史、久坐的生活方式，年龄大于35岁、计划进行体育锻炼者进行心脏应激性筛查试验。而负荷或运动核素心肌灌注试验、负荷超声心动图试验，属于有价值的两类诊断试验。4.冠脉造影仍然是诊断冠心病的金标准。5.非损伤性检查如有条件可行正电子发射断层显像、磁共振成像。冠状动脉内灌注乙酰胆碱是评价冠状动脉内皮功能的金标准，能够评价动脉直径、血流及血管阻力。另外，还有超声检查血流介导的血管扩张功能、测定纤溶酶原激活剂抑制因子1、血管性血友病因子等标记物。（四）治疗2008年ADA建议：①对于无症状者，应该评估心血管病危险因素，用10年危险度分级和给予相应的治疗；②对于已知冠心病患者，如果无禁忌证，应该给予ACEI、阿司匹林及他汀类治疗以降低心血管病事件；③对于既往有心肌梗死病史者，应该加用受体阻断药（如无禁忌证）以便降低死亡率，年龄大于40岁、不管有无高血压、只要有另外一个心血管危险因素（高血压、冠心病家族史、血脂异常、微量白蛋白尿、心血管自主神经病变或吸烟），如无禁忌亦应该给予ACEI、阿司匹林及他汀类治疗以便降低心血管病事件。1.生活方式干预包括戒烟、节制饮酒、优化饮食结构、限制钠盐、适当增加体力活动等。吸烟与糖尿病大血管和微血管病变的提前发生有关，还可能促进2型糖尿病的发生。2.控制血糖应该强化控制血糖，使血糖和糖化血红蛋白达标。应选择对心肌毒性小或心肌缺血预适应保护作用的降糖药。例如格列本脲对患者有潜在的心血管不良影响，而新一代磺脲类药物———格列美脲对胰岛β细胞选择特异性较高，对心血管的不良影响很小。对于慢性充血性心力衰竭患者，禁用二甲双胍、噻唑烷二酮类（TZDs）。目前研究显示良好的血糖控制并不能最终降低心血管病死亡率，因此，在控制血糖的基础上，应积极纠正存在的心血管危险因素。3.冠状动脉血流重建术如果冠心病诊断明确，应进行侵入性干预，但在糖尿病患者冠状动脉疾病血管形成术包括经皮冠状动脉介入（PCI）和冠状动脉旁路移植术（CABG）效果欠佳，再狭窄率较高、长期存活率更低，药物洗脱支架的引进一定程度上改善了糖尿病冠心病的预后。因此对糖尿病患者的冠心病重在预防。4.抗血小板药物治疗对于糖尿病和非糖尿病患者，阿司匹林（75～162mg/d）已经被推荐为预防心脑血管事件的一级和二级治疗。但小于30岁患者不推荐使用阿司匹林，由于阿司匹林可能诱发“雷尔综合征”，小于21岁患者禁用阿司匹林。对于阿司匹林过敏者、正在接受抗凝治疗伴有出血倾向者、近期胃肠出血者、临床活动性肝病等不适合阿司匹林治疗的高危患者，可选择其他抗血小板药物代替，如糖蛋白Ⅱb/Ⅲa受体拮抗剂氯吡格雷。研究已证实氯吡格雷能够降低糖尿病患者心脑血管病的发病率。可以作为非常高危患者的辅助治疗，或阿司匹林不耐受患者的替代治疗。5.纠正心血管危险因素糖尿病心血管病危险因素包括血脂异常、高血压、肥胖、体力活动减少和烟酒；糖尿病人群特异的其他危险因素包括微量白蛋白尿、总蛋白尿、血肌酐升高和血小板功能异常。研究表明减少心血管危险因素能够有效预防和延缓心血管病的发生，因此要早期识别并治疗糖尿病心血管并发症的高危患者。对糖尿病患者至少每年检测一次心血管病危险因素，以筛查无症状性冠心病。（1）调脂：高脂血症治疗的先后次序是：①降低LDLC；②升高HDL-C；③降低TG。治疗策略取决于脂蛋白异常的类型。LDL-C是导致冠心病的重要危险因素，血脂异常的首要治疗是降低LDL-C＜2.6mmol/L（100mg/dl）。首要治疗是予以生活方式干预包括医学营养治疗、减重、增加体力活动和戒烟等，而营养治疗的要点是减少饱和脂肪酸、胆固醇、反式不饱和脂肪酸的摄取。此外，良好的血糖控制可降低甘油三酯，轻度升高HDL。首选药是降低LDL 的HMG CoA还原酶抑制剂（他汀类）。对于确有心血管病者、年龄40岁以上者或存在其他心血管病危险因素的糖尿病患者，不管LDL-C基线水平如何，除改善生活方式外，则应该加用他汀类治疗。如果最大耐受剂量的他汀类治疗仍不能达到以上目标，LDL-C基线降低约40%为供选的治疗目标。对于升高HDL，烟酸衍生物是有效的药物，但大剂量（＞2g/d）可能恶化血糖控制和增加胰岛素抵抗。对于TG非常高、血糖控制差的患者，如果已改善生活方式和血糖，而TG好转不达标，应该应用贝特类治疗。（2）降压：糖尿病和高血压常常合并存在，高血压可能会加重糖尿病其他并发症，尤其是心血管病和肾病，1型糖尿病多在并发肾病后出现高血压，而2型糖尿病往往合并原发性高血压，可以在2型糖尿病发病之前、同时或之后出现。糖尿病患者每次就诊均应该测量血压。如两次收缩压≥130mmHg或舒张压≥80mmHg时则确诊为高血压。降压的目标是使糖尿病患者的收缩压＜130mmHg，舒张压＜80mmHg。对于收缩压130～139mmHg或者舒张压80～89mmHg的患者仅需要改变生活方式，如果疗程达到3个月，血压仍然不达标，则加用降压药物。而对于收缩压≥140mmHg，或者舒张压≥90mmHg的高血压患者，除了接受生活方式和行为治疗外，应该接受药物治疗。并且应该根据患者存在的危险因素、药物的优缺点选择降压药，同时考虑到糖尿病相关情况，如下：初始选择的药物应该减少糖尿病患者心血管事件，包括血管紧张素转化酶抑制剂（ACEI）、血管紧张素受体阻断药（ARBs）、β受体阻断药、利尿药、钙拮抗药。所有糖尿病患者的高血压治疗方案应该包括ACEI或者ARBs；如果其中的一种不能耐受，应该以另一种代替。如果血压仍然未达标，估算的肾小球滤过率（GFR）≥50ml/（min？1.73m2）加用噻嗪利尿药，GFR＜50ml/（min ×1.73m2）加用襻利尿药。糖尿病患者优先选择非二氢吡啶钙拮抗药（维拉帕米和地尔硫），而不是二氢吡啶类药物。1型糖尿病患者出现高血压和任何程度的白蛋白尿时，ACEI能够延缓肾病的进展，2型DM患者出现高血压和微量白蛋白尿时，ACEI和ARBs能够延缓病情进展到大量白蛋白尿。T2DM患者出现高血压、大量白蛋白尿和肾功能不全时，ARBs能够延缓肾病的进展。而其他降压药对糖尿病肾病的作用尚不明确。由于单药治疗往往难以控制血压（尤其2型糖尿病患者），当血压未达到控制目标（＜130/80mmHg），常常需要多种降压药联合治疗。由于糖尿病患者动脉粥样硬化性疾病概率增加，当血压不易控制时，应考虑是否存在肾血管性高血压。妊娠糖尿病患者（GDM）出现慢性高血压时，为了母亲长期健康和减少胎儿生长受损，建议血压目标值应该是110～129mmHg/65～79mmHg。妊娠期间，ACEI和ARBs均属禁忌。糖尿病性脑血管病糖尿病性脑血管病是指由糖尿病所并发的脑血管病，在糖、脂肪、蛋白质等代谢紊乱的基础上，所产生的颅内大血管和微血管病变。糖尿病特别是2型糖尿病患者，约有20%～40%最终要发生脑血管病，并成为糖尿病主要死亡原因之一。临床上主要表现为脑动脉硬化、缺血性脑血管病、脑出血、脑萎缩等。其发病机制、临床特点、治疗和预后均有别于非糖尿病性脑血管病。（一）流行病学糖尿病是脑血管病的一个强的独立危险因素，可使脑卒中的危险增加1.5～6倍，各国报道结果差异较大，这可能与民族和地区差异、病例来源、诊断标准及统计方法等因素有关。但无论是1型还是2型糖尿病，都与动脉硬化症的发展和脑血管病并发症患病风险率增高密切相关。糖尿病也是TIA早期（发作后30天内）发生脑卒中的独立危险因素和晚期（发作30天以后）出现脑卒中复发或其他血管事件的危险因素。与非糖尿病患者相比糖尿病脑血管病患者的预后更差，除了脑卒中死亡率增加外，与脑卒中有关的痴呆和脑卒中复发危险均明显增高。国外研究显示，超过2/3的慢性脑卒中患者和超过1/3的急性脑卒中患者合并高血糖症。糖尿病患者脑梗死发病年龄较非糖尿病患者平均要早5年左右。（二）危险因子危险因素包括糖尿病病程、慢性高血糖、急性高血糖、低血糖、血浆胰岛素水平、高血压、增龄、缺血性心脏病、高血脂、房颤、吸烟、颈动脉病变（包括颈动脉硬化、斑块）、饮酒、性别、颈椎病、低血压、遗传因素等。（三）病理生理糖尿病性脑血管病包括颅内大血管病变和微血管病变。大血管病变的主要病理改变为动脉粥样硬化。动脉粥样斑块一般发生在切变应力较低的部位如血管分叉和弯曲处，故大血管病变主要发生在大脑中动脉及其分支、椎-基底动脉及其分支。糖尿病颅内微血管病变的主要病理改变是毛细血管基底膜的增厚。糖尿病微血管病变以微血管血流动力学异常为首发环节，最后形成微血管瘤、微血栓和微血管闭塞。微血管基底膜增厚、微血管瘤和微循环障碍是糖尿病微血管病变的典型病理改变。（四）发病机制糖尿病脑血管病的发病机制主要与糖尿病代谢紊乱所致的大血管病变、微血管病变、血液流变学改变以及抗凝纤溶系统异常有关。现分别将糖尿病颅内大血管病变和微血管病变的发病机制概括如下。1.糖尿病颅内大血管病变发病机制（1）高血糖：高血糖可使脑细胞的葡萄糖转运体Ⅰ（GlutⅠ）活性增强。细胞内高糖引起的各种损伤介质产生过多［如转化生长因子（TGF-β）、血管紧张素（AngⅡ）等］，又促进了GlutⅠ活性的进一步增强，进而使更多葡萄糖转移进细胞内。（2）内皮功能紊乱：血管内皮功能障碍可导致血管张力及血流动力学改变，增加血管通透性，激活凝血系统和血小板，内皮素增加。后者促进血管平滑肌增殖和血管管腔狭窄并加重缺血、缺氧，并通过TNF-α及其位于血管内皮细胞的受体引起血管内皮通透性增加，破坏血管内皮功能。（3）胰岛素抵抗与高胰岛素血症：高胰岛素血症对脑内的小血管存在明显的损伤作用。脑卒中急性期胰岛素水平及胰岛素抵抗程度与患者的病情与预后有关。（4）脂质代谢异常：脂质代谢紊乱促进脑动脉硬化。（5）血小板功能异常：促进凝血或血栓形成，从而加重大血管病变和动脉粥样硬化的程度。（6）纤维蛋白溶解障碍及凝血功能障碍。（7）高同型半胱氨酸血症：通过影响血管内皮细胞、平滑肌细胞及凝血系统，引起动脉粥样硬化和血栓形成，从而加速血管病变的发生和发展。（8）高血压：糖尿病并发高血压加速了动脉硬化的进程，使脑血管病的患病率大幅度提高。（9）血流动力学障碍。2.糖尿病颅内微血管病变发病机制糖尿病颅内微血管病变多以微血管血流动力学异常为首发环节，逐渐导致微血栓和微血管闭塞。糖尿病微血管病变除了具有部分上述大血管病变的发病机制外，还有其独特的发病机制，近年来发现某些血管活性因子、生长因子、细胞因子以及红细胞形态与微血管病变的发生、发展密切相关。（五）临床特点糖尿病性脑血管病在发病年龄、发病率、临床特点、治疗及预后方面均有别于一般脑血管病。常见以下几种临床表现：1.脑动脉硬化病程在5年以下的糖尿病患者，脑动脉硬化的发生率为31%，病程在5年以上者可达70%。临床上常见以下几种表现。（1）神经衰弱综合征：主要表现为头昏、头痛、失眠、乏力、健忘、注意力不集中、工作效率低下、情绪不稳定，神经系统多无明确阳性体征。（2）皮质下动脉硬化性脑病（Binswanger病）：是一种发生在脑动脉硬化基础上，以进行性痴呆为主要临床特征的脑血管病。是血管性痴呆的一个重要类型。病理特征是脑白质变性、脱髓鞘及胶质细胞增生，CT检查显示皮质下脑白质对称性低密度。发病机制是由于大脑白质深穿支小动脉硬化，管腔狭窄，血流减少，白质血管广泛变性，致脑室周围和半卵圆中心白质进行性缺血、神经纤维脱髓鞘，甚至导致多发性腔隙梗死。临床表现：①痴呆：几乎所有病例均有不同程度的痴呆，记忆力减退或缺失，计算力、定向力差，部分患者有情绪和性格改变，表现为固执、多疑、自私、活动兴趣丧失，亦可有欣快、淡漠、抑郁、反应迟钝等精神症状；②假性延髓性麻痹：表现为说话不清，吞咽困难、饮水呛咳，同时伴强哭强笑；③锥体束症状：不同程度的偏瘫或轻偏瘫，病理征阳性，几乎所有患者掌颏反射阳性；④锥体外系症状：表现为四肢强直性肌张力增高，动作缓慢，似帕金森综合征，有肢体共济失调。部分患者还可表现为多灶性脑梗死性痴呆。2.无症状脑卒中是指无临床症状或临床症状轻微，未引起患者或医生注意，或者是未被揭示或未被认定的脑卒中。部分无症状脑卒中患者可有头痛、眩晕、老年抑郁症及肢体沉重和麻木等自觉症状。无症状脑梗死约占无症状脑卒中的74%，无症状脑出血约占26%。无症状脑梗死分腔隙性脑梗死和非腔隙性脑梗死。前者在无症状脑梗死中约占83%，梗死部位以基底节区多见，其次是放射冠区，病变部位较深，病灶较小。非腔隙性无症状脑梗死是指未被揭示的或未被认定的脑梗死。病变多累及大脑皮质，通常病灶较大。无症状分水岭梗死，也称交界区梗死。病变多位于大脑前和中动脉、大脑中和后动脉供血的交界区，在皮质形成一个楔形的低密度灶，对未累及到肢体运动和感觉功能的病灶，血压降低时所出现的头晕和其他不适容易被患者忽略。无症状脑出血是以壳核、屏状核、外囊多见。无症状脑出血仅表现一般轻度神经系统症状，临床上容易被忽略。无症状脑微出血，为梯度回波T2加权MRI检查出的均匀一致的卵圆形信号减低区，直径2～5mm，周围无水肿。无症状脑微出血可能与易于出血的微血管病变有关。3.急性脑血管病临床特点之一是主要表现为脑血栓形成，而脑出血均较少，这可能是由于糖尿病患者对缺血损伤的耐受能力下降所致。另一特点是中、小动脉梗死和多发性病灶多见，尤其是腔隙性梗死更常见。这一特点与糖尿病所致的广泛性的微血管病变和损害有关。脑梗死在发病部位上以椎-基底动脉系统支配的小脑、脑干和大脑中动脉支配的皮质和皮质下部位的梗死较多见。常见部位是脑桥、基底节、丘脑等小穿通动脉。临床症状往往较轻，但常反复发作，进行性加重，恢复困难。老年糖尿病性脑梗死反复发生之后易导致假性延髓性麻痹和血管性痴呆。前者表现为吞咽障碍，强哭、强笑等精神症状。后者早期可仅有轻微认知功能障碍，严重者可发展为血管性痴呆。糖尿病急性脑血管病仅有少部分表现为出血性脑卒中，包括脑出血和蛛网膜下腔出血，但临床特点与非糖尿病性脑血管病类似。（六）临床检查1.一般血液检查可有空腹血糖、餐后血糖、HbA1c等指标增高；血脂异常；血流动力学异常；纤维蛋白原升高；凝血功能异常。2.特殊血液检查（1）高尿酸血症：是中年型糖尿病患者发生脑卒中的较强的预测因子和独立危险因素。（2）微量白蛋白尿：可以作为糖尿病微血管病变的预测因素和良好的评价指标。（3）瘦素：瘦素是独立于其他危险因素外的与脑卒中发病相关的危险因素。3.脑脊液检查多数压力、细胞数和蛋白均正常，色清。若出现血性脑脊液应注意鉴别，脑出血者的脑脊液除见有大量成熟红细胞外，还可见红细胞吞噬细胞、激活型单核细胞等。4.神经电生理检查脑电图对继发性癫痫的诊断有重要价值，对昏迷患者大脑皮质功能的评价比较敏感，但易受麻醉药和镇静药的影响；脑干听觉诱发电位（BAEP）评价脑桥的听觉传导通路；模式翻转视觉诱发电位（VEP）评价视觉传导通路；体感诱发电位（SEP）不仅评价脑干和皮质感觉通路，而且间接评价周围神经、感觉根和脊髓。BAEP结合SEP是评价脑干功能的有力工具。5.CT检查是应用最广泛的脑血管病影像学检查法，快速且价格相对低廉。CT对显示出血相当灵敏，出血性脑血管病急性期新鲜血肿表现为密度极高影，病灶周围可见低密度脑水肿带。但对于小脑、脑桥等颅后窝出血，CT的敏感度较低，常显示不良。CT在梗死的超急性期（0～6小时）对于判断有无出血及其他溶栓禁忌证非常灵敏，低密度区的出现高度提示大脑存在不可逆的缺血性损伤。有学者认为这种低密度区的范围在一定程度上提示溶栓后出血的风险。传统CT对脑缺血的敏感度较低，发病3～6小时内的CT图像多数正常，但使用不同的窗宽和中心水平时，灰白质的对比会增强，此时的CT可表现为：①占位效应；②局部灰质结构显示不清；③一条或多条大动脉显像。6.磁共振检查敏感度及特异度较CT更高，并可排除颅内出血，还能鉴别脑水肿、脑肿瘤、血管畸形、感染等与脑血管病临床表现类似的病变。7.脑血管造影检查（1）CT血管造影：近年来问世的CT血管造影属无创检查，是诊断脑血管病及术前评估的一种快速、简单而可靠的新型影像学技术。（2）磁共振血管造影：具有无创、较快捷、无辐射、价格相对低廉等特点，能从不同的角度来观察血管形态，并能提供血管及其周围软组织的整体信息。（3）数字减影血管造影：能清楚发现各种脑血管病变，是脑血管病变诊断的金标准。缺点是有创检查，具有一定放射性，操作费时，价格昂贵，很少作为首选的诊断手段，多为进一步介入治疗提供帮助。8.超声多普勒检查包括经颅多普勒和经颅彩色双功能超声检查，可无创检查颅底动脉的血流速度，并通过血流速度的改变来间接反映脑血管狭窄的程度、部位、范围、侧支循环及血管闭塞后的再通情况。可用于检查脑动脉有无狭窄或闭塞及狭窄、闭塞的程度，结果与脑血管造影的一致率较高，还可用于检测颅内动脉闭塞后的再通情况。9.眼底检查眼底的血管作为全身唯一可直接观察到的血管，对糖尿病血管并发症、高血压、糖尿病患者的病情评价和临床诊断有着重要的参考价值。（七）诊断和鉴别诊断所谓糖尿病性脑血管病的临床诊断应是糖尿病与脑血管病的叠加，无论是在糖尿病的基础上发生脑血管病，还是患脑血管病后又证实有糖尿病，均可诊断为糖尿病性脑血管病。一些糖尿病患者在脑血管病发生前症状可以很轻，甚至缺乏，在发生急性脑血管病时，由于机体的应激状态，血糖会明显升高。一些非糖尿病患者发生急性脑卒中后，也可引起血糖升高，尿糖阳性。这种“应激性糖尿”随着病情的稳定，血糖水平将逐渐恢复正常。若是糖耐量减退所致，可在患者康复后行糖耐量试验来确诊。若为糖尿病引起，病情稳定后，血糖仍将高于正常。下列情况之一的脑血管病患者应进一步明确是否存在糖尿病：①既往有高血糖史者；②有糖尿病家族史者；③年龄较轻、病因不明者；④多发性腔隙性梗死者；⑤肥胖、高血压和冠心病患者。临床上应注意与以下各种常见的糖代谢障碍所伴发的脑部症状进行鉴别：①低血糖；②糖尿病非酮症性高渗性昏迷；③糖尿病酮症酸中毒；④糖尿病乳酸酸中毒。（八）防治糖尿病性脑血管病在治疗脑血管病的同时，应严格控制血糖、血脂、血压、血黏度、吸烟及体重等动脉粥样硬化的危险因素，才能避免或减少糖尿病性脑血管病的进一步加重和复发。治疗中还应注意以下几点：1.血糖的控制与监测血糖过高或过低都可影响脑卒中的恢复和预后。适宜的血糖控制是糖尿病性脑血管病的治疗基础，严密的血糖监测是预防糖尿病并发急性代谢紊乱的必要手段。对于糖尿病缺血性脑卒中患者，胰岛素的治疗作用是多方面的。胰岛素对中枢神经系统有直接的保护作用，还可降低脑卒中患者血压，减少应激反应引起的激素释放。2.抗血小板药物血小板拮抗剂可降低脑卒中、心肌梗死和死亡的危险，提示对糖尿病伴动脉粥样硬化者进行长期抗血小板治疗的重要性。由于多数糖尿病患者的血小板功能存在异常，而且许多已有动脉粥样硬化的糖尿病患者临床表现不明显，因此，对尚无动脉粥样硬化临床表现的糖尿病患者也需进行抗血小板治疗。阿司匹林可使脑卒中或TIA发作后严重血管事件的概率降低17%，大多数学者建议首选中等剂量阿司匹林（75～325mg）来预防缺血性脑卒中。3.血压控制英国前瞻性糖尿病研究（UKPDS）发现阿替洛尔和卡托普利（开博通）两种药物都能够同样有效地降低糖尿病脑卒中和死亡的危险。在各种降压药中，血管紧张素转换酶抑制剂类最有效，即使在患者血压正常、没有左室功能障碍时，雷米普利仍可使心脑血管事件总发生率和死亡率下降。在糖尿病脑卒中特别是出血的急性期，应慎重掌握降压治疗指征和降压程度：如血压小于180/120mmHg，不需要进行降压治疗。如果血压超过200/140mmHg，最好及时降压治疗，但血压不宜过低，收缩压控制在160mmHg，舒张压控制在110mmHg为宜；降压治疗不能过于追求快速降压效应，或反复、大量甚至联合使用多种强效降压药物，一般不推荐使用强烈扩张血管的药物。4.调脂心脏保护研究（HPS）前瞻性研究结果显示他汀类药物治疗可使糖尿病的复合终点事件（脑卒中、冠心病和血管重建）的危险性下降了34%，认为他汀类药物治疗可使40岁以上的2型糖尿病患者明显受益，应推荐使用。5.其他维生素C和维生素E作为抗氧化剂，能够减少内皮依赖性血管舒张的异常，有研究认为多种维生素联合治疗能够减慢动脉粥样硬化的进展。糖尿病神经病变糖尿病神经病变（diabetic neuropathy）是糖尿病的主要慢性并发症之一，其最常见的类型为慢性远端对称性感觉运动性多发性神经病变和自主神经病变，部分糖尿病患者在新诊断时已存在糖尿病周围神经病变而常被漏诊，不能不引起注意。（一）分类按Thomas提出的糖尿病神经病变分类见表14-4-9。表14-4-9　糖尿病神经病变分类注：医师应警惕发生在糖尿病患者的可治性神经病变如：CIDP、单克隆球蛋白病、维生素B12缺乏等。糖尿病神经病变最常见的类型为慢性远端对称性感觉运动性多发性神经病（糖尿病周围神经病变）和自主神经病。本文侧重叙述糖尿病周围神经病变糖尿病周围神经病变（diabetic peripheral neuropathy，DPN）是指在排除其他原因的情况下，糖尿病患者出现周围神经功能障碍相关的症状和（或）体征的病变，患病率由于诊断标准不同差异较大（28%～90%），吸烟、年龄≥40岁及血糖控制差的糖尿病患者中神经病变的发病率更高。（二）发病机制近年的研究表明，糖尿病神经病变发病机制主要与高血糖引起的代谢紊乱、血管损伤、神经营养障碍、氧化应激及遗传因素等有关。涉及多元醇通路激活；非酶蛋白糖基化作用，糖基化终末产物（AGE）堆积；活性氧自由基对神经元DNA和神经蛋白具有直接的损伤；毛细血管基底膜增厚、血管内皮细胞增生、糖蛋白沉积、血黏度增加、血小板功能异常、微血栓形成导致管腔狭窄，易造成神经组织低灌注；神经生长因子（NGF）的缺失及同型半胱氨酸与糖尿病神经病变也有关。（三）临床表现1.急性感觉神经病少见，常发生在代谢控制较差的时期（如糖尿病酮症酸中毒）或血糖控制变化较大时。主要的临床表现为感觉症状极为严重，并且夜间明显加重，但是神经系统体征较少。2.慢性感觉运动性神经病变（DPN）此为糖尿病神经病变中最常见的类型。超过半数的患者可能有症状，最常见的为烧灼样疼痛、电击样或针刺样感觉、感觉麻木和感觉过敏。典型的神经性疼痛常在夜间加重，症状最常出现在足部和下肢，一些患者也可累及手部，呈手套、袜子样分布。近半数的患者可以无症状，仅在神经系统体格检查或在神经传导速度仪器检测时发现异常，故甚易漏诊。神经系统体格检查常出现振动觉、触觉、痛觉、温度觉和踝反射缺失，同时也常存在外周自主神经病变功能紊乱的体征如皮肤干燥、皮温低等。3.局灶性及多灶性神经病单神经病起病较突然，表现为受累神经所支配区域的疼痛、感觉麻木、感觉减退甚至感觉消失和运动性无力。糖尿病患者神经卡压及椎管狭窄也较为常见，易发生卡压的神经包括尺神经和正中神经等，神经卡压起病较为缓慢，逐步进展，如未予干预将持续存在，不能自行缓解。脑神经病变少见，可累及Ⅲ，Ⅳ，Ⅵ及Ⅶ对等脑神经。第Ⅲ对脑神经即动眼神经受累最常见，表现为复视，体格检查显示眼睑下垂和眼肌麻痹，但瞳孔对光反射正常。脑神经病变发生机制可能为微血管梗死，其常可在数月后自行缓解。糖尿病多神经根病是一种以单根或多根神经根分布区内的剧烈疼痛为特征，可伴有运动性无力。肋间或躯干神经根病可导致胸部或腹部疼痛。腰神经丛或股神经受累可导致股部或髋部疼痛，并可伴有髋部屈肌或伸肌的肌无力，糖尿病多神经根病通常为自限性疾病，可于半年到一年缓解。糖尿病性肌萎缩常见于年长的2型糖尿病患者，部分患者进行神经活检证实为神经外膜微血管炎。临床表现为严重神经性疼痛，单侧或双侧的肌肉无力及近端股部肌肉的萎缩。4.自主神经病变糖尿病自主神经病变可以影响全身多个系统，包括心血管系统、胃肠道系统、泌尿生殖系统、排汗系统和代谢系统。心血管自主神经病变（CAN）最主要也危害最大，可引起静息心动过速和直立性低血压，有时还可导致猝死。静息心率＞100次/分、体位变化未伴有相应的心率反应及存在其他系统自主神经病变时应考虑可能存在糖尿病心血管自主神经病变。通过病史和体格检查诊断糖尿病心血管自主神经病变效果不佳，ADA推荐采用三个非侵袭性试验进行诊断：R-R变异性、Valsalva动作及体位性血压变化。胃肠道功能紊乱最明显的胃肠道表现是胃排空延迟（胃轻瘫）和肠功能性改变（便秘或腹泻）。胃轻瘫常伴随食欲减退、恶心、呕吐、早饱感和腹胀等症状。泌尿生殖器功能障碍，包括膀胱病变、勃起功能障碍和女性性功能障碍，糖尿病膀胱病变症状包括排尿不尽、排尿不畅、排尿次数减少、尿失禁和反复尿路感染等。交感神经功能紊乱可表现为上肢多汗，而下肢无汗，足部无汗能促进足部皮肤的干裂，增加足部溃疡的发生率。自主神经病变还可减少升糖激素的释放，导致机体对低血糖的反应下降，可能发生严重低血糖。（四）神经病变检查方法1.神经系统体格检查2型糖尿病患者应每年筛查DPN，主要检查针刺痛觉、温度觉、振动觉（使用128MHz音叉）、触觉（使用10g单纤维尼龙丝）及踝反射。如若以上检查中有两项或以上阳性，筛查DPN的敏感性可高达87%。10g单纤维尼龙丝缺失可以预见足溃疡。2.神经病变评分体系常用于临床工作和科研进行DPN诊断，目前较公认及广泛使用的有两个：（1）密歇根糖尿病神经病变评分法（MDNS）：包括两部分，第一部分为8分段临床筛选检查，根据足外观（畸形、皮肤干燥、胼胝、感染或溃疡），踝反射及大趾振动觉（128MHz音叉）进行评分，若足外观正常记0分，不正常记1分（畸形、皮肤干燥、胼胝或感染），若有溃疡再加1分，踝反射正常记0分，重叩击出现记0.5分，消失记1分，大趾振动觉正常记0分，减弱记0.5分，消失记1分，积分＞2分则认为有神经病变，诊断的特异性为95%，敏感性为80%。第二部分评价神经病变的严重性。（2）多伦多DPN临床积分系统：根据症状积分、踝反射积分及感觉检查积分进行评估，见表14-4-10。3.辅助检查（1）振动感觉阈值（VPT）：简便、无创、重复性好、患者顺应性好。VPT＞25伏特的糖尿病人群，其未来发生足溃疡的危险性是VPT＜15伏特的人群的7倍，故临床常以VPT＞25伏特作为评判足溃疡风险的重要指标。（2）定量感觉试验（QST）：计算机辅助的QST检查可以有效地进行各种感觉（包括触压觉、温度觉、痛觉和振动觉）阈值的检查。该检查方法可靠，但价格高昂、操作烦琐，并受室内温度、测试部位的皮肤厚度等影响。表14-4-10　Toronto评分体系（3）神经传导速度（NCV）：是诊断周围神经病变的“金标准”。糖尿病神经病变多表现为轴索损害，通过NCV和肌电图检查可鉴别诊断CIDP、运动神经元病及炎性肌病。但由于NCV检查主要反映大神经纤维受累情况，故阴性结果不能排除DPN。（4）活组织检查：腓肠神经的活检可直接根据形态学改变判断神经病变是否存在，并可反映受损神经的性质、严重程度，排除血管炎等非糖尿病性神经病变，但为一侵入性检查，并且仅提供一个时间点一个位置的信息。皮肤斑点活检相对简单、损伤较小，可明确表皮间神经纤维（intraepidermal nerve fibers，IENFs）密度，从而判断神经病变的存在与严重性。（5）其他：如角膜共聚焦显微镜检测（corneal confocal microscopy，CCM）、轴索反射介导的灼热反应测定及激光多普勒血流仪等。4.自主神经检查CAN检查包括心率变异性、Valsalva试验（最长R-R间期与最短之比）、握拳试验（持续握拳3分钟测血压）、体位性血压变化测定、24小时动态血压监测、频谱分析等。提示有胃肠功能紊乱的患者应进行胃排空试验。对于存在泌尿系统症状患者可行膀胱残余尿量检查。近来研究显示Neuropad足贴可能可以通过足部汗液分泌情况反映小纤维受累情况，有助于早期诊断糖尿病神经病变。近年发现低频区（lf）的测量值与Ezscan数据有明显的相关性，提示Ezscan检查能快速简便地筛查糖尿病自主神经并发症。（五）DPN诊断由于较多DPN者可以无任何临床症状，所以诊断必须依靠详细的下肢体格检查。如果存在典型的神经病变症状合并远端感觉缺失及踝反射缺失，或存在多个神经系统体征不伴有症状，均高度提示DPN。一般认为以下5项检查中如果有2项或2项以上异常则诊断为DPN：①温度觉异常；②尼龙丝检查，足部感觉减退或消失；③振动觉异常；④膝反射消失；⑤神经传导速度（NCV）有2项或2项以上减慢。临床诊断中还可以选择定量感觉检查、定量自主神经检查及神经活检等作参考。DPN诊断同时应排除其他原因所致的周围神经病变和糖尿病患者易伴发的神经病变包括CIDP、维生素B12缺乏、甲状腺功能减退及贫血等。（六）防治1.预防（1）控制代谢紊乱：严格控制血糖可以减少DPN的风险。（2）加强足部护理：选择合适的鞋袜，软皮皮鞋、运动鞋是最理想的鞋子，还要经常检查并取出鞋内可能存在的异物。正确洗脚和护脚，建议糖尿病患者每日洗脚。秋冬季节足部易干裂，可用润肤霜均匀涂擦在足的表面，汗脚可撒些滑石粉。（3）定期进行筛查及病情评价：在诊断为糖尿病后至少每年筛查一次DPN；对于长期使用二甲双胍的患者，应重视体内潜在的维生素B12缺乏的可能；对于糖尿病病程较长，或合并有眼底病变、肾病等微血管并发症的患者应该每隔3～6个月检查双足感觉；一旦诊断为糖尿病性多发性末梢神经病变，应该特别保护丧失感觉的双足。2.病因治疗（1）稳定地控制血糖：已有少量观察性研究显示神经病变的症状不仅与血糖控制水平相关，同时与血糖的明显波动密切相关。有时由于自主神经病变和未感觉有低血糖反应而使血糖控制复杂化。（2）改善神经微循环：可酌情选用PGE2、己酮可可碱、山莨菪碱、西洛他唑、活血化瘀药等药物以改善微循环，改善神经的循环血供。（3）神经营养及修复药：常用为甲基维生素B12（甲钴胺），此外神经营养因子、C肽、肌醇、神经节苷脂（GS）和亚麻酸等基础与临床研究显示可能有一定疗效。（4）其他：近年来研究显示α-硫辛酸（抑制氧化应激）具有较好地改善糖尿病神经病变症状的作用。此外醛糖还原酶抑制剂（ARIs）、氨基胍、γ-油酸、乙酰-L-肉毒碱抗氧化剂、PKC-β抑制剂也已在临床试验或已在临床应用。3.DPN症状治疗许多患者需要药物控制疼痛，但是DPN治疗的任何阶段使用非药物、局部或理疗均可能有效，包括针灸、辣椒碱、硝酸甘油喷雾或贴剂等。常用的流程见图14-4-5。4.自主神经病变治疗CAN患者当出现体位性低血压或晕厥时治疗较为棘手，可采用氟氢可的松、可乐定、奥曲肽、米多君等药物治疗，但作用有限，非药物方法（足够的盐摄入、避免脱水和利尿药使用、下肢支撑长筒袜等）可能有一定疗效。胃轻瘫可选用易消化、脂肪和纤维含量低的食物，少食多餐，尽可能减轻胃轻瘫症状。西沙必利（每餐前10～20mg）可能是最有效的药物，此外其他药物如多巴胺激动剂（多潘立酮每餐前10～20mg）及红霉素可能也有一定疗效。糖尿病膀胱病变应利用定时排尿或自我放置导尿管进行治疗。氯贝胆碱（乌拉胆碱）的疗效不一。勃起功能障碍可选用磷酸二酯酶-5（PDE-5）抑制剂等药物如西地那非等。女性性功能障碍可通过使用阴道润滑剂、治疗阴道感染及必要时的全身或局部雌激素替代治疗得到改善。图14-4-5　DPN的诊治流程糖尿病视网膜病变糖尿病视网膜病变（diabetic retinopathy，DR）属于微血管病变，包括各种各样病理性视网膜病变，是糖尿病常见慢性并发症之一。在美国是成年人致盲的首要原因，糖尿病患者致盲几率比非糖尿病患者高25倍，突显了问题的严重性。DR在1型糖尿病中特别严重，也常见于2型糖尿病。DR的发生与糖尿病患者病程明显相关，美国威斯康辛糖尿病视网膜病变流行病学研究（WESDR）发现，30岁以前发病的糖尿病（1型糖尿病为主）中DR发生率为71%，四年发生率59%，11%进展为增殖型糖尿病视网膜病变；在年龄较长的（2型糖尿病为主）糖尿病中DR发生率为39%，四年发生率为34%，3%进展为增殖型糖尿病视网膜病变。（一）病因与发病机制DR发生和糖尿病病程及血糖控制程度密切相关。长期高血糖是DR发生的重要病理生理基础，DCCT和UKPDS均证实严格的血糖控制可以明显减少DR的发生。研究结果显示，DR发生是在遗传的基础上，高血糖导致视网膜多元醇通路活性增加、蛋白质非酶糖基化、毛细血管壁细胞代谢紊乱、自由基氧化作用、凝血-纤溶系统紊乱、促新生血管的生长因子增多、局部RAS系统异常等诸多因素共同作用的结果。（二）病理DR的病理变化主要表现为视网膜上出现微血管瘤、软性或硬性渗出物、视网膜水肿、新生血管形成、出血、纤维组织增生和视网膜脱离等。根据发生程度的不同，可以简单分为：1.非增殖型糖尿病视网膜病变（NPDR）是最常见的类型，曾称为背景型视网膜病变，其特征是毛细血管通透性增加、微血管瘤、出血、渗出和水肿。具体表现为眼底出现微血管瘤、出血斑、硬性渗出、棉絮斑，视网膜和黄斑水肿等。如果这些病变侵犯黄斑中心凹，则影响视力。即使患者未诊断糖尿病，一旦出现上述眼底表现，应高度怀疑患有糖尿病。2.增殖型糖尿病视网膜病变（PDR）最重要的特征是视网膜有异常的新生血管形成。新生血管在玻璃体表面或伸入玻璃体腔内。视网膜上的新生血管常位于毛细血管无灌注区的外围，如丝网状或聚集成团。视盘上如果出现大量的新生血管，可如海星样伸向视盘外。新生血管易于渗漏和破裂出血，导致屈光间质的混浊。疾病进展阶段可发生新生血管膜，早期的新生血管裸露，以后逐渐有纤维胶质组织伴随而成纤维血管膜。可引起牵拉性视网膜脱离。糖尿病还导致黄斑病变，包括黄斑水肿、渗出、缺血及PDR对黄斑的侵犯，成为视力减退的主要原因之一。（三）临床表现DR的临床表现轻重不一，进展速度也不一，还受是否合并白内障、青光眼等其他眼部疾病的影响。视力的改变为DR的主要临床表现，与视网膜病变的程度和部位有关。早期可无症状，随着病变的发展，表现为视力逐渐减退或闪光感，由于DR经常伴有视网膜水肿引起光散射，故有闪光感。视力的突然丧失，往往意味着眼底出血或视网膜脱离的发生。（四）诊断较长的糖尿病病史，视力改变的临床表现，要考虑DR发生的可能，检眼镜检查眼底和眼底摄片能提供一定帮助，并排除一些其他病变，但眼底荧光血管造影具有决定性的诊断价值。美国“早期治疗糖尿病视网膜病变研究”（ETDRS）分级基于7个视野所拍立体彩色眼底照相来分级，统一了观察标准，被视为金标准。该分级细致，有标准图对比，但耗费人力物力，对临床显得不够实用。基于此，美国眼科学会于2002年推出了由16个国家31位糖尿病眼底病专家共同制定的新的“糖尿病视网膜病变和糖尿病黄斑水肿疾病严重程度分级标准”，以作为全球统一、实用、便利的分级标准（表14-4-11）。表14-4-11　DR分级标准我国现行采用的DR分期标准是1985年第三届全国眼科学术会议讨论通过的六级分期（表14-4-12）。表14-4-12　DR分期标准注：“较少”，“容易数”，“较多”，“不易数”均包括出血斑点（五）预防和治疗对已经发生的DR，治疗难以完全逆转，严格控制血糖对于防止DR的发生有着极其重要的意义，严格控制血糖也能延缓DR的进一步发展。DCCT、UKPDS、WESDR等大型临床调查研究均提示严格控制血糖、血压、血脂等对于预防和延缓DR的发生及进展有着重要的意义，还应该尽可能戒除吸烟等对视网膜病变有害的因素。患者一旦发现有增殖型视网膜病变，即应考虑行视网膜激光治疗，部分视网膜被激光凝固后，剩余视网膜可得到较丰富的血氧供应，阻断对血管新生的刺激作用。早期激光治疗效果较好，因此糖尿病患者应该定期检查眼底，以及早发现病变，及早治疗，才能获得好的效果。糖尿病肾病约30%的T1DM者和20%～50%的T2DM者发生糖尿病肾病（diabetic nephropathy，DN）。DN已是糖尿病常见的慢性并发症之一，亦是目前美国和欧洲终末期肾病（ESRD）最常见的单一病因，据统计高达44.5%，在我国约占25%。我国住院糖尿病患者DN的检测率达33.6%。近年提出慢性肾病（chronic kidney disease，CKD）和糖尿病肾脏病变（diabetic kidney disease，DKD）定义，因而DN实际上包括了部分CKD及DKD。DN的发生有较大的种族差异：美国土著人、西班牙裔人（尤其是墨西哥裔美国人）以及非洲裔美国人T2DM ESRD的危险性显著高于非西班牙裔的白种人。亚洲糖尿病肾脏病变发生率最高。研究显示，积极适当的干预措施能明显减少和延缓DN的发生，尤其是病程早期干预治疗效果甚佳。（一）发病机制确切的机制尚未明确，但研究表明某些因素与DN有关：如高血糖相关的生化代谢异常，包括多元醇、PKC途径的激活、蛋白非酶糖基化和大分子终末产物的合成，以及细胞因子、生长因子、炎症、介质及信号因子的参与。近年来研究证实过多的ROS可激活多元醇、AGE、PKC和己糖途径，而上述四种途径的激活又加剧ROS的产生，因而ROS的过度产生是DN的基础。流行病学资料显示：DN有家族聚集性，此可能与某些基因的突变或多态性变化有关，如RAS TGF-β，醛糖还原酶基因等。（二）临床表现和分期一般将DN分为五期：第Ⅰ、Ⅱ期为临床前期，第Ⅲ、Ⅳ、Ⅴ期为临床诊断。Ⅰ期：通常表现为肾体积增大和肾小球滤过率（GFR）增高，肾血浆流量（RPF）和肾小球毛细血管灌注压增高。这些变化与高血糖水平一致。此期患者肾结构和功能无明显改变。Ⅱ期：运动后微量白蛋白尿，此期肾小球已显示结构改变，肾小球基底膜（GBM）和系膜基质增加，GFR＞150ml/ min和白蛋白排泄率（AER）＜30μg/min。Ⅲ期：持续微量白蛋白尿，AER常为20～200μg/min 或UAE在30～300mg/24h，临床常规化验蛋白尿多为正常。此期患者GFR大致正常，血压可轻度升高。GBM增厚和系膜细胞增加较Ⅱ期更明显，病理检查可见肾小球结节性和弥漫性病变，临床研究显示积极干预治疗可阻止或延缓大量蛋白尿的发生。Ⅳ期：为临床蛋白尿，AER＞200μg/min或UAE＞300mg/24h或尿蛋白＞0.5g/24h。此期血压增高，GFR开始进行性下降，水肿多较为严重，对利尿药反应差。肾小管功能障碍出现较早，近曲小管对水、钠以及糖重吸收增加，病理显示GBM明显增厚，系膜基质明显增加。T1DM诊断15～20年以及T2DM诊断5年以上者易发生Ⅳ期DN，该期患者常并发微血管并发症如视网膜病变、外周神经病变等。Ⅴ期为尿毒症期（ESRD），可有尿毒症的临床表现，GFR进行性下降，持续蛋白尿，低蛋白血症，水肿，高血压，此期患者常伴发视网膜病变。（三）诊断微量白蛋白尿（microalbuminuria，MA）是DN的最早临床证据及筛选早期DN的主要指标，亦是T1DM和T2DM患者心血管疾病发生率及死亡率显著升高的标志。早期DN（微量白蛋白尿期）：AER 20～200μg/ min或UAE 30～300mg/24h。目前主张采集晨尿样本测白蛋白/肌酐（A/Cr）。尿白蛋白/肌酐30～300mg/g为早期DN。血糖急剧升高、运动、泌尿道感染、显著高血压、心力衰竭以及急性发作性疾病均可致尿白蛋白排出量短暂性升高，因而在6个月内需连续测3次尿，其中至少2次尿白蛋白排出量增加方可确诊早期DN。通常情况下，若出现持续性或间歇性蛋白尿，若能排除其他原因引起的肾损伤且伴肾功能不全即要考虑DN的诊断，若伴有糖尿病特异性视网膜病变，DN诊断可确定。活检证实约30%DN者无微量蛋白尿，因而在下述情况下可考虑行肾活检以便鉴别诊断：曾有非糖尿病肾病者；有明显蛋白尿但无视网膜病变者；短期内蛋白尿明显增加者；24小时尿白蛋白大于5g者；肾炎性尿沉渣（畸形红细胞、多型性细胞管型）。肾小球损伤分为4级：Ⅰ级，基底膜增厚；Ⅱa级，轻度系膜增生；Ⅱb级，重度系膜增生；Ⅲ级，一个以上结节性硬化（KW结节）；Ⅳ级，晚期糖尿病肾小球硬化。研究结果显示该病理分级与eGFR、5年生存率呈负相关，Ⅳ级的eGFR为各分级中最低，5年生存期分别为Ⅰ级、Ⅱa级100.0%，Ⅱb级75.0%，Ⅲ级66.7%，Ⅳ级38.1%。1999年美国肾病基金会（NKF）提出了CKD定义，CKD是基于肾损伤的证据和肾小球滤过率（GFR）。慢性肾病的标准为：1.肾损伤（肾结构或功能异常）≥3个月，可以有或无GFR下降，可表现为下面任何一条：①病理学检查异常；②肾损伤的指标：包括血、尿成分异常或影像学检查异常。2.GFR＜60ml/（min×1.73m2）≥3个月，有或无肾损伤证据。NKF将CKD分为5期：1期，肾损伤伴正常或升高的肾小球滤过率［GFR≥90ml/（min×1.73m2）］；2期，肾损伤伴肾小球滤过率轻度下降［GFR＝60～89ml/（min×1.73m2）］；3期，肾小球滤过率中度降低［GFR＝30～59ml/（min ×1.73m2）］；4期，肾小球滤过率重度降低［GFR＝15～29ml/（min ×1.73m2）］；5期，肾衰竭，肾小球滤过率＜15ml/（min×1.73m2）或透析。白蛋白尿及GFR是CKD诊断的主要指标。NKF及ADA建议使用CG、MDRD等公式评价GFR，并每年筛查糖尿病患者CKD。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者CKD的患病率及其相关危险因素，并分析了CKD和DR的关系。研究结果显示上海市中心城区已诊断2型糖尿病患者CKD（1～5期）的患病率为63.9%，其中1期为8.8%，2期为22.3%，3～5期为32.8%。CKD患病率随年龄增长而增加。CKD患者与非患者相比，年龄更大，糖尿病病程更长，收缩压、尿素氮、肌酐及尿ACR更高。CKD的主要危险因素为糖尿病病程、高龄、收缩压和高尿素氮水平。GFR的下降与糖尿病视网膜病变明显相关。因此建议即使正常白蛋白尿患者也应定期检查GFR。2007年NKF提出DKD的诊断概念及线索：糖尿病患者伴有大量白蛋白尿；或2型糖尿病患者同时伴微量白蛋白尿及糖尿病视网膜病变；或10年以上T1DM伴微量白蛋白尿。需排除其他原因导致的CKD，如无糖尿病视网膜病变；GFR快速降低；快速增加蛋白尿或肾病综合征；难治性高血压；活性尿沉渣；系统性疾病的症状、体征和在开始应用ACE或ARB抑制物2～3个月内GFR下降超过30%。华山课题组采用CG公式估计了GFR并研究了上海市中心城区已诊断2型糖尿病患者DKD的患病率，结果显示上海市中心城区已诊断2型糖尿病患者DKD的患病率仅为16%。（四）治疗DN的治疗应是综合性的，常规治疗措施包括饮食治疗、控制血糖、控制血压、纠正脂代谢紊乱以及ACEI或ARB类药物的应用等。1.饮食治疗肾功能正常的DN患者饮食蛋白质0.8g/（kg？d）；肾功能不全非透析期患者0.6g/（kg？d）。2.控制血糖具体方略参见糖尿病。目标尽可能使患者的HbA1c＜6.5%。3.降压治疗目标血压：尿蛋白＜1g/d，血压应降至130/80mmHg；尿蛋白＞1g/d时，血压应降至125/ 75mmHg。（1）ACEI：卡托普利（开博通）25mg，口服，每日3次。（2）ARB：氯沙坦（科素亚）50mg，口服，每日1次，或缬沙坦（代文，缬克）80mg，口服，每日1次。（3）钙拮抗药：硝本地平控释片（拜心同）30mg，口服，每日1次；或氨氯地平（络活喜，兰迪，安内真）5mg，口服，每日1次。（4）β受体阻断药：阿替洛尔30mg，口服，每日1次。（5）利尿药：氢氯噻嗪25mg，口服，每日1次或每日3次，如长期用大剂量，须观察代谢不良反应。（6）α受体阻断药：应注意反射性心动过速及直立性低血压。4.调脂治疗DN时也应使用他汀类药物严格纠正血脂紊乱，如辛伐他汀（舒降之）。5.其他治疗胰激肽原酶（怡开）120U，口服，每日3次；保肾康100～200mg，口服，每日3次。糖尿病足糖尿病足（diabetic foot）指糖尿病患者由于合并神经病变及不同程度的血管病变而导致下肢感染、溃疡形成和（或）深部组织的损伤。全球约15%糖尿病患者在其生活的某一时间发生过足溃疡或坏疽，糖尿病足造成的截肢是非糖尿病患者的15倍。（一）发病机制糖尿病足的病变基础是糖尿病血管病变和神经病变。糖尿病性感觉神经受损可导致肢体末梢的保护性感觉减弱或丧失，自主神经功能受损可引起皮肤干燥，运动神经受损可引起姿势与协调缺陷，出现足部生物力学的改变等。糖尿病血管病变可引起缺血，在一些诱因如外伤、鞋袜不合适等作用下可出现足溃疡，严重者导致截肢（图14-4-6）。（二）糖尿病足分级临床常用的分级为Wagner分级（表14-4-13）。此外2007年国际糖尿病足指南提出了新的分级建议（PEDIS法），目前该分级方法处于探讨阶段，其主要通过五个方面即血流灌注、溃疡面积、溃疡深度/组织缺失、感染及足感觉情况进行评价。图14-4-6　糖尿病足的发病机制表14-4-13　糖尿病足的Wagner分级（三）预防1.定期检查所有患者至少每年检查一次足相关问题，如存在糖尿病足危险因子应检查更频繁。检查内容包括：①询问病史：先前存在溃疡或截肢；糖尿病足教育；独居；不愿就医；赤脚行走；②神经病变检查；③血管状态评估；④足部皮肤情况；⑤检查鞋袜。2.教育教育高危患者，如每日检查足部，包括足趾间区域；如果该患者不能自己检查足部，应由其他人帮助检查；定期洗脚，仔细擦干，特别是趾缝间；水温一般要在37℃以下；避免户内或户外赤足行走，避免穿鞋不穿袜；不使用化学药物或贴剂祛除胼胝或鸡眼；每日检查鞋子内部；干燥皮肤应使用润滑油或膏；每日更换袜子；水平修剪指甲；应由专业医护人员处理鸡眼和胼胝；患者应知晓定期复诊检查足部。医护人员也应定期接受培训。3.鞋袜合适的鞋子特别是改善生物力学负荷和足部畸形的鞋子可以有效地防治足溃疡。鞋子不应太紧或太松：一般鞋子内部应较足本身长1～2cm，内部宽度应与跖趾关节部位的足宽度相等，高度应考虑给足趾充分空间。如果由于足部畸形导致过紧或存在异常足部负荷的征象（如充血、鸡眼、溃疡），建议患者穿特制的鞋子包括鞋垫及矫形器械。（四）治疗前评估1.溃疡病因即使在“纯缺血性”溃疡，鞋子不合适也是溃疡最常见的原因，所以所有患者均应仔细检查鞋袜。2.溃疡类型多数溃疡可被分为神经性、缺血性或神经-缺血性，该分类有利于进一步治疗。3.血管情况治疗前必须评估血管情况（足背动脉搏动、踝肱比值，进一步的检查包括彩色多普勒超声、血管造影、CT血管显像及磁共振血管显像等）。4.足溃疡位置、面积及深度神经性溃疡经常发生在足底面或骨性畸形区域，缺血性或神经-缺血性溃疡常发生在足趾末端及足侧边。由于胼胝或坏死组织的存在常使溃疡深度较难确定，所以存在胼胝和坏死的神经性溃疡应尽快清创。5.感染征象感染征象包括发热、疼痛或白细胞升高等，感染会加重组织损伤甚至出现溃疡。还应确定有无骨髓炎，可以通过针探查、影像学检查等。浅表溃疡多为革兰阳性细菌引起，深部感染应对最深部组织进行革兰染色和培养，这些感染多为多细菌混合感染，包括厌氧菌和革兰阳/阴性菌。6.全身情况包括血糖等各代谢指标情况、各脏器功能、其他并发症、凝血功能及营养状态等。（五）糖尿病足溃疡的处理需多学科协作，基础治疗需要贯穿整个治疗过程的始终，主要包括控制血糖、改善微循环、纠正相关的糖尿病并发症及营养支持等。其他治疗措施主要包括以下六个方面：减压、清创、伤口敷料、控制感染、血管重建及截肢。1.减压Paul W.Brand教授曾说过“所有问题实际是一个力学问题，而不是医学问题”，可见减压在糖尿病足治疗中的作用。通过限制站立及行走可以有效地对足部溃疡减压，此外可通过器械协助减压，包括拐杖、完全接触支具（完全按照足部形态塑形）或其他支具及个体化鞋垫等。2.清创糖尿病治疗过程中要处理好局部与整体的关系，忌只见局部伤口，忽略全身状态的做法。局部伤口清创是糖尿病足治疗的重要手段，但也不宜过分清创手术处理以防止坏疽蔓延扩大。清除坏死组织时宜采用蚕食的方法，逐渐清除坏死组织。3.伤口敷料传统敷料如纱布、绷带等，其较为经济、有一定吸收性、可松散填塞伤口并且具有较好的清创效果，但是伤口容易干燥损伤、无法吸收多量的渗液、伤口周围皮肤容易浸湿及溃烂、肉芽容易受损、上皮层不易移行增生。近年来湿润性伤口敷料不断涌现，为糖尿病足的治疗提供了更多手段，包括油纱敷料、透明薄膜类敷料、渗液吸收类敷料（水胶体敷料、泡沫类敷料、藻酸盐敷料等）、清创类敷料（水凝胶敷料、酶学清创敷料等）、银离子敷料及生物活性敷料等。临床诊治糖尿病足过程中应根据足溃疡愈合过程的不同阶段选择合适的敷料。4.血管重建主要通过外科手术及介入对阻塞血管进行血管重建。5.控制感染对于无感染伤口无证据支持使用抗生素。对于表浅足溃疡，感染的病菌主要为金黄色葡萄球菌和（或）链球菌。对于骨髓炎和深部脓肿，其病菌可能包括多种需氧的G+细菌、G-杆菌，如大肠杆菌、变异杆菌、克雷伯菌属及厌氧菌，如类杆菌属、链球菌。抗感染治疗一定应考虑病原学情况，此外足溃疡者合理采集标本，进行细菌培养及药敏可有效地指导抗感染治疗。6.截肢常见的截肢手术指征包括：无法控制的感染；无法控制的静息疼痛及足部大面积坏疽。糖尿病与感染1型和2型糖尿病患者的感染发生率较高，而且比较严重，许多常见的感染在糖尿病人群中发生更频繁、更严重。在高血糖高渗状态，一些罕见的感染如鼻脑型毛霉菌病、气肿性胆囊炎、恶性或坏死性外耳炎等也会光顾糖尿病患者。侵袭性外耳炎往往继发于外耳道周围软组织的铜绿假单胞菌感染，常常以疼痛和分泌物为首发症状，然后迅速进展为骨髓炎和脑膜炎。糖尿病与感染是两种相互影响的疾病，糖尿病患者易于并发感染，而感染又可引起和加重糖尿病。据报道糖尿病并发医院感染的病例占住院病例的0.41%，占住院糖尿病患者的36.65%，占全院感染构成比的9.52%。糖尿病患者易患感染因素与机制研究显示糖尿病患者易患感染的危险因素包括年龄、糖尿病病程、住院天数、抗菌药物的使用、血糖的控制程度、手术及侵入性操作、糖尿病的并发症及糖尿病患者的慢性基础性疾病等。糖尿病医院感染的主要部位为肺部感染，其次为泌尿道感染、切口感染及肠道感染、口腔感染等。其可能的机制包括：（一）机体天然的和获得性免疫防御功能降低天然免疫（innate immunity）是机体对各种理化损伤因素或周围环境改变而启动的快速防御性的体系。经典的天然免疫系统包括巨噬细胞、抗原提呈B细胞和树状突细胞。巨噬细胞激活后分泌多种免疫反应因子包括细胞因子，后者可以诱发急性时相反应，分泌和释放大量活性物质。研究证实糖尿病患者免疫功能紊乱，粒细胞的黏附、吞噬能力降低，抑制性T淋巴细胞功能低下。T细胞对植物凝血素（PHA）刺激后的幼稚化反应功能降低。集落刺激因子减少，引起粒细胞分化异常。糖尿病伴营养不良与低蛋白血症时，B淋巴细胞产生免疫球蛋白，抗体生成明显减少，高血糖还可引起免疫球蛋白与补体发生糖基化，使其功能降低。综上所述，糖尿病患者尤其在合并严重并发症时，由于严重的代谢紊乱，机体天然和获得性免疫的各种防御功能缺陷，包括中和毒素、吞噬功能、细胞内杀菌作用、血清调理素和细胞免疫作用的抑制或下调，因此对入侵微生物的各种抵御反应多被抑制，故糖尿病患者极易感染，且感染严重。（二）长期高血糖糖尿病患者体内长期高血糖状态导致细胞介导的免疫和巨噬细胞功能异常，机体免疫功能降低，当细菌、病毒、化学毒素等侵害机体时其反应能力减弱，因而极易感染，且常常比非糖尿病患者严重；另外长期高血糖导致各种体液含糖量增高，有利于外来生物体定居生长和繁殖（如念珠菌和其他真菌类）。（三）糖尿病慢性并发症糖尿病患者的高血糖、高血脂可致内皮细胞损伤，单核细胞黏附、迁移、移行进入血管壁分化为巨噬细胞，巨噬细胞吞噬脂质转变成巨噬泡沫细胞。这些细胞因子一方面加剧了血管壁的慢性炎症反应，同时也进一步加重内皮细胞损伤，并促进血管平滑肌细胞增殖及分泌细胞因子，血管平滑肌细胞亦可吞噬脂质而转变成泡沫细胞。故糖尿病患者易发生血管病变，使血管结构和功能异常，导致局部血液循环障碍，血流缓慢，组织血液供应减少，组织缺氧，影响局部组织对感染的反应。缺氧时有利于厌氧菌生长，严重时可引起组织坏死。糖尿病周围神经和自主神经病变，对外来刺激不敏感，对痛、温、触觉等感觉的保护性反应减退，容易遭受损伤（溃破、挫伤、烫伤），而且不易早期发现，易致感染。由于周围循环差，创伤不易愈合，下肢血管病变易致肢端缺血坏疽甚至截肢致残。研究显示伴有微血管病变的糖尿病患者，抗生素吸收缓慢且减少，可影响其作用，导致感染不愈甚至恶化。伴有神经源性膀胱炎、尿潴留的糖尿病患者容易尿路感染。糖尿病感染的临床特点与诊断（一）常见的感染1.呼吸道感染肺炎、支气管炎、肺脓肿、肺结核。肺部感染的病原体一般与非糖尿病患者相似，但革兰阴性菌、金黄色葡萄球菌、结核分支杆菌是较常见的病原体。近年革兰阳性球菌感染率渐增多，常见的有肠球菌、表皮葡萄球菌、金黄色葡萄球菌等，同时一些少见菌种，如铜绿假单胞菌、变形杆菌、克雷伯菌、白色念珠菌、新型隐球菌等亦明显增多。临床表现为发热、恶寒、咳嗽、咳痰、胸闷胸痛、呼吸急促或伴有恶心、呕吐、腹胀，甚至抽搐昏迷；可闻及支气管呼吸音及湿啰音，血白细胞明显升高，老年或重症者白细胞数可正常，影像学可协助诊断。糖尿病患者患肺结核较非糖尿病患者高2～4倍。临床表现消瘦、咳嗽、咯血、低热、盗汗、胸痛、血沉快、OT试验（结核菌素试验）阳性，影像学检查可协助诊断。2.泌尿系感染肾盂肾炎、尿道炎、膀胱炎、前列腺炎等。女性糖尿病患者发生泌尿系统感染者比非糖尿病患者增加2～3倍。糖尿病患者易并发肾盂肾炎、膀胱炎及真菌性阴道炎，尤其在发生了神经系统并发症之后，神经源性膀胱致尿潴留，或用导尿管后更增加了感染的机会，严重者可致肾衰竭。尿常规检查常可发现白细胞增多，尿培养可有细菌生长。致病菌主要为革兰阴性菌，其中80%是大肠杆菌，其次为变形杆菌、铜绿假单胞菌和厌氧杆菌等。但也可见真菌感染，可能与不适当地应用广谱抗生素有关，其中膀胱炎和肾盂肾炎最常见，偶可并发急性肾乳头坏死。值得注意的是部分患者表现为无症状性菌尿。3.肝胆道感染糖尿病时急性和慢性胆囊炎的发生率增高，尤其在肥胖的2型糖尿病患者中，更是多见，往往胆囊炎与胆石症并见。糖尿病患者胆囊往往增大，且收缩功能不良，后者可能是与糖尿病患者合并自主神经病变有关，因此容易继发感染。革兰阴性菌是主要的致病菌，尤其是大肠杆菌。急性胆囊炎的严重后遗症是胆囊坏疽和穿孔。4.皮肤及其他感染因为周围血管神经病变，糖尿病患者的皮肤较易损伤，且不容易发现和自愈，因此糖尿病患者易发生多种皮肤及软组织感染，其中糖尿病患者并发皮肤化脓性感染约占20%。临床上以疮、疖、痈、疽、癣、皮炎、牙周炎、鼻窦炎、中耳炎、胃肠炎等细菌感染为多见，可发生各种化脓性感染；近年来大量广谱抗生素的应用以及糖尿病患者生存期的延长，细菌谱发生了明显的改变。真菌也是糖尿病患者皮肤感染的常见致病菌，表现为足癣、手癣、股癣、妇女外阴部白色念珠菌感染等。糖尿病足感染则主要以金黄色葡萄球菌和大肠埃希菌多见，革兰阳性球菌亦呈上升之势。主要病原菌对常用抗生素耐药率较高。（二）糖尿病特殊感染糖尿病患者出现非糖尿病患者不易被发现的细菌和（或）真菌感染。1.鼻脑型毛霉菌病（rhinocerebral mucormycosis，RCM）毛霉菌（mucoraceae）是广泛存在于自然界的腐物寄生菌，临床表现复杂且诊断困难。原发于鼻窦的毛霉菌病临床少见，多发生在机体衰弱、免疫力低下等慢性消耗性疾病个体（如糖尿病），死亡率很高，达85%～90%。糖尿病并发RCM，早期症状常为发热、眶周及颞部疼痛，逐渐出现眶周皮肤蜂窝织炎并出血坏死，鼻腔黑痂，可并有脑膜刺激征和偏瘫。额叶等部位出血性坏死，镜下可见鼻窦黏膜表面、眼眶及脑内坏死组织有大量毛霉菌。糖尿病RCM好发于糖尿病酮症酸中毒患者，感染部位是鼻部的皮下组织内，属于深部真菌感染，病菌极易通过鼻窦或眼部播散，并感染脑部，故病死率高。一旦诊断应该及时积极控制血糖和酮症酸中毒，并使用两性霉素B等控制霉菌。2.恶性或坏死性外耳道炎（necrotizing external otitis，NEO）坏死性外耳道炎是一种伴有侵袭性骨质破坏的进行性、恶性外耳道炎。多见于老年糖尿病患者或有免疫缺陷的患者。致病菌常为铜绿假单胞菌。临床表现为耳痛，有浆液、脓性耳漏，听力下降，下颌关节运动障碍，也可伴有出血，有臭味。本病炎性骨质破坏可呈进行性发展，常累及腮腺颌后窝、颅底、脑神经和脑组织，最终因出血、脑膜炎、脑脓肿等危及患者生命。糖尿病患者合并进行性发展的外耳道炎，尤其是老年患者或经积极抗炎治疗无效者，应考虑本病，送脓液培养，颞骨X线断层拍片或CT扫描可估计病变范围或有无死骨形成，外耳道峡部底壁出现肉芽组织有助于诊断。3.气肿性胆囊炎（emphysematous cholecystitis）是急性胆囊炎的一种特殊类型，在胆囊发炎的同时，还产生气体，因而也称气肿性胆囊炎、气性胆囊炎或含气性胆囊炎。男性患病为女性的3倍，且大约20%的病例患有糖尿病。细菌，如大肠杆菌、链球菌、葡萄球菌，特别是梭状芽孢杆菌等侵入胆囊，在生长繁殖的过程中产生气体，气泡可出现在胆囊腔内、胆囊壁中、胆囊间隙，偶见于胆管内。气肿性胆囊炎症状常较严重，病情发展很快，患者往往突然感到中上腹或右上腹疼痛，伴有恶心、呕吐，可出现高热和休克。腹部X线平片和CT显示胆囊内积气、组织间气肿、可特征性地显示出胆囊轮廓，站立位摄片可见到气体下有液平面。该病病死率较高，一旦诊断为气肿性胆囊炎，应及时手术治疗，去除病变组织，应用有效抗生素如大剂量青霉素。4.气肿性肾盂肾炎（emphysematous pyelonephritis）是罕见的肾实质及周围组织的以弥漫性坏死为特征的急性坏死性感染性疾病，在肾实质和肾筋膜内产生大量气体。据有关学者观察，本病87%的患者伴有糖尿病，非糖尿病患者气肿性肾盂肾炎几乎常常伴有输尿管梗阻，男女发病之比为1∶1.8。厌氧菌如大肠埃希菌、变形杆菌、克雷伯菌等发酵，葡萄糖产生乳酸和CO2。现认为CO2是造成肾及周围组织内含有气体的主要因素。单侧多见，亦有双肾发病者；后者大多数存在尿路梗阻，预后极差，死亡率高达50%。临床上如果遇到反复出现泌尿系统感染的糖尿病患者，血糖控制不理想，伴有发热，病程中出现腰痛或季肋部疼痛时，应警惕发生气肿性肾盂肾炎的可能。B超、KUB检查及双肾CT检查有助于提高气肿性肾盂肾炎等并发症的早期诊断率。B型超声波检查：患侧肾后方受压变形并可见较多气体反射。CT检查：患侧肾实质及相邻肾周可见低密度影和气体影。虽然气肿性肾盂肾炎偶见，但其症状危重，发展迅速，常可并发败血症、感染性休克及急性肾衰竭，需给予尽早诊断和积极治疗。糖尿病感染的防治糖尿病因感染致死者仍高达10%以上，而老年糖尿病合并感染者死亡率更高。故应加强预防并及早诊断、及早治疗。糖尿病并发感染防治措施原则如下：（1）坚持参加适当的体育锻炼，增强体质，增加机体抗病能力。（2）注意卫生，加强基础护理，防止皮肤感染和褥疮发生：特别要注意及时治疗甲沟炎、鸡眼、胼胝、脚癣、甲癣等感染，以防细菌扩散。合并末梢神经炎病变者，避免外伤、烫伤。（3）积极控制和治疗糖尿病：纠正代谢紊乱，严格控制血糖。一旦合并感染，血糖会明显升高，此时要加强降糖治疗，必要时使用胰岛素强化治疗。（4）合理应用抗生素：①通常选择高效、广谱、敏感的杀菌剂，必要时联合用药。②最好根据药敏试验选用抗生素。③较非糖尿病患者感染，本症应用抗生素的剂量较大且时间更长，若为严重的感染，应静脉给药。④伴肝、肾功能损伤者，选择毒副作用小的抗生素，尽量避免使用氨基糖苷类、万古霉素等肾毒性较大的抗生素，必要时需监测血药浓度。⑤注意抗生素与降糖药物的相互作用：氯霉素具抑制肝药酶的作用，可使口服降糖药的血浓度升高，导致低血糖反应。而利福平则引导肝药酶，使口服降糖药降解加速，引起血糖增高。异烟肼也影响糖代谢，导致血糖升高等。⑥联合用药：感染严重者以静脉给药、联合用药为原则。如妥布霉素和替卡西林与庆大霉素联合应用，有协同作用，可提高治疗恶性或坏死性外耳道炎疗效，还可应用多黏菌素b等对铜绿假单胞菌敏感的药物。（5）外科治疗：对合并痈、蜂窝织炎、皮肤感染的，常需清创或切开引流等外科治疗；如气肿性肾盂肾炎在内科保守治疗无效的情况下，及时施行了保留肾的切开引流术，疗效较满意。急性并发症糖尿病酮症酸中毒糖尿病酮症酸中毒（diabetic ketoacidosis，DKA）是常见的糖尿病急性并发症（acute complications of diabetes mellitus）之一。是由于胰岛素活性重度缺乏及升糖激素不适当升高，引起糖、脂肪和蛋白质代谢紊乱，以致水、电解质和酸碱平衡失调，出现高血糖、酮症、代谢性酸中毒和脱水为主要表现的临床综合征。DKA的发生与糖尿病类型有关，与病程无关，约20%以上新诊断的1型糖尿病和部分2型糖尿病患者可出现DKA。有些糖尿病患者以DKA为首发表现，1型糖尿病有发生DKA的倾向，而2型糖尿病通常在某些诱因下发生。DKA不仅是糖尿病最常见的急性并发症，同时也是内科常见的急症之一，近年来其发病率不断上升，2003年一项统计资料表明，美国每年因DKA入院的患者人数达到11.5万，因此，尽早诊断和及时治疗DKA在临床上有着重要的意义。（一）诱因DKA的诱发因素主要包括以下几个方面：1.感染是DKA最常见的诱因，尤其是糖尿病患者伴发急性全身性感染，如肺炎、泌尿道感染、急性胰腺炎、败血症、腹膜炎等常诱发此症。2.降糖药物应用不规范诱发DKA已经越来越受到重视。近年来研究表明由于体重增加、低血糖、患者依从性差等因素致使胰岛素用量不足、不适当减量或突然中断已经成为DKA最主要的诱因之一。3.某些影响糖代谢的药物，如皮质激素，噻嗪类利尿药，多巴酚丁胺，第二代的神经镇定药等可诱发DKA，而可卡因与DKA的反复发作密切相关。4.心肌梗死、脑血管意外、胃肠疾病（呕吐、腹泻等）。5.手术、创伤、妊娠、分娩。6.饮食不当和心理障碍是1型糖尿病患者DKA反复发作的重要诱因。（二）发病机制和病理生理胰岛素活性的重度或绝对缺乏和升糖激素过多（如胰高血糖素、儿茶酚胺类、皮质醇和生长激素）是DKA发病的主要原因。胰岛素缺乏和胰高血糖素升高是DKA发展的基本因素。胰岛素和胰高血糖素比率下降促进糖异生、糖原分解和肝酮体生成，肝的酶作用底物（游离脂肪酸、氨基酸）产生增加，导致高血糖、酮症和酸中毒（图14-4-7）。图14-4-7　DKA的发病机制1.高血糖DKA患者的血糖多呈中等程度的升高，主要是由于葡萄糖生成（包括糖原分解和糖异生）增多以及葡萄糖利用（糖酵解、脂肪酸合成和糖原合成）减少所致。胰高血糖素和儿茶酚胺类激素水平升高，胰岛素水平减低促进糖原分解。胰岛素缺乏还可减少GLUT4葡萄糖运载体，从而抑制骨骼肌和脂肪组织的葡萄糖摄取，抑制细胞内葡萄糖代谢。2.酮症和代谢性酸中毒酮症是由于脂肪细胞生成游离脂肪酸增多，肝酮体合成增加所致。胰岛素水平下降，儿茶酚胺和生长激素升高促进脂肪分解，生成游离脂肪酸（FFA）和甘油。在DKA时，胰岛素高度缺乏，足以促使脂肪分解，生成大量FFA，同时胰高血糖素和胰岛素的比率增加，降低了丙二酰辅酶A（CoA）的浓度，导致FFA进入线粒体生成酮体。正常情况下，酮体促进胰岛素从胰腺释放，而胰岛素可反馈抑制酮体生成。在胰岛素高度缺乏状态下，无法足够抑制酮体生成，因而致使大量酮体生成。生理pH情况下，酮体以酮酸的形式存在，碳酸氢根可中和酮体。DKA时，由于酮体生成增加，碳酸氢根不断地被消耗，另外，乳酸生成增多，肾排酸失碱加重，再则脱水和休克造成机体排酸（图14-4-7）障碍，最终导致代谢性酸中毒的发生。3.脱水DKA时，血糖和血酮浓度升高使血浆渗透压增高，细胞外液高渗时细胞内液向细胞外转移，细胞脱水伴渗透性利尿。蛋白质和脂肪分解加速，大量酸性代谢物的排出带出水分。酮体从肺排出也带出水分。酸中毒失代偿时的厌食、恶心、呕吐使水摄入量减少及丢失过多。这些因素相互和累加作用，引起患者脱水，严重者血容量不足，血压下降，甚至出现循环衰竭。4.电解质平衡紊乱渗透性利尿、呕吐及摄入减少、细胞内外水分及电解质的转移以及血液浓缩等因素，均可导致电解质平衡紊乱。（三）临床表现DKA起病急，病程通常小于24小时，根据酸中毒的程度，可以将其分为轻度、中度和重度。轻度是指只有酮症，无酸中毒（糖尿病酮症）；中度是指除酮症外，伴有轻至中度酸中毒（DKA）；重度是指DKA伴意识障碍，或虽无意识障碍，但二氧化碳结合力低于10mmol/L者。1.症状多数患者起病时有多尿、烦渴多饮和乏力等糖尿病症状加重或首次出现，如未及时治疗，患者病情恶化，可出现恶心、呕吐、食欲减退等症状，少数患者可出现腹痛的症状，腹痛可能由酮症本身或原发病引起，腹痛与酸中毒的严重程度有关，50%～75%的腹痛患者疼痛剧烈似急腹症，临床上容易误诊。DKA的患者如有胃肠道出血可表现为呕血。约30%的DKA患者可同时伴有高渗状态。发病早期患者多神志清楚，随着病情的进展，常出现不同程度的意识障碍，嗜睡、昏睡或昏迷。另外注意患者有无诱发疾病的表现，如泌尿系统感染的症状，有无咳嗽、发热、寒战，冠心病患者近期胸痛情况等。2.体征体检时，患者常有脱水征象。评价脱水的程度十分重要，患者皮肤、黏膜干燥、弹性下降、眼球下陷提示脱水达5%，单纯体位性脉搏变化提示细胞外液体丢失约10%，当出现心率加快、直立性低血压（＞15/10mmHg）和脉搏细弱等循环衰竭表现时，体液丢失达15%以上，当出现卧位低血压，提示严重脱水，体液丢失超过20%，也可能合并败血症。老年人或自主神经功能紊乱的患者本身可有直立性低血压，评价此类患者的脱水程度有一定困难。酸中毒时有Kussmaul呼吸，部分患者呼气中有烂苹果味（丙酮气味）。合并潜在感染的患者可发热、但是无发热并不能排除感染，因为酸中毒可使血管扩张，导致体温下降，低体温是病情严重的征兆，提示预后不良。（四）实验室及辅助检查体格检查、高血糖和酮尿强烈提示DKA，而DKA的确诊需要进行一系列详细的实验室检查，包括血浆葡萄糖、血尿素氮/肌酐、血酮体、电解质、血渗透压、尿常规、尿酮体、动脉血气分析和计算阴离子间隙等，其他的辅助检查还包括心电图、胸片和血培养。1.尿液检查尿糖、尿酮常呈强阳性，当肾功能严重损害时，肾小球滤过率减少，而肾糖阈及酮阈升高，可出现尿糖与酮体减少，甚至消失，此时应注意诊断应以血酮为主。另外分析酮体水平时还需注意，重度DKA机体缺氧时，有较多的乙酰乙酸被还原为β-羟丁酸，此时尿酮测定反应呈阴性或弱阳性，DKA病情减轻后，β-羟丁酸转为乙酰乙酸，使尿酮反应呈阳性或强阳性，避免错误分析病情。2.血糖和血酮血糖升高，一般在16.7～33.3mmol/L （300～600mg/dl），超过33.3mmol/L时多伴有高渗状态或有肾功能障碍。血酮体增高，多在4.8mmol/L（50mg/dl）以上。当留取尿样有困难或肝、肾功能可能对尿酮测定有影响时，可测定血酮体，一般用酮体粉作血酮半定量测定，正常血酮体20～40mg/L时与酮体粉不起呈色反应，当达100mg/L时才起反应，故呈阳性反应的血清稀释倍数乘以10即是血酮体半定量的mg/dl值。DKA时1∶16稀释血清仍可呈阳性反应。但需注意，丙酮和β-羟丁酸的生成速度是乙酰乙酸的三倍以上，而我们通常使用的酮体检测试剂（硝普盐）主要检测乙酰乙酸，测量血清或血浆的β-羟丁酸能更准确地反映体内酮体的水平。某些药物如卡托普利或青霉胺可能会引起假阳性反应，应注意询问相关病史以免误诊。3.血电解质及尿素氮（BUN）、肌酐（Cr）由于高血糖可导致细胞内水分转移至细胞外，入院时患者血钠水平多降低，而严重脱水时体内总钠耗竭，但由于血液浓缩，血钠可升高。酸中毒时钾向细胞外转移，因此虽然总体钾水平下降，但患者血钾可表现为升高、正常或降低。而胰岛素治疗和纠正酸中毒后，钾离子向细胞内转移，有机酸钾盐经尿液丢失，出现低血钾。机体总氯、磷和镁也有所下降，但由于脱水和高血糖，血中浓度高低不定。血尿素氮（BUN）和肌酐可轻、中度升高，经治疗后仍高者提示肾功能受损。4.血酸碱度最常见的酸碱平衡紊乱是代谢性酸中毒，血pH和二氧化碳结合力（CO2CP）及下降，阴离子间隙明显增大［AG＝Na+-（Cl-+）］。但也能出现其他情况，如高氯性酸中毒（AG正常），合并明显呕吐时可能出现代谢性碱中毒。高氯性酸中毒多出现在DKA治疗中，由于补充了大量液体和氯化钠，尿酮排泄，血碳酸氢盐浓度随之下降，血氯增多，出现正常AG性高氯性酸中毒。DKA时大量呕吐使氢离子丢失过多，出现代谢性碱中毒，血清氯离子浓度下降，碳酸氢盐浓度正常。5.其他DKA患者血常规检查白细胞可增多，无感染时也可高达10×109/L，尤以中性粒细胞增高更为显著，如白细胞计数超过25×109/L强烈提示患者有感染，需要密切随访。血游离脂肪酸、甘油三酯、脂蛋白可升高。最近研究发现，16%～25%的DKA患者血淀粉酶和脂肪酶可有非特异性的增高，如同时伴随明显腹痛，还需与急性胰腺炎鉴别。（五）诊断和鉴别诊断详细地询问病史和发病过程，结合体检发现意识障碍、Kussmaul呼吸、脱水、休克等临床表现，要考虑DKA的可能性。实验室检查示尿糖和酮体强阳性，同时血糖、血酮明显升高，且血pH和二氧化碳结合力降低，则无论有无糖尿病病史，均可诊断为DKA。DKA主要包括高血糖、酮症和代谢性酸中毒三联症，而糖尿病其他急性并发症也可有这些代谢紊乱，出现类似DKA的表现。DKA与其他急性并发症的鉴别见表14-4-14。表14-4-14　DKA与其他并发症鉴别续表（六）治疗DKA一经诊断，应立即治疗，并启动代谢和心、肾功能监护，观察神志变化。治疗重点是纠正病理生理变化、补充液体和电解质，控制血糖，纠正酸碱失衡，去除诱因，防止可能导致复发的因素。具体治疗方案应根据患者病情轻重决定，对于轻度DKA患者应鼓励进食、进水，补充胰岛素，以利血糖的下降和酮体的消除，中、重度酮症酸中毒应用小剂量胰岛素疗法，纠正水、电解质及酸碱平衡紊乱。1.胰岛素治疗DKA发病的主要因素是胰岛素缺乏，因此，迅速补充胰岛素是治疗的关键。目前多采用小剂量普通胰岛素持续静脉滴注的方法，可以有效抑制脂肪分解和肝糖异生，且并发症（如低血糖、低血钾、低血磷、低血镁症、高乳酸血症和渗透压失调）发生率低。绝大多数患者在补液的同时即应开始胰岛素治疗，先给予0.1U/kg体重的普通胰岛素静脉负荷量，随后采用普通胰岛素生理盐水溶液，以0.1U/（kg？h）的速度持续静脉滴注，成人通常用5～7U/h，一般不超过10U/h。如患者合并休克或血钾低于3.3mmol/L，在使用胰岛素治疗之前需先补液或补钾，待休克纠正，血钾升至3.3mmol/L以上后，尽快使用胰岛素。静脉滴注胰岛素后其血浓度足以抑制脂肪分解、蛋白分解、酮体生成和肝糖异生，可使血糖每小时下降4.2～5.6mmol/L。每1～2小时密切监测血糖、血酮、血K和其他电解质水平，必要时监测肾功能和血气分析，及时调整治疗措施。如血糖每小时下降＜4.2mmol/L，在排除其他可能导致治疗无效的原因（包括酸中毒恶化和补液不足）之后，需适当增加胰岛素用量，通常每1～2小时可增加胰岛素1U。一旦血糖降至13.9mmol/L以下，可改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，如500ml 5%葡萄糖液中加入胰岛素6～12U，胰岛素滴注率下调至0.05U/（kg？h），持续静脉滴注。当血糖降至11.1mmol/L以下，碳酸氢盐＞18mmol/L，pH＞7.3，酮体阴性后，可以开始皮下注射胰岛素治疗方案。皮下注射短效胰岛素后，静脉胰岛素仍需继续维持1～2小时以防止血糖回升。近年来已陆续有报道应用速效胰岛素类似物，如门冬胰岛素（insulin aspart）或赖脯人胰岛素（lispro）每1～2小时皮下注射治疗无并发症的糖尿病酮症酸中毒，可得到与普通胰岛素静脉滴注治疗相似的效果，尚待积累更多经验。2.补液大多数DKA患者存在液体和电解质的丢失，补液不仅能纠正失水，还有助于血糖下降和酮体的清除。先快速静脉输注生理盐水，旨在扩充细胞外容量，恢复肾灌注，最初每小时静脉滴注15～20ml/kg。随后根据脱水程度、血清离子浓度和尿量选择输液类型和速度，在血压已稳定正常但血钠和血渗透压仍较高的患者，可短暂改用0.45%～0.6%的氯化钠［速率4～14ml/（kg？h）］，并加强对神志的观测，一旦血渗透压和血钠有所下降，即应考虑改回用生理盐水（参见高渗性高血糖状态），而血钠较低的患者可继续输注生理盐水［速率4～14ml/（kg？h）］。补液应先快后慢，如无心力衰竭，在开始1小时内输入1000～1500ml，以后根据血液、心率、每小时尿量、周围循环状况决定输液量和速度，在第3～6小时输入1000～2000ml，第1个24小时输液总量一般为4000～5000ml，严重失水者可达6000～8000ml。如治疗前已有低血压和休克，快速补液不能有效升高血压时，应输入胶体溶液，并采用其他抗休克措施。老年患者、充血性心力衰竭或肾功能不全患者需酌情调整补液速度和液体种类。儿童患者的补液速度为前4小时10～20ml/（kg？h），一般不超过50ml/（kg？h）。补液速度需控制，在48小时以上纠正脱水。脱水和渗透压纠正过快导致脑水肿的情况尽管少见，但是后果严重，而且在儿童中发生率相对较高。3.纠正电解质紊乱通过输注生理盐水，低钠、低氯血症一般可获纠正。DKA时总体钾丢失严重［估计损失量3～5mmol/kg］。补液、胰岛素治疗和纠正酸中毒使钾离子向细胞内转移，血钾水平更低。为了防止低血钾，在开始治疗时，只要患者血钾＜5.5mmol/L，且尿量足够，即可开始补钾，并注意血钾和心电监测。如治疗前已有高血钾，等血钾降至正常范围开始补钾。每升液体需加入20～40mmol钾。为了防止血氯增加，可用磷酸钾或醋酸钾替代氯化钾治疗。通过治疗要使血钾＞3.5mmol/L。如治疗前血钾低于3.3mmol/L，在使用胰岛素之前需先补钾，血钾升至3.3mmol/L（3.3meq/L）以上后，再开始使用胰岛素。DKA时磷缺乏也十分常见，当血磷严重下降，低于0.48mmol/L，且血钙正常才考虑补磷。小剂量静脉应用磷酸钾合并氯化钾较为安全和有效。一旦患者可以进食，则推荐口服补磷。4.补碱DKA患者经上述治疗后，酸中毒随代谢紊乱的纠正而恢复，通常不需要补碱。而当血pH低至6.9～7.1时，可引起一些不良心血管反应，包括低血压、心脏输出量降低、外周血管阻力降低，肺动脉阻力增高、心动过缓和心律失常；也可导致肾和肠系膜缺血、脑血管扩张、脑脊液压力增高和昏迷，使缓冲碱剩余大大减少，也可引起胰岛素抵抗，则应予以补碱治疗，但过多过快补碱会产生不良反应，包括碱中毒，脑脊液pH反而降低、低钾血症、容量负荷过量、组织氧化作用改变和酮体生成过多。因此，除非pH低于7.0或出现明显的酸中毒临床表现，否则补碱治疗需慎重。如pH在6.9～7.0时，以50mmol/L碳酸氢钠，稀释于200ml的0.45%盐水中1小时内滴完；如pH＜6.9，以100mmol/L碳酸氢钠，稀释于400ml的0.45%盐水中2小时内滴完。30分钟后复查血pH，若pH仍低于7.0，可再次补充碳酸氢钠，如pH升至7.2，即可停止补碱。5.诱因和并发症治疗（1）感染：既可是诱因，也可是并发症，常因DKA的严重症状而被忽略，须予以针对性的处理，以免影响整体疗效。（2）肺水肿、呼吸窘迫：常见于老年人，可能是补液速度过快、左心室功能不全或毛细血管瘘综合征。因此，动态监测氧饱和度、液体出入量甚至有创性血流动力学检查均十分必要。（3）心力衰竭、心律失常：年老或合并冠心病尤其是急性心肌梗死、输液过多等可导致心力衰竭和肺水肿，应注意预防，一旦出现，及早治疗。血钾过低、过高均可引起严重心律失常，应在心电监护下，尽早发现，及时治疗。（4）肾衰竭：DKA时失水、休克，或原来已有肾病变以及治疗延误等，均可引起急性肾衰竭。注意预防，一旦发生，及时处理。（5）脑水肿：是DKA最严重的并发症，多见于儿童，约占儿童患者的1%，成人少见。就诊时二氧化碳分压较低和血尿素氮水平高，治疗时血钠上升缓慢，需要补充碳酸氢钠治疗的患者均有出现脑水肿的威胁。儿童患者脑水肿的发生与补液速度或血糖降低速度无明显相关性。儿童DKA患者在治疗过程中突发神志改变，需警惕脑水肿可能，一旦发现，应采用高渗性脱水治疗。高渗性高血糖状态高渗性高血糖状态（hyperosmolar hyperglycemic state，HHS）是糖尿病严重急性并发症之一，多发生于那些已有数周多尿、体重减轻和饮食减少病史的老年2型糖尿病患者，指上述患者最终出现的精神错乱、昏睡或昏迷的状态。临床上多表现为严重高血糖而基本上无酮症酸中毒、血浆渗透压升高、失水和意识障碍等精神神经系统症状。HHS的常见诱因有感染、急性胃肠炎、胰腺炎、脑血管意外、严重肾疾患、血液或腹膜透析、水摄入不足、大量摄入含糖饮料等；许多药物也可成为HHS的诱因，包括糖皮质激素（尤其是肾移植患者）、利尿药（如噻嗪类和呋塞米）、免疫抑制剂、氯丙嗪等；大量输注葡萄糖、长期静脉内营养支持亦可诱发或促进HHS的发生。（一）发病机制和病理生理学HHS是体内胰岛素相对缺乏使血糖升高，并进一步引起脱水，最终导致的严重高渗状态。胰岛素相对不足、液体摄入减少是HHS的基本病因。胰岛素缺乏促进肝葡萄糖输出（通过糖原分解和糖异生）、损伤了骨骼肌对葡萄糖的利用（见上文DKA），高血糖的渗透性利尿作用导致血容量不足，如补液不充分，患者病情加重。另外，HHS的发生发展受到一系列因素的影响：存在感染、外伤、脑血管意外等诱发因素的情况下，胰岛素分泌进一步减少，对抗胰岛素的激素水平升高，血糖明显升高；HHS多发生于老年患者，口渴中枢不敏感，加上主动饮水的欲望降低和肾功能不全，失水常相当严重，而钠的丢失少于失水，致血钠明显增高；脱水和低血钾一方面能引起皮质醇、儿茶酚胺和胰高血糖素等升糖激素的分泌增多，另一方面进一步抑制胰岛素分泌，继而造成高血糖状态的继续加重，形成恶性循环，最终导致HHS发生。HHS与DKA都是由于胰岛素缺乏而引起的糖尿病急性并发症，DKA主要表现为高血糖、酮症和酸中毒，而HHS以严重高血糖和高渗透压为特征。这两种代谢紊乱临床表现的差别，可能的原因为：①HHS时胰岛素只是相对缺乏，分泌的胰岛素虽足以抑制脂肪分解和酮体生成，但却不能抑制糖异生，故主要为血糖的明显升高；但在DKA胰岛素是高度缺乏，已不能抑制酮体生成；②胰高血糖素等升糖激素升高较轻，促进脂肪分解和生酮作用较弱；③HHS时失水严重，不利于酮体产生；④部分HHS患者血浆非酯化脂肪酸水平高而无酮症，提示肝生酮功能障碍；⑤严重高血糖和酮体生成之间可能存在拮抗作用。由此可见，HHS与DKA是不同程度的胰岛素缺乏所导致的两种状态，两者可能同时存在，实际上，1/3的高血糖患者可同时表现出HHS和DKA的特征。（二）临床表现HHS发病率低于DKA，多见于60岁以上老年人，男女发病率大致相同，约2/3患者过去有糖尿病病史，且多为2型糖尿病。HHS起病多隐匿，从发病到出现典型的临床表现一般为1～2周，偶尔急性起病。患者起病初期多有口渴、多饮、多尿、乏力等糖尿病症状出现或加重，可同时伴有恶心、呕吐、食欲减退、反应迟钝、表情淡漠等临床表现。随着病情进展，逐渐出现典型的HHS临床表现，主要表现为严重脱水和中枢神经系统损害。HHS患者常有严重的脱水征，体格检查可见皮肤黏膜干燥、弹性减退，眼球凹陷，唇舌干裂，随着病情进展，可出现脉细速，卧位时颈静脉充盈不全，直立性低血压等周围循环衰竭表现。不少患者就诊时已处于休克状态，但因脱水严重，体检时可无冷汗。部分患者虽有严重脱水，但因血浆的高渗状态促使细胞内液外出，补充了血容量，可能掩盖了失水的严重程度，而使血压仍然维持正常。HHS患者中枢神经系统损害的症状非常突出，患者意识水平主要决定于血浆渗透压升高的程度。通常患者血浆有效渗透压超过320mOsm/kg H2O时，即可出现精神症状，如淡漠、嗜睡等，而当患者血浆有效渗透压超过350mOsm/kg H2O时，可有定向力障碍、幻觉、上肢拍击样粗震颤、癫痫样抽搐、失语、偏盲、肢体瘫痪、昏迷及锥体束征阳性等表现。这些体征提示患者可能有因脱水、血液浓缩或血管栓塞而引起的大脑皮质或皮质下损害。经治疗后，上述神经系统症状、体征多可完全恢复正常，但少数患者可能在HHS纠正后一段时间内仍遗留部分中枢神经系统损害表现。HHS常由严重的并发疾病如心肌梗死或脑卒中诱发。败血症、肺炎和其他一些感染是HHS常见的诱因。另外，一些导致机体抵抗力下降的因素如脑卒中前或痴呆对HHS的发生发展有促进作用。所以在处理HHS患者时也应注意有无诱发疾病表现，及时纠正。（三）实验室检查1.尿液检查尿糖强阳性，肾功能不全可使肾糖阈值升高，但尿糖阴性者罕见；尿酮阴性或弱阳性；可有蛋白尿和管型，与肾小管功能受损有关。2.血液检查HHS患者主要的血生化指标检查与DKA的比较见表14-4-15。最显著的特征是高血糖、高血渗透压和肾前性氮质血症。血酮体正常或略高，半定量测定多不超过4.8mmol/L（50mg/dl）。另外，因血糖每升高5.6mmol/L，血钠下降1.6mmol/L左右，HHS时存在严重高血糖，可造成血钠水平假性降低。渗透压可直接测定，也可用公式计算，即血浆总渗透压（mOsm/kg H2O）＝2× （Na++K+）+血糖（mmol/L）+BUN（mmol/L），因BUN能自由通过细胞膜，不构成细胞外液的有效渗透压，略去BUN的值即为有效血浆渗透压。HHS时，有效血浆渗透压明显升高，一般在350mOsm/kg H2O以上。表14-4-15　糖尿病酮症酸中毒（DKA）和高渗性高血糖状态（HHS）实验室检查注：*治疗过程中会发生极大变化；**血浆水平表现为正常或增高，机体的储备量减少（四）诊断与鉴别诊断HHS的诊断并不困难，关键要提高对本病的认识和警惕，及早发现，及时治疗。如发现中、老年患者有显著的精神障碍和严重的脱水，而无明显的深大呼吸，应考虑到发生本病的可能，并立即作相应实验室检查和辅助检查，包括血糖、血酮、血电解质、血尿素氮和肌酐、血气分析、尿糖、尿酮体、心电图等。HHS的诊断依据是：①中、老年患者，血糖≥33.3mmol/L；②有效血浆渗透压≥320mOsm/kg H2O；③血清碳酸氢根≥15mmol/L或动脉血pH≥7.30；④尿糖强阳性，血酮体阴性或弱阳性。另外，要注意HHS有并发DKA或乳酸性酸中毒的可能性，因此诊断依据中的①、③或④不符合时不能作为否定诊断的依据。但HHS患者均存在明显的高渗状态，如昏迷患者血浆有效渗透压低于320mOsm/kg H2O，应考虑到其他疾病引起昏迷的可能性，HHS与其他疾病的鉴别见表14-4-14、表14-4-15。（五）治疗对患者需启动代谢、心、肾功能监护，并观察神经系统症状和体征变化。血容量不足和高血糖是HHS和DKA的共同主要特征。因此在这方面的治疗有共同的特点，而HHS基本上无酸中毒或甚轻微，DKA则酸中毒明显，因而HHS对胰岛素的需要量远较DKA为小。在HHS和DKA时，监测患者液体补液情况，实验室检查结果和胰岛素输注率至关重要。另外，应积极寻找和去除诱发因素。HHS患者由于病程长，液体丢失和脱水的情况较DKA更加显著。HHS患者通常年龄比较大，更容易发生精神状态的改变和伴发其他威胁生命的疾病。因此即使予以及时治疗，HHS患者的死亡率仍然比DKA要高（临床统计显示死亡率可高达15%），故要特别强调预防、早期诊断和治疗。1.补液HHS患者均有严重脱水，而高渗状态引起的脑细胞脱水是威胁患者生命的主要原因，单纯补液即可使血糖每小时下降1.1mmol/L（20mg/dl），可使血浆渗透压下降，减轻脑细胞水肿。因此积极补液在治疗中至关重要，对预后起决定性作用。对HHS患者而言，首选生理盐水，因生理盐水的渗透压为308mOsm/kg H2O，相对于HHS情况下的血浆高渗透压而言是低渗的。输注生理盐水能迅速有效地补充血容量，改善肾功能并降低血糖。如治疗前已有休克，可先补充生理盐水和适量胶体溶液，以尽快纠正休克。如无休克，经输注生理盐水1000～2000ml后，血浆渗透压仍＞350mOsm/kg H2O，血钠＞155mmol/L，可谨慎给一定量的低渗溶液（0.45%～0.6%盐水），并在中心静脉压及血浆渗透压监测下调整补液量和速度；当渗透压降至330mOsm/kg H2O时，再改为等渗溶液。治疗过程中应注意大量使用生理盐水可使患者的血钠和血氯升高，导致高氯血症。5%葡萄糖液的渗透压为278mmol/L，虽为等渗，但糖浓度约为正常血糖的50倍，5%葡萄糖盐水的渗透压为586mmol/L，因此，在治疗早期两者均不适用，以免加剧高血糖、高血钠及高渗状态。当血糖降至16.7mmol/L （300mg/dl）时，可开始输入5%葡萄糖液并酌情加用胰岛素。输液总量一般按患者原体重的10%～12%估算，补液速度应先快后慢，通常开始2小时内输1000～2000ml，头12小时给输液总量的1/2再加上当日尿量的液体量，其余在24小时内输入。输液中要观察尿量、心功能、神经系统表现和体征变化，必要时监测中心静脉压。2.胰岛素治疗与DKA的治疗一样，尽管最初的补液和容量扩张可以降低血糖，HHS患者仍需要胰岛素治疗，由于患者一般对胰岛素比DKA患者敏感，通常所需胰岛素的剂量比酮症酸中毒时少。目前多主张小剂量胰岛素治疗方案，可先静脉推注普通胰岛素5～10U，继续用静脉滴注维持治疗（3～7U/h）。血糖和电解质等的监测要求与DKA相似。当患者血糖降至16.7mmol/L，血浆渗透压＜330mOsm/kg H2O时，转为第二阶段治疗，改用5%葡萄糖或糖盐水，按葡萄糖与胰岛素比例（2～4）∶1加入胰岛素，若此时血钠低于正常值，用5%葡萄糖盐水效果更佳。持续静脉输注胰岛素，直到患者恢复正常饮食，且可以用皮下注射胰岛素控制血糖为止。患者出院时均需用胰岛素控制血糖，部分患者日后可试改用口服降糖药物治疗。3.补钾HHS患者体内钾丢失严重，约丢失5～10mmol/kg，总量可达400～1000mmol，因为高血糖引起渗透性利尿，部分患者有酸中毒，细胞内钾移向细胞外，患者治疗前血钾往往正常，而在输注生理盐水的过程中可出现低钾血症。因此，只要患者血钾不高，尿量充足，治疗开始时即应补钾，可在1000ml生理盐水中加入10%氯化钾，每天可补4～6g，另外应鼓励患者同时口服补钾。静脉补钾过程中需监测血钾和心电图，如患者肾功能不全，补钾时尤应注意。4.其他治疗注意纠正电解质紊乱，积极去除诱因，输氧，尿少者可静脉静滴呋塞米，特别是高钠血症患者。对于合并DKA的患者，应按DKA治疗原则纠正酸中毒。对昏迷患者需加强护理，留置导尿管以观察尿量变化，并选用适当抗生素以预防和控制感染，密切观察患者病情变化。乳酸性酸中毒乳酸性酸中毒（lactic acidosis）是由于各种原因导致组织缺氧，乳酸生成过多，或由于肝的病变致使乳酸利用减少，清除障碍，血乳酸浓度明显升高引起。它是糖尿病的急性并发症之一，多发生于伴有全身性疾病或大量服用双胍类药物的患者。（一）发病机制与分类当组织缺氧时，线粒体功能障碍，丙酮酸堆积在胞浆转化成乳酸，从而引发乳酸性酸中毒。正常情况下，机体代谢产生的乳酸主要在肝中氧化利用，或被转变成糖原储存，少量乳酸经肾排出。而在肝肾疾病的情况下，乳酸利用和排出减少也可诱发和加重乳酸性酸中毒。乳酸性酸中毒分为先天性和获得性两大类。先天性乳酸性酸中毒是由遗传性酶的缺陷（如葡萄糖-6-磷酸酶、丙酮酸脱氢酶和丙酮酸羧化酶），造成乳酸、丙酮酸代谢障碍引起。而获得性乳酸酸中毒根据发病原因主要分为A型和B型两大类，具体如下：1.A型由组织缺氧引起，见于各种休克、贫血、右心衰竭、窒息、低氧血症、CO中毒等。2.B型非组织低氧所致。（1）系统性疾病引起：见于糖尿病、恶性肿瘤、肝衰竭、严重感染、尿毒症、惊厥、胰腺炎及胃肠病等。（2）药物及毒素引起：多见于双胍类、果糖、山梨醇、甲醇、乙醇、水杨酸类及乙二醇、可卡因、氰化物、儿茶酚胺等。（二）临床表现患者起病较急，有深大呼吸（不伴铜臭味）、神志模糊、嗜睡、木僵、昏迷等症状，可伴有恶心、呕吐、腹痛。缺氧引起者有发绀、休克及原发病表现。药物引起者常有服药史及各种中毒表现。系统性疾病引起者，除原发病症状外，以酸中毒为主。但本病症状与体征可无特异性，轻症者临床表现可不明显，可能仅表现为呼吸稍深快，常被原发或诱发疾病的症状所掩盖，应注意避免误诊或漏诊。（三）实验室检查患者乳酸浓度多超过5mmol/L，有时可达35mmol/L，血乳酸浓度超过25mmol/L的患者通常预后不佳。丙酮酸浓度相应升高达0.2～1.5mmol/L，乳酸/丙酮酸≥30∶1。明显降低，常＜10mmol/L，CO2结合力常＜9mmol/L，阴离子间隙［Na++K+-+Cl-）］常＞18mmol/L，一般为25～45mmol/L。酮体可正常或轻度升高。另外乳酸性酸中毒的患者血白细胞多明显升高。（四）诊断乳酸性酸中毒是糖尿病的急性并发症之一，其发生率低，死亡率高，预后较差，因此早期的诊断对其治疗有着重要意义。对口服双胍类药物的糖尿病患者如出现严重的酸中毒而血酮体无明显升高应考虑到本病的可能，如患者血乳酸＞5mmol/L，乳酸/丙酮酸≥30∶1，＜10mmol/L，阴离子间隙＞18mmol/L，可诊断为糖尿病乳酸性酸中毒。（五）治疗乳酸性酸中毒应以预防为主。因为双胍类药物可诱发乳酸性酸中毒，而肝肾功能不全者，药物在体内的代谢、降解、排泄减少，可导致双胍类药物在体内蓄积，引起乳酸性酸中毒，因此对于肝肾功能不全的患者应尽量避免使用双胍类药物，以免发生本症。而一旦发生乳酸性酸中毒，应积极地治疗，其治疗注意以下几点：1.病因治疗和对症处理积极寻找乳酸性酸中毒的诱因，停用双胍类药物，胰岛素不足诱发者应采用胰岛素治疗。缺氧的患者应立即予以吸氧，休克者应积极补液扩容改善组织灌注，减少乳酸产生，促进利尿排酸。另外在治疗过程中，密切监测患者的生命体征变化，及时检测血乳酸、血气分析、血糖和血电解质。2.纠正酸中毒酸中毒经确诊后应立即治疗，目前主张给予小剂量NaHCO3持续静脉滴注的方式，使上升4～6mmol/L，维持在14～16mmol/L，动脉血pH高于7.2。而以往强调的大量NaHCO3静脉滴注的方法多不主张采用，因为大剂量NaHCO3可引起高血钠、高血渗透压，加重了容量负荷，血乳酸反而升高。这是因为碳酸氢钠静脉滴注后，CO2产生增多，进入细胞使细胞内pH下降，加重细胞内酸中毒，可导致心肌收缩力减弱，心排血量减少，组织血氧灌注降低，无氧代谢加强，乳酸及氢离子产生增多，加重酸中毒，增加死亡率。来源&nbsp;&nbsp;:&nbsp;&nbsp;实用内科学:全2册(上)', '14', '2', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '一般治疗', '1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。', '1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。', '15', '3', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '简述', null, '外界并无声音而患者自己觉得耳朵里有鸣叫的声音', '1', '7', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('20', 'Y', '2019-05-13 18:05:42', '2019-05-13 18:43:41', '1234', '111', '101', 't1', 'content1', 'text1', '0', '1', '0', null);
INSERT INTO `kl_concept_detail` VALUES ('21', 'Y', '2019-05-13 18:05:42', '2019-05-13 18:43:41', '1234', '111', '101', 't2', 'content2', 'text2', '1', '2', '1', null);

-- ----------------------------
-- Table structure for kl_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `kl_dictionary_info`;
CREATE TABLE `kl_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='icss字典表';

-- ----------------------------
-- Records of kl_dictionary_info
-- ----------------------------
INSERT INTO `kl_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '文本模块', '1', '1', '1', '量表结构维护-文本模块');
INSERT INTO `kl_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '推送模块', '2', '1', '2', '量表结构维护-推送模块');

-- ----------------------------
-- Table structure for kl_disclaimer_information
-- ----------------------------
DROP TABLE IF EXISTS `kl_disclaimer_information`;
CREATE TABLE `kl_disclaimer_information` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `version_id` bigint(30) DEFAULT NULL COMMENT '主表id',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `description` text COMMENT '描述',
  `order_no` varchar(5) DEFAULT NULL COMMENT '排序号',
  `status` varchar(5) DEFAULT NULL COMMENT '1：启动，0：不启用',
  `disclaimer_code` varchar(20) DEFAULT NULL COMMENT '免责申明编号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='免责申明详情';

-- ----------------------------
-- Records of kl_disclaimer_information
-- ----------------------------
INSERT INTO `kl_disclaimer_information` VALUES ('1', 'N', '1970-01-01 12:00:00', '2018-12-12 09:56:23', '0', '1', '0', '诊断免责信息', '以上诊断依据根据诊疗指南以及专家临床经验整理，实际以医生临床判断为准', '1', '1', 'MZ-001', null);
INSERT INTO `kl_disclaimer_information` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '5', '0', '推送免责信息', '以上推送为常见诊断及问诊内容，实际以医生临床判断为准', '2', '1', 'MZ-002', null);
INSERT INTO `kl_disclaimer_information` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '5', '0', '免责申明', '尊敬的用户，欢迎您使用朗通智能辅助诊疗决策系统,使用此内容应接受免责声明!<br/>\r\n一、服务内容<br/>\r\n朗通智能辅助诊疗决策系统遵循询证医学方法论，将临床诊疗指南等医学知识进行分析、归纳、建模，构建成一个庞大<br/>\r\n而有序的临床医学知识库，根据患者提供问诊信息，通过智能推理引擎，实现快速、准确的智能综合分析与判断，在医<br/>\r\n生诊疗过程中的每一个节点提供智能支持和辅助，为医生提供规范、全面的智能问诊策略、鉴别检查策略、参考诊断策<br/>\r\n略以及治疗的临床路径，并自动推送结构化门诊电子病历，帮助医生为患者提供快速、高效、准确的医疗服务。<br/>\r\n<br/>\r\n二、患者信息<br/>\r\n朗通医疗将根据国家法律法规和行业标准严格对患者信息保密，未经您的同意我们不会将患者信息及与朗通智能辅助诊<br/>\r\n疗决策系统进行数据交互的非公开内容提供给第三方（公司或个人），但以下情况除外：<br/>\r\n1、相关法律法规或监管机构、司法机构要求提供用户的个人资料；<br/>\r\n2、国家司法机关符合法律规定并经法定程序的检查及其他操作；<br/>\r\n3、任何第三方盗用、冒用或未经许可擅自披露、使用或对外公开的情况。<br/>\r\n<br/>\r\n三、数据准确性<br/>\r\n朗通智能辅助诊疗决策系统提供的信息基于准确的患者数据，采集更详细和准确的患者病史信息有助于让朗通智能辅助<br/>\r\n诊疗决策系统更好的为您提供帮助。朗通智能辅助诊疗决策系统充分尊重医生在诊疗中的决定权，所提供的一切信息仅<br/>\r\n供医生在诊疗过程中参考使用，所有决定权属于医生。\r\n<br/>\r\n<br/>\r\n四、知识产权声明<br/>\r\n本系统所有内容均系杭州朗通信息技术有限公司（下称：杭州朗通）版权所有，或已得到相关权利方的有效授权。<br/>\r\n未经杭州朗通事先书面授权，任何单位及个人不得以任何方式或理由对上述内容的任何部分进行使用、转载、复制、修改、抄录、传播或与其他产品捆绑使用、销售。<br/>\r\n杭州朗通一贯尊重和保护知识产权，如果您发现本系统内容侵犯了您的版权，请发送电子邮件至pub@zjlantone.com， <br/>\r\n杭州朗通将及时、妥善进行处理。\r\n\r\n', '3', '1', 'MZ-003', null);
INSERT INTO `kl_disclaimer_information` VALUES ('4', 'N', '2019-05-15 16:29:43', '2019-05-15 16:32:19', '97', '97', null, '测试标题', '测试说明', null, '0', '2', null);
INSERT INTO `kl_disclaimer_information` VALUES ('5', 'N', '2019-05-15 16:34:37', '2019-05-15 16:34:37', '97', '97', '0', '测试归属', '修改归属', null, '1', '3', null);

-- ----------------------------
-- Table structure for kl_disease
-- ----------------------------
DROP TABLE IF EXISTS `kl_disease`;
CREATE TABLE `kl_disease` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '科室概念id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='疾病表';

-- ----------------------------
-- Records of kl_disease
-- ----------------------------

-- ----------------------------
-- Table structure for kl_evaluation
-- ----------------------------
DROP TABLE IF EXISTS `kl_evaluation`;
CREATE TABLE `kl_evaluation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `region_name` varchar(200) DEFAULT NULL COMMENT '区域名',
  `region_type` varchar(200) DEFAULT NULL COMMENT '区域类型（0默认自定义，1大数据，2内部数据）',
  `order_no` int(11) DEFAULT NULL COMMENT '区域顺序',
  `remark` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='管理与评估模板表';

-- ----------------------------
-- Records of kl_evaluation
-- ----------------------------
INSERT INTO `kl_evaluation` VALUES ('1', 'N', '1970-01-01 12:00:00', '2019-05-14 17:04:07', '0', '1', '1', '疗效评估', '1', '1', null);
INSERT INTO `kl_evaluation` VALUES ('2', 'N', '1970-01-01 12:00:00', '2019-05-14 17:04:07', '0', '1', '1', '疗效评估', '10', '2', null);
INSERT INTO `kl_evaluation` VALUES ('3', 'N', '1970-01-01 12:00:00', '2019-05-14 17:04:07', '0', '1', '1', '整体评估', '0', '3', null);
INSERT INTO `kl_evaluation` VALUES ('4', 'N', '1970-01-01 12:00:00', '2019-05-14 17:04:07', '0', '1', '1', '糖尿病分级管理', '1', '4', null);
INSERT INTO `kl_evaluation` VALUES ('5', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '疗效评估', '1', null, null);
INSERT INTO `kl_evaluation` VALUES ('6', 'Y', '2019-05-13 18:29:49', '2019-05-13 18:30:04', '1', '1', '1', 'string', 'string', '0', 'string');
INSERT INTO `kl_evaluation` VALUES ('7', 'Y', '2019-05-13 18:30:04', '2019-05-13 18:30:06', '1', '1', '1', 'string', 'string', '0', 'string');
INSERT INTO `kl_evaluation` VALUES ('8', 'Y', '2019-05-13 18:30:06', '2019-05-13 18:30:09', '1', '1', '1', 'string', 'string', '0', 'string');
INSERT INTO `kl_evaluation` VALUES ('9', 'Y', '2019-05-13 18:30:09', '2019-05-13 18:30:09', '1', '1', '1', 'string', 'string', '0', 'string');
INSERT INTO `kl_evaluation` VALUES ('10', 'Y', '2019-05-13 18:30:09', '2019-05-13 18:30:09', '1', '1', '1', 'string', 'string', '0', 'string');

-- ----------------------------
-- Table structure for kl_index_config
-- ----------------------------
DROP TABLE IF EXISTS `kl_index_config`;
CREATE TABLE `kl_index_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `disease_id` bigint(20) DEFAULT NULL COMMENT '疾病概念id',
  `concept_id` bigint(20) NOT NULL COMMENT '指标公表名概念id',
  `index_desc` int(11) DEFAULT NULL COMMENT '指标描述',
  `order_no` int(11) DEFAULT NULL COMMENT '显示顺序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8 COMMENT='指标配置';

-- ----------------------------
-- Records of kl_index_config
-- ----------------------------
INSERT INTO `kl_index_config` VALUES ('1', 'Y', '1970-01-01 12:00:00', '2019-05-16 10:03:06', '0', '105', '1', '6', '1', '1', null);
INSERT INTO `kl_index_config` VALUES ('2', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '5', '1', '1', null);
INSERT INTO `kl_index_config` VALUES ('3', 'Y', '1970-01-01 12:00:00', '2019-05-16 10:03:06', '0', '105', '1', '8', '1', '2', null);
INSERT INTO `kl_index_config` VALUES ('4', 'Y', '1970-01-01 12:00:00', '2019-05-16 10:03:06', '0', '105', '1', '9', '1', '3', null);
INSERT INTO `kl_index_config` VALUES ('5', 'Y', '1970-01-01 12:00:00', '2019-05-16 10:03:06', '0', '105', '1', '10', '2', '4', null);
INSERT INTO `kl_index_config` VALUES ('6', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '11', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('7', 'Y', '2019-05-13 16:59:34', '2019-05-13 16:59:34', '1', '1', '1', '6', '1', '1', '1');
INSERT INTO `kl_index_config` VALUES ('8', 'Y', '2019-05-13 17:00:12', '2019-05-13 17:00:12', '1', '1', '1', '8', '1', '1', '1');
INSERT INTO `kl_index_config` VALUES ('9', 'Y', '2019-05-16 10:01:45', '2019-05-16 10:03:50', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('10', 'Y', '2019-05-16 10:01:45', '2019-05-16 10:03:50', '105', '105', '5', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('11', 'Y', '2019-05-16 10:03:06', '2019-05-16 10:03:54', '105', '105', '1', '6', '1', '1', null);
INSERT INTO `kl_index_config` VALUES ('12', 'Y', '2019-05-16 10:03:06', '2019-05-16 10:03:54', '105', '105', '1', '8', '1', '2', null);
INSERT INTO `kl_index_config` VALUES ('13', 'Y', '2019-05-16 10:03:06', '2019-05-16 10:03:54', '105', '105', '1', '10', '2', '4', null);
INSERT INTO `kl_index_config` VALUES ('14', 'Y', '2019-05-16 10:03:50', '2019-05-16 10:03:58', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('15', 'Y', '2019-05-16 10:03:50', '2019-05-16 10:03:58', '105', '105', '5', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('16', 'Y', '2019-05-16 10:03:50', '2019-05-16 10:03:58', '105', '105', '5', '8', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('17', 'Y', '2019-05-16 10:03:50', '2019-05-16 10:03:58', '105', '105', '5', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('18', 'Y', '2019-05-16 10:04:12', '2019-05-16 10:04:49', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('19', 'Y', '2019-05-16 10:04:12', '2019-05-16 10:04:49', '105', '105', '5', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('20', 'Y', '2019-05-16 10:04:25', '2019-05-16 10:06:05', '105', '105', '1', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('21', 'Y', '2019-05-16 10:04:25', '2019-05-16 10:06:05', '105', '105', '1', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('22', 'Y', '2019-05-16 10:04:49', '2019-05-16 10:06:15', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('23', 'Y', '2019-05-16 10:04:49', '2019-05-16 10:06:15', '105', '105', '5', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('24', 'Y', '2019-05-16 10:06:05', '2019-05-16 10:06:26', '105', '105', '1', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('25', 'Y', '2019-05-16 10:06:15', '2019-05-16 10:07:11', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('26', 'Y', '2019-05-16 10:06:26', '2019-05-16 10:07:13', '105', '105', '1', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('27', 'Y', '2019-05-16 10:06:26', '2019-05-16 10:07:13', '105', '105', '1', '6', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('28', 'Y', '2019-05-16 10:07:24', '2019-05-16 10:08:20', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('29', 'Y', '2019-05-16 10:07:24', '2019-05-16 10:08:20', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('30', 'Y', '2019-05-16 10:07:24', '2019-05-16 10:08:20', '105', '105', '5', '10', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('31', 'Y', '2019-05-16 10:07:38', '2019-05-16 10:08:46', '105', '105', '1', '8', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('32', 'Y', '2019-05-16 10:07:38', '2019-05-16 10:08:46', '105', '105', '1', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('33', 'Y', '2019-05-16 10:07:38', '2019-05-16 10:08:46', '105', '105', '1', '10', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('34', 'Y', '2019-05-16 10:08:31', '2019-05-16 10:08:59', '105', '105', '5', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('35', 'Y', '2019-05-16 10:08:31', '2019-05-16 10:08:59', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('36', 'Y', '2019-05-16 10:08:46', '2019-05-16 10:10:22', '105', '105', '1', '8', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('37', 'Y', '2019-05-16 10:08:59', '2019-05-16 10:10:24', '105', '105', '5', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('38', 'Y', '2019-05-16 10:10:41', '2019-05-16 10:11:37', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('39', 'Y', '2019-05-16 10:10:41', '2019-05-16 10:11:37', '105', '105', '5', '8', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('40', 'Y', '2019-05-16 10:10:41', '2019-05-16 10:11:37', '105', '105', '5', '9', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('41', 'Y', '2019-05-16 10:11:29', '2019-05-16 10:11:56', '105', '105', '1', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('42', 'Y', '2019-05-16 10:11:29', '2019-05-16 10:11:56', '105', '105', '1', '6', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('43', 'Y', '2019-05-16 10:11:29', '2019-05-16 10:11:56', '105', '105', '1', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('44', 'Y', '2019-05-16 10:11:51', '2019-05-16 10:12:00', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('45', 'Y', '2019-05-16 10:11:51', '2019-05-16 10:12:00', '105', '105', '5', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('46', 'Y', '2019-05-16 10:12:16', '2019-05-16 10:12:47', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('47', 'Y', '2019-05-16 10:12:16', '2019-05-16 10:12:47', '105', '105', '5', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('48', 'Y', '2019-05-16 10:12:16', '2019-05-16 10:12:47', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('49', 'Y', '2019-05-16 10:12:36', '2019-05-16 10:13:41', '105', '105', '1', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('50', 'Y', '2019-05-16 10:12:36', '2019-05-16 10:13:41', '105', '105', '1', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('51', 'Y', '2019-05-16 10:12:36', '2019-05-16 10:13:41', '105', '105', '1', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('52', 'Y', '2019-05-16 10:13:04', '2019-05-16 10:31:05', '105', '105', '5', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('53', 'Y', '2019-05-16 10:13:04', '2019-05-16 10:31:05', '105', '105', '5', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('54', 'Y', '2019-05-16 10:13:04', '2019-05-16 10:31:05', '105', '105', '5', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('55', 'Y', '2019-05-16 10:13:04', '2019-05-16 10:31:05', '105', '105', '5', '8', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('56', 'Y', '2019-05-16 10:13:41', '2019-05-16 10:31:18', '105', '105', '1', '6', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('57', 'Y', '2019-05-16 10:13:41', '2019-05-16 10:31:18', '105', '105', '1', '9', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('58', 'Y', '2019-05-16 10:31:18', '2019-05-16 10:31:49', '105', '105', '1', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('59', 'Y', '2019-05-16 10:31:33', '2019-05-16 10:31:56', '105', '105', '5', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('60', 'Y', '2019-05-16 10:31:33', '2019-05-16 10:31:56', '105', '105', '5', '6', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('61', 'Y', '2019-05-16 10:31:33', '2019-05-16 10:31:56', '105', '105', '5', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('62', 'N', '2019-05-16 10:31:49', '2019-05-16 10:31:49', '105', '105', '1', '9', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('63', 'N', '2019-05-16 10:31:49', '2019-05-16 10:31:49', '105', '105', '1', '6', '23', null, null);
INSERT INTO `kl_index_config` VALUES ('64', 'N', '2019-05-16 10:31:49', '2019-05-16 10:31:49', '105', '105', '1', '10', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('65', 'N', '2019-05-16 10:31:49', '2019-05-16 10:31:49', '105', '105', '1', '8', '1', null, null);
INSERT INTO `kl_index_config` VALUES ('66', 'Y', '2019-05-16 10:31:56', '2019-05-16 10:32:03', '105', '105', '5', '6', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('67', 'Y', '2019-05-16 10:31:56', '2019-05-16 10:32:03', '105', '105', '5', '10', '3', null, null);
INSERT INTO `kl_index_config` VALUES ('68', 'Y', '2019-05-16 10:32:03', '2019-05-16 10:32:15', '105', '105', '5', '6', '2', null, null);
INSERT INTO `kl_index_config` VALUES ('69', 'N', '2019-05-16 10:32:15', '2019-05-16 10:32:15', '105', '105', '5', '9', '2', null, null);

-- ----------------------------
-- Table structure for kl_lexicon
-- ----------------------------
DROP TABLE IF EXISTS `kl_lexicon`;
CREATE TABLE `kl_lexicon` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(16) DEFAULT NULL COMMENT '类型名称',
  `is_has_common` int(1) NOT NULL DEFAULT '0' COMMENT '是否有通用扩展：0-无，1-有',
  PRIMARY KEY (`id`),
  UNIQUE KEY `NAME_INDEX` (`name`) COMMENT '名称全表唯一'
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='术语分类表';

-- ----------------------------
-- Records of kl_lexicon
-- ----------------------------
INSERT INTO `kl_lexicon` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状', '1');
INSERT INTO `kl_lexicon` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间', '0');
INSERT INTO `kl_lexicon` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '部位', '1');
INSERT INTO `kl_lexicon` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性质', '0');
INSERT INTO `kl_lexicon` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诱因', '0');
INSERT INTO `kl_lexicon` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度', '0');
INSERT INTO `kl_lexicon` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴性', '0');
INSERT INTO `kl_lexicon` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阳性', '0');
INSERT INTO `kl_lexicon` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单位', '0');
INSERT INTO `kl_lexicon` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品', '1');
INSERT INTO `kl_lexicon` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '治疗', '1');
INSERT INTO `kl_lexicon` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验套餐', '1');
INSERT INTO `kl_lexicon` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验明细', '1');
INSERT INTO `kl_lexicon` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验结果', '1');
INSERT INTO `kl_lexicon` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检套餐', '1');
INSERT INTO `kl_lexicon` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检项目', '1');
INSERT INTO `kl_lexicon` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检结果', '1');
INSERT INTO `kl_lexicon` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '诊断', '1');
INSERT INTO `kl_lexicon` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '连接词', '0');
INSERT INTO `kl_lexicon` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '方位', '0');
INSERT INTO `kl_lexicon` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '亲属', '0');
INSERT INTO `kl_lexicon` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '婚姻', '0');
INSERT INTO `kl_lexicon` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食品', '0');
INSERT INTO `kl_lexicon` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '历史', '0');
INSERT INTO `kl_lexicon` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手术', '1');
INSERT INTO `kl_lexicon` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状表现', '1');
INSERT INTO `kl_lexicon` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数字量词', '0');
INSERT INTO `kl_lexicon` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '数字', '0');
INSERT INTO `kl_lexicon` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品大类', '1');
INSERT INTO `kl_lexicon` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '药品小类', '1');
INSERT INTO `kl_lexicon` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检大类', '1');
INSERT INTO `kl_lexicon` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '辅检小类', '1');
INSERT INTO `kl_lexicon` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征指标', '1');
INSERT INTO `kl_lexicon` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征指标值', '1');
INSERT INTO `kl_lexicon` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体征结果', '1');
INSERT INTO `kl_lexicon` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '地点', '0');
INSERT INTO `kl_lexicon` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '职业', '0');
INSERT INTO `kl_lexicon` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人史', '0');
INSERT INTO `kl_lexicon` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '个人史描述', '0');
INSERT INTO `kl_lexicon` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时间描述', '0');
INSERT INTO `kl_lexicon` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '症状指标', '1');
INSERT INTO `kl_lexicon` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医用耗材 ', '0');
INSERT INTO `kl_lexicon` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '程度量词', '0');
INSERT INTO `kl_lexicon` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '其他', '0');
INSERT INTO `kl_lexicon` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除', '0');
INSERT INTO `kl_lexicon` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '化验公表项', '0');
INSERT INTO `kl_lexicon` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '科室', '0');
INSERT INTO `kl_lexicon` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '量表', '0');
INSERT INTO `kl_lexicon` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不良反应', '0');
INSERT INTO `kl_lexicon` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '核心指标', '0');
INSERT INTO `kl_lexicon` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疾病类型(慢病|急诊)', '0');
INSERT INTO `kl_lexicon` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '部位区域', '0');

-- ----------------------------
-- Table structure for kl_lexicon_relationship
-- ----------------------------
DROP TABLE IF EXISTS `kl_lexicon_relationship`;
CREATE TABLE `kl_lexicon_relationship` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(25) NOT NULL COMMENT '关系名称',
  `code` varchar(25) NOT NULL COMMENT '关系代码',
  PRIMARY KEY (`id`),
  UNIQUE KEY `NAME_INDEX` (`name`) COMMENT '关系名称全表唯一'
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8 COMMENT='术语关系分类表';

-- ----------------------------
-- Records of kl_lexicon_relationship
-- ----------------------------
INSERT INTO `kl_lexicon_relationship` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '是', 'is a');
INSERT INTO `kl_lexicon_relationship` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '同义于', 'equal to');
INSERT INTO `kl_lexicon_relationship` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '包含', 'include of');
INSERT INTO `kl_lexicon_relationship` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '与相关', 'associated with');
INSERT INTO `kl_lexicon_relationship` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '引起', 'cause');
INSERT INTO `kl_lexicon_relationship` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '位于', 'located at');
INSERT INTO `kl_lexicon_relationship` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '别名', 'aka');
INSERT INTO `kl_lexicon_relationship` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医保', 'insure level');
INSERT INTO `kl_lexicon_relationship` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '适用于', 'applied to');
INSERT INTO `kl_lexicon_relationship` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '首选药物', 'preferred meds');
INSERT INTO `kl_lexicon_relationship` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '治疗', 'treat');
INSERT INTO `kl_lexicon_relationship` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用法', 'usage');
INSERT INTO `kl_lexicon_relationship` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '不良反应', 'reaction');
INSERT INTO `kl_lexicon_relationship` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '注意事项', 'do and donot');
INSERT INTO `kl_lexicon_relationship` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规格', 'spec');
INSERT INTO `kl_lexicon_relationship` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '有', 'has');
INSERT INTO `kl_lexicon_relationship` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '包含排列于', 'order by');
INSERT INTO `kl_lexicon_relationship` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '包含子项', 'subitem');

-- ----------------------------
-- Table structure for kl_library_info
-- ----------------------------
DROP TABLE IF EXISTS `kl_library_info`;
CREATE TABLE `kl_library_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `concept_id` bigint(20) NOT NULL DEFAULT '-1' COMMENT '概念id',
  `is_concept` int(1) NOT NULL DEFAULT '0' COMMENT '是否标准词,1:是,0:否',
  `type_id` bigint(20) NOT NULL COMMENT '词性id',
  `spell` varchar(100) DEFAULT NULL COMMENT '拼音',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `NAME_TYPE_INDEX_UNIQUE` (`name`,`type_id`) USING BTREE COMMENT '名称+类型，确定数据唯一性',
  KEY `concept` (`concept_id`) USING BTREE COMMENT 'concept_id'
) ENGINE=InnoDB AUTO_INCREMENT=74 DEFAULT CHARSET=utf8 COMMENT='术语表';

-- ----------------------------
-- Records of kl_library_info
-- ----------------------------
INSERT INTO `kl_library_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '糖尿病', '1', '1', '18', 'TNB', null);
INSERT INTO `kl_library_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '密西根糖尿病周围神经病评分（MDNS）', '2', '1', '48', 'MXGTNBZWSJBPFMDNS', null);
INSERT INTO `kl_library_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '2019-05-17 15:33:35', '0', '0', '糖尿病量表1', '3', '1', '48', 'TNBLB1', null);
INSERT INTO `kl_library_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '糖尿病量表2', '4', '1', '48', 'TNBLB2', null);
INSERT INTO `kl_library_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '高血压', '5', '1', '18', 'GXY', null);
INSERT INTO `kl_library_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '急性心肌梗死', '6', '1', '18', 'JXXJGS', null);
INSERT INTO `kl_library_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '慢病', '12', '1', '51', 'MB', null);
INSERT INTO `kl_library_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '急诊', '13', '1', '51', 'JZ', null);
INSERT INTO `kl_library_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '头部区域', '14', '1', '52', 'TBQY', null);
INSERT INTO `kl_library_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '头部', '15', '1', '3', 'TB', null);
INSERT INTO `kl_library_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '眼睛', '16', '1', '3', 'YJ', null);
INSERT INTO `kl_library_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '耳', '17', '1', '3', 'E', null);
INSERT INTO `kl_library_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '全身区域', '18', '1', '52', 'QS', null);
INSERT INTO `kl_library_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '全身症状', '19', '1', '3', 'QSZZ', null);
INSERT INTO `kl_library_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '体表', '20', '1', '3', 'TB', null);
INSERT INTO `kl_library_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发热', '21', '1', '1', 'FR', null);
INSERT INTO `kl_library_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '全科', '101', '1', '47', 'QK', null);
INSERT INTO `kl_library_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '头痛', '23', '1', '1', 'TT', null);
INSERT INTO `kl_library_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '头晕', '24', '1', '1', 'TY', null);
INSERT INTO `kl_library_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '耳鸣', '25', '1', '1', 'EM', null);
INSERT INTO `kl_library_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '耳痛', '26', '1', '1', 'ET', null);
INSERT INTO `kl_library_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '全身乏力', '27', '1', '1', 'QSFL', null);
INSERT INTO `kl_library_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '高热', '21', '2', '1', 'GR', null);
INSERT INTO `kl_library_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '儿科', '28', '1', '47', 'EK', null);
INSERT INTO `kl_library_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规', '29', '1', '12', 'XCG', null);
INSERT INTO `kl_library_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血白细胞', '30', '1', '12', 'XBXB', null);
INSERT INTO `kl_library_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血常规同义词', '29', '2', '12', 'XCGTYC', null);
INSERT INTO `kl_library_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部B超', '31', '1', '15', 'FBBC', null);
INSERT INTO `kl_library_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部CT', '32', '1', '15', 'FBCT', null);
INSERT INTO `kl_library_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '呼吸道感染', '1', '1', '18', 'HXDGR', null);
INSERT INTO `kl_library_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽红', '34', '1', '33', 'YH', null);
INSERT INTO `kl_library_info` VALUES ('44', 'N', '2019-05-16 11:16:59', '2019-05-16 13:15:58', '1', '1', '呕吐', '41', '1', '41', 'OT', null);
INSERT INTO `kl_library_info` VALUES ('47', 'N', '2019-05-16 11:30:44', '2019-05-16 11:51:57', '1', '1', '恶心', '43', '1', '12', 'EX', null);
INSERT INTO `kl_library_info` VALUES ('53', 'N', '2019-05-16 11:30:44', '2019-05-16 11:51:57', '1', '1', '血压', '43', '0', '12', 'XY', null);
INSERT INTO `kl_library_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表1', '44', '1', '48', 'LB1', null);
INSERT INTO `kl_library_info` VALUES ('55', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表2', '45', '1', '48', 'LB2', null);
INSERT INTO `kl_library_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表3', '46', '1', '48', 'LB3', null);
INSERT INTO `kl_library_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表4', '47', '1', '48', 'LB4', null);
INSERT INTO `kl_library_info` VALUES ('58', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表5', '48', '1', '48', 'LB5', null);
INSERT INTO `kl_library_info` VALUES ('59', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表6', '49', '1', '48', 'LB6', null);
INSERT INTO `kl_library_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表7', '50', '1', '48', 'LB7', null);
INSERT INTO `kl_library_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表8', '51', '1', '48', 'LB8', null);
INSERT INTO `kl_library_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表9', '52', '1', '48', 'LB9', null);
INSERT INTO `kl_library_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表10', '53', '1', '48', 'LB10', null);
INSERT INTO `kl_library_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '2019-05-17 15:32:48', '0', '0', '量表11', '54', '1', '48', 'LB11', null);
INSERT INTO `kl_library_info` VALUES ('65', 'N', '2019-05-16 17:27:50', '2019-05-16 17:27:50', '98', '98', '白细胞', '55', '1', '13', 'BXB', null);
INSERT INTO `kl_library_info` VALUES ('66', 'N', '2019-05-17 09:37:53', '2019-05-17 09:37:53', '97', '97', '测试标准词', '56', '1', '5', 'CSBZC', null);
INSERT INTO `kl_library_info` VALUES ('67', 'N', '2019-05-17 09:37:53', '2019-05-17 09:37:53', '97', '97', '测试同义词', '56', '0', '5', 'CSTYC', null);
INSERT INTO `kl_library_info` VALUES ('68', 'N', '2019-05-17 09:55:32', '2019-05-17 09:55:32', '97', '97', '测试化验子项', '57', '1', '13', 'CSHYZX', null);
INSERT INTO `kl_library_info` VALUES ('69', 'N', '2019-05-17 11:43:00', '2019-05-17 11:43:00', '98', '98', '血红细胞', '58', '1', '13', 'XHXB', null);
INSERT INTO `kl_library_info` VALUES ('70', 'N', '2019-05-17 15:06:43', '2019-05-17 15:06:43', '98', '98', '化验标准词', '59', '1', '12', 'HYBZC', null);
INSERT INTO `kl_library_info` VALUES ('71', 'N', '2019-05-17 15:06:59', '2019-05-17 15:06:59', '98', '98', '化验子项', '60', '1', '13', 'HYZX', null);
INSERT INTO `kl_library_info` VALUES ('72', 'N', '2019-05-17 15:46:03', '2019-05-17 15:46:03', '100', '100', '医学术语', '61', '1', '4', 'YXSY', '测试数据');
INSERT INTO `kl_library_info` VALUES ('73', 'N', '2019-05-17 15:46:03', '2019-05-17 15:46:03', '100', '100', '同义词', '61', '0', '4', 'TYC', '测试同义词');

-- ----------------------------
-- Table structure for kl_lis
-- ----------------------------
DROP TABLE IF EXISTS `kl_lis`;
CREATE TABLE `kl_lis` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `method` bigint(20) DEFAULT NULL COMMENT '化验方法概念id',
  `unit` bigint(20) DEFAULT NULL COMMENT '单位概念id',
  `set` bigint(20) DEFAULT NULL COMMENT '套餐概念id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='化验表';

-- ----------------------------
-- Records of kl_lis
-- ----------------------------

-- ----------------------------
-- Table structure for kl_other
-- ----------------------------
DROP TABLE IF EXISTS `kl_other`;
CREATE TABLE `kl_other` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='其他术语表';

-- ----------------------------
-- Records of kl_other
-- ----------------------------

-- ----------------------------
-- Table structure for kl_pacs
-- ----------------------------
DROP TABLE IF EXISTS `kl_pacs`;
CREATE TABLE `kl_pacs` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `prop` bigint(20) DEFAULT NULL COMMENT '性质',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='辅检表';

-- ----------------------------
-- Records of kl_pacs
-- ----------------------------

-- ----------------------------
-- Table structure for kl_relation
-- ----------------------------
DROP TABLE IF EXISTS `kl_relation`;
CREATE TABLE `kl_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `start_id` bigint(20) NOT NULL COMMENT '关系起点术语id',
  `relation_id` bigint(20) NOT NULL COMMENT '关系id',
  `end_id` bigint(20) NOT NULL COMMENT '关系终点术语id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `START_RE_END_INDEX` (`start_id`,`relation_id`,`end_id`) COMMENT '关系起点术语id+关系id+关系终点术语id，确定数据唯一性'
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8 COMMENT='术语关系表';

-- ----------------------------
-- Records of kl_relation
-- ----------------------------
INSERT INTO `kl_relation` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '3', '12');
INSERT INTO `kl_relation` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '3', '12');
INSERT INTO `kl_relation` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '3', '13');
INSERT INTO `kl_relation` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '17', '15');
INSERT INTO `kl_relation` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '17', '16');
INSERT INTO `kl_relation` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '17', '17');
INSERT INTO `kl_relation` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '17', '19');
INSERT INTO `kl_relation` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '17', '22');
INSERT INTO `kl_relation` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '17', '21');
INSERT INTO `kl_relation` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '17', '23');
INSERT INTO `kl_relation` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '17', '24');
INSERT INTO `kl_relation` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '17', '25');
INSERT INTO `kl_relation` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '17', '26');
INSERT INTO `kl_relation` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '17', '27');
INSERT INTO `kl_relation` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '1', '21');
INSERT INTO `kl_relation` VALUES ('24', 'N', '2019-05-16 16:44:10', '2019-05-16 16:44:10', '100', '100', '29', '18', '5');
INSERT INTO `kl_relation` VALUES ('25', 'N', '2019-05-16 16:56:30', '2019-05-16 16:56:30', '98', '98', '29', '18', '30');
INSERT INTO `kl_relation` VALUES ('43', 'N', '2019-05-17 10:12:54', '2019-05-17 14:40:08', '97', '98', '43', '18', '57');
INSERT INTO `kl_relation` VALUES ('44', 'N', '2019-05-17 13:18:50', '2019-05-17 13:18:50', '98', '98', '30', '18', '58');
INSERT INTO `kl_relation` VALUES ('45', 'N', '2019-05-17 13:18:50', '2019-05-17 13:18:50', '98', '98', '30', '18', '57');
INSERT INTO `kl_relation` VALUES ('49', 'N', '2019-05-17 14:30:48', '2019-05-17 14:30:48', '98', '98', '41', '17', '27');
INSERT INTO `kl_relation` VALUES ('50', 'N', '2019-05-17 14:30:48', '2019-05-17 14:30:48', '98', '98', '41', '17', '25');
INSERT INTO `kl_relation` VALUES ('51', 'N', '2019-05-17 14:30:48', '2019-05-17 14:30:48', '98', '98', '41', '17', '24');
INSERT INTO `kl_relation` VALUES ('52', 'N', '2019-05-17 14:30:48', '2019-05-17 14:30:48', '98', '98', '41', '17', '43');
INSERT INTO `kl_relation` VALUES ('53', 'Y', '2019-05-17 14:31:38', '2019-05-17 14:36:14', '98', '98', '56', '17', '6');
INSERT INTO `kl_relation` VALUES ('54', 'Y', '2019-05-17 14:31:38', '2019-05-17 14:36:14', '98', '98', '56', '17', '5');
INSERT INTO `kl_relation` VALUES ('55', 'N', '2019-05-17 15:03:38', '2019-05-17 15:03:38', '98', '98', '31', '17', '31');
INSERT INTO `kl_relation` VALUES ('56', 'N', '2019-05-17 15:03:38', '2019-05-17 15:03:38', '98', '98', '31', '17', '32');
INSERT INTO `kl_relation` VALUES ('57', 'N', '2019-05-17 15:07:18', '2019-05-17 15:07:18', '98', '98', '59', '18', '60');
INSERT INTO `kl_relation` VALUES ('58', 'N', '2019-05-17 15:07:52', '2019-05-17 15:07:52', '98', '98', '59', '17', '57');
INSERT INTO `kl_relation` VALUES ('59', 'N', '2019-05-17 15:07:52', '2019-05-17 15:07:52', '98', '98', '59', '17', '58');
INSERT INTO `kl_relation` VALUES ('60', 'N', '2019-05-17 15:25:20', '2019-05-17 15:25:20', '100', '100', '32', '17', '31');
INSERT INTO `kl_relation` VALUES ('77', 'N', '2019-05-20 09:32:15', '2019-05-20 09:32:15', '97', '97', '29', '18', '55');
INSERT INTO `kl_relation` VALUES ('78', 'N', '2019-05-20 09:32:15', '2019-05-20 09:32:15', '97', '97', '29', '18', '58');
INSERT INTO `kl_relation` VALUES ('81', 'N', '2019-05-20 09:35:34', '2019-05-20 09:35:34', '105', '105', '1', '17', '3');
INSERT INTO `kl_relation` VALUES ('82', 'N', '2019-05-20 09:35:34', '2019-05-20 09:35:34', '105', '105', '1', '17', '4');

-- ----------------------------
-- Table structure for kl_relation_order
-- ----------------------------
DROP TABLE IF EXISTS `kl_relation_order`;
CREATE TABLE `kl_relation_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `t_relation_id` bigint(20) NOT NULL COMMENT '关系表主键id',
  `order_no` int(11) DEFAULT NULL COMMENT '区域顺序',
  PRIMARY KEY (`id`),
  UNIQUE KEY `START_RE_END_INDEX` (`t_relation_id`) COMMENT '关系起点术语id+关系id+关系终点术语id，确定数据唯一性'
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COMMENT='术语关系排序表';

-- ----------------------------
-- Records of kl_relation_order
-- ----------------------------
INSERT INTO `kl_relation_order` VALUES ('29', 'N', '2019-05-20 09:35:34', '2019-05-20 09:35:34', '105', '105', '81', '1');
INSERT INTO `kl_relation_order` VALUES ('30', 'N', '2019-05-20 09:35:34', '2019-05-20 09:35:34', '105', '105', '82', '2');
INSERT INTO `kl_relation_order` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '1');
INSERT INTO `kl_relation_order` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '2');
INSERT INTO `kl_relation_order` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '3');
INSERT INTO `kl_relation_order` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '1');
INSERT INTO `kl_relation_order` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '2');
INSERT INTO `kl_relation_order` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '1');
INSERT INTO `kl_relation_order` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '2');
INSERT INTO `kl_relation_order` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '1');
INSERT INTO `kl_relation_order` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '2');
INSERT INTO `kl_relation_order` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '1');
INSERT INTO `kl_relation_order` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '1');

-- ----------------------------
-- Table structure for kl_scale
-- ----------------------------
DROP TABLE IF EXISTS `kl_scale`;
CREATE TABLE `kl_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `content` text COMMENT '内容',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:文本，1：大数据接口填充',
  `order_no` smallint(6) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8 COMMENT='量表结构表';

-- ----------------------------
-- Records of kl_scale
-- ----------------------------
INSERT INTO `kl_scale` VALUES ('22', 'N', '2019-05-09 10:55:36', '2019-05-16 15:00:51', '104', '104', '2', '量表内容1', '0', '1', null);
INSERT INTO `kl_scale` VALUES ('23', 'N', '2019-05-09 10:55:36', '2019-05-16 15:00:51', '104', '104', '2', null, '1', '2', null);
INSERT INTO `kl_scale` VALUES ('24', 'N', '2019-05-09 10:55:36', '2019-05-16 15:00:51', '104', '104', '2', '量表内容1', '0', '3', null);
INSERT INTO `kl_scale` VALUES ('30', 'N', '2019-05-16 15:22:38', '2019-05-16 15:22:38', '104', '104', '3', 'string1', '0', '1', null);
INSERT INTO `kl_scale` VALUES ('31', 'N', '2019-05-16 15:22:38', '2019-05-16 15:22:38', '104', '104', '3', 'string2', '1', '2', null);
INSERT INTO `kl_scale` VALUES ('32', 'N', '2019-05-16 15:22:38', '2019-05-16 15:22:38', '104', '104', '3', '<p>563</p>', '1', '3', null);
INSERT INTO `kl_scale` VALUES ('33', 'N', '2019-05-16 15:23:50', '2019-05-16 15:23:50', '104', '104', '4', '<p>修改选</p>', '1', '1', null);
INSERT INTO `kl_scale` VALUES ('34', 'N', '2019-05-16 15:23:50', '2019-05-16 15:23:50', '104', '104', '4', null, '2', '2', null);
INSERT INTO `kl_scale` VALUES ('43', 'Y', '2019-05-16 15:34:37', '2019-05-16 15:35:35', '104', '104', '51', null, '2', '1', null);
INSERT INTO `kl_scale` VALUES ('44', 'Y', '2019-05-16 15:34:37', '2019-05-16 15:35:35', '104', '104', '51', '<p>哈哈哈</p>', '1', '2', null);
INSERT INTO `kl_scale` VALUES ('45', 'Y', '2019-05-16 15:34:37', '2019-05-16 15:35:35', '104', '104', '51', '<p>嘻嘻嘻</p>', '1', '3', null);
INSERT INTO `kl_scale` VALUES ('46', 'N', '2019-05-16 15:35:54', '2019-05-16 15:35:54', '104', '104', '44', '<p>84995++5</p>', '1', '1', null);
INSERT INTO `kl_scale` VALUES ('47', 'N', '2019-05-16 15:36:53', '2019-05-16 15:36:53', '104', '104', '46', '<p>6565</p>', '1', '1', null);
INSERT INTO `kl_scale` VALUES ('48', 'N', '2019-05-16 15:36:53', '2019-05-16 15:36:53', '104', '104', '46', null, '1', '2', null);
INSERT INTO `kl_scale` VALUES ('49', 'N', '2019-05-16 15:36:53', '2019-05-16 15:36:53', '104', '104', '46', null, '1', '3', null);
INSERT INTO `kl_scale` VALUES ('50', 'N', '2019-05-16 15:36:53', '2019-05-16 15:36:53', '104', '104', '46', null, '2', '4', null);
INSERT INTO `kl_scale` VALUES ('51', 'N', '2019-05-16 15:38:16', '2019-05-16 15:38:16', '104', '104', '45', '<p>我问问</p>', '1', '1', null);
INSERT INTO `kl_scale` VALUES ('52', 'N', '2019-05-16 15:39:55', '2019-05-16 15:39:55', '104', '104', '49', '<p>65656166</p>', '1', '1', null);
INSERT INTO `kl_scale` VALUES ('53', 'N', '2019-05-16 15:40:08', '2019-05-16 15:40:08', '104', '104', '47', null, '2', '1', null);
INSERT INTO `kl_scale` VALUES ('54', 'N', '2019-05-16 15:40:26', '2019-05-16 15:40:26', '104', '104', '48', null, '2', '1', null);
INSERT INTO `kl_scale` VALUES ('55', 'N', '2019-05-16 15:40:40', '2019-05-16 15:40:40', '104', '104', '50', '<p>搜索</p>', '1', '1', null);

-- ----------------------------
-- Table structure for kl_treatment
-- ----------------------------
DROP TABLE IF EXISTS `kl_treatment`;
CREATE TABLE `kl_treatment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL COMMENT '术语概念id',
  `course` varchar(50) DEFAULT NULL COMMENT '疗程',
  `dosage` varchar(50) DEFAULT NULL COMMENT '计量',
  `unit` varchar(20) DEFAULT NULL COMMENT '单位',
  `freq` varchar(50) DEFAULT NULL COMMENT '使用频次',
  `method` varchar(50) DEFAULT NULL COMMENT '使用方法',
  `user` varchar(50) DEFAULT NULL COMMENT '适用人群',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `CONCEPT_ID_INDEX` (`concept_id`) USING BTREE COMMENT '概念id全表唯一'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='治疗表';

-- ----------------------------
-- Records of kl_treatment
-- ----------------------------
